#########################################################################################
# Package        HiPi::Graphics::BitmapFont::SansEPD102
# Description  : Monochrome OLED Font
# License      : This is free software; you can redistribute it and/or modify it under
#                the same terms as the Perl 5 programming language system itself.
#########################################################################################

package HiPi::Graphics::BitmapFont::SansEPD102;

#########################################################################################

use utf8;
use strict;
use warnings;
use parent qw( HiPi::Graphics::BitmapFont);

our $VERSION ='0.01';

my $gap_width = 0;
my $char_height = 102;
my $line_spacing = 0;
my $name = 'Sans 102';
my $space_width = 28;
 
my $symbols = {
    '33' => {    # '!'
        'width'    => 8, 
        'xoffset'  => 13, 
        'xadvance' => 34, 
        'bitmap'   => [ 
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0x00, ##          
            0x00, ##          
            0x00, ##          
            0x00, ##          
            0x00, ##          
            0x00, ##          
            0x00, ##          
            0x00, ##          
            0x00, ##          
            0x00, ##          
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
        ], 
    }, 
    '34' => {    # '"'
        'width'    => 23, 
        'xoffset'  => 8, 
        'xadvance' => 39, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0xFE, 0x00, 0xFE, ##  0000000         0000000
            0xFE, 0x00, 0xFE, ##  0000000         0000000
            0xFE, 0x00, 0xFE, ##  0000000         0000000
            0xFE, 0x00, 0xFE, ##  0000000         0000000
            0xFE, 0x00, 0xFE, ##  0000000         0000000
            0xFE, 0x00, 0xFE, ##  0000000         0000000
            0xFE, 0x00, 0xFE, ##  0000000         0000000
            0xFE, 0x00, 0xFE, ##  0000000         0000000
            0xFE, 0x00, 0xFE, ##  0000000         0000000
            0xFE, 0x00, 0xFE, ##  0000000         0000000
            0xFE, 0x00, 0xFE, ##  0000000         0000000
            0xFE, 0x00, 0xFE, ##  0000000         0000000
            0xFE, 0x00, 0xFE, ##  0000000         0000000
            0xFE, 0x00, 0xFE, ##  0000000         0000000
            0xFE, 0x00, 0xFE, ##  0000000         0000000
            0xFE, 0x00, 0xFE, ##  0000000         0000000
            0xFE, 0x00, 0xFE, ##  0000000         0000000
            0xFE, 0x00, 0xFE, ##  0000000         0000000
            0xFE, 0x00, 0xFE, ##  0000000         0000000
            0xFE, 0x00, 0xFE, ##  0000000         0000000
            0xFE, 0x00, 0xFE, ##  0000000         0000000
            0xFE, 0x00, 0xFE, ##  0000000         0000000
            0xFE, 0x00, 0xFE, ##  0000000         0000000
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '35' => {    # '#'
        'width'    => 60, 
        'xoffset'  => 7, 
        'xadvance' => 74, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x7F, 0x00, 0x0F, 0xE0, 0x00, ##                           0000000            0000000         
            0x00, 0x00, 0x00, 0xFE, 0x00, 0x0F, 0xE0, 0x00, ##                          0000000             0000000         
            0x00, 0x00, 0x00, 0xFE, 0x00, 0x0F, 0xC0, 0x00, ##                          0000000             000000          
            0x00, 0x00, 0x00, 0xFE, 0x00, 0x1F, 0xC0, 0x00, ##                          0000000            0000000          
            0x00, 0x00, 0x00, 0xFE, 0x00, 0x1F, 0xC0, 0x00, ##                          0000000            0000000          
            0x00, 0x00, 0x01, 0xFC, 0x00, 0x1F, 0xC0, 0x00, ##                         0000000             0000000          
            0x00, 0x00, 0x01, 0xFC, 0x00, 0x1F, 0x80, 0x00, ##                         0000000             000000           
            0x00, 0x00, 0x01, 0xFC, 0x00, 0x3F, 0x80, 0x00, ##                         0000000            0000000           
            0x00, 0x00, 0x01, 0xFC, 0x00, 0x3F, 0x80, 0x00, ##                         0000000            0000000           
            0x00, 0x00, 0x03, 0xF8, 0x00, 0x3F, 0x80, 0x00, ##                        0000000             0000000           
            0x00, 0x00, 0x03, 0xF8, 0x00, 0x3F, 0x00, 0x00, ##                        0000000             000000            
            0x00, 0x00, 0x03, 0xF8, 0x00, 0x7F, 0x00, 0x00, ##                        0000000            0000000            
            0x00, 0x00, 0x03, 0xF8, 0x00, 0x7F, 0x00, 0x00, ##                        0000000            0000000            
            0x00, 0x00, 0x07, 0xF0, 0x00, 0x7F, 0x00, 0x00, ##                       0000000             0000000            
            0x00, 0x00, 0x07, 0xF0, 0x00, 0x7E, 0x00, 0x00, ##                       0000000             000000             
            0x00, 0x00, 0x07, 0xF0, 0x00, 0xFE, 0x00, 0x00, ##                       0000000            0000000             
            0x00, 0x00, 0x07, 0xF0, 0x00, 0xFE, 0x00, 0x00, ##                       0000000            0000000             
            0x00, 0x00, 0x07, 0xE0, 0x00, 0xFE, 0x00, 0x00, ##                       000000             0000000             
            0x07, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF0, ##       0000000000000000000000000000000000000000000000000000000
            0x07, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF0, ##       0000000000000000000000000000000000000000000000000000000
            0x07, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF0, ##       0000000000000000000000000000000000000000000000000000000
            0x07, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF0, ##       0000000000000000000000000000000000000000000000000000000
            0x07, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF0, ##       0000000000000000000000000000000000000000000000000000000
            0x07, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF0, ##       0000000000000000000000000000000000000000000000000000000
            0x00, 0x00, 0x1F, 0xC0, 0x03, 0xF8, 0x00, 0x00, ##                     0000000            0000000               
            0x00, 0x00, 0x3F, 0x80, 0x03, 0xF8, 0x00, 0x00, ##                    0000000             0000000               
            0x00, 0x00, 0x3F, 0x80, 0x07, 0xF0, 0x00, 0x00, ##                    0000000            0000000                
            0x00, 0x00, 0x3F, 0x80, 0x07, 0xF0, 0x00, 0x00, ##                    0000000            0000000                
            0x00, 0x00, 0x3F, 0x80, 0x07, 0xF0, 0x00, 0x00, ##                    0000000            0000000                
            0x00, 0x00, 0x7F, 0x00, 0x07, 0xF0, 0x00, 0x00, ##                   0000000             0000000                
            0x00, 0x00, 0x7F, 0x00, 0x07, 0xE0, 0x00, 0x00, ##                   0000000             000000                 
            0x00, 0x00, 0x7F, 0x00, 0x0F, 0xE0, 0x00, 0x00, ##                   0000000            0000000                 
            0x00, 0x00, 0x7F, 0x00, 0x0F, 0xE0, 0x00, 0x00, ##                   0000000            0000000                 
            0x00, 0x00, 0xFE, 0x00, 0x0F, 0xE0, 0x00, 0x00, ##                  0000000             0000000                 
            0x00, 0x00, 0xFE, 0x00, 0x0F, 0xE0, 0x00, 0x00, ##                  0000000             0000000                 
            0x00, 0x00, 0xFE, 0x00, 0x1F, 0xC0, 0x00, 0x00, ##                  0000000            0000000                  
            0x00, 0x00, 0xFE, 0x00, 0x1F, 0xC0, 0x00, 0x00, ##                  0000000            0000000                  
            0x00, 0x00, 0xFC, 0x00, 0x1F, 0xC0, 0x00, 0x00, ##                  000000             0000000                  
            0x00, 0x01, 0xFC, 0x00, 0x1F, 0xC0, 0x00, 0x00, ##                 0000000             0000000                  
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFE, 0x00, ##  0000000000000000000000000000000000000000000000000000000     
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFE, 0x00, ##  0000000000000000000000000000000000000000000000000000000     
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFE, 0x00, ##  0000000000000000000000000000000000000000000000000000000     
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFE, 0x00, ##  0000000000000000000000000000000000000000000000000000000     
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFE, 0x00, ##  0000000000000000000000000000000000000000000000000000000     
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFE, 0x00, ##  0000000000000000000000000000000000000000000000000000000     
            0x00, 0x07, 0xF0, 0x00, 0x7F, 0x00, 0x00, 0x00, ##               0000000             0000000                    
            0x00, 0x07, 0xF0, 0x00, 0x7E, 0x00, 0x00, 0x00, ##               0000000             000000                     
            0x00, 0x07, 0xF0, 0x00, 0xFE, 0x00, 0x00, 0x00, ##               0000000            0000000                     
            0x00, 0x07, 0xF0, 0x00, 0xFE, 0x00, 0x00, 0x00, ##               0000000            0000000                     
            0x00, 0x0F, 0xE0, 0x00, 0xFE, 0x00, 0x00, 0x00, ##              0000000             0000000                     
            0x00, 0x0F, 0xE0, 0x00, 0xFC, 0x00, 0x00, 0x00, ##              0000000             000000                      
            0x00, 0x0F, 0xE0, 0x01, 0xFC, 0x00, 0x00, 0x00, ##              0000000            0000000                      
            0x00, 0x0F, 0xE0, 0x01, 0xFC, 0x00, 0x00, 0x00, ##              0000000            0000000                      
            0x00, 0x1F, 0xC0, 0x01, 0xFC, 0x00, 0x00, 0x00, ##             0000000             0000000                      
            0x00, 0x1F, 0xC0, 0x03, 0xF8, 0x00, 0x00, 0x00, ##             0000000            0000000                       
            0x00, 0x1F, 0xC0, 0x03, 0xF8, 0x00, 0x00, 0x00, ##             0000000            0000000                       
            0x00, 0x1F, 0xC0, 0x03, 0xF8, 0x00, 0x00, 0x00, ##             0000000            0000000                       
            0x00, 0x3F, 0x80, 0x03, 0xF8, 0x00, 0x00, 0x00, ##            0000000             0000000                       
            0x00, 0x3F, 0x80, 0x07, 0xF0, 0x00, 0x00, 0x00, ##            0000000            0000000                        
            0x00, 0x3F, 0x80, 0x07, 0xF0, 0x00, 0x00, 0x00, ##            0000000            0000000                        
            0x00, 0x3F, 0x80, 0x07, 0xF0, 0x00, 0x00, 0x00, ##            0000000            0000000                        
            0x00, 0x7F, 0x00, 0x07, 0xF0, 0x00, 0x00, 0x00, ##           0000000             0000000                        
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '36' => {    # '$'
        'width'    => 41, 
        'xoffset'  => 7, 
        'xadvance' => 55, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x3C, 0x00, 0x00, 0x00, ##                    0000                   
            0x00, 0x00, 0x3C, 0x00, 0x00, 0x00, ##                    0000                   
            0x00, 0x00, 0x3C, 0x00, 0x00, 0x00, ##                    0000                   
            0x00, 0x00, 0x3C, 0x00, 0x00, 0x00, ##                    0000                   
            0x00, 0x00, 0x3C, 0x00, 0x00, 0x00, ##                    0000                   
            0x00, 0x00, 0x3C, 0x00, 0x00, 0x00, ##                    0000                   
            0x00, 0x00, 0x3C, 0x00, 0x00, 0x00, ##                    0000                   
            0x00, 0x00, 0x3C, 0x00, 0x00, 0x00, ##                    0000                   
            0x00, 0x00, 0x3C, 0x00, 0x00, 0x00, ##                    0000                   
            0x00, 0x00, 0x3C, 0x00, 0x00, 0x00, ##                    0000                   
            0x00, 0x01, 0xFF, 0xF8, 0x00, 0x00, ##                 00000000000000            
            0x00, 0x3F, 0xFF, 0xFF, 0xC0, 0x00, ##            000000000000000000000000       
            0x01, 0xFF, 0xFF, 0xFF, 0xF8, 0x00, ##         000000000000000000000000000000    
            0x03, 0xFF, 0xFF, 0xFF, 0xF8, 0x00, ##        0000000000000000000000000000000    
            0x0F, 0xFF, 0xFF, 0xFF, 0xF8, 0x00, ##      000000000000000000000000000000000    
            0x1F, 0xFF, 0xFF, 0xFF, 0xF8, 0x00, ##     0000000000000000000000000000000000    
            0x1F, 0xFE, 0x3C, 0x1F, 0xF8, 0x00, ##     000000000000   0000     0000000000    
            0x3F, 0xF0, 0x3C, 0x01, 0xF8, 0x00, ##    0000000000      0000         000000    
            0x7F, 0xE0, 0x3C, 0x00, 0x38, 0x00, ##   0000000000       0000            000    
            0x7F, 0xC0, 0x3C, 0x00, 0x08, 0x00, ##   000000000        0000              0    
            0x7F, 0x80, 0x3C, 0x00, 0x00, 0x00, ##   00000000         0000                   
            0xFF, 0x80, 0x3C, 0x00, 0x00, 0x00, ##  000000000         0000                   
            0xFF, 0x00, 0x3C, 0x00, 0x00, 0x00, ##  00000000          0000                   
            0xFF, 0x00, 0x3C, 0x00, 0x00, 0x00, ##  00000000          0000                   
            0xFF, 0x00, 0x3C, 0x00, 0x00, 0x00, ##  00000000          0000                   
            0xFF, 0x00, 0x3C, 0x00, 0x00, 0x00, ##  00000000          0000                   
            0xFF, 0x00, 0x3C, 0x00, 0x00, 0x00, ##  00000000          0000                   
            0xFF, 0x00, 0x3C, 0x00, 0x00, 0x00, ##  00000000          0000                   
            0xFF, 0x80, 0x3C, 0x00, 0x00, 0x00, ##  000000000         0000                   
            0x7F, 0x80, 0x3C, 0x00, 0x00, 0x00, ##   00000000         0000                   
            0x7F, 0xE0, 0x3C, 0x00, 0x00, 0x00, ##   0000000000       0000                   
            0x7F, 0xF0, 0x3C, 0x00, 0x00, 0x00, ##   00000000000      0000                   
            0x3F, 0xFE, 0x3C, 0x00, 0x00, 0x00, ##    0000000000000   0000                   
            0x3F, 0xFF, 0xFC, 0x00, 0x00, 0x00, ##    00000000000000000000                   
            0x1F, 0xFF, 0xFF, 0x00, 0x00, 0x00, ##     000000000000000000000                 
            0x0F, 0xFF, 0xFF, 0xF0, 0x00, 0x00, ##      000000000000000000000000             
            0x03, 0xFF, 0xFF, 0xFE, 0x00, 0x00, ##        0000000000000000000000000          
            0x01, 0xFF, 0xFF, 0xFF, 0x80, 0x00, ##         00000000000000000000000000        
            0x00, 0x3F, 0xFF, 0xFF, 0xE0, 0x00, ##            0000000000000000000000000      
            0x00, 0x07, 0xFF, 0xFF, 0xF0, 0x00, ##               00000000000000000000000     
            0x00, 0x00, 0x7F, 0xFF, 0xF8, 0x00, ##                   00000000000000000000    
            0x00, 0x00, 0x3F, 0xFF, 0xFC, 0x00, ##                    00000000000000000000   
            0x00, 0x00, 0x3C, 0x3F, 0xFE, 0x00, ##                    0000    0000000000000  
            0x00, 0x00, 0x3C, 0x0F, 0xFF, 0x00, ##                    0000      000000000000 
            0x00, 0x00, 0x3C, 0x03, 0xFF, 0x00, ##                    0000        0000000000 
            0x00, 0x00, 0x3C, 0x01, 0xFF, 0x00, ##                    0000         000000000 
            0x00, 0x00, 0x3C, 0x00, 0xFF, 0x80, ##                    0000          000000000
            0x00, 0x00, 0x3C, 0x00, 0xFF, 0x80, ##                    0000          000000000
            0x00, 0x00, 0x3C, 0x00, 0x7F, 0x80, ##                    0000           00000000
            0x00, 0x00, 0x3C, 0x00, 0x7F, 0x80, ##                    0000           00000000
            0x00, 0x00, 0x3C, 0x00, 0x7F, 0x80, ##                    0000           00000000
            0x00, 0x00, 0x3C, 0x00, 0x7F, 0x80, ##                    0000           00000000
            0x00, 0x00, 0x3C, 0x00, 0x7F, 0x80, ##                    0000           00000000
            0x00, 0x00, 0x3C, 0x00, 0x7F, 0x80, ##                    0000           00000000
            0x00, 0x00, 0x3C, 0x00, 0xFF, 0x00, ##                    0000          00000000 
            0xC0, 0x00, 0x3C, 0x01, 0xFF, 0x00, ##  00                0000         000000000 
            0xF0, 0x00, 0x3C, 0x01, 0xFF, 0x00, ##  0000              0000         000000000 
            0xFC, 0x00, 0x3C, 0x07, 0xFE, 0x00, ##  000000            0000       0000000000  
            0xFF, 0x00, 0x3C, 0x1F, 0xFE, 0x00, ##  00000000          0000     000000000000  
            0xFF, 0xF0, 0x3C, 0xFF, 0xFC, 0x00, ##  000000000000      0000  00000000000000   
            0xFF, 0xFF, 0xFF, 0xFF, 0xF8, 0x00, ##  0000000000000000000000000000000000000    
            0xFF, 0xFF, 0xFF, 0xFF, 0xF0, 0x00, ##  000000000000000000000000000000000000     
            0x7F, 0xFF, 0xFF, 0xFF, 0xE0, 0x00, ##   0000000000000000000000000000000000      
            0x1F, 0xFF, 0xFF, 0xFF, 0x80, 0x00, ##     000000000000000000000000000000        
            0x01, 0xFF, 0xFF, 0xFC, 0x00, 0x00, ##         00000000000000000000000           
            0x00, 0x1F, 0xFF, 0x80, 0x00, 0x00, ##             00000000000000                
            0x00, 0x00, 0x3C, 0x00, 0x00, 0x00, ##                    0000                   
            0x00, 0x00, 0x3C, 0x00, 0x00, 0x00, ##                    0000                   
            0x00, 0x00, 0x3C, 0x00, 0x00, 0x00, ##                    0000                   
            0x00, 0x00, 0x3C, 0x00, 0x00, 0x00, ##                    0000                   
            0x00, 0x00, 0x3C, 0x00, 0x00, 0x00, ##                    0000                   
            0x00, 0x00, 0x3C, 0x00, 0x00, 0x00, ##                    0000                   
            0x00, 0x00, 0x3C, 0x00, 0x00, 0x00, ##                    0000                   
            0x00, 0x00, 0x3C, 0x00, 0x00, 0x00, ##                    0000                   
            0x00, 0x00, 0x3C, 0x00, 0x00, 0x00, ##                    0000                   
            0x00, 0x00, 0x3C, 0x00, 0x00, 0x00, ##                    0000                   
            0x00, 0x00, 0x3C, 0x00, 0x00, 0x00, ##                    0000                   
            0x00, 0x00, 0x3C, 0x00, 0x00, 0x00, ##                    0000                   
            0x00, 0x00, 0x3C, 0x00, 0x00, 0x00, ##                    0000                   
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '37' => {    # '%'
        'width'    => 73, 
        'xoffset'  => 5, 
        'xadvance' => 83, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0xC0, 0x00, 0x00, 0x00, 0x07, 0xF0, 0x00, 0x00, ##            00000000                                   0000000             
            0x00, 0x00, 0xF8, 0x00, 0x00, 0x00, 0x0F, 0xE0, 0x00, 0x00, ##          0000000000000                               0000000              
            0x00, 0x00, 0xFE, 0x00, 0x00, 0x00, 0x0F, 0xC0, 0x00, 0x00, ##        00000000000000000                             000000               
            0x00, 0x00, 0xFF, 0x00, 0x00, 0x00, 0x1F, 0xC0, 0x00, 0x00, ##       0000000000000000000                           0000000               
            0x00, 0x00, 0xFF, 0x80, 0x00, 0x00, 0x1F, 0x80, 0x00, 0x00, ##      000000000000000000000                          000000                
            0x00, 0x00, 0x7F, 0xC0, 0x00, 0x00, 0x3F, 0x00, 0x00, 0x00, ##     000000000     000000000                        000000                 
            0x00, 0x00, 0x3F, 0xC0, 0x00, 0x00, 0x7F, 0x00, 0x00, 0x00, ##     0000000        00000000                       0000000                 
            0x00, 0x00, 0x1F, 0xE0, 0x00, 0x00, 0x7E, 0x00, 0x00, 0x00, ##    00000000         00000000                      000000                  
            0x00, 0x00, 0x0F, 0xE0, 0x00, 0x00, 0xFE, 0x00, 0x00, 0x00, ##   00000000           0000000                     0000000                  
            0x00, 0x00, 0x07, 0xF0, 0x00, 0x00, 0xFC, 0x00, 0x00, 0x00, ##   0000000             0000000                    000000                   
            0x00, 0x00, 0x07, 0xF0, 0x00, 0x01, 0xF8, 0x00, 0x00, 0x00, ##   0000000             0000000                   000000                    
            0x00, 0x00, 0x07, 0xF0, 0x00, 0x03, 0xF8, 0x00, 0x00, 0x00, ##   0000000             0000000                  0000000                    
            0x00, 0x00, 0x03, 0xF8, 0x00, 0x03, 0xF0, 0x00, 0x00, 0x00, ##  0000000               0000000                 000000                     
            0x00, 0x00, 0x03, 0xF8, 0x00, 0x07, 0xF0, 0x00, 0x00, 0x00, ##  0000000               0000000                0000000                     
            0x00, 0x00, 0x03, 0xF8, 0x00, 0x0F, 0xE0, 0x00, 0x00, 0x00, ##  0000000               0000000               0000000                      
            0x00, 0x00, 0x03, 0xF8, 0x00, 0x0F, 0xC0, 0x00, 0x00, 0x00, ##  0000000               0000000               000000                       
            0x00, 0x00, 0x03, 0xF8, 0x00, 0x1F, 0xC0, 0x00, 0x00, 0x00, ##  0000000               0000000              0000000                       
            0x00, 0x00, 0x03, 0xF8, 0x00, 0x1F, 0x80, 0x00, 0x00, 0x00, ##  0000000               0000000              000000                        
            0x00, 0x00, 0x03, 0xF8, 0x00, 0x3F, 0x80, 0x00, 0x00, 0x00, ##  0000000               0000000             0000000                        
            0x00, 0x00, 0x03, 0xF8, 0x00, 0x7F, 0x00, 0x00, 0x00, 0x00, ##  0000000               0000000            0000000                         
            0x00, 0x00, 0x03, 0xF8, 0x00, 0x7E, 0x00, 0x00, 0x00, 0x00, ##  0000000               0000000            000000                          
            0x00, 0x00, 0x03, 0xF8, 0x00, 0xFE, 0x00, 0x00, 0x00, 0x00, ##  0000000               0000000           0000000                          
            0x00, 0x00, 0x07, 0xF0, 0x00, 0xFC, 0x00, 0x00, 0x00, 0x00, ##   0000000             0000000            000000                           
            0x00, 0x00, 0x07, 0xF0, 0x01, 0xFC, 0x00, 0x00, 0x00, 0x00, ##   0000000             0000000           0000000                           
            0x00, 0x00, 0x07, 0xF0, 0x03, 0xF8, 0x00, 0x00, 0x00, 0x00, ##   0000000             0000000          0000000                            
            0x00, 0x00, 0x0F, 0xE0, 0x03, 0xF0, 0x00, 0x00, 0x00, 0x00, ##   00000000           0000000           000000                             
            0x00, 0x00, 0x0F, 0xE0, 0x07, 0xF0, 0x00, 0x00, 0x00, 0x00, ##    0000000           0000000          0000000                             
            0x00, 0x00, 0x1F, 0xC0, 0x07, 0xE0, 0x00, 0x00, 0x00, 0x00, ##    00000000         0000000           000000                              
            0x00, 0x00, 0x7F, 0xC0, 0x0F, 0xE0, 0x00, 0x00, 0x00, 0x00, ##     000000000     000000000          0000000                              
            0x00, 0x00, 0xFF, 0x80, 0x1F, 0xC0, 0x00, 0x00, 0x00, 0x00, ##      000000000000000000000          0000000                               
            0x00, 0x00, 0xFF, 0x00, 0x1F, 0x80, 0x00, 0x00, 0x00, 0x00, ##       0000000000000000000           000000                                
            0x00, 0x00, 0xFE, 0x00, 0x3F, 0x80, 0x01, 0xFC, 0x00, 0x00, ##        00000000000000000           0000000              0000000           
            0x00, 0x00, 0xF8, 0x00, 0x3F, 0x00, 0x0F, 0xFF, 0x80, 0x00, ##          0000000000000             000000            0000000000000        
            0x00, 0x00, 0xE0, 0x00, 0x7E, 0x00, 0x3F, 0xFF, 0xE0, 0x00, ##            000000000              000000           00000000000000000      
            0x00, 0x00, 0x00, 0x00, 0xFE, 0x00, 0x7F, 0xFF, 0xF0, 0x00, ##                                  0000000          0000000000000000000     
            0x00, 0x00, 0x00, 0x00, 0xFC, 0x00, 0xFF, 0xFF, 0xF8, 0x00, ##                                  000000          000000000000000000000    
            0x00, 0x00, 0x00, 0x01, 0xFC, 0x01, 0xFF, 0x07, 0xFC, 0x00, ##                                 0000000         000000000     000000000   
            0x00, 0x00, 0x00, 0x01, 0xF8, 0x01, 0xFC, 0x03, 0xFC, 0x00, ##                                 000000          0000000        00000000   
            0x00, 0x00, 0x00, 0x03, 0xF0, 0x03, 0xFC, 0x01, 0xFE, 0x00, ##                                000000          00000000         00000000  
            0x00, 0x00, 0x00, 0x07, 0xF0, 0x03, 0xF8, 0x00, 0xFE, 0x00, ##                               0000000          0000000           0000000  
            0x00, 0x00, 0x00, 0x07, 0xE0, 0x07, 0xF0, 0x00, 0x7F, 0x00, ##                               000000          0000000             0000000 
            0x00, 0x00, 0x00, 0x0F, 0xE0, 0x07, 0xF0, 0x00, 0x7F, 0x00, ##                              0000000          0000000             0000000 
            0x00, 0x00, 0x00, 0x1F, 0xC0, 0x07, 0xF0, 0x00, 0x7F, 0x00, ##                             0000000           0000000             0000000 
            0x00, 0x00, 0x00, 0x1F, 0x80, 0x0F, 0xE0, 0x00, 0x3F, 0x80, ##                             000000           0000000               0000000
            0x00, 0x00, 0x00, 0x3F, 0x80, 0x0F, 0xE0, 0x00, 0x3F, 0x80, ##                            0000000           0000000               0000000
            0x00, 0x00, 0x00, 0x3F, 0x00, 0x0F, 0xE0, 0x00, 0x3F, 0x80, ##                            000000            0000000               0000000
            0x00, 0x00, 0x00, 0x7F, 0x00, 0x0F, 0xE0, 0x00, 0x3F, 0x80, ##                           0000000            0000000               0000000
            0x00, 0x00, 0x00, 0xFE, 0x00, 0x0F, 0xE0, 0x00, 0x3F, 0x80, ##                          0000000             0000000               0000000
            0x00, 0x00, 0x00, 0xFC, 0x00, 0x0F, 0xE0, 0x00, 0x3F, 0x80, ##                          000000              0000000               0000000
            0x00, 0x00, 0x01, 0xFC, 0x00, 0x0F, 0xE0, 0x00, 0x3F, 0x80, ##                         0000000              0000000               0000000
            0x00, 0x00, 0x01, 0xF8, 0x00, 0x0F, 0xE0, 0x00, 0x3F, 0x80, ##                         000000               0000000               0000000
            0x00, 0x00, 0x03, 0xF8, 0x00, 0x0F, 0xE0, 0x00, 0x3F, 0x80, ##                        0000000               0000000               0000000
            0x00, 0x00, 0x07, 0xF0, 0x00, 0x0F, 0xE0, 0x00, 0x3F, 0x80, ##                       0000000                0000000               0000000
            0x00, 0x00, 0x07, 0xE0, 0x00, 0x0F, 0xE0, 0x00, 0x3F, 0x80, ##                       000000                 0000000               0000000
            0x00, 0x00, 0x0F, 0xE0, 0x00, 0x07, 0xF0, 0x00, 0x7F, 0x00, ##                      0000000                  0000000             0000000 
            0x00, 0x00, 0x0F, 0xC0, 0x00, 0x07, 0xF0, 0x00, 0x7F, 0x00, ##                      000000                   0000000             0000000 
            0x00, 0x00, 0x1F, 0x80, 0x00, 0x07, 0xF0, 0x00, 0x7F, 0x00, ##                     000000                    0000000             0000000 
            0x00, 0x00, 0x3F, 0x80, 0x00, 0x03, 0xF8, 0x00, 0xFE, 0x00, ##                    0000000                     0000000           0000000  
            0x00, 0x00, 0x3F, 0x00, 0x00, 0x03, 0xFC, 0x01, 0xFE, 0x00, ##                    000000                      00000000         00000000  
            0x00, 0x00, 0x7F, 0x00, 0x00, 0x01, 0xFC, 0x01, 0xFC, 0x00, ##                   0000000                       0000000         0000000   
            0x00, 0x00, 0x7E, 0x00, 0x00, 0x01, 0xFF, 0x07, 0xFC, 0x00, ##                   000000                        000000000     000000000   
            0x00, 0x00, 0xFC, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0xF8, 0x00, ##                  000000                          000000000000000000000    
            0x00, 0x00, 0xFC, 0x00, 0x00, 0x00, 0x7F, 0xFF, 0xF0, 0x00, ##                 0000000                           0000000000000000000     
            0x00, 0x00, 0xF8, 0x00, 0x00, 0x00, 0x3F, 0xFF, 0xE0, 0x00, ##                 000000                             00000000000000000      
            0x00, 0x00, 0xF8, 0x00, 0x00, 0x00, 0x0F, 0xFF, 0x80, 0x00, ##                0000000                               0000000000000        
            0x00, 0x00, 0xF0, 0x00, 0x00, 0x00, 0x01, 0xFC, 0x00, 0x00, ##                000000                                   0000000           
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '38' => {    # '&'
        'width'    => 60, 
        'xoffset'  => 5, 
        'xadvance' => 67, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x1F, 0xFC, 0x00, 0x00, 0x00, 0x00, ##                     00000000000                              
            0x00, 0x00, 0xFF, 0xFF, 0xE0, 0x00, 0x00, 0x00, ##                  0000000000000000000                         
            0x00, 0x03, 0xFF, 0xFF, 0xFC, 0x00, 0x00, 0x00, ##                000000000000000000000000                      
            0x00, 0x07, 0xFF, 0xFF, 0xFE, 0x00, 0x00, 0x00, ##               00000000000000000000000000                     
            0x00, 0x1F, 0xFF, 0xFF, 0xFE, 0x00, 0x00, 0x00, ##             0000000000000000000000000000                     
            0x00, 0x3F, 0xFF, 0xFF, 0xFE, 0x00, 0x00, 0x00, ##            00000000000000000000000000000                     
            0x00, 0x3F, 0xFC, 0x07, 0xFE, 0x00, 0x00, 0x00, ##            000000000000       0000000000                     
            0x00, 0x7F, 0xE0, 0x00, 0x7E, 0x00, 0x00, 0x00, ##           0000000000              000000                     
            0x00, 0xFF, 0xC0, 0x00, 0x1E, 0x00, 0x00, 0x00, ##          0000000000                 0000                     
            0x00, 0xFF, 0x80, 0x00, 0x06, 0x00, 0x00, 0x00, ##          000000000                    00                     
            0x00, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##          00000000                                            
            0x01, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##         000000000                                            
            0x01, 0xFE, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##         00000000                                             
            0x01, 0xFE, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##         00000000                                             
            0x01, 0xFE, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##         00000000                                             
            0x01, 0xFE, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##         00000000                                             
            0x01, 0xFE, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##         00000000                                             
            0x01, 0xFE, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##         00000000                                             
            0x01, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##         000000000                                            
            0x00, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##          00000000                                            
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x00, ##          000000000                                           
            0x00, 0xFF, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x00, ##          0000000000                                          
            0x00, 0x7F, 0xE0, 0x00, 0x00, 0x00, 0x00, 0x00, ##           0000000000                                         
            0x00, 0x7F, 0xE0, 0x00, 0x00, 0x00, 0x00, 0x00, ##           0000000000                                         
            0x00, 0x3F, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x00, ##            0000000000                                        
            0x00, 0x1F, 0xF8, 0x00, 0x00, 0x00, 0x00, 0x00, ##             0000000000                                       
            0x00, 0x1F, 0xFC, 0x00, 0x00, 0x00, 0x00, 0x00, ##             00000000000                                      
            0x00, 0x7F, 0xFE, 0x00, 0x00, 0x00, 0x00, 0x00, ##           00000000000000                                     
            0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##          0000000000000000                                    
            0x01, 0xFF, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##         000000000000000000                                   
            0x03, 0xFF, 0xFF, 0xC0, 0x00, 0x00, 0x00, 0x00, ##        00000000000000000000                                  
            0x07, 0xFE, 0xFF, 0xE0, 0x00, 0x00, 0xFF, 0x00, ##       0000000000 00000000000                     00000000    
            0x0F, 0xFC, 0x7F, 0xF0, 0x00, 0x00, 0xFF, 0x00, ##      0000000000   00000000000                    00000000    
            0x0F, 0xF8, 0x3F, 0xF8, 0x00, 0x00, 0xFF, 0x00, ##      000000000     00000000000                   00000000    
            0x1F, 0xF0, 0x1F, 0xFC, 0x00, 0x00, 0xFF, 0x00, ##     000000000       00000000000                  00000000    
            0x3F, 0xF0, 0x0F, 0xFE, 0x00, 0x00, 0xFF, 0x00, ##    0000000000        00000000000                 00000000    
            0x3F, 0xE0, 0x07, 0xFF, 0x00, 0x00, 0xFF, 0x00, ##    000000000          00000000000                00000000    
            0x3F, 0xC0, 0x03, 0xFF, 0x80, 0x00, 0xFE, 0x00, ##    00000000            00000000000               0000000     
            0x7F, 0xC0, 0x01, 0xFF, 0xC0, 0x00, 0xFE, 0x00, ##   000000000             00000000000              0000000     
            0x7F, 0x80, 0x00, 0xFF, 0xC0, 0x01, 0xFE, 0x00, ##   00000000               0000000000             00000000     
            0x7F, 0x80, 0x00, 0xFF, 0xE0, 0x01, 0xFC, 0x00, ##   00000000               00000000000            0000000      
            0xFF, 0x80, 0x00, 0x7F, 0xF0, 0x01, 0xFC, 0x00, ##  000000000                00000000000           0000000      
            0xFF, 0x00, 0x00, 0x3F, 0xF8, 0x03, 0xFC, 0x00, ##  00000000                  00000000000         00000000      
            0xFF, 0x00, 0x00, 0x1F, 0xFC, 0x03, 0xF8, 0x00, ##  00000000                   00000000000        0000000       
            0xFF, 0x00, 0x00, 0x0F, 0xFE, 0x07, 0xF8, 0x00, ##  00000000                    00000000000      00000000       
            0xFF, 0x00, 0x00, 0x07, 0xFF, 0x07, 0xF0, 0x00, ##  00000000                     00000000000     0000000        
            0xFF, 0x00, 0x00, 0x03, 0xFF, 0x8F, 0xF0, 0x00, ##  00000000                      00000000000   00000000        
            0xFF, 0x00, 0x00, 0x01, 0xFF, 0xCF, 0xE0, 0x00, ##  00000000                       00000000000  0000000         
            0xFF, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0xE0, 0x00, ##  00000000                        0000000000000000000         
            0xFF, 0x80, 0x00, 0x00, 0x7F, 0xFF, 0xC0, 0x00, ##  000000000                        00000000000000000          
            0x7F, 0x80, 0x00, 0x00, 0x3F, 0xFF, 0xC0, 0x00, ##   00000000                         0000000000000000          
            0x7F, 0x80, 0x00, 0x00, 0x1F, 0xFF, 0x80, 0x00, ##   00000000                          00000000000000           
            0x7F, 0xC0, 0x00, 0x00, 0x0F, 0xFF, 0x00, 0x00, ##   000000000                          000000000000            
            0x3F, 0xC0, 0x00, 0x00, 0x07, 0xFF, 0x00, 0x00, ##    00000000                           00000000000            
            0x3F, 0xE0, 0x00, 0x00, 0x03, 0xFF, 0x80, 0x00, ##    000000000                           00000000000           
            0x1F, 0xF0, 0x00, 0x00, 0x07, 0xFF, 0xC0, 0x00, ##     000000000                         0000000000000          
            0x1F, 0xF8, 0x00, 0x00, 0x1F, 0xFF, 0xE0, 0x00, ##     0000000000                      0000000000000000         
            0x0F, 0xFE, 0x00, 0x00, 0x3F, 0xFF, 0xF0, 0x00, ##      00000000000                   000000000000000000        
            0x07, 0xFF, 0x00, 0x00, 0xFF, 0xFF, 0xF8, 0x00, ##       00000000000                000000000000000000000       
            0x03, 0xFF, 0xE0, 0x07, 0xFF, 0xFF, 0xFC, 0x00, ##        0000000000000          0000000000000000000000000      
            0x01, 0xFF, 0xFF, 0xFF, 0xFF, 0x8F, 0xFE, 0x00, ##         0000000000000000000000000000000000   00000000000     
            0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0x07, 0xFF, 0x00, ##          00000000000000000000000000000000     00000000000    
            0x00, 0x3F, 0xFF, 0xFF, 0xFC, 0x03, 0xFF, 0x80, ##            0000000000000000000000000000        00000000000   
            0x00, 0x1F, 0xFF, 0xFF, 0xF0, 0x01, 0xFF, 0xC0, ##             0000000000000000000000000           00000000000  
            0x00, 0x03, 0xFF, 0xFF, 0x80, 0x00, 0xFF, 0xE0, ##                0000000000000000000               00000000000 
            0x00, 0x00, 0x3F, 0xF8, 0x00, 0x00, 0x00, 0x00, ##                    00000000000                               
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '39' => {    # '''
        'width'    => 7, 
        'xoffset'  => 8, 
        'xadvance' => 23, 
        'bitmap'   => [ 
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
        ], 
    }, 
    '40' => {    # '('
        'width'    => 19, 
        'xoffset'  => 7, 
        'xadvance' => 33, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x0F, 0xE0, ##              0000000
            0x00, 0x1F, 0xC0, ##             0000000 
            0x00, 0x1F, 0xC0, ##             0000000 
            0x00, 0x3F, 0x80, ##            0000000  
            0x00, 0x3F, 0x80, ##            0000000  
            0x00, 0x7F, 0x00, ##           0000000   
            0x00, 0x7F, 0x00, ##           0000000   
            0x00, 0xFE, 0x00, ##          0000000    
            0x00, 0xFE, 0x00, ##          0000000    
            0x01, 0xFC, 0x00, ##         0000000     
            0x01, 0xFC, 0x00, ##         0000000     
            0x03, 0xFC, 0x00, ##        00000000     
            0x03, 0xF8, 0x00, ##        0000000      
            0x07, 0xF8, 0x00, ##       00000000      
            0x07, 0xF0, 0x00, ##       0000000       
            0x07, 0xF0, 0x00, ##       0000000       
            0x0F, 0xF0, 0x00, ##      00000000       
            0x0F, 0xE0, 0x00, ##      0000000        
            0x1F, 0xE0, 0x00, ##     00000000        
            0x1F, 0xE0, 0x00, ##     00000000        
            0x1F, 0xC0, 0x00, ##     0000000         
            0x3F, 0xC0, 0x00, ##    00000000         
            0x3F, 0xC0, 0x00, ##    00000000         
            0x3F, 0xC0, 0x00, ##    00000000         
            0x3F, 0xC0, 0x00, ##    00000000         
            0x7F, 0x80, 0x00, ##   00000000          
            0x7F, 0x80, 0x00, ##   00000000          
            0x7F, 0x80, 0x00, ##   00000000          
            0x7F, 0x80, 0x00, ##   00000000          
            0x7F, 0x80, 0x00, ##   00000000          
            0x7F, 0x80, 0x00, ##   00000000          
            0xFF, 0x00, 0x00, ##  00000000           
            0xFF, 0x00, 0x00, ##  00000000           
            0xFF, 0x00, 0x00, ##  00000000           
            0xFF, 0x00, 0x00, ##  00000000           
            0xFF, 0x00, 0x00, ##  00000000           
            0xFF, 0x00, 0x00, ##  00000000           
            0xFF, 0x00, 0x00, ##  00000000           
            0xFF, 0x00, 0x00, ##  00000000           
            0xFF, 0x00, 0x00, ##  00000000           
            0xFF, 0x00, 0x00, ##  00000000           
            0xFF, 0x00, 0x00, ##  00000000           
            0xFF, 0x00, 0x00, ##  00000000           
            0xFF, 0x00, 0x00, ##  00000000           
            0xFF, 0x00, 0x00, ##  00000000           
            0xFF, 0x00, 0x00, ##  00000000           
            0xFF, 0x00, 0x00, ##  00000000           
            0x7F, 0x80, 0x00, ##   00000000          
            0x7F, 0x80, 0x00, ##   00000000          
            0x7F, 0x80, 0x00, ##   00000000          
            0x7F, 0x80, 0x00, ##   00000000          
            0x7F, 0x80, 0x00, ##   00000000          
            0x7F, 0x80, 0x00, ##   00000000          
            0x3F, 0x80, 0x00, ##    0000000          
            0x3F, 0xC0, 0x00, ##    00000000         
            0x3F, 0xC0, 0x00, ##    00000000         
            0x1F, 0xC0, 0x00, ##     0000000         
            0x1F, 0xC0, 0x00, ##     0000000         
            0x1F, 0xE0, 0x00, ##     00000000        
            0x1F, 0xE0, 0x00, ##     00000000        
            0x0F, 0xE0, 0x00, ##      0000000        
            0x0F, 0xF0, 0x00, ##      00000000       
            0x07, 0xF0, 0x00, ##       0000000       
            0x07, 0xF0, 0x00, ##       0000000       
            0x07, 0xF8, 0x00, ##       00000000      
            0x03, 0xF8, 0x00, ##        0000000      
            0x03, 0xFC, 0x00, ##        00000000     
            0x01, 0xFC, 0x00, ##         0000000     
            0x01, 0xFC, 0x00, ##         0000000     
            0x00, 0xFE, 0x00, ##          0000000    
            0x00, 0xFE, 0x00, ##          0000000    
            0x00, 0x7F, 0x00, ##           0000000   
            0x00, 0x7F, 0x00, ##           0000000   
            0x00, 0x3F, 0x80, ##            0000000  
            0x00, 0x3F, 0x80, ##            0000000  
            0x00, 0x1F, 0xC0, ##             0000000 
            0x00, 0x1F, 0xC0, ##             0000000 
            0x00, 0x0F, 0xE0, ##              0000000
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '41' => {    # ')'
        'width'    => 19, 
        'xoffset'  => 7, 
        'xadvance' => 33, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0xFE, 0x00, 0x00, ##  0000000            
            0x7E, 0x00, 0x00, ##   000000            
            0x7F, 0x00, 0x00, ##   0000000           
            0x3F, 0x80, 0x00, ##    0000000          
            0x3F, 0x80, 0x00, ##    0000000          
            0x1F, 0xC0, 0x00, ##     0000000         
            0x1F, 0xC0, 0x00, ##     0000000         
            0x0F, 0xE0, 0x00, ##      0000000        
            0x0F, 0xE0, 0x00, ##      0000000        
            0x07, 0xF0, 0x00, ##       0000000       
            0x07, 0xF0, 0x00, ##       0000000       
            0x07, 0xF8, 0x00, ##       00000000      
            0x03, 0xF8, 0x00, ##        0000000      
            0x03, 0xFC, 0x00, ##        00000000     
            0x01, 0xFC, 0x00, ##         0000000     
            0x01, 0xFC, 0x00, ##         0000000     
            0x01, 0xFE, 0x00, ##         00000000    
            0x00, 0xFE, 0x00, ##          0000000    
            0x00, 0xFE, 0x00, ##          0000000    
            0x00, 0xFF, 0x00, ##          00000000   
            0x00, 0xFF, 0x00, ##          00000000   
            0x00, 0x7F, 0x00, ##           0000000   
            0x00, 0x7F, 0x80, ##           00000000  
            0x00, 0x7F, 0x80, ##           00000000  
            0x00, 0x7F, 0x80, ##           00000000  
            0x00, 0x3F, 0x80, ##            0000000  
            0x00, 0x3F, 0xC0, ##            00000000 
            0x00, 0x3F, 0xC0, ##            00000000 
            0x00, 0x3F, 0xC0, ##            00000000 
            0x00, 0x3F, 0xC0, ##            00000000 
            0x00, 0x3F, 0xC0, ##            00000000 
            0x00, 0x1F, 0xC0, ##             0000000 
            0x00, 0x1F, 0xE0, ##             00000000
            0x00, 0x1F, 0xE0, ##             00000000
            0x00, 0x1F, 0xE0, ##             00000000
            0x00, 0x1F, 0xE0, ##             00000000
            0x00, 0x1F, 0xE0, ##             00000000
            0x00, 0x1F, 0xE0, ##             00000000
            0x00, 0x1F, 0xE0, ##             00000000
            0x00, 0x1F, 0xE0, ##             00000000
            0x00, 0x1F, 0xE0, ##             00000000
            0x00, 0x1F, 0xE0, ##             00000000
            0x00, 0x1F, 0xE0, ##             00000000
            0x00, 0x1F, 0xE0, ##             00000000
            0x00, 0x1F, 0xE0, ##             00000000
            0x00, 0x1F, 0xE0, ##             00000000
            0x00, 0x1F, 0xC0, ##             0000000 
            0x00, 0x3F, 0xC0, ##            00000000 
            0x00, 0x3F, 0xC0, ##            00000000 
            0x00, 0x3F, 0xC0, ##            00000000 
            0x00, 0x3F, 0xC0, ##            00000000 
            0x00, 0x3F, 0xC0, ##            00000000 
            0x00, 0x3F, 0x80, ##            0000000  
            0x00, 0x7F, 0x80, ##           00000000  
            0x00, 0x7F, 0x80, ##           00000000  
            0x00, 0x7F, 0x80, ##           00000000  
            0x00, 0x7F, 0x00, ##           0000000   
            0x00, 0xFF, 0x00, ##          00000000   
            0x00, 0xFF, 0x00, ##          00000000   
            0x00, 0xFF, 0x00, ##          00000000   
            0x00, 0xFE, 0x00, ##          0000000    
            0x01, 0xFE, 0x00, ##         00000000    
            0x01, 0xFC, 0x00, ##         0000000     
            0x01, 0xFC, 0x00, ##         0000000     
            0x03, 0xFC, 0x00, ##        00000000     
            0x03, 0xF8, 0x00, ##        0000000      
            0x07, 0xF8, 0x00, ##       00000000      
            0x07, 0xF0, 0x00, ##       0000000       
            0x07, 0xF0, 0x00, ##       0000000       
            0x0F, 0xE0, 0x00, ##      0000000        
            0x0F, 0xE0, 0x00, ##      0000000        
            0x1F, 0xC0, 0x00, ##     0000000         
            0x1F, 0xC0, 0x00, ##     0000000         
            0x3F, 0x80, 0x00, ##    0000000          
            0x3F, 0x80, 0x00, ##    0000000          
            0x7F, 0x00, 0x00, ##   0000000           
            0x7E, 0x00, 0x00, ##   000000            
            0xFE, 0x00, 0x00, ##  0000000            
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '42' => {    # '*'
        'width'    => 39, 
        'xoffset'  => 2, 
        'xadvance' => 43, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x7C, 0x00, 0x00, ##                   00000                 
            0x00, 0x00, 0x7C, 0x00, 0x00, ##                   00000                 
            0x00, 0x00, 0x7C, 0x00, 0x00, ##                   00000                 
            0x00, 0x00, 0x7C, 0x00, 0x00, ##                   00000                 
            0x00, 0x00, 0x7C, 0x00, 0x00, ##                   00000                 
            0x00, 0x00, 0x7C, 0x00, 0x00, ##                   00000                 
            0x00, 0x00, 0x7C, 0x00, 0x00, ##                   00000                 
            0x00, 0x00, 0x7C, 0x00, 0x00, ##                   00000                 
            0x30, 0x00, 0x7C, 0x00, 0x18, ##    00             00000             00  
            0x3C, 0x00, 0x7C, 0x00, 0x78, ##    0000           00000           0000  
            0x7F, 0x00, 0x7C, 0x01, 0xFC, ##   0000000         00000         0000000 
            0xFF, 0x80, 0x7C, 0x03, 0xFE, ##  000000000        00000        000000000
            0x3F, 0xE0, 0x7C, 0x0F, 0xF8, ##    000000000      00000      000000000  
            0x0F, 0xF8, 0x7C, 0x3F, 0xE0, ##      000000000    00000    000000000    
            0x07, 0xFC, 0x7C, 0x7F, 0xC0, ##       000000000   00000   000000000     
            0x01, 0xFF, 0x7D, 0xFF, 0x00, ##         000000000 00000 000000000       
            0x00, 0x7F, 0xFF, 0xFC, 0x00, ##           000000000000000000000         
            0x00, 0x1F, 0xFF, 0xF0, 0x00, ##             00000000000000000           
            0x00, 0x07, 0xFF, 0xC0, 0x00, ##               0000000000000             
            0x00, 0x01, 0xFF, 0x00, 0x00, ##                 000000000               
            0x00, 0x01, 0xFF, 0x00, 0x00, ##                 000000000               
            0x00, 0x07, 0xFF, 0xC0, 0x00, ##               0000000000000             
            0x00, 0x1F, 0xFF, 0xF0, 0x00, ##             00000000000000000           
            0x00, 0x7F, 0xFF, 0xFC, 0x00, ##           000000000000000000000         
            0x01, 0xFF, 0x7D, 0xFF, 0x00, ##         000000000 00000 000000000       
            0x07, 0xFC, 0x7C, 0x7F, 0xC0, ##       000000000   00000   000000000     
            0x0F, 0xF8, 0x7C, 0x3F, 0xE0, ##      000000000    00000    000000000    
            0x3F, 0xE0, 0x7C, 0x0F, 0xF8, ##    000000000      00000      000000000  
            0xFF, 0x80, 0x7C, 0x03, 0xFE, ##  000000000        00000        000000000
            0x7F, 0x00, 0x7C, 0x01, 0xFC, ##   0000000         00000         0000000 
            0x3C, 0x00, 0x7C, 0x00, 0x78, ##    0000           00000           0000  
            0x30, 0x00, 0x7C, 0x00, 0x18, ##    00             00000             00  
            0x00, 0x00, 0x7C, 0x00, 0x00, ##                   00000                 
            0x00, 0x00, 0x7C, 0x00, 0x00, ##                   00000                 
            0x00, 0x00, 0x7C, 0x00, 0x00, ##                   00000                 
            0x00, 0x00, 0x7C, 0x00, 0x00, ##                   00000                 
            0x00, 0x00, 0x7C, 0x00, 0x00, ##                   00000                 
            0x00, 0x00, 0x7C, 0x00, 0x00, ##                   00000                 
            0x00, 0x00, 0x7C, 0x00, 0x00, ##                   00000                 
            0x00, 0x00, 0x7C, 0x00, 0x00, ##                   00000                 
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '43' => {    # '+'
        'width'    => 54, 
        'xoffset'  => 9, 
        'xadvance' => 72, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0xFE, 0x00, 0x00, 0x00, ##                          0000000                       
            0x00, 0x00, 0x00, 0xFE, 0x00, 0x00, 0x00, ##                          0000000                       
            0x00, 0x00, 0x00, 0xFE, 0x00, 0x00, 0x00, ##                          0000000                       
            0x00, 0x00, 0x00, 0xFE, 0x00, 0x00, 0x00, ##                          0000000                       
            0x00, 0x00, 0x00, 0xFE, 0x00, 0x00, 0x00, ##                          0000000                       
            0x00, 0x00, 0x00, 0xFE, 0x00, 0x00, 0x00, ##                          0000000                       
            0x00, 0x00, 0x00, 0xFE, 0x00, 0x00, 0x00, ##                          0000000                       
            0x00, 0x00, 0x00, 0xFE, 0x00, 0x00, 0x00, ##                          0000000                       
            0x00, 0x00, 0x00, 0xFE, 0x00, 0x00, 0x00, ##                          0000000                       
            0x00, 0x00, 0x00, 0xFE, 0x00, 0x00, 0x00, ##                          0000000                       
            0x00, 0x00, 0x00, 0xFE, 0x00, 0x00, 0x00, ##                          0000000                       
            0x00, 0x00, 0x00, 0xFE, 0x00, 0x00, 0x00, ##                          0000000                       
            0x00, 0x00, 0x00, 0xFE, 0x00, 0x00, 0x00, ##                          0000000                       
            0x00, 0x00, 0x00, 0xFE, 0x00, 0x00, 0x00, ##                          0000000                       
            0x00, 0x00, 0x00, 0xFE, 0x00, 0x00, 0x00, ##                          0000000                       
            0x00, 0x00, 0x00, 0xFE, 0x00, 0x00, 0x00, ##                          0000000                       
            0x00, 0x00, 0x00, 0xFE, 0x00, 0x00, 0x00, ##                          0000000                       
            0x00, 0x00, 0x00, 0xFE, 0x00, 0x00, 0x00, ##                          0000000                       
            0x00, 0x00, 0x00, 0xFE, 0x00, 0x00, 0x00, ##                          0000000                       
            0x00, 0x00, 0x00, 0xFE, 0x00, 0x00, 0x00, ##                          0000000                       
            0x00, 0x00, 0x00, 0xFE, 0x00, 0x00, 0x00, ##                          0000000                       
            0x00, 0x00, 0x00, 0xFE, 0x00, 0x00, 0x00, ##                          0000000                       
            0x00, 0x00, 0x00, 0xFE, 0x00, 0x00, 0x00, ##                          0000000                       
            0x00, 0x00, 0x00, 0xFE, 0x00, 0x00, 0x00, ##                          0000000                       
            0x00, 0x00, 0x00, 0xFE, 0x00, 0x00, 0x00, ##                          0000000                       
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFC, ##  000000000000000000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFC, ##  000000000000000000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFC, ##  000000000000000000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFC, ##  000000000000000000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFC, ##  000000000000000000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFC, ##  000000000000000000000000000000000000000000000000000000
            0x00, 0x00, 0x00, 0xFE, 0x00, 0x00, 0x00, ##                          0000000                       
            0x00, 0x00, 0x00, 0xFE, 0x00, 0x00, 0x00, ##                          0000000                       
            0x00, 0x00, 0x00, 0xFE, 0x00, 0x00, 0x00, ##                          0000000                       
            0x00, 0x00, 0x00, 0xFE, 0x00, 0x00, 0x00, ##                          0000000                       
            0x00, 0x00, 0x00, 0xFE, 0x00, 0x00, 0x00, ##                          0000000                       
            0x00, 0x00, 0x00, 0xFE, 0x00, 0x00, 0x00, ##                          0000000                       
            0x00, 0x00, 0x00, 0xFE, 0x00, 0x00, 0x00, ##                          0000000                       
            0x00, 0x00, 0x00, 0xFE, 0x00, 0x00, 0x00, ##                          0000000                       
            0x00, 0x00, 0x00, 0xFE, 0x00, 0x00, 0x00, ##                          0000000                       
            0x00, 0x00, 0x00, 0xFE, 0x00, 0x00, 0x00, ##                          0000000                       
            0x00, 0x00, 0x00, 0xFE, 0x00, 0x00, 0x00, ##                          0000000                       
            0x00, 0x00, 0x00, 0xFE, 0x00, 0x00, 0x00, ##                          0000000                       
            0x00, 0x00, 0x00, 0xFE, 0x00, 0x00, 0x00, ##                          0000000                       
            0x00, 0x00, 0x00, 0xFE, 0x00, 0x00, 0x00, ##                          0000000                       
            0x00, 0x00, 0x00, 0xFE, 0x00, 0x00, 0x00, ##                          0000000                       
            0x00, 0x00, 0x00, 0xFE, 0x00, 0x00, 0x00, ##                          0000000                       
            0x00, 0x00, 0x00, 0xFE, 0x00, 0x00, 0x00, ##                          0000000                       
            0x00, 0x00, 0x00, 0xFE, 0x00, 0x00, 0x00, ##                          0000000                       
            0x00, 0x00, 0x00, 0xFE, 0x00, 0x00, 0x00, ##                          0000000                       
            0x00, 0x00, 0x00, 0xFE, 0x00, 0x00, 0x00, ##                          0000000                       
            0x00, 0x00, 0x00, 0xFE, 0x00, 0x00, 0x00, ##                          0000000                       
            0x00, 0x00, 0x00, 0xFE, 0x00, 0x00, 0x00, ##                          0000000                       
            0x00, 0x00, 0x00, 0xFE, 0x00, 0x00, 0x00, ##                          0000000                       
            0x00, 0x00, 0x00, 0xFE, 0x00, 0x00, 0x00, ##                          0000000                       
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '44' => {    # ','
        'width'    => 12, 
        'xoffset'  => 7, 
        'xadvance' => 28, 
        'bitmap'   => [ 
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x1F, 0xF0, ##     000000000
            0x1F, 0xF0, ##     000000000
            0x1F, 0xF0, ##     000000000
            0x1F, 0xF0, ##     000000000
            0x1F, 0xF0, ##     000000000
            0x1F, 0xF0, ##     000000000
            0x1F, 0xF0, ##     000000000
            0x1F, 0xF0, ##     000000000
            0x1F, 0xE0, ##     00000000 
            0x3F, 0xE0, ##    000000000 
            0x3F, 0xC0, ##    00000000  
            0x3F, 0xC0, ##    00000000  
            0x3F, 0x80, ##    0000000   
            0x7F, 0x80, ##   00000000   
            0x7F, 0x00, ##   0000000    
            0x7F, 0x00, ##   0000000    
            0x7E, 0x00, ##   000000     
            0xFE, 0x00, ##  0000000     
            0xFC, 0x00, ##  000000      
            0xFC, 0x00, ##  000000      
            0xF8, 0x00, ##  00000       
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
        ], 
    }, 
    '45' => {    # '-'
        'width'    => 23, 
        'xoffset'  => 4, 
        'xadvance' => 31, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0xFF, 0xFF, 0xFE, ##  00000000000000000000000
            0xFF, 0xFF, 0xFE, ##  00000000000000000000000
            0xFF, 0xFF, 0xFE, ##  00000000000000000000000
            0xFF, 0xFF, 0xFE, ##  00000000000000000000000
            0xFF, 0xFF, 0xFE, ##  00000000000000000000000
            0xFF, 0xFF, 0xFE, ##  00000000000000000000000
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '46' => {    # '.'
        'width'    => 9, 
        'xoffset'  => 9, 
        'xadvance' => 27, 
        'bitmap'   => [ 
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0xFF, 0x80, ##  000000000
            0xFF, 0x80, ##  000000000
            0xFF, 0x80, ##  000000000
            0xFF, 0x80, ##  000000000
            0xFF, 0x80, ##  000000000
            0xFF, 0x80, ##  000000000
            0xFF, 0x80, ##  000000000
            0xFF, 0x80, ##  000000000
            0xFF, 0x80, ##  000000000
            0xFF, 0x80, ##  000000000
            0xFF, 0x80, ##  000000000
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
        ], 
    }, 
    '47' => {    # '/'
        'width'    => 29, 
        'xoffset'  => 0, 
        'xadvance' => 29, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x03, 0xF8, ##                        0000000
            0x00, 0x00, 0x03, 0xF8, ##                        0000000
            0x00, 0x00, 0x07, 0xF8, ##                       00000000
            0x00, 0x00, 0x07, 0xF0, ##                       0000000 
            0x00, 0x00, 0x07, 0xF0, ##                       0000000 
            0x00, 0x00, 0x0F, 0xF0, ##                      00000000 
            0x00, 0x00, 0x0F, 0xE0, ##                      0000000  
            0x00, 0x00, 0x0F, 0xE0, ##                      0000000  
            0x00, 0x00, 0x1F, 0xE0, ##                     00000000  
            0x00, 0x00, 0x1F, 0xC0, ##                     0000000   
            0x00, 0x00, 0x1F, 0xC0, ##                     0000000   
            0x00, 0x00, 0x1F, 0xC0, ##                     0000000   
            0x00, 0x00, 0x3F, 0x80, ##                    0000000    
            0x00, 0x00, 0x3F, 0x80, ##                    0000000    
            0x00, 0x00, 0x3F, 0x80, ##                    0000000    
            0x00, 0x00, 0x7F, 0x80, ##                   00000000    
            0x00, 0x00, 0x7F, 0x00, ##                   0000000     
            0x00, 0x00, 0x7F, 0x00, ##                   0000000     
            0x00, 0x00, 0xFF, 0x00, ##                  00000000     
            0x00, 0x00, 0xFE, 0x00, ##                  0000000      
            0x00, 0x00, 0xFE, 0x00, ##                  0000000      
            0x00, 0x01, 0xFE, 0x00, ##                 00000000      
            0x00, 0x01, 0xFC, 0x00, ##                 0000000       
            0x00, 0x01, 0xFC, 0x00, ##                 0000000       
            0x00, 0x01, 0xFC, 0x00, ##                 0000000       
            0x00, 0x03, 0xFC, 0x00, ##                00000000       
            0x00, 0x03, 0xF8, 0x00, ##                0000000        
            0x00, 0x03, 0xF8, 0x00, ##                0000000        
            0x00, 0x07, 0xF8, 0x00, ##               00000000        
            0x00, 0x07, 0xF0, 0x00, ##               0000000         
            0x00, 0x07, 0xF0, 0x00, ##               0000000         
            0x00, 0x0F, 0xF0, 0x00, ##              00000000         
            0x00, 0x0F, 0xE0, 0x00, ##              0000000          
            0x00, 0x0F, 0xE0, 0x00, ##              0000000          
            0x00, 0x1F, 0xE0, 0x00, ##             00000000          
            0x00, 0x1F, 0xC0, 0x00, ##             0000000           
            0x00, 0x1F, 0xC0, 0x00, ##             0000000           
            0x00, 0x1F, 0xC0, 0x00, ##             0000000           
            0x00, 0x3F, 0xC0, 0x00, ##            00000000           
            0x00, 0x3F, 0x80, 0x00, ##            0000000            
            0x00, 0x3F, 0x80, 0x00, ##            0000000            
            0x00, 0x7F, 0x80, 0x00, ##           00000000            
            0x00, 0x7F, 0x00, 0x00, ##           0000000             
            0x00, 0x7F, 0x00, 0x00, ##           0000000             
            0x00, 0xFF, 0x00, 0x00, ##          00000000             
            0x00, 0xFE, 0x00, 0x00, ##          0000000              
            0x00, 0xFE, 0x00, 0x00, ##          0000000              
            0x00, 0xFE, 0x00, 0x00, ##          0000000              
            0x01, 0xFC, 0x00, 0x00, ##         0000000               
            0x01, 0xFC, 0x00, 0x00, ##         0000000               
            0x01, 0xFC, 0x00, 0x00, ##         0000000               
            0x03, 0xFC, 0x00, 0x00, ##        00000000               
            0x03, 0xF8, 0x00, 0x00, ##        0000000                
            0x03, 0xF8, 0x00, 0x00, ##        0000000                
            0x07, 0xF8, 0x00, 0x00, ##       00000000                
            0x07, 0xF0, 0x00, 0x00, ##       0000000                 
            0x07, 0xF0, 0x00, 0x00, ##       0000000                 
            0x0F, 0xF0, 0x00, 0x00, ##      00000000                 
            0x0F, 0xE0, 0x00, 0x00, ##      0000000                  
            0x0F, 0xE0, 0x00, 0x00, ##      0000000                  
            0x0F, 0xE0, 0x00, 0x00, ##      0000000                  
            0x1F, 0xC0, 0x00, 0x00, ##     0000000                   
            0x1F, 0xC0, 0x00, 0x00, ##     0000000                   
            0x1F, 0xC0, 0x00, 0x00, ##     0000000                   
            0x3F, 0xC0, 0x00, 0x00, ##    00000000                   
            0x3F, 0x80, 0x00, 0x00, ##    0000000                    
            0x3F, 0x80, 0x00, 0x00, ##    0000000                    
            0x7F, 0x80, 0x00, 0x00, ##   00000000                    
            0x7F, 0x00, 0x00, 0x00, ##   0000000                     
            0x7F, 0x00, 0x00, 0x00, ##   0000000                     
            0xFF, 0x00, 0x00, 0x00, ##  00000000                     
            0xFE, 0x00, 0x00, 0x00, ##  0000000                      
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '48' => {    # '0'
        'width'    => 44, 
        'xoffset'  => 6, 
        'xadvance' => 56, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x7F, 0xE0, 0x00, 0x00, ##                   0000000000                 
            0x00, 0x03, 0xFF, 0xFC, 0x00, 0x00, ##                0000000000000000              
            0x00, 0x0F, 0xFF, 0xFF, 0x00, 0x00, ##              00000000000000000000            
            0x00, 0x3F, 0xFF, 0xFF, 0xC0, 0x00, ##            000000000000000000000000          
            0x00, 0x7F, 0xFF, 0xFF, 0xE0, 0x00, ##           00000000000000000000000000         
            0x00, 0xFF, 0xFF, 0xFF, 0xF0, 0x00, ##          0000000000000000000000000000        
            0x01, 0xFF, 0xC0, 0x7F, 0xF8, 0x00, ##         00000000000       000000000000       
            0x03, 0xFF, 0x00, 0x0F, 0xFC, 0x00, ##        0000000000            0000000000      
            0x03, 0xFE, 0x00, 0x07, 0xFC, 0x00, ##        000000000              000000000      
            0x07, 0xFC, 0x00, 0x03, 0xFE, 0x00, ##       000000000                000000000     
            0x0F, 0xF8, 0x00, 0x01, 0xFF, 0x00, ##      000000000                  000000000    
            0x0F, 0xF0, 0x00, 0x00, 0xFF, 0x00, ##      00000000                    00000000    
            0x1F, 0xF0, 0x00, 0x00, 0xFF, 0x80, ##     000000000                    000000000   
            0x1F, 0xE0, 0x00, 0x00, 0x7F, 0x80, ##     00000000                      00000000   
            0x1F, 0xE0, 0x00, 0x00, 0x7F, 0x80, ##     00000000                      00000000   
            0x3F, 0xC0, 0x00, 0x00, 0x3F, 0xC0, ##    00000000                        00000000  
            0x3F, 0xC0, 0x00, 0x00, 0x3F, 0xC0, ##    00000000                        00000000  
            0x3F, 0xC0, 0x00, 0x00, 0x3F, 0xC0, ##    00000000                        00000000  
            0x7F, 0x80, 0x00, 0x00, 0x1F, 0xC0, ##   00000000                          0000000  
            0x7F, 0x80, 0x00, 0x00, 0x1F, 0xE0, ##   00000000                          00000000 
            0x7F, 0x80, 0x00, 0x00, 0x1F, 0xE0, ##   00000000                          00000000 
            0x7F, 0x80, 0x00, 0x00, 0x1F, 0xE0, ##   00000000                          00000000 
            0x7F, 0x80, 0x00, 0x00, 0x1F, 0xE0, ##   00000000                          00000000 
            0x7F, 0x80, 0x00, 0x00, 0x1F, 0xE0, ##   00000000                          00000000 
            0xFF, 0x00, 0x00, 0x00, 0x0F, 0xF0, ##  00000000                            00000000
            0xFF, 0x00, 0x00, 0x00, 0x0F, 0xF0, ##  00000000                            00000000
            0xFF, 0x00, 0x00, 0x00, 0x0F, 0xF0, ##  00000000                            00000000
            0xFF, 0x00, 0x00, 0x00, 0x0F, 0xF0, ##  00000000                            00000000
            0xFF, 0x00, 0x00, 0x00, 0x0F, 0xF0, ##  00000000                            00000000
            0xFF, 0x00, 0x00, 0x00, 0x0F, 0xF0, ##  00000000                            00000000
            0xFF, 0x00, 0x00, 0x00, 0x0F, 0xF0, ##  00000000                            00000000
            0xFF, 0x00, 0x00, 0x00, 0x0F, 0xF0, ##  00000000                            00000000
            0xFF, 0x00, 0x00, 0x00, 0x0F, 0xF0, ##  00000000                            00000000
            0xFF, 0x00, 0x00, 0x00, 0x0F, 0xF0, ##  00000000                            00000000
            0xFF, 0x00, 0x00, 0x00, 0x0F, 0xF0, ##  00000000                            00000000
            0xFF, 0x00, 0x00, 0x00, 0x0F, 0xF0, ##  00000000                            00000000
            0xFF, 0x00, 0x00, 0x00, 0x0F, 0xF0, ##  00000000                            00000000
            0xFF, 0x00, 0x00, 0x00, 0x0F, 0xF0, ##  00000000                            00000000
            0xFF, 0x00, 0x00, 0x00, 0x0F, 0xF0, ##  00000000                            00000000
            0xFF, 0x00, 0x00, 0x00, 0x0F, 0xF0, ##  00000000                            00000000
            0xFF, 0x00, 0x00, 0x00, 0x0F, 0xF0, ##  00000000                            00000000
            0xFF, 0x00, 0x00, 0x00, 0x0F, 0xF0, ##  00000000                            00000000
            0x7F, 0x80, 0x00, 0x00, 0x1F, 0xE0, ##   00000000                          00000000 
            0x7F, 0x80, 0x00, 0x00, 0x1F, 0xE0, ##   00000000                          00000000 
            0x7F, 0x80, 0x00, 0x00, 0x1F, 0xE0, ##   00000000                          00000000 
            0x7F, 0x80, 0x00, 0x00, 0x1F, 0xE0, ##   00000000                          00000000 
            0x7F, 0x80, 0x00, 0x00, 0x1F, 0xE0, ##   00000000                          00000000 
            0x7F, 0x80, 0x00, 0x00, 0x1F, 0xE0, ##   00000000                          00000000 
            0x3F, 0xC0, 0x00, 0x00, 0x3F, 0xC0, ##    00000000                        00000000  
            0x3F, 0xC0, 0x00, 0x00, 0x3F, 0xC0, ##    00000000                        00000000  
            0x3F, 0xC0, 0x00, 0x00, 0x3F, 0xC0, ##    00000000                        00000000  
            0x1F, 0xE0, 0x00, 0x00, 0x7F, 0x80, ##     00000000                      00000000   
            0x1F, 0xE0, 0x00, 0x00, 0x7F, 0x80, ##     00000000                      00000000   
            0x1F, 0xF0, 0x00, 0x00, 0xFF, 0x80, ##     000000000                    000000000   
            0x0F, 0xF0, 0x00, 0x00, 0xFF, 0x00, ##      00000000                    00000000    
            0x0F, 0xF8, 0x00, 0x01, 0xFF, 0x00, ##      000000000                  000000000    
            0x07, 0xFC, 0x00, 0x03, 0xFE, 0x00, ##       000000000                000000000     
            0x03, 0xFE, 0x00, 0x07, 0xFC, 0x00, ##        000000000              000000000      
            0x03, 0xFF, 0x00, 0x0F, 0xFC, 0x00, ##        0000000000            0000000000      
            0x01, 0xFF, 0xC0, 0x7F, 0xF8, 0x00, ##         00000000000       000000000000       
            0x00, 0xFF, 0xFF, 0xFF, 0xF0, 0x00, ##          0000000000000000000000000000        
            0x00, 0x7F, 0xFF, 0xFF, 0xE0, 0x00, ##           00000000000000000000000000         
            0x00, 0x3F, 0xFF, 0xFF, 0xC0, 0x00, ##            000000000000000000000000          
            0x00, 0x0F, 0xFF, 0xFF, 0x00, 0x00, ##              00000000000000000000            
            0x00, 0x03, 0xFF, 0xFC, 0x00, 0x00, ##                0000000000000000              
            0x00, 0x00, 0x7F, 0xE0, 0x00, 0x00, ##                   0000000000                 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '49' => {    # '1'
        'width'    => 38, 
        'xoffset'  => 10, 
        'xadvance' => 56, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x07, 0xFE, 0x00, 0x00, ##               0000000000               
            0x00, 0xFF, 0xFE, 0x00, 0x00, ##          000000000000000               
            0x1F, 0xFF, 0xFE, 0x00, 0x00, ##     00000000000000000000               
            0xFF, 0xFF, 0xFE, 0x00, 0x00, ##  00000000000000000000000               
            0xFF, 0xFF, 0xFE, 0x00, 0x00, ##  00000000000000000000000               
            0xFF, 0xFF, 0xFE, 0x00, 0x00, ##  00000000000000000000000               
            0xFF, 0xFF, 0xFE, 0x00, 0x00, ##  00000000000000000000000               
            0xFF, 0xFF, 0xFE, 0x00, 0x00, ##  00000000000000000000000               
            0xFF, 0xF9, 0xFE, 0x00, 0x00, ##  0000000000000  00000000               
            0xFF, 0x01, 0xFE, 0x00, 0x00, ##  00000000       00000000               
            0xE0, 0x01, 0xFE, 0x00, 0x00, ##  000            00000000               
            0x00, 0x01, 0xFE, 0x00, 0x00, ##                 00000000               
            0x00, 0x01, 0xFE, 0x00, 0x00, ##                 00000000               
            0x00, 0x01, 0xFE, 0x00, 0x00, ##                 00000000               
            0x00, 0x01, 0xFE, 0x00, 0x00, ##                 00000000               
            0x00, 0x01, 0xFE, 0x00, 0x00, ##                 00000000               
            0x00, 0x01, 0xFE, 0x00, 0x00, ##                 00000000               
            0x00, 0x01, 0xFE, 0x00, 0x00, ##                 00000000               
            0x00, 0x01, 0xFE, 0x00, 0x00, ##                 00000000               
            0x00, 0x01, 0xFE, 0x00, 0x00, ##                 00000000               
            0x00, 0x01, 0xFE, 0x00, 0x00, ##                 00000000               
            0x00, 0x01, 0xFE, 0x00, 0x00, ##                 00000000               
            0x00, 0x01, 0xFE, 0x00, 0x00, ##                 00000000               
            0x00, 0x01, 0xFE, 0x00, 0x00, ##                 00000000               
            0x00, 0x01, 0xFE, 0x00, 0x00, ##                 00000000               
            0x00, 0x01, 0xFE, 0x00, 0x00, ##                 00000000               
            0x00, 0x01, 0xFE, 0x00, 0x00, ##                 00000000               
            0x00, 0x01, 0xFE, 0x00, 0x00, ##                 00000000               
            0x00, 0x01, 0xFE, 0x00, 0x00, ##                 00000000               
            0x00, 0x01, 0xFE, 0x00, 0x00, ##                 00000000               
            0x00, 0x01, 0xFE, 0x00, 0x00, ##                 00000000               
            0x00, 0x01, 0xFE, 0x00, 0x00, ##                 00000000               
            0x00, 0x01, 0xFE, 0x00, 0x00, ##                 00000000               
            0x00, 0x01, 0xFE, 0x00, 0x00, ##                 00000000               
            0x00, 0x01, 0xFE, 0x00, 0x00, ##                 00000000               
            0x00, 0x01, 0xFE, 0x00, 0x00, ##                 00000000               
            0x00, 0x01, 0xFE, 0x00, 0x00, ##                 00000000               
            0x00, 0x01, 0xFE, 0x00, 0x00, ##                 00000000               
            0x00, 0x01, 0xFE, 0x00, 0x00, ##                 00000000               
            0x00, 0x01, 0xFE, 0x00, 0x00, ##                 00000000               
            0x00, 0x01, 0xFE, 0x00, 0x00, ##                 00000000               
            0x00, 0x01, 0xFE, 0x00, 0x00, ##                 00000000               
            0x00, 0x01, 0xFE, 0x00, 0x00, ##                 00000000               
            0x00, 0x01, 0xFE, 0x00, 0x00, ##                 00000000               
            0x00, 0x01, 0xFE, 0x00, 0x00, ##                 00000000               
            0x00, 0x01, 0xFE, 0x00, 0x00, ##                 00000000               
            0x00, 0x01, 0xFE, 0x00, 0x00, ##                 00000000               
            0x00, 0x01, 0xFE, 0x00, 0x00, ##                 00000000               
            0x00, 0x01, 0xFE, 0x00, 0x00, ##                 00000000               
            0x00, 0x01, 0xFE, 0x00, 0x00, ##                 00000000               
            0x00, 0x01, 0xFE, 0x00, 0x00, ##                 00000000               
            0x00, 0x01, 0xFE, 0x00, 0x00, ##                 00000000               
            0x00, 0x01, 0xFE, 0x00, 0x00, ##                 00000000               
            0x00, 0x01, 0xFE, 0x00, 0x00, ##                 00000000               
            0x00, 0x01, 0xFE, 0x00, 0x00, ##                 00000000               
            0x00, 0x01, 0xFE, 0x00, 0x00, ##                 00000000               
            0x00, 0x01, 0xFE, 0x00, 0x00, ##                 00000000               
            0x00, 0x01, 0xFE, 0x00, 0x00, ##                 00000000               
            0x7F, 0xFF, 0xFF, 0xFF, 0xFC, ##   0000000000000000000000000000000000000
            0x7F, 0xFF, 0xFF, 0xFF, 0xFC, ##   0000000000000000000000000000000000000
            0x7F, 0xFF, 0xFF, 0xFF, 0xFC, ##   0000000000000000000000000000000000000
            0x7F, 0xFF, 0xFF, 0xFF, 0xFC, ##   0000000000000000000000000000000000000
            0x7F, 0xFF, 0xFF, 0xFF, 0xFC, ##   0000000000000000000000000000000000000
            0x7F, 0xFF, 0xFF, 0xFF, 0xFC, ##   0000000000000000000000000000000000000
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '50' => {    # '2'
        'width'    => 40, 
        'xoffset'  => 6, 
        'xadvance' => 55, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x0F, 0xFF, 0x00, 0x00, ##              000000000000                
            0x01, 0xFF, 0xFF, 0xF0, 0x00, ##         000000000000000000000            
            0x0F, 0xFF, 0xFF, 0xFC, 0x00, ##      00000000000000000000000000          
            0xFF, 0xFF, 0xFF, 0xFF, 0x00, ##  00000000000000000000000000000000        
            0xFF, 0xFF, 0xFF, 0xFF, 0x80, ##  000000000000000000000000000000000       
            0xFF, 0xFF, 0xFF, 0xFF, 0xE0, ##  00000000000000000000000000000000000     
            0xFF, 0xFC, 0x01, 0xFF, 0xF0, ##  00000000000000         0000000000000    
            0xFF, 0xC0, 0x00, 0x3F, 0xF8, ##  0000000000                00000000000   
            0xFE, 0x00, 0x00, 0x1F, 0xF8, ##  0000000                    0000000000   
            0xF8, 0x00, 0x00, 0x07, 0xFC, ##  00000                        000000000  
            0xE0, 0x00, 0x00, 0x07, 0xFC, ##  000                          000000000  
            0x80, 0x00, 0x00, 0x03, 0xFE, ##  0                             000000000 
            0x00, 0x00, 0x00, 0x01, 0xFE, ##                                 00000000 
            0x00, 0x00, 0x00, 0x01, 0xFE, ##                                 00000000 
            0x00, 0x00, 0x00, 0x00, 0xFF, ##                                  00000000
            0x00, 0x00, 0x00, 0x00, 0xFF, ##                                  00000000
            0x00, 0x00, 0x00, 0x00, 0xFF, ##                                  00000000
            0x00, 0x00, 0x00, 0x00, 0xFF, ##                                  00000000
            0x00, 0x00, 0x00, 0x00, 0xFF, ##                                  00000000
            0x00, 0x00, 0x00, 0x00, 0xFF, ##                                  00000000
            0x00, 0x00, 0x00, 0x00, 0xFF, ##                                  00000000
            0x00, 0x00, 0x00, 0x01, 0xFF, ##                                 000000000
            0x00, 0x00, 0x00, 0x01, 0xFF, ##                                 000000000
            0x00, 0x00, 0x00, 0x01, 0xFE, ##                                 00000000 
            0x00, 0x00, 0x00, 0x03, 0xFE, ##                                000000000 
            0x00, 0x00, 0x00, 0x03, 0xFE, ##                                000000000 
            0x00, 0x00, 0x00, 0x07, 0xFC, ##                               000000000  
            0x00, 0x00, 0x00, 0x0F, 0xFC, ##                              0000000000  
            0x00, 0x00, 0x00, 0x0F, 0xF8, ##                              000000000   
            0x00, 0x00, 0x00, 0x1F, 0xF8, ##                             0000000000   
            0x00, 0x00, 0x00, 0x3F, 0xF0, ##                            0000000000    
            0x00, 0x00, 0x00, 0x7F, 0xE0, ##                           0000000000     
            0x00, 0x00, 0x00, 0xFF, 0xE0, ##                          00000000000     
            0x00, 0x00, 0x00, 0xFF, 0xC0, ##                          0000000000      
            0x00, 0x00, 0x01, 0xFF, 0x80, ##                         0000000000       
            0x00, 0x00, 0x03, 0xFF, 0x00, ##                        0000000000        
            0x00, 0x00, 0x07, 0xFE, 0x00, ##                       0000000000         
            0x00, 0x00, 0x0F, 0xFC, 0x00, ##                      0000000000          
            0x00, 0x00, 0x1F, 0xF8, 0x00, ##                     0000000000           
            0x00, 0x00, 0x3F, 0xF0, 0x00, ##                    0000000000            
            0x00, 0x00, 0x7F, 0xE0, 0x00, ##                   0000000000             
            0x00, 0x00, 0xFF, 0xC0, 0x00, ##                  0000000000              
            0x00, 0x01, 0xFF, 0x80, 0x00, ##                 0000000000               
            0x00, 0x03, 0xFF, 0x00, 0x00, ##                0000000000                
            0x00, 0x07, 0xFF, 0x00, 0x00, ##               00000000000                
            0x00, 0x0F, 0xFE, 0x00, 0x00, ##              00000000000                 
            0x00, 0x1F, 0xFC, 0x00, 0x00, ##             00000000000                  
            0x00, 0x3F, 0xF8, 0x00, 0x00, ##            00000000000                   
            0x00, 0x7F, 0xF0, 0x00, 0x00, ##           00000000000                    
            0x00, 0xFF, 0xE0, 0x00, 0x00, ##          00000000000                     
            0x01, 0xFF, 0xC0, 0x00, 0x00, ##         00000000000                      
            0x03, 0xFF, 0x80, 0x00, 0x00, ##        00000000000                       
            0x07, 0xFF, 0x00, 0x00, 0x00, ##       00000000000                        
            0x0F, 0xFE, 0x00, 0x00, 0x00, ##      00000000000                         
            0x1F, 0xFC, 0x00, 0x00, 0x00, ##     00000000000                          
            0x3F, 0xF8, 0x00, 0x00, 0x00, ##    00000000000                           
            0x7F, 0xF0, 0x00, 0x00, 0x00, ##   00000000000                            
            0xFF, 0xE0, 0x00, 0x00, 0x00, ##  00000000000                             
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, ##  0000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, ##  0000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, ##  0000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, ##  0000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, ##  0000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, ##  0000000000000000000000000000000000000000
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '51' => {    # '3'
        'width'    => 41, 
        'xoffset'  => 7, 
        'xadvance' => 55, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x1F, 0xFF, 0x00, 0x00, 0x00, ##             0000000000000                 
            0x07, 0xFF, 0xFF, 0xF0, 0x00, 0x00, ##       00000000000000000000000             
            0x7F, 0xFF, 0xFF, 0xFC, 0x00, 0x00, ##   00000000000000000000000000000           
            0x7F, 0xFF, 0xFF, 0xFF, 0x00, 0x00, ##   0000000000000000000000000000000         
            0x7F, 0xFF, 0xFF, 0xFF, 0x80, 0x00, ##   00000000000000000000000000000000        
            0x7F, 0xFF, 0xFF, 0xFF, 0xE0, 0x00, ##   0000000000000000000000000000000000      
            0x7F, 0xF0, 0x03, 0xFF, 0xE0, 0x00, ##   00000000000          0000000000000      
            0x7F, 0x00, 0x00, 0x7F, 0xF0, 0x00, ##   0000000                 00000000000     
            0x70, 0x00, 0x00, 0x1F, 0xF8, 0x00, ##   000                       0000000000    
            0x00, 0x00, 0x00, 0x0F, 0xF8, 0x00, ##                              000000000    
            0x00, 0x00, 0x00, 0x07, 0xFC, 0x00, ##                               000000000   
            0x00, 0x00, 0x00, 0x03, 0xFC, 0x00, ##                                00000000   
            0x00, 0x00, 0x00, 0x03, 0xFE, 0x00, ##                                000000000  
            0x00, 0x00, 0x00, 0x01, 0xFE, 0x00, ##                                 00000000  
            0x00, 0x00, 0x00, 0x01, 0xFE, 0x00, ##                                 00000000  
            0x00, 0x00, 0x00, 0x01, 0xFE, 0x00, ##                                 00000000  
            0x00, 0x00, 0x00, 0x01, 0xFE, 0x00, ##                                 00000000  
            0x00, 0x00, 0x00, 0x01, 0xFE, 0x00, ##                                 00000000  
            0x00, 0x00, 0x00, 0x01, 0xFE, 0x00, ##                                 00000000  
            0x00, 0x00, 0x00, 0x01, 0xFE, 0x00, ##                                 00000000  
            0x00, 0x00, 0x00, 0x01, 0xFC, 0x00, ##                                 0000000   
            0x00, 0x00, 0x00, 0x03, 0xFC, 0x00, ##                                00000000   
            0x00, 0x00, 0x00, 0x03, 0xFC, 0x00, ##                                00000000   
            0x00, 0x00, 0x00, 0x07, 0xF8, 0x00, ##                               00000000    
            0x00, 0x00, 0x00, 0x0F, 0xF8, 0x00, ##                              000000000    
            0x00, 0x00, 0x00, 0x1F, 0xF0, 0x00, ##                             000000000     
            0x00, 0x00, 0x00, 0x3F, 0xE0, 0x00, ##                            000000000      
            0x00, 0x00, 0x01, 0xFF, 0xC0, 0x00, ##                         00000000000       
            0x00, 0x3F, 0xFF, 0xFF, 0x00, 0x00, ##            0000000000000000000000         
            0x00, 0x3F, 0xFF, 0xFC, 0x00, 0x00, ##            00000000000000000000           
            0x00, 0x3F, 0xFF, 0xF0, 0x00, 0x00, ##            000000000000000000             
            0x00, 0x3F, 0xFF, 0xFE, 0x00, 0x00, ##            000000000000000000000          
            0x00, 0x3F, 0xFF, 0xFF, 0x80, 0x00, ##            00000000000000000000000        
            0x00, 0x3F, 0xFF, 0xFF, 0xC0, 0x00, ##            000000000000000000000000       
            0x00, 0x00, 0x01, 0xFF, 0xF0, 0x00, ##                         0000000000000     
            0x00, 0x00, 0x00, 0x3F, 0xF8, 0x00, ##                            00000000000    
            0x00, 0x00, 0x00, 0x0F, 0xFC, 0x00, ##                              0000000000   
            0x00, 0x00, 0x00, 0x07, 0xFC, 0x00, ##                               000000000   
            0x00, 0x00, 0x00, 0x03, 0xFE, 0x00, ##                                000000000  
            0x00, 0x00, 0x00, 0x01, 0xFF, 0x00, ##                                 000000000 
            0x00, 0x00, 0x00, 0x00, 0xFF, 0x00, ##                                  00000000 
            0x00, 0x00, 0x00, 0x00, 0xFF, 0x00, ##                                  00000000 
            0x00, 0x00, 0x00, 0x00, 0xFF, 0x80, ##                                  000000000
            0x00, 0x00, 0x00, 0x00, 0x7F, 0x80, ##                                   00000000
            0x00, 0x00, 0x00, 0x00, 0x7F, 0x80, ##                                   00000000
            0x00, 0x00, 0x00, 0x00, 0x7F, 0x80, ##                                   00000000
            0x00, 0x00, 0x00, 0x00, 0x7F, 0x80, ##                                   00000000
            0x00, 0x00, 0x00, 0x00, 0x7F, 0x80, ##                                   00000000
            0x00, 0x00, 0x00, 0x00, 0x7F, 0x80, ##                                   00000000
            0x00, 0x00, 0x00, 0x00, 0x7F, 0x80, ##                                   00000000
            0x00, 0x00, 0x00, 0x00, 0x7F, 0x80, ##                                   00000000
            0x00, 0x00, 0x00, 0x00, 0xFF, 0x00, ##                                  00000000 
            0x00, 0x00, 0x00, 0x00, 0xFF, 0x00, ##                                  00000000 
            0x00, 0x00, 0x00, 0x01, 0xFF, 0x00, ##                                 000000000 
            0x00, 0x00, 0x00, 0x01, 0xFE, 0x00, ##                                 00000000  
            0x00, 0x00, 0x00, 0x03, 0xFE, 0x00, ##                                000000000  
            0x80, 0x00, 0x00, 0x07, 0xFC, 0x00, ##  0                            000000000   
            0xE0, 0x00, 0x00, 0x1F, 0xFC, 0x00, ##  000                        00000000000   
            0xFC, 0x00, 0x00, 0x7F, 0xF8, 0x00, ##  000000                   000000000000    
            0xFF, 0xC0, 0x03, 0xFF, 0xF0, 0x00, ##  0000000000            00000000000000     
            0xFF, 0xFF, 0xFF, 0xFF, 0xE0, 0x00, ##  00000000000000000000000000000000000      
            0xFF, 0xFF, 0xFF, 0xFF, 0xC0, 0x00, ##  0000000000000000000000000000000000       
            0xFF, 0xFF, 0xFF, 0xFF, 0x00, 0x00, ##  00000000000000000000000000000000         
            0xFF, 0xFF, 0xFF, 0xFC, 0x00, 0x00, ##  000000000000000000000000000000           
            0x0F, 0xFF, 0xFF, 0xF0, 0x00, 0x00, ##      000000000000000000000000             
            0x00, 0x3F, 0xFE, 0x00, 0x00, 0x00, ##            0000000000000                  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '52' => {    # '4'
        'width'    => 46, 
        'xoffset'  => 5, 
        'xadvance' => 55, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x7F, 0xF0, 0x00, ##                           00000000000          
            0x00, 0x00, 0x00, 0x7F, 0xF0, 0x00, ##                           00000000000          
            0x00, 0x00, 0x00, 0xFF, 0xF0, 0x00, ##                          000000000000          
            0x00, 0x00, 0x00, 0xFF, 0xF0, 0x00, ##                          000000000000          
            0x00, 0x00, 0x01, 0xFF, 0xF0, 0x00, ##                         0000000000000          
            0x00, 0x00, 0x03, 0xFF, 0xF0, 0x00, ##                        00000000000000          
            0x00, 0x00, 0x03, 0xFF, 0xF0, 0x00, ##                        00000000000000          
            0x00, 0x00, 0x07, 0xFF, 0xF0, 0x00, ##                       000000000000000          
            0x00, 0x00, 0x0F, 0xFF, 0xF0, 0x00, ##                      0000000000000000          
            0x00, 0x00, 0x0F, 0xEF, 0xF0, 0x00, ##                      0000000 00000000          
            0x00, 0x00, 0x1F, 0xCF, 0xF0, 0x00, ##                     0000000  00000000          
            0x00, 0x00, 0x1F, 0xCF, 0xF0, 0x00, ##                     0000000  00000000          
            0x00, 0x00, 0x3F, 0x8F, 0xF0, 0x00, ##                    0000000   00000000          
            0x00, 0x00, 0x7F, 0x8F, 0xF0, 0x00, ##                   00000000   00000000          
            0x00, 0x00, 0x7F, 0x0F, 0xF0, 0x00, ##                   0000000    00000000          
            0x00, 0x00, 0xFE, 0x0F, 0xF0, 0x00, ##                  0000000     00000000          
            0x00, 0x01, 0xFE, 0x0F, 0xF0, 0x00, ##                 00000000     00000000          
            0x00, 0x01, 0xFC, 0x0F, 0xF0, 0x00, ##                 0000000      00000000          
            0x00, 0x03, 0xF8, 0x0F, 0xF0, 0x00, ##                0000000       00000000          
            0x00, 0x03, 0xF8, 0x0F, 0xF0, 0x00, ##                0000000       00000000          
            0x00, 0x07, 0xF0, 0x0F, 0xF0, 0x00, ##               0000000        00000000          
            0x00, 0x0F, 0xF0, 0x0F, 0xF0, 0x00, ##              00000000        00000000          
            0x00, 0x0F, 0xE0, 0x0F, 0xF0, 0x00, ##              0000000         00000000          
            0x00, 0x1F, 0xC0, 0x0F, 0xF0, 0x00, ##             0000000          00000000          
            0x00, 0x3F, 0xC0, 0x0F, 0xF0, 0x00, ##            00000000          00000000          
            0x00, 0x3F, 0x80, 0x0F, 0xF0, 0x00, ##            0000000           00000000          
            0x00, 0x7F, 0x80, 0x0F, 0xF0, 0x00, ##           00000000           00000000          
            0x00, 0xFF, 0x00, 0x0F, 0xF0, 0x00, ##          00000000            00000000          
            0x00, 0xFE, 0x00, 0x0F, 0xF0, 0x00, ##          0000000             00000000          
            0x01, 0xFE, 0x00, 0x0F, 0xF0, 0x00, ##         00000000             00000000          
            0x01, 0xFC, 0x00, 0x0F, 0xF0, 0x00, ##         0000000              00000000          
            0x03, 0xF8, 0x00, 0x0F, 0xF0, 0x00, ##        0000000               00000000          
            0x07, 0xF8, 0x00, 0x0F, 0xF0, 0x00, ##       00000000               00000000          
            0x07, 0xF0, 0x00, 0x0F, 0xF0, 0x00, ##       0000000                00000000          
            0x0F, 0xF0, 0x00, 0x0F, 0xF0, 0x00, ##      00000000                00000000          
            0x1F, 0xE0, 0x00, 0x0F, 0xF0, 0x00, ##     00000000                 00000000          
            0x1F, 0xC0, 0x00, 0x0F, 0xF0, 0x00, ##     0000000                  00000000          
            0x3F, 0xC0, 0x00, 0x0F, 0xF0, 0x00, ##    00000000                  00000000          
            0x3F, 0x80, 0x00, 0x0F, 0xF0, 0x00, ##    0000000                   00000000          
            0x7F, 0x80, 0x00, 0x0F, 0xF0, 0x00, ##   00000000                   00000000          
            0xFF, 0x00, 0x00, 0x0F, 0xF0, 0x00, ##  00000000                    00000000          
            0xFE, 0x00, 0x00, 0x0F, 0xF0, 0x00, ##  0000000                     00000000          
            0xFE, 0x00, 0x00, 0x0F, 0xF0, 0x00, ##  0000000                     00000000          
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFC, ##  0000000000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFC, ##  0000000000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFC, ##  0000000000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFC, ##  0000000000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFC, ##  0000000000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFC, ##  0000000000000000000000000000000000000000000000
            0x00, 0x00, 0x00, 0x0F, 0xF0, 0x00, ##                              00000000          
            0x00, 0x00, 0x00, 0x0F, 0xF0, 0x00, ##                              00000000          
            0x00, 0x00, 0x00, 0x0F, 0xF0, 0x00, ##                              00000000          
            0x00, 0x00, 0x00, 0x0F, 0xF0, 0x00, ##                              00000000          
            0x00, 0x00, 0x00, 0x0F, 0xF0, 0x00, ##                              00000000          
            0x00, 0x00, 0x00, 0x0F, 0xF0, 0x00, ##                              00000000          
            0x00, 0x00, 0x00, 0x0F, 0xF0, 0x00, ##                              00000000          
            0x00, 0x00, 0x00, 0x0F, 0xF0, 0x00, ##                              00000000          
            0x00, 0x00, 0x00, 0x0F, 0xF0, 0x00, ##                              00000000          
            0x00, 0x00, 0x00, 0x0F, 0xF0, 0x00, ##                              00000000          
            0x00, 0x00, 0x00, 0x0F, 0xF0, 0x00, ##                              00000000          
            0x00, 0x00, 0x00, 0x0F, 0xF0, 0x00, ##                              00000000          
            0x00, 0x00, 0x00, 0x0F, 0xF0, 0x00, ##                              00000000          
            0x00, 0x00, 0x00, 0x0F, 0xF0, 0x00, ##                              00000000          
            0x00, 0x00, 0x00, 0x0F, 0xF0, 0x00, ##                              00000000          
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '53' => {    # '5'
        'width'    => 40, 
        'xoffset'  => 7, 
        'xadvance' => 55, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x3F, 0xFF, 0xFF, 0xFF, 0xF0, ##    0000000000000000000000000000000000    
            0x3F, 0xFF, 0xFF, 0xFF, 0xF0, ##    0000000000000000000000000000000000    
            0x3F, 0xFF, 0xFF, 0xFF, 0xF0, ##    0000000000000000000000000000000000    
            0x3F, 0xFF, 0xFF, 0xFF, 0xF0, ##    0000000000000000000000000000000000    
            0x3F, 0xFF, 0xFF, 0xFF, 0xF0, ##    0000000000000000000000000000000000    
            0x3F, 0xFF, 0xFF, 0xFF, 0xF0, ##    0000000000000000000000000000000000    
            0x3F, 0xC0, 0x00, 0x00, 0x00, ##    00000000                              
            0x3F, 0xC0, 0x00, 0x00, 0x00, ##    00000000                              
            0x3F, 0xC0, 0x00, 0x00, 0x00, ##    00000000                              
            0x3F, 0xC0, 0x00, 0x00, 0x00, ##    00000000                              
            0x3F, 0xC0, 0x00, 0x00, 0x00, ##    00000000                              
            0x3F, 0xC0, 0x00, 0x00, 0x00, ##    00000000                              
            0x3F, 0xC0, 0x00, 0x00, 0x00, ##    00000000                              
            0x3F, 0xC0, 0x00, 0x00, 0x00, ##    00000000                              
            0x3F, 0xC0, 0x00, 0x00, 0x00, ##    00000000                              
            0x3F, 0xC0, 0x00, 0x00, 0x00, ##    00000000                              
            0x3F, 0xC0, 0x00, 0x00, 0x00, ##    00000000                              
            0x3F, 0xC0, 0x00, 0x00, 0x00, ##    00000000                              
            0x3F, 0xC0, 0x00, 0x00, 0x00, ##    00000000                              
            0x3F, 0xC0, 0x00, 0x00, 0x00, ##    00000000                              
            0x3F, 0xC0, 0x00, 0x00, 0x00, ##    00000000                              
            0x3F, 0xCF, 0xFE, 0x00, 0x00, ##    00000000  00000000000                 
            0x3F, 0xFF, 0xFF, 0xE0, 0x00, ##    0000000000000000000000000             
            0x3F, 0xFF, 0xFF, 0xF8, 0x00, ##    000000000000000000000000000           
            0x3F, 0xFF, 0xFF, 0xFE, 0x00, ##    00000000000000000000000000000         
            0x3F, 0xFF, 0xFF, 0xFF, 0x00, ##    000000000000000000000000000000        
            0x3F, 0xFF, 0xFF, 0xFF, 0xC0, ##    00000000000000000000000000000000      
            0x3F, 0xE0, 0x07, 0xFF, 0xE0, ##    000000000          00000000000000     
            0x3E, 0x00, 0x00, 0xFF, 0xE0, ##    00000                 00000000000     
            0x30, 0x00, 0x00, 0x3F, 0xF0, ##    00                      0000000000    
            0x00, 0x00, 0x00, 0x1F, 0xF8, ##                             0000000000   
            0x00, 0x00, 0x00, 0x0F, 0xF8, ##                              000000000   
            0x00, 0x00, 0x00, 0x07, 0xFC, ##                               000000000  
            0x00, 0x00, 0x00, 0x03, 0xFC, ##                                00000000  
            0x00, 0x00, 0x00, 0x03, 0xFE, ##                                000000000 
            0x00, 0x00, 0x00, 0x01, 0xFE, ##                                 00000000 
            0x00, 0x00, 0x00, 0x01, 0xFE, ##                                 00000000 
            0x00, 0x00, 0x00, 0x01, 0xFF, ##                                 000000000
            0x00, 0x00, 0x00, 0x00, 0xFF, ##                                  00000000
            0x00, 0x00, 0x00, 0x00, 0xFF, ##                                  00000000
            0x00, 0x00, 0x00, 0x00, 0xFF, ##                                  00000000
            0x00, 0x00, 0x00, 0x00, 0xFF, ##                                  00000000
            0x00, 0x00, 0x00, 0x00, 0xFF, ##                                  00000000
            0x00, 0x00, 0x00, 0x00, 0xFF, ##                                  00000000
            0x00, 0x00, 0x00, 0x00, 0xFF, ##                                  00000000
            0x00, 0x00, 0x00, 0x00, 0xFF, ##                                  00000000
            0x00, 0x00, 0x00, 0x00, 0xFF, ##                                  00000000
            0x00, 0x00, 0x00, 0x01, 0xFF, ##                                 000000000
            0x00, 0x00, 0x00, 0x01, 0xFE, ##                                 00000000 
            0x00, 0x00, 0x00, 0x01, 0xFE, ##                                 00000000 
            0x00, 0x00, 0x00, 0x03, 0xFE, ##                                000000000 
            0x00, 0x00, 0x00, 0x03, 0xFC, ##                                00000000  
            0x00, 0x00, 0x00, 0x07, 0xFC, ##                               000000000  
            0x00, 0x00, 0x00, 0x0F, 0xFC, ##                              0000000000  
            0x80, 0x00, 0x00, 0x1F, 0xF8, ##  0                          0000000000   
            0xE0, 0x00, 0x00, 0x3F, 0xF0, ##  000                       0000000000    
            0xFC, 0x00, 0x00, 0xFF, 0xE0, ##  000000                  00000000000     
            0xFF, 0xC0, 0x07, 0xFF, 0xE0, ##  0000000000           00000000000000     
            0xFF, 0xFF, 0xFF, 0xFF, 0xC0, ##  0000000000000000000000000000000000      
            0xFF, 0xFF, 0xFF, 0xFF, 0x00, ##  00000000000000000000000000000000        
            0xFF, 0xFF, 0xFF, 0xFE, 0x00, ##  0000000000000000000000000000000         
            0xFF, 0xFF, 0xFF, 0xF8, 0x00, ##  00000000000000000000000000000           
            0x1F, 0xFF, 0xFF, 0xC0, 0x00, ##     00000000000000000000000              
            0x00, 0x7F, 0xFC, 0x00, 0x00, ##           0000000000000                  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '54' => {    # '6'
        'width'    => 43, 
        'xoffset'  => 6, 
        'xadvance' => 54, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x07, 0xFF, 0x00, 0x00, ##                       00000000000           
            0x00, 0x00, 0x7F, 0xFF, 0xF8, 0x00, ##                   00000000000000000000      
            0x00, 0x01, 0xFF, 0xFF, 0xFE, 0x00, ##                 000000000000000000000000    
            0x00, 0x07, 0xFF, 0xFF, 0xFE, 0x00, ##               00000000000000000000000000    
            0x00, 0x0F, 0xFF, 0xFF, 0xFE, 0x00, ##              000000000000000000000000000    
            0x00, 0x3F, 0xFF, 0xFF, 0xFE, 0x00, ##            00000000000000000000000000000    
            0x00, 0x7F, 0xFC, 0x01, 0xFE, 0x00, ##           0000000000000         00000000    
            0x00, 0xFF, 0xE0, 0x00, 0x1E, 0x00, ##          00000000000                0000    
            0x01, 0xFF, 0x80, 0x00, 0x06, 0x00, ##         0000000000                    00    
            0x01, 0xFF, 0x00, 0x00, 0x00, 0x00, ##         000000000                           
            0x03, 0xFE, 0x00, 0x00, 0x00, 0x00, ##        000000000                            
            0x07, 0xFC, 0x00, 0x00, 0x00, 0x00, ##       000000000                             
            0x07, 0xF8, 0x00, 0x00, 0x00, 0x00, ##       00000000                              
            0x0F, 0xF0, 0x00, 0x00, 0x00, 0x00, ##      00000000                               
            0x0F, 0xF0, 0x00, 0x00, 0x00, 0x00, ##      00000000                               
            0x1F, 0xE0, 0x00, 0x00, 0x00, 0x00, ##     00000000                                
            0x1F, 0xE0, 0x00, 0x00, 0x00, 0x00, ##     00000000                                
            0x3F, 0xE0, 0x00, 0x00, 0x00, 0x00, ##    000000000                                
            0x3F, 0xC0, 0x00, 0x00, 0x00, 0x00, ##    00000000                                 
            0x3F, 0xC0, 0x00, 0x00, 0x00, 0x00, ##    00000000                                 
            0x7F, 0xC0, 0x00, 0x00, 0x00, 0x00, ##   000000000                                 
            0x7F, 0xC0, 0x00, 0x00, 0x00, 0x00, ##   000000000                                 
            0x7F, 0x80, 0x00, 0x00, 0x00, 0x00, ##   00000000                                  
            0x7F, 0x80, 0x1F, 0xF0, 0x00, 0x00, ##   00000000          000000000               
            0x7F, 0x80, 0xFF, 0xFE, 0x00, 0x00, ##   00000000       000000000000000            
            0xFF, 0x83, 0xFF, 0xFF, 0x80, 0x00, ##  000000000     0000000000000000000          
            0xFF, 0x8F, 0xFF, 0xFF, 0xE0, 0x00, ##  000000000   00000000000000000000000        
            0xFF, 0x9F, 0xFF, 0xFF, 0xF0, 0x00, ##  000000000  0000000000000000000000000       
            0xFF, 0xBF, 0xFF, 0xFF, 0xF8, 0x00, ##  000000000 000000000000000000000000000      
            0xFF, 0xFF, 0xE0, 0x3F, 0xFC, 0x00, ##  0000000000000000000       000000000000     
            0xFF, 0xFF, 0x80, 0x07, 0xFE, 0x00, ##  00000000000000000            0000000000    
            0xFF, 0xFE, 0x00, 0x03, 0xFF, 0x00, ##  000000000000000               0000000000   
            0xFF, 0xFC, 0x00, 0x01, 0xFF, 0x00, ##  00000000000000                 000000000   
            0xFF, 0xF8, 0x00, 0x00, 0xFF, 0x80, ##  0000000000000                   000000000  
            0xFF, 0xF8, 0x00, 0x00, 0x7F, 0x80, ##  0000000000000                    00000000  
            0xFF, 0xF0, 0x00, 0x00, 0x7F, 0xC0, ##  000000000000                     000000000 
            0xFF, 0xF0, 0x00, 0x00, 0x3F, 0xC0, ##  000000000000                      00000000 
            0xFF, 0xE0, 0x00, 0x00, 0x3F, 0xC0, ##  00000000000                       00000000 
            0xFF, 0xE0, 0x00, 0x00, 0x3F, 0xC0, ##  00000000000                       00000000 
            0xFF, 0xE0, 0x00, 0x00, 0x1F, 0xE0, ##  00000000000                        00000000
            0xFF, 0xE0, 0x00, 0x00, 0x1F, 0xE0, ##  00000000000                        00000000
            0xFF, 0xC0, 0x00, 0x00, 0x1F, 0xE0, ##  0000000000                         00000000
            0x7F, 0xC0, 0x00, 0x00, 0x1F, 0xE0, ##   000000000                         00000000
            0x7F, 0xC0, 0x00, 0x00, 0x1F, 0xE0, ##   000000000                         00000000
            0x7F, 0xC0, 0x00, 0x00, 0x1F, 0xE0, ##   000000000                         00000000
            0x7F, 0xC0, 0x00, 0x00, 0x1F, 0xE0, ##   000000000                         00000000
            0x7F, 0xC0, 0x00, 0x00, 0x1F, 0xE0, ##   000000000                         00000000
            0x7F, 0xC0, 0x00, 0x00, 0x1F, 0xE0, ##   000000000                         00000000
            0x3F, 0xE0, 0x00, 0x00, 0x1F, 0xE0, ##    000000000                        00000000
            0x3F, 0xE0, 0x00, 0x00, 0x3F, 0xE0, ##    000000000                       000000000
            0x3F, 0xE0, 0x00, 0x00, 0x3F, 0xC0, ##    000000000                       00000000 
            0x1F, 0xE0, 0x00, 0x00, 0x3F, 0xC0, ##     00000000                       00000000 
            0x1F, 0xF0, 0x00, 0x00, 0x3F, 0xC0, ##     000000000                      00000000 
            0x1F, 0xF0, 0x00, 0x00, 0x7F, 0x80, ##     000000000                     00000000  
            0x0F, 0xF8, 0x00, 0x00, 0x7F, 0x80, ##      000000000                    00000000  
            0x0F, 0xF8, 0x00, 0x00, 0xFF, 0x80, ##      000000000                   000000000  
            0x07, 0xFC, 0x00, 0x01, 0xFF, 0x00, ##       000000000                 000000000   
            0x03, 0xFE, 0x00, 0x03, 0xFE, 0x00, ##        000000000               000000000    
            0x03, 0xFF, 0x80, 0x07, 0xFE, 0x00, ##        00000000000            0000000000    
            0x01, 0xFF, 0xE0, 0x3F, 0xFC, 0x00, ##         000000000000       000000000000     
            0x00, 0xFF, 0xFF, 0xFF, 0xF8, 0x00, ##          00000000000000000000000000000      
            0x00, 0x7F, 0xFF, 0xFF, 0xF0, 0x00, ##           000000000000000000000000000       
            0x00, 0x3F, 0xFF, 0xFF, 0xE0, 0x00, ##            0000000000000000000000000        
            0x00, 0x0F, 0xFF, 0xFF, 0x80, 0x00, ##              000000000000000000000          
            0x00, 0x03, 0xFF, 0xFE, 0x00, 0x00, ##                00000000000000000            
            0x00, 0x00, 0x7F, 0xE0, 0x00, 0x00, ##                   0000000000                
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '55' => {    # '7'
        'width'    => 41, 
        'xoffset'  => 7, 
        'xadvance' => 55, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x80, ##  00000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x80, ##  00000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x80, ##  00000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x80, ##  00000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x00, ##  0000000000000000000000000000000000000000 
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x00, ##  0000000000000000000000000000000000000000 
            0x00, 0x00, 0x00, 0x03, 0xFF, 0x00, ##                                0000000000 
            0x00, 0x00, 0x00, 0x03, 0xFE, 0x00, ##                                000000000  
            0x00, 0x00, 0x00, 0x03, 0xFE, 0x00, ##                                000000000  
            0x00, 0x00, 0x00, 0x07, 0xFC, 0x00, ##                               000000000   
            0x00, 0x00, 0x00, 0x07, 0xFC, 0x00, ##                               000000000   
            0x00, 0x00, 0x00, 0x0F, 0xFC, 0x00, ##                              0000000000   
            0x00, 0x00, 0x00, 0x0F, 0xF8, 0x00, ##                              000000000    
            0x00, 0x00, 0x00, 0x0F, 0xF8, 0x00, ##                              000000000    
            0x00, 0x00, 0x00, 0x1F, 0xF8, 0x00, ##                             0000000000    
            0x00, 0x00, 0x00, 0x1F, 0xF0, 0x00, ##                             000000000     
            0x00, 0x00, 0x00, 0x1F, 0xF0, 0x00, ##                             000000000     
            0x00, 0x00, 0x00, 0x3F, 0xE0, 0x00, ##                            000000000      
            0x00, 0x00, 0x00, 0x3F, 0xE0, 0x00, ##                            000000000      
            0x00, 0x00, 0x00, 0x7F, 0xE0, 0x00, ##                           0000000000      
            0x00, 0x00, 0x00, 0x7F, 0xC0, 0x00, ##                           000000000       
            0x00, 0x00, 0x00, 0x7F, 0xC0, 0x00, ##                           000000000       
            0x00, 0x00, 0x00, 0xFF, 0x80, 0x00, ##                          000000000        
            0x00, 0x00, 0x00, 0xFF, 0x80, 0x00, ##                          000000000        
            0x00, 0x00, 0x01, 0xFF, 0x80, 0x00, ##                         0000000000        
            0x00, 0x00, 0x01, 0xFF, 0x00, 0x00, ##                         000000000         
            0x00, 0x00, 0x01, 0xFF, 0x00, 0x00, ##                         000000000         
            0x00, 0x00, 0x03, 0xFE, 0x00, 0x00, ##                        000000000          
            0x00, 0x00, 0x03, 0xFE, 0x00, 0x00, ##                        000000000          
            0x00, 0x00, 0x03, 0xFE, 0x00, 0x00, ##                        000000000          
            0x00, 0x00, 0x07, 0xFC, 0x00, 0x00, ##                       000000000           
            0x00, 0x00, 0x07, 0xFC, 0x00, 0x00, ##                       000000000           
            0x00, 0x00, 0x0F, 0xFC, 0x00, 0x00, ##                      0000000000           
            0x00, 0x00, 0x0F, 0xF8, 0x00, 0x00, ##                      000000000            
            0x00, 0x00, 0x0F, 0xF8, 0x00, 0x00, ##                      000000000            
            0x00, 0x00, 0x1F, 0xF0, 0x00, 0x00, ##                     000000000             
            0x00, 0x00, 0x1F, 0xF0, 0x00, 0x00, ##                     000000000             
            0x00, 0x00, 0x3F, 0xF0, 0x00, 0x00, ##                    0000000000             
            0x00, 0x00, 0x3F, 0xE0, 0x00, 0x00, ##                    000000000              
            0x00, 0x00, 0x3F, 0xE0, 0x00, 0x00, ##                    000000000              
            0x00, 0x00, 0x7F, 0xC0, 0x00, 0x00, ##                   000000000               
            0x00, 0x00, 0x7F, 0xC0, 0x00, 0x00, ##                   000000000               
            0x00, 0x00, 0x7F, 0xC0, 0x00, 0x00, ##                   000000000               
            0x00, 0x00, 0xFF, 0x80, 0x00, 0x00, ##                  000000000                
            0x00, 0x00, 0xFF, 0x80, 0x00, 0x00, ##                  000000000                
            0x00, 0x01, 0xFF, 0x00, 0x00, 0x00, ##                 000000000                 
            0x00, 0x01, 0xFF, 0x00, 0x00, 0x00, ##                 000000000                 
            0x00, 0x01, 0xFF, 0x00, 0x00, 0x00, ##                 000000000                 
            0x00, 0x03, 0xFE, 0x00, 0x00, 0x00, ##                000000000                  
            0x00, 0x03, 0xFE, 0x00, 0x00, 0x00, ##                000000000                  
            0x00, 0x07, 0xFE, 0x00, 0x00, 0x00, ##               0000000000                  
            0x00, 0x07, 0xFC, 0x00, 0x00, 0x00, ##               000000000                   
            0x00, 0x07, 0xFC, 0x00, 0x00, 0x00, ##               000000000                   
            0x00, 0x0F, 0xF8, 0x00, 0x00, 0x00, ##              000000000                    
            0x00, 0x0F, 0xF8, 0x00, 0x00, 0x00, ##              000000000                    
            0x00, 0x0F, 0xF8, 0x00, 0x00, 0x00, ##              000000000                    
            0x00, 0x1F, 0xF0, 0x00, 0x00, 0x00, ##             000000000                     
            0x00, 0x1F, 0xF0, 0x00, 0x00, 0x00, ##             000000000                     
            0x00, 0x3F, 0xE0, 0x00, 0x00, 0x00, ##            000000000                      
            0x00, 0x3F, 0xE0, 0x00, 0x00, 0x00, ##            000000000                      
            0x00, 0x3F, 0xE0, 0x00, 0x00, 0x00, ##            000000000                      
            0x00, 0x7F, 0xC0, 0x00, 0x00, 0x00, ##           000000000                       
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '56' => {    # '8'
        'width'    => 43, 
        'xoffset'  => 6, 
        'xadvance' => 55, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0xFF, 0xF0, 0x00, 0x00, ##                  000000000000               
            0x00, 0x07, 0xFF, 0xFE, 0x00, 0x00, ##               000000000000000000            
            0x00, 0x3F, 0xFF, 0xFF, 0xC0, 0x00, ##            000000000000000000000000         
            0x00, 0x7F, 0xFF, 0xFF, 0xE0, 0x00, ##           00000000000000000000000000        
            0x01, 0xFF, 0xFF, 0xFF, 0xF8, 0x00, ##         000000000000000000000000000000      
            0x03, 0xFF, 0xFF, 0xFF, 0xFC, 0x00, ##        00000000000000000000000000000000     
            0x07, 0xFF, 0xC0, 0x3F, 0xFE, 0x00, ##       0000000000000        0000000000000    
            0x07, 0xFE, 0x00, 0x07, 0xFE, 0x00, ##       0000000000              0000000000    
            0x0F, 0xFC, 0x00, 0x03, 0xFF, 0x00, ##      0000000000                0000000000   
            0x1F, 0xF8, 0x00, 0x01, 0xFF, 0x80, ##     0000000000                  0000000000  
            0x1F, 0xF0, 0x00, 0x00, 0xFF, 0x80, ##     000000000                    000000000  
            0x1F, 0xE0, 0x00, 0x00, 0x7F, 0x80, ##     00000000                      00000000  
            0x3F, 0xE0, 0x00, 0x00, 0x7F, 0xC0, ##    000000000                      000000000 
            0x3F, 0xC0, 0x00, 0x00, 0x3F, 0xC0, ##    00000000                        00000000 
            0x3F, 0xC0, 0x00, 0x00, 0x3F, 0xC0, ##    00000000                        00000000 
            0x3F, 0xC0, 0x00, 0x00, 0x3F, 0xC0, ##    00000000                        00000000 
            0x3F, 0xC0, 0x00, 0x00, 0x3F, 0xC0, ##    00000000                        00000000 
            0x3F, 0xC0, 0x00, 0x00, 0x3F, 0xC0, ##    00000000                        00000000 
            0x3F, 0xC0, 0x00, 0x00, 0x3F, 0xC0, ##    00000000                        00000000 
            0x3F, 0xC0, 0x00, 0x00, 0x3F, 0xC0, ##    00000000                        00000000 
            0x3F, 0xC0, 0x00, 0x00, 0x3F, 0xC0, ##    00000000                        00000000 
            0x1F, 0xE0, 0x00, 0x00, 0x7F, 0x80, ##     00000000                      00000000  
            0x1F, 0xE0, 0x00, 0x00, 0x7F, 0x80, ##     00000000                      00000000  
            0x0F, 0xF0, 0x00, 0x00, 0xFF, 0x00, ##      00000000                    00000000   
            0x0F, 0xF8, 0x00, 0x01, 0xFF, 0x00, ##      000000000                  000000000   
            0x07, 0xFC, 0x00, 0x03, 0xFE, 0x00, ##       000000000                000000000    
            0x03, 0xFE, 0x00, 0x07, 0xFC, 0x00, ##        000000000              000000000     
            0x01, 0xFF, 0xC0, 0x3F, 0xF8, 0x00, ##         00000000000        00000000000      
            0x00, 0xFF, 0xFF, 0xFF, 0xF0, 0x00, ##          0000000000000000000000000000       
            0x00, 0x3F, 0xFF, 0xFF, 0xC0, 0x00, ##            000000000000000000000000         
            0x00, 0x0F, 0xFF, 0xFF, 0x00, 0x00, ##              00000000000000000000           
            0x00, 0x0F, 0xFF, 0xFF, 0x80, 0x00, ##              000000000000000000000          
            0x00, 0x7F, 0xFF, 0xFF, 0xE0, 0x00, ##           00000000000000000000000000        
            0x01, 0xFF, 0xFF, 0xFF, 0xF8, 0x00, ##         000000000000000000000000000000      
            0x03, 0xFF, 0x80, 0x3F, 0xFC, 0x00, ##        00000000000         000000000000     
            0x07, 0xFC, 0x00, 0x07, 0xFE, 0x00, ##       000000000               0000000000    
            0x0F, 0xF8, 0x00, 0x03, 0xFF, 0x00, ##      000000000                 0000000000   
            0x1F, 0xF0, 0x00, 0x01, 0xFF, 0x00, ##     000000000                   000000000   
            0x3F, 0xE0, 0x00, 0x00, 0xFF, 0x80, ##    000000000                     000000000  
            0x3F, 0xC0, 0x00, 0x00, 0x7F, 0xC0, ##    00000000                       000000000 
            0x7F, 0x80, 0x00, 0x00, 0x3F, 0xC0, ##   00000000                         00000000 
            0x7F, 0x80, 0x00, 0x00, 0x3F, 0xC0, ##   00000000                         00000000 
            0x7F, 0x80, 0x00, 0x00, 0x3F, 0xE0, ##   00000000                         000000000
            0xFF, 0x00, 0x00, 0x00, 0x1F, 0xE0, ##  00000000                           00000000
            0xFF, 0x00, 0x00, 0x00, 0x1F, 0xE0, ##  00000000                           00000000
            0xFF, 0x00, 0x00, 0x00, 0x1F, 0xE0, ##  00000000                           00000000
            0xFF, 0x00, 0x00, 0x00, 0x1F, 0xE0, ##  00000000                           00000000
            0xFF, 0x00, 0x00, 0x00, 0x1F, 0xE0, ##  00000000                           00000000
            0xFF, 0x00, 0x00, 0x00, 0x1F, 0xE0, ##  00000000                           00000000
            0xFF, 0x00, 0x00, 0x00, 0x1F, 0xE0, ##  00000000                           00000000
            0xFF, 0x00, 0x00, 0x00, 0x1F, 0xE0, ##  00000000                           00000000
            0xFF, 0x80, 0x00, 0x00, 0x3F, 0xE0, ##  000000000                         000000000
            0x7F, 0x80, 0x00, 0x00, 0x3F, 0xC0, ##   00000000                         00000000 
            0x7F, 0x80, 0x00, 0x00, 0x3F, 0xC0, ##   00000000                         00000000 
            0x7F, 0xC0, 0x00, 0x00, 0x7F, 0xC0, ##   000000000                       000000000 
            0x3F, 0xE0, 0x00, 0x00, 0xFF, 0x80, ##    000000000                     000000000  
            0x3F, 0xF0, 0x00, 0x01, 0xFF, 0x80, ##    0000000000                   0000000000  
            0x1F, 0xF8, 0x00, 0x03, 0xFF, 0x00, ##     0000000000                 0000000000   
            0x1F, 0xFC, 0x00, 0x07, 0xFF, 0x00, ##     00000000000               00000000000   
            0x0F, 0xFF, 0x80, 0x3F, 0xFE, 0x00, ##      0000000000000         0000000000000    
            0x07, 0xFF, 0xFF, 0xFF, 0xFC, 0x00, ##       000000000000000000000000000000000     
            0x03, 0xFF, 0xFF, 0xFF, 0xF8, 0x00, ##        0000000000000000000000000000000      
            0x01, 0xFF, 0xFF, 0xFF, 0xF0, 0x00, ##         00000000000000000000000000000       
            0x00, 0x7F, 0xFF, 0xFF, 0xC0, 0x00, ##           0000000000000000000000000         
            0x00, 0x1F, 0xFF, 0xFE, 0x00, 0x00, ##             00000000000000000000            
            0x00, 0x01, 0xFF, 0xE0, 0x00, 0x00, ##                 000000000000                
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '57' => {    # '9'
        'width'    => 44, 
        'xoffset'  => 5, 
        'xadvance' => 55, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0xFF, 0xC0, 0x00, 0x00, ##                  0000000000                  
            0x00, 0x07, 0xFF, 0xFC, 0x00, 0x00, ##               00000000000000000              
            0x00, 0x3F, 0xFF, 0xFF, 0x00, 0x00, ##            0000000000000000000000            
            0x00, 0x7F, 0xFF, 0xFF, 0x80, 0x00, ##           000000000000000000000000           
            0x01, 0xFF, 0xFF, 0xFF, 0xE0, 0x00, ##         0000000000000000000000000000         
            0x03, 0xFF, 0xFF, 0xFF, 0xF0, 0x00, ##        000000000000000000000000000000        
            0x07, 0xFF, 0x80, 0x7F, 0xF8, 0x00, ##       000000000000        000000000000       
            0x0F, 0xFE, 0x00, 0x1F, 0xF8, 0x00, ##      00000000000            0000000000       
            0x0F, 0xF8, 0x00, 0x07, 0xFC, 0x00, ##      000000000                000000000      
            0x1F, 0xF0, 0x00, 0x03, 0xFE, 0x00, ##     000000000                  000000000     
            0x3F, 0xE0, 0x00, 0x01, 0xFE, 0x00, ##    000000000                    00000000     
            0x3F, 0xE0, 0x00, 0x01, 0xFF, 0x00, ##    000000000                    000000000    
            0x3F, 0xC0, 0x00, 0x00, 0xFF, 0x00, ##    00000000                      00000000    
            0x7F, 0x80, 0x00, 0x00, 0xFF, 0x80, ##   00000000                       000000000   
            0x7F, 0x80, 0x00, 0x00, 0x7F, 0x80, ##   00000000                        00000000   
            0x7F, 0x80, 0x00, 0x00, 0x7F, 0xC0, ##   00000000                        000000000  
            0xFF, 0x80, 0x00, 0x00, 0x7F, 0xC0, ##  000000000                        000000000  
            0xFF, 0x00, 0x00, 0x00, 0x7F, 0xC0, ##  00000000                         000000000  
            0xFF, 0x00, 0x00, 0x00, 0x3F, 0xC0, ##  00000000                          00000000  
            0xFF, 0x00, 0x00, 0x00, 0x3F, 0xE0, ##  00000000                          000000000 
            0xFF, 0x00, 0x00, 0x00, 0x3F, 0xE0, ##  00000000                          000000000 
            0xFF, 0x00, 0x00, 0x00, 0x3F, 0xE0, ##  00000000                          000000000 
            0xFF, 0x00, 0x00, 0x00, 0x3F, 0xE0, ##  00000000                          000000000 
            0xFF, 0x00, 0x00, 0x00, 0x3F, 0xE0, ##  00000000                          000000000 
            0xFF, 0x00, 0x00, 0x00, 0x3F, 0xF0, ##  00000000                          0000000000
            0xFF, 0x00, 0x00, 0x00, 0x7F, 0xF0, ##  00000000                         00000000000
            0xFF, 0x00, 0x00, 0x00, 0x7F, 0xF0, ##  00000000                         00000000000
            0x7F, 0x80, 0x00, 0x00, 0x7F, 0xF0, ##   00000000                        00000000000
            0x7F, 0x80, 0x00, 0x00, 0x7F, 0xF0, ##   00000000                        00000000000
            0x7F, 0x80, 0x00, 0x00, 0xFF, 0xF0, ##   00000000                       000000000000
            0x7F, 0xC0, 0x00, 0x00, 0xFF, 0xF0, ##   000000000                      000000000000
            0x3F, 0xC0, 0x00, 0x01, 0xFF, 0xF0, ##    00000000                     0000000000000
            0x3F, 0xE0, 0x00, 0x01, 0xFF, 0xF0, ##    000000000                    0000000000000
            0x1F, 0xF0, 0x00, 0x03, 0xFF, 0xF0, ##     000000000                  00000000000000
            0x1F, 0xF8, 0x00, 0x07, 0xFF, 0xF0, ##     0000000000                000000000000000
            0x0F, 0xFE, 0x00, 0x1F, 0xFF, 0xF0, ##      00000000000            00000000000000000
            0x07, 0xFF, 0x80, 0x7F, 0xFF, 0xF0, ##       000000000000        0000000000000000000
            0x03, 0xFF, 0xFF, 0xFF, 0xDF, 0xF0, ##        0000000000000000000000000000 000000000
            0x01, 0xFF, 0xFF, 0xFF, 0x9F, 0xF0, ##         00000000000000000000000000  000000000
            0x00, 0xFF, 0xFF, 0xFF, 0x1F, 0xF0, ##          000000000000000000000000   000000000
            0x00, 0x3F, 0xFF, 0xFC, 0x1F, 0xF0, ##            00000000000000000000     000000000
            0x00, 0x0F, 0xFF, 0xF0, 0x1F, 0xE0, ##              0000000000000000       00000000 
            0x00, 0x01, 0xFF, 0x80, 0x1F, 0xE0, ##                 0000000000          00000000 
            0x00, 0x00, 0x00, 0x00, 0x3F, 0xE0, ##                                    000000000 
            0x00, 0x00, 0x00, 0x00, 0x3F, 0xE0, ##                                    000000000 
            0x00, 0x00, 0x00, 0x00, 0x3F, 0xC0, ##                                    00000000  
            0x00, 0x00, 0x00, 0x00, 0x3F, 0xC0, ##                                    00000000  
            0x00, 0x00, 0x00, 0x00, 0x3F, 0xC0, ##                                    00000000  
            0x00, 0x00, 0x00, 0x00, 0x7F, 0xC0, ##                                   000000000  
            0x00, 0x00, 0x00, 0x00, 0x7F, 0x80, ##                                   00000000   
            0x00, 0x00, 0x00, 0x00, 0xFF, 0x80, ##                                  000000000   
            0x00, 0x00, 0x00, 0x00, 0xFF, 0x00, ##                                  00000000    
            0x00, 0x00, 0x00, 0x01, 0xFF, 0x00, ##                                 000000000    
            0x00, 0x00, 0x00, 0x01, 0xFE, 0x00, ##                                 00000000     
            0x00, 0x00, 0x00, 0x03, 0xFE, 0x00, ##                                000000000     
            0x00, 0x00, 0x00, 0x07, 0xFC, 0x00, ##                               000000000      
            0x00, 0x00, 0x00, 0x0F, 0xF8, 0x00, ##                              000000000       
            0x0C, 0x00, 0x00, 0x1F, 0xF0, 0x00, ##      00                     000000000        
            0x0F, 0x00, 0x00, 0x7F, 0xF0, 0x00, ##      0000                 00000000000        
            0x0F, 0xF0, 0x03, 0xFF, 0xE0, 0x00, ##      00000000          0000000000000         
            0x0F, 0xFF, 0xFF, 0xFF, 0x80, 0x00, ##      00000000000000000000000000000           
            0x0F, 0xFF, 0xFF, 0xFF, 0x00, 0x00, ##      0000000000000000000000000000            
            0x0F, 0xFF, 0xFF, 0xFE, 0x00, 0x00, ##      000000000000000000000000000             
            0x0F, 0xFF, 0xFF, 0xF8, 0x00, 0x00, ##      0000000000000000000000000               
            0x03, 0xFF, 0xFF, 0xE0, 0x00, 0x00, ##        000000000000000000000                 
            0x00, 0x1F, 0xFE, 0x00, 0x00, 0x00, ##             000000000000                     
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '58' => {    # ':'
        'width'    => 9, 
        'xoffset'  => 10, 
        'xadvance' => 29, 
        'bitmap'   => [ 
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0xFF, 0x80, ##  000000000
            0xFF, 0x80, ##  000000000
            0xFF, 0x80, ##  000000000
            0xFF, 0x80, ##  000000000
            0xFF, 0x80, ##  000000000
            0xFF, 0x80, ##  000000000
            0xFF, 0x80, ##  000000000
            0xFF, 0x80, ##  000000000
            0xFF, 0x80, ##  000000000
            0xFF, 0x80, ##  000000000
            0xFF, 0x80, ##  000000000
            0x00, 0x00, ##           
            0x00, 0x00, ##           
            0x00, 0x00, ##           
            0x00, 0x00, ##           
            0x00, 0x00, ##           
            0x00, 0x00, ##           
            0x00, 0x00, ##           
            0x00, 0x00, ##           
            0x00, 0x00, ##           
            0x00, 0x00, ##           
            0x00, 0x00, ##           
            0x00, 0x00, ##           
            0x00, 0x00, ##           
            0x00, 0x00, ##           
            0x00, 0x00, ##           
            0x00, 0x00, ##           
            0x00, 0x00, ##           
            0x00, 0x00, ##           
            0x00, 0x00, ##           
            0x00, 0x00, ##           
            0x00, 0x00, ##           
            0x00, 0x00, ##           
            0x00, 0x00, ##           
            0xFF, 0x80, ##  000000000
            0xFF, 0x80, ##  000000000
            0xFF, 0x80, ##  000000000
            0xFF, 0x80, ##  000000000
            0xFF, 0x80, ##  000000000
            0xFF, 0x80, ##  000000000
            0xFF, 0x80, ##  000000000
            0xFF, 0x80, ##  000000000
            0xFF, 0x80, ##  000000000
            0xFF, 0x80, ##  000000000
            0xFF, 0x80, ##  000000000
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
        ], 
    }, 
    '59' => {    # ';'
        'width'    => 12, 
        'xoffset'  => 7, 
        'xadvance' => 29, 
        'bitmap'   => [ 
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x1F, 0xF0, ##     000000000
            0x1F, 0xF0, ##     000000000
            0x1F, 0xF0, ##     000000000
            0x1F, 0xF0, ##     000000000
            0x1F, 0xF0, ##     000000000
            0x1F, 0xF0, ##     000000000
            0x1F, 0xF0, ##     000000000
            0x1F, 0xF0, ##     000000000
            0x1F, 0xF0, ##     000000000
            0x1F, 0xF0, ##     000000000
            0x1F, 0xF0, ##     000000000
            0x00, 0x00, ##              
            0x00, 0x00, ##              
            0x00, 0x00, ##              
            0x00, 0x00, ##              
            0x00, 0x00, ##              
            0x00, 0x00, ##              
            0x00, 0x00, ##              
            0x00, 0x00, ##              
            0x00, 0x00, ##              
            0x00, 0x00, ##              
            0x00, 0x00, ##              
            0x00, 0x00, ##              
            0x00, 0x00, ##              
            0x00, 0x00, ##              
            0x00, 0x00, ##              
            0x00, 0x00, ##              
            0x00, 0x00, ##              
            0x00, 0x00, ##              
            0x00, 0x00, ##              
            0x00, 0x00, ##              
            0x00, 0x00, ##              
            0x00, 0x00, ##              
            0x00, 0x00, ##              
            0x1F, 0xF0, ##     000000000
            0x1F, 0xF0, ##     000000000
            0x1F, 0xF0, ##     000000000
            0x1F, 0xF0, ##     000000000
            0x1F, 0xF0, ##     000000000
            0x1F, 0xF0, ##     000000000
            0x1F, 0xF0, ##     000000000
            0x1F, 0xF0, ##     000000000
            0x1F, 0xE0, ##     00000000 
            0x3F, 0xE0, ##    000000000 
            0x3F, 0xC0, ##    00000000  
            0x3F, 0xC0, ##    00000000  
            0x3F, 0x80, ##    0000000   
            0x7F, 0x80, ##   00000000   
            0x7F, 0x00, ##   0000000    
            0x7F, 0x00, ##   0000000    
            0x7E, 0x00, ##   000000     
            0xFE, 0x00, ##  0000000     
            0xFC, 0x00, ##  000000      
            0xFC, 0x00, ##  000000      
            0xF8, 0x00, ##  00000       
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
        ], 
    }, 
    '60' => {    # '<'
        'width'    => 55, 
        'xoffset'  => 9, 
        'xadvance' => 73, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, ##                                                        0
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x1E, ##                                                     0000
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFE, ##                                                  0000000
            0x00, 0x00, 0x00, 0x00, 0x00, 0x07, 0xFE, ##                                               0000000000
            0x00, 0x00, 0x00, 0x00, 0x00, 0x1F, 0xFE, ##                                             000000000000
            0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFE, ##                                          000000000000000
            0x00, 0x00, 0x00, 0x00, 0x07, 0xFF, 0xFE, ##                                       000000000000000000
            0x00, 0x00, 0x00, 0x00, 0x3F, 0xFF, 0xFE, ##                                    000000000000000000000
            0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0xF8, ##                                  000000000000000000000  
            0x00, 0x00, 0x00, 0x07, 0xFF, 0xFF, 0xC0, ##                               000000000000000000000     
            0x00, 0x00, 0x00, 0x3F, 0xFF, 0xFE, 0x00, ##                            000000000000000000000        
            0x00, 0x00, 0x01, 0xFF, 0xFF, 0xF8, 0x00, ##                         0000000000000000000000          
            0x00, 0x00, 0x07, 0xFF, 0xFF, 0xC0, 0x00, ##                       000000000000000000000             
            0x00, 0x00, 0x3F, 0xFF, 0xFE, 0x00, 0x00, ##                    000000000000000000000                
            0x00, 0x01, 0xFF, 0xFF, 0xF0, 0x00, 0x00, ##                 000000000000000000000                   
            0x00, 0x0F, 0xFF, 0xFF, 0x80, 0x00, 0x00, ##              000000000000000000000                      
            0x00, 0x3F, 0xFF, 0xFE, 0x00, 0x00, 0x00, ##            000000000000000000000                        
            0x01, 0xFF, 0xFF, 0xF0, 0x00, 0x00, 0x00, ##         000000000000000000000                           
            0x0F, 0xFF, 0xFF, 0x80, 0x00, 0x00, 0x00, ##      000000000000000000000                              
            0x7F, 0xFF, 0xFC, 0x00, 0x00, 0x00, 0x00, ##   000000000000000000000                                 
            0xFF, 0xFF, 0xE0, 0x00, 0x00, 0x00, 0x00, ##  0000000000000000000                                    
            0xFF, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##  00000000000000000                                      
            0xFF, 0xFC, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000000000                                         
            0xFF, 0xE0, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000000                                            
            0xFF, 0xF8, 0x00, 0x00, 0x00, 0x00, 0x00, ##  0000000000000                                          
            0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  0000000000000000                                       
            0xFF, 0xFF, 0xE0, 0x00, 0x00, 0x00, 0x00, ##  0000000000000000000                                    
            0x7F, 0xFF, 0xFC, 0x00, 0x00, 0x00, 0x00, ##   000000000000000000000                                 
            0x0F, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, ##      00000000000000000000                               
            0x01, 0xFF, 0xFF, 0xE0, 0x00, 0x00, 0x00, ##         00000000000000000000                            
            0x00, 0x7F, 0xFF, 0xFC, 0x00, 0x00, 0x00, ##           000000000000000000000                         
            0x00, 0x0F, 0xFF, 0xFF, 0x80, 0x00, 0x00, ##              000000000000000000000                      
            0x00, 0x01, 0xFF, 0xFF, 0xF0, 0x00, 0x00, ##                 000000000000000000000                   
            0x00, 0x00, 0x3F, 0xFF, 0xFC, 0x00, 0x00, ##                    00000000000000000000                 
            0x00, 0x00, 0x0F, 0xFF, 0xFF, 0x80, 0x00, ##                      000000000000000000000              
            0x00, 0x00, 0x01, 0xFF, 0xFF, 0xF0, 0x00, ##                         000000000000000000000           
            0x00, 0x00, 0x00, 0x3F, 0xFF, 0xFE, 0x00, ##                            000000000000000000000        
            0x00, 0x00, 0x00, 0x0F, 0xFF, 0xFF, 0xC0, ##                              0000000000000000000000     
            0x00, 0x00, 0x00, 0x01, 0xFF, 0xFF, 0xF8, ##                                 0000000000000000000000  
            0x00, 0x00, 0x00, 0x00, 0x3F, 0xFF, 0xFE, ##                                    000000000000000000000
            0x00, 0x00, 0x00, 0x00, 0x07, 0xFF, 0xFE, ##                                       000000000000000000
            0x00, 0x00, 0x00, 0x00, 0x01, 0xFF, 0xFE, ##                                         0000000000000000
            0x00, 0x00, 0x00, 0x00, 0x00, 0x3F, 0xFE, ##                                            0000000000000
            0x00, 0x00, 0x00, 0x00, 0x00, 0x07, 0xFE, ##                                               0000000000
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFE, ##                                                  0000000
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x3E, ##                                                    00000
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x06, ##                                                       00
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '61' => {    # '='
        'width'    => 54, 
        'xoffset'  => 9, 
        'xadvance' => 72, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFC, ##  000000000000000000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFC, ##  000000000000000000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFC, ##  000000000000000000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFC, ##  000000000000000000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFC, ##  000000000000000000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFC, ##  000000000000000000000000000000000000000000000000000000
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                        
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                        
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                        
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                        
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                        
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                        
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                        
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                        
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                        
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                        
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                        
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                        
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFC, ##  000000000000000000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFC, ##  000000000000000000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFC, ##  000000000000000000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFC, ##  000000000000000000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFC, ##  000000000000000000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFC, ##  000000000000000000000000000000000000000000000000000000
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '62' => {    # '>'
        'width'    => 55, 
        'xoffset'  => 9, 
        'xadvance' => 73, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x80, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  0                                                      
            0xF0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  0000                                                   
            0xFC, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  000000                                                 
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x00, ##  000000000                                              
            0xFF, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x00, ##  000000000000                                           
            0xFF, 0xFE, 0x00, 0x00, 0x00, 0x00, 0x00, ##  000000000000000                                        
            0xFF, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##  00000000000000000                                      
            0xFF, 0xFF, 0xF0, 0x00, 0x00, 0x00, 0x00, ##  00000000000000000000                                   
            0x3F, 0xFF, 0xFE, 0x00, 0x00, 0x00, 0x00, ##    000000000000000000000                                
            0x0F, 0xFF, 0xFF, 0xC0, 0x00, 0x00, 0x00, ##      0000000000000000000000                             
            0x01, 0xFF, 0xFF, 0xF0, 0x00, 0x00, 0x00, ##         000000000000000000000                           
            0x00, 0x3F, 0xFF, 0xFE, 0x00, 0x00, 0x00, ##            000000000000000000000                        
            0x00, 0x07, 0xFF, 0xFF, 0xC0, 0x00, 0x00, ##               000000000000000000000                     
            0x00, 0x00, 0xFF, 0xFF, 0xF8, 0x00, 0x00, ##                  000000000000000000000                  
            0x00, 0x00, 0x3F, 0xFF, 0xFE, 0x00, 0x00, ##                    000000000000000000000                
            0x00, 0x00, 0x07, 0xFF, 0xFF, 0xC0, 0x00, ##                       000000000000000000000             
            0x00, 0x00, 0x00, 0xFF, 0xFF, 0xF8, 0x00, ##                          000000000000000000000          
            0x00, 0x00, 0x00, 0x1F, 0xFF, 0xFF, 0x00, ##                             000000000000000000000       
            0x00, 0x00, 0x00, 0x03, 0xFF, 0xFF, 0xC0, ##                                00000000000000000000     
            0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0xF8, ##                                  000000000000000000000  
            0x00, 0x00, 0x00, 0x00, 0x1F, 0xFF, 0xFE, ##                                     00000000000000000000
            0x00, 0x00, 0x00, 0x00, 0x03, 0xFF, 0xFE, ##                                        00000000000000000
            0x00, 0x00, 0x00, 0x00, 0x00, 0x7F, 0xFE, ##                                           00000000000000
            0x00, 0x00, 0x00, 0x00, 0x00, 0x1F, 0xFE, ##                                             000000000000
            0x00, 0x00, 0x00, 0x00, 0x00, 0x7F, 0xFE, ##                                           00000000000000
            0x00, 0x00, 0x00, 0x00, 0x03, 0xFF, 0xFE, ##                                        00000000000000000
            0x00, 0x00, 0x00, 0x00, 0x0F, 0xFF, 0xFE, ##                                      0000000000000000000
            0x00, 0x00, 0x00, 0x00, 0x7F, 0xFF, 0xF8, ##                                   00000000000000000000  
            0x00, 0x00, 0x00, 0x03, 0xFF, 0xFF, 0xE0, ##                                000000000000000000000    
            0x00, 0x00, 0x00, 0x1F, 0xFF, 0xFF, 0x00, ##                             000000000000000000000       
            0x00, 0x00, 0x00, 0xFF, 0xFF, 0xF8, 0x00, ##                          000000000000000000000          
            0x00, 0x00, 0x03, 0xFF, 0xFF, 0xC0, 0x00, ##                        00000000000000000000             
            0x00, 0x00, 0x1F, 0xFF, 0xFF, 0x00, 0x00, ##                     000000000000000000000               
            0x00, 0x00, 0xFF, 0xFF, 0xF8, 0x00, 0x00, ##                  000000000000000000000                  
            0x00, 0x07, 0xFF, 0xFF, 0xC0, 0x00, 0x00, ##               000000000000000000000                     
            0x00, 0x3F, 0xFF, 0xFF, 0x00, 0x00, 0x00, ##            0000000000000000000000                       
            0x00, 0xFF, 0xFF, 0xF8, 0x00, 0x00, 0x00, ##          000000000000000000000                          
            0x07, 0xFF, 0xFF, 0xC0, 0x00, 0x00, 0x00, ##       000000000000000000000                             
            0x3F, 0xFF, 0xFE, 0x00, 0x00, 0x00, 0x00, ##    000000000000000000000                                
            0xFF, 0xFF, 0xF8, 0x00, 0x00, 0x00, 0x00, ##  000000000000000000000                                  
            0xFF, 0xFF, 0xC0, 0x00, 0x00, 0x00, 0x00, ##  000000000000000000                                     
            0xFF, 0xFE, 0x00, 0x00, 0x00, 0x00, 0x00, ##  000000000000000                                        
            0xFF, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x00, ##  000000000000                                           
            0xFF, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x00, ##  0000000000                                             
            0xFE, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  0000000                                                
            0xF0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  0000                                                   
            0x80, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  0                                                      
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '63' => {    # '?'
        'width'    => 33, 
        'xoffset'  => 7, 
        'xadvance' => 46, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x3F, 0xF8, 0x00, 0x00, ##            00000000000            
            0x03, 0xFF, 0xFF, 0x00, 0x00, ##        000000000000000000         
            0x1F, 0xFF, 0xFF, 0xC0, 0x00, ##     00000000000000000000000       
            0x7F, 0xFF, 0xFF, 0xF0, 0x00, ##   000000000000000000000000000     
            0xFF, 0xFF, 0xFF, 0xF8, 0x00, ##  00000000000000000000000000000    
            0xFF, 0xFF, 0xFF, 0xFC, 0x00, ##  000000000000000000000000000000   
            0xFF, 0xE0, 0x3F, 0xFE, 0x00, ##  00000000000       0000000000000  
            0xFE, 0x00, 0x07, 0xFE, 0x00, ##  0000000              0000000000  
            0xF8, 0x00, 0x03, 0xFF, 0x00, ##  00000                 0000000000 
            0xE0, 0x00, 0x01, 0xFF, 0x00, ##  000                    000000000 
            0xC0, 0x00, 0x00, 0xFF, 0x00, ##  00                      00000000 
            0x00, 0x00, 0x00, 0xFF, 0x80, ##                          000000000
            0x00, 0x00, 0x00, 0x7F, 0x80, ##                           00000000
            0x00, 0x00, 0x00, 0x7F, 0x80, ##                           00000000
            0x00, 0x00, 0x00, 0x7F, 0x80, ##                           00000000
            0x00, 0x00, 0x00, 0x7F, 0x80, ##                           00000000
            0x00, 0x00, 0x00, 0x7F, 0x80, ##                           00000000
            0x00, 0x00, 0x00, 0xFF, 0x80, ##                          000000000
            0x00, 0x00, 0x00, 0xFF, 0x00, ##                          00000000 
            0x00, 0x00, 0x01, 0xFF, 0x00, ##                         000000000 
            0x00, 0x00, 0x01, 0xFF, 0x00, ##                         000000000 
            0x00, 0x00, 0x03, 0xFE, 0x00, ##                        000000000  
            0x00, 0x00, 0x07, 0xFC, 0x00, ##                       000000000   
            0x00, 0x00, 0x0F, 0xFC, 0x00, ##                      0000000000   
            0x00, 0x00, 0x1F, 0xF8, 0x00, ##                     0000000000    
            0x00, 0x00, 0x3F, 0xF0, 0x00, ##                    0000000000     
            0x00, 0x00, 0x7F, 0xE0, 0x00, ##                   0000000000      
            0x00, 0x01, 0xFF, 0xC0, 0x00, ##                 00000000000       
            0x00, 0x01, 0xFF, 0x80, 0x00, ##                 0000000000        
            0x00, 0x03, 0xFF, 0x00, 0x00, ##                0000000000         
            0x00, 0x07, 0xFE, 0x00, 0x00, ##               0000000000          
            0x00, 0x0F, 0xFC, 0x00, 0x00, ##              0000000000           
            0x00, 0x1F, 0xF8, 0x00, 0x00, ##             0000000000            
            0x00, 0x1F, 0xF0, 0x00, 0x00, ##             000000000             
            0x00, 0x1F, 0xE0, 0x00, 0x00, ##             00000000              
            0x00, 0x3F, 0xE0, 0x00, 0x00, ##            000000000              
            0x00, 0x3F, 0xC0, 0x00, 0x00, ##            00000000               
            0x00, 0x3F, 0xC0, 0x00, 0x00, ##            00000000               
            0x00, 0x3F, 0xC0, 0x00, 0x00, ##            00000000               
            0x00, 0x3F, 0xC0, 0x00, 0x00, ##            00000000               
            0x00, 0x3F, 0xC0, 0x00, 0x00, ##            00000000               
            0x00, 0x3F, 0xC0, 0x00, 0x00, ##            00000000               
            0x00, 0x3F, 0xC0, 0x00, 0x00, ##            00000000               
            0x00, 0x3F, 0xC0, 0x00, 0x00, ##            00000000               
            0x00, 0x3F, 0xC0, 0x00, 0x00, ##            00000000               
            0x00, 0x3F, 0xC0, 0x00, 0x00, ##            00000000               
            0x00, 0x3F, 0xC0, 0x00, 0x00, ##            00000000               
            0x00, 0x00, 0x00, 0x00, 0x00, ##                                   
            0x00, 0x00, 0x00, 0x00, 0x00, ##                                   
            0x00, 0x00, 0x00, 0x00, 0x00, ##                                   
            0x00, 0x00, 0x00, 0x00, 0x00, ##                                   
            0x00, 0x00, 0x00, 0x00, 0x00, ##                                   
            0x00, 0x00, 0x00, 0x00, 0x00, ##                                   
            0x00, 0x3F, 0xC0, 0x00, 0x00, ##            00000000               
            0x00, 0x3F, 0xC0, 0x00, 0x00, ##            00000000               
            0x00, 0x3F, 0xC0, 0x00, 0x00, ##            00000000               
            0x00, 0x3F, 0xC0, 0x00, 0x00, ##            00000000               
            0x00, 0x3F, 0xC0, 0x00, 0x00, ##            00000000               
            0x00, 0x3F, 0xC0, 0x00, 0x00, ##            00000000               
            0x00, 0x3F, 0xC0, 0x00, 0x00, ##            00000000               
            0x00, 0x3F, 0xC0, 0x00, 0x00, ##            00000000               
            0x00, 0x3F, 0xC0, 0x00, 0x00, ##            00000000               
            0x00, 0x3F, 0xC0, 0x00, 0x00, ##            00000000               
            0x00, 0x3F, 0xC0, 0x00, 0x00, ##            00000000               
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '64' => {    # '@'
        'width'    => 75, 
        'xoffset'  => 6, 
        'xadvance' => 87, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0xFF, 0xF8, 0x00, 0x00, 0x00, 0x00, ##                                  0000000000000                              
            0x00, 0x00, 0x00, 0x0F, 0xFF, 0xFF, 0xC0, 0x00, 0x00, 0x00, ##                              0000000000000000000000                         
            0x00, 0x00, 0x00, 0x7F, 0xFF, 0xFF, 0xF8, 0x00, 0x00, 0x00, ##                           0000000000000000000000000000                      
            0x00, 0x00, 0x03, 0xFF, 0xFF, 0xFF, 0xFE, 0x00, 0x00, 0x00, ##                        000000000000000000000000000000000                    
            0x00, 0x00, 0x0F, 0xFF, 0xFF, 0xFF, 0xFF, 0x80, 0x00, 0x00, ##                      0000000000000000000000000000000000000                  
            0x00, 0x00, 0x3F, 0xFF, 0xFF, 0xFF, 0xFF, 0xE0, 0x00, 0x00, ##                    00000000000000000000000000000000000000000                
            0x00, 0x00, 0x7F, 0xFF, 0x80, 0x07, 0xFF, 0xF0, 0x00, 0x00, ##                   0000000000000000            000000000000000               
            0x00, 0x00, 0xFF, 0xF8, 0x00, 0x00, 0x7F, 0xFC, 0x00, 0x00, ##                 00000000000000                    0000000000000             
            0x00, 0x00, 0xFF, 0xC0, 0x00, 0x00, 0x0F, 0xFE, 0x00, 0x00, ##                000000000000                          00000000000            
            0x00, 0x00, 0xFF, 0x00, 0x00, 0x00, 0x03, 0xFF, 0x00, 0x00, ##               00000000000                              0000000000           
            0x00, 0x00, 0xFC, 0x00, 0x00, 0x00, 0x00, 0xFF, 0x80, 0x00, ##              0000000000                                  000000000          
            0x00, 0x00, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x7F, 0xC0, 0x00, ##             000000000                                     000000000         
            0x00, 0x00, 0xE0, 0x00, 0x00, 0x00, 0x00, 0x3F, 0xE0, 0x00, ##            000000000                                       000000000        
            0x00, 0x00, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xF0, 0x00, ##           000000000                                          00000000       
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x07, 0xF8, 0x00, ##          00000000                                             00000000      
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x03, 0xF8, 0x00, ##         00000000                                               0000000      
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xFC, 0x00, ##         0000000                                                 0000000     
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xFE, 0x00, ##        0000000                                                  00000000    
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFE, 0x00, ##       00000000                                                   0000000    
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x7F, 0x00, ##       0000000                                                     0000000   
            0x00, 0x00, 0x00, 0x00, 0xFF, 0x80, 0x00, 0x00, 0x3F, 0x00, ##      0000000                     000000000                         000000   
            0x00, 0x00, 0x00, 0x07, 0xFF, 0xF0, 0x3F, 0x00, 0x3F, 0x80, ##      0000000                  000000000000000      000000          0000000  
            0x00, 0x00, 0x00, 0x0F, 0xFF, 0xFC, 0x3F, 0x00, 0x1F, 0x80, ##     0000000                  000000000000000000    000000           000000  
            0x00, 0x00, 0x00, 0x3F, 0xFF, 0xFE, 0x3F, 0x00, 0x1F, 0x80, ##     0000000                000000000000000000000   000000           000000  
            0x00, 0x00, 0x00, 0x7F, 0xFF, 0xFF, 0x3F, 0x00, 0x1F, 0xC0, ##     000000                00000000000000000000000  000000           0000000 
            0x00, 0x00, 0x00, 0xFF, 0xFF, 0xFF, 0xBF, 0x00, 0x0F, 0xC0, ##    0000000               0000000000000000000000000 000000            000000 
            0x00, 0x00, 0x00, 0xFF, 0xC0, 0x7F, 0xFF, 0x00, 0x0F, 0xC0, ##    000000                0000000000       000000000000000            000000 
            0x00, 0x00, 0x01, 0xFF, 0x00, 0x0F, 0xFF, 0x00, 0x0F, 0xC0, ##    000000               000000000            000000000000            000000 
            0x00, 0x00, 0x03, 0xFE, 0x00, 0x07, 0xFF, 0x00, 0x0F, 0xE0, ##   000000               000000000              00000000000            0000000
            0x00, 0x00, 0x03, 0xFC, 0x00, 0x03, 0xFF, 0x00, 0x07, 0xE0, ##   000000               00000000                0000000000             000000
            0x00, 0x00, 0x07, 0xF8, 0x00, 0x01, 0xFF, 0x00, 0x07, 0xE0, ##   000000              00000000                  000000000             000000
            0x00, 0x00, 0x07, 0xF8, 0x00, 0x01, 0xFF, 0x00, 0x07, 0xE0, ##   000000              00000000                  000000000             000000
            0x00, 0x00, 0x07, 0xF0, 0x00, 0x00, 0xFF, 0x00, 0x07, 0xE0, ##  0000000              0000000                    00000000             000000
            0x00, 0x00, 0x07, 0xF0, 0x00, 0x00, 0xFF, 0x00, 0x07, 0xE0, ##  000000               0000000                    00000000             000000
            0x00, 0x00, 0x0F, 0xE0, 0x00, 0x00, 0xFF, 0x00, 0x07, 0xE0, ##  000000              0000000                     00000000             000000
            0x00, 0x00, 0x0F, 0xE0, 0x00, 0x00, 0x7F, 0x00, 0x07, 0xE0, ##  000000              0000000                      0000000             000000
            0x00, 0x00, 0x0F, 0xE0, 0x00, 0x00, 0x7F, 0x00, 0x07, 0xE0, ##  000000              0000000                      0000000             000000
            0x00, 0x00, 0x0F, 0xE0, 0x00, 0x00, 0x7F, 0x00, 0x07, 0xE0, ##  000000              0000000                      0000000             000000
            0x00, 0x00, 0x0F, 0xE0, 0x00, 0x00, 0x7F, 0x00, 0x07, 0xE0, ##  000000              0000000                      0000000             000000
            0x00, 0x00, 0x0F, 0xE0, 0x00, 0x00, 0x7F, 0x00, 0x0F, 0xE0, ##  000000              0000000                      0000000            0000000
            0x00, 0x00, 0x0F, 0xE0, 0x00, 0x00, 0x7F, 0x00, 0x0F, 0xC0, ##  000000              0000000                      0000000            000000 
            0x00, 0x00, 0x0F, 0xE0, 0x00, 0x00, 0x7F, 0x00, 0x0F, 0xC0, ##  000000              0000000                      0000000            000000 
            0x00, 0x00, 0x0F, 0xE0, 0x00, 0x00, 0x7F, 0x00, 0x0F, 0xC0, ##  000000              0000000                      0000000            000000 
            0x00, 0x00, 0x0F, 0xE0, 0x00, 0x00, 0xFF, 0x00, 0x1F, 0x80, ##  000000              0000000                     00000000           000000  
            0x00, 0x00, 0x07, 0xF0, 0x00, 0x00, 0xFF, 0x00, 0x1F, 0x80, ##  000000               0000000                    00000000           000000  
            0x00, 0x00, 0x07, 0xF0, 0x00, 0x00, 0xFF, 0x00, 0x3F, 0x80, ##   000000              0000000                    00000000          0000000  
            0x00, 0x00, 0x07, 0xF8, 0x00, 0x01, 0xFF, 0x00, 0x7F, 0x00, ##   000000              00000000                  000000000         0000000   
            0x00, 0x00, 0x07, 0xF8, 0x00, 0x01, 0xFF, 0x00, 0x7E, 0x00, ##   000000              00000000                  000000000         000000    
            0x00, 0x00, 0x03, 0xFC, 0x00, 0x03, 0xFF, 0x00, 0xFE, 0x00, ##   000000               00000000                0000000000        0000000    
            0x00, 0x00, 0x03, 0xFE, 0x00, 0x07, 0xFF, 0x03, 0xFC, 0x00, ##   0000000              000000000              00000000000      00000000     
            0x00, 0x00, 0x01, 0xFF, 0x00, 0x0F, 0xFF, 0x07, 0xF8, 0x00, ##    000000               000000000            000000000000     00000000      
            0x00, 0x00, 0x00, 0xFF, 0xC0, 0x3F, 0xFF, 0x3F, 0xF0, 0x00, ##    0000000               0000000000        00000000000000  0000000000       
            0x00, 0x00, 0x00, 0xFF, 0xFF, 0xFF, 0xBF, 0xFF, 0xE0, 0x00, ##    0000000               0000000000000000000000000 00000000000000000        
            0x00, 0x00, 0x00, 0x7F, 0xFF, 0xFF, 0x3F, 0xFF, 0xC0, 0x00, ##     000000                00000000000000000000000  0000000000000000         
            0x00, 0x00, 0x00, 0x3F, 0xFF, 0xFE, 0x3F, 0xFF, 0x00, 0x00, ##     0000000                000000000000000000000   00000000000000           
            0x00, 0x00, 0x00, 0x0F, 0xFF, 0xFC, 0x3F, 0xFC, 0x00, 0x00, ##      000000                  000000000000000000    000000000000             
            0x00, 0x00, 0x00, 0x07, 0xFF, 0xF0, 0x3F, 0xF0, 0x00, 0x00, ##      0000000                  000000000000000      0000000000               
            0x00, 0x00, 0x00, 0x00, 0xFF, 0x80, 0x3F, 0x00, 0x00, 0x00, ##       0000000                    000000000         000000                   
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##       00000000                                                              
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##        0000000                                                              
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##        00000000                                                             
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##         00000000                                                            
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##          00000000                                                           
            0x00, 0x00, 0x80, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##           00000000                                                          
            0x00, 0x00, 0xE0, 0x00, 0x00, 0x00, 0x00, 0x30, 0x00, 0x00, ##            000000000                                       00               
            0x00, 0x00, 0xF0, 0x00, 0x00, 0x00, 0x00, 0xF0, 0x00, 0x00, ##             000000000                                    0000               
            0x00, 0x00, 0xF8, 0x00, 0x00, 0x00, 0x01, 0xF8, 0x00, 0x00, ##              000000000                                  000000              
            0x00, 0x00, 0xFE, 0x00, 0x00, 0x00, 0x07, 0xFC, 0x00, 0x00, ##               0000000000                              000000000             
            0x00, 0x00, 0xFF, 0x80, 0x00, 0x00, 0x1F, 0xFE, 0x00, 0x00, ##                00000000000                          000000000000            
            0x00, 0x00, 0xFF, 0xF0, 0x00, 0x00, 0xFF, 0xF8, 0x00, 0x00, ##                 0000000000000                    0000000000000              
            0x00, 0x00, 0x7F, 0xFF, 0x00, 0x0F, 0xFF, 0xF0, 0x00, 0x00, ##                   000000000000000            0000000000000000               
            0x00, 0x00, 0x3F, 0xFF, 0xFF, 0xFF, 0xFF, 0xC0, 0x00, 0x00, ##                    0000000000000000000000000000000000000000                 
            0x00, 0x00, 0x0F, 0xFF, 0xFF, 0xFF, 0xFF, 0x80, 0x00, 0x00, ##                      0000000000000000000000000000000000000                  
            0x00, 0x00, 0x03, 0xFF, 0xFF, 0xFF, 0xFC, 0x00, 0x00, 0x00, ##                        00000000000000000000000000000000                     
            0x00, 0x00, 0x00, 0xFF, 0xFF, 0xFF, 0xF0, 0x00, 0x00, 0x00, ##                          0000000000000000000000000000                       
            0x00, 0x00, 0x00, 0x1F, 0xFF, 0xFF, 0x80, 0x00, 0x00, 0x00, ##                             0000000000000000000000                          
            0x00, 0x00, 0x00, 0x00, 0xFF, 0xF8, 0x00, 0x00, 0x00, 0x00, ##                                  0000000000000                              
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '65' => {    # 'A'
        'width'    => 58, 
        'xoffset'  => 1, 
        'xadvance' => 60, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0xFF, 0xC0, 0x00, 0x00, 0x00, ##                          0000000000                        
            0x00, 0x00, 0x01, 0xFF, 0xC0, 0x00, 0x00, 0x00, ##                         00000000000                        
            0x00, 0x00, 0x01, 0xFF, 0xC0, 0x00, 0x00, 0x00, ##                         00000000000                        
            0x00, 0x00, 0x01, 0xFF, 0xE0, 0x00, 0x00, 0x00, ##                         000000000000                       
            0x00, 0x00, 0x03, 0xFF, 0xE0, 0x00, 0x00, 0x00, ##                        0000000000000                       
            0x00, 0x00, 0x03, 0xFF, 0xF0, 0x00, 0x00, 0x00, ##                        00000000000000                      
            0x00, 0x00, 0x03, 0xFF, 0xF0, 0x00, 0x00, 0x00, ##                        00000000000000                      
            0x00, 0x00, 0x07, 0xFF, 0xF0, 0x00, 0x00, 0x00, ##                       000000000000000                      
            0x00, 0x00, 0x07, 0xFF, 0xF8, 0x00, 0x00, 0x00, ##                       0000000000000000                     
            0x00, 0x00, 0x0F, 0xFF, 0xF8, 0x00, 0x00, 0x00, ##                      00000000000000000                     
            0x00, 0x00, 0x0F, 0xFF, 0xF8, 0x00, 0x00, 0x00, ##                      00000000000000000                     
            0x00, 0x00, 0x0F, 0xF7, 0xFC, 0x00, 0x00, 0x00, ##                      00000000 000000000                    
            0x00, 0x00, 0x1F, 0xF3, 0xFC, 0x00, 0x00, 0x00, ##                     000000000  00000000                    
            0x00, 0x00, 0x1F, 0xF3, 0xFE, 0x00, 0x00, 0x00, ##                     000000000  000000000                   
            0x00, 0x00, 0x1F, 0xE3, 0xFE, 0x00, 0x00, 0x00, ##                     00000000   000000000                   
            0x00, 0x00, 0x3F, 0xE1, 0xFE, 0x00, 0x00, 0x00, ##                    000000000    00000000                   
            0x00, 0x00, 0x3F, 0xC1, 0xFF, 0x00, 0x00, 0x00, ##                    00000000     000000000                  
            0x00, 0x00, 0x7F, 0xC1, 0xFF, 0x00, 0x00, 0x00, ##                   000000000     000000000                  
            0x00, 0x00, 0x7F, 0xC0, 0xFF, 0x00, 0x00, 0x00, ##                   000000000      00000000                  
            0x00, 0x00, 0x7F, 0x80, 0xFF, 0x80, 0x00, 0x00, ##                   00000000       000000000                 
            0x00, 0x00, 0xFF, 0x80, 0x7F, 0x80, 0x00, 0x00, ##                  000000000        00000000                 
            0x00, 0x00, 0xFF, 0x80, 0x7F, 0xC0, 0x00, 0x00, ##                  000000000        000000000                
            0x00, 0x00, 0xFF, 0x00, 0x7F, 0xC0, 0x00, 0x00, ##                  00000000         000000000                
            0x00, 0x01, 0xFF, 0x00, 0x3F, 0xC0, 0x00, 0x00, ##                 000000000          00000000                
            0x00, 0x01, 0xFF, 0x00, 0x3F, 0xE0, 0x00, 0x00, ##                 000000000          000000000               
            0x00, 0x03, 0xFE, 0x00, 0x3F, 0xE0, 0x00, 0x00, ##                000000000           000000000               
            0x00, 0x03, 0xFE, 0x00, 0x1F, 0xE0, 0x00, 0x00, ##                000000000            00000000               
            0x00, 0x03, 0xFC, 0x00, 0x1F, 0xF0, 0x00, 0x00, ##                00000000             000000000              
            0x00, 0x07, 0xFC, 0x00, 0x1F, 0xF0, 0x00, 0x00, ##               000000000             000000000              
            0x00, 0x07, 0xFC, 0x00, 0x0F, 0xF8, 0x00, 0x00, ##               000000000              000000000             
            0x00, 0x07, 0xF8, 0x00, 0x0F, 0xF8, 0x00, 0x00, ##               00000000               000000000             
            0x00, 0x0F, 0xF8, 0x00, 0x07, 0xF8, 0x00, 0x00, ##              000000000                00000000             
            0x00, 0x0F, 0xF8, 0x00, 0x07, 0xFC, 0x00, 0x00, ##              000000000                000000000            
            0x00, 0x1F, 0xF0, 0x00, 0x07, 0xFC, 0x00, 0x00, ##             000000000                 000000000            
            0x00, 0x1F, 0xF0, 0x00, 0x03, 0xFC, 0x00, 0x00, ##             000000000                  00000000            
            0x00, 0x1F, 0xE0, 0x00, 0x03, 0xFE, 0x00, 0x00, ##             00000000                   000000000           
            0x00, 0x3F, 0xE0, 0x00, 0x03, 0xFE, 0x00, 0x00, ##            000000000                   000000000           
            0x00, 0x3F, 0xE0, 0x00, 0x01, 0xFF, 0x00, 0x00, ##            000000000                    000000000          
            0x00, 0x3F, 0xC0, 0x00, 0x01, 0xFF, 0x00, 0x00, ##            00000000                     000000000          
            0x00, 0x7F, 0xC0, 0x00, 0x01, 0xFF, 0x00, 0x00, ##           000000000                     000000000          
            0x00, 0x7F, 0xC0, 0x00, 0x00, 0xFF, 0x80, 0x00, ##           000000000                      000000000         
            0x00, 0xFF, 0x80, 0x00, 0x00, 0xFF, 0x80, 0x00, ##          000000000                       000000000         
            0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x80, 0x00, ##          00000000000000000000000000000000000000000         
            0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xC0, 0x00, ##          000000000000000000000000000000000000000000        
            0x01, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xC0, 0x00, ##         0000000000000000000000000000000000000000000        
            0x01, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xE0, 0x00, ##         00000000000000000000000000000000000000000000       
            0x03, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xE0, 0x00, ##        000000000000000000000000000000000000000000000       
            0x03, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xE0, 0x00, ##        000000000000000000000000000000000000000000000       
            0x03, 0xFC, 0x00, 0x00, 0x00, 0x1F, 0xF0, 0x00, ##        00000000                             000000000      
            0x07, 0xFC, 0x00, 0x00, 0x00, 0x0F, 0xF0, 0x00, ##       000000000                              00000000      
            0x07, 0xFC, 0x00, 0x00, 0x00, 0x0F, 0xF8, 0x00, ##       000000000                              000000000     
            0x07, 0xF8, 0x00, 0x00, 0x00, 0x0F, 0xF8, 0x00, ##       00000000                               000000000     
            0x0F, 0xF8, 0x00, 0x00, 0x00, 0x07, 0xF8, 0x00, ##      000000000                                00000000     
            0x0F, 0xF8, 0x00, 0x00, 0x00, 0x07, 0xFC, 0x00, ##      000000000                                000000000    
            0x1F, 0xF0, 0x00, 0x00, 0x00, 0x07, 0xFC, 0x00, ##     000000000                                 000000000    
            0x1F, 0xF0, 0x00, 0x00, 0x00, 0x03, 0xFC, 0x00, ##     000000000                                  00000000    
            0x1F, 0xF0, 0x00, 0x00, 0x00, 0x03, 0xFE, 0x00, ##     000000000                                  000000000   
            0x3F, 0xE0, 0x00, 0x00, 0x00, 0x03, 0xFE, 0x00, ##    000000000                                   000000000   
            0x3F, 0xE0, 0x00, 0x00, 0x00, 0x01, 0xFF, 0x00, ##    000000000                                    000000000  
            0x3F, 0xC0, 0x00, 0x00, 0x00, 0x01, 0xFF, 0x00, ##    00000000                                     000000000  
            0x7F, 0xC0, 0x00, 0x00, 0x00, 0x01, 0xFF, 0x00, ##   000000000                                     000000000  
            0x7F, 0xC0, 0x00, 0x00, 0x00, 0x00, 0xFF, 0x80, ##   000000000                                      000000000 
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0xFF, 0x80, ##  000000000                                       000000000 
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x7F, 0x80, ##  000000000                                        00000000 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '66' => {    # 'B'
        'width'    => 45, 
        'xoffset'  => 9, 
        'xadvance' => 60, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0xFF, 0xFF, 0xFF, 0xF0, 0x00, 0x00, ##  0000000000000000000000000000                 
            0xFF, 0xFF, 0xFF, 0xFF, 0x00, 0x00, ##  00000000000000000000000000000000             
            0xFF, 0xFF, 0xFF, 0xFF, 0xC0, 0x00, ##  0000000000000000000000000000000000           
            0xFF, 0xFF, 0xFF, 0xFF, 0xF0, 0x00, ##  000000000000000000000000000000000000         
            0xFF, 0xFF, 0xFF, 0xFF, 0xF8, 0x00, ##  0000000000000000000000000000000000000        
            0xFF, 0xFF, 0xFF, 0xFF, 0xFC, 0x00, ##  00000000000000000000000000000000000000       
            0xFF, 0x00, 0x00, 0x3F, 0xFE, 0x00, ##  00000000                  0000000000000      
            0xFF, 0x00, 0x00, 0x07, 0xFF, 0x00, ##  00000000                     00000000000     
            0xFF, 0x00, 0x00, 0x01, 0xFF, 0x00, ##  00000000                       000000000     
            0xFF, 0x00, 0x00, 0x00, 0xFF, 0x80, ##  00000000                        000000000    
            0xFF, 0x00, 0x00, 0x00, 0x7F, 0x80, ##  00000000                         00000000    
            0xFF, 0x00, 0x00, 0x00, 0x7F, 0xC0, ##  00000000                         000000000   
            0xFF, 0x00, 0x00, 0x00, 0x7F, 0xC0, ##  00000000                         000000000   
            0xFF, 0x00, 0x00, 0x00, 0x3F, 0xC0, ##  00000000                          00000000   
            0xFF, 0x00, 0x00, 0x00, 0x3F, 0xC0, ##  00000000                          00000000   
            0xFF, 0x00, 0x00, 0x00, 0x3F, 0xC0, ##  00000000                          00000000   
            0xFF, 0x00, 0x00, 0x00, 0x3F, 0xC0, ##  00000000                          00000000   
            0xFF, 0x00, 0x00, 0x00, 0x3F, 0xC0, ##  00000000                          00000000   
            0xFF, 0x00, 0x00, 0x00, 0x3F, 0xC0, ##  00000000                          00000000   
            0xFF, 0x00, 0x00, 0x00, 0x7F, 0xC0, ##  00000000                         000000000   
            0xFF, 0x00, 0x00, 0x00, 0x7F, 0x80, ##  00000000                         00000000    
            0xFF, 0x00, 0x00, 0x00, 0x7F, 0x80, ##  00000000                         00000000    
            0xFF, 0x00, 0x00, 0x00, 0xFF, 0x80, ##  00000000                        000000000    
            0xFF, 0x00, 0x00, 0x01, 0xFF, 0x00, ##  00000000                       000000000     
            0xFF, 0x00, 0x00, 0x07, 0xFE, 0x00, ##  00000000                     0000000000      
            0xFF, 0x00, 0x00, 0x3F, 0xFC, 0x00, ##  00000000                  000000000000       
            0xFF, 0xFF, 0xFF, 0xFF, 0xF8, 0x00, ##  0000000000000000000000000000000000000        
            0xFF, 0xFF, 0xFF, 0xFF, 0xF0, 0x00, ##  000000000000000000000000000000000000         
            0xFF, 0xFF, 0xFF, 0xFF, 0x80, 0x00, ##  000000000000000000000000000000000            
            0xFF, 0xFF, 0xFF, 0xFF, 0xE0, 0x00, ##  00000000000000000000000000000000000          
            0xFF, 0xFF, 0xFF, 0xFF, 0xF8, 0x00, ##  0000000000000000000000000000000000000        
            0xFF, 0xFF, 0xFF, 0xFF, 0xFE, 0x00, ##  000000000000000000000000000000000000000      
            0xFF, 0x00, 0x00, 0x1F, 0xFF, 0x00, ##  00000000                   0000000000000     
            0xFF, 0x00, 0x00, 0x03, 0xFF, 0x80, ##  00000000                      00000000000    
            0xFF, 0x00, 0x00, 0x00, 0xFF, 0xC0, ##  00000000                        0000000000   
            0xFF, 0x00, 0x00, 0x00, 0x7F, 0xC0, ##  00000000                         000000000   
            0xFF, 0x00, 0x00, 0x00, 0x3F, 0xE0, ##  00000000                          000000000  
            0xFF, 0x00, 0x00, 0x00, 0x3F, 0xE0, ##  00000000                          000000000  
            0xFF, 0x00, 0x00, 0x00, 0x1F, 0xF0, ##  00000000                           000000000 
            0xFF, 0x00, 0x00, 0x00, 0x1F, 0xF0, ##  00000000                           000000000 
            0xFF, 0x00, 0x00, 0x00, 0x0F, 0xF0, ##  00000000                            00000000 
            0xFF, 0x00, 0x00, 0x00, 0x0F, 0xF8, ##  00000000                            000000000
            0xFF, 0x00, 0x00, 0x00, 0x0F, 0xF8, ##  00000000                            000000000
            0xFF, 0x00, 0x00, 0x00, 0x0F, 0xF8, ##  00000000                            000000000
            0xFF, 0x00, 0x00, 0x00, 0x0F, 0xF8, ##  00000000                            000000000
            0xFF, 0x00, 0x00, 0x00, 0x0F, 0xF8, ##  00000000                            000000000
            0xFF, 0x00, 0x00, 0x00, 0x0F, 0xF8, ##  00000000                            000000000
            0xFF, 0x00, 0x00, 0x00, 0x0F, 0xF8, ##  00000000                            000000000
            0xFF, 0x00, 0x00, 0x00, 0x0F, 0xF8, ##  00000000                            000000000
            0xFF, 0x00, 0x00, 0x00, 0x1F, 0xF8, ##  00000000                           0000000000
            0xFF, 0x00, 0x00, 0x00, 0x1F, 0xF0, ##  00000000                           000000000 
            0xFF, 0x00, 0x00, 0x00, 0x3F, 0xF0, ##  00000000                          0000000000 
            0xFF, 0x00, 0x00, 0x00, 0x3F, 0xF0, ##  00000000                          0000000000 
            0xFF, 0x00, 0x00, 0x00, 0x7F, 0xE0, ##  00000000                         0000000000  
            0xFF, 0x00, 0x00, 0x00, 0xFF, 0xE0, ##  00000000                        00000000000  
            0xFF, 0x00, 0x00, 0x03, 0xFF, 0xC0, ##  00000000                      000000000000   
            0xFF, 0x00, 0x00, 0x1F, 0xFF, 0x80, ##  00000000                   00000000000000    
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x00, ##  0000000000000000000000000000000000000000     
            0xFF, 0xFF, 0xFF, 0xFF, 0xFE, 0x00, ##  000000000000000000000000000000000000000      
            0xFF, 0xFF, 0xFF, 0xFF, 0xFC, 0x00, ##  00000000000000000000000000000000000000       
            0xFF, 0xFF, 0xFF, 0xFF, 0xF0, 0x00, ##  000000000000000000000000000000000000         
            0xFF, 0xFF, 0xFF, 0xFF, 0x80, 0x00, ##  000000000000000000000000000000000            
            0xFF, 0xFF, 0xFF, 0xF8, 0x00, 0x00, ##  00000000000000000000000000000                
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '67' => {    # 'C'
        'width'    => 51, 
        'xoffset'  => 5, 
        'xadvance' => 61, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x7F, 0xFC, 0x00, 0x00, ##                           0000000000000             
            0x00, 0x00, 0x0F, 0xFF, 0xFF, 0xC0, 0x00, ##                      0000000000000000000000         
            0x00, 0x00, 0x7F, 0xFF, 0xFF, 0xF8, 0x00, ##                   0000000000000000000000000000      
            0x00, 0x01, 0xFF, 0xFF, 0xFF, 0xFF, 0x00, ##                 000000000000000000000000000000000   
            0x00, 0x07, 0xFF, 0xFF, 0xFF, 0xFF, 0xC0, ##               0000000000000000000000000000000000000 
            0x00, 0x0F, 0xFF, 0xFF, 0xFF, 0xFF, 0xE0, ##              000000000000000000000000000000000000000
            0x00, 0x1F, 0xFF, 0xC0, 0x07, 0xFF, 0xE0, ##             000000000000000           00000000000000
            0x00, 0x3F, 0xFC, 0x00, 0x00, 0xFF, 0xE0, ##            000000000000                  00000000000
            0x00, 0x7F, 0xF0, 0x00, 0x00, 0x1F, 0xE0, ##           00000000000                       00000000
            0x00, 0xFF, 0xE0, 0x00, 0x00, 0x07, 0xE0, ##          00000000000                          000000
            0x01, 0xFF, 0x80, 0x00, 0x00, 0x03, 0xE0, ##         0000000000                             00000
            0x03, 0xFF, 0x00, 0x00, 0x00, 0x00, 0xE0, ##        0000000000                                000
            0x07, 0xFE, 0x00, 0x00, 0x00, 0x00, 0x60, ##       0000000000                                  00
            0x07, 0xFC, 0x00, 0x00, 0x00, 0x00, 0x20, ##       000000000                                    0
            0x0F, 0xFC, 0x00, 0x00, 0x00, 0x00, 0x00, ##      0000000000                                     
            0x0F, 0xF8, 0x00, 0x00, 0x00, 0x00, 0x00, ##      000000000                                      
            0x1F, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x00, ##     000000000                                       
            0x1F, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x00, ##     000000000                                       
            0x3F, 0xE0, 0x00, 0x00, 0x00, 0x00, 0x00, ##    000000000                                        
            0x3F, 0xE0, 0x00, 0x00, 0x00, 0x00, 0x00, ##    000000000                                        
            0x3F, 0xE0, 0x00, 0x00, 0x00, 0x00, 0x00, ##    000000000                                        
            0x7F, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x00, ##   000000000                                         
            0x7F, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x00, ##   000000000                                         
            0x7F, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x00, ##   000000000                                         
            0x7F, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x00, ##   000000000                                         
            0x7F, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x00, ##   000000000                                         
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x00, ##  000000000                                          
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x00, ##  000000000                                          
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x00, ##  000000000                                          
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x00, ##  000000000                                          
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x00, ##  000000000                                          
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x00, ##  000000000                                          
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x00, ##  000000000                                          
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x00, ##  000000000                                          
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x00, ##  000000000                                          
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x00, ##  000000000                                          
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x00, ##  000000000                                          
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x00, ##  000000000                                          
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x00, ##  000000000                                          
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x00, ##  000000000                                          
            0x7F, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x00, ##   000000000                                         
            0x7F, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x00, ##   000000000                                         
            0x7F, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x00, ##   000000000                                         
            0x7F, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x00, ##   000000000                                         
            0x7F, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x00, ##   000000000                                         
            0x3F, 0xE0, 0x00, 0x00, 0x00, 0x00, 0x00, ##    000000000                                        
            0x3F, 0xE0, 0x00, 0x00, 0x00, 0x00, 0x00, ##    000000000                                        
            0x3F, 0xE0, 0x00, 0x00, 0x00, 0x00, 0x00, ##    000000000                                        
            0x1F, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x00, ##     000000000                                       
            0x1F, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x00, ##     000000000                                       
            0x0F, 0xF8, 0x00, 0x00, 0x00, 0x00, 0x00, ##      000000000                                      
            0x0F, 0xFC, 0x00, 0x00, 0x00, 0x00, 0x00, ##      0000000000                                     
            0x07, 0xFC, 0x00, 0x00, 0x00, 0x00, 0x20, ##       000000000                                    0
            0x07, 0xFE, 0x00, 0x00, 0x00, 0x00, 0x60, ##       0000000000                                  00
            0x03, 0xFF, 0x00, 0x00, 0x00, 0x00, 0xE0, ##        0000000000                                000
            0x01, 0xFF, 0x80, 0x00, 0x00, 0x03, 0xE0, ##         0000000000                             00000
            0x00, 0xFF, 0xC0, 0x00, 0x00, 0x07, 0xE0, ##          0000000000                           000000
            0x00, 0x7F, 0xF0, 0x00, 0x00, 0x1F, 0xE0, ##           00000000000                       00000000
            0x00, 0x3F, 0xFC, 0x00, 0x00, 0xFF, 0xE0, ##            000000000000                  00000000000
            0x00, 0x1F, 0xFF, 0xC0, 0x07, 0xFF, 0xE0, ##             000000000000000           00000000000000
            0x00, 0x0F, 0xFF, 0xFF, 0xFF, 0xFF, 0xE0, ##              000000000000000000000000000000000000000
            0x00, 0x07, 0xFF, 0xFF, 0xFF, 0xFF, 0xC0, ##               0000000000000000000000000000000000000 
            0x00, 0x01, 0xFF, 0xFF, 0xFF, 0xFF, 0x00, ##                 000000000000000000000000000000000   
            0x00, 0x00, 0x7F, 0xFF, 0xFF, 0xF8, 0x00, ##                   0000000000000000000000000000      
            0x00, 0x00, 0x0F, 0xFF, 0xFF, 0xC0, 0x00, ##                      0000000000000000000000         
            0x00, 0x00, 0x00, 0xFF, 0xF8, 0x00, 0x00, ##                          0000000000000              
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '68' => {    # 'D'
        'width'    => 53, 
        'xoffset'  => 9, 
        'xadvance' => 67, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0xFF, 0xFF, 0xFF, 0xC0, 0x00, 0x00, 0x00, ##  00000000000000000000000000                           
            0xFF, 0xFF, 0xFF, 0xFF, 0x00, 0x00, 0x00, ##  00000000000000000000000000000000                     
            0xFF, 0xFF, 0xFF, 0xFF, 0xE0, 0x00, 0x00, ##  00000000000000000000000000000000000                  
            0xFF, 0xFF, 0xFF, 0xFF, 0xFC, 0x00, 0x00, ##  00000000000000000000000000000000000000               
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x00, 0x00, ##  0000000000000000000000000000000000000000             
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xC0, 0x00, ##  000000000000000000000000000000000000000000           
            0xFF, 0x00, 0x00, 0x7F, 0xFF, 0xE0, 0x00, ##  00000000                 000000000000000000          
            0xFF, 0x00, 0x00, 0x03, 0xFF, 0xF0, 0x00, ##  00000000                      00000000000000         
            0xFF, 0x00, 0x00, 0x00, 0xFF, 0xF8, 0x00, ##  00000000                        0000000000000        
            0xFF, 0x00, 0x00, 0x00, 0x3F, 0xFC, 0x00, ##  00000000                          000000000000       
            0xFF, 0x00, 0x00, 0x00, 0x0F, 0xFE, 0x00, ##  00000000                            00000000000      
            0xFF, 0x00, 0x00, 0x00, 0x07, 0xFF, 0x00, ##  00000000                             00000000000     
            0xFF, 0x00, 0x00, 0x00, 0x03, 0xFF, 0x00, ##  00000000                              0000000000     
            0xFF, 0x00, 0x00, 0x00, 0x01, 0xFF, 0x80, ##  00000000                               0000000000    
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xC0, ##  00000000                                0000000000   
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xC0, ##  00000000                                0000000000   
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x7F, 0xC0, ##  00000000                                 000000000   
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x7F, 0xE0, ##  00000000                                 0000000000  
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x3F, 0xE0, ##  00000000                                  000000000  
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x3F, 0xE0, ##  00000000                                  000000000  
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x1F, 0xF0, ##  00000000                                   000000000 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x1F, 0xF0, ##  00000000                                   000000000 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x1F, 0xF0, ##  00000000                                   000000000 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x1F, 0xF0, ##  00000000                                   000000000 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x1F, 0xF8, ##  00000000                                   0000000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xF8, ##  00000000                                    000000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xF8, ##  00000000                                    000000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xF8, ##  00000000                                    000000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xF8, ##  00000000                                    000000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xF8, ##  00000000                                    000000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xF8, ##  00000000                                    000000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xF8, ##  00000000                                    000000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xF8, ##  00000000                                    000000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xF8, ##  00000000                                    000000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xF8, ##  00000000                                    000000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xF8, ##  00000000                                    000000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xF8, ##  00000000                                    000000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xF8, ##  00000000                                    000000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x1F, 0xF8, ##  00000000                                   0000000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x1F, 0xF0, ##  00000000                                   000000000 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x1F, 0xF0, ##  00000000                                   000000000 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x1F, 0xF0, ##  00000000                                   000000000 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x1F, 0xF0, ##  00000000                                   000000000 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x3F, 0xF0, ##  00000000                                  0000000000 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x3F, 0xE0, ##  00000000                                  000000000  
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x7F, 0xE0, ##  00000000                                 0000000000  
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x7F, 0xC0, ##  00000000                                 000000000   
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xC0, ##  00000000                                0000000000   
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xC0, ##  00000000                                0000000000   
            0xFF, 0x00, 0x00, 0x00, 0x01, 0xFF, 0x80, ##  00000000                               0000000000    
            0xFF, 0x00, 0x00, 0x00, 0x03, 0xFF, 0x00, ##  00000000                              0000000000     
            0xFF, 0x00, 0x00, 0x00, 0x07, 0xFF, 0x00, ##  00000000                             00000000000     
            0xFF, 0x00, 0x00, 0x00, 0x0F, 0xFE, 0x00, ##  00000000                            00000000000      
            0xFF, 0x00, 0x00, 0x00, 0x3F, 0xFC, 0x00, ##  00000000                          000000000000       
            0xFF, 0x00, 0x00, 0x00, 0xFF, 0xF8, 0x00, ##  00000000                        0000000000000        
            0xFF, 0x00, 0x00, 0x03, 0xFF, 0xF0, 0x00, ##  00000000                      00000000000000         
            0xFF, 0x00, 0x00, 0x7F, 0xFF, 0xE0, 0x00, ##  00000000                 000000000000000000          
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xC0, 0x00, ##  000000000000000000000000000000000000000000           
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x00, 0x00, ##  0000000000000000000000000000000000000000             
            0xFF, 0xFF, 0xFF, 0xFF, 0xFC, 0x00, 0x00, ##  00000000000000000000000000000000000000               
            0xFF, 0xFF, 0xFF, 0xFF, 0xE0, 0x00, 0x00, ##  00000000000000000000000000000000000                  
            0xFF, 0xFF, 0xFF, 0xFF, 0x00, 0x00, 0x00, ##  00000000000000000000000000000000                     
            0xFF, 0xFF, 0xFF, 0xC0, 0x00, 0x00, 0x00, ##  00000000000000000000000000                           
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '69' => {    # 'E'
        'width'    => 41, 
        'xoffset'  => 9, 
        'xadvance' => 56, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x00, ##  0000000000000000000000000000000000000000 
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x00, ##  0000000000000000000000000000000000000000 
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x00, ##  0000000000000000000000000000000000000000 
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x00, ##  0000000000000000000000000000000000000000 
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x00, ##  0000000000000000000000000000000000000000 
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x00, ##  0000000000000000000000000000000000000000 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0xFF, 0xFF, 0xFF, 0xFE, 0x00, ##  000000000000000000000000000000000000000  
            0xFF, 0xFF, 0xFF, 0xFF, 0xFE, 0x00, ##  000000000000000000000000000000000000000  
            0xFF, 0xFF, 0xFF, 0xFF, 0xFE, 0x00, ##  000000000000000000000000000000000000000  
            0xFF, 0xFF, 0xFF, 0xFF, 0xFE, 0x00, ##  000000000000000000000000000000000000000  
            0xFF, 0xFF, 0xFF, 0xFF, 0xFE, 0x00, ##  000000000000000000000000000000000000000  
            0xFF, 0xFF, 0xFF, 0xFF, 0xFE, 0x00, ##  000000000000000000000000000000000000000  
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x80, ##  00000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x80, ##  00000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x80, ##  00000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x80, ##  00000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x80, ##  00000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x80, ##  00000000000000000000000000000000000000000
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '70' => {    # 'F'
        'width'    => 37, 
        'xoffset'  => 9, 
        'xadvance' => 51, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0xFF, 0xFF, 0xFF, 0xFF, 0xF8, ##  0000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xF8, ##  0000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xF8, ##  0000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xF8, ##  0000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xF8, ##  0000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xF8, ##  0000000000000000000000000000000000000
            0xFF, 0x00, 0x00, 0x00, 0x00, ##  00000000                             
            0xFF, 0x00, 0x00, 0x00, 0x00, ##  00000000                             
            0xFF, 0x00, 0x00, 0x00, 0x00, ##  00000000                             
            0xFF, 0x00, 0x00, 0x00, 0x00, ##  00000000                             
            0xFF, 0x00, 0x00, 0x00, 0x00, ##  00000000                             
            0xFF, 0x00, 0x00, 0x00, 0x00, ##  00000000                             
            0xFF, 0x00, 0x00, 0x00, 0x00, ##  00000000                             
            0xFF, 0x00, 0x00, 0x00, 0x00, ##  00000000                             
            0xFF, 0x00, 0x00, 0x00, 0x00, ##  00000000                             
            0xFF, 0x00, 0x00, 0x00, 0x00, ##  00000000                             
            0xFF, 0x00, 0x00, 0x00, 0x00, ##  00000000                             
            0xFF, 0x00, 0x00, 0x00, 0x00, ##  00000000                             
            0xFF, 0x00, 0x00, 0x00, 0x00, ##  00000000                             
            0xFF, 0x00, 0x00, 0x00, 0x00, ##  00000000                             
            0xFF, 0x00, 0x00, 0x00, 0x00, ##  00000000                             
            0xFF, 0x00, 0x00, 0x00, 0x00, ##  00000000                             
            0xFF, 0x00, 0x00, 0x00, 0x00, ##  00000000                             
            0xFF, 0x00, 0x00, 0x00, 0x00, ##  00000000                             
            0xFF, 0x00, 0x00, 0x00, 0x00, ##  00000000                             
            0xFF, 0x00, 0x00, 0x00, 0x00, ##  00000000                             
            0xFF, 0x00, 0x00, 0x00, 0x00, ##  00000000                             
            0xFF, 0xFF, 0xFF, 0xFF, 0xC0, ##  0000000000000000000000000000000000   
            0xFF, 0xFF, 0xFF, 0xFF, 0xC0, ##  0000000000000000000000000000000000   
            0xFF, 0xFF, 0xFF, 0xFF, 0xC0, ##  0000000000000000000000000000000000   
            0xFF, 0xFF, 0xFF, 0xFF, 0xC0, ##  0000000000000000000000000000000000   
            0xFF, 0xFF, 0xFF, 0xFF, 0xC0, ##  0000000000000000000000000000000000   
            0xFF, 0xFF, 0xFF, 0xFF, 0xC0, ##  0000000000000000000000000000000000   
            0xFF, 0x00, 0x00, 0x00, 0x00, ##  00000000                             
            0xFF, 0x00, 0x00, 0x00, 0x00, ##  00000000                             
            0xFF, 0x00, 0x00, 0x00, 0x00, ##  00000000                             
            0xFF, 0x00, 0x00, 0x00, 0x00, ##  00000000                             
            0xFF, 0x00, 0x00, 0x00, 0x00, ##  00000000                             
            0xFF, 0x00, 0x00, 0x00, 0x00, ##  00000000                             
            0xFF, 0x00, 0x00, 0x00, 0x00, ##  00000000                             
            0xFF, 0x00, 0x00, 0x00, 0x00, ##  00000000                             
            0xFF, 0x00, 0x00, 0x00, 0x00, ##  00000000                             
            0xFF, 0x00, 0x00, 0x00, 0x00, ##  00000000                             
            0xFF, 0x00, 0x00, 0x00, 0x00, ##  00000000                             
            0xFF, 0x00, 0x00, 0x00, 0x00, ##  00000000                             
            0xFF, 0x00, 0x00, 0x00, 0x00, ##  00000000                             
            0xFF, 0x00, 0x00, 0x00, 0x00, ##  00000000                             
            0xFF, 0x00, 0x00, 0x00, 0x00, ##  00000000                             
            0xFF, 0x00, 0x00, 0x00, 0x00, ##  00000000                             
            0xFF, 0x00, 0x00, 0x00, 0x00, ##  00000000                             
            0xFF, 0x00, 0x00, 0x00, 0x00, ##  00000000                             
            0xFF, 0x00, 0x00, 0x00, 0x00, ##  00000000                             
            0xFF, 0x00, 0x00, 0x00, 0x00, ##  00000000                             
            0xFF, 0x00, 0x00, 0x00, 0x00, ##  00000000                             
            0xFF, 0x00, 0x00, 0x00, 0x00, ##  00000000                             
            0xFF, 0x00, 0x00, 0x00, 0x00, ##  00000000                             
            0xFF, 0x00, 0x00, 0x00, 0x00, ##  00000000                             
            0xFF, 0x00, 0x00, 0x00, 0x00, ##  00000000                             
            0xFF, 0x00, 0x00, 0x00, 0x00, ##  00000000                             
            0xFF, 0x00, 0x00, 0x00, 0x00, ##  00000000                             
            0xFF, 0x00, 0x00, 0x00, 0x00, ##  00000000                             
            0xFF, 0x00, 0x00, 0x00, 0x00, ##  00000000                             
            0xFF, 0x00, 0x00, 0x00, 0x00, ##  00000000                             
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '71' => {    # 'G'
        'width'    => 55, 
        'xoffset'  => 5, 
        'xadvance' => 67, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x7F, 0xFE, 0x00, 0x00, ##                           00000000000000                
            0x00, 0x00, 0x0F, 0xFF, 0xFF, 0xF0, 0x00, ##                      000000000000000000000000           
            0x00, 0x00, 0x3F, 0xFF, 0xFF, 0xFE, 0x00, ##                    00000000000000000000000000000        
            0x00, 0x01, 0xFF, 0xFF, 0xFF, 0xFF, 0xC0, ##                 00000000000000000000000000000000000     
            0x00, 0x03, 0xFF, 0xFF, 0xFF, 0xFF, 0xF0, ##                00000000000000000000000000000000000000   
            0x00, 0x0F, 0xFF, 0xFF, 0xFF, 0xFF, 0xF8, ##              00000000000000000000000000000000000000000  
            0x00, 0x1F, 0xFF, 0xC0, 0x03, 0xFF, 0xF8, ##             000000000000000            000000000000000  
            0x00, 0x3F, 0xFE, 0x00, 0x00, 0x3F, 0xF8, ##            0000000000000                   00000000000  
            0x00, 0x7F, 0xF0, 0x00, 0x00, 0x0F, 0xF8, ##           00000000000                        000000000  
            0x00, 0xFF, 0xE0, 0x00, 0x00, 0x03, 0xF8, ##          00000000000                           0000000  
            0x01, 0xFF, 0x80, 0x00, 0x00, 0x00, 0xF8, ##         0000000000                               00000  
            0x03, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x38, ##        0000000000                                  000  
            0x07, 0xFE, 0x00, 0x00, 0x00, 0x00, 0x18, ##       0000000000                                    00  
            0x07, 0xFC, 0x00, 0x00, 0x00, 0x00, 0x08, ##       000000000                                      0  
            0x0F, 0xFC, 0x00, 0x00, 0x00, 0x00, 0x00, ##      0000000000                                         
            0x0F, 0xF8, 0x00, 0x00, 0x00, 0x00, 0x00, ##      000000000                                          
            0x1F, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x00, ##     000000000                                           
            0x1F, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x00, ##     000000000                                           
            0x3F, 0xE0, 0x00, 0x00, 0x00, 0x00, 0x00, ##    000000000                                            
            0x3F, 0xE0, 0x00, 0x00, 0x00, 0x00, 0x00, ##    000000000                                            
            0x3F, 0xE0, 0x00, 0x00, 0x00, 0x00, 0x00, ##    000000000                                            
            0x7F, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x00, ##   000000000                                             
            0x7F, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x00, ##   000000000                                             
            0x7F, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x00, ##   000000000                                             
            0x7F, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x00, ##   000000000                                             
            0x7F, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x00, ##   000000000                                             
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x00, ##  000000000                                              
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x00, ##  000000000                                              
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x00, ##  000000000                                              
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x00, ##  000000000                                              
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x00, ##  000000000                                              
            0xFF, 0x80, 0x00, 0x00, 0x7F, 0xFF, 0xFE, ##  000000000                        0000000000000000000000
            0xFF, 0x80, 0x00, 0x00, 0x7F, 0xFF, 0xFE, ##  000000000                        0000000000000000000000
            0xFF, 0x80, 0x00, 0x00, 0x7F, 0xFF, 0xFE, ##  000000000                        0000000000000000000000
            0xFF, 0x80, 0x00, 0x00, 0x7F, 0xFF, 0xFE, ##  000000000                        0000000000000000000000
            0xFF, 0x80, 0x00, 0x00, 0x7F, 0xFF, 0xFE, ##  000000000                        0000000000000000000000
            0xFF, 0x80, 0x00, 0x00, 0x7F, 0xFF, 0xFE, ##  000000000                        0000000000000000000000
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x01, 0xFE, ##  000000000                                      00000000
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x01, 0xFE, ##  000000000                                      00000000
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x01, 0xFE, ##  000000000                                      00000000
            0x7F, 0x80, 0x00, 0x00, 0x00, 0x01, 0xFE, ##   00000000                                      00000000
            0x7F, 0xC0, 0x00, 0x00, 0x00, 0x01, 0xFE, ##   000000000                                     00000000
            0x7F, 0xC0, 0x00, 0x00, 0x00, 0x01, 0xFE, ##   000000000                                     00000000
            0x7F, 0xC0, 0x00, 0x00, 0x00, 0x01, 0xFE, ##   000000000                                     00000000
            0x7F, 0xC0, 0x00, 0x00, 0x00, 0x01, 0xFE, ##   000000000                                     00000000
            0x3F, 0xE0, 0x00, 0x00, 0x00, 0x01, 0xFE, ##    000000000                                    00000000
            0x3F, 0xE0, 0x00, 0x00, 0x00, 0x01, 0xFE, ##    000000000                                    00000000
            0x3F, 0xE0, 0x00, 0x00, 0x00, 0x01, 0xFE, ##    000000000                                    00000000
            0x1F, 0xF0, 0x00, 0x00, 0x00, 0x01, 0xFE, ##     000000000                                   00000000
            0x1F, 0xF0, 0x00, 0x00, 0x00, 0x01, 0xFE, ##     000000000                                   00000000
            0x0F, 0xF8, 0x00, 0x00, 0x00, 0x01, 0xFE, ##      000000000                                  00000000
            0x0F, 0xFC, 0x00, 0x00, 0x00, 0x01, 0xFE, ##      0000000000                                 00000000
            0x07, 0xFC, 0x00, 0x00, 0x00, 0x01, 0xFE, ##       000000000                                 00000000
            0x07, 0xFE, 0x00, 0x00, 0x00, 0x01, 0xFE, ##       0000000000                                00000000
            0x03, 0xFF, 0x00, 0x00, 0x00, 0x01, 0xFE, ##        0000000000                               00000000
            0x01, 0xFF, 0x80, 0x00, 0x00, 0x01, 0xFE, ##         0000000000                              00000000
            0x00, 0xFF, 0xE0, 0x00, 0x00, 0x01, 0xFE, ##          00000000000                            00000000
            0x00, 0x7F, 0xF0, 0x00, 0x00, 0x07, 0xFE, ##           00000000000                         0000000000
            0x00, 0x3F, 0xFE, 0x00, 0x00, 0x1F, 0xFE, ##            0000000000000                    000000000000
            0x00, 0x1F, 0xFF, 0xC0, 0x01, 0xFF, 0xFE, ##             000000000000000             0000000000000000
            0x00, 0x0F, 0xFF, 0xFF, 0xFF, 0xFF, 0xFC, ##              000000000000000000000000000000000000000000 
            0x00, 0x07, 0xFF, 0xFF, 0xFF, 0xFF, 0xF0, ##               000000000000000000000000000000000000000   
            0x00, 0x01, 0xFF, 0xFF, 0xFF, 0xFF, 0xC0, ##                 00000000000000000000000000000000000     
            0x00, 0x00, 0x7F, 0xFF, 0xFF, 0xFE, 0x00, ##                   000000000000000000000000000000        
            0x00, 0x00, 0x0F, 0xFF, 0xFF, 0xF0, 0x00, ##                      000000000000000000000000           
            0x00, 0x00, 0x00, 0x7F, 0xFE, 0x00, 0x00, ##                           00000000000000                
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '72' => {    # 'H'
        'width'    => 48, 
        'xoffset'  => 9, 
        'xadvance' => 66, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, ##  000000000000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, ##  000000000000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, ##  000000000000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, ##  000000000000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, ##  000000000000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, ##  000000000000000000000000000000000000000000000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '73' => {    # 'I'
        'width'    => 8, 
        'xoffset'  => 9, 
        'xadvance' => 26, 
        'bitmap'   => [ 
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
        ], 
    }, 
    '74' => {    # 'J'
        'width'    => 21, 
        'xoffset'  => -4, 
        'xadvance' => 26, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x07, 0xF8, ##               00000000
            0x00, 0x07, 0xF8, ##               00000000
            0x00, 0x07, 0xF8, ##               00000000
            0x00, 0x07, 0xF8, ##               00000000
            0x00, 0x07, 0xF8, ##               00000000
            0x00, 0x07, 0xF8, ##               00000000
            0x00, 0x07, 0xF8, ##               00000000
            0x00, 0x07, 0xF8, ##               00000000
            0x00, 0x07, 0xF8, ##               00000000
            0x00, 0x07, 0xF8, ##               00000000
            0x00, 0x07, 0xF8, ##               00000000
            0x00, 0x07, 0xF8, ##               00000000
            0x00, 0x07, 0xF8, ##               00000000
            0x00, 0x07, 0xF8, ##               00000000
            0x00, 0x07, 0xF8, ##               00000000
            0x00, 0x07, 0xF8, ##               00000000
            0x00, 0x07, 0xF8, ##               00000000
            0x00, 0x07, 0xF8, ##               00000000
            0x00, 0x07, 0xF8, ##               00000000
            0x00, 0x07, 0xF8, ##               00000000
            0x00, 0x07, 0xF8, ##               00000000
            0x00, 0x07, 0xF8, ##               00000000
            0x00, 0x07, 0xF8, ##               00000000
            0x00, 0x07, 0xF8, ##               00000000
            0x00, 0x07, 0xF8, ##               00000000
            0x00, 0x07, 0xF8, ##               00000000
            0x00, 0x07, 0xF8, ##               00000000
            0x00, 0x07, 0xF8, ##               00000000
            0x00, 0x07, 0xF8, ##               00000000
            0x00, 0x07, 0xF8, ##               00000000
            0x00, 0x07, 0xF8, ##               00000000
            0x00, 0x07, 0xF8, ##               00000000
            0x00, 0x07, 0xF8, ##               00000000
            0x00, 0x07, 0xF8, ##               00000000
            0x00, 0x07, 0xF8, ##               00000000
            0x00, 0x07, 0xF8, ##               00000000
            0x00, 0x07, 0xF8, ##               00000000
            0x00, 0x07, 0xF8, ##               00000000
            0x00, 0x07, 0xF8, ##               00000000
            0x00, 0x07, 0xF8, ##               00000000
            0x00, 0x07, 0xF8, ##               00000000
            0x00, 0x07, 0xF8, ##               00000000
            0x00, 0x07, 0xF8, ##               00000000
            0x00, 0x07, 0xF8, ##               00000000
            0x00, 0x07, 0xF8, ##               00000000
            0x00, 0x07, 0xF8, ##               00000000
            0x00, 0x07, 0xF8, ##               00000000
            0x00, 0x07, 0xF8, ##               00000000
            0x00, 0x07, 0xF8, ##               00000000
            0x00, 0x07, 0xF8, ##               00000000
            0x00, 0x07, 0xF8, ##               00000000
            0x00, 0x07, 0xF8, ##               00000000
            0x00, 0x07, 0xF8, ##               00000000
            0x00, 0x07, 0xF8, ##               00000000
            0x00, 0x07, 0xF8, ##               00000000
            0x00, 0x07, 0xF8, ##               00000000
            0x00, 0x07, 0xF8, ##               00000000
            0x00, 0x07, 0xF8, ##               00000000
            0x00, 0x07, 0xF8, ##               00000000
            0x00, 0x07, 0xF8, ##               00000000
            0x00, 0x07, 0xF8, ##               00000000
            0x00, 0x07, 0xF8, ##               00000000
            0x00, 0x07, 0xF8, ##               00000000
            0x00, 0x07, 0xF8, ##               00000000
            0x00, 0x07, 0xF8, ##               00000000
            0x00, 0x07, 0xF8, ##               00000000
            0x00, 0x07, 0xF8, ##               00000000
            0x00, 0x07, 0xF0, ##               0000000 
            0x00, 0x0F, 0xF0, ##              00000000 
            0x00, 0x0F, 0xF0, ##              00000000 
            0x00, 0x0F, 0xF0, ##              00000000 
            0x00, 0x1F, 0xF0, ##             000000000 
            0x00, 0x1F, 0xE0, ##             00000000  
            0x00, 0x3F, 0xE0, ##            000000000  
            0x00, 0x7F, 0xC0, ##           000000000   
            0x01, 0xFF, 0xC0, ##         00000000000   
            0xFF, 0xFF, 0x80, ##  00000000000000000    
            0xFF, 0xFF, 0x00, ##  0000000000000000     
            0xFF, 0xFE, 0x00, ##  000000000000000      
            0xFF, 0xFC, 0x00, ##  00000000000000       
            0xFF, 0xF0, 0x00, ##  000000000000         
            0xFF, 0x00, 0x00, ##  00000000             
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '75' => {    # 'K'
        'width'    => 50, 
        'xoffset'  => 9, 
        'xadvance' => 57, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0xFF, 0x00, 0x00, 0x00, 0x0F, 0xFE, 0x00, ##  00000000                            00000000000   
            0xFF, 0x00, 0x00, 0x00, 0x1F, 0xFC, 0x00, ##  00000000                           00000000000    
            0xFF, 0x00, 0x00, 0x00, 0x3F, 0xF8, 0x00, ##  00000000                          00000000000     
            0xFF, 0x00, 0x00, 0x00, 0x7F, 0xF0, 0x00, ##  00000000                         00000000000      
            0xFF, 0x00, 0x00, 0x00, 0xFF, 0xE0, 0x00, ##  00000000                        00000000000       
            0xFF, 0x00, 0x00, 0x01, 0xFF, 0xC0, 0x00, ##  00000000                       00000000000        
            0xFF, 0x00, 0x00, 0x03, 0xFF, 0x80, 0x00, ##  00000000                      00000000000         
            0xFF, 0x00, 0x00, 0x07, 0xFF, 0x00, 0x00, ##  00000000                     00000000000          
            0xFF, 0x00, 0x00, 0x1F, 0xFE, 0x00, 0x00, ##  00000000                   000000000000           
            0xFF, 0x00, 0x00, 0x3F, 0xF8, 0x00, 0x00, ##  00000000                  00000000000             
            0xFF, 0x00, 0x00, 0x7F, 0xF0, 0x00, 0x00, ##  00000000                 00000000000              
            0xFF, 0x00, 0x00, 0xFF, 0xE0, 0x00, 0x00, ##  00000000                00000000000               
            0xFF, 0x00, 0x01, 0xFF, 0xC0, 0x00, 0x00, ##  00000000               00000000000                
            0xFF, 0x00, 0x03, 0xFF, 0x80, 0x00, 0x00, ##  00000000              00000000000                 
            0xFF, 0x00, 0x07, 0xFF, 0x00, 0x00, 0x00, ##  00000000             00000000000                  
            0xFF, 0x00, 0x0F, 0xFE, 0x00, 0x00, 0x00, ##  00000000            00000000000                   
            0xFF, 0x00, 0x1F, 0xFC, 0x00, 0x00, 0x00, ##  00000000           00000000000                    
            0xFF, 0x00, 0x3F, 0xF8, 0x00, 0x00, 0x00, ##  00000000          00000000000                     
            0xFF, 0x00, 0x7F, 0xF0, 0x00, 0x00, 0x00, ##  00000000         00000000000                      
            0xFF, 0x00, 0xFF, 0xE0, 0x00, 0x00, 0x00, ##  00000000        00000000000                       
            0xFF, 0x01, 0xFF, 0xC0, 0x00, 0x00, 0x00, ##  00000000       00000000000                        
            0xFF, 0x03, 0xFF, 0x80, 0x00, 0x00, 0x00, ##  00000000      00000000000                         
            0xFF, 0x07, 0xFF, 0x00, 0x00, 0x00, 0x00, ##  00000000     00000000000                          
            0xFF, 0x0F, 0xFE, 0x00, 0x00, 0x00, 0x00, ##  00000000    00000000000                           
            0xFF, 0x1F, 0xFC, 0x00, 0x00, 0x00, 0x00, ##  00000000   00000000000                            
            0xFF, 0x3F, 0xF8, 0x00, 0x00, 0x00, 0x00, ##  00000000  00000000000                             
            0xFF, 0x7F, 0xF0, 0x00, 0x00, 0x00, 0x00, ##  00000000 00000000000                              
            0xFF, 0xFF, 0xC0, 0x00, 0x00, 0x00, 0x00, ##  000000000000000000                                
            0xFF, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##  00000000000000000                                 
            0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  0000000000000000                                  
            0xFF, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##  00000000000000000                                 
            0xFF, 0xFF, 0xC0, 0x00, 0x00, 0x00, 0x00, ##  000000000000000000                                
            0xFF, 0xFF, 0xE0, 0x00, 0x00, 0x00, 0x00, ##  0000000000000000000                               
            0xFF, 0xFF, 0xF0, 0x00, 0x00, 0x00, 0x00, ##  00000000000000000000                              
            0xFF, 0x7F, 0xF8, 0x00, 0x00, 0x00, 0x00, ##  00000000 000000000000                             
            0xFF, 0x3F, 0xFC, 0x00, 0x00, 0x00, 0x00, ##  00000000  000000000000                            
            0xFF, 0x1F, 0xFE, 0x00, 0x00, 0x00, 0x00, ##  00000000   000000000000                           
            0xFF, 0x0F, 0xFF, 0x00, 0x00, 0x00, 0x00, ##  00000000    000000000000                          
            0xFF, 0x07, 0xFF, 0x80, 0x00, 0x00, 0x00, ##  00000000     000000000000                         
            0xFF, 0x03, 0xFF, 0xC0, 0x00, 0x00, 0x00, ##  00000000      000000000000                        
            0xFF, 0x01, 0xFF, 0xE0, 0x00, 0x00, 0x00, ##  00000000       000000000000                       
            0xFF, 0x00, 0xFF, 0xF0, 0x00, 0x00, 0x00, ##  00000000        000000000000                      
            0xFF, 0x00, 0x7F, 0xF8, 0x00, 0x00, 0x00, ##  00000000         000000000000                     
            0xFF, 0x00, 0x3F, 0xFC, 0x00, 0x00, 0x00, ##  00000000          000000000000                    
            0xFF, 0x00, 0x1F, 0xFE, 0x00, 0x00, 0x00, ##  00000000           000000000000                   
            0xFF, 0x00, 0x0F, 0xFE, 0x00, 0x00, 0x00, ##  00000000            00000000000                   
            0xFF, 0x00, 0x07, 0xFF, 0x00, 0x00, 0x00, ##  00000000             00000000000                  
            0xFF, 0x00, 0x03, 0xFF, 0x80, 0x00, 0x00, ##  00000000              00000000000                 
            0xFF, 0x00, 0x01, 0xFF, 0xC0, 0x00, 0x00, ##  00000000               00000000000                
            0xFF, 0x00, 0x00, 0xFF, 0xE0, 0x00, 0x00, ##  00000000                00000000000               
            0xFF, 0x00, 0x00, 0x7F, 0xF0, 0x00, 0x00, ##  00000000                 00000000000              
            0xFF, 0x00, 0x00, 0x3F, 0xF8, 0x00, 0x00, ##  00000000                  00000000000             
            0xFF, 0x00, 0x00, 0x1F, 0xFC, 0x00, 0x00, ##  00000000                   00000000000            
            0xFF, 0x00, 0x00, 0x0F, 0xFE, 0x00, 0x00, ##  00000000                    00000000000           
            0xFF, 0x00, 0x00, 0x07, 0xFF, 0x00, 0x00, ##  00000000                     00000000000          
            0xFF, 0x00, 0x00, 0x03, 0xFF, 0x80, 0x00, ##  00000000                      00000000000         
            0xFF, 0x00, 0x00, 0x01, 0xFF, 0xC0, 0x00, ##  00000000                       00000000000        
            0xFF, 0x00, 0x00, 0x00, 0xFF, 0xE0, 0x00, ##  00000000                        00000000000       
            0xFF, 0x00, 0x00, 0x00, 0x7F, 0xF0, 0x00, ##  00000000                         00000000000      
            0xFF, 0x00, 0x00, 0x00, 0x3F, 0xF8, 0x00, ##  00000000                          00000000000     
            0xFF, 0x00, 0x00, 0x00, 0x1F, 0xFC, 0x00, ##  00000000                           00000000000    
            0xFF, 0x00, 0x00, 0x00, 0x0F, 0xFE, 0x00, ##  00000000                            00000000000   
            0xFF, 0x00, 0x00, 0x00, 0x07, 0xFF, 0x00, ##  00000000                             00000000000  
            0xFF, 0x00, 0x00, 0x00, 0x03, 0xFF, 0x80, ##  00000000                              00000000000 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '76' => {    # 'L'
        'width'    => 40, 
        'xoffset'  => 9, 
        'xadvance' => 49, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0xFF, 0x00, 0x00, 0x00, 0x00, ##  00000000                                
            0xFF, 0x00, 0x00, 0x00, 0x00, ##  00000000                                
            0xFF, 0x00, 0x00, 0x00, 0x00, ##  00000000                                
            0xFF, 0x00, 0x00, 0x00, 0x00, ##  00000000                                
            0xFF, 0x00, 0x00, 0x00, 0x00, ##  00000000                                
            0xFF, 0x00, 0x00, 0x00, 0x00, ##  00000000                                
            0xFF, 0x00, 0x00, 0x00, 0x00, ##  00000000                                
            0xFF, 0x00, 0x00, 0x00, 0x00, ##  00000000                                
            0xFF, 0x00, 0x00, 0x00, 0x00, ##  00000000                                
            0xFF, 0x00, 0x00, 0x00, 0x00, ##  00000000                                
            0xFF, 0x00, 0x00, 0x00, 0x00, ##  00000000                                
            0xFF, 0x00, 0x00, 0x00, 0x00, ##  00000000                                
            0xFF, 0x00, 0x00, 0x00, 0x00, ##  00000000                                
            0xFF, 0x00, 0x00, 0x00, 0x00, ##  00000000                                
            0xFF, 0x00, 0x00, 0x00, 0x00, ##  00000000                                
            0xFF, 0x00, 0x00, 0x00, 0x00, ##  00000000                                
            0xFF, 0x00, 0x00, 0x00, 0x00, ##  00000000                                
            0xFF, 0x00, 0x00, 0x00, 0x00, ##  00000000                                
            0xFF, 0x00, 0x00, 0x00, 0x00, ##  00000000                                
            0xFF, 0x00, 0x00, 0x00, 0x00, ##  00000000                                
            0xFF, 0x00, 0x00, 0x00, 0x00, ##  00000000                                
            0xFF, 0x00, 0x00, 0x00, 0x00, ##  00000000                                
            0xFF, 0x00, 0x00, 0x00, 0x00, ##  00000000                                
            0xFF, 0x00, 0x00, 0x00, 0x00, ##  00000000                                
            0xFF, 0x00, 0x00, 0x00, 0x00, ##  00000000                                
            0xFF, 0x00, 0x00, 0x00, 0x00, ##  00000000                                
            0xFF, 0x00, 0x00, 0x00, 0x00, ##  00000000                                
            0xFF, 0x00, 0x00, 0x00, 0x00, ##  00000000                                
            0xFF, 0x00, 0x00, 0x00, 0x00, ##  00000000                                
            0xFF, 0x00, 0x00, 0x00, 0x00, ##  00000000                                
            0xFF, 0x00, 0x00, 0x00, 0x00, ##  00000000                                
            0xFF, 0x00, 0x00, 0x00, 0x00, ##  00000000                                
            0xFF, 0x00, 0x00, 0x00, 0x00, ##  00000000                                
            0xFF, 0x00, 0x00, 0x00, 0x00, ##  00000000                                
            0xFF, 0x00, 0x00, 0x00, 0x00, ##  00000000                                
            0xFF, 0x00, 0x00, 0x00, 0x00, ##  00000000                                
            0xFF, 0x00, 0x00, 0x00, 0x00, ##  00000000                                
            0xFF, 0x00, 0x00, 0x00, 0x00, ##  00000000                                
            0xFF, 0x00, 0x00, 0x00, 0x00, ##  00000000                                
            0xFF, 0x00, 0x00, 0x00, 0x00, ##  00000000                                
            0xFF, 0x00, 0x00, 0x00, 0x00, ##  00000000                                
            0xFF, 0x00, 0x00, 0x00, 0x00, ##  00000000                                
            0xFF, 0x00, 0x00, 0x00, 0x00, ##  00000000                                
            0xFF, 0x00, 0x00, 0x00, 0x00, ##  00000000                                
            0xFF, 0x00, 0x00, 0x00, 0x00, ##  00000000                                
            0xFF, 0x00, 0x00, 0x00, 0x00, ##  00000000                                
            0xFF, 0x00, 0x00, 0x00, 0x00, ##  00000000                                
            0xFF, 0x00, 0x00, 0x00, 0x00, ##  00000000                                
            0xFF, 0x00, 0x00, 0x00, 0x00, ##  00000000                                
            0xFF, 0x00, 0x00, 0x00, 0x00, ##  00000000                                
            0xFF, 0x00, 0x00, 0x00, 0x00, ##  00000000                                
            0xFF, 0x00, 0x00, 0x00, 0x00, ##  00000000                                
            0xFF, 0x00, 0x00, 0x00, 0x00, ##  00000000                                
            0xFF, 0x00, 0x00, 0x00, 0x00, ##  00000000                                
            0xFF, 0x00, 0x00, 0x00, 0x00, ##  00000000                                
            0xFF, 0x00, 0x00, 0x00, 0x00, ##  00000000                                
            0xFF, 0x00, 0x00, 0x00, 0x00, ##  00000000                                
            0xFF, 0x00, 0x00, 0x00, 0x00, ##  00000000                                
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, ##  0000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, ##  0000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, ##  0000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, ##  0000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, ##  0000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, ##  0000000000000000000000000000000000000000
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '77' => {    # 'M'
        'width'    => 58, 
        'xoffset'  => 9, 
        'xadvance' => 76, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0xFF, 0xF8, 0x00, 0x00, 0x00, 0x07, 0xFF, 0xC0, ##  0000000000000                                0000000000000
            0xFF, 0xF8, 0x00, 0x00, 0x00, 0x07, 0xFF, 0xC0, ##  0000000000000                                0000000000000
            0xFF, 0xF8, 0x00, 0x00, 0x00, 0x07, 0xFF, 0xC0, ##  0000000000000                                0000000000000
            0xFF, 0xFC, 0x00, 0x00, 0x00, 0x0F, 0xFF, 0xC0, ##  00000000000000                              00000000000000
            0xFF, 0xFC, 0x00, 0x00, 0x00, 0x0F, 0xFF, 0xC0, ##  00000000000000                              00000000000000
            0xFF, 0xFE, 0x00, 0x00, 0x00, 0x1F, 0xFF, 0xC0, ##  000000000000000                            000000000000000
            0xFF, 0xFE, 0x00, 0x00, 0x00, 0x1F, 0xFF, 0xC0, ##  000000000000000                            000000000000000
            0xFF, 0xFE, 0x00, 0x00, 0x00, 0x1F, 0xFF, 0xC0, ##  000000000000000                            000000000000000
            0xFF, 0xFF, 0x00, 0x00, 0x00, 0x3F, 0xFF, 0xC0, ##  0000000000000000                          0000000000000000
            0xFF, 0x7F, 0x00, 0x00, 0x00, 0x3F, 0xBF, 0xC0, ##  00000000 0000000                          0000000 00000000
            0xFF, 0x7F, 0x00, 0x00, 0x00, 0x3F, 0xBF, 0xC0, ##  00000000 0000000                          0000000 00000000
            0xFF, 0x7F, 0x80, 0x00, 0x00, 0x7F, 0xBF, 0xC0, ##  00000000 00000000                        00000000 00000000
            0xFF, 0x3F, 0x80, 0x00, 0x00, 0x7F, 0x3F, 0xC0, ##  00000000  0000000                        0000000  00000000
            0xFF, 0x3F, 0xC0, 0x00, 0x00, 0xFF, 0x3F, 0xC0, ##  00000000  00000000                      00000000  00000000
            0xFF, 0x1F, 0xC0, 0x00, 0x00, 0xFE, 0x3F, 0xC0, ##  00000000   0000000                      0000000   00000000
            0xFF, 0x1F, 0xC0, 0x00, 0x00, 0xFE, 0x3F, 0xC0, ##  00000000   0000000                      0000000   00000000
            0xFF, 0x1F, 0xE0, 0x00, 0x01, 0xFE, 0x3F, 0xC0, ##  00000000   00000000                    00000000   00000000
            0xFF, 0x0F, 0xE0, 0x00, 0x01, 0xFC, 0x3F, 0xC0, ##  00000000    0000000                    0000000    00000000
            0xFF, 0x0F, 0xF0, 0x00, 0x03, 0xFC, 0x3F, 0xC0, ##  00000000    00000000                  00000000    00000000
            0xFF, 0x0F, 0xF0, 0x00, 0x03, 0xFC, 0x3F, 0xC0, ##  00000000    00000000                  00000000    00000000
            0xFF, 0x07, 0xF0, 0x00, 0x03, 0xF8, 0x3F, 0xC0, ##  00000000     0000000                  0000000     00000000
            0xFF, 0x07, 0xF8, 0x00, 0x07, 0xF8, 0x3F, 0xC0, ##  00000000     00000000                00000000     00000000
            0xFF, 0x03, 0xF8, 0x00, 0x07, 0xF0, 0x3F, 0xC0, ##  00000000      0000000                0000000      00000000
            0xFF, 0x03, 0xF8, 0x00, 0x07, 0xF0, 0x3F, 0xC0, ##  00000000      0000000                0000000      00000000
            0xFF, 0x03, 0xFC, 0x00, 0x0F, 0xF0, 0x3F, 0xC0, ##  00000000      00000000              00000000      00000000
            0xFF, 0x01, 0xFC, 0x00, 0x0F, 0xE0, 0x3F, 0xC0, ##  00000000       0000000              0000000       00000000
            0xFF, 0x01, 0xFE, 0x00, 0x1F, 0xE0, 0x3F, 0xC0, ##  00000000       00000000            00000000       00000000
            0xFF, 0x01, 0xFE, 0x00, 0x1F, 0xE0, 0x3F, 0xC0, ##  00000000       00000000            00000000       00000000
            0xFF, 0x00, 0xFE, 0x00, 0x1F, 0xC0, 0x3F, 0xC0, ##  00000000        0000000            0000000        00000000
            0xFF, 0x00, 0xFF, 0x00, 0x3F, 0xC0, 0x3F, 0xC0, ##  00000000        00000000          00000000        00000000
            0xFF, 0x00, 0x7F, 0x00, 0x3F, 0x80, 0x3F, 0xC0, ##  00000000         0000000          0000000         00000000
            0xFF, 0x00, 0x7F, 0x00, 0x3F, 0x80, 0x3F, 0xC0, ##  00000000         0000000          0000000         00000000
            0xFF, 0x00, 0x7F, 0x80, 0x7F, 0x80, 0x3F, 0xC0, ##  00000000         00000000        00000000         00000000
            0xFF, 0x00, 0x3F, 0x80, 0x7F, 0x00, 0x3F, 0xC0, ##  00000000          0000000        0000000          00000000
            0xFF, 0x00, 0x3F, 0xC0, 0xFF, 0x00, 0x3F, 0xC0, ##  00000000          00000000      00000000          00000000
            0xFF, 0x00, 0x3F, 0xC0, 0xFF, 0x00, 0x3F, 0xC0, ##  00000000          00000000      00000000          00000000
            0xFF, 0x00, 0x1F, 0xC0, 0xFE, 0x00, 0x3F, 0xC0, ##  00000000           0000000      0000000           00000000
            0xFF, 0x00, 0x1F, 0xE1, 0xFE, 0x00, 0x3F, 0xC0, ##  00000000           00000000    00000000           00000000
            0xFF, 0x00, 0x0F, 0xE1, 0xFC, 0x00, 0x3F, 0xC0, ##  00000000            0000000    0000000            00000000
            0xFF, 0x00, 0x0F, 0xE1, 0xFC, 0x00, 0x3F, 0xC0, ##  00000000            0000000    0000000            00000000
            0xFF, 0x00, 0x0F, 0xF3, 0xFC, 0x00, 0x3F, 0xC0, ##  00000000            00000000  00000000            00000000
            0xFF, 0x00, 0x07, 0xF3, 0xF8, 0x00, 0x3F, 0xC0, ##  00000000             0000000  0000000             00000000
            0xFF, 0x00, 0x07, 0xFF, 0xF8, 0x00, 0x3F, 0xC0, ##  00000000             0000000000000000             00000000
            0xFF, 0x00, 0x03, 0xFF, 0xF0, 0x00, 0x3F, 0xC0, ##  00000000              00000000000000              00000000
            0xFF, 0x00, 0x03, 0xFF, 0xF0, 0x00, 0x3F, 0xC0, ##  00000000              00000000000000              00000000
            0xFF, 0x00, 0x03, 0xFF, 0xF0, 0x00, 0x3F, 0xC0, ##  00000000              00000000000000              00000000
            0xFF, 0x00, 0x01, 0xFF, 0xE0, 0x00, 0x3F, 0xC0, ##  00000000               000000000000               00000000
            0xFF, 0x00, 0x01, 0xFF, 0xE0, 0x00, 0x3F, 0xC0, ##  00000000               000000000000               00000000
            0xFF, 0x00, 0x01, 0xFF, 0xE0, 0x00, 0x3F, 0xC0, ##  00000000               000000000000               00000000
            0xFF, 0x00, 0x00, 0xFF, 0xC0, 0x00, 0x3F, 0xC0, ##  00000000                0000000000                00000000
            0xFF, 0x00, 0x00, 0xFF, 0xC0, 0x00, 0x3F, 0xC0, ##  00000000                0000000000                00000000
            0xFF, 0x00, 0x00, 0x7F, 0x80, 0x00, 0x3F, 0xC0, ##  00000000                 00000000                 00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x3F, 0xC0, ##  00000000                                          00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x3F, 0xC0, ##  00000000                                          00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x3F, 0xC0, ##  00000000                                          00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x3F, 0xC0, ##  00000000                                          00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x3F, 0xC0, ##  00000000                                          00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x3F, 0xC0, ##  00000000                                          00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x3F, 0xC0, ##  00000000                                          00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x3F, 0xC0, ##  00000000                                          00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x3F, 0xC0, ##  00000000                                          00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x3F, 0xC0, ##  00000000                                          00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x3F, 0xC0, ##  00000000                                          00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x3F, 0xC0, ##  00000000                                          00000000
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '78' => {    # 'N'
        'width'    => 48, 
        'xoffset'  => 9, 
        'xadvance' => 66, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0xFF, 0xF0, 0x00, 0x00, 0x00, 0xFF, ##  000000000000                            00000000
            0xFF, 0xF0, 0x00, 0x00, 0x00, 0xFF, ##  000000000000                            00000000
            0xFF, 0xF8, 0x00, 0x00, 0x00, 0xFF, ##  0000000000000                           00000000
            0xFF, 0xF8, 0x00, 0x00, 0x00, 0xFF, ##  0000000000000                           00000000
            0xFF, 0xFC, 0x00, 0x00, 0x00, 0xFF, ##  00000000000000                          00000000
            0xFF, 0xFC, 0x00, 0x00, 0x00, 0xFF, ##  00000000000000                          00000000
            0xFF, 0xFE, 0x00, 0x00, 0x00, 0xFF, ##  000000000000000                         00000000
            0xFF, 0xFE, 0x00, 0x00, 0x00, 0xFF, ##  000000000000000                         00000000
            0xFF, 0xFF, 0x00, 0x00, 0x00, 0xFF, ##  0000000000000000                        00000000
            0xFF, 0xFF, 0x00, 0x00, 0x00, 0xFF, ##  0000000000000000                        00000000
            0xFF, 0xFF, 0x80, 0x00, 0x00, 0xFF, ##  00000000000000000                       00000000
            0xFF, 0x7F, 0x80, 0x00, 0x00, 0xFF, ##  00000000 00000000                       00000000
            0xFF, 0x7F, 0xC0, 0x00, 0x00, 0xFF, ##  00000000 000000000                      00000000
            0xFF, 0x3F, 0xE0, 0x00, 0x00, 0xFF, ##  00000000  000000000                     00000000
            0xFF, 0x3F, 0xE0, 0x00, 0x00, 0xFF, ##  00000000  000000000                     00000000
            0xFF, 0x1F, 0xF0, 0x00, 0x00, 0xFF, ##  00000000   000000000                    00000000
            0xFF, 0x1F, 0xF0, 0x00, 0x00, 0xFF, ##  00000000   000000000                    00000000
            0xFF, 0x0F, 0xF8, 0x00, 0x00, 0xFF, ##  00000000    000000000                   00000000
            0xFF, 0x0F, 0xF8, 0x00, 0x00, 0xFF, ##  00000000    000000000                   00000000
            0xFF, 0x07, 0xFC, 0x00, 0x00, 0xFF, ##  00000000     000000000                  00000000
            0xFF, 0x07, 0xFC, 0x00, 0x00, 0xFF, ##  00000000     000000000                  00000000
            0xFF, 0x03, 0xFE, 0x00, 0x00, 0xFF, ##  00000000      000000000                 00000000
            0xFF, 0x03, 0xFE, 0x00, 0x00, 0xFF, ##  00000000      000000000                 00000000
            0xFF, 0x01, 0xFF, 0x00, 0x00, 0xFF, ##  00000000       000000000                00000000
            0xFF, 0x00, 0xFF, 0x00, 0x00, 0xFF, ##  00000000        00000000                00000000
            0xFF, 0x00, 0xFF, 0x80, 0x00, 0xFF, ##  00000000        000000000               00000000
            0xFF, 0x00, 0x7F, 0x80, 0x00, 0xFF, ##  00000000         00000000               00000000
            0xFF, 0x00, 0x7F, 0xC0, 0x00, 0xFF, ##  00000000         000000000              00000000
            0xFF, 0x00, 0x3F, 0xE0, 0x00, 0xFF, ##  00000000          000000000             00000000
            0xFF, 0x00, 0x3F, 0xE0, 0x00, 0xFF, ##  00000000          000000000             00000000
            0xFF, 0x00, 0x1F, 0xF0, 0x00, 0xFF, ##  00000000           000000000            00000000
            0xFF, 0x00, 0x1F, 0xF0, 0x00, 0xFF, ##  00000000           000000000            00000000
            0xFF, 0x00, 0x0F, 0xF8, 0x00, 0xFF, ##  00000000            000000000           00000000
            0xFF, 0x00, 0x0F, 0xF8, 0x00, 0xFF, ##  00000000            000000000           00000000
            0xFF, 0x00, 0x07, 0xFC, 0x00, 0xFF, ##  00000000             000000000          00000000
            0xFF, 0x00, 0x07, 0xFC, 0x00, 0xFF, ##  00000000             000000000          00000000
            0xFF, 0x00, 0x03, 0xFE, 0x00, 0xFF, ##  00000000              000000000         00000000
            0xFF, 0x00, 0x01, 0xFE, 0x00, 0xFF, ##  00000000               00000000         00000000
            0xFF, 0x00, 0x01, 0xFF, 0x00, 0xFF, ##  00000000               000000000        00000000
            0xFF, 0x00, 0x00, 0xFF, 0x00, 0xFF, ##  00000000                00000000        00000000
            0xFF, 0x00, 0x00, 0xFF, 0x80, 0xFF, ##  00000000                000000000       00000000
            0xFF, 0x00, 0x00, 0x7F, 0xC0, 0xFF, ##  00000000                 000000000      00000000
            0xFF, 0x00, 0x00, 0x7F, 0xC0, 0xFF, ##  00000000                 000000000      00000000
            0xFF, 0x00, 0x00, 0x3F, 0xE0, 0xFF, ##  00000000                  000000000     00000000
            0xFF, 0x00, 0x00, 0x3F, 0xE0, 0xFF, ##  00000000                  000000000     00000000
            0xFF, 0x00, 0x00, 0x1F, 0xF0, 0xFF, ##  00000000                   000000000    00000000
            0xFF, 0x00, 0x00, 0x1F, 0xF0, 0xFF, ##  00000000                   000000000    00000000
            0xFF, 0x00, 0x00, 0x0F, 0xF8, 0xFF, ##  00000000                    000000000   00000000
            0xFF, 0x00, 0x00, 0x0F, 0xF8, 0xFF, ##  00000000                    000000000   00000000
            0xFF, 0x00, 0x00, 0x07, 0xFC, 0xFF, ##  00000000                     000000000  00000000
            0xFF, 0x00, 0x00, 0x07, 0xFC, 0xFF, ##  00000000                     000000000  00000000
            0xFF, 0x00, 0x00, 0x03, 0xFE, 0xFF, ##  00000000                      000000000 00000000
            0xFF, 0x00, 0x00, 0x01, 0xFE, 0xFF, ##  00000000                       00000000 00000000
            0xFF, 0x00, 0x00, 0x01, 0xFF, 0xFF, ##  00000000                       00000000000000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, 0xFF, ##  00000000                        0000000000000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, 0xFF, ##  00000000                        0000000000000000
            0xFF, 0x00, 0x00, 0x00, 0x7F, 0xFF, ##  00000000                         000000000000000
            0xFF, 0x00, 0x00, 0x00, 0x7F, 0xFF, ##  00000000                         000000000000000
            0xFF, 0x00, 0x00, 0x00, 0x3F, 0xFF, ##  00000000                          00000000000000
            0xFF, 0x00, 0x00, 0x00, 0x3F, 0xFF, ##  00000000                          00000000000000
            0xFF, 0x00, 0x00, 0x00, 0x1F, 0xFF, ##  00000000                           0000000000000
            0xFF, 0x00, 0x00, 0x00, 0x1F, 0xFF, ##  00000000                           0000000000000
            0xFF, 0x00, 0x00, 0x00, 0x0F, 0xFF, ##  00000000                            000000000000
            0xFF, 0x00, 0x00, 0x00, 0x0F, 0xFF, ##  00000000                            000000000000
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '79' => {    # 'O'
        'width'    => 59, 
        'xoffset'  => 5, 
        'xadvance' => 69, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0xFF, 0xE0, 0x00, 0x00, 0x00, ##                          00000000000                        
            0x00, 0x00, 0x1F, 0xFF, 0xFF, 0x00, 0x00, 0x00, ##                     000000000000000000000                   
            0x00, 0x00, 0x7F, 0xFF, 0xFF, 0xC0, 0x00, 0x00, ##                   0000000000000000000000000                 
            0x00, 0x01, 0xFF, 0xFF, 0xFF, 0xF0, 0x00, 0x00, ##                 00000000000000000000000000000               
            0x00, 0x07, 0xFF, 0xFF, 0xFF, 0xFC, 0x00, 0x00, ##               000000000000000000000000000000000             
            0x00, 0x0F, 0xFF, 0xFF, 0xFF, 0xFE, 0x00, 0x00, ##              00000000000000000000000000000000000            
            0x00, 0x1F, 0xFF, 0x80, 0x3F, 0xFF, 0x00, 0x00, ##             00000000000000         00000000000000           
            0x00, 0x7F, 0xFC, 0x00, 0x07, 0xFF, 0x80, 0x00, ##           0000000000000               000000000000          
            0x00, 0xFF, 0xF0, 0x00, 0x01, 0xFF, 0xC0, 0x00, ##          000000000000                   00000000000         
            0x00, 0xFF, 0xC0, 0x00, 0x00, 0x7F, 0xE0, 0x00, ##          0000000000                       0000000000        
            0x01, 0xFF, 0x80, 0x00, 0x00, 0x3F, 0xF0, 0x00, ##         0000000000                         0000000000       
            0x03, 0xFF, 0x00, 0x00, 0x00, 0x1F, 0xF8, 0x00, ##        0000000000                           0000000000      
            0x07, 0xFE, 0x00, 0x00, 0x00, 0x0F, 0xFC, 0x00, ##       0000000000                             0000000000     
            0x07, 0xFC, 0x00, 0x00, 0x00, 0x07, 0xFC, 0x00, ##       000000000                               000000000     
            0x0F, 0xFC, 0x00, 0x00, 0x00, 0x07, 0xFE, 0x00, ##      0000000000                               0000000000    
            0x0F, 0xF8, 0x00, 0x00, 0x00, 0x03, 0xFE, 0x00, ##      000000000                                 000000000    
            0x1F, 0xF0, 0x00, 0x00, 0x00, 0x03, 0xFF, 0x00, ##     000000000                                  0000000000   
            0x1F, 0xF0, 0x00, 0x00, 0x00, 0x01, 0xFF, 0x00, ##     000000000                                   000000000   
            0x3F, 0xF0, 0x00, 0x00, 0x00, 0x01, 0xFF, 0x80, ##    0000000000                                   0000000000  
            0x3F, 0xE0, 0x00, 0x00, 0x00, 0x00, 0xFF, 0x80, ##    000000000                                     000000000  
            0x3F, 0xE0, 0x00, 0x00, 0x00, 0x00, 0xFF, 0x80, ##    000000000                                     000000000  
            0x7F, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x7F, 0xC0, ##   000000000                                       000000000 
            0x7F, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x7F, 0xC0, ##   000000000                                       000000000 
            0x7F, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x7F, 0xC0, ##   000000000                                       000000000 
            0x7F, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x7F, 0xC0, ##   000000000                                       000000000 
            0x7F, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x7F, 0xC0, ##   000000000                                       000000000 
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x3F, 0xE0, ##  000000000                                         000000000
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x3F, 0xE0, ##  000000000                                         000000000
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x3F, 0xE0, ##  000000000                                         000000000
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x3F, 0xE0, ##  000000000                                         000000000
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x3F, 0xE0, ##  000000000                                         000000000
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x3F, 0xE0, ##  000000000                                         000000000
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x3F, 0xE0, ##  000000000                                         000000000
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x3F, 0xE0, ##  000000000                                         000000000
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x3F, 0xE0, ##  000000000                                         000000000
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x3F, 0xE0, ##  000000000                                         000000000
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x3F, 0xE0, ##  000000000                                         000000000
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x3F, 0xE0, ##  000000000                                         000000000
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x3F, 0xE0, ##  000000000                                         000000000
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x3F, 0xE0, ##  000000000                                         000000000
            0x7F, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x7F, 0xC0, ##   000000000                                       000000000 
            0x7F, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x7F, 0xC0, ##   000000000                                       000000000 
            0x7F, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x7F, 0xC0, ##   000000000                                       000000000 
            0x7F, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x7F, 0xC0, ##   000000000                                       000000000 
            0x7F, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x7F, 0xC0, ##   000000000                                       000000000 
            0x3F, 0xE0, 0x00, 0x00, 0x00, 0x00, 0xFF, 0x80, ##    000000000                                     000000000  
            0x3F, 0xE0, 0x00, 0x00, 0x00, 0x00, 0xFF, 0x80, ##    000000000                                     000000000  
            0x3F, 0xE0, 0x00, 0x00, 0x00, 0x01, 0xFF, 0x80, ##    000000000                                    0000000000  
            0x1F, 0xF0, 0x00, 0x00, 0x00, 0x01, 0xFF, 0x00, ##     000000000                                   000000000   
            0x1F, 0xF0, 0x00, 0x00, 0x00, 0x01, 0xFF, 0x00, ##     000000000                                   000000000   
            0x0F, 0xF8, 0x00, 0x00, 0x00, 0x03, 0xFE, 0x00, ##      000000000                                 000000000    
            0x0F, 0xFC, 0x00, 0x00, 0x00, 0x07, 0xFE, 0x00, ##      0000000000                               0000000000    
            0x07, 0xFC, 0x00, 0x00, 0x00, 0x07, 0xFC, 0x00, ##       000000000                               000000000     
            0x07, 0xFE, 0x00, 0x00, 0x00, 0x0F, 0xFC, 0x00, ##       0000000000                             0000000000     
            0x03, 0xFF, 0x00, 0x00, 0x00, 0x1F, 0xF8, 0x00, ##        0000000000                           0000000000      
            0x01, 0xFF, 0x80, 0x00, 0x00, 0x3F, 0xF0, 0x00, ##         0000000000                         0000000000       
            0x00, 0xFF, 0xC0, 0x00, 0x00, 0x7F, 0xE0, 0x00, ##          0000000000                       0000000000        
            0x00, 0xFF, 0xF0, 0x00, 0x01, 0xFF, 0xE0, 0x00, ##          000000000000                   000000000000        
            0x00, 0x7F, 0xFC, 0x00, 0x07, 0xFF, 0xC0, 0x00, ##           0000000000000               0000000000000         
            0x00, 0x3F, 0xFF, 0x80, 0x3F, 0xFF, 0x00, 0x00, ##            000000000000000         00000000000000           
            0x00, 0x0F, 0xFF, 0xFF, 0xFF, 0xFE, 0x00, 0x00, ##              00000000000000000000000000000000000            
            0x00, 0x07, 0xFF, 0xFF, 0xFF, 0xFC, 0x00, 0x00, ##               000000000000000000000000000000000             
            0x00, 0x01, 0xFF, 0xFF, 0xFF, 0xF0, 0x00, 0x00, ##                 00000000000000000000000000000               
            0x00, 0x00, 0x7F, 0xFF, 0xFF, 0xC0, 0x00, 0x00, ##                   0000000000000000000000000                 
            0x00, 0x00, 0x1F, 0xFF, 0xFF, 0x00, 0x00, 0x00, ##                     000000000000000000000                   
            0x00, 0x00, 0x01, 0xFF, 0xF0, 0x00, 0x00, 0x00, ##                         0000000000000                       
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '80' => {    # 'P'
        'width'    => 41, 
        'xoffset'  => 9, 
        'xadvance' => 53, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0xFF, 0xFF, 0xFF, 0x80, 0x00, 0x00, ##  0000000000000000000000000                
            0xFF, 0xFF, 0xFF, 0xFC, 0x00, 0x00, ##  000000000000000000000000000000           
            0xFF, 0xFF, 0xFF, 0xFF, 0x00, 0x00, ##  00000000000000000000000000000000         
            0xFF, 0xFF, 0xFF, 0xFF, 0xC0, 0x00, ##  0000000000000000000000000000000000       
            0xFF, 0xFF, 0xFF, 0xFF, 0xE0, 0x00, ##  00000000000000000000000000000000000      
            0xFF, 0xFF, 0xFF, 0xFF, 0xF0, 0x00, ##  000000000000000000000000000000000000     
            0xFF, 0x00, 0x01, 0xFF, 0xF8, 0x00, ##  00000000               00000000000000    
            0xFF, 0x00, 0x00, 0x3F, 0xFC, 0x00, ##  00000000                  000000000000   
            0xFF, 0x00, 0x00, 0x0F, 0xFC, 0x00, ##  00000000                    0000000000   
            0xFF, 0x00, 0x00, 0x07, 0xFE, 0x00, ##  00000000                     0000000000  
            0xFF, 0x00, 0x00, 0x03, 0xFE, 0x00, ##  00000000                      000000000  
            0xFF, 0x00, 0x00, 0x03, 0xFF, 0x00, ##  00000000                      0000000000 
            0xFF, 0x00, 0x00, 0x01, 0xFF, 0x00, ##  00000000                       000000000 
            0xFF, 0x00, 0x00, 0x01, 0xFF, 0x00, ##  00000000                       000000000 
            0xFF, 0x00, 0x00, 0x01, 0xFF, 0x80, ##  00000000                       0000000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, 0x80, ##  00000000                        000000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, 0x80, ##  00000000                        000000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, 0x80, ##  00000000                        000000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, 0x80, ##  00000000                        000000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, 0x80, ##  00000000                        000000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, 0x80, ##  00000000                        000000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, 0x80, ##  00000000                        000000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, 0x80, ##  00000000                        000000000
            0xFF, 0x00, 0x00, 0x01, 0xFF, 0x80, ##  00000000                       0000000000
            0xFF, 0x00, 0x00, 0x01, 0xFF, 0x00, ##  00000000                       000000000 
            0xFF, 0x00, 0x00, 0x01, 0xFF, 0x00, ##  00000000                       000000000 
            0xFF, 0x00, 0x00, 0x03, 0xFF, 0x00, ##  00000000                      0000000000 
            0xFF, 0x00, 0x00, 0x03, 0xFF, 0x00, ##  00000000                      0000000000 
            0xFF, 0x00, 0x00, 0x07, 0xFE, 0x00, ##  00000000                     0000000000  
            0xFF, 0x00, 0x00, 0x0F, 0xFE, 0x00, ##  00000000                    00000000000  
            0xFF, 0x00, 0x00, 0x3F, 0xFC, 0x00, ##  00000000                  000000000000   
            0xFF, 0x00, 0x01, 0xFF, 0xF8, 0x00, ##  00000000               00000000000000    
            0xFF, 0xFF, 0xFF, 0xFF, 0xF0, 0x00, ##  000000000000000000000000000000000000     
            0xFF, 0xFF, 0xFF, 0xFF, 0xE0, 0x00, ##  00000000000000000000000000000000000      
            0xFF, 0xFF, 0xFF, 0xFF, 0xC0, 0x00, ##  0000000000000000000000000000000000       
            0xFF, 0xFF, 0xFF, 0xFF, 0x00, 0x00, ##  00000000000000000000000000000000         
            0xFF, 0xFF, 0xFF, 0xFC, 0x00, 0x00, ##  000000000000000000000000000000           
            0xFF, 0xFF, 0xFF, 0x80, 0x00, 0x00, ##  0000000000000000000000000                
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '81' => {    # 'Q'
        'width'    => 59, 
        'xoffset'  => 5, 
        'xadvance' => 69, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0xFF, 0xE0, 0x00, 0x00, 0x00, ##                          00000000000                        
            0x00, 0x00, 0x1F, 0xFF, 0xFF, 0x00, 0x00, 0x00, ##                     000000000000000000000                   
            0x00, 0x00, 0x7F, 0xFF, 0xFF, 0xC0, 0x00, 0x00, ##                   0000000000000000000000000                 
            0x00, 0x01, 0xFF, 0xFF, 0xFF, 0xF0, 0x00, 0x00, ##                 00000000000000000000000000000               
            0x00, 0x07, 0xFF, 0xFF, 0xFF, 0xFC, 0x00, 0x00, ##               000000000000000000000000000000000             
            0x00, 0x0F, 0xFF, 0xFF, 0xFF, 0xFE, 0x00, 0x00, ##              00000000000000000000000000000000000            
            0x00, 0x1F, 0xFF, 0x80, 0x3F, 0xFF, 0x00, 0x00, ##             00000000000000         00000000000000           
            0x00, 0x7F, 0xFC, 0x00, 0x07, 0xFF, 0x80, 0x00, ##           0000000000000               000000000000          
            0x00, 0xFF, 0xF0, 0x00, 0x01, 0xFF, 0xC0, 0x00, ##          000000000000                   00000000000         
            0x00, 0xFF, 0xC0, 0x00, 0x00, 0x7F, 0xE0, 0x00, ##          0000000000                       0000000000        
            0x01, 0xFF, 0x80, 0x00, 0x00, 0x3F, 0xF0, 0x00, ##         0000000000                         0000000000       
            0x03, 0xFF, 0x00, 0x00, 0x00, 0x1F, 0xF8, 0x00, ##        0000000000                           0000000000      
            0x07, 0xFE, 0x00, 0x00, 0x00, 0x0F, 0xFC, 0x00, ##       0000000000                             0000000000     
            0x07, 0xFC, 0x00, 0x00, 0x00, 0x07, 0xFC, 0x00, ##       000000000                               000000000     
            0x0F, 0xFC, 0x00, 0x00, 0x00, 0x07, 0xFE, 0x00, ##      0000000000                               0000000000    
            0x0F, 0xF8, 0x00, 0x00, 0x00, 0x03, 0xFE, 0x00, ##      000000000                                 000000000    
            0x1F, 0xF0, 0x00, 0x00, 0x00, 0x03, 0xFF, 0x00, ##     000000000                                  0000000000   
            0x1F, 0xF0, 0x00, 0x00, 0x00, 0x01, 0xFF, 0x00, ##     000000000                                   000000000   
            0x3F, 0xF0, 0x00, 0x00, 0x00, 0x01, 0xFF, 0x80, ##    0000000000                                   0000000000  
            0x3F, 0xE0, 0x00, 0x00, 0x00, 0x00, 0xFF, 0x80, ##    000000000                                     000000000  
            0x3F, 0xE0, 0x00, 0x00, 0x00, 0x00, 0xFF, 0x80, ##    000000000                                     000000000  
            0x7F, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x7F, 0xC0, ##   000000000                                       000000000 
            0x7F, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x7F, 0xC0, ##   000000000                                       000000000 
            0x7F, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x7F, 0xC0, ##   000000000                                       000000000 
            0x7F, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x7F, 0xC0, ##   000000000                                       000000000 
            0x7F, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x7F, 0xC0, ##   000000000                                       000000000 
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x3F, 0xE0, ##  000000000                                         000000000
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x3F, 0xE0, ##  000000000                                         000000000
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x3F, 0xE0, ##  000000000                                         000000000
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x3F, 0xE0, ##  000000000                                         000000000
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x3F, 0xE0, ##  000000000                                         000000000
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x3F, 0xE0, ##  000000000                                         000000000
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x3F, 0xE0, ##  000000000                                         000000000
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x3F, 0xE0, ##  000000000                                         000000000
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x3F, 0xE0, ##  000000000                                         000000000
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x3F, 0xE0, ##  000000000                                         000000000
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x3F, 0xE0, ##  000000000                                         000000000
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x3F, 0xE0, ##  000000000                                         000000000
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x3F, 0xE0, ##  000000000                                         000000000
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x3F, 0xE0, ##  000000000                                         000000000
            0x7F, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x7F, 0xC0, ##   000000000                                       000000000 
            0x7F, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x7F, 0xC0, ##   000000000                                       000000000 
            0x7F, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x7F, 0xC0, ##   000000000                                       000000000 
            0x7F, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x7F, 0xC0, ##   000000000                                       000000000 
            0x7F, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x7F, 0xC0, ##   000000000                                       000000000 
            0x3F, 0xE0, 0x00, 0x00, 0x00, 0x00, 0xFF, 0x80, ##    000000000                                     000000000  
            0x3F, 0xE0, 0x00, 0x00, 0x00, 0x00, 0xFF, 0x80, ##    000000000                                     000000000  
            0x3F, 0xE0, 0x00, 0x00, 0x00, 0x01, 0xFF, 0x80, ##    000000000                                    0000000000  
            0x1F, 0xF0, 0x00, 0x00, 0x00, 0x01, 0xFF, 0x00, ##     000000000                                   000000000   
            0x1F, 0xF0, 0x00, 0x00, 0x00, 0x01, 0xFF, 0x00, ##     000000000                                   000000000   
            0x0F, 0xF8, 0x00, 0x00, 0x00, 0x03, 0xFE, 0x00, ##      000000000                                 000000000    
            0x0F, 0xFC, 0x00, 0x00, 0x00, 0x07, 0xFE, 0x00, ##      0000000000                               0000000000    
            0x07, 0xFC, 0x00, 0x00, 0x00, 0x07, 0xFC, 0x00, ##       000000000                               000000000     
            0x07, 0xFE, 0x00, 0x00, 0x00, 0x0F, 0xFC, 0x00, ##       0000000000                             0000000000     
            0x03, 0xFF, 0x00, 0x00, 0x00, 0x1F, 0xF8, 0x00, ##        0000000000                           0000000000      
            0x01, 0xFF, 0x80, 0x00, 0x00, 0x3F, 0xF0, 0x00, ##         0000000000                         0000000000       
            0x00, 0xFF, 0xC0, 0x00, 0x00, 0x7F, 0xE0, 0x00, ##          0000000000                       0000000000        
            0x00, 0xFF, 0xF0, 0x00, 0x01, 0xFF, 0xE0, 0x00, ##          000000000000                   000000000000        
            0x00, 0x7F, 0xFC, 0x00, 0x07, 0xFF, 0x80, 0x00, ##           0000000000000               000000000000          
            0x00, 0x1F, 0xFF, 0x80, 0x3F, 0xFF, 0x00, 0x00, ##             00000000000000         00000000000000           
            0x00, 0x0F, 0xFF, 0xFF, 0xFF, 0xFE, 0x00, 0x00, ##              00000000000000000000000000000000000            
            0x00, 0x07, 0xFF, 0xFF, 0xFF, 0xFC, 0x00, 0x00, ##               000000000000000000000000000000000             
            0x00, 0x01, 0xFF, 0xFF, 0xFF, 0xF0, 0x00, 0x00, ##                 00000000000000000000000000000               
            0x00, 0x00, 0x7F, 0xFF, 0xFF, 0xC0, 0x00, 0x00, ##                   0000000000000000000000000                 
            0x00, 0x00, 0x1F, 0xFF, 0xFF, 0xE0, 0x00, 0x00, ##                     000000000000000000000000                
            0x00, 0x00, 0x00, 0xFF, 0xFF, 0xE0, 0x00, 0x00, ##                          0000000000000000000                
            0x00, 0x00, 0x00, 0x00, 0x3F, 0xF0, 0x00, 0x00, ##                                    0000000000               
            0x00, 0x00, 0x00, 0x00, 0x1F, 0xF8, 0x00, 0x00, ##                                     0000000000              
            0x00, 0x00, 0x00, 0x00, 0x0F, 0xFC, 0x00, 0x00, ##                                      0000000000             
            0x00, 0x00, 0x00, 0x00, 0x0F, 0xFE, 0x00, 0x00, ##                                      00000000000            
            0x00, 0x00, 0x00, 0x00, 0x07, 0xFF, 0x00, 0x00, ##                                       00000000000           
            0x00, 0x00, 0x00, 0x00, 0x03, 0xFF, 0x80, 0x00, ##                                        00000000000          
            0x00, 0x00, 0x00, 0x00, 0x01, 0xFF, 0xC0, 0x00, ##                                         00000000000         
            0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xE0, 0x00, ##                                          00000000000        
            0x00, 0x00, 0x00, 0x00, 0x00, 0x7F, 0xF0, 0x00, ##                                           00000000000       
            0x00, 0x00, 0x00, 0x00, 0x00, 0x3F, 0xF8, 0x00, ##                                            00000000000      
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '82' => {    # 'R'
        'width'    => 49, 
        'xoffset'  => 9, 
        'xadvance' => 61, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0xFF, 0xFF, 0xFF, 0xC0, 0x00, 0x00, 0x00, ##  00000000000000000000000000                       
            0xFF, 0xFF, 0xFF, 0xFC, 0x00, 0x00, 0x00, ##  000000000000000000000000000000                   
            0xFF, 0xFF, 0xFF, 0xFF, 0x00, 0x00, 0x00, ##  00000000000000000000000000000000                 
            0xFF, 0xFF, 0xFF, 0xFF, 0xC0, 0x00, 0x00, ##  0000000000000000000000000000000000               
            0xFF, 0xFF, 0xFF, 0xFF, 0xF0, 0x00, 0x00, ##  000000000000000000000000000000000000             
            0xFF, 0xFF, 0xFF, 0xFF, 0xF8, 0x00, 0x00, ##  0000000000000000000000000000000000000            
            0xFF, 0x00, 0x00, 0xFF, 0xF8, 0x00, 0x00, ##  00000000                0000000000000            
            0xFF, 0x00, 0x00, 0x3F, 0xFC, 0x00, 0x00, ##  00000000                  000000000000           
            0xFF, 0x00, 0x00, 0x0F, 0xFE, 0x00, 0x00, ##  00000000                    00000000000          
            0xFF, 0x00, 0x00, 0x07, 0xFE, 0x00, 0x00, ##  00000000                     0000000000          
            0xFF, 0x00, 0x00, 0x03, 0xFF, 0x00, 0x00, ##  00000000                      0000000000         
            0xFF, 0x00, 0x00, 0x01, 0xFF, 0x00, 0x00, ##  00000000                       000000000         
            0xFF, 0x00, 0x00, 0x01, 0xFF, 0x00, 0x00, ##  00000000                       000000000         
            0xFF, 0x00, 0x00, 0x01, 0xFF, 0x80, 0x00, ##  00000000                       0000000000        
            0xFF, 0x00, 0x00, 0x00, 0xFF, 0x80, 0x00, ##  00000000                        000000000        
            0xFF, 0x00, 0x00, 0x00, 0xFF, 0x80, 0x00, ##  00000000                        000000000        
            0xFF, 0x00, 0x00, 0x00, 0xFF, 0x80, 0x00, ##  00000000                        000000000        
            0xFF, 0x00, 0x00, 0x00, 0xFF, 0x80, 0x00, ##  00000000                        000000000        
            0xFF, 0x00, 0x00, 0x00, 0xFF, 0x80, 0x00, ##  00000000                        000000000        
            0xFF, 0x00, 0x00, 0x00, 0xFF, 0x80, 0x00, ##  00000000                        000000000        
            0xFF, 0x00, 0x00, 0x00, 0xFF, 0x80, 0x00, ##  00000000                        000000000        
            0xFF, 0x00, 0x00, 0x00, 0xFF, 0x80, 0x00, ##  00000000                        000000000        
            0xFF, 0x00, 0x00, 0x01, 0xFF, 0x80, 0x00, ##  00000000                       0000000000        
            0xFF, 0x00, 0x00, 0x01, 0xFF, 0x00, 0x00, ##  00000000                       000000000         
            0xFF, 0x00, 0x00, 0x01, 0xFF, 0x00, 0x00, ##  00000000                       000000000         
            0xFF, 0x00, 0x00, 0x03, 0xFF, 0x00, 0x00, ##  00000000                      0000000000         
            0xFF, 0x00, 0x00, 0x07, 0xFE, 0x00, 0x00, ##  00000000                     0000000000          
            0xFF, 0x00, 0x00, 0x0F, 0xFE, 0x00, 0x00, ##  00000000                    00000000000          
            0xFF, 0x00, 0x00, 0x3F, 0xFC, 0x00, 0x00, ##  00000000                  000000000000           
            0xFF, 0x00, 0x00, 0xFF, 0xF8, 0x00, 0x00, ##  00000000                0000000000000            
            0xFF, 0xFF, 0xFF, 0xFF, 0xF0, 0x00, 0x00, ##  000000000000000000000000000000000000             
            0xFF, 0xFF, 0xFF, 0xFF, 0xE0, 0x00, 0x00, ##  00000000000000000000000000000000000              
            0xFF, 0xFF, 0xFF, 0xFF, 0x80, 0x00, 0x00, ##  000000000000000000000000000000000                
            0xFF, 0xFF, 0xFF, 0xFC, 0x00, 0x00, 0x00, ##  000000000000000000000000000000                   
            0xFF, 0xFF, 0xFF, 0xFF, 0x00, 0x00, 0x00, ##  00000000000000000000000000000000                 
            0xFF, 0xFF, 0xFF, 0xFF, 0xC0, 0x00, 0x00, ##  0000000000000000000000000000000000               
            0xFF, 0x00, 0x03, 0xFF, 0xE0, 0x00, 0x00, ##  00000000              0000000000000              
            0xFF, 0x00, 0x00, 0x7F, 0xF0, 0x00, 0x00, ##  00000000                 00000000000             
            0xFF, 0x00, 0x00, 0x3F, 0xF0, 0x00, 0x00, ##  00000000                  0000000000             
            0xFF, 0x00, 0x00, 0x1F, 0xF8, 0x00, 0x00, ##  00000000                   0000000000            
            0xFF, 0x00, 0x00, 0x0F, 0xFC, 0x00, 0x00, ##  00000000                    0000000000           
            0xFF, 0x00, 0x00, 0x07, 0xFC, 0x00, 0x00, ##  00000000                     000000000           
            0xFF, 0x00, 0x00, 0x03, 0xFE, 0x00, 0x00, ##  00000000                      000000000          
            0xFF, 0x00, 0x00, 0x03, 0xFF, 0x00, 0x00, ##  00000000                      0000000000         
            0xFF, 0x00, 0x00, 0x01, 0xFF, 0x00, 0x00, ##  00000000                       000000000         
            0xFF, 0x00, 0x00, 0x01, 0xFF, 0x80, 0x00, ##  00000000                       0000000000        
            0xFF, 0x00, 0x00, 0x00, 0xFF, 0x80, 0x00, ##  00000000                        000000000        
            0xFF, 0x00, 0x00, 0x00, 0xFF, 0xC0, 0x00, ##  00000000                        0000000000       
            0xFF, 0x00, 0x00, 0x00, 0x7F, 0xC0, 0x00, ##  00000000                         000000000       
            0xFF, 0x00, 0x00, 0x00, 0x7F, 0xE0, 0x00, ##  00000000                         0000000000      
            0xFF, 0x00, 0x00, 0x00, 0x3F, 0xE0, 0x00, ##  00000000                          000000000      
            0xFF, 0x00, 0x00, 0x00, 0x3F, 0xF0, 0x00, ##  00000000                          0000000000     
            0xFF, 0x00, 0x00, 0x00, 0x1F, 0xF0, 0x00, ##  00000000                           000000000     
            0xFF, 0x00, 0x00, 0x00, 0x1F, 0xF8, 0x00, ##  00000000                           0000000000    
            0xFF, 0x00, 0x00, 0x00, 0x0F, 0xF8, 0x00, ##  00000000                            000000000    
            0xFF, 0x00, 0x00, 0x00, 0x0F, 0xFC, 0x00, ##  00000000                            0000000000   
            0xFF, 0x00, 0x00, 0x00, 0x07, 0xFC, 0x00, ##  00000000                             000000000   
            0xFF, 0x00, 0x00, 0x00, 0x07, 0xFE, 0x00, ##  00000000                             0000000000  
            0xFF, 0x00, 0x00, 0x00, 0x03, 0xFE, 0x00, ##  00000000                              000000000  
            0xFF, 0x00, 0x00, 0x00, 0x03, 0xFF, 0x00, ##  00000000                              0000000000 
            0xFF, 0x00, 0x00, 0x00, 0x01, 0xFF, 0x00, ##  00000000                               000000000 
            0xFF, 0x00, 0x00, 0x00, 0x01, 0xFF, 0x80, ##  00000000                               0000000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, 0x80, ##  00000000                                000000000
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '83' => {    # 'S'
        'width'    => 45, 
        'xoffset'  => 6, 
        'xadvance' => 56, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0xFF, 0xFC, 0x00, 0x00, ##                  00000000000000               
            0x00, 0x0F, 0xFF, 0xFF, 0xF0, 0x00, ##              000000000000000000000000         
            0x00, 0x3F, 0xFF, 0xFF, 0xFF, 0x00, ##            000000000000000000000000000000     
            0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0x80, ##          000000000000000000000000000000000    
            0x01, 0xFF, 0xFF, 0xFF, 0xFF, 0x80, ##         0000000000000000000000000000000000    
            0x07, 0xFF, 0xFF, 0xFF, 0xFF, 0x80, ##       000000000000000000000000000000000000    
            0x0F, 0xFF, 0xC0, 0x0F, 0xFF, 0x80, ##      00000000000000          0000000000000    
            0x1F, 0xFC, 0x00, 0x00, 0x7F, 0x80, ##     00000000000                   00000000    
            0x1F, 0xF0, 0x00, 0x00, 0x0F, 0x80, ##     000000000                        00000    
            0x3F, 0xE0, 0x00, 0x00, 0x03, 0x80, ##    000000000                           000    
            0x3F, 0xC0, 0x00, 0x00, 0x00, 0x80, ##    00000000                              0    
            0x7F, 0x80, 0x00, 0x00, 0x00, 0x00, ##   00000000                                    
            0x7F, 0x80, 0x00, 0x00, 0x00, 0x00, ##   00000000                                    
            0x7F, 0x00, 0x00, 0x00, 0x00, 0x00, ##   0000000                                     
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                     
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                     
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                     
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                     
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                     
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                     
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##  000000000                                    
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##  000000000                                    
            0xFF, 0xC0, 0x00, 0x00, 0x00, 0x00, ##  0000000000                                   
            0x7F, 0xE0, 0x00, 0x00, 0x00, 0x00, ##   0000000000                                  
            0x7F, 0xF8, 0x00, 0x00, 0x00, 0x00, ##   000000000000                                
            0x7F, 0xFE, 0x00, 0x00, 0x00, 0x00, ##   00000000000000                              
            0x3F, 0xFF, 0xF0, 0x00, 0x00, 0x00, ##    000000000000000000                         
            0x3F, 0xFF, 0xFF, 0x80, 0x00, 0x00, ##    00000000000000000000000                    
            0x1F, 0xFF, 0xFF, 0xF8, 0x00, 0x00, ##     00000000000000000000000000                
            0x0F, 0xFF, 0xFF, 0xFF, 0x00, 0x00, ##      0000000000000000000000000000             
            0x07, 0xFF, 0xFF, 0xFF, 0xE0, 0x00, ##       000000000000000000000000000000          
            0x03, 0xFF, 0xFF, 0xFF, 0xF8, 0x00, ##        0000000000000000000000000000000        
            0x00, 0xFF, 0xFF, 0xFF, 0xFC, 0x00, ##          000000000000000000000000000000       
            0x00, 0x3F, 0xFF, 0xFF, 0xFE, 0x00, ##            00000000000000000000000000000      
            0x00, 0x0F, 0xFF, 0xFF, 0xFF, 0x00, ##              0000000000000000000000000000     
            0x00, 0x00, 0xFF, 0xFF, 0xFF, 0x80, ##                  0000000000000000000000000    
            0x00, 0x00, 0x0F, 0xFF, 0xFF, 0xC0, ##                      0000000000000000000000   
            0x00, 0x00, 0x00, 0x7F, 0xFF, 0xE0, ##                           000000000000000000  
            0x00, 0x00, 0x00, 0x0F, 0xFF, 0xE0, ##                              000000000000000  
            0x00, 0x00, 0x00, 0x01, 0xFF, 0xF0, ##                                 0000000000000 
            0x00, 0x00, 0x00, 0x00, 0xFF, 0xF0, ##                                  000000000000 
            0x00, 0x00, 0x00, 0x00, 0x7F, 0xF0, ##                                   00000000000 
            0x00, 0x00, 0x00, 0x00, 0x3F, 0xF8, ##                                    00000000000
            0x00, 0x00, 0x00, 0x00, 0x1F, 0xF8, ##                                     0000000000
            0x00, 0x00, 0x00, 0x00, 0x1F, 0xF8, ##                                     0000000000
            0x00, 0x00, 0x00, 0x00, 0x0F, 0xF8, ##                                      000000000
            0x00, 0x00, 0x00, 0x00, 0x0F, 0xF8, ##                                      000000000
            0x00, 0x00, 0x00, 0x00, 0x0F, 0xF8, ##                                      000000000
            0x00, 0x00, 0x00, 0x00, 0x0F, 0xF8, ##                                      000000000
            0x00, 0x00, 0x00, 0x00, 0x0F, 0xF8, ##                                      000000000
            0x00, 0x00, 0x00, 0x00, 0x0F, 0xF8, ##                                      000000000
            0x00, 0x00, 0x00, 0x00, 0x0F, 0xF8, ##                                      000000000
            0x00, 0x00, 0x00, 0x00, 0x1F, 0xF0, ##                                     000000000 
            0x00, 0x00, 0x00, 0x00, 0x1F, 0xF0, ##                                     000000000 
            0x80, 0x00, 0x00, 0x00, 0x3F, 0xF0, ##  0                                 0000000000 
            0xE0, 0x00, 0x00, 0x00, 0x3F, 0xE0, ##  000                               000000000  
            0xF8, 0x00, 0x00, 0x00, 0x7F, 0xE0, ##  00000                            0000000000  
            0xFF, 0x00, 0x00, 0x01, 0xFF, 0xC0, ##  00000000                       00000000000   
            0xFF, 0xE0, 0x00, 0x07, 0xFF, 0x80, ##  00000000000                  000000000000    
            0xFF, 0xFE, 0x00, 0x3F, 0xFF, 0x80, ##  000000000000000           000000000000000    
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x00, ##  0000000000000000000000000000000000000000     
            0xFF, 0xFF, 0xFF, 0xFF, 0xFC, 0x00, ##  00000000000000000000000000000000000000       
            0xFF, 0xFF, 0xFF, 0xFF, 0xF8, 0x00, ##  0000000000000000000000000000000000000        
            0x1F, 0xFF, 0xFF, 0xFF, 0xE0, 0x00, ##     00000000000000000000000000000000          
            0x00, 0xFF, 0xFF, 0xFF, 0x00, 0x00, ##          000000000000000000000000             
            0x00, 0x07, 0xFF, 0xF0, 0x00, 0x00, ##               000000000000000                 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '84' => {    # 'T'
        'width'    => 54, 
        'xoffset'  => 0, 
        'xadvance' => 54, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFC, ##  000000000000000000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFC, ##  000000000000000000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFC, ##  000000000000000000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFC, ##  000000000000000000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFC, ##  000000000000000000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFC, ##  000000000000000000000000000000000000000000000000000000
            0x00, 0x00, 0x01, 0xFE, 0x00, 0x00, 0x00, ##                         00000000                       
            0x00, 0x00, 0x01, 0xFE, 0x00, 0x00, 0x00, ##                         00000000                       
            0x00, 0x00, 0x01, 0xFE, 0x00, 0x00, 0x00, ##                         00000000                       
            0x00, 0x00, 0x01, 0xFE, 0x00, 0x00, 0x00, ##                         00000000                       
            0x00, 0x00, 0x01, 0xFE, 0x00, 0x00, 0x00, ##                         00000000                       
            0x00, 0x00, 0x01, 0xFE, 0x00, 0x00, 0x00, ##                         00000000                       
            0x00, 0x00, 0x01, 0xFE, 0x00, 0x00, 0x00, ##                         00000000                       
            0x00, 0x00, 0x01, 0xFE, 0x00, 0x00, 0x00, ##                         00000000                       
            0x00, 0x00, 0x01, 0xFE, 0x00, 0x00, 0x00, ##                         00000000                       
            0x00, 0x00, 0x01, 0xFE, 0x00, 0x00, 0x00, ##                         00000000                       
            0x00, 0x00, 0x01, 0xFE, 0x00, 0x00, 0x00, ##                         00000000                       
            0x00, 0x00, 0x01, 0xFE, 0x00, 0x00, 0x00, ##                         00000000                       
            0x00, 0x00, 0x01, 0xFE, 0x00, 0x00, 0x00, ##                         00000000                       
            0x00, 0x00, 0x01, 0xFE, 0x00, 0x00, 0x00, ##                         00000000                       
            0x00, 0x00, 0x01, 0xFE, 0x00, 0x00, 0x00, ##                         00000000                       
            0x00, 0x00, 0x01, 0xFE, 0x00, 0x00, 0x00, ##                         00000000                       
            0x00, 0x00, 0x01, 0xFE, 0x00, 0x00, 0x00, ##                         00000000                       
            0x00, 0x00, 0x01, 0xFE, 0x00, 0x00, 0x00, ##                         00000000                       
            0x00, 0x00, 0x01, 0xFE, 0x00, 0x00, 0x00, ##                         00000000                       
            0x00, 0x00, 0x01, 0xFE, 0x00, 0x00, 0x00, ##                         00000000                       
            0x00, 0x00, 0x01, 0xFE, 0x00, 0x00, 0x00, ##                         00000000                       
            0x00, 0x00, 0x01, 0xFE, 0x00, 0x00, 0x00, ##                         00000000                       
            0x00, 0x00, 0x01, 0xFE, 0x00, 0x00, 0x00, ##                         00000000                       
            0x00, 0x00, 0x01, 0xFE, 0x00, 0x00, 0x00, ##                         00000000                       
            0x00, 0x00, 0x01, 0xFE, 0x00, 0x00, 0x00, ##                         00000000                       
            0x00, 0x00, 0x01, 0xFE, 0x00, 0x00, 0x00, ##                         00000000                       
            0x00, 0x00, 0x01, 0xFE, 0x00, 0x00, 0x00, ##                         00000000                       
            0x00, 0x00, 0x01, 0xFE, 0x00, 0x00, 0x00, ##                         00000000                       
            0x00, 0x00, 0x01, 0xFE, 0x00, 0x00, 0x00, ##                         00000000                       
            0x00, 0x00, 0x01, 0xFE, 0x00, 0x00, 0x00, ##                         00000000                       
            0x00, 0x00, 0x01, 0xFE, 0x00, 0x00, 0x00, ##                         00000000                       
            0x00, 0x00, 0x01, 0xFE, 0x00, 0x00, 0x00, ##                         00000000                       
            0x00, 0x00, 0x01, 0xFE, 0x00, 0x00, 0x00, ##                         00000000                       
            0x00, 0x00, 0x01, 0xFE, 0x00, 0x00, 0x00, ##                         00000000                       
            0x00, 0x00, 0x01, 0xFE, 0x00, 0x00, 0x00, ##                         00000000                       
            0x00, 0x00, 0x01, 0xFE, 0x00, 0x00, 0x00, ##                         00000000                       
            0x00, 0x00, 0x01, 0xFE, 0x00, 0x00, 0x00, ##                         00000000                       
            0x00, 0x00, 0x01, 0xFE, 0x00, 0x00, 0x00, ##                         00000000                       
            0x00, 0x00, 0x01, 0xFE, 0x00, 0x00, 0x00, ##                         00000000                       
            0x00, 0x00, 0x01, 0xFE, 0x00, 0x00, 0x00, ##                         00000000                       
            0x00, 0x00, 0x01, 0xFE, 0x00, 0x00, 0x00, ##                         00000000                       
            0x00, 0x00, 0x01, 0xFE, 0x00, 0x00, 0x00, ##                         00000000                       
            0x00, 0x00, 0x01, 0xFE, 0x00, 0x00, 0x00, ##                         00000000                       
            0x00, 0x00, 0x01, 0xFE, 0x00, 0x00, 0x00, ##                         00000000                       
            0x00, 0x00, 0x01, 0xFE, 0x00, 0x00, 0x00, ##                         00000000                       
            0x00, 0x00, 0x01, 0xFE, 0x00, 0x00, 0x00, ##                         00000000                       
            0x00, 0x00, 0x01, 0xFE, 0x00, 0x00, 0x00, ##                         00000000                       
            0x00, 0x00, 0x01, 0xFE, 0x00, 0x00, 0x00, ##                         00000000                       
            0x00, 0x00, 0x01, 0xFE, 0x00, 0x00, 0x00, ##                         00000000                       
            0x00, 0x00, 0x01, 0xFE, 0x00, 0x00, 0x00, ##                         00000000                       
            0x00, 0x00, 0x01, 0xFE, 0x00, 0x00, 0x00, ##                         00000000                       
            0x00, 0x00, 0x01, 0xFE, 0x00, 0x00, 0x00, ##                         00000000                       
            0x00, 0x00, 0x01, 0xFE, 0x00, 0x00, 0x00, ##                         00000000                       
            0x00, 0x00, 0x01, 0xFE, 0x00, 0x00, 0x00, ##                         00000000                       
            0x00, 0x00, 0x01, 0xFE, 0x00, 0x00, 0x00, ##                         00000000                       
            0x00, 0x00, 0x01, 0xFE, 0x00, 0x00, 0x00, ##                         00000000                       
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '85' => {    # 'U'
        'width'    => 48, 
        'xoffset'  => 8, 
        'xadvance' => 64, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x80, 0x00, 0x00, 0x01, 0xFE, ##  000000000                              00000000 
            0x7F, 0x80, 0x00, 0x00, 0x01, 0xFE, ##   00000000                              00000000 
            0x7F, 0x80, 0x00, 0x00, 0x01, 0xFE, ##   00000000                              00000000 
            0x7F, 0x80, 0x00, 0x00, 0x01, 0xFE, ##   00000000                              00000000 
            0x7F, 0xC0, 0x00, 0x00, 0x03, 0xFE, ##   000000000                            000000000 
            0x3F, 0xC0, 0x00, 0x00, 0x03, 0xFC, ##    00000000                            00000000  
            0x3F, 0xC0, 0x00, 0x00, 0x07, 0xFC, ##    00000000                           000000000  
            0x1F, 0xE0, 0x00, 0x00, 0x07, 0xF8, ##     00000000                          00000000   
            0x1F, 0xF0, 0x00, 0x00, 0x0F, 0xF8, ##     000000000                        000000000   
            0x0F, 0xF8, 0x00, 0x00, 0x1F, 0xF0, ##      000000000                      000000000    
            0x0F, 0xFC, 0x00, 0x00, 0x3F, 0xF0, ##      0000000000                    0000000000    
            0x07, 0xFF, 0x00, 0x00, 0xFF, 0xE0, ##       00000000000                00000000000     
            0x03, 0xFF, 0xE0, 0x07, 0xFF, 0xC0, ##        0000000000000          0000000000000      
            0x01, 0xFF, 0xFF, 0xFF, 0xFF, 0x80, ##         0000000000000000000000000000000000       
            0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0x00, ##          00000000000000000000000000000000        
            0x00, 0x3F, 0xFF, 0xFF, 0xFC, 0x00, ##            0000000000000000000000000000          
            0x00, 0x1F, 0xFF, 0xFF, 0xF8, 0x00, ##             00000000000000000000000000           
            0x00, 0x03, 0xFF, 0xFF, 0xC0, 0x00, ##                00000000000000000000              
            0x00, 0x00, 0x3F, 0xFC, 0x00, 0x00, ##                    000000000000                  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '86' => {    # 'V'
        'width'    => 58, 
        'xoffset'  => 1, 
        'xadvance' => 60, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x7F, 0xC0, ##  000000000                                        000000000
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0xFF, 0x80, ##  000000000                                       000000000 
            0x7F, 0xC0, 0x00, 0x00, 0x00, 0x00, 0xFF, 0x80, ##   000000000                                      000000000 
            0x7F, 0xC0, 0x00, 0x00, 0x00, 0x00, 0xFF, 0x00, ##   000000000                                      00000000  
            0x7F, 0xC0, 0x00, 0x00, 0x00, 0x01, 0xFF, 0x00, ##   000000000                                     000000000  
            0x3F, 0xE0, 0x00, 0x00, 0x00, 0x01, 0xFF, 0x00, ##    000000000                                    000000000  
            0x3F, 0xE0, 0x00, 0x00, 0x00, 0x03, 0xFE, 0x00, ##    000000000                                   000000000   
            0x1F, 0xE0, 0x00, 0x00, 0x00, 0x03, 0xFE, 0x00, ##     00000000                                   000000000   
            0x1F, 0xF0, 0x00, 0x00, 0x00, 0x03, 0xFE, 0x00, ##     000000000                                  000000000   
            0x1F, 0xF0, 0x00, 0x00, 0x00, 0x07, 0xFC, 0x00, ##     000000000                                 000000000    
            0x0F, 0xF8, 0x00, 0x00, 0x00, 0x07, 0xFC, 0x00, ##      000000000                                000000000    
            0x0F, 0xF8, 0x00, 0x00, 0x00, 0x07, 0xF8, 0x00, ##      000000000                                00000000     
            0x0F, 0xF8, 0x00, 0x00, 0x00, 0x0F, 0xF8, 0x00, ##      000000000                               000000000     
            0x07, 0xFC, 0x00, 0x00, 0x00, 0x0F, 0xF8, 0x00, ##       000000000                              000000000     
            0x07, 0xFC, 0x00, 0x00, 0x00, 0x1F, 0xF0, 0x00, ##       000000000                             000000000      
            0x03, 0xFC, 0x00, 0x00, 0x00, 0x1F, 0xF0, 0x00, ##        00000000                             000000000      
            0x03, 0xFE, 0x00, 0x00, 0x00, 0x1F, 0xF0, 0x00, ##        000000000                            000000000      
            0x03, 0xFE, 0x00, 0x00, 0x00, 0x3F, 0xE0, 0x00, ##        000000000                           000000000       
            0x01, 0xFF, 0x00, 0x00, 0x00, 0x3F, 0xE0, 0x00, ##         000000000                          000000000       
            0x01, 0xFF, 0x00, 0x00, 0x00, 0x3F, 0xC0, 0x00, ##         000000000                          00000000        
            0x01, 0xFF, 0x00, 0x00, 0x00, 0x7F, 0xC0, 0x00, ##         000000000                         000000000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x7F, 0xC0, 0x00, ##          000000000                        000000000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0xFF, 0x80, 0x00, ##          000000000                       000000000         
            0x00, 0x7F, 0x80, 0x00, 0x00, 0xFF, 0x80, 0x00, ##           00000000                       000000000         
            0x00, 0x7F, 0xC0, 0x00, 0x00, 0xFF, 0x80, 0x00, ##           000000000                      000000000         
            0x00, 0x7F, 0xC0, 0x00, 0x01, 0xFF, 0x00, 0x00, ##           000000000                     000000000          
            0x00, 0x3F, 0xE0, 0x00, 0x01, 0xFF, 0x00, 0x00, ##            000000000                    000000000          
            0x00, 0x3F, 0xE0, 0x00, 0x01, 0xFE, 0x00, 0x00, ##            000000000                    00000000           
            0x00, 0x3F, 0xE0, 0x00, 0x03, 0xFE, 0x00, 0x00, ##            000000000                   000000000           
            0x00, 0x1F, 0xF0, 0x00, 0x03, 0xFE, 0x00, 0x00, ##             000000000                  000000000           
            0x00, 0x1F, 0xF0, 0x00, 0x07, 0xFC, 0x00, 0x00, ##             000000000                 000000000            
            0x00, 0x0F, 0xF0, 0x00, 0x07, 0xFC, 0x00, 0x00, ##              00000000                 000000000            
            0x00, 0x0F, 0xF8, 0x00, 0x07, 0xFC, 0x00, 0x00, ##              000000000                000000000            
            0x00, 0x0F, 0xF8, 0x00, 0x0F, 0xF8, 0x00, 0x00, ##              000000000               000000000             
            0x00, 0x07, 0xFC, 0x00, 0x0F, 0xF8, 0x00, 0x00, ##               000000000              000000000             
            0x00, 0x07, 0xFC, 0x00, 0x0F, 0xF0, 0x00, 0x00, ##               000000000              00000000              
            0x00, 0x07, 0xFC, 0x00, 0x1F, 0xF0, 0x00, 0x00, ##               000000000             000000000              
            0x00, 0x03, 0xFE, 0x00, 0x1F, 0xF0, 0x00, 0x00, ##                000000000            000000000              
            0x00, 0x03, 0xFE, 0x00, 0x3F, 0xE0, 0x00, 0x00, ##                000000000           000000000               
            0x00, 0x01, 0xFE, 0x00, 0x3F, 0xE0, 0x00, 0x00, ##                 00000000           000000000               
            0x00, 0x01, 0xFF, 0x00, 0x3F, 0xE0, 0x00, 0x00, ##                 000000000          000000000               
            0x00, 0x01, 0xFF, 0x00, 0x7F, 0xC0, 0x00, 0x00, ##                 000000000         000000000                
            0x00, 0x00, 0xFF, 0x00, 0x7F, 0xC0, 0x00, 0x00, ##                  00000000         000000000                
            0x00, 0x00, 0xFF, 0x80, 0x7F, 0x80, 0x00, 0x00, ##                  000000000        00000000                 
            0x00, 0x00, 0x7F, 0x80, 0xFF, 0x80, 0x00, 0x00, ##                   00000000       000000000                 
            0x00, 0x00, 0x7F, 0xC0, 0xFF, 0x80, 0x00, 0x00, ##                   000000000      000000000                 
            0x00, 0x00, 0x7F, 0xC1, 0xFF, 0x00, 0x00, 0x00, ##                   000000000     000000000                  
            0x00, 0x00, 0x3F, 0xC1, 0xFF, 0x00, 0x00, 0x00, ##                    00000000     000000000                  
            0x00, 0x00, 0x3F, 0xE1, 0xFE, 0x00, 0x00, 0x00, ##                    000000000    00000000                   
            0x00, 0x00, 0x3F, 0xE3, 0xFE, 0x00, 0x00, 0x00, ##                    000000000   000000000                   
            0x00, 0x00, 0x1F, 0xE3, 0xFE, 0x00, 0x00, 0x00, ##                     00000000   000000000                   
            0x00, 0x00, 0x1F, 0xF3, 0xFC, 0x00, 0x00, 0x00, ##                     000000000  00000000                    
            0x00, 0x00, 0x0F, 0xF7, 0xFC, 0x00, 0x00, 0x00, ##                      00000000 000000000                    
            0x00, 0x00, 0x0F, 0xFF, 0xFC, 0x00, 0x00, 0x00, ##                      000000000000000000                    
            0x00, 0x00, 0x0F, 0xFF, 0xF8, 0x00, 0x00, 0x00, ##                      00000000000000000                     
            0x00, 0x00, 0x07, 0xFF, 0xF8, 0x00, 0x00, 0x00, ##                       0000000000000000                     
            0x00, 0x00, 0x07, 0xFF, 0xF0, 0x00, 0x00, 0x00, ##                       000000000000000                      
            0x00, 0x00, 0x07, 0xFF, 0xF0, 0x00, 0x00, 0x00, ##                       000000000000000                      
            0x00, 0x00, 0x03, 0xFF, 0xF0, 0x00, 0x00, 0x00, ##                        00000000000000                      
            0x00, 0x00, 0x03, 0xFF, 0xE0, 0x00, 0x00, 0x00, ##                        0000000000000                       
            0x00, 0x00, 0x01, 0xFF, 0xE0, 0x00, 0x00, 0x00, ##                         000000000000                       
            0x00, 0x00, 0x01, 0xFF, 0xE0, 0x00, 0x00, 0x00, ##                         000000000000                       
            0x00, 0x00, 0x01, 0xFF, 0xC0, 0x00, 0x00, 0x00, ##                         00000000000                        
            0x00, 0x00, 0x00, 0xFF, 0xC0, 0x00, 0x00, 0x00, ##                          0000000000                        
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '87' => {    # 'W'
        'width'    => 80, 
        'xoffset'  => 3, 
        'xadvance' => 86, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x1F, 0xF8, 0x00, 0x00, 0x01, 0xFF, ##  000000000                          0000000000                          000000000
            0x00, 0x00, 0x00, 0x00, 0x1F, 0xF8, 0x00, 0x00, 0x01, 0xFF, ##  000000000                          0000000000                          000000000
            0x00, 0x00, 0x00, 0x00, 0x1F, 0xF8, 0x00, 0x00, 0x01, 0xFF, ##   00000000                          0000000000                          000000000
            0x00, 0x00, 0x00, 0x00, 0x3F, 0xFC, 0x00, 0x00, 0x01, 0xFE, ##   00000000                         000000000000                         00000000 
            0x00, 0x00, 0x00, 0x00, 0x3F, 0xFC, 0x00, 0x00, 0x03, 0xFE, ##   000000000                        000000000000                        000000000 
            0x00, 0x00, 0x00, 0x00, 0x3F, 0xFC, 0x00, 0x00, 0x03, 0xFE, ##   000000000                        000000000000                        000000000 
            0x00, 0x00, 0x00, 0x00, 0x3F, 0xFC, 0x00, 0x00, 0x03, 0xFE, ##    00000000                        000000000000                        000000000 
            0x00, 0x00, 0x00, 0x00, 0x7F, 0xFE, 0x00, 0x00, 0x03, 0xFC, ##    00000000                       00000000000000                       00000000  
            0x00, 0x00, 0x00, 0x00, 0x7F, 0xFE, 0x00, 0x00, 0x07, 0xFC, ##    000000000                      00000000000000                      000000000  
            0x00, 0x00, 0x00, 0x00, 0x7F, 0xFE, 0x00, 0x00, 0x07, 0xFC, ##    000000000                      00000000000000                      000000000  
            0x00, 0x00, 0x00, 0x00, 0x7F, 0x7E, 0x00, 0x00, 0x07, 0xFC, ##    000000000                      0000000 000000                      000000000  
            0x00, 0x00, 0x00, 0x00, 0xFE, 0x7F, 0x00, 0x00, 0x07, 0xF8, ##     00000000                     0000000  0000000                     00000000   
            0x00, 0x00, 0x00, 0x00, 0xFE, 0x7F, 0x00, 0x00, 0x0F, 0xF8, ##     000000000                    0000000  0000000                    000000000   
            0x00, 0x00, 0x00, 0x00, 0xFE, 0x7F, 0x00, 0x00, 0x0F, 0xF8, ##     000000000                    0000000  0000000                    000000000   
            0x00, 0x00, 0x00, 0x00, 0xFE, 0x3F, 0x00, 0x00, 0x0F, 0xF8, ##     000000000                    0000000   000000                    000000000   
            0x00, 0x00, 0x00, 0x01, 0xFC, 0x3F, 0x80, 0x00, 0x0F, 0xF0, ##      00000000                   0000000    0000000                   00000000    
            0x00, 0x00, 0x00, 0x01, 0xFC, 0x3F, 0x80, 0x00, 0x1F, 0xF0, ##      000000000                  0000000    0000000                  000000000    
            0x00, 0x00, 0x00, 0x01, 0xFC, 0x3F, 0x80, 0x00, 0x1F, 0xF0, ##      000000000                  0000000    0000000                  000000000    
            0x00, 0x00, 0x00, 0x01, 0xFC, 0x3F, 0x80, 0x00, 0x1F, 0xF0, ##      000000000                  0000000    0000000                  000000000    
            0x00, 0x00, 0x00, 0x03, 0xF8, 0x1F, 0xC0, 0x00, 0x1F, 0xE0, ##       00000000                 0000000      0000000                 00000000     
            0x00, 0x00, 0x00, 0x03, 0xF8, 0x1F, 0xC0, 0x00, 0x3F, 0xE0, ##       000000000                0000000      0000000                000000000     
            0x00, 0x00, 0x00, 0x03, 0xF8, 0x1F, 0xC0, 0x00, 0x3F, 0xE0, ##       000000000                0000000      0000000                000000000     
            0x00, 0x00, 0x00, 0x03, 0xF8, 0x1F, 0xC0, 0x00, 0x3F, 0xE0, ##       000000000                0000000      0000000                000000000     
            0x00, 0x00, 0x00, 0x07, 0xF0, 0x0F, 0xE0, 0x00, 0x3F, 0xC0, ##        00000000               0000000        0000000               00000000      
            0x00, 0x00, 0x00, 0x07, 0xF0, 0x0F, 0xE0, 0x00, 0x7F, 0xC0, ##        000000000              0000000        0000000              000000000      
            0x00, 0x00, 0x00, 0x07, 0xF0, 0x0F, 0xE0, 0x00, 0x7F, 0xC0, ##        000000000              0000000        0000000              000000000      
            0x00, 0x00, 0x00, 0x07, 0xF0, 0x0F, 0xE0, 0x00, 0x7F, 0xC0, ##        000000000              0000000        0000000              000000000      
            0x00, 0x00, 0x00, 0x0F, 0xE0, 0x07, 0xF0, 0x00, 0x7F, 0x80, ##         00000000             0000000          0000000             00000000       
            0x00, 0x00, 0x00, 0x0F, 0xE0, 0x07, 0xF0, 0x00, 0xFF, 0x80, ##         000000000            0000000          0000000            000000000       
            0x00, 0x00, 0x00, 0x0F, 0xE0, 0x07, 0xF0, 0x00, 0xFF, 0x80, ##         000000000            0000000          0000000            000000000       
            0x00, 0x00, 0x00, 0x0F, 0xE0, 0x07, 0xF0, 0x00, 0xFF, 0x80, ##         000000000            0000000          0000000            000000000       
            0x00, 0x00, 0x00, 0x1F, 0xC0, 0x03, 0xF8, 0x00, 0xFF, 0x00, ##          00000000           0000000            0000000           00000000        
            0x00, 0x00, 0x80, 0x1F, 0xC0, 0x03, 0xF8, 0x01, 0xFF, 0x00, ##          000000000          0000000            0000000          000000000        
            0x00, 0x00, 0x80, 0x1F, 0xC0, 0x03, 0xF8, 0x01, 0xFF, 0x00, ##          000000000          0000000            0000000          000000000        
            0x00, 0x00, 0x80, 0x1F, 0xC0, 0x03, 0xF8, 0x01, 0xFF, 0x00, ##          000000000          0000000            0000000          000000000        
            0x00, 0x00, 0x80, 0x3F, 0xC0, 0x01, 0xFC, 0x01, 0xFE, 0x00, ##           00000000         00000000             0000000         00000000         
            0x00, 0x00, 0xC0, 0x3F, 0x80, 0x01, 0xFC, 0x03, 0xFE, 0x00, ##           000000000        0000000              0000000        000000000         
            0x00, 0x00, 0xC0, 0x3F, 0x80, 0x01, 0xFC, 0x03, 0xFE, 0x00, ##           000000000        0000000              0000000        000000000         
            0x00, 0x00, 0xC0, 0x3F, 0x80, 0x01, 0xFC, 0x03, 0xFE, 0x00, ##           000000000        0000000              0000000        000000000         
            0x00, 0x00, 0xC0, 0x7F, 0x80, 0x00, 0xFE, 0x03, 0xFC, 0x00, ##            00000000       00000000               0000000       00000000          
            0x00, 0x00, 0xE0, 0x7F, 0x00, 0x00, 0xFE, 0x07, 0xFC, 0x00, ##            000000000      0000000                0000000      000000000          
            0x00, 0x00, 0xE0, 0x7F, 0x00, 0x00, 0xFE, 0x07, 0xFC, 0x00, ##            000000000      0000000                0000000      000000000          
            0x00, 0x00, 0xE0, 0x7F, 0x00, 0x00, 0xFE, 0x07, 0xFC, 0x00, ##            000000000      0000000                0000000      000000000          
            0x00, 0x00, 0xE0, 0xFF, 0x00, 0x00, 0x7F, 0x07, 0xF8, 0x00, ##             00000000     00000000                 0000000     00000000           
            0x00, 0x00, 0xF0, 0xFE, 0x00, 0x00, 0x7F, 0x07, 0xF8, 0x00, ##             000000000    0000000                  0000000     00000000           
            0x00, 0x00, 0xF0, 0xFE, 0x00, 0x00, 0x7F, 0x0F, 0xF8, 0x00, ##             000000000    0000000                  0000000    000000000           
            0x00, 0x00, 0xF0, 0xFE, 0x00, 0x00, 0x7F, 0x0F, 0xF8, 0x00, ##             000000000    0000000                  0000000    000000000           
            0x00, 0x00, 0xF1, 0xFE, 0x00, 0x00, 0x7F, 0x8F, 0xF0, 0x00, ##              00000000   00000000                  00000000   00000000            
            0x00, 0x00, 0xF9, 0xFC, 0x00, 0x00, 0x3F, 0x8F, 0xF0, 0x00, ##              000000000  0000000                    0000000   00000000            
            0x00, 0x00, 0xF9, 0xFC, 0x00, 0x00, 0x3F, 0x9F, 0xF0, 0x00, ##              000000000  0000000                    0000000  000000000            
            0x00, 0x00, 0xF9, 0xFC, 0x00, 0x00, 0x3F, 0x9F, 0xF0, 0x00, ##              000000000  0000000                    0000000  000000000            
            0x00, 0x00, 0xF9, 0xFC, 0x00, 0x00, 0x3F, 0xDF, 0xE0, 0x00, ##               00000000  0000000                    00000000 00000000             
            0x00, 0x00, 0xFB, 0xF8, 0x00, 0x00, 0x1F, 0xDF, 0xE0, 0x00, ##               00000000 0000000                      0000000 00000000             
            0x00, 0x00, 0xFF, 0xF8, 0x00, 0x00, 0x1F, 0xFF, 0xE0, 0x00, ##               0000000000000000                      0000000000000000             
            0x00, 0x00, 0xFF, 0xF8, 0x00, 0x00, 0x1F, 0xFF, 0xE0, 0x00, ##               0000000000000000                      0000000000000000             
            0x00, 0x00, 0xFF, 0xF8, 0x00, 0x00, 0x1F, 0xFF, 0xC0, 0x00, ##                000000000000000                      000000000000000              
            0x00, 0x00, 0xFF, 0xF0, 0x00, 0x00, 0x0F, 0xFF, 0xC0, 0x00, ##                00000000000000                        00000000000000              
            0x00, 0x00, 0xFF, 0xF0, 0x00, 0x00, 0x0F, 0xFF, 0xC0, 0x00, ##                00000000000000                        00000000000000              
            0x00, 0x00, 0xFF, 0xF0, 0x00, 0x00, 0x0F, 0xFF, 0xC0, 0x00, ##                00000000000000                        00000000000000              
            0x00, 0x00, 0xFF, 0xF0, 0x00, 0x00, 0x0F, 0xFF, 0x80, 0x00, ##                 0000000000000                        0000000000000               
            0x00, 0x00, 0xFF, 0xE0, 0x00, 0x00, 0x07, 0xFF, 0x80, 0x00, ##                 000000000000                          000000000000               
            0x00, 0x00, 0xFF, 0xE0, 0x00, 0x00, 0x07, 0xFF, 0x80, 0x00, ##                 000000000000                          000000000000               
            0x00, 0x00, 0xFF, 0xE0, 0x00, 0x00, 0x07, 0xFF, 0x80, 0x00, ##                 000000000000                          000000000000               
            0x00, 0x00, 0xFF, 0xE0, 0x00, 0x00, 0x07, 0xFF, 0x00, 0x00, ##                  00000000000                          00000000000                
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '88' => {    # 'X'
        'width'    => 54, 
        'xoffset'  => 3, 
        'xadvance' => 60, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x1F, 0xF0, 0x00, 0x00, 0x00, 0x1F, 0xF0, ##     000000000                               000000000  
            0x1F, 0xF8, 0x00, 0x00, 0x00, 0x3F, 0xF0, ##     0000000000                             0000000000  
            0x0F, 0xF8, 0x00, 0x00, 0x00, 0x3F, 0xE0, ##      000000000                             000000000   
            0x07, 0xFC, 0x00, 0x00, 0x00, 0x7F, 0xC0, ##       000000000                           000000000    
            0x07, 0xFE, 0x00, 0x00, 0x00, 0xFF, 0xC0, ##       0000000000                         0000000000    
            0x03, 0xFE, 0x00, 0x00, 0x00, 0xFF, 0x80, ##        000000000                         000000000     
            0x01, 0xFF, 0x00, 0x00, 0x01, 0xFF, 0x00, ##         000000000                       000000000      
            0x01, 0xFF, 0x80, 0x00, 0x03, 0xFF, 0x00, ##         0000000000                     0000000000      
            0x00, 0xFF, 0x80, 0x00, 0x03, 0xFE, 0x00, ##          000000000                     000000000       
            0x00, 0x7F, 0xC0, 0x00, 0x07, 0xFC, 0x00, ##           000000000                   000000000        
            0x00, 0x7F, 0xE0, 0x00, 0x0F, 0xFC, 0x00, ##           0000000000                 0000000000        
            0x00, 0x3F, 0xE0, 0x00, 0x0F, 0xF8, 0x00, ##            000000000                 000000000         
            0x00, 0x1F, 0xF0, 0x00, 0x1F, 0xF0, 0x00, ##             000000000               000000000          
            0x00, 0x1F, 0xF8, 0x00, 0x3F, 0xF0, 0x00, ##             0000000000             0000000000          
            0x00, 0x0F, 0xF8, 0x00, 0x3F, 0xE0, 0x00, ##              000000000             000000000           
            0x00, 0x07, 0xFC, 0x00, 0x7F, 0xC0, 0x00, ##               000000000           000000000            
            0x00, 0x07, 0xFE, 0x00, 0xFF, 0xC0, 0x00, ##               0000000000         0000000000            
            0x00, 0x03, 0xFE, 0x00, 0xFF, 0x80, 0x00, ##                000000000         000000000             
            0x00, 0x01, 0xFF, 0x01, 0xFF, 0x00, 0x00, ##                 000000000       000000000              
            0x00, 0x01, 0xFF, 0x83, 0xFF, 0x00, 0x00, ##                 0000000000     0000000000              
            0x00, 0x00, 0xFF, 0x83, 0xFE, 0x00, 0x00, ##                  000000000     000000000               
            0x00, 0x00, 0x7F, 0xC7, 0xFC, 0x00, 0x00, ##                   000000000   000000000                
            0x00, 0x00, 0x7F, 0xEF, 0xFC, 0x00, 0x00, ##                   0000000000 0000000000                
            0x00, 0x00, 0x3F, 0xEF, 0xF8, 0x00, 0x00, ##                    000000000 000000000                 
            0x00, 0x00, 0x1F, 0xFF, 0xF0, 0x00, 0x00, ##                     00000000000000000                  
            0x00, 0x00, 0x1F, 0xFF, 0xF0, 0x00, 0x00, ##                     00000000000000000                  
            0x00, 0x00, 0x0F, 0xFF, 0xE0, 0x00, 0x00, ##                      000000000000000                   
            0x00, 0x00, 0x07, 0xFF, 0xC0, 0x00, 0x00, ##                       0000000000000                    
            0x00, 0x00, 0x07, 0xFF, 0xC0, 0x00, 0x00, ##                       0000000000000                    
            0x00, 0x00, 0x03, 0xFF, 0x80, 0x00, 0x00, ##                        00000000000                     
            0x00, 0x00, 0x03, 0xFF, 0x00, 0x00, 0x00, ##                        0000000000                      
            0x00, 0x00, 0x07, 0xFF, 0x80, 0x00, 0x00, ##                       000000000000                     
            0x00, 0x00, 0x0F, 0xFF, 0x80, 0x00, 0x00, ##                      0000000000000                     
            0x00, 0x00, 0x0F, 0xFF, 0xC0, 0x00, 0x00, ##                      00000000000000                    
            0x00, 0x00, 0x1F, 0xFF, 0xE0, 0x00, 0x00, ##                     0000000000000000                   
            0x00, 0x00, 0x3F, 0xFF, 0xE0, 0x00, 0x00, ##                    00000000000000000                   
            0x00, 0x00, 0x3F, 0xFF, 0xF0, 0x00, 0x00, ##                    000000000000000000                  
            0x00, 0x00, 0x7F, 0xDF, 0xF8, 0x00, 0x00, ##                   000000000 0000000000                 
            0x00, 0x00, 0xFF, 0xCF, 0xF8, 0x00, 0x00, ##                  0000000000  000000000                 
            0x00, 0x00, 0xFF, 0x87, 0xFC, 0x00, 0x00, ##                  000000000    000000000                
            0x00, 0x01, 0xFF, 0x07, 0xFE, 0x00, 0x00, ##                 000000000     0000000000               
            0x00, 0x03, 0xFF, 0x03, 0xFE, 0x00, 0x00, ##                0000000000      000000000               
            0x00, 0x03, 0xFE, 0x01, 0xFF, 0x00, 0x00, ##                000000000        000000000              
            0x00, 0x07, 0xFC, 0x01, 0xFF, 0x00, 0x00, ##               000000000         000000000              
            0x00, 0x0F, 0xFC, 0x00, 0xFF, 0x80, 0x00, ##              0000000000          000000000             
            0x00, 0x0F, 0xF8, 0x00, 0x7F, 0xC0, 0x00, ##              000000000            000000000            
            0x00, 0x1F, 0xF0, 0x00, 0x7F, 0xC0, 0x00, ##             000000000             000000000            
            0x00, 0x1F, 0xF0, 0x00, 0x3F, 0xE0, 0x00, ##             000000000              000000000           
            0x00, 0x3F, 0xE0, 0x00, 0x1F, 0xF0, 0x00, ##            000000000                000000000          
            0x00, 0x7F, 0xC0, 0x00, 0x1F, 0xF0, 0x00, ##           000000000                 000000000          
            0x00, 0x7F, 0xC0, 0x00, 0x0F, 0xF8, 0x00, ##           000000000                  000000000         
            0x00, 0xFF, 0x80, 0x00, 0x0F, 0xFC, 0x00, ##          000000000                   0000000000        
            0x01, 0xFF, 0x00, 0x00, 0x07, 0xFC, 0x00, ##         000000000                     000000000        
            0x01, 0xFF, 0x00, 0x00, 0x03, 0xFE, 0x00, ##         000000000                      000000000       
            0x03, 0xFE, 0x00, 0x00, 0x03, 0xFF, 0x00, ##        000000000                       0000000000      
            0x07, 0xFC, 0x00, 0x00, 0x01, 0xFF, 0x00, ##       000000000                         000000000      
            0x07, 0xFC, 0x00, 0x00, 0x00, 0xFF, 0x80, ##       000000000                          000000000     
            0x0F, 0xF8, 0x00, 0x00, 0x00, 0xFF, 0xC0, ##      000000000                           0000000000    
            0x1F, 0xF8, 0x00, 0x00, 0x00, 0x7F, 0xC0, ##     0000000000                            000000000    
            0x1F, 0xF0, 0x00, 0x00, 0x00, 0x3F, 0xE0, ##     000000000                              000000000   
            0x3F, 0xE0, 0x00, 0x00, 0x00, 0x3F, 0xF0, ##    000000000                               0000000000  
            0x7F, 0xE0, 0x00, 0x00, 0x00, 0x1F, 0xF0, ##   0000000000                                000000000  
            0x7F, 0xC0, 0x00, 0x00, 0x00, 0x0F, 0xF8, ##   000000000                                  000000000 
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x0F, 0xFC, ##  000000000                                   0000000000
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '89' => {    # 'Y'
        'width'    => 52, 
        'xoffset'  => 0, 
        'xadvance' => 52, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x1F, 0xF0, ##  000000000                                  000000000
            0x7F, 0xC0, 0x00, 0x00, 0x00, 0x3F, 0xE0, ##   000000000                                000000000 
            0x7F, 0xC0, 0x00, 0x00, 0x00, 0x3F, 0xE0, ##   000000000                                000000000 
            0x3F, 0xE0, 0x00, 0x00, 0x00, 0x7F, 0xC0, ##    000000000                              000000000  
            0x1F, 0xF0, 0x00, 0x00, 0x00, 0xFF, 0x80, ##     000000000                            000000000   
            0x1F, 0xF0, 0x00, 0x00, 0x00, 0xFF, 0x80, ##     000000000                            000000000   
            0x0F, 0xF8, 0x00, 0x00, 0x01, 0xFF, 0x00, ##      000000000                          000000000    
            0x07, 0xFC, 0x00, 0x00, 0x03, 0xFE, 0x00, ##       000000000                        000000000     
            0x07, 0xFC, 0x00, 0x00, 0x03, 0xFE, 0x00, ##       000000000                        000000000     
            0x03, 0xFE, 0x00, 0x00, 0x07, 0xFC, 0x00, ##        000000000                      000000000      
            0x01, 0xFF, 0x00, 0x00, 0x0F, 0xF8, 0x00, ##         000000000                    000000000       
            0x01, 0xFF, 0x00, 0x00, 0x0F, 0xF8, 0x00, ##         000000000                    000000000       
            0x00, 0xFF, 0x80, 0x00, 0x1F, 0xF0, 0x00, ##          000000000                  000000000        
            0x00, 0x7F, 0xC0, 0x00, 0x3F, 0xE0, 0x00, ##           000000000                000000000         
            0x00, 0x7F, 0xC0, 0x00, 0x3F, 0xE0, 0x00, ##           000000000                000000000         
            0x00, 0x3F, 0xE0, 0x00, 0x7F, 0xC0, 0x00, ##            000000000              000000000          
            0x00, 0x1F, 0xF0, 0x00, 0xFF, 0x80, 0x00, ##             000000000            000000000           
            0x00, 0x1F, 0xF0, 0x00, 0xFF, 0x80, 0x00, ##             000000000            000000000           
            0x00, 0x0F, 0xF8, 0x01, 0xFF, 0x00, 0x00, ##              000000000          000000000            
            0x00, 0x07, 0xFC, 0x03, 0xFE, 0x00, 0x00, ##               000000000        000000000             
            0x00, 0x07, 0xFC, 0x03, 0xFE, 0x00, 0x00, ##               000000000        000000000             
            0x00, 0x03, 0xFE, 0x07, 0xFC, 0x00, 0x00, ##                000000000      000000000              
            0x00, 0x01, 0xFF, 0x07, 0xF8, 0x00, 0x00, ##                 000000000     00000000               
            0x00, 0x01, 0xFF, 0x0F, 0xF8, 0x00, 0x00, ##                 000000000    000000000               
            0x00, 0x00, 0xFF, 0x9F, 0xF0, 0x00, 0x00, ##                  000000000  000000000                
            0x00, 0x00, 0x7F, 0xDF, 0xE0, 0x00, 0x00, ##                   000000000 00000000                 
            0x00, 0x00, 0x7F, 0xFF, 0xE0, 0x00, 0x00, ##                   000000000000000000                 
            0x00, 0x00, 0x3F, 0xFF, 0xC0, 0x00, 0x00, ##                    0000000000000000                  
            0x00, 0x00, 0x1F, 0xFF, 0x80, 0x00, 0x00, ##                     00000000000000                   
            0x00, 0x00, 0x1F, 0xFF, 0x80, 0x00, 0x00, ##                     00000000000000                   
            0x00, 0x00, 0x0F, 0xFF, 0x00, 0x00, 0x00, ##                      000000000000                    
            0x00, 0x00, 0x07, 0xFE, 0x00, 0x00, 0x00, ##                       0000000000                     
            0x00, 0x00, 0x07, 0xFE, 0x00, 0x00, 0x00, ##                       0000000000                     
            0x00, 0x00, 0x03, 0xFC, 0x00, 0x00, 0x00, ##                        00000000                      
            0x00, 0x00, 0x03, 0xFC, 0x00, 0x00, 0x00, ##                        00000000                      
            0x00, 0x00, 0x03, 0xFC, 0x00, 0x00, 0x00, ##                        00000000                      
            0x00, 0x00, 0x03, 0xFC, 0x00, 0x00, 0x00, ##                        00000000                      
            0x00, 0x00, 0x03, 0xFC, 0x00, 0x00, 0x00, ##                        00000000                      
            0x00, 0x00, 0x03, 0xFC, 0x00, 0x00, 0x00, ##                        00000000                      
            0x00, 0x00, 0x03, 0xFC, 0x00, 0x00, 0x00, ##                        00000000                      
            0x00, 0x00, 0x03, 0xFC, 0x00, 0x00, 0x00, ##                        00000000                      
            0x00, 0x00, 0x03, 0xFC, 0x00, 0x00, 0x00, ##                        00000000                      
            0x00, 0x00, 0x03, 0xFC, 0x00, 0x00, 0x00, ##                        00000000                      
            0x00, 0x00, 0x03, 0xFC, 0x00, 0x00, 0x00, ##                        00000000                      
            0x00, 0x00, 0x03, 0xFC, 0x00, 0x00, 0x00, ##                        00000000                      
            0x00, 0x00, 0x03, 0xFC, 0x00, 0x00, 0x00, ##                        00000000                      
            0x00, 0x00, 0x03, 0xFC, 0x00, 0x00, 0x00, ##                        00000000                      
            0x00, 0x00, 0x03, 0xFC, 0x00, 0x00, 0x00, ##                        00000000                      
            0x00, 0x00, 0x03, 0xFC, 0x00, 0x00, 0x00, ##                        00000000                      
            0x00, 0x00, 0x03, 0xFC, 0x00, 0x00, 0x00, ##                        00000000                      
            0x00, 0x00, 0x03, 0xFC, 0x00, 0x00, 0x00, ##                        00000000                      
            0x00, 0x00, 0x03, 0xFC, 0x00, 0x00, 0x00, ##                        00000000                      
            0x00, 0x00, 0x03, 0xFC, 0x00, 0x00, 0x00, ##                        00000000                      
            0x00, 0x00, 0x03, 0xFC, 0x00, 0x00, 0x00, ##                        00000000                      
            0x00, 0x00, 0x03, 0xFC, 0x00, 0x00, 0x00, ##                        00000000                      
            0x00, 0x00, 0x03, 0xFC, 0x00, 0x00, 0x00, ##                        00000000                      
            0x00, 0x00, 0x03, 0xFC, 0x00, 0x00, 0x00, ##                        00000000                      
            0x00, 0x00, 0x03, 0xFC, 0x00, 0x00, 0x00, ##                        00000000                      
            0x00, 0x00, 0x03, 0xFC, 0x00, 0x00, 0x00, ##                        00000000                      
            0x00, 0x00, 0x03, 0xFC, 0x00, 0x00, 0x00, ##                        00000000                      
            0x00, 0x00, 0x03, 0xFC, 0x00, 0x00, 0x00, ##                        00000000                      
            0x00, 0x00, 0x03, 0xFC, 0x00, 0x00, 0x00, ##                        00000000                      
            0x00, 0x00, 0x03, 0xFC, 0x00, 0x00, 0x00, ##                        00000000                      
            0x00, 0x00, 0x03, 0xFC, 0x00, 0x00, 0x00, ##                        00000000                      
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '90' => {    # 'Z'
        'width'    => 52, 
        'xoffset'  => 4, 
        'xadvance' => 60, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x7F, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xE0, ##   00000000000000000000000000000000000000000000000000 
            0x7F, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xE0, ##   00000000000000000000000000000000000000000000000000 
            0x7F, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xE0, ##   00000000000000000000000000000000000000000000000000 
            0x7F, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xE0, ##   00000000000000000000000000000000000000000000000000 
            0x7F, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xE0, ##   00000000000000000000000000000000000000000000000000 
            0x7F, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xE0, ##   00000000000000000000000000000000000000000000000000 
            0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xC0, ##                                          0000000000  
            0x00, 0x00, 0x00, 0x00, 0x01, 0xFF, 0x80, ##                                         0000000000   
            0x00, 0x00, 0x00, 0x00, 0x03, 0xFF, 0x80, ##                                        00000000000   
            0x00, 0x00, 0x00, 0x00, 0x03, 0xFF, 0x00, ##                                        0000000000    
            0x00, 0x00, 0x00, 0x00, 0x07, 0xFE, 0x00, ##                                       0000000000     
            0x00, 0x00, 0x00, 0x00, 0x0F, 0xFC, 0x00, ##                                      0000000000      
            0x00, 0x00, 0x00, 0x00, 0x1F, 0xFC, 0x00, ##                                     00000000000      
            0x00, 0x00, 0x00, 0x00, 0x3F, 0xF8, 0x00, ##                                    00000000000       
            0x00, 0x00, 0x00, 0x00, 0x3F, 0xF0, 0x00, ##                                    0000000000        
            0x00, 0x00, 0x00, 0x00, 0x7F, 0xE0, 0x00, ##                                   0000000000         
            0x00, 0x00, 0x00, 0x00, 0xFF, 0xC0, 0x00, ##                                  0000000000          
            0x00, 0x00, 0x00, 0x01, 0xFF, 0xC0, 0x00, ##                                 00000000000          
            0x00, 0x00, 0x00, 0x03, 0xFF, 0x80, 0x00, ##                                00000000000           
            0x00, 0x00, 0x00, 0x03, 0xFF, 0x00, 0x00, ##                                0000000000            
            0x00, 0x00, 0x00, 0x07, 0xFE, 0x00, 0x00, ##                               0000000000             
            0x00, 0x00, 0x00, 0x0F, 0xFC, 0x00, 0x00, ##                              0000000000              
            0x00, 0x00, 0x00, 0x1F, 0xFC, 0x00, 0x00, ##                             00000000000              
            0x00, 0x00, 0x00, 0x1F, 0xF8, 0x00, 0x00, ##                             0000000000               
            0x00, 0x00, 0x00, 0x3F, 0xF0, 0x00, 0x00, ##                            0000000000                
            0x00, 0x00, 0x00, 0x7F, 0xE0, 0x00, 0x00, ##                           0000000000                 
            0x00, 0x00, 0x00, 0xFF, 0xE0, 0x00, 0x00, ##                          00000000000                 
            0x00, 0x00, 0x01, 0xFF, 0xC0, 0x00, 0x00, ##                         00000000000                  
            0x00, 0x00, 0x01, 0xFF, 0x80, 0x00, 0x00, ##                         0000000000                   
            0x00, 0x00, 0x03, 0xFF, 0x00, 0x00, 0x00, ##                        0000000000                    
            0x00, 0x00, 0x07, 0xFE, 0x00, 0x00, 0x00, ##                       0000000000                     
            0x00, 0x00, 0x0F, 0xFE, 0x00, 0x00, 0x00, ##                      00000000000                     
            0x00, 0x00, 0x0F, 0xFC, 0x00, 0x00, 0x00, ##                      0000000000                      
            0x00, 0x00, 0x1F, 0xF8, 0x00, 0x00, 0x00, ##                     0000000000                       
            0x00, 0x00, 0x3F, 0xF0, 0x00, 0x00, 0x00, ##                    0000000000                        
            0x00, 0x00, 0x7F, 0xF0, 0x00, 0x00, 0x00, ##                   00000000000                        
            0x00, 0x00, 0xFF, 0xE0, 0x00, 0x00, 0x00, ##                  00000000000                         
            0x00, 0x00, 0xFF, 0xC0, 0x00, 0x00, 0x00, ##                  0000000000                          
            0x00, 0x01, 0xFF, 0x80, 0x00, 0x00, 0x00, ##                 0000000000                           
            0x00, 0x03, 0xFF, 0x00, 0x00, 0x00, 0x00, ##                0000000000                            
            0x00, 0x07, 0xFF, 0x00, 0x00, 0x00, 0x00, ##               00000000000                            
            0x00, 0x07, 0xFE, 0x00, 0x00, 0x00, 0x00, ##               0000000000                             
            0x00, 0x0F, 0xFC, 0x00, 0x00, 0x00, 0x00, ##              0000000000                              
            0x00, 0x1F, 0xF8, 0x00, 0x00, 0x00, 0x00, ##             0000000000                               
            0x00, 0x3F, 0xF8, 0x00, 0x00, 0x00, 0x00, ##            00000000000                               
            0x00, 0x7F, 0xF0, 0x00, 0x00, 0x00, 0x00, ##           00000000000                                
            0x00, 0x7F, 0xE0, 0x00, 0x00, 0x00, 0x00, ##           0000000000                                 
            0x00, 0xFF, 0xC0, 0x00, 0x00, 0x00, 0x00, ##          0000000000                                  
            0x01, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##         0000000000                                   
            0x03, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##        00000000000                                   
            0x07, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##       00000000000                                    
            0x07, 0xFE, 0x00, 0x00, 0x00, 0x00, 0x00, ##       0000000000                                     
            0x0F, 0xFC, 0x00, 0x00, 0x00, 0x00, 0x00, ##      0000000000                                      
            0x1F, 0xFC, 0x00, 0x00, 0x00, 0x00, 0x00, ##     00000000000                                      
            0x3F, 0xF8, 0x00, 0x00, 0x00, 0x00, 0x00, ##    00000000000                                       
            0x3F, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x00, ##    0000000000                                        
            0x7F, 0xE0, 0x00, 0x00, 0x00, 0x00, 0x00, ##   0000000000                                         
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF0, ##  0000000000000000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF0, ##  0000000000000000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF0, ##  0000000000000000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF0, ##  0000000000000000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF0, ##  0000000000000000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF0, ##  0000000000000000000000000000000000000000000000000000
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '91' => {    # '['
        'width'    => 18, 
        'xoffset'  => 7, 
        'xadvance' => 33, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0xFF, 0xFF, 0xC0, ##  000000000000000000
            0xFF, 0xFF, 0xC0, ##  000000000000000000
            0xFF, 0xFF, 0xC0, ##  000000000000000000
            0xFF, 0xFF, 0xC0, ##  000000000000000000
            0xFF, 0xFF, 0xC0, ##  000000000000000000
            0xFF, 0xFF, 0xC0, ##  000000000000000000
            0xFF, 0x00, 0x00, ##  00000000          
            0xFF, 0x00, 0x00, ##  00000000          
            0xFF, 0x00, 0x00, ##  00000000          
            0xFF, 0x00, 0x00, ##  00000000          
            0xFF, 0x00, 0x00, ##  00000000          
            0xFF, 0x00, 0x00, ##  00000000          
            0xFF, 0x00, 0x00, ##  00000000          
            0xFF, 0x00, 0x00, ##  00000000          
            0xFF, 0x00, 0x00, ##  00000000          
            0xFF, 0x00, 0x00, ##  00000000          
            0xFF, 0x00, 0x00, ##  00000000          
            0xFF, 0x00, 0x00, ##  00000000          
            0xFF, 0x00, 0x00, ##  00000000          
            0xFF, 0x00, 0x00, ##  00000000          
            0xFF, 0x00, 0x00, ##  00000000          
            0xFF, 0x00, 0x00, ##  00000000          
            0xFF, 0x00, 0x00, ##  00000000          
            0xFF, 0x00, 0x00, ##  00000000          
            0xFF, 0x00, 0x00, ##  00000000          
            0xFF, 0x00, 0x00, ##  00000000          
            0xFF, 0x00, 0x00, ##  00000000          
            0xFF, 0x00, 0x00, ##  00000000          
            0xFF, 0x00, 0x00, ##  00000000          
            0xFF, 0x00, 0x00, ##  00000000          
            0xFF, 0x00, 0x00, ##  00000000          
            0xFF, 0x00, 0x00, ##  00000000          
            0xFF, 0x00, 0x00, ##  00000000          
            0xFF, 0x00, 0x00, ##  00000000          
            0xFF, 0x00, 0x00, ##  00000000          
            0xFF, 0x00, 0x00, ##  00000000          
            0xFF, 0x00, 0x00, ##  00000000          
            0xFF, 0x00, 0x00, ##  00000000          
            0xFF, 0x00, 0x00, ##  00000000          
            0xFF, 0x00, 0x00, ##  00000000          
            0xFF, 0x00, 0x00, ##  00000000          
            0xFF, 0x00, 0x00, ##  00000000          
            0xFF, 0x00, 0x00, ##  00000000          
            0xFF, 0x00, 0x00, ##  00000000          
            0xFF, 0x00, 0x00, ##  00000000          
            0xFF, 0x00, 0x00, ##  00000000          
            0xFF, 0x00, 0x00, ##  00000000          
            0xFF, 0x00, 0x00, ##  00000000          
            0xFF, 0x00, 0x00, ##  00000000          
            0xFF, 0x00, 0x00, ##  00000000          
            0xFF, 0x00, 0x00, ##  00000000          
            0xFF, 0x00, 0x00, ##  00000000          
            0xFF, 0x00, 0x00, ##  00000000          
            0xFF, 0x00, 0x00, ##  00000000          
            0xFF, 0x00, 0x00, ##  00000000          
            0xFF, 0x00, 0x00, ##  00000000          
            0xFF, 0x00, 0x00, ##  00000000          
            0xFF, 0x00, 0x00, ##  00000000          
            0xFF, 0x00, 0x00, ##  00000000          
            0xFF, 0x00, 0x00, ##  00000000          
            0xFF, 0x00, 0x00, ##  00000000          
            0xFF, 0x00, 0x00, ##  00000000          
            0xFF, 0x00, 0x00, ##  00000000          
            0xFF, 0x00, 0x00, ##  00000000          
            0xFF, 0x00, 0x00, ##  00000000          
            0xFF, 0x00, 0x00, ##  00000000          
            0xFF, 0x00, 0x00, ##  00000000          
            0xFF, 0x00, 0x00, ##  00000000          
            0xFF, 0x00, 0x00, ##  00000000          
            0xFF, 0x00, 0x00, ##  00000000          
            0xFF, 0x00, 0x00, ##  00000000          
            0xFF, 0x00, 0x00, ##  00000000          
            0xFF, 0xFF, 0xC0, ##  000000000000000000
            0xFF, 0xFF, 0xC0, ##  000000000000000000
            0xFF, 0xFF, 0xC0, ##  000000000000000000
            0xFF, 0xFF, 0xC0, ##  000000000000000000
            0xFF, 0xFF, 0xC0, ##  000000000000000000
            0xFF, 0xFF, 0xC0, ##  000000000000000000
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '92' => {    # '\'
        'width'    => 29, 
        'xoffset'  => 0, 
        'xadvance' => 29, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0xFE, 0x00, 0x00, 0x00, ##  0000000                      
            0xFF, 0x00, 0x00, 0x00, ##  00000000                     
            0x7F, 0x00, 0x00, 0x00, ##   0000000                     
            0x7F, 0x00, 0x00, 0x00, ##   0000000                     
            0x7F, 0x80, 0x00, 0x00, ##   00000000                    
            0x3F, 0x80, 0x00, 0x00, ##    0000000                    
            0x3F, 0x80, 0x00, 0x00, ##    0000000                    
            0x3F, 0xC0, 0x00, 0x00, ##    00000000                   
            0x1F, 0xC0, 0x00, 0x00, ##     0000000                   
            0x1F, 0xC0, 0x00, 0x00, ##     0000000                   
            0x1F, 0xC0, 0x00, 0x00, ##     0000000                   
            0x0F, 0xE0, 0x00, 0x00, ##      0000000                  
            0x0F, 0xE0, 0x00, 0x00, ##      0000000                  
            0x0F, 0xE0, 0x00, 0x00, ##      0000000                  
            0x0F, 0xF0, 0x00, 0x00, ##      00000000                 
            0x07, 0xF0, 0x00, 0x00, ##       0000000                 
            0x07, 0xF0, 0x00, 0x00, ##       0000000                 
            0x07, 0xF8, 0x00, 0x00, ##       00000000                
            0x03, 0xF8, 0x00, 0x00, ##        0000000                
            0x03, 0xF8, 0x00, 0x00, ##        0000000                
            0x03, 0xFC, 0x00, 0x00, ##        00000000               
            0x01, 0xFC, 0x00, 0x00, ##         0000000               
            0x01, 0xFC, 0x00, 0x00, ##         0000000               
            0x01, 0xFC, 0x00, 0x00, ##         0000000               
            0x00, 0xFE, 0x00, 0x00, ##          0000000              
            0x00, 0xFE, 0x00, 0x00, ##          0000000              
            0x00, 0xFE, 0x00, 0x00, ##          0000000              
            0x00, 0xFF, 0x00, 0x00, ##          00000000             
            0x00, 0x7F, 0x00, 0x00, ##           0000000             
            0x00, 0x7F, 0x00, 0x00, ##           0000000             
            0x00, 0x7F, 0x80, 0x00, ##           00000000            
            0x00, 0x3F, 0x80, 0x00, ##            0000000            
            0x00, 0x3F, 0x80, 0x00, ##            0000000            
            0x00, 0x3F, 0xC0, 0x00, ##            00000000           
            0x00, 0x1F, 0xC0, 0x00, ##             0000000           
            0x00, 0x1F, 0xC0, 0x00, ##             0000000           
            0x00, 0x1F, 0xC0, 0x00, ##             0000000           
            0x00, 0x0F, 0xE0, 0x00, ##              0000000          
            0x00, 0x0F, 0xE0, 0x00, ##              0000000          
            0x00, 0x0F, 0xE0, 0x00, ##              0000000          
            0x00, 0x0F, 0xF0, 0x00, ##              00000000         
            0x00, 0x07, 0xF0, 0x00, ##               0000000         
            0x00, 0x07, 0xF0, 0x00, ##               0000000         
            0x00, 0x07, 0xF8, 0x00, ##               00000000        
            0x00, 0x03, 0xF8, 0x00, ##                0000000        
            0x00, 0x03, 0xF8, 0x00, ##                0000000        
            0x00, 0x03, 0xF8, 0x00, ##                0000000        
            0x00, 0x01, 0xFC, 0x00, ##                 0000000       
            0x00, 0x01, 0xFC, 0x00, ##                 0000000       
            0x00, 0x01, 0xFC, 0x00, ##                 0000000       
            0x00, 0x01, 0xFE, 0x00, ##                 00000000      
            0x00, 0x00, 0xFE, 0x00, ##                  0000000      
            0x00, 0x00, 0xFE, 0x00, ##                  0000000      
            0x00, 0x00, 0xFF, 0x00, ##                  00000000     
            0x00, 0x00, 0x7F, 0x00, ##                   0000000     
            0x00, 0x00, 0x7F, 0x00, ##                   0000000     
            0x00, 0x00, 0x7F, 0x80, ##                   00000000    
            0x00, 0x00, 0x3F, 0x80, ##                    0000000    
            0x00, 0x00, 0x3F, 0x80, ##                    0000000    
            0x00, 0x00, 0x3F, 0x80, ##                    0000000    
            0x00, 0x00, 0x1F, 0xC0, ##                     0000000   
            0x00, 0x00, 0x1F, 0xC0, ##                     0000000   
            0x00, 0x00, 0x1F, 0xC0, ##                     0000000   
            0x00, 0x00, 0x1F, 0xE0, ##                     00000000  
            0x00, 0x00, 0x0F, 0xE0, ##                      0000000  
            0x00, 0x00, 0x0F, 0xE0, ##                      0000000  
            0x00, 0x00, 0x0F, 0xF0, ##                      00000000 
            0x00, 0x00, 0x07, 0xF0, ##                       0000000 
            0x00, 0x00, 0x07, 0xF0, ##                       0000000 
            0x00, 0x00, 0x07, 0xF8, ##                       00000000
            0x00, 0x00, 0x03, 0xF8, ##                        0000000
            0x00, 0x00, 0x03, 0xF8, ##                        0000000
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '93' => {    # ']'
        'width'    => 18, 
        'xoffset'  => 8, 
        'xadvance' => 33, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0xFF, 0xFF, 0xC0, ##  000000000000000000
            0xFF, 0xFF, 0xC0, ##  000000000000000000
            0xFF, 0xFF, 0xC0, ##  000000000000000000
            0xFF, 0xFF, 0xC0, ##  000000000000000000
            0xFF, 0xFF, 0xC0, ##  000000000000000000
            0xFF, 0xFF, 0xC0, ##  000000000000000000
            0x00, 0x3F, 0xC0, ##            00000000
            0x00, 0x3F, 0xC0, ##            00000000
            0x00, 0x3F, 0xC0, ##            00000000
            0x00, 0x3F, 0xC0, ##            00000000
            0x00, 0x3F, 0xC0, ##            00000000
            0x00, 0x3F, 0xC0, ##            00000000
            0x00, 0x3F, 0xC0, ##            00000000
            0x00, 0x3F, 0xC0, ##            00000000
            0x00, 0x3F, 0xC0, ##            00000000
            0x00, 0x3F, 0xC0, ##            00000000
            0x00, 0x3F, 0xC0, ##            00000000
            0x00, 0x3F, 0xC0, ##            00000000
            0x00, 0x3F, 0xC0, ##            00000000
            0x00, 0x3F, 0xC0, ##            00000000
            0x00, 0x3F, 0xC0, ##            00000000
            0x00, 0x3F, 0xC0, ##            00000000
            0x00, 0x3F, 0xC0, ##            00000000
            0x00, 0x3F, 0xC0, ##            00000000
            0x00, 0x3F, 0xC0, ##            00000000
            0x00, 0x3F, 0xC0, ##            00000000
            0x00, 0x3F, 0xC0, ##            00000000
            0x00, 0x3F, 0xC0, ##            00000000
            0x00, 0x3F, 0xC0, ##            00000000
            0x00, 0x3F, 0xC0, ##            00000000
            0x00, 0x3F, 0xC0, ##            00000000
            0x00, 0x3F, 0xC0, ##            00000000
            0x00, 0x3F, 0xC0, ##            00000000
            0x00, 0x3F, 0xC0, ##            00000000
            0x00, 0x3F, 0xC0, ##            00000000
            0x00, 0x3F, 0xC0, ##            00000000
            0x00, 0x3F, 0xC0, ##            00000000
            0x00, 0x3F, 0xC0, ##            00000000
            0x00, 0x3F, 0xC0, ##            00000000
            0x00, 0x3F, 0xC0, ##            00000000
            0x00, 0x3F, 0xC0, ##            00000000
            0x00, 0x3F, 0xC0, ##            00000000
            0x00, 0x3F, 0xC0, ##            00000000
            0x00, 0x3F, 0xC0, ##            00000000
            0x00, 0x3F, 0xC0, ##            00000000
            0x00, 0x3F, 0xC0, ##            00000000
            0x00, 0x3F, 0xC0, ##            00000000
            0x00, 0x3F, 0xC0, ##            00000000
            0x00, 0x3F, 0xC0, ##            00000000
            0x00, 0x3F, 0xC0, ##            00000000
            0x00, 0x3F, 0xC0, ##            00000000
            0x00, 0x3F, 0xC0, ##            00000000
            0x00, 0x3F, 0xC0, ##            00000000
            0x00, 0x3F, 0xC0, ##            00000000
            0x00, 0x3F, 0xC0, ##            00000000
            0x00, 0x3F, 0xC0, ##            00000000
            0x00, 0x3F, 0xC0, ##            00000000
            0x00, 0x3F, 0xC0, ##            00000000
            0x00, 0x3F, 0xC0, ##            00000000
            0x00, 0x3F, 0xC0, ##            00000000
            0x00, 0x3F, 0xC0, ##            00000000
            0x00, 0x3F, 0xC0, ##            00000000
            0x00, 0x3F, 0xC0, ##            00000000
            0x00, 0x3F, 0xC0, ##            00000000
            0x00, 0x3F, 0xC0, ##            00000000
            0x00, 0x3F, 0xC0, ##            00000000
            0x00, 0x3F, 0xC0, ##            00000000
            0x00, 0x3F, 0xC0, ##            00000000
            0x00, 0x3F, 0xC0, ##            00000000
            0x00, 0x3F, 0xC0, ##            00000000
            0x00, 0x3F, 0xC0, ##            00000000
            0x00, 0x3F, 0xC0, ##            00000000
            0xFF, 0xFF, 0xC0, ##  000000000000000000
            0xFF, 0xFF, 0xC0, ##  000000000000000000
            0xFF, 0xFF, 0xC0, ##  000000000000000000
            0xFF, 0xFF, 0xC0, ##  000000000000000000
            0xFF, 0xFF, 0xC0, ##  000000000000000000
            0xFF, 0xFF, 0xC0, ##  000000000000000000
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '94' => {    # '^'
        'width'    => 55, 
        'xoffset'  => 9, 
        'xadvance' => 73, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x01, 0xFF, 0x00, 0x00, 0x00, ##                         000000000                       
            0x00, 0x00, 0x03, 0xFF, 0x80, 0x00, 0x00, ##                        00000000000                      
            0x00, 0x00, 0x07, 0xFF, 0xC0, 0x00, 0x00, ##                       0000000000000                     
            0x00, 0x00, 0x0F, 0xFF, 0xE0, 0x00, 0x00, ##                      000000000000000                    
            0x00, 0x00, 0x1F, 0xFF, 0xF0, 0x00, 0x00, ##                     00000000000000000                   
            0x00, 0x00, 0x3F, 0xFF, 0xF8, 0x00, 0x00, ##                    0000000000000000000                  
            0x00, 0x00, 0x7F, 0xFF, 0xFC, 0x00, 0x00, ##                   000000000000000000000                 
            0x00, 0x00, 0xFF, 0xEF, 0xFE, 0x00, 0x00, ##                  00000000000 00000000000                
            0x00, 0x01, 0xFF, 0xC7, 0xFF, 0x00, 0x00, ##                 00000000000   00000000000               
            0x00, 0x03, 0xFF, 0x83, 0xFF, 0x80, 0x00, ##                00000000000     00000000000              
            0x00, 0x07, 0xFF, 0x01, 0xFF, 0xC0, 0x00, ##               00000000000       00000000000             
            0x00, 0x0F, 0xFE, 0x00, 0xFF, 0xE0, 0x00, ##              00000000000         00000000000            
            0x00, 0x1F, 0xF8, 0x00, 0x3F, 0xF0, 0x00, ##             0000000000             0000000000           
            0x00, 0x3F, 0xF0, 0x00, 0x1F, 0xF8, 0x00, ##            0000000000               0000000000          
            0x00, 0x7F, 0xE0, 0x00, 0x0F, 0xFC, 0x00, ##           0000000000                 0000000000         
            0x00, 0xFF, 0xC0, 0x00, 0x07, 0xFE, 0x00, ##          0000000000                   0000000000        
            0x01, 0xFF, 0x80, 0x00, 0x03, 0xFE, 0x00, ##         0000000000                     000000000        
            0x03, 0xFF, 0x00, 0x00, 0x01, 0xFF, 0x00, ##        0000000000                       000000000       
            0x07, 0xFE, 0x00, 0x00, 0x00, 0xFF, 0x80, ##       0000000000                         000000000      
            0x07, 0xFC, 0x00, 0x00, 0x00, 0x7F, 0xC0, ##       000000000                           000000000     
            0x0F, 0xF8, 0x00, 0x00, 0x00, 0x3F, 0xE0, ##      000000000                             000000000    
            0x1F, 0xF0, 0x00, 0x00, 0x00, 0x1F, 0xF0, ##     000000000                               000000000   
            0x3F, 0xC0, 0x00, 0x00, 0x00, 0x0F, 0xF8, ##    00000000                                  000000000  
            0x7F, 0x80, 0x00, 0x00, 0x00, 0x03, 0xFC, ##   00000000                                     00000000 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '95' => {    # '_'
        'width'    => 45, 
        'xoffset'  => -1, 
        'xadvance' => 43, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF8, ##  000000000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF8, ##  000000000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF8, ##  000000000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF8, ##  000000000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF8, ##  000000000000000000000000000000000000000000000
        ], 
    }, 
    '96' => {    # '`'
        'width'    => 21, 
        'xoffset'  => 7, 
        'xadvance' => 44, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x7F, 0x80, 0x00, ##   00000000            
            0x3F, 0xC0, 0x00, ##    00000000           
            0x3F, 0xC0, 0x00, ##    00000000           
            0x1F, 0xE0, 0x00, ##     00000000          
            0x0F, 0xF0, 0x00, ##      00000000         
            0x07, 0xF8, 0x00, ##       00000000        
            0x03, 0xF8, 0x00, ##        0000000        
            0x01, 0xFC, 0x00, ##         0000000       
            0x00, 0xFE, 0x00, ##          0000000      
            0x00, 0xFF, 0x00, ##          00000000     
            0x00, 0x7F, 0x00, ##           0000000     
            0x00, 0x3F, 0x80, ##            0000000    
            0x00, 0x1F, 0xC0, ##             0000000   
            0x00, 0x0F, 0xE0, ##              0000000  
            0x00, 0x07, 0xE0, ##               000000  
            0x00, 0x03, 0xF0, ##                000000 
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '97' => {    # 'a'
        'width'    => 40, 
        'xoffset'  => 5, 
        'xadvance' => 53, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x07, 0xFF, 0x80, 0x00, ##               000000000000               
            0x00, 0xFF, 0xFF, 0xF8, 0x00, ##          000000000000000000000           
            0x07, 0xFF, 0xFF, 0xFE, 0x00, ##       00000000000000000000000000         
            0x0F, 0xFF, 0xFF, 0xFF, 0x80, ##      00000000000000000000000000000       
            0x0F, 0xFF, 0xFF, 0xFF, 0xC0, ##      000000000000000000000000000000      
            0x0F, 0xFF, 0xFF, 0xFF, 0xE0, ##      0000000000000000000000000000000     
            0x0F, 0xF8, 0x01, 0xFF, 0xF0, ##      000000000          0000000000000    
            0x0F, 0xC0, 0x00, 0x3F, 0xF8, ##      000000                00000000000   
            0x0E, 0x00, 0x00, 0x0F, 0xF8, ##      000                     000000000   
            0x08, 0x00, 0x00, 0x07, 0xFC, ##      0                        000000000  
            0x00, 0x00, 0x00, 0x03, 0xFC, ##                                00000000  
            0x00, 0x00, 0x00, 0x03, 0xFC, ##                                00000000  
            0x00, 0x00, 0x00, 0x01, 0xFE, ##                                 00000000 
            0x00, 0x00, 0x00, 0x01, 0xFE, ##                                 00000000 
            0x00, 0x00, 0x00, 0x00, 0xFE, ##                                  0000000 
            0x00, 0x00, 0x00, 0x00, 0xFE, ##                                  0000000 
            0x00, 0x00, 0x00, 0x00, 0xFF, ##                                  00000000
            0x00, 0x00, 0x00, 0x00, 0xFF, ##                                  00000000
            0x00, 0x00, 0x00, 0x00, 0xFF, ##                                  00000000
            0x00, 0x01, 0xFF, 0xFF, 0xFF, ##                 0000000000000000000000000
            0x00, 0x3F, 0xFF, 0xFF, 0xFF, ##            000000000000000000000000000000
            0x00, 0xFF, 0xFF, 0xFF, 0xFF, ##          00000000000000000000000000000000
            0x03, 0xFF, 0xFF, 0xFF, 0xFF, ##        0000000000000000000000000000000000
            0x07, 0xFF, 0xFF, 0xFF, 0xFF, ##       00000000000000000000000000000000000
            0x0F, 0xFF, 0xFF, 0xFF, 0xFF, ##      000000000000000000000000000000000000
            0x1F, 0xFF, 0x80, 0x00, 0xFF, ##     00000000000000               00000000
            0x3F, 0xF8, 0x00, 0x00, 0xFF, ##    00000000000                   00000000
            0x3F, 0xE0, 0x00, 0x00, 0xFF, ##    000000000                     00000000
            0x7F, 0xC0, 0x00, 0x00, 0xFF, ##   000000000                      00000000
            0x7F, 0x80, 0x00, 0x00, 0xFF, ##   00000000                       00000000
            0xFF, 0x80, 0x00, 0x00, 0xFF, ##  000000000                       00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x01, 0xFF, ##  00000000                       000000000
            0xFF, 0x00, 0x00, 0x01, 0xFF, ##  00000000                       000000000
            0xFF, 0x00, 0x00, 0x01, 0xFF, ##  00000000                       000000000
            0xFF, 0x00, 0x00, 0x03, 0xFF, ##  00000000                      0000000000
            0xFF, 0x00, 0x00, 0x03, 0xFF, ##  00000000                      0000000000
            0xFF, 0x00, 0x00, 0x07, 0xFF, ##  00000000                     00000000000
            0xFF, 0x80, 0x00, 0x07, 0xFF, ##  000000000                    00000000000
            0x7F, 0x80, 0x00, 0x0F, 0xFF, ##   00000000                   000000000000
            0x7F, 0xC0, 0x00, 0x1F, 0xFF, ##   000000000                 0000000000000
            0x7F, 0xE0, 0x00, 0x3F, 0xFF, ##   0000000000               00000000000000
            0x3F, 0xF0, 0x00, 0xFF, 0xFF, ##    0000000000            0000000000000000
            0x3F, 0xFC, 0x03, 0xFE, 0xFF, ##    000000000000        000000000 00000000
            0x1F, 0xFF, 0xFF, 0xFC, 0xFF, ##     000000000000000000000000000  00000000
            0x0F, 0xFF, 0xFF, 0xF8, 0xFF, ##      0000000000000000000000000   00000000
            0x07, 0xFF, 0xFF, 0xF0, 0xFF, ##       00000000000000000000000    00000000
            0x03, 0xFF, 0xFF, 0xC0, 0xFF, ##        00000000000000000000      00000000
            0x00, 0xFF, 0xFF, 0x00, 0xFF, ##          0000000000000000        00000000
            0x00, 0x1F, 0xF8, 0x00, 0x00, ##             0000000000                   
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '98' => {    # 'b'
        'width'    => 43, 
        'xoffset'  => 8, 
        'xadvance' => 56, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                   
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                   
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                   
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                   
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                   
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                   
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                   
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                   
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                   
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                   
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                   
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                   
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                   
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                   
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                   
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                   
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                   
            0xFF, 0x00, 0x3F, 0xF0, 0x00, 0x00, ##  00000000          0000000000               
            0xFF, 0x01, 0xFF, 0xFE, 0x00, 0x00, ##  00000000       0000000000000000            
            0xFF, 0x07, 0xFF, 0xFF, 0x80, 0x00, ##  00000000     00000000000000000000          
            0xFF, 0x0F, 0xFF, 0xFF, 0xC0, 0x00, ##  00000000    0000000000000000000000         
            0xFF, 0x1F, 0xFF, 0xFF, 0xE0, 0x00, ##  00000000   000000000000000000000000        
            0xFF, 0x3F, 0xFF, 0xFF, 0xF0, 0x00, ##  00000000  00000000000000000000000000       
            0xFF, 0x7F, 0xC0, 0x7F, 0xF8, 0x00, ##  00000000 000000000       000000000000      
            0xFF, 0xFE, 0x00, 0x1F, 0xFC, 0x00, ##  000000000000000            00000000000     
            0xFF, 0xFC, 0x00, 0x07, 0xFE, 0x00, ##  00000000000000               0000000000    
            0xFF, 0xF8, 0x00, 0x03, 0xFE, 0x00, ##  0000000000000                 000000000    
            0xFF, 0xF0, 0x00, 0x01, 0xFF, 0x00, ##  000000000000                   000000000   
            0xFF, 0xE0, 0x00, 0x00, 0xFF, 0x00, ##  00000000000                     00000000   
            0xFF, 0xE0, 0x00, 0x00, 0xFF, 0x80, ##  00000000000                     000000000  
            0xFF, 0xC0, 0x00, 0x00, 0x7F, 0x80, ##  0000000000                       00000000  
            0xFF, 0xC0, 0x00, 0x00, 0x7F, 0x80, ##  0000000000                       00000000  
            0xFF, 0x80, 0x00, 0x00, 0x3F, 0xC0, ##  000000000                         00000000 
            0xFF, 0x80, 0x00, 0x00, 0x3F, 0xC0, ##  000000000                         00000000 
            0xFF, 0x80, 0x00, 0x00, 0x3F, 0xC0, ##  000000000                         00000000 
            0xFF, 0x80, 0x00, 0x00, 0x3F, 0xC0, ##  000000000                         00000000 
            0xFF, 0x00, 0x00, 0x00, 0x1F, 0xE0, ##  00000000                           00000000
            0xFF, 0x00, 0x00, 0x00, 0x1F, 0xE0, ##  00000000                           00000000
            0xFF, 0x00, 0x00, 0x00, 0x1F, 0xE0, ##  00000000                           00000000
            0xFF, 0x00, 0x00, 0x00, 0x1F, 0xE0, ##  00000000                           00000000
            0xFF, 0x00, 0x00, 0x00, 0x1F, 0xE0, ##  00000000                           00000000
            0xFF, 0x00, 0x00, 0x00, 0x1F, 0xE0, ##  00000000                           00000000
            0xFF, 0x00, 0x00, 0x00, 0x1F, 0xE0, ##  00000000                           00000000
            0xFF, 0x00, 0x00, 0x00, 0x1F, 0xE0, ##  00000000                           00000000
            0xFF, 0x00, 0x00, 0x00, 0x1F, 0xE0, ##  00000000                           00000000
            0xFF, 0x00, 0x00, 0x00, 0x1F, 0xE0, ##  00000000                           00000000
            0xFF, 0x00, 0x00, 0x00, 0x1F, 0xE0, ##  00000000                           00000000
            0xFF, 0x00, 0x00, 0x00, 0x1F, 0xE0, ##  00000000                           00000000
            0xFF, 0x80, 0x00, 0x00, 0x3F, 0xC0, ##  000000000                         00000000 
            0xFF, 0x80, 0x00, 0x00, 0x3F, 0xC0, ##  000000000                         00000000 
            0xFF, 0x80, 0x00, 0x00, 0x3F, 0xC0, ##  000000000                         00000000 
            0xFF, 0x80, 0x00, 0x00, 0x3F, 0xC0, ##  000000000                         00000000 
            0xFF, 0xC0, 0x00, 0x00, 0x7F, 0xC0, ##  0000000000                       000000000 
            0xFF, 0xC0, 0x00, 0x00, 0x7F, 0x80, ##  0000000000                       00000000  
            0xFF, 0xE0, 0x00, 0x00, 0xFF, 0x80, ##  00000000000                     000000000  
            0xFF, 0xE0, 0x00, 0x00, 0xFF, 0x00, ##  00000000000                     00000000   
            0xFF, 0xF0, 0x00, 0x01, 0xFF, 0x00, ##  000000000000                   000000000   
            0xFF, 0xF8, 0x00, 0x03, 0xFE, 0x00, ##  0000000000000                 000000000    
            0xFF, 0xFC, 0x00, 0x07, 0xFE, 0x00, ##  00000000000000               0000000000    
            0xFF, 0xFE, 0x00, 0x0F, 0xFC, 0x00, ##  000000000000000             0000000000     
            0xFF, 0x7F, 0xC0, 0x7F, 0xF8, 0x00, ##  00000000 000000000       000000000000      
            0xFF, 0x3F, 0xFF, 0xFF, 0xF0, 0x00, ##  00000000  00000000000000000000000000       
            0xFF, 0x1F, 0xFF, 0xFF, 0xE0, 0x00, ##  00000000   000000000000000000000000        
            0xFF, 0x0F, 0xFF, 0xFF, 0xC0, 0x00, ##  00000000    0000000000000000000000         
            0xFF, 0x07, 0xFF, 0xFF, 0x80, 0x00, ##  00000000     00000000000000000000          
            0xFF, 0x01, 0xFF, 0xFE, 0x00, 0x00, ##  00000000       0000000000000000            
            0x00, 0x00, 0x3F, 0xF0, 0x00, 0x00, ##                    0000000000               
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '99' => {    # 'c'
        'width'    => 38, 
        'xoffset'  => 5, 
        'xadvance' => 48, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x3F, 0xFC, 0x00, ##                    000000000000        
            0x00, 0x03, 0xFF, 0xFF, 0xC0, ##                00000000000000000000    
            0x00, 0x0F, 0xFF, 0xFF, 0xF8, ##              0000000000000000000000000 
            0x00, 0x3F, 0xFF, 0xFF, 0xFC, ##            0000000000000000000000000000
            0x00, 0x7F, 0xFF, 0xFF, 0xFC, ##           00000000000000000000000000000
            0x00, 0xFF, 0xFF, 0xFF, 0xFC, ##          000000000000000000000000000000
            0x01, 0xFF, 0xF0, 0x07, 0xFC, ##         0000000000000         000000000
            0x03, 0xFF, 0x80, 0x00, 0xFC, ##        00000000000               000000
            0x07, 0xFE, 0x00, 0x00, 0x1C, ##       0000000000                    000
            0x0F, 0xFC, 0x00, 0x00, 0x04, ##      0000000000                       0
            0x1F, 0xF8, 0x00, 0x00, 0x00, ##     0000000000                         
            0x1F, 0xF0, 0x00, 0x00, 0x00, ##     000000000                          
            0x3F, 0xE0, 0x00, 0x00, 0x00, ##    000000000                           
            0x3F, 0xE0, 0x00, 0x00, 0x00, ##    000000000                           
            0x3F, 0xC0, 0x00, 0x00, 0x00, ##    00000000                            
            0x7F, 0xC0, 0x00, 0x00, 0x00, ##   000000000                            
            0x7F, 0x80, 0x00, 0x00, 0x00, ##   00000000                             
            0x7F, 0x80, 0x00, 0x00, 0x00, ##   00000000                             
            0x7F, 0x80, 0x00, 0x00, 0x00, ##   00000000                             
            0xFF, 0x00, 0x00, 0x00, 0x00, ##  00000000                              
            0xFF, 0x00, 0x00, 0x00, 0x00, ##  00000000                              
            0xFF, 0x00, 0x00, 0x00, 0x00, ##  00000000                              
            0xFF, 0x00, 0x00, 0x00, 0x00, ##  00000000                              
            0xFF, 0x00, 0x00, 0x00, 0x00, ##  00000000                              
            0xFF, 0x00, 0x00, 0x00, 0x00, ##  00000000                              
            0xFF, 0x00, 0x00, 0x00, 0x00, ##  00000000                              
            0xFF, 0x00, 0x00, 0x00, 0x00, ##  00000000                              
            0xFF, 0x00, 0x00, 0x00, 0x00, ##  00000000                              
            0xFF, 0x00, 0x00, 0x00, 0x00, ##  00000000                              
            0xFF, 0x00, 0x00, 0x00, 0x00, ##  00000000                              
            0xFF, 0x00, 0x00, 0x00, 0x00, ##  00000000                              
            0x7F, 0x80, 0x00, 0x00, 0x00, ##   00000000                             
            0x7F, 0x80, 0x00, 0x00, 0x00, ##   00000000                             
            0x7F, 0x80, 0x00, 0x00, 0x00, ##   00000000                             
            0x7F, 0xC0, 0x00, 0x00, 0x00, ##   000000000                            
            0x3F, 0xC0, 0x00, 0x00, 0x00, ##    00000000                            
            0x3F, 0xC0, 0x00, 0x00, 0x00, ##    00000000                            
            0x3F, 0xE0, 0x00, 0x00, 0x00, ##    000000000                           
            0x1F, 0xF0, 0x00, 0x00, 0x00, ##     000000000                          
            0x1F, 0xF8, 0x00, 0x00, 0x00, ##     0000000000                         
            0x0F, 0xFC, 0x00, 0x00, 0x04, ##      0000000000                       0
            0x07, 0xFE, 0x00, 0x00, 0x1C, ##       0000000000                    000
            0x03, 0xFF, 0x80, 0x00, 0x7C, ##        00000000000                00000
            0x01, 0xFF, 0xF0, 0x07, 0xFC, ##         0000000000000         000000000
            0x00, 0xFF, 0xFF, 0xFF, 0xFC, ##          000000000000000000000000000000
            0x00, 0x7F, 0xFF, 0xFF, 0xFC, ##           00000000000000000000000000000
            0x00, 0x3F, 0xFF, 0xFF, 0xFC, ##            0000000000000000000000000000
            0x00, 0x0F, 0xFF, 0xFF, 0xF8, ##              0000000000000000000000000 
            0x00, 0x03, 0xFF, 0xFF, 0xC0, ##                00000000000000000000    
            0x00, 0x00, 0x3F, 0xFC, 0x00, ##                    000000000000        
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '100' => {    # 'd'
        'width'    => 43, 
        'xoffset'  => 5, 
        'xadvance' => 56, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x1F, 0xE0, ##                                     00000000
            0x00, 0x00, 0x00, 0x00, 0x1F, 0xE0, ##                                     00000000
            0x00, 0x00, 0x00, 0x00, 0x1F, 0xE0, ##                                     00000000
            0x00, 0x00, 0x00, 0x00, 0x1F, 0xE0, ##                                     00000000
            0x00, 0x00, 0x00, 0x00, 0x1F, 0xE0, ##                                     00000000
            0x00, 0x00, 0x00, 0x00, 0x1F, 0xE0, ##                                     00000000
            0x00, 0x00, 0x00, 0x00, 0x1F, 0xE0, ##                                     00000000
            0x00, 0x00, 0x00, 0x00, 0x1F, 0xE0, ##                                     00000000
            0x00, 0x00, 0x00, 0x00, 0x1F, 0xE0, ##                                     00000000
            0x00, 0x00, 0x00, 0x00, 0x1F, 0xE0, ##                                     00000000
            0x00, 0x00, 0x00, 0x00, 0x1F, 0xE0, ##                                     00000000
            0x00, 0x00, 0x00, 0x00, 0x1F, 0xE0, ##                                     00000000
            0x00, 0x00, 0x00, 0x00, 0x1F, 0xE0, ##                                     00000000
            0x00, 0x00, 0x00, 0x00, 0x1F, 0xE0, ##                                     00000000
            0x00, 0x00, 0x00, 0x00, 0x1F, 0xE0, ##                                     00000000
            0x00, 0x00, 0x00, 0x00, 0x1F, 0xE0, ##                                     00000000
            0x00, 0x00, 0x00, 0x00, 0x1F, 0xE0, ##                                     00000000
            0x00, 0x01, 0xFF, 0x80, 0x1F, 0xE0, ##                 0000000000          00000000
            0x00, 0x0F, 0xFF, 0xF0, 0x1F, 0xE0, ##              0000000000000000       00000000
            0x00, 0x3F, 0xFF, 0xFC, 0x1F, 0xE0, ##            00000000000000000000     00000000
            0x00, 0x7F, 0xFF, 0xFE, 0x1F, 0xE0, ##           0000000000000000000000    00000000
            0x00, 0xFF, 0xFF, 0xFF, 0x1F, 0xE0, ##          000000000000000000000000   00000000
            0x01, 0xFF, 0xFF, 0xFF, 0x9F, 0xE0, ##         00000000000000000000000000  00000000
            0x03, 0xFF, 0xC0, 0x7F, 0xDF, 0xE0, ##        000000000000       000000000 00000000
            0x07, 0xFE, 0x00, 0x1F, 0xFF, 0xE0, ##       0000000000            0000000000000000
            0x0F, 0xFC, 0x00, 0x07, 0xFF, 0xE0, ##      0000000000               00000000000000
            0x0F, 0xF8, 0x00, 0x03, 0xFF, 0xE0, ##      000000000                 0000000000000
            0x1F, 0xF0, 0x00, 0x01, 0xFF, 0xE0, ##     000000000                   000000000000
            0x1F, 0xE0, 0x00, 0x00, 0xFF, 0xE0, ##     00000000                     00000000000
            0x3F, 0xE0, 0x00, 0x00, 0xFF, 0xE0, ##    000000000                     00000000000
            0x3F, 0xC0, 0x00, 0x00, 0x7F, 0xE0, ##    00000000                       0000000000
            0x7F, 0xC0, 0x00, 0x00, 0x7F, 0xE0, ##   000000000                       0000000000
            0x7F, 0x80, 0x00, 0x00, 0x3F, 0xE0, ##   00000000                         000000000
            0x7F, 0x80, 0x00, 0x00, 0x3F, 0xE0, ##   00000000                         000000000
            0x7F, 0x80, 0x00, 0x00, 0x3F, 0xE0, ##   00000000                         000000000
            0xFF, 0x80, 0x00, 0x00, 0x3F, 0xE0, ##  000000000                         000000000
            0xFF, 0x00, 0x00, 0x00, 0x1F, 0xE0, ##  00000000                           00000000
            0xFF, 0x00, 0x00, 0x00, 0x1F, 0xE0, ##  00000000                           00000000
            0xFF, 0x00, 0x00, 0x00, 0x1F, 0xE0, ##  00000000                           00000000
            0xFF, 0x00, 0x00, 0x00, 0x1F, 0xE0, ##  00000000                           00000000
            0xFF, 0x00, 0x00, 0x00, 0x1F, 0xE0, ##  00000000                           00000000
            0xFF, 0x00, 0x00, 0x00, 0x1F, 0xE0, ##  00000000                           00000000
            0xFF, 0x00, 0x00, 0x00, 0x1F, 0xE0, ##  00000000                           00000000
            0xFF, 0x00, 0x00, 0x00, 0x1F, 0xE0, ##  00000000                           00000000
            0xFF, 0x00, 0x00, 0x00, 0x1F, 0xE0, ##  00000000                           00000000
            0xFF, 0x00, 0x00, 0x00, 0x1F, 0xE0, ##  00000000                           00000000
            0xFF, 0x00, 0x00, 0x00, 0x1F, 0xE0, ##  00000000                           00000000
            0xFF, 0x00, 0x00, 0x00, 0x1F, 0xE0, ##  00000000                           00000000
            0x7F, 0x80, 0x00, 0x00, 0x3F, 0xE0, ##   00000000                         000000000
            0x7F, 0x80, 0x00, 0x00, 0x3F, 0xE0, ##   00000000                         000000000
            0x7F, 0x80, 0x00, 0x00, 0x3F, 0xE0, ##   00000000                         000000000
            0x7F, 0x80, 0x00, 0x00, 0x3F, 0xE0, ##   00000000                         000000000
            0x7F, 0xC0, 0x00, 0x00, 0x7F, 0xE0, ##   000000000                       0000000000
            0x3F, 0xC0, 0x00, 0x00, 0x7F, 0xE0, ##    00000000                       0000000000
            0x3F, 0xE0, 0x00, 0x00, 0xFF, 0xE0, ##    000000000                     00000000000
            0x1F, 0xE0, 0x00, 0x00, 0xFF, 0xE0, ##     00000000                     00000000000
            0x1F, 0xF0, 0x00, 0x01, 0xFF, 0xE0, ##     000000000                   000000000000
            0x0F, 0xF8, 0x00, 0x03, 0xFF, 0xE0, ##      000000000                 0000000000000
            0x0F, 0xFC, 0x00, 0x07, 0xFF, 0xE0, ##      0000000000               00000000000000
            0x07, 0xFE, 0x00, 0x0F, 0xFF, 0xE0, ##       0000000000             000000000000000
            0x03, 0xFF, 0xC0, 0x7F, 0xDF, 0xE0, ##        000000000000       000000000 00000000
            0x01, 0xFF, 0xFF, 0xFF, 0x9F, 0xE0, ##         00000000000000000000000000  00000000
            0x00, 0xFF, 0xFF, 0xFF, 0x1F, 0xE0, ##          000000000000000000000000   00000000
            0x00, 0x7F, 0xFF, 0xFE, 0x1F, 0xE0, ##           0000000000000000000000    00000000
            0x00, 0x3F, 0xFF, 0xFC, 0x1F, 0xE0, ##            00000000000000000000     00000000
            0x00, 0x0F, 0xFF, 0xF0, 0x1F, 0xE0, ##              0000000000000000       00000000
            0x00, 0x01, 0xFF, 0x80, 0x00, 0x00, ##                 0000000000                  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '101' => {    # 'e'
        'width'    => 44, 
        'xoffset'  => 5, 
        'xadvance' => 54, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x3F, 0xF0, 0x00, 0x00, ##                    0000000000                
            0x00, 0x03, 0xFF, 0xFF, 0x00, 0x00, ##                000000000000000000            
            0x00, 0x0F, 0xFF, 0xFF, 0xC0, 0x00, ##              0000000000000000000000          
            0x00, 0x3F, 0xFF, 0xFF, 0xE0, 0x00, ##            0000000000000000000000000         
            0x00, 0x7F, 0xFF, 0xFF, 0xF8, 0x00, ##           0000000000000000000000000000       
            0x00, 0xFF, 0xFF, 0xFF, 0xFC, 0x00, ##          000000000000000000000000000000      
            0x01, 0xFF, 0xE0, 0x1F, 0xFE, 0x00, ##         000000000000        000000000000     
            0x03, 0xFF, 0x00, 0x07, 0xFE, 0x00, ##        0000000000             0000000000     
            0x07, 0xFC, 0x00, 0x01, 0xFF, 0x00, ##       000000000                 000000000    
            0x0F, 0xF8, 0x00, 0x00, 0xFF, 0x80, ##      000000000                   000000000   
            0x0F, 0xF0, 0x00, 0x00, 0x7F, 0x80, ##      00000000                     00000000   
            0x1F, 0xE0, 0x00, 0x00, 0x7F, 0xC0, ##     00000000                      000000000  
            0x1F, 0xE0, 0x00, 0x00, 0x3F, 0xC0, ##     00000000                       00000000  
            0x3F, 0xC0, 0x00, 0x00, 0x1F, 0xE0, ##    00000000                         00000000 
            0x3F, 0xC0, 0x00, 0x00, 0x1F, 0xE0, ##    00000000                         00000000 
            0x7F, 0x80, 0x00, 0x00, 0x1F, 0xE0, ##   00000000                          00000000 
            0x7F, 0x80, 0x00, 0x00, 0x0F, 0xE0, ##   00000000                           0000000 
            0x7F, 0x80, 0x00, 0x00, 0x0F, 0xF0, ##   00000000                           00000000
            0x7F, 0x00, 0x00, 0x00, 0x0F, 0xF0, ##   0000000                            00000000
            0xFF, 0x00, 0x00, 0x00, 0x0F, 0xF0, ##  00000000                            00000000
            0xFF, 0x00, 0x00, 0x00, 0x0F, 0xF0, ##  00000000                            00000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF0, ##  00000000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF0, ##  00000000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF0, ##  00000000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF0, ##  00000000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF0, ##  00000000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF0, ##  00000000000000000000000000000000000000000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                    
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                    
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                    
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                    
            0x7F, 0x00, 0x00, 0x00, 0x00, 0x00, ##   0000000                                    
            0x7F, 0x80, 0x00, 0x00, 0x00, 0x00, ##   00000000                                   
            0x7F, 0x80, 0x00, 0x00, 0x00, 0x00, ##   00000000                                   
            0x7F, 0x80, 0x00, 0x00, 0x00, 0x00, ##   00000000                                   
            0x3F, 0xC0, 0x00, 0x00, 0x00, 0x00, ##    00000000                                  
            0x3F, 0xC0, 0x00, 0x00, 0x00, 0x00, ##    00000000                                  
            0x3F, 0xE0, 0x00, 0x00, 0x00, 0x00, ##    000000000                                 
            0x1F, 0xE0, 0x00, 0x00, 0x00, 0x00, ##     00000000                                 
            0x0F, 0xF0, 0x00, 0x00, 0x00, 0x00, ##      00000000                                
            0x0F, 0xF8, 0x00, 0x00, 0x00, 0xC0, ##      000000000                           00  
            0x07, 0xFE, 0x00, 0x00, 0x03, 0xC0, ##       0000000000                       0000  
            0x03, 0xFF, 0x80, 0x00, 0x1F, 0xC0, ##        00000000000                  0000000  
            0x01, 0xFF, 0xF0, 0x01, 0xFF, 0xC0, ##         0000000000000           00000000000  
            0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0xC0, ##          0000000000000000000000000000000000  
            0x00, 0x7F, 0xFF, 0xFF, 0xFF, 0xC0, ##           000000000000000000000000000000000  
            0x00, 0x1F, 0xFF, 0xFF, 0xFF, 0xC0, ##             0000000000000000000000000000000  
            0x00, 0x0F, 0xFF, 0xFF, 0xFF, 0x00, ##              0000000000000000000000000000    
            0x00, 0x01, 0xFF, 0xFF, 0xF8, 0x00, ##                 0000000000000000000000       
            0x00, 0x00, 0x1F, 0xFE, 0x00, 0x00, ##                     000000000000             
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '102' => {    # 'f'
        'width'    => 31, 
        'xoffset'  => 2, 
        'xadvance' => 31, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x7F, 0xFE, ##                   00000000000000
            0x00, 0x03, 0xFF, 0xFE, ##                00000000000000000
            0x00, 0x0F, 0xFF, 0xFE, ##              0000000000000000000
            0x00, 0x1F, 0xFF, 0xFE, ##             00000000000000000000
            0x00, 0x3F, 0xFF, 0xFE, ##            000000000000000000000
            0x00, 0x7F, 0xFF, 0xFE, ##           0000000000000000000000
            0x00, 0x7F, 0xE0, 0x00, ##           0000000000            
            0x00, 0xFF, 0x80, 0x00, ##          000000000              
            0x00, 0xFF, 0x00, 0x00, ##          00000000               
            0x00, 0xFF, 0x00, 0x00, ##          00000000               
            0x01, 0xFE, 0x00, 0x00, ##         00000000                
            0x01, 0xFE, 0x00, 0x00, ##         00000000                
            0x01, 0xFE, 0x00, 0x00, ##         00000000                
            0x01, 0xFE, 0x00, 0x00, ##         00000000                
            0x01, 0xFE, 0x00, 0x00, ##         00000000                
            0x01, 0xFE, 0x00, 0x00, ##         00000000                
            0x01, 0xFE, 0x00, 0x00, ##         00000000                
            0x01, 0xFE, 0x00, 0x00, ##         00000000                
            0xFF, 0xFF, 0xFF, 0xF0, ##  0000000000000000000000000000   
            0xFF, 0xFF, 0xFF, 0xF0, ##  0000000000000000000000000000   
            0xFF, 0xFF, 0xFF, 0xF0, ##  0000000000000000000000000000   
            0xFF, 0xFF, 0xFF, 0xF0, ##  0000000000000000000000000000   
            0xFF, 0xFF, 0xFF, 0xF0, ##  0000000000000000000000000000   
            0xFF, 0xFF, 0xFF, 0xF0, ##  0000000000000000000000000000   
            0x01, 0xFE, 0x00, 0x00, ##         00000000                
            0x01, 0xFE, 0x00, 0x00, ##         00000000                
            0x01, 0xFE, 0x00, 0x00, ##         00000000                
            0x01, 0xFE, 0x00, 0x00, ##         00000000                
            0x01, 0xFE, 0x00, 0x00, ##         00000000                
            0x01, 0xFE, 0x00, 0x00, ##         00000000                
            0x01, 0xFE, 0x00, 0x00, ##         00000000                
            0x01, 0xFE, 0x00, 0x00, ##         00000000                
            0x01, 0xFE, 0x00, 0x00, ##         00000000                
            0x01, 0xFE, 0x00, 0x00, ##         00000000                
            0x01, 0xFE, 0x00, 0x00, ##         00000000                
            0x01, 0xFE, 0x00, 0x00, ##         00000000                
            0x01, 0xFE, 0x00, 0x00, ##         00000000                
            0x01, 0xFE, 0x00, 0x00, ##         00000000                
            0x01, 0xFE, 0x00, 0x00, ##         00000000                
            0x01, 0xFE, 0x00, 0x00, ##         00000000                
            0x01, 0xFE, 0x00, 0x00, ##         00000000                
            0x01, 0xFE, 0x00, 0x00, ##         00000000                
            0x01, 0xFE, 0x00, 0x00, ##         00000000                
            0x01, 0xFE, 0x00, 0x00, ##         00000000                
            0x01, 0xFE, 0x00, 0x00, ##         00000000                
            0x01, 0xFE, 0x00, 0x00, ##         00000000                
            0x01, 0xFE, 0x00, 0x00, ##         00000000                
            0x01, 0xFE, 0x00, 0x00, ##         00000000                
            0x01, 0xFE, 0x00, 0x00, ##         00000000                
            0x01, 0xFE, 0x00, 0x00, ##         00000000                
            0x01, 0xFE, 0x00, 0x00, ##         00000000                
            0x01, 0xFE, 0x00, 0x00, ##         00000000                
            0x01, 0xFE, 0x00, 0x00, ##         00000000                
            0x01, 0xFE, 0x00, 0x00, ##         00000000                
            0x01, 0xFE, 0x00, 0x00, ##         00000000                
            0x01, 0xFE, 0x00, 0x00, ##         00000000                
            0x01, 0xFE, 0x00, 0x00, ##         00000000                
            0x01, 0xFE, 0x00, 0x00, ##         00000000                
            0x01, 0xFE, 0x00, 0x00, ##         00000000                
            0x01, 0xFE, 0x00, 0x00, ##         00000000                
            0x01, 0xFE, 0x00, 0x00, ##         00000000                
            0x01, 0xFE, 0x00, 0x00, ##         00000000                
            0x01, 0xFE, 0x00, 0x00, ##         00000000                
            0x01, 0xFE, 0x00, 0x00, ##         00000000                
            0x01, 0xFE, 0x00, 0x00, ##         00000000                
            0x01, 0xFE, 0x00, 0x00, ##         00000000                
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '103' => {    # 'g'
        'width'    => 43, 
        'xoffset'  => 5, 
        'xadvance' => 56, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x01, 0xFF, 0x80, 0x00, 0x00, ##                 0000000000                  
            0x00, 0x0F, 0xFF, 0xF0, 0x1F, 0xE0, ##              0000000000000000       00000000
            0x00, 0x3F, 0xFF, 0xFC, 0x1F, 0xE0, ##            00000000000000000000     00000000
            0x00, 0x7F, 0xFF, 0xFE, 0x1F, 0xE0, ##           0000000000000000000000    00000000
            0x01, 0xFF, 0xFF, 0xFF, 0x1F, 0xE0, ##         0000000000000000000000000   00000000
            0x03, 0xFF, 0xFF, 0xFF, 0x9F, 0xE0, ##        000000000000000000000000000  00000000
            0x03, 0xFF, 0xC0, 0x7F, 0xDF, 0xE0, ##        000000000000       000000000 00000000
            0x07, 0xFE, 0x00, 0x0F, 0xFF, 0xE0, ##       0000000000             000000000000000
            0x0F, 0xFC, 0x00, 0x07, 0xFF, 0xE0, ##      0000000000               00000000000000
            0x1F, 0xF8, 0x00, 0x03, 0xFF, 0xE0, ##     0000000000                 0000000000000
            0x1F, 0xF0, 0x00, 0x01, 0xFF, 0xE0, ##     000000000                   000000000000
            0x3F, 0xE0, 0x00, 0x00, 0xFF, 0xE0, ##    000000000                     00000000000
            0x3F, 0xE0, 0x00, 0x00, 0xFF, 0xE0, ##    000000000                     00000000000
            0x3F, 0xC0, 0x00, 0x00, 0x7F, 0xE0, ##    00000000                       0000000000
            0x7F, 0xC0, 0x00, 0x00, 0x7F, 0xE0, ##   000000000                       0000000000
            0x7F, 0x80, 0x00, 0x00, 0x3F, 0xE0, ##   00000000                         000000000
            0x7F, 0x80, 0x00, 0x00, 0x3F, 0xE0, ##   00000000                         000000000
            0x7F, 0x80, 0x00, 0x00, 0x3F, 0xE0, ##   00000000                         000000000
            0xFF, 0x00, 0x00, 0x00, 0x3F, 0xE0, ##  00000000                          000000000
            0xFF, 0x00, 0x00, 0x00, 0x1F, 0xE0, ##  00000000                           00000000
            0xFF, 0x00, 0x00, 0x00, 0x1F, 0xE0, ##  00000000                           00000000
            0xFF, 0x00, 0x00, 0x00, 0x1F, 0xE0, ##  00000000                           00000000
            0xFF, 0x00, 0x00, 0x00, 0x1F, 0xE0, ##  00000000                           00000000
            0xFF, 0x00, 0x00, 0x00, 0x1F, 0xE0, ##  00000000                           00000000
            0xFF, 0x00, 0x00, 0x00, 0x1F, 0xE0, ##  00000000                           00000000
            0xFF, 0x00, 0x00, 0x00, 0x1F, 0xE0, ##  00000000                           00000000
            0xFF, 0x00, 0x00, 0x00, 0x1F, 0xE0, ##  00000000                           00000000
            0xFF, 0x00, 0x00, 0x00, 0x1F, 0xE0, ##  00000000                           00000000
            0xFF, 0x00, 0x00, 0x00, 0x1F, 0xE0, ##  00000000                           00000000
            0xFF, 0x00, 0x00, 0x00, 0x1F, 0xE0, ##  00000000                           00000000
            0xFF, 0x00, 0x00, 0x00, 0x3F, 0xE0, ##  00000000                          000000000
            0x7F, 0x80, 0x00, 0x00, 0x3F, 0xE0, ##   00000000                         000000000
            0x7F, 0x80, 0x00, 0x00, 0x3F, 0xE0, ##   00000000                         000000000
            0x7F, 0x80, 0x00, 0x00, 0x3F, 0xE0, ##   00000000                         000000000
            0x7F, 0xC0, 0x00, 0x00, 0x7F, 0xE0, ##   000000000                       0000000000
            0x3F, 0xC0, 0x00, 0x00, 0x7F, 0xE0, ##    00000000                       0000000000
            0x3F, 0xC0, 0x00, 0x00, 0xFF, 0xE0, ##    00000000                      00000000000
            0x3F, 0xE0, 0x00, 0x00, 0xFF, 0xE0, ##    000000000                     00000000000
            0x1F, 0xF0, 0x00, 0x01, 0xFF, 0xE0, ##     000000000                   000000000000
            0x1F, 0xF8, 0x00, 0x03, 0xFF, 0xE0, ##     0000000000                 0000000000000
            0x0F, 0xFC, 0x00, 0x07, 0xFF, 0xE0, ##      0000000000               00000000000000
            0x07, 0xFE, 0x00, 0x0F, 0xFF, 0xE0, ##       0000000000             000000000000000
            0x03, 0xFF, 0xC0, 0x7F, 0xDF, 0xE0, ##        000000000000       000000000 00000000
            0x03, 0xFF, 0xFF, 0xFF, 0x9F, 0xE0, ##        000000000000000000000000000  00000000
            0x01, 0xFF, 0xFF, 0xFF, 0x1F, 0xE0, ##         0000000000000000000000000   00000000
            0x00, 0x7F, 0xFF, 0xFE, 0x1F, 0xE0, ##           0000000000000000000000    00000000
            0x00, 0x3F, 0xFF, 0xFC, 0x1F, 0xE0, ##            00000000000000000000     00000000
            0x00, 0x0F, 0xFF, 0xF0, 0x1F, 0xE0, ##              0000000000000000       00000000
            0x00, 0x01, 0xFF, 0x80, 0x1F, 0xE0, ##                 0000000000          00000000
            0x00, 0x00, 0x00, 0x00, 0x1F, 0xE0, ##                                     00000000
            0x00, 0x00, 0x00, 0x00, 0x3F, 0xC0, ##                                    00000000 
            0x00, 0x00, 0x00, 0x00, 0x3F, 0xC0, ##                                    00000000 
            0x00, 0x00, 0x00, 0x00, 0x3F, 0xC0, ##                                    00000000 
            0x00, 0x00, 0x00, 0x00, 0x7F, 0xC0, ##                                   000000000 
            0x00, 0x00, 0x00, 0x00, 0x7F, 0x80, ##                                   00000000  
            0x00, 0x00, 0x00, 0x00, 0xFF, 0x80, ##                                  000000000  
            0x00, 0x00, 0x00, 0x00, 0xFF, 0x00, ##                                  00000000   
            0x00, 0x00, 0x00, 0x01, 0xFF, 0x00, ##                                 000000000   
            0x03, 0x00, 0x00, 0x07, 0xFE, 0x00, ##        00                     0000000000    
            0x03, 0xE0, 0x00, 0x0F, 0xFE, 0x00, ##        00000                 00000000000    
            0x03, 0xFC, 0x00, 0xFF, 0xFC, 0x00, ##        00000000          00000000000000     
            0x03, 0xFF, 0xFF, 0xFF, 0xF8, 0x00, ##        0000000000000000000000000000000      
            0x03, 0xFF, 0xFF, 0xFF, 0xF0, 0x00, ##        000000000000000000000000000000       
            0x03, 0xFF, 0xFF, 0xFF, 0xE0, 0x00, ##        00000000000000000000000000000        
            0x03, 0xFF, 0xFF, 0xFF, 0x80, 0x00, ##        000000000000000000000000000          
            0x00, 0xFF, 0xFF, 0xFE, 0x00, 0x00, ##          00000000000000000000000            
            0x00, 0x07, 0xFF, 0xE0, 0x00, 0x00, ##               00000000000000                
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '104' => {    # 'h'
        'width'    => 40, 
        'xoffset'  => 8, 
        'xadvance' => 55, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0xFF, 0x00, 0x00, 0x00, 0x00, ##  00000000                                
            0xFF, 0x00, 0x00, 0x00, 0x00, ##  00000000                                
            0xFF, 0x00, 0x00, 0x00, 0x00, ##  00000000                                
            0xFF, 0x00, 0x00, 0x00, 0x00, ##  00000000                                
            0xFF, 0x00, 0x00, 0x00, 0x00, ##  00000000                                
            0xFF, 0x00, 0x00, 0x00, 0x00, ##  00000000                                
            0xFF, 0x00, 0x00, 0x00, 0x00, ##  00000000                                
            0xFF, 0x00, 0x00, 0x00, 0x00, ##  00000000                                
            0xFF, 0x00, 0x00, 0x00, 0x00, ##  00000000                                
            0xFF, 0x00, 0x00, 0x00, 0x00, ##  00000000                                
            0xFF, 0x00, 0x00, 0x00, 0x00, ##  00000000                                
            0xFF, 0x00, 0x00, 0x00, 0x00, ##  00000000                                
            0xFF, 0x00, 0x00, 0x00, 0x00, ##  00000000                                
            0xFF, 0x00, 0x00, 0x00, 0x00, ##  00000000                                
            0xFF, 0x00, 0x00, 0x00, 0x00, ##  00000000                                
            0xFF, 0x00, 0x00, 0x00, 0x00, ##  00000000                                
            0xFF, 0x00, 0x00, 0x00, 0x00, ##  00000000                                
            0xFF, 0x00, 0x1F, 0xF0, 0x00, ##  00000000           000000000            
            0xFF, 0x00, 0xFF, 0xFE, 0x00, ##  00000000        000000000000000         
            0xFF, 0x03, 0xFF, 0xFF, 0x80, ##  00000000      0000000000000000000       
            0xFF, 0x0F, 0xFF, 0xFF, 0xC0, ##  00000000    0000000000000000000000      
            0xFF, 0x1F, 0xFF, 0xFF, 0xE0, ##  00000000   000000000000000000000000     
            0xFF, 0x3F, 0xFF, 0xFF, 0xF0, ##  00000000  00000000000000000000000000    
            0xFF, 0x7F, 0xC0, 0x7F, 0xF8, ##  00000000 000000000       000000000000   
            0xFF, 0xFE, 0x00, 0x1F, 0xF8, ##  000000000000000            0000000000   
            0xFF, 0xF8, 0x00, 0x07, 0xFC, ##  0000000000000                000000000  
            0xFF, 0xF0, 0x00, 0x07, 0xFC, ##  000000000000                 000000000  
            0xFF, 0xE0, 0x00, 0x03, 0xFE, ##  00000000000                   000000000 
            0xFF, 0xE0, 0x00, 0x01, 0xFE, ##  00000000000                    00000000 
            0xFF, 0xC0, 0x00, 0x01, 0xFE, ##  0000000000                     00000000 
            0xFF, 0xC0, 0x00, 0x01, 0xFE, ##  0000000000                     00000000 
            0xFF, 0x80, 0x00, 0x01, 0xFF, ##  000000000                      000000000
            0xFF, 0x80, 0x00, 0x00, 0xFF, ##  000000000                       00000000
            0xFF, 0x80, 0x00, 0x00, 0xFF, ##  000000000                       00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '105' => {    # 'i'
        'width'    => 8, 
        'xoffset'  => 8, 
        'xadvance' => 24, 
        'bitmap'   => [ 
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0x00, ##          
            0x00, ##          
            0x00, ##          
            0x00, ##          
            0x00, ##          
            0x00, ##          
            0x00, ##          
            0x00, ##          
            0x00, ##          
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
        ], 
    }, 
    '106' => {    # 'j'
        'width'    => 18, 
        'xoffset'  => -1, 
        'xadvance' => 25, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x3F, 0xC0, ##            00000000
            0x00, 0x3F, 0xC0, ##            00000000
            0x00, 0x3F, 0xC0, ##            00000000
            0x00, 0x3F, 0xC0, ##            00000000
            0x00, 0x3F, 0xC0, ##            00000000
            0x00, 0x3F, 0xC0, ##            00000000
            0x00, 0x3F, 0xC0, ##            00000000
            0x00, 0x3F, 0xC0, ##            00000000
            0x00, 0x3F, 0xC0, ##            00000000
            0x00, 0x3F, 0xC0, ##            00000000
            0x00, 0x00, 0x00, ##                    
            0x00, 0x00, 0x00, ##                    
            0x00, 0x00, 0x00, ##                    
            0x00, 0x00, 0x00, ##                    
            0x00, 0x00, 0x00, ##                    
            0x00, 0x00, 0x00, ##                    
            0x00, 0x00, 0x00, ##                    
            0x00, 0x00, 0x00, ##                    
            0x00, 0x00, 0x00, ##                    
            0x00, 0x3F, 0xC0, ##            00000000
            0x00, 0x3F, 0xC0, ##            00000000
            0x00, 0x3F, 0xC0, ##            00000000
            0x00, 0x3F, 0xC0, ##            00000000
            0x00, 0x3F, 0xC0, ##            00000000
            0x00, 0x3F, 0xC0, ##            00000000
            0x00, 0x3F, 0xC0, ##            00000000
            0x00, 0x3F, 0xC0, ##            00000000
            0x00, 0x3F, 0xC0, ##            00000000
            0x00, 0x3F, 0xC0, ##            00000000
            0x00, 0x3F, 0xC0, ##            00000000
            0x00, 0x3F, 0xC0, ##            00000000
            0x00, 0x3F, 0xC0, ##            00000000
            0x00, 0x3F, 0xC0, ##            00000000
            0x00, 0x3F, 0xC0, ##            00000000
            0x00, 0x3F, 0xC0, ##            00000000
            0x00, 0x3F, 0xC0, ##            00000000
            0x00, 0x3F, 0xC0, ##            00000000
            0x00, 0x3F, 0xC0, ##            00000000
            0x00, 0x3F, 0xC0, ##            00000000
            0x00, 0x3F, 0xC0, ##            00000000
            0x00, 0x3F, 0xC0, ##            00000000
            0x00, 0x3F, 0xC0, ##            00000000
            0x00, 0x3F, 0xC0, ##            00000000
            0x00, 0x3F, 0xC0, ##            00000000
            0x00, 0x3F, 0xC0, ##            00000000
            0x00, 0x3F, 0xC0, ##            00000000
            0x00, 0x3F, 0xC0, ##            00000000
            0x00, 0x3F, 0xC0, ##            00000000
            0x00, 0x3F, 0xC0, ##            00000000
            0x00, 0x3F, 0xC0, ##            00000000
            0x00, 0x3F, 0xC0, ##            00000000
            0x00, 0x3F, 0xC0, ##            00000000
            0x00, 0x3F, 0xC0, ##            00000000
            0x00, 0x3F, 0xC0, ##            00000000
            0x00, 0x3F, 0xC0, ##            00000000
            0x00, 0x3F, 0xC0, ##            00000000
            0x00, 0x3F, 0xC0, ##            00000000
            0x00, 0x3F, 0xC0, ##            00000000
            0x00, 0x3F, 0xC0, ##            00000000
            0x00, 0x3F, 0xC0, ##            00000000
            0x00, 0x3F, 0xC0, ##            00000000
            0x00, 0x3F, 0xC0, ##            00000000
            0x00, 0x3F, 0xC0, ##            00000000
            0x00, 0x3F, 0xC0, ##            00000000
            0x00, 0x3F, 0xC0, ##            00000000
            0x00, 0x3F, 0xC0, ##            00000000
            0x00, 0x3F, 0xC0, ##            00000000
            0x00, 0x3F, 0xC0, ##            00000000
            0x00, 0x3F, 0xC0, ##            00000000
            0x00, 0x3F, 0xC0, ##            00000000
            0x00, 0x3F, 0xC0, ##            00000000
            0x00, 0x3F, 0xC0, ##            00000000
            0x00, 0x3F, 0xC0, ##            00000000
            0x00, 0x7F, 0x80, ##           00000000 
            0x00, 0x7F, 0x80, ##           00000000 
            0x00, 0x7F, 0x80, ##           00000000 
            0x00, 0xFF, 0x00, ##          00000000  
            0x03, 0xFF, 0x00, ##        0000000000  
            0xFF, 0xFE, 0x00, ##  000000000000000   
            0xFF, 0xFE, 0x00, ##  000000000000000   
            0xFF, 0xFC, 0x00, ##  00000000000000    
            0xFF, 0xF8, 0x00, ##  0000000000000     
            0xFF, 0xE0, 0x00, ##  00000000000       
            0xFF, 0x00, 0x00, ##  00000000          
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '107' => {    # 'k'
        'width'    => 42, 
        'xoffset'  => 8, 
        'xadvance' => 51, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                  
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                  
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                  
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                  
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                  
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                  
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                  
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                  
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                  
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                  
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                  
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                  
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                  
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                  
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                  
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                  
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                  
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                  
            0xFF, 0x00, 0x00, 0x01, 0xFF, 0x80, ##  00000000                       0000000000 
            0xFF, 0x00, 0x00, 0x03, 0xFF, 0x00, ##  00000000                      0000000000  
            0xFF, 0x00, 0x00, 0x0F, 0xFE, 0x00, ##  00000000                    00000000000   
            0xFF, 0x00, 0x00, 0x1F, 0xF8, 0x00, ##  00000000                   0000000000     
            0xFF, 0x00, 0x00, 0x3F, 0xF0, 0x00, ##  00000000                  0000000000      
            0xFF, 0x00, 0x00, 0x7F, 0xE0, 0x00, ##  00000000                 0000000000       
            0xFF, 0x00, 0x00, 0xFF, 0xC0, 0x00, ##  00000000                0000000000        
            0xFF, 0x00, 0x01, 0xFF, 0x80, 0x00, ##  00000000               0000000000         
            0xFF, 0x00, 0x03, 0xFF, 0x00, 0x00, ##  00000000              0000000000          
            0xFF, 0x00, 0x07, 0xFE, 0x00, 0x00, ##  00000000             0000000000           
            0xFF, 0x00, 0x1F, 0xFC, 0x00, 0x00, ##  00000000           00000000000            
            0xFF, 0x00, 0x3F, 0xF0, 0x00, 0x00, ##  00000000          0000000000              
            0xFF, 0x00, 0x7F, 0xE0, 0x00, 0x00, ##  00000000         0000000000               
            0xFF, 0x00, 0xFF, 0xC0, 0x00, 0x00, ##  00000000        0000000000                
            0xFF, 0x01, 0xFF, 0x80, 0x00, 0x00, ##  00000000       0000000000                 
            0xFF, 0x03, 0xFF, 0x00, 0x00, 0x00, ##  00000000      0000000000                  
            0xFF, 0x07, 0xFE, 0x00, 0x00, 0x00, ##  00000000     0000000000                   
            0xFF, 0x0F, 0xFC, 0x00, 0x00, 0x00, ##  00000000    0000000000                    
            0xFF, 0x3F, 0xF8, 0x00, 0x00, 0x00, ##  00000000  00000000000                     
            0xFF, 0x7F, 0xE0, 0x00, 0x00, 0x00, ##  00000000 0000000000                       
            0xFF, 0xFF, 0xC0, 0x00, 0x00, 0x00, ##  000000000000000000                        
            0xFF, 0xFF, 0x80, 0x00, 0x00, 0x00, ##  00000000000000000                         
            0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, ##  0000000000000000                          
            0xFF, 0xFF, 0x80, 0x00, 0x00, 0x00, ##  00000000000000000                         
            0xFF, 0xFF, 0xC0, 0x00, 0x00, 0x00, ##  000000000000000000                        
            0xFF, 0x7F, 0xE0, 0x00, 0x00, 0x00, ##  00000000 0000000000                       
            0xFF, 0x3F, 0xF0, 0x00, 0x00, 0x00, ##  00000000  0000000000                      
            0xFF, 0x1F, 0xF8, 0x00, 0x00, 0x00, ##  00000000   0000000000                     
            0xFF, 0x0F, 0xFC, 0x00, 0x00, 0x00, ##  00000000    0000000000                    
            0xFF, 0x07, 0xFE, 0x00, 0x00, 0x00, ##  00000000     0000000000                   
            0xFF, 0x03, 0xFF, 0x00, 0x00, 0x00, ##  00000000      0000000000                  
            0xFF, 0x01, 0xFF, 0x80, 0x00, 0x00, ##  00000000       0000000000                 
            0xFF, 0x00, 0xFF, 0xC0, 0x00, 0x00, ##  00000000        0000000000                
            0xFF, 0x00, 0x7F, 0xE0, 0x00, 0x00, ##  00000000         0000000000               
            0xFF, 0x00, 0x3F, 0xF0, 0x00, 0x00, ##  00000000          0000000000              
            0xFF, 0x00, 0x1F, 0xF8, 0x00, 0x00, ##  00000000           0000000000             
            0xFF, 0x00, 0x0F, 0xFE, 0x00, 0x00, ##  00000000            00000000000           
            0xFF, 0x00, 0x07, 0xFF, 0x00, 0x00, ##  00000000             00000000000          
            0xFF, 0x00, 0x03, 0xFF, 0x80, 0x00, ##  00000000              00000000000         
            0xFF, 0x00, 0x01, 0xFF, 0xC0, 0x00, ##  00000000               00000000000        
            0xFF, 0x00, 0x00, 0xFF, 0xE0, 0x00, ##  00000000                00000000000       
            0xFF, 0x00, 0x00, 0x7F, 0xF0, 0x00, ##  00000000                 00000000000      
            0xFF, 0x00, 0x00, 0x3F, 0xF8, 0x00, ##  00000000                  00000000000     
            0xFF, 0x00, 0x00, 0x0F, 0xFC, 0x00, ##  00000000                    0000000000    
            0xFF, 0x00, 0x00, 0x07, 0xFE, 0x00, ##  00000000                     0000000000   
            0xFF, 0x00, 0x00, 0x03, 0xFF, 0x00, ##  00000000                      0000000000  
            0xFF, 0x00, 0x00, 0x01, 0xFF, 0x80, ##  00000000                       0000000000 
            0xFF, 0x00, 0x00, 0x00, 0xFF, 0xC0, ##  00000000                        0000000000
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '108' => {    # 'l'
        'width'    => 8, 
        'xoffset'  => 8, 
        'xadvance' => 24, 
        'bitmap'   => [ 
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
        ], 
    }, 
    '109' => {    # 'm'
        'width'    => 70, 
        'xoffset'  => 8, 
        'xadvance' => 85, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x3F, 0xF0, 0x00, 0x00, 0x3F, 0xE0, 0x00, ##                    0000000000                      000000000           
            0x00, 0x01, 0xFF, 0xFC, 0x00, 0x01, 0xFF, 0xF8, 0x00, ##  00000000       000000000000000                 00000000000000         
            0x00, 0x07, 0xFF, 0xFF, 0x00, 0x07, 0xFF, 0xFE, 0x00, ##  00000000     0000000000000000000             000000000000000000       
            0x00, 0x0F, 0xFF, 0xFF, 0x80, 0x1F, 0xFF, 0xFF, 0x00, ##  00000000    000000000000000000000          000000000000000000000      
            0x00, 0x1F, 0xFF, 0xFF, 0xC0, 0x3F, 0xFF, 0xFF, 0x80, ##  00000000   00000000000000000000000        00000000000000000000000     
            0x00, 0x3F, 0xFF, 0xFF, 0xE0, 0x7F, 0xFF, 0xFF, 0xC0, ##  00000000  0000000000000000000000000      0000000000000000000000000    
            0x00, 0x7F, 0x80, 0x7F, 0xF0, 0xFF, 0x00, 0xFF, 0xE0, ##  00000000 00000000        00000000000    00000000        00000000000   
            0x00, 0xFE, 0x00, 0x1F, 0xF1, 0xFC, 0x00, 0x3F, 0xE0, ##  000000000000000            000000000   0000000            000000000   
            0x00, 0xF8, 0x00, 0x0F, 0xF9, 0xF0, 0x00, 0x1F, 0xF0, ##  0000000000000               000000000  00000               000000000  
            0x00, 0xF0, 0x00, 0x07, 0xFB, 0xE0, 0x00, 0x0F, 0xF0, ##  000000000000                 00000000 00000                 00000000  
            0x00, 0xE0, 0x00, 0x07, 0xFF, 0xC0, 0x00, 0x0F, 0xF8, ##  00000000000                  0000000000000                  000000000 
            0x00, 0xE0, 0x00, 0x03, 0xFF, 0xC0, 0x00, 0x07, 0xF8, ##  00000000000                   000000000000                   00000000 
            0x00, 0xC0, 0x00, 0x03, 0xFF, 0x80, 0x00, 0x07, 0xF8, ##  0000000000                    00000000000                    00000000 
            0x00, 0x80, 0x00, 0x03, 0xFF, 0x00, 0x00, 0x07, 0xF8, ##  000000000                     0000000000                     00000000 
            0x00, 0x80, 0x00, 0x01, 0xFF, 0x00, 0x00, 0x03, 0xFC, ##  000000000                      000000000                      00000000
            0x00, 0x80, 0x00, 0x01, 0xFF, 0x00, 0x00, 0x03, 0xFC, ##  000000000                      000000000                      00000000
            0x00, 0x80, 0x00, 0x01, 0xFE, 0x00, 0x00, 0x03, 0xFC, ##  000000000                      00000000                       00000000
            0x00, 0x00, 0x00, 0x01, 0xFE, 0x00, 0x00, 0x03, 0xFC, ##  00000000                       00000000                       00000000
            0x00, 0x00, 0x00, 0x01, 0xFE, 0x00, 0x00, 0x03, 0xFC, ##  00000000                       00000000                       00000000
            0x00, 0x00, 0x00, 0x01, 0xFE, 0x00, 0x00, 0x03, 0xFC, ##  00000000                       00000000                       00000000
            0x00, 0x00, 0x00, 0x01, 0xFE, 0x00, 0x00, 0x03, 0xFC, ##  00000000                       00000000                       00000000
            0x00, 0x00, 0x00, 0x01, 0xFE, 0x00, 0x00, 0x03, 0xFC, ##  00000000                       00000000                       00000000
            0x00, 0x00, 0x00, 0x01, 0xFE, 0x00, 0x00, 0x03, 0xFC, ##  00000000                       00000000                       00000000
            0x00, 0x00, 0x00, 0x01, 0xFE, 0x00, 0x00, 0x03, 0xFC, ##  00000000                       00000000                       00000000
            0x00, 0x00, 0x00, 0x01, 0xFE, 0x00, 0x00, 0x03, 0xFC, ##  00000000                       00000000                       00000000
            0x00, 0x00, 0x00, 0x01, 0xFE, 0x00, 0x00, 0x03, 0xFC, ##  00000000                       00000000                       00000000
            0x00, 0x00, 0x00, 0x01, 0xFE, 0x00, 0x00, 0x03, 0xFC, ##  00000000                       00000000                       00000000
            0x00, 0x00, 0x00, 0x01, 0xFE, 0x00, 0x00, 0x03, 0xFC, ##  00000000                       00000000                       00000000
            0x00, 0x00, 0x00, 0x01, 0xFE, 0x00, 0x00, 0x03, 0xFC, ##  00000000                       00000000                       00000000
            0x00, 0x00, 0x00, 0x01, 0xFE, 0x00, 0x00, 0x03, 0xFC, ##  00000000                       00000000                       00000000
            0x00, 0x00, 0x00, 0x01, 0xFE, 0x00, 0x00, 0x03, 0xFC, ##  00000000                       00000000                       00000000
            0x00, 0x00, 0x00, 0x01, 0xFE, 0x00, 0x00, 0x03, 0xFC, ##  00000000                       00000000                       00000000
            0x00, 0x00, 0x00, 0x01, 0xFE, 0x00, 0x00, 0x03, 0xFC, ##  00000000                       00000000                       00000000
            0x00, 0x00, 0x00, 0x01, 0xFE, 0x00, 0x00, 0x03, 0xFC, ##  00000000                       00000000                       00000000
            0x00, 0x00, 0x00, 0x01, 0xFE, 0x00, 0x00, 0x03, 0xFC, ##  00000000                       00000000                       00000000
            0x00, 0x00, 0x00, 0x01, 0xFE, 0x00, 0x00, 0x03, 0xFC, ##  00000000                       00000000                       00000000
            0x00, 0x00, 0x00, 0x01, 0xFE, 0x00, 0x00, 0x03, 0xFC, ##  00000000                       00000000                       00000000
            0x00, 0x00, 0x00, 0x01, 0xFE, 0x00, 0x00, 0x03, 0xFC, ##  00000000                       00000000                       00000000
            0x00, 0x00, 0x00, 0x01, 0xFE, 0x00, 0x00, 0x03, 0xFC, ##  00000000                       00000000                       00000000
            0x00, 0x00, 0x00, 0x01, 0xFE, 0x00, 0x00, 0x03, 0xFC, ##  00000000                       00000000                       00000000
            0x00, 0x00, 0x00, 0x01, 0xFE, 0x00, 0x00, 0x03, 0xFC, ##  00000000                       00000000                       00000000
            0x00, 0x00, 0x00, 0x01, 0xFE, 0x00, 0x00, 0x03, 0xFC, ##  00000000                       00000000                       00000000
            0x00, 0x00, 0x00, 0x01, 0xFE, 0x00, 0x00, 0x03, 0xFC, ##  00000000                       00000000                       00000000
            0x00, 0x00, 0x00, 0x01, 0xFE, 0x00, 0x00, 0x03, 0xFC, ##  00000000                       00000000                       00000000
            0x00, 0x00, 0x00, 0x01, 0xFE, 0x00, 0x00, 0x03, 0xFC, ##  00000000                       00000000                       00000000
            0x00, 0x00, 0x00, 0x01, 0xFE, 0x00, 0x00, 0x03, 0xFC, ##  00000000                       00000000                       00000000
            0x00, 0x00, 0x00, 0x01, 0xFE, 0x00, 0x00, 0x03, 0xFC, ##  00000000                       00000000                       00000000
            0x00, 0x00, 0x00, 0x01, 0xFE, 0x00, 0x00, 0x03, 0xFC, ##  00000000                       00000000                       00000000
            0x00, 0x00, 0x00, 0x01, 0xFE, 0x00, 0x00, 0x03, 0xFC, ##  00000000                       00000000                       00000000
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '110' => {    # 'n'
        'width'    => 40, 
        'xoffset'  => 8, 
        'xadvance' => 55, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x1F, 0xF0, 0x00, ##                     000000000            
            0xFF, 0x00, 0xFF, 0xFE, 0x00, ##  00000000        000000000000000         
            0xFF, 0x03, 0xFF, 0xFF, 0x80, ##  00000000      0000000000000000000       
            0xFF, 0x0F, 0xFF, 0xFF, 0xC0, ##  00000000    0000000000000000000000      
            0xFF, 0x1F, 0xFF, 0xFF, 0xE0, ##  00000000   000000000000000000000000     
            0xFF, 0x3F, 0xFF, 0xFF, 0xF0, ##  00000000  00000000000000000000000000    
            0xFF, 0x7F, 0xC0, 0x7F, 0xF8, ##  00000000 000000000       000000000000   
            0xFF, 0xFE, 0x00, 0x1F, 0xF8, ##  000000000000000            0000000000   
            0xFF, 0xF8, 0x00, 0x07, 0xFC, ##  0000000000000                000000000  
            0xFF, 0xF0, 0x00, 0x07, 0xFC, ##  000000000000                 000000000  
            0xFF, 0xE0, 0x00, 0x03, 0xFE, ##  00000000000                   000000000 
            0xFF, 0xE0, 0x00, 0x01, 0xFE, ##  00000000000                    00000000 
            0xFF, 0xC0, 0x00, 0x01, 0xFE, ##  0000000000                     00000000 
            0xFF, 0xC0, 0x00, 0x01, 0xFE, ##  0000000000                     00000000 
            0xFF, 0x80, 0x00, 0x01, 0xFF, ##  000000000                      000000000
            0xFF, 0x80, 0x00, 0x00, 0xFF, ##  000000000                       00000000
            0xFF, 0x80, 0x00, 0x00, 0xFF, ##  000000000                       00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '111' => {    # 'o'
        'width'    => 44, 
        'xoffset'  => 5, 
        'xadvance' => 54, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x7F, 0xE0, 0x00, 0x00, ##                   0000000000                 
            0x00, 0x07, 0xFF, 0xFE, 0x00, 0x00, ##               000000000000000000             
            0x00, 0x1F, 0xFF, 0xFF, 0x80, 0x00, ##             0000000000000000000000           
            0x00, 0x7F, 0xFF, 0xFF, 0xE0, 0x00, ##           00000000000000000000000000         
            0x00, 0xFF, 0xFF, 0xFF, 0xF0, 0x00, ##          0000000000000000000000000000        
            0x01, 0xFF, 0xFF, 0xFF, 0xF8, 0x00, ##         000000000000000000000000000000       
            0x03, 0xFF, 0xC0, 0x3F, 0xFC, 0x00, ##        000000000000        000000000000      
            0x07, 0xFF, 0x00, 0x0F, 0xFE, 0x00, ##       00000000000            00000000000     
            0x0F, 0xFC, 0x00, 0x03, 0xFF, 0x00, ##      0000000000                0000000000    
            0x0F, 0xF8, 0x00, 0x01, 0xFF, 0x00, ##      000000000                  000000000    
            0x1F, 0xF0, 0x00, 0x00, 0xFF, 0x80, ##     000000000                    000000000   
            0x1F, 0xE0, 0x00, 0x00, 0xFF, 0x80, ##     00000000                     000000000   
            0x3F, 0xE0, 0x00, 0x00, 0x7F, 0xC0, ##    000000000                      000000000  
            0x3F, 0xC0, 0x00, 0x00, 0x3F, 0xC0, ##    00000000                        00000000  
            0x7F, 0xC0, 0x00, 0x00, 0x3F, 0xE0, ##   000000000                        000000000 
            0x7F, 0x80, 0x00, 0x00, 0x1F, 0xE0, ##   00000000                          00000000 
            0x7F, 0x80, 0x00, 0x00, 0x1F, 0xE0, ##   00000000                          00000000 
            0x7F, 0x80, 0x00, 0x00, 0x1F, 0xE0, ##   00000000                          00000000 
            0xFF, 0x80, 0x00, 0x00, 0x1F, 0xE0, ##  000000000                          00000000 
            0xFF, 0x00, 0x00, 0x00, 0x0F, 0xF0, ##  00000000                            00000000
            0xFF, 0x00, 0x00, 0x00, 0x0F, 0xF0, ##  00000000                            00000000
            0xFF, 0x00, 0x00, 0x00, 0x0F, 0xF0, ##  00000000                            00000000
            0xFF, 0x00, 0x00, 0x00, 0x0F, 0xF0, ##  00000000                            00000000
            0xFF, 0x00, 0x00, 0x00, 0x0F, 0xF0, ##  00000000                            00000000
            0xFF, 0x00, 0x00, 0x00, 0x0F, 0xF0, ##  00000000                            00000000
            0xFF, 0x00, 0x00, 0x00, 0x0F, 0xF0, ##  00000000                            00000000
            0xFF, 0x00, 0x00, 0x00, 0x0F, 0xF0, ##  00000000                            00000000
            0xFF, 0x00, 0x00, 0x00, 0x0F, 0xF0, ##  00000000                            00000000
            0xFF, 0x00, 0x00, 0x00, 0x0F, 0xF0, ##  00000000                            00000000
            0xFF, 0x00, 0x00, 0x00, 0x0F, 0xF0, ##  00000000                            00000000
            0xFF, 0x00, 0x00, 0x00, 0x0F, 0xF0, ##  00000000                            00000000
            0xFF, 0x80, 0x00, 0x00, 0x1F, 0xE0, ##  000000000                          00000000 
            0x7F, 0x80, 0x00, 0x00, 0x1F, 0xE0, ##   00000000                          00000000 
            0x7F, 0x80, 0x00, 0x00, 0x1F, 0xE0, ##   00000000                          00000000 
            0x7F, 0x80, 0x00, 0x00, 0x1F, 0xE0, ##   00000000                          00000000 
            0x7F, 0xC0, 0x00, 0x00, 0x3F, 0xE0, ##   000000000                        000000000 
            0x3F, 0xC0, 0x00, 0x00, 0x3F, 0xC0, ##    00000000                        00000000  
            0x3F, 0xE0, 0x00, 0x00, 0x7F, 0xC0, ##    000000000                      000000000  
            0x1F, 0xE0, 0x00, 0x00, 0xFF, 0x80, ##     00000000                     000000000   
            0x1F, 0xF0, 0x00, 0x00, 0xFF, 0x80, ##     000000000                    000000000   
            0x0F, 0xF8, 0x00, 0x01, 0xFF, 0x00, ##      000000000                  000000000    
            0x0F, 0xFC, 0x00, 0x03, 0xFF, 0x00, ##      0000000000                0000000000    
            0x07, 0xFF, 0x00, 0x0F, 0xFE, 0x00, ##       00000000000            00000000000     
            0x03, 0xFF, 0xC0, 0x3F, 0xFC, 0x00, ##        000000000000        000000000000      
            0x01, 0xFF, 0xFF, 0xFF, 0xF8, 0x00, ##         000000000000000000000000000000       
            0x00, 0xFF, 0xFF, 0xFF, 0xF0, 0x00, ##          0000000000000000000000000000        
            0x00, 0x7F, 0xFF, 0xFF, 0xE0, 0x00, ##           00000000000000000000000000         
            0x00, 0x1F, 0xFF, 0xFF, 0x80, 0x00, ##             0000000000000000000000           
            0x00, 0x07, 0xFF, 0xFE, 0x00, 0x00, ##               000000000000000000             
            0x00, 0x00, 0x7F, 0xE0, 0x00, 0x00, ##                   0000000000                 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '112' => {    # 'p'
        'width'    => 43, 
        'xoffset'  => 8, 
        'xadvance' => 56, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x3F, 0xF0, 0x00, 0x00, ##                    0000000000               
            0xFF, 0x01, 0xFF, 0xFE, 0x00, 0x00, ##  00000000       0000000000000000            
            0xFF, 0x07, 0xFF, 0xFF, 0x80, 0x00, ##  00000000     00000000000000000000          
            0xFF, 0x0F, 0xFF, 0xFF, 0xC0, 0x00, ##  00000000    0000000000000000000000         
            0xFF, 0x1F, 0xFF, 0xFF, 0xE0, 0x00, ##  00000000   000000000000000000000000        
            0xFF, 0x3F, 0xFF, 0xFF, 0xF0, 0x00, ##  00000000  00000000000000000000000000       
            0xFF, 0x7F, 0xC0, 0x7F, 0xF8, 0x00, ##  00000000 000000000       000000000000      
            0xFF, 0xFE, 0x00, 0x1F, 0xFC, 0x00, ##  000000000000000            00000000000     
            0xFF, 0xFC, 0x00, 0x07, 0xFE, 0x00, ##  00000000000000               0000000000    
            0xFF, 0xF8, 0x00, 0x03, 0xFE, 0x00, ##  0000000000000                 000000000    
            0xFF, 0xF0, 0x00, 0x01, 0xFF, 0x00, ##  000000000000                   000000000   
            0xFF, 0xE0, 0x00, 0x00, 0xFF, 0x00, ##  00000000000                     00000000   
            0xFF, 0xE0, 0x00, 0x00, 0xFF, 0x80, ##  00000000000                     000000000  
            0xFF, 0xC0, 0x00, 0x00, 0x7F, 0x80, ##  0000000000                       00000000  
            0xFF, 0xC0, 0x00, 0x00, 0x7F, 0x80, ##  0000000000                       00000000  
            0xFF, 0x80, 0x00, 0x00, 0x3F, 0xC0, ##  000000000                         00000000 
            0xFF, 0x80, 0x00, 0x00, 0x3F, 0xC0, ##  000000000                         00000000 
            0xFF, 0x80, 0x00, 0x00, 0x3F, 0xC0, ##  000000000                         00000000 
            0xFF, 0x80, 0x00, 0x00, 0x3F, 0xC0, ##  000000000                         00000000 
            0xFF, 0x00, 0x00, 0x00, 0x1F, 0xE0, ##  00000000                           00000000
            0xFF, 0x00, 0x00, 0x00, 0x1F, 0xE0, ##  00000000                           00000000
            0xFF, 0x00, 0x00, 0x00, 0x1F, 0xE0, ##  00000000                           00000000
            0xFF, 0x00, 0x00, 0x00, 0x1F, 0xE0, ##  00000000                           00000000
            0xFF, 0x00, 0x00, 0x00, 0x1F, 0xE0, ##  00000000                           00000000
            0xFF, 0x00, 0x00, 0x00, 0x1F, 0xE0, ##  00000000                           00000000
            0xFF, 0x00, 0x00, 0x00, 0x1F, 0xE0, ##  00000000                           00000000
            0xFF, 0x00, 0x00, 0x00, 0x1F, 0xE0, ##  00000000                           00000000
            0xFF, 0x00, 0x00, 0x00, 0x1F, 0xE0, ##  00000000                           00000000
            0xFF, 0x00, 0x00, 0x00, 0x1F, 0xE0, ##  00000000                           00000000
            0xFF, 0x00, 0x00, 0x00, 0x1F, 0xE0, ##  00000000                           00000000
            0xFF, 0x00, 0x00, 0x00, 0x1F, 0xE0, ##  00000000                           00000000
            0xFF, 0x80, 0x00, 0x00, 0x3F, 0xC0, ##  000000000                         00000000 
            0xFF, 0x80, 0x00, 0x00, 0x3F, 0xC0, ##  000000000                         00000000 
            0xFF, 0x80, 0x00, 0x00, 0x3F, 0xC0, ##  000000000                         00000000 
            0xFF, 0x80, 0x00, 0x00, 0x3F, 0xC0, ##  000000000                         00000000 
            0xFF, 0xC0, 0x00, 0x00, 0x7F, 0xC0, ##  0000000000                       000000000 
            0xFF, 0xC0, 0x00, 0x00, 0x7F, 0x80, ##  0000000000                       00000000  
            0xFF, 0xE0, 0x00, 0x00, 0xFF, 0x80, ##  00000000000                     000000000  
            0xFF, 0xE0, 0x00, 0x00, 0xFF, 0x00, ##  00000000000                     00000000   
            0xFF, 0xF0, 0x00, 0x01, 0xFF, 0x00, ##  000000000000                   000000000   
            0xFF, 0xF8, 0x00, 0x03, 0xFE, 0x00, ##  0000000000000                 000000000    
            0xFF, 0xFC, 0x00, 0x07, 0xFE, 0x00, ##  00000000000000               0000000000    
            0xFF, 0xFE, 0x00, 0x0F, 0xFC, 0x00, ##  000000000000000             0000000000     
            0xFF, 0x7F, 0xC0, 0x7F, 0xF8, 0x00, ##  00000000 000000000       000000000000      
            0xFF, 0x3F, 0xFF, 0xFF, 0xF0, 0x00, ##  00000000  00000000000000000000000000       
            0xFF, 0x1F, 0xFF, 0xFF, 0xE0, 0x00, ##  00000000   000000000000000000000000        
            0xFF, 0x0F, 0xFF, 0xFF, 0xC0, 0x00, ##  00000000    0000000000000000000000         
            0xFF, 0x07, 0xFF, 0xFF, 0x80, 0x00, ##  00000000     00000000000000000000          
            0xFF, 0x01, 0xFF, 0xFE, 0x00, 0x00, ##  00000000       0000000000000000            
            0xFF, 0x00, 0x3F, 0xF0, 0x00, 0x00, ##  00000000          0000000000               
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                   
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                   
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                   
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                   
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                   
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                   
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                   
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                   
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                   
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                   
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                   
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                   
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                   
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                   
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                   
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                   
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                   
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '113' => {    # 'q'
        'width'    => 43, 
        'xoffset'  => 5, 
        'xadvance' => 56, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x01, 0xFF, 0x80, 0x00, 0x00, ##                 0000000000                  
            0x00, 0x0F, 0xFF, 0xF0, 0x1F, 0xE0, ##              0000000000000000       00000000
            0x00, 0x3F, 0xFF, 0xFC, 0x1F, 0xE0, ##            00000000000000000000     00000000
            0x00, 0x7F, 0xFF, 0xFE, 0x1F, 0xE0, ##           0000000000000000000000    00000000
            0x00, 0xFF, 0xFF, 0xFF, 0x1F, 0xE0, ##          000000000000000000000000   00000000
            0x01, 0xFF, 0xFF, 0xFF, 0x9F, 0xE0, ##         00000000000000000000000000  00000000
            0x03, 0xFF, 0xC0, 0x7F, 0xDF, 0xE0, ##        000000000000       000000000 00000000
            0x07, 0xFE, 0x00, 0x1F, 0xFF, 0xE0, ##       0000000000            0000000000000000
            0x0F, 0xFC, 0x00, 0x07, 0xFF, 0xE0, ##      0000000000               00000000000000
            0x0F, 0xF8, 0x00, 0x03, 0xFF, 0xE0, ##      000000000                 0000000000000
            0x1F, 0xF0, 0x00, 0x01, 0xFF, 0xE0, ##     000000000                   000000000000
            0x1F, 0xE0, 0x00, 0x00, 0xFF, 0xE0, ##     00000000                     00000000000
            0x3F, 0xE0, 0x00, 0x00, 0xFF, 0xE0, ##    000000000                     00000000000
            0x3F, 0xC0, 0x00, 0x00, 0x7F, 0xE0, ##    00000000                       0000000000
            0x7F, 0xC0, 0x00, 0x00, 0x7F, 0xE0, ##   000000000                       0000000000
            0x7F, 0x80, 0x00, 0x00, 0x3F, 0xE0, ##   00000000                         000000000
            0x7F, 0x80, 0x00, 0x00, 0x3F, 0xE0, ##   00000000                         000000000
            0x7F, 0x80, 0x00, 0x00, 0x3F, 0xE0, ##   00000000                         000000000
            0xFF, 0x80, 0x00, 0x00, 0x3F, 0xE0, ##  000000000                         000000000
            0xFF, 0x00, 0x00, 0x00, 0x1F, 0xE0, ##  00000000                           00000000
            0xFF, 0x00, 0x00, 0x00, 0x1F, 0xE0, ##  00000000                           00000000
            0xFF, 0x00, 0x00, 0x00, 0x1F, 0xE0, ##  00000000                           00000000
            0xFF, 0x00, 0x00, 0x00, 0x1F, 0xE0, ##  00000000                           00000000
            0xFF, 0x00, 0x00, 0x00, 0x1F, 0xE0, ##  00000000                           00000000
            0xFF, 0x00, 0x00, 0x00, 0x1F, 0xE0, ##  00000000                           00000000
            0xFF, 0x00, 0x00, 0x00, 0x1F, 0xE0, ##  00000000                           00000000
            0xFF, 0x00, 0x00, 0x00, 0x1F, 0xE0, ##  00000000                           00000000
            0xFF, 0x00, 0x00, 0x00, 0x1F, 0xE0, ##  00000000                           00000000
            0xFF, 0x00, 0x00, 0x00, 0x1F, 0xE0, ##  00000000                           00000000
            0xFF, 0x00, 0x00, 0x00, 0x1F, 0xE0, ##  00000000                           00000000
            0xFF, 0x00, 0x00, 0x00, 0x1F, 0xE0, ##  00000000                           00000000
            0x7F, 0x80, 0x00, 0x00, 0x3F, 0xE0, ##   00000000                         000000000
            0x7F, 0x80, 0x00, 0x00, 0x3F, 0xE0, ##   00000000                         000000000
            0x7F, 0x80, 0x00, 0x00, 0x3F, 0xE0, ##   00000000                         000000000
            0x7F, 0x80, 0x00, 0x00, 0x3F, 0xE0, ##   00000000                         000000000
            0x7F, 0xC0, 0x00, 0x00, 0x7F, 0xE0, ##   000000000                       0000000000
            0x3F, 0xC0, 0x00, 0x00, 0x7F, 0xE0, ##    00000000                       0000000000
            0x3F, 0xE0, 0x00, 0x00, 0xFF, 0xE0, ##    000000000                     00000000000
            0x1F, 0xE0, 0x00, 0x00, 0xFF, 0xE0, ##     00000000                     00000000000
            0x1F, 0xF0, 0x00, 0x01, 0xFF, 0xE0, ##     000000000                   000000000000
            0x0F, 0xF8, 0x00, 0x03, 0xFF, 0xE0, ##      000000000                 0000000000000
            0x0F, 0xFC, 0x00, 0x07, 0xFF, 0xE0, ##      0000000000               00000000000000
            0x07, 0xFE, 0x00, 0x0F, 0xFF, 0xE0, ##       0000000000             000000000000000
            0x03, 0xFF, 0xC0, 0x7F, 0xDF, 0xE0, ##        000000000000       000000000 00000000
            0x01, 0xFF, 0xFF, 0xFF, 0x9F, 0xE0, ##         00000000000000000000000000  00000000
            0x00, 0xFF, 0xFF, 0xFF, 0x1F, 0xE0, ##          000000000000000000000000   00000000
            0x00, 0x7F, 0xFF, 0xFE, 0x1F, 0xE0, ##           0000000000000000000000    00000000
            0x00, 0x3F, 0xFF, 0xFC, 0x1F, 0xE0, ##            00000000000000000000     00000000
            0x00, 0x0F, 0xFF, 0xF0, 0x1F, 0xE0, ##              0000000000000000       00000000
            0x00, 0x01, 0xFF, 0x80, 0x1F, 0xE0, ##                 0000000000          00000000
            0x00, 0x00, 0x00, 0x00, 0x1F, 0xE0, ##                                     00000000
            0x00, 0x00, 0x00, 0x00, 0x1F, 0xE0, ##                                     00000000
            0x00, 0x00, 0x00, 0x00, 0x1F, 0xE0, ##                                     00000000
            0x00, 0x00, 0x00, 0x00, 0x1F, 0xE0, ##                                     00000000
            0x00, 0x00, 0x00, 0x00, 0x1F, 0xE0, ##                                     00000000
            0x00, 0x00, 0x00, 0x00, 0x1F, 0xE0, ##                                     00000000
            0x00, 0x00, 0x00, 0x00, 0x1F, 0xE0, ##                                     00000000
            0x00, 0x00, 0x00, 0x00, 0x1F, 0xE0, ##                                     00000000
            0x00, 0x00, 0x00, 0x00, 0x1F, 0xE0, ##                                     00000000
            0x00, 0x00, 0x00, 0x00, 0x1F, 0xE0, ##                                     00000000
            0x00, 0x00, 0x00, 0x00, 0x1F, 0xE0, ##                                     00000000
            0x00, 0x00, 0x00, 0x00, 0x1F, 0xE0, ##                                     00000000
            0x00, 0x00, 0x00, 0x00, 0x1F, 0xE0, ##                                     00000000
            0x00, 0x00, 0x00, 0x00, 0x1F, 0xE0, ##                                     00000000
            0x00, 0x00, 0x00, 0x00, 0x1F, 0xE0, ##                                     00000000
            0x00, 0x00, 0x00, 0x00, 0x1F, 0xE0, ##                                     00000000
            0x00, 0x00, 0x00, 0x00, 0x1F, 0xE0, ##                                     00000000
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '114' => {    # 'r'
        'width'    => 28, 
        'xoffset'  => 8, 
        'xadvance' => 37, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x1F, 0xF0, ##                     000000000
            0xFF, 0x01, 0xFF, 0xF0, ##  00000000       0000000000000
            0xFF, 0x07, 0xFF, 0xF0, ##  00000000     000000000000000
            0xFF, 0x0F, 0xFF, 0xF0, ##  00000000    0000000000000000
            0xFF, 0x1F, 0xFF, 0xF0, ##  00000000   00000000000000000
            0xFF, 0x3F, 0xFF, 0xF0, ##  00000000  000000000000000000
            0xFF, 0x7F, 0xC0, 0x30, ##  00000000 000000000        00
            0xFF, 0xFE, 0x00, 0x00, ##  000000000000000             
            0xFF, 0xFC, 0x00, 0x00, ##  00000000000000              
            0xFF, 0xF0, 0x00, 0x00, ##  000000000000                
            0xFF, 0xF0, 0x00, 0x00, ##  000000000000                
            0xFF, 0xE0, 0x00, 0x00, ##  00000000000                 
            0xFF, 0xC0, 0x00, 0x00, ##  0000000000                  
            0xFF, 0xC0, 0x00, 0x00, ##  0000000000                  
            0xFF, 0x80, 0x00, 0x00, ##  000000000                   
            0xFF, 0x80, 0x00, 0x00, ##  000000000                   
            0xFF, 0x80, 0x00, 0x00, ##  000000000                   
            0xFF, 0x80, 0x00, 0x00, ##  000000000                   
            0xFF, 0x00, 0x00, 0x00, ##  00000000                    
            0xFF, 0x00, 0x00, 0x00, ##  00000000                    
            0xFF, 0x00, 0x00, 0x00, ##  00000000                    
            0xFF, 0x00, 0x00, 0x00, ##  00000000                    
            0xFF, 0x00, 0x00, 0x00, ##  00000000                    
            0xFF, 0x00, 0x00, 0x00, ##  00000000                    
            0xFF, 0x00, 0x00, 0x00, ##  00000000                    
            0xFF, 0x00, 0x00, 0x00, ##  00000000                    
            0xFF, 0x00, 0x00, 0x00, ##  00000000                    
            0xFF, 0x00, 0x00, 0x00, ##  00000000                    
            0xFF, 0x00, 0x00, 0x00, ##  00000000                    
            0xFF, 0x00, 0x00, 0x00, ##  00000000                    
            0xFF, 0x00, 0x00, 0x00, ##  00000000                    
            0xFF, 0x00, 0x00, 0x00, ##  00000000                    
            0xFF, 0x00, 0x00, 0x00, ##  00000000                    
            0xFF, 0x00, 0x00, 0x00, ##  00000000                    
            0xFF, 0x00, 0x00, 0x00, ##  00000000                    
            0xFF, 0x00, 0x00, 0x00, ##  00000000                    
            0xFF, 0x00, 0x00, 0x00, ##  00000000                    
            0xFF, 0x00, 0x00, 0x00, ##  00000000                    
            0xFF, 0x00, 0x00, 0x00, ##  00000000                    
            0xFF, 0x00, 0x00, 0x00, ##  00000000                    
            0xFF, 0x00, 0x00, 0x00, ##  00000000                    
            0xFF, 0x00, 0x00, 0x00, ##  00000000                    
            0xFF, 0x00, 0x00, 0x00, ##  00000000                    
            0xFF, 0x00, 0x00, 0x00, ##  00000000                    
            0xFF, 0x00, 0x00, 0x00, ##  00000000                    
            0xFF, 0x00, 0x00, 0x00, ##  00000000                    
            0xFF, 0x00, 0x00, 0x00, ##  00000000                    
            0xFF, 0x00, 0x00, 0x00, ##  00000000                    
            0xFF, 0x00, 0x00, 0x00, ##  00000000                    
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '115' => {    # 's'
        'width'    => 36, 
        'xoffset'  => 5, 
        'xadvance' => 45, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x0F, 0xFF, 0xC0, 0x00, ##              00000000000000          
            0x00, 0x7F, 0xFF, 0xFE, 0x00, ##           0000000000000000000000     
            0x01, 0xFF, 0xFF, 0xFF, 0x80, ##         00000000000000000000000000   
            0x07, 0xFF, 0xFF, 0xFF, 0x80, ##       0000000000000000000000000000   
            0x0F, 0xFF, 0xFF, 0xFF, 0x80, ##      00000000000000000000000000000   
            0x1F, 0xFF, 0xFF, 0xFF, 0x80, ##     000000000000000000000000000000   
            0x3F, 0xFC, 0x00, 0x7F, 0x80, ##    000000000000           00000000   
            0x7F, 0xE0, 0x00, 0x07, 0x80, ##   0000000000                  0000   
            0x7F, 0xC0, 0x00, 0x01, 0x80, ##   000000000                     00   
            0x7F, 0x80, 0x00, 0x00, 0x00, ##   00000000                           
            0xFF, 0x80, 0x00, 0x00, 0x00, ##  000000000                           
            0xFF, 0x00, 0x00, 0x00, 0x00, ##  00000000                            
            0xFF, 0x00, 0x00, 0x00, 0x00, ##  00000000                            
            0xFF, 0x00, 0x00, 0x00, 0x00, ##  00000000                            
            0xFF, 0x00, 0x00, 0x00, 0x00, ##  00000000                            
            0xFF, 0x00, 0x00, 0x00, 0x00, ##  00000000                            
            0xFF, 0x80, 0x00, 0x00, 0x00, ##  000000000                           
            0xFF, 0xC0, 0x00, 0x00, 0x00, ##  0000000000                          
            0x7F, 0xF0, 0x00, 0x00, 0x00, ##   00000000000                        
            0x7F, 0xFC, 0x00, 0x00, 0x00, ##   0000000000000                      
            0x7F, 0xFF, 0xC0, 0x00, 0x00, ##   00000000000000000                  
            0x3F, 0xFF, 0xFC, 0x00, 0x00, ##    00000000000000000000              
            0x1F, 0xFF, 0xFF, 0xC0, 0x00, ##     00000000000000000000000          
            0x0F, 0xFF, 0xFF, 0xF0, 0x00, ##      000000000000000000000000        
            0x07, 0xFF, 0xFF, 0xFC, 0x00, ##       0000000000000000000000000      
            0x01, 0xFF, 0xFF, 0xFF, 0x00, ##         0000000000000000000000000    
            0x00, 0x7F, 0xFF, 0xFF, 0x80, ##           000000000000000000000000   
            0x00, 0x07, 0xFF, 0xFF, 0xC0, ##               000000000000000000000  
            0x00, 0x00, 0x7F, 0xFF, 0xC0, ##                   00000000000000000  
            0x00, 0x00, 0x07, 0xFF, 0xE0, ##                       00000000000000 
            0x00, 0x00, 0x00, 0xFF, 0xE0, ##                          00000000000 
            0x00, 0x00, 0x00, 0x7F, 0xF0, ##                           00000000000
            0x00, 0x00, 0x00, 0x1F, 0xF0, ##                             000000000
            0x00, 0x00, 0x00, 0x1F, 0xF0, ##                             000000000
            0x00, 0x00, 0x00, 0x0F, 0xF0, ##                              00000000
            0x00, 0x00, 0x00, 0x0F, 0xF0, ##                              00000000
            0x00, 0x00, 0x00, 0x0F, 0xF0, ##                              00000000
            0x00, 0x00, 0x00, 0x0F, 0xF0, ##                              00000000
            0x00, 0x00, 0x00, 0x0F, 0xF0, ##                              00000000
            0x00, 0x00, 0x00, 0x1F, 0xE0, ##                             00000000 
            0xC0, 0x00, 0x00, 0x1F, 0xE0, ##  00                         00000000 
            0xF0, 0x00, 0x00, 0x3F, 0xE0, ##  0000                      000000000 
            0xFE, 0x00, 0x00, 0xFF, 0xC0, ##  0000000                 0000000000  
            0xFF, 0xE0, 0x07, 0xFF, 0x80, ##  00000000000          000000000000   
            0xFF, 0xFF, 0xFF, 0xFF, 0x80, ##  000000000000000000000000000000000   
            0xFF, 0xFF, 0xFF, 0xFF, 0x00, ##  00000000000000000000000000000000    
            0xFF, 0xFF, 0xFF, 0xFC, 0x00, ##  000000000000000000000000000000      
            0xFF, 0xFF, 0xFF, 0xF8, 0x00, ##  00000000000000000000000000000       
            0x0F, 0xFF, 0xFF, 0xC0, 0x00, ##      0000000000000000000000          
            0x00, 0x3F, 0xFC, 0x00, 0x00, ##            000000000000              
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '116' => {    # 't'
        'width'    => 30, 
        'xoffset'  => 2, 
        'xadvance' => 34, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x03, 0xFC, 0x00, 0x00, ##        00000000                
            0x03, 0xFC, 0x00, 0x00, ##        00000000                
            0x03, 0xFC, 0x00, 0x00, ##        00000000                
            0x03, 0xFC, 0x00, 0x00, ##        00000000                
            0x03, 0xFC, 0x00, 0x00, ##        00000000                
            0x03, 0xFC, 0x00, 0x00, ##        00000000                
            0x03, 0xFC, 0x00, 0x00, ##        00000000                
            0x03, 0xFC, 0x00, 0x00, ##        00000000                
            0x03, 0xFC, 0x00, 0x00, ##        00000000                
            0x03, 0xFC, 0x00, 0x00, ##        00000000                
            0x03, 0xFC, 0x00, 0x00, ##        00000000                
            0x03, 0xFC, 0x00, 0x00, ##        00000000                
            0x03, 0xFC, 0x00, 0x00, ##        00000000                
            0x03, 0xFC, 0x00, 0x00, ##        00000000                
            0xFF, 0xFF, 0xFF, 0xFC, ##  000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFC, ##  000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFC, ##  000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFC, ##  000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFC, ##  000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFC, ##  000000000000000000000000000000
            0x03, 0xFC, 0x00, 0x00, ##        00000000                
            0x03, 0xFC, 0x00, 0x00, ##        00000000                
            0x03, 0xFC, 0x00, 0x00, ##        00000000                
            0x03, 0xFC, 0x00, 0x00, ##        00000000                
            0x03, 0xFC, 0x00, 0x00, ##        00000000                
            0x03, 0xFC, 0x00, 0x00, ##        00000000                
            0x03, 0xFC, 0x00, 0x00, ##        00000000                
            0x03, 0xFC, 0x00, 0x00, ##        00000000                
            0x03, 0xFC, 0x00, 0x00, ##        00000000                
            0x03, 0xFC, 0x00, 0x00, ##        00000000                
            0x03, 0xFC, 0x00, 0x00, ##        00000000                
            0x03, 0xFC, 0x00, 0x00, ##        00000000                
            0x03, 0xFC, 0x00, 0x00, ##        00000000                
            0x03, 0xFC, 0x00, 0x00, ##        00000000                
            0x03, 0xFC, 0x00, 0x00, ##        00000000                
            0x03, 0xFC, 0x00, 0x00, ##        00000000                
            0x03, 0xFC, 0x00, 0x00, ##        00000000                
            0x03, 0xFC, 0x00, 0x00, ##        00000000                
            0x03, 0xFC, 0x00, 0x00, ##        00000000                
            0x03, 0xFC, 0x00, 0x00, ##        00000000                
            0x03, 0xFC, 0x00, 0x00, ##        00000000                
            0x03, 0xFC, 0x00, 0x00, ##        00000000                
            0x03, 0xFC, 0x00, 0x00, ##        00000000                
            0x03, 0xFC, 0x00, 0x00, ##        00000000                
            0x03, 0xFC, 0x00, 0x00, ##        00000000                
            0x03, 0xFC, 0x00, 0x00, ##        00000000                
            0x03, 0xFC, 0x00, 0x00, ##        00000000                
            0x03, 0xFC, 0x00, 0x00, ##        00000000                
            0x03, 0xFC, 0x00, 0x00, ##        00000000                
            0x03, 0xFC, 0x00, 0x00, ##        00000000                
            0x03, 0xFC, 0x00, 0x00, ##        00000000                
            0x03, 0xFC, 0x00, 0x00, ##        00000000                
            0x01, 0xFE, 0x00, 0x00, ##         00000000               
            0x01, 0xFE, 0x00, 0x00, ##         00000000               
            0x01, 0xFF, 0x00, 0x00, ##         000000000              
            0x01, 0xFF, 0xC0, 0x00, ##         00000000000            
            0x00, 0xFF, 0xFF, 0xFC, ##          0000000000000000000000
            0x00, 0x7F, 0xFF, 0xFC, ##           000000000000000000000
            0x00, 0x7F, 0xFF, 0xFC, ##           000000000000000000000
            0x00, 0x1F, 0xFF, 0xFC, ##             0000000000000000000
            0x00, 0x0F, 0xFF, 0xFC, ##              000000000000000000
            0x00, 0x00, 0xFF, 0xFC, ##                  00000000000000
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '117' => {    # 'u'
        'width'    => 40, 
        'xoffset'  => 7, 
        'xadvance' => 55, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x01, 0xFF, ##  00000000                       000000000
            0xFF, 0x00, 0x00, 0x01, 0xFF, ##  00000000                       000000000
            0xFF, 0x00, 0x00, 0x01, 0xFF, ##  00000000                       000000000
            0x7F, 0x80, 0x00, 0x03, 0xFF, ##   00000000                     0000000000
            0x7F, 0x80, 0x00, 0x03, 0xFF, ##   00000000                     0000000000
            0x7F, 0x80, 0x00, 0x07, 0xFF, ##   00000000                    00000000000
            0x7F, 0xC0, 0x00, 0x07, 0xFF, ##   000000000                   00000000000
            0x3F, 0xE0, 0x00, 0x0F, 0xFF, ##    000000000                 000000000000
            0x3F, 0xE0, 0x00, 0x1F, 0xFF, ##    000000000                0000000000000
            0x1F, 0xF8, 0x00, 0x7F, 0xFF, ##     0000000000            000000000000000
            0x1F, 0xFE, 0x03, 0xFE, 0xFF, ##     000000000000       000000000 00000000
            0x0F, 0xFF, 0xFF, 0xFC, 0xFF, ##      00000000000000000000000000  00000000
            0x07, 0xFF, 0xFF, 0xF8, 0xFF, ##       000000000000000000000000   00000000
            0x03, 0xFF, 0xFF, 0xF0, 0xFF, ##        0000000000000000000000    00000000
            0x01, 0xFF, 0xFF, 0xC0, 0xFF, ##         0000000000000000000      00000000
            0x00, 0x7F, 0xFF, 0x80, 0xFF, ##           0000000000000000       00000000
            0x00, 0x0F, 0xF8, 0x00, 0x00, ##              000000000                   
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '118' => {    # 'v'
        'width'    => 46, 
        'xoffset'  => 3, 
        'xadvance' => 51, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0xFF, 0x00, 0x00, 0x00, 0x07, 0xFC, ##  00000000                             000000000
            0xFF, 0x00, 0x00, 0x00, 0x07, 0xF8, ##  00000000                             00000000 
            0x7F, 0x80, 0x00, 0x00, 0x07, 0xF8, ##   00000000                            00000000 
            0x7F, 0x80, 0x00, 0x00, 0x0F, 0xF8, ##   00000000                           000000000 
            0x7F, 0xC0, 0x00, 0x00, 0x0F, 0xF0, ##   000000000                          00000000  
            0x3F, 0xC0, 0x00, 0x00, 0x0F, 0xF0, ##    00000000                          00000000  
            0x3F, 0xC0, 0x00, 0x00, 0x1F, 0xE0, ##    00000000                         00000000   
            0x3F, 0xE0, 0x00, 0x00, 0x1F, 0xE0, ##    000000000                        00000000   
            0x1F, 0xE0, 0x00, 0x00, 0x3F, 0xE0, ##     00000000                       000000000   
            0x1F, 0xE0, 0x00, 0x00, 0x3F, 0xC0, ##     00000000                       00000000    
            0x1F, 0xF0, 0x00, 0x00, 0x3F, 0xC0, ##     000000000                      00000000    
            0x0F, 0xF0, 0x00, 0x00, 0x7F, 0xC0, ##      00000000                     000000000    
            0x0F, 0xF0, 0x00, 0x00, 0x7F, 0x80, ##      00000000                     00000000     
            0x07, 0xF8, 0x00, 0x00, 0x7F, 0x80, ##       00000000                    00000000     
            0x07, 0xF8, 0x00, 0x00, 0xFF, 0x80, ##       00000000                   000000000     
            0x07, 0xFC, 0x00, 0x00, 0xFF, 0x00, ##       000000000                  00000000      
            0x03, 0xFC, 0x00, 0x00, 0xFF, 0x00, ##        00000000                  00000000      
            0x03, 0xFC, 0x00, 0x01, 0xFE, 0x00, ##        00000000                 00000000       
            0x03, 0xFE, 0x00, 0x01, 0xFE, 0x00, ##        000000000                00000000       
            0x01, 0xFE, 0x00, 0x03, 0xFE, 0x00, ##         00000000               000000000       
            0x01, 0xFE, 0x00, 0x03, 0xFC, 0x00, ##         00000000               00000000        
            0x00, 0xFF, 0x00, 0x03, 0xFC, 0x00, ##          00000000              00000000        
            0x00, 0xFF, 0x00, 0x07, 0xFC, 0x00, ##          00000000             000000000        
            0x00, 0xFF, 0x80, 0x07, 0xF8, 0x00, ##          000000000            00000000         
            0x00, 0x7F, 0x80, 0x07, 0xF8, 0x00, ##           00000000            00000000         
            0x00, 0x7F, 0x80, 0x0F, 0xF0, 0x00, ##           00000000           00000000          
            0x00, 0x7F, 0xC0, 0x0F, 0xF0, 0x00, ##           000000000          00000000          
            0x00, 0x3F, 0xC0, 0x1F, 0xF0, 0x00, ##            00000000         000000000          
            0x00, 0x3F, 0xC0, 0x1F, 0xE0, 0x00, ##            00000000         00000000           
            0x00, 0x1F, 0xE0, 0x1F, 0xE0, 0x00, ##             00000000        00000000           
            0x00, 0x1F, 0xE0, 0x3F, 0xE0, 0x00, ##             00000000       000000000           
            0x00, 0x1F, 0xF0, 0x3F, 0xC0, 0x00, ##             000000000      00000000            
            0x00, 0x0F, 0xF0, 0x3F, 0xC0, 0x00, ##              00000000      00000000            
            0x00, 0x0F, 0xF0, 0x7F, 0x80, 0x00, ##              00000000     00000000             
            0x00, 0x0F, 0xF8, 0x7F, 0x80, 0x00, ##              000000000    00000000             
            0x00, 0x07, 0xF8, 0xFF, 0x80, 0x00, ##               00000000   000000000             
            0x00, 0x07, 0xF8, 0xFF, 0x00, 0x00, ##               00000000   00000000              
            0x00, 0x03, 0xFC, 0xFF, 0x00, 0x00, ##                00000000  00000000              
            0x00, 0x03, 0xFD, 0xFF, 0x00, 0x00, ##                00000000 000000000              
            0x00, 0x03, 0xFD, 0xFE, 0x00, 0x00, ##                00000000 00000000               
            0x00, 0x01, 0xFF, 0xFE, 0x00, 0x00, ##                 0000000000000000               
            0x00, 0x01, 0xFF, 0xFC, 0x00, 0x00, ##                 000000000000000                
            0x00, 0x01, 0xFF, 0xFC, 0x00, 0x00, ##                 000000000000000                
            0x00, 0x00, 0xFF, 0xFC, 0x00, 0x00, ##                  00000000000000                
            0x00, 0x00, 0xFF, 0xF8, 0x00, 0x00, ##                  0000000000000                 
            0x00, 0x00, 0x7F, 0xF8, 0x00, 0x00, ##                   000000000000                 
            0x00, 0x00, 0x7F, 0xF8, 0x00, 0x00, ##                   000000000000                 
            0x00, 0x00, 0x7F, 0xF0, 0x00, 0x00, ##                   00000000000                  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '119' => {    # 'w'
        'width'    => 64, 
        'xoffset'  => 4, 
        'xadvance' => 71, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0xFF, 0x00, 0x00, 0x1F, 0xF0, 0x00, 0x00, 0xFE, ##  00000000                   000000000                    0000000 
            0xFF, 0x00, 0x00, 0x1F, 0xF8, 0x00, 0x01, 0xFE, ##  00000000                   0000000000                  00000000 
            0xFF, 0x00, 0x00, 0x3F, 0xF8, 0x00, 0x01, 0xFE, ##  00000000                  00000000000                  00000000 
            0x7F, 0x00, 0x00, 0x3F, 0xF8, 0x00, 0x01, 0xFE, ##   0000000                  00000000000                  00000000 
            0x7F, 0x80, 0x00, 0x3F, 0xF8, 0x00, 0x01, 0xFC, ##   00000000                 00000000000                  0000000  
            0x7F, 0x80, 0x00, 0x3F, 0xFC, 0x00, 0x03, 0xFC, ##   00000000                 000000000000                00000000  
            0x7F, 0x80, 0x00, 0x7F, 0xFC, 0x00, 0x03, 0xFC, ##   00000000                0000000000000                00000000  
            0x3F, 0x80, 0x00, 0x7F, 0xFC, 0x00, 0x03, 0xFC, ##    0000000                0000000000000                00000000  
            0x3F, 0xC0, 0x00, 0x7F, 0xFC, 0x00, 0x07, 0xF8, ##    00000000               0000000000000               00000000   
            0x3F, 0xC0, 0x00, 0xFE, 0xFE, 0x00, 0x07, 0xF8, ##    00000000              0000000 0000000              00000000   
            0x3F, 0xC0, 0x00, 0xFE, 0xFE, 0x00, 0x07, 0xF8, ##    00000000              0000000 0000000              00000000   
            0x1F, 0xC0, 0x00, 0xFE, 0xFE, 0x00, 0x07, 0xF8, ##     0000000              0000000 0000000              00000000   
            0x1F, 0xE0, 0x00, 0xFE, 0x7E, 0x00, 0x0F, 0xF0, ##     00000000             0000000  000000             00000000    
            0x1F, 0xE0, 0x01, 0xFC, 0x7F, 0x00, 0x0F, 0xF0, ##     00000000            0000000   0000000            00000000    
            0x1F, 0xE0, 0x01, 0xFC, 0x7F, 0x00, 0x0F, 0xF0, ##     00000000            0000000   0000000            00000000    
            0x0F, 0xF0, 0x01, 0xFC, 0x7F, 0x00, 0x0F, 0xF0, ##      00000000           0000000   0000000            00000000    
            0x0F, 0xF0, 0x01, 0xFC, 0x3F, 0x00, 0x1F, 0xE0, ##      00000000           0000000    000000           00000000     
            0x0F, 0xF0, 0x03, 0xF8, 0x3F, 0x80, 0x1F, 0xE0, ##      00000000          0000000     0000000          00000000     
            0x0F, 0xF0, 0x03, 0xF8, 0x3F, 0x80, 0x1F, 0xE0, ##      00000000          0000000     0000000          00000000     
            0x07, 0xF8, 0x03, 0xF8, 0x3F, 0x80, 0x1F, 0xC0, ##       00000000         0000000     0000000          0000000      
            0x07, 0xF8, 0x03, 0xF8, 0x1F, 0xC0, 0x3F, 0xC0, ##       00000000         0000000      0000000        00000000      
            0x07, 0xF8, 0x07, 0xF0, 0x1F, 0xC0, 0x3F, 0xC0, ##       00000000        0000000       0000000        00000000      
            0x07, 0xF8, 0x07, 0xF0, 0x1F, 0xC0, 0x3F, 0xC0, ##       00000000        0000000       0000000        00000000      
            0x03, 0xFC, 0x07, 0xF0, 0x1F, 0xC0, 0x3F, 0x80, ##        00000000       0000000       0000000        0000000       
            0x03, 0xFC, 0x07, 0xE0, 0x0F, 0xE0, 0x7F, 0x80, ##        00000000       000000         0000000      00000000       
            0x03, 0xFC, 0x0F, 0xE0, 0x0F, 0xE0, 0x7F, 0x80, ##        00000000      0000000         0000000      00000000       
            0x01, 0xFC, 0x0F, 0xE0, 0x0F, 0xE0, 0x7F, 0x80, ##         0000000      0000000         0000000      00000000       
            0x01, 0xFE, 0x0F, 0xE0, 0x07, 0xE0, 0x7F, 0x00, ##         00000000     0000000          000000      0000000        
            0x01, 0xFE, 0x0F, 0xC0, 0x07, 0xF0, 0xFF, 0x00, ##         00000000     000000           0000000    00000000        
            0x01, 0xFE, 0x1F, 0xC0, 0x07, 0xF0, 0xFF, 0x00, ##         00000000    0000000           0000000    00000000        
            0x00, 0xFE, 0x1F, 0xC0, 0x07, 0xF0, 0xFF, 0x00, ##          0000000    0000000           0000000    00000000        
            0x00, 0xFF, 0x1F, 0xC0, 0x03, 0xF1, 0xFE, 0x00, ##          00000000   0000000            000000   00000000         
            0x00, 0xFF, 0x1F, 0x80, 0x03, 0xF9, 0xFE, 0x00, ##          00000000   000000             0000000  00000000         
            0x00, 0xFF, 0x3F, 0x80, 0x03, 0xF9, 0xFE, 0x00, ##          00000000  0000000             0000000  00000000         
            0x00, 0x7F, 0x3F, 0x80, 0x03, 0xF9, 0xFE, 0x00, ##           0000000  0000000             0000000  00000000         
            0x00, 0x7F, 0xBF, 0x80, 0x01, 0xFB, 0xFC, 0x00, ##           00000000 0000000              000000 00000000          
            0x00, 0x7F, 0xFF, 0x00, 0x01, 0xFF, 0xFC, 0x00, ##           000000000000000               000000000000000          
            0x00, 0x7F, 0xFF, 0x00, 0x01, 0xFF, 0xFC, 0x00, ##           000000000000000               000000000000000          
            0x00, 0x3F, 0xFF, 0x00, 0x01, 0xFF, 0xFC, 0x00, ##            00000000000000               000000000000000          
            0x00, 0x3F, 0xFF, 0x00, 0x00, 0xFF, 0xF8, 0x00, ##            00000000000000                0000000000000           
            0x00, 0x3F, 0xFE, 0x00, 0x00, 0xFF, 0xF8, 0x00, ##            0000000000000                 0000000000000           
            0x00, 0x3F, 0xFE, 0x00, 0x00, 0xFF, 0xF8, 0x00, ##            0000000000000                 0000000000000           
            0x00, 0x1F, 0xFE, 0x00, 0x00, 0xFF, 0xF8, 0x00, ##             000000000000                 0000000000000           
            0x00, 0x1F, 0xFE, 0x00, 0x00, 0x7F, 0xF0, 0x00, ##             000000000000                  00000000000            
            0x00, 0x1F, 0xFC, 0x00, 0x00, 0x7F, 0xF0, 0x00, ##             00000000000                   00000000000            
            0x00, 0x1F, 0xFC, 0x00, 0x00, 0x7F, 0xF0, 0x00, ##             00000000000                   00000000000            
            0x00, 0x0F, 0xFC, 0x00, 0x00, 0x7F, 0xE0, 0x00, ##              0000000000                   0000000000             
            0x00, 0x0F, 0xF8, 0x00, 0x00, 0x3F, 0xE0, 0x00, ##              000000000                     000000000             
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '120' => {    # 'x'
        'width'    => 46, 
        'xoffset'  => 3, 
        'xadvance' => 51, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x7F, 0xE0, 0x00, 0x00, 0x1F, 0xF0, ##   0000000000                        000000000  
            0x3F, 0xE0, 0x00, 0x00, 0x3F, 0xF0, ##    000000000                       0000000000  
            0x1F, 0xF0, 0x00, 0x00, 0x3F, 0xE0, ##     000000000                      000000000   
            0x0F, 0xF8, 0x00, 0x00, 0x7F, 0xC0, ##      000000000                    000000000    
            0x0F, 0xFC, 0x00, 0x00, 0xFF, 0x80, ##      0000000000                  000000000     
            0x07, 0xFC, 0x00, 0x01, 0xFF, 0x80, ##       000000000                 0000000000     
            0x03, 0xFE, 0x00, 0x01, 0xFF, 0x00, ##        000000000                000000000      
            0x01, 0xFF, 0x00, 0x03, 0xFE, 0x00, ##         000000000              000000000       
            0x01, 0xFF, 0x80, 0x07, 0xFC, 0x00, ##         0000000000            000000000        
            0x00, 0xFF, 0x80, 0x0F, 0xFC, 0x00, ##          000000000           0000000000        
            0x00, 0x7F, 0xC0, 0x0F, 0xF8, 0x00, ##           000000000          000000000         
            0x00, 0x3F, 0xE0, 0x1F, 0xF0, 0x00, ##            000000000        000000000          
            0x00, 0x3F, 0xF0, 0x3F, 0xF0, 0x00, ##            0000000000      0000000000          
            0x00, 0x1F, 0xF0, 0x3F, 0xE0, 0x00, ##             000000000      000000000           
            0x00, 0x0F, 0xF8, 0x7F, 0xC0, 0x00, ##              000000000    000000000            
            0x00, 0x07, 0xFC, 0xFF, 0x80, 0x00, ##               000000000  000000000             
            0x00, 0x07, 0xFD, 0xFF, 0x80, 0x00, ##               000000000 0000000000             
            0x00, 0x03, 0xFF, 0xFF, 0x00, 0x00, ##                000000000000000000              
            0x00, 0x01, 0xFF, 0xFE, 0x00, 0x00, ##                 0000000000000000               
            0x00, 0x01, 0xFF, 0xFC, 0x00, 0x00, ##                 000000000000000                
            0x00, 0x00, 0xFF, 0xFC, 0x00, 0x00, ##                  00000000000000                
            0x00, 0x00, 0x7F, 0xF8, 0x00, 0x00, ##                   000000000000                 
            0x00, 0x00, 0x3F, 0xF0, 0x00, 0x00, ##                    0000000000                  
            0x00, 0x00, 0x3F, 0xF0, 0x00, 0x00, ##                    0000000000                  
            0x00, 0x00, 0x7F, 0xF0, 0x00, 0x00, ##                   00000000000                  
            0x00, 0x00, 0xFF, 0xF8, 0x00, 0x00, ##                  0000000000000                 
            0x00, 0x01, 0xFF, 0xFC, 0x00, 0x00, ##                 000000000000000                
            0x00, 0x01, 0xFF, 0xFE, 0x00, 0x00, ##                 0000000000000000               
            0x00, 0x03, 0xFF, 0xFE, 0x00, 0x00, ##                00000000000000000               
            0x00, 0x07, 0xFD, 0xFF, 0x00, 0x00, ##               000000000 000000000              
            0x00, 0x0F, 0xFC, 0xFF, 0x80, 0x00, ##              0000000000  000000000             
            0x00, 0x0F, 0xF8, 0xFF, 0xC0, 0x00, ##              000000000   0000000000            
            0x00, 0x1F, 0xF0, 0x7F, 0xC0, 0x00, ##             000000000     000000000            
            0x00, 0x3F, 0xE0, 0x3F, 0xE0, 0x00, ##            000000000       000000000           
            0x00, 0x7F, 0xE0, 0x1F, 0xF0, 0x00, ##           0000000000        000000000          
            0x00, 0x7F, 0xC0, 0x1F, 0xF0, 0x00, ##           000000000         000000000          
            0x00, 0xFF, 0x80, 0x0F, 0xF8, 0x00, ##          000000000           000000000         
            0x01, 0xFF, 0x00, 0x07, 0xFC, 0x00, ##         000000000             000000000        
            0x03, 0xFF, 0x00, 0x07, 0xFE, 0x00, ##        0000000000             0000000000       
            0x03, 0xFE, 0x00, 0x03, 0xFE, 0x00, ##        000000000               000000000       
            0x07, 0xFC, 0x00, 0x01, 0xFF, 0x00, ##       000000000                 000000000      
            0x0F, 0xFC, 0x00, 0x00, 0xFF, 0x80, ##      0000000000                  000000000     
            0x0F, 0xF8, 0x00, 0x00, 0xFF, 0xC0, ##      000000000                   0000000000    
            0x1F, 0xF0, 0x00, 0x00, 0x7F, 0xC0, ##     000000000                     000000000    
            0x3F, 0xE0, 0x00, 0x00, 0x3F, 0xE0, ##    000000000                       000000000   
            0x7F, 0xE0, 0x00, 0x00, 0x1F, 0xF0, ##   0000000000                        000000000  
            0x7F, 0xC0, 0x00, 0x00, 0x1F, 0xF8, ##   000000000                         0000000000 
            0xFF, 0x80, 0x00, 0x00, 0x0F, 0xF8, ##  000000000                           000000000 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '121' => {    # 'y'
        'width'    => 46, 
        'xoffset'  => 3, 
        'xadvance' => 51, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0xFF, 0x00, 0x00, 0x00, 0x03, 0xFC, ##  00000000                              00000000
            0xFF, 0x80, 0x00, 0x00, 0x07, 0xF8, ##  000000000                            00000000 
            0x7F, 0x80, 0x00, 0x00, 0x07, 0xF8, ##   00000000                            00000000 
            0x7F, 0x80, 0x00, 0x00, 0x0F, 0xF8, ##   00000000                           000000000 
            0x3F, 0xC0, 0x00, 0x00, 0x0F, 0xF0, ##    00000000                          00000000  
            0x3F, 0xC0, 0x00, 0x00, 0x0F, 0xF0, ##    00000000                          00000000  
            0x3F, 0xE0, 0x00, 0x00, 0x1F, 0xE0, ##    000000000                        00000000   
            0x1F, 0xE0, 0x00, 0x00, 0x1F, 0xE0, ##     00000000                        00000000   
            0x1F, 0xE0, 0x00, 0x00, 0x3F, 0xE0, ##     00000000                       000000000   
            0x0F, 0xF0, 0x00, 0x00, 0x3F, 0xC0, ##      00000000                      00000000    
            0x0F, 0xF0, 0x00, 0x00, 0x3F, 0xC0, ##      00000000                      00000000    
            0x0F, 0xF8, 0x00, 0x00, 0x7F, 0x80, ##      000000000                    00000000     
            0x07, 0xF8, 0x00, 0x00, 0x7F, 0x80, ##       00000000                    00000000     
            0x07, 0xF8, 0x00, 0x00, 0xFF, 0x80, ##       00000000                   000000000     
            0x03, 0xFC, 0x00, 0x00, 0xFF, 0x00, ##        00000000                  00000000      
            0x03, 0xFC, 0x00, 0x00, 0xFF, 0x00, ##        00000000                  00000000      
            0x03, 0xFE, 0x00, 0x01, 0xFE, 0x00, ##        000000000                00000000       
            0x01, 0xFE, 0x00, 0x01, 0xFE, 0x00, ##         00000000                00000000       
            0x01, 0xFE, 0x00, 0x03, 0xFE, 0x00, ##         00000000               000000000       
            0x00, 0xFF, 0x00, 0x03, 0xFC, 0x00, ##          00000000              00000000        
            0x00, 0xFF, 0x00, 0x03, 0xFC, 0x00, ##          00000000              00000000        
            0x00, 0xFF, 0x00, 0x07, 0xF8, 0x00, ##          00000000             00000000         
            0x00, 0x7F, 0x80, 0x07, 0xF8, 0x00, ##           00000000            00000000         
            0x00, 0x7F, 0x80, 0x0F, 0xF8, 0x00, ##           00000000           000000000         
            0x00, 0x3F, 0xC0, 0x0F, 0xF0, 0x00, ##            00000000          00000000          
            0x00, 0x3F, 0xC0, 0x0F, 0xF0, 0x00, ##            00000000          00000000          
            0x00, 0x3F, 0xC0, 0x1F, 0xE0, 0x00, ##            00000000         00000000           
            0x00, 0x1F, 0xE0, 0x1F, 0xE0, 0x00, ##             00000000        00000000           
            0x00, 0x1F, 0xE0, 0x1F, 0xE0, 0x00, ##             00000000        00000000           
            0x00, 0x0F, 0xF0, 0x3F, 0xC0, 0x00, ##              00000000      00000000            
            0x00, 0x0F, 0xF0, 0x3F, 0xC0, 0x00, ##              00000000      00000000            
            0x00, 0x0F, 0xF0, 0x7F, 0x80, 0x00, ##              00000000     00000000             
            0x00, 0x07, 0xF8, 0x7F, 0x80, 0x00, ##               00000000    00000000             
            0x00, 0x07, 0xF8, 0x7F, 0x80, 0x00, ##               00000000    00000000             
            0x00, 0x03, 0xFC, 0xFF, 0x00, 0x00, ##                00000000  00000000              
            0x00, 0x03, 0xFC, 0xFF, 0x00, 0x00, ##                00000000  00000000              
            0x00, 0x03, 0xFD, 0xFE, 0x00, 0x00, ##                00000000 00000000               
            0x00, 0x01, 0xFF, 0xFE, 0x00, 0x00, ##                 0000000000000000               
            0x00, 0x01, 0xFF, 0xFE, 0x00, 0x00, ##                 0000000000000000               
            0x00, 0x00, 0xFF, 0xFC, 0x00, 0x00, ##                  00000000000000                
            0x00, 0x00, 0xFF, 0xFC, 0x00, 0x00, ##                  00000000000000                
            0x00, 0x00, 0x7F, 0xF8, 0x00, 0x00, ##                   000000000000                 
            0x00, 0x00, 0x7F, 0xF8, 0x00, 0x00, ##                   000000000000                 
            0x00, 0x00, 0x7F, 0xF8, 0x00, 0x00, ##                   000000000000                 
            0x00, 0x00, 0x3F, 0xF0, 0x00, 0x00, ##                    0000000000                  
            0x00, 0x00, 0x3F, 0xF0, 0x00, 0x00, ##                    0000000000                  
            0x00, 0x00, 0x1F, 0xE0, 0x00, 0x00, ##                     00000000                   
            0x00, 0x00, 0x1F, 0xE0, 0x00, 0x00, ##                     00000000                   
            0x00, 0x00, 0x1F, 0xE0, 0x00, 0x00, ##                     00000000                   
            0x00, 0x00, 0x3F, 0xC0, 0x00, 0x00, ##                    00000000                    
            0x00, 0x00, 0x3F, 0xC0, 0x00, 0x00, ##                    00000000                    
            0x00, 0x00, 0x7F, 0x80, 0x00, 0x00, ##                   00000000                     
            0x00, 0x00, 0x7F, 0x80, 0x00, 0x00, ##                   00000000                     
            0x00, 0x00, 0x7F, 0x80, 0x00, 0x00, ##                   00000000                     
            0x00, 0x00, 0xFF, 0x00, 0x00, 0x00, ##                  00000000                      
            0x00, 0x00, 0xFF, 0x00, 0x00, 0x00, ##                  00000000                      
            0x00, 0x01, 0xFE, 0x00, 0x00, 0x00, ##                 00000000                       
            0x00, 0x03, 0xFE, 0x00, 0x00, 0x00, ##                000000000                       
            0x00, 0x03, 0xFC, 0x00, 0x00, 0x00, ##                00000000                        
            0x00, 0x0F, 0xFC, 0x00, 0x00, 0x00, ##              0000000000                        
            0x0F, 0xFF, 0xF8, 0x00, 0x00, 0x00, ##      00000000000000000                         
            0x0F, 0xFF, 0xF0, 0x00, 0x00, 0x00, ##      0000000000000000                          
            0x0F, 0xFF, 0xF0, 0x00, 0x00, 0x00, ##      0000000000000000                          
            0x0F, 0xFF, 0xE0, 0x00, 0x00, 0x00, ##      000000000000000                           
            0x0F, 0xFF, 0x80, 0x00, 0x00, 0x00, ##      0000000000000                             
            0x0F, 0xFC, 0x00, 0x00, 0x00, 0x00, ##      0000000000                                
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '122' => {    # 'z'
        'width'    => 38, 
        'xoffset'  => 4, 
        'xadvance' => 46, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x7F, 0xFF, 0xFF, 0xFF, 0xFC, ##   0000000000000000000000000000000000000
            0x7F, 0xFF, 0xFF, 0xFF, 0xFC, ##   0000000000000000000000000000000000000
            0x7F, 0xFF, 0xFF, 0xFF, 0xFC, ##   0000000000000000000000000000000000000
            0x7F, 0xFF, 0xFF, 0xFF, 0xFC, ##   0000000000000000000000000000000000000
            0x7F, 0xFF, 0xFF, 0xFF, 0xFC, ##   0000000000000000000000000000000000000
            0x7F, 0xFF, 0xFF, 0xFF, 0xFC, ##   0000000000000000000000000000000000000
            0x00, 0x00, 0x00, 0x07, 0xFC, ##                               000000000
            0x00, 0x00, 0x00, 0x0F, 0xFC, ##                              0000000000
            0x00, 0x00, 0x00, 0x1F, 0xF8, ##                             0000000000 
            0x00, 0x00, 0x00, 0x3F, 0xF0, ##                            0000000000  
            0x00, 0x00, 0x00, 0x7F, 0xE0, ##                           0000000000   
            0x00, 0x00, 0x00, 0x7F, 0xC0, ##                           000000000    
            0x00, 0x00, 0x00, 0xFF, 0x80, ##                          000000000     
            0x00, 0x00, 0x01, 0xFF, 0x80, ##                         0000000000     
            0x00, 0x00, 0x03, 0xFF, 0x00, ##                        0000000000      
            0x00, 0x00, 0x07, 0xFE, 0x00, ##                       0000000000       
            0x00, 0x00, 0x0F, 0xFC, 0x00, ##                      0000000000        
            0x00, 0x00, 0x0F, 0xF8, 0x00, ##                      000000000         
            0x00, 0x00, 0x1F, 0xF0, 0x00, ##                     000000000          
            0x00, 0x00, 0x3F, 0xF0, 0x00, ##                    0000000000          
            0x00, 0x00, 0x7F, 0xE0, 0x00, ##                   0000000000           
            0x00, 0x00, 0xFF, 0xC0, 0x00, ##                  0000000000            
            0x00, 0x01, 0xFF, 0x80, 0x00, ##                 0000000000             
            0x00, 0x01, 0xFF, 0x00, 0x00, ##                 000000000              
            0x00, 0x03, 0xFE, 0x00, 0x00, ##                000000000               
            0x00, 0x07, 0xFC, 0x00, 0x00, ##               000000000                
            0x00, 0x0F, 0xFC, 0x00, 0x00, ##              0000000000                
            0x00, 0x1F, 0xF8, 0x00, 0x00, ##             0000000000                 
            0x00, 0x3F, 0xF0, 0x00, 0x00, ##            0000000000                  
            0x00, 0x3F, 0xE0, 0x00, 0x00, ##            000000000                   
            0x00, 0x7F, 0xC0, 0x00, 0x00, ##           000000000                    
            0x00, 0xFF, 0x80, 0x00, 0x00, ##          000000000                     
            0x01, 0xFF, 0x80, 0x00, 0x00, ##         0000000000                     
            0x03, 0xFF, 0x00, 0x00, 0x00, ##        0000000000                      
            0x07, 0xFE, 0x00, 0x00, 0x00, ##       0000000000                       
            0x07, 0xFC, 0x00, 0x00, 0x00, ##       000000000                        
            0x0F, 0xF8, 0x00, 0x00, 0x00, ##      000000000                         
            0x1F, 0xF0, 0x00, 0x00, 0x00, ##     000000000                          
            0x3F, 0xF0, 0x00, 0x00, 0x00, ##    0000000000                          
            0x7F, 0xE0, 0x00, 0x00, 0x00, ##   0000000000                           
            0xFF, 0xC0, 0x00, 0x00, 0x00, ##  0000000000                            
            0xFF, 0x80, 0x00, 0x00, 0x00, ##  000000000                             
            0xFF, 0xFF, 0xFF, 0xFF, 0xFC, ##  00000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFC, ##  00000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFC, ##  00000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFC, ##  00000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFC, ##  00000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFC, ##  00000000000000000000000000000000000000
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '123' => {    # '{'
        'width'    => 34, 
        'xoffset'  => 11, 
        'xadvance' => 55, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0xFF, 0xC0, ##                          0000000000
            0x00, 0x00, 0x0F, 0xFF, 0xC0, ##                      00000000000000
            0x00, 0x00, 0x7F, 0xFF, 0xC0, ##                   00000000000000000
            0x00, 0x00, 0xFF, 0xFF, 0xC0, ##                  000000000000000000
            0x00, 0x01, 0xFF, 0xFF, 0xC0, ##                 0000000000000000000
            0x00, 0x01, 0xFF, 0xFF, 0xC0, ##                 0000000000000000000
            0x00, 0x03, 0xFF, 0xC0, 0x00, ##                000000000000        
            0x00, 0x03, 0xFE, 0x00, 0x00, ##                000000000           
            0x00, 0x03, 0xFC, 0x00, 0x00, ##                00000000            
            0x00, 0x07, 0xFC, 0x00, 0x00, ##               000000000            
            0x00, 0x07, 0xFC, 0x00, 0x00, ##               000000000            
            0x00, 0x07, 0xF8, 0x00, 0x00, ##               00000000             
            0x00, 0x07, 0xF8, 0x00, 0x00, ##               00000000             
            0x00, 0x07, 0xF8, 0x00, 0x00, ##               00000000             
            0x00, 0x07, 0xF8, 0x00, 0x00, ##               00000000             
            0x00, 0x07, 0xF8, 0x00, 0x00, ##               00000000             
            0x00, 0x07, 0xF8, 0x00, 0x00, ##               00000000             
            0x00, 0x07, 0xF8, 0x00, 0x00, ##               00000000             
            0x00, 0x07, 0xF8, 0x00, 0x00, ##               00000000             
            0x00, 0x07, 0xF8, 0x00, 0x00, ##               00000000             
            0x00, 0x07, 0xF8, 0x00, 0x00, ##               00000000             
            0x00, 0x07, 0xF8, 0x00, 0x00, ##               00000000             
            0x00, 0x07, 0xF8, 0x00, 0x00, ##               00000000             
            0x00, 0x07, 0xF8, 0x00, 0x00, ##               00000000             
            0x00, 0x07, 0xF8, 0x00, 0x00, ##               00000000             
            0x00, 0x07, 0xF8, 0x00, 0x00, ##               00000000             
            0x00, 0x07, 0xF8, 0x00, 0x00, ##               00000000             
            0x00, 0x07, 0xF8, 0x00, 0x00, ##               00000000             
            0x00, 0x07, 0xF8, 0x00, 0x00, ##               00000000             
            0x00, 0x07, 0xF8, 0x00, 0x00, ##               00000000             
            0x00, 0x07, 0xF8, 0x00, 0x00, ##               00000000             
            0x00, 0x0F, 0xF8, 0x00, 0x00, ##              000000000             
            0x00, 0x0F, 0xF0, 0x00, 0x00, ##              00000000              
            0x00, 0x0F, 0xF0, 0x00, 0x00, ##              00000000              
            0x00, 0x1F, 0xF0, 0x00, 0x00, ##             000000000              
            0x00, 0x3F, 0xE0, 0x00, 0x00, ##            000000000               
            0x01, 0xFF, 0xE0, 0x00, 0x00, ##         000000000000               
            0xFF, 0xFF, 0xC0, 0x00, 0x00, ##  000000000000000000                
            0xFF, 0xFF, 0x00, 0x00, 0x00, ##  0000000000000000                  
            0xFF, 0xFC, 0x00, 0x00, 0x00, ##  00000000000000                    
            0xFF, 0xFC, 0x00, 0x00, 0x00, ##  00000000000000                    
            0xFF, 0xFF, 0x00, 0x00, 0x00, ##  0000000000000000                  
            0xFF, 0xFF, 0x80, 0x00, 0x00, ##  00000000000000000                 
            0x01, 0xFF, 0xC0, 0x00, 0x00, ##         00000000000                
            0x00, 0x7F, 0xE0, 0x00, 0x00, ##           0000000000               
            0x00, 0x1F, 0xF0, 0x00, 0x00, ##             000000000              
            0x00, 0x1F, 0xF0, 0x00, 0x00, ##             000000000              
            0x00, 0x0F, 0xF0, 0x00, 0x00, ##              00000000              
            0x00, 0x0F, 0xF8, 0x00, 0x00, ##              000000000             
            0x00, 0x07, 0xF8, 0x00, 0x00, ##               00000000             
            0x00, 0x07, 0xF8, 0x00, 0x00, ##               00000000             
            0x00, 0x07, 0xF8, 0x00, 0x00, ##               00000000             
            0x00, 0x07, 0xF8, 0x00, 0x00, ##               00000000             
            0x00, 0x07, 0xF8, 0x00, 0x00, ##               00000000             
            0x00, 0x07, 0xF8, 0x00, 0x00, ##               00000000             
            0x00, 0x07, 0xF8, 0x00, 0x00, ##               00000000             
            0x00, 0x07, 0xF8, 0x00, 0x00, ##               00000000             
            0x00, 0x07, 0xF8, 0x00, 0x00, ##               00000000             
            0x00, 0x07, 0xF8, 0x00, 0x00, ##               00000000             
            0x00, 0x07, 0xF8, 0x00, 0x00, ##               00000000             
            0x00, 0x07, 0xF8, 0x00, 0x00, ##               00000000             
            0x00, 0x07, 0xF8, 0x00, 0x00, ##               00000000             
            0x00, 0x07, 0xF8, 0x00, 0x00, ##               00000000             
            0x00, 0x07, 0xF8, 0x00, 0x00, ##               00000000             
            0x00, 0x07, 0xF8, 0x00, 0x00, ##               00000000             
            0x00, 0x07, 0xF8, 0x00, 0x00, ##               00000000             
            0x00, 0x07, 0xF8, 0x00, 0x00, ##               00000000             
            0x00, 0x07, 0xF8, 0x00, 0x00, ##               00000000             
            0x00, 0x07, 0xF8, 0x00, 0x00, ##               00000000             
            0x00, 0x07, 0xF8, 0x00, 0x00, ##               00000000             
            0x00, 0x07, 0xFC, 0x00, 0x00, ##               000000000            
            0x00, 0x03, 0xFC, 0x00, 0x00, ##                00000000            
            0x00, 0x03, 0xFC, 0x00, 0x00, ##                00000000            
            0x00, 0x03, 0xFE, 0x00, 0x00, ##                000000000           
            0x00, 0x03, 0xFF, 0xC0, 0x00, ##                000000000000        
            0x00, 0x01, 0xFF, 0xFF, 0xC0, ##                 0000000000000000000
            0x00, 0x01, 0xFF, 0xFF, 0xC0, ##                 0000000000000000000
            0x00, 0x00, 0xFF, 0xFF, 0xC0, ##                  000000000000000000
            0x00, 0x00, 0x3F, 0xFF, 0xC0, ##                    0000000000000000
            0x00, 0x00, 0x1F, 0xFF, 0xC0, ##                     000000000000000
            0x00, 0x00, 0x00, 0xFF, 0xC0, ##                          0000000000
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '124' => {    # '|'
        'width'    => 7, 
        'xoffset'  => 11, 
        'xadvance' => 29, 
        'bitmap'   => [ 
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
        ], 
    }, 
    '125' => {    # '}'
        'width'    => 33, 
        'xoffset'  => 11, 
        'xadvance' => 55, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0xFF, 0x80, 0x00, 0x00, 0x00, ##  000000000                        
            0xFF, 0xF8, 0x00, 0x00, 0x00, ##  0000000000000                    
            0xFF, 0xFF, 0x00, 0x00, 0x00, ##  0000000000000000                 
            0xFF, 0xFF, 0x80, 0x00, 0x00, ##  00000000000000000                
            0xFF, 0xFF, 0xC0, 0x00, 0x00, ##  000000000000000000               
            0xFF, 0xFF, 0xC0, 0x00, 0x00, ##  000000000000000000               
            0x01, 0xFF, 0xE0, 0x00, 0x00, ##         000000000000              
            0x00, 0x3F, 0xE0, 0x00, 0x00, ##            000000000              
            0x00, 0x1F, 0xE0, 0x00, 0x00, ##             00000000              
            0x00, 0x1F, 0xE0, 0x00, 0x00, ##             00000000              
            0x00, 0x1F, 0xF0, 0x00, 0x00, ##             000000000             
            0x00, 0x0F, 0xF0, 0x00, 0x00, ##              00000000             
            0x00, 0x0F, 0xF0, 0x00, 0x00, ##              00000000             
            0x00, 0x0F, 0xF0, 0x00, 0x00, ##              00000000             
            0x00, 0x0F, 0xF0, 0x00, 0x00, ##              00000000             
            0x00, 0x0F, 0xF0, 0x00, 0x00, ##              00000000             
            0x00, 0x0F, 0xF0, 0x00, 0x00, ##              00000000             
            0x00, 0x0F, 0xF0, 0x00, 0x00, ##              00000000             
            0x00, 0x0F, 0xF0, 0x00, 0x00, ##              00000000             
            0x00, 0x0F, 0xF0, 0x00, 0x00, ##              00000000             
            0x00, 0x0F, 0xF0, 0x00, 0x00, ##              00000000             
            0x00, 0x0F, 0xF0, 0x00, 0x00, ##              00000000             
            0x00, 0x0F, 0xF0, 0x00, 0x00, ##              00000000             
            0x00, 0x0F, 0xF0, 0x00, 0x00, ##              00000000             
            0x00, 0x0F, 0xF0, 0x00, 0x00, ##              00000000             
            0x00, 0x0F, 0xF0, 0x00, 0x00, ##              00000000             
            0x00, 0x0F, 0xF0, 0x00, 0x00, ##              00000000             
            0x00, 0x0F, 0xF0, 0x00, 0x00, ##              00000000             
            0x00, 0x0F, 0xF0, 0x00, 0x00, ##              00000000             
            0x00, 0x0F, 0xF0, 0x00, 0x00, ##              00000000             
            0x00, 0x0F, 0xF0, 0x00, 0x00, ##              00000000             
            0x00, 0x0F, 0xF8, 0x00, 0x00, ##              000000000            
            0x00, 0x07, 0xF8, 0x00, 0x00, ##               00000000            
            0x00, 0x07, 0xF8, 0x00, 0x00, ##               00000000            
            0x00, 0x07, 0xFC, 0x00, 0x00, ##               000000000           
            0x00, 0x03, 0xFE, 0x00, 0x00, ##                000000000          
            0x00, 0x03, 0xFF, 0xC0, 0x00, ##                000000000000       
            0x00, 0x01, 0xFF, 0xFF, 0x80, ##                 000000000000000000
            0x00, 0x00, 0x7F, 0xFF, 0x80, ##                   0000000000000000
            0x00, 0x00, 0x1F, 0xFF, 0x80, ##                     00000000000000
            0x00, 0x00, 0x1F, 0xFF, 0x80, ##                     00000000000000
            0x00, 0x00, 0x7F, 0xFF, 0x80, ##                   0000000000000000
            0x00, 0x01, 0xFF, 0xFF, 0x80, ##                 000000000000000000
            0x00, 0x03, 0xFF, 0xC0, 0x00, ##                000000000000       
            0x00, 0x03, 0xFE, 0x00, 0x00, ##                000000000          
            0x00, 0x07, 0xFC, 0x00, 0x00, ##               000000000           
            0x00, 0x07, 0xFC, 0x00, 0x00, ##               000000000           
            0x00, 0x07, 0xF8, 0x00, 0x00, ##               00000000            
            0x00, 0x0F, 0xF8, 0x00, 0x00, ##              000000000            
            0x00, 0x0F, 0xF0, 0x00, 0x00, ##              00000000             
            0x00, 0x0F, 0xF0, 0x00, 0x00, ##              00000000             
            0x00, 0x0F, 0xF0, 0x00, 0x00, ##              00000000             
            0x00, 0x0F, 0xF0, 0x00, 0x00, ##              00000000             
            0x00, 0x0F, 0xF0, 0x00, 0x00, ##              00000000             
            0x00, 0x0F, 0xF0, 0x00, 0x00, ##              00000000             
            0x00, 0x0F, 0xF0, 0x00, 0x00, ##              00000000             
            0x00, 0x0F, 0xF0, 0x00, 0x00, ##              00000000             
            0x00, 0x0F, 0xF0, 0x00, 0x00, ##              00000000             
            0x00, 0x0F, 0xF0, 0x00, 0x00, ##              00000000             
            0x00, 0x0F, 0xF0, 0x00, 0x00, ##              00000000             
            0x00, 0x0F, 0xF0, 0x00, 0x00, ##              00000000             
            0x00, 0x0F, 0xF0, 0x00, 0x00, ##              00000000             
            0x00, 0x0F, 0xF0, 0x00, 0x00, ##              00000000             
            0x00, 0x0F, 0xF0, 0x00, 0x00, ##              00000000             
            0x00, 0x0F, 0xF0, 0x00, 0x00, ##              00000000             
            0x00, 0x0F, 0xF0, 0x00, 0x00, ##              00000000             
            0x00, 0x0F, 0xF0, 0x00, 0x00, ##              00000000             
            0x00, 0x0F, 0xF0, 0x00, 0x00, ##              00000000             
            0x00, 0x0F, 0xF0, 0x00, 0x00, ##              00000000             
            0x00, 0x0F, 0xF0, 0x00, 0x00, ##              00000000             
            0x00, 0x1F, 0xF0, 0x00, 0x00, ##             000000000             
            0x00, 0x1F, 0xE0, 0x00, 0x00, ##             00000000              
            0x00, 0x1F, 0xE0, 0x00, 0x00, ##             00000000              
            0x00, 0x3F, 0xE0, 0x00, 0x00, ##            000000000              
            0x01, 0xFF, 0xE0, 0x00, 0x00, ##         000000000000              
            0xFF, 0xFF, 0xC0, 0x00, 0x00, ##  000000000000000000               
            0xFF, 0xFF, 0xC0, 0x00, 0x00, ##  000000000000000000               
            0xFF, 0xFF, 0x80, 0x00, 0x00, ##  00000000000000000                
            0xFF, 0xFF, 0x00, 0x00, 0x00, ##  0000000000000000                 
            0xFF, 0xFC, 0x00, 0x00, 0x00, ##  00000000000000                   
            0xFF, 0x80, 0x00, 0x00, 0x00, ##  000000000                        
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '126' => {    # '~'
        'width'    => 55, 
        'xoffset'  => 9, 
        'xadvance' => 73, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, ##                                                        0
            0x00, 0x0F, 0xF0, 0x00, 0x00, 0x00, 0x06, ##              00000000                                 00
            0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x1E, ##          0000000000000000                           0000
            0x03, 0xFF, 0xFF, 0xE0, 0x00, 0x00, 0x3E, ##        000000000000000000000                       00000
            0x0F, 0xFF, 0xFF, 0xF8, 0x00, 0x00, 0xFE, ##      0000000000000000000000000                   0000000
            0x3F, 0xFF, 0xFF, 0xFF, 0x00, 0x03, 0xFE, ##    000000000000000000000000000000              000000000
            0x7F, 0xFF, 0xFF, 0xFF, 0xE0, 0x1F, 0xFE, ##   0000000000000000000000000000000000        000000000000
            0xFF, 0xE0, 0x1F, 0xFF, 0xFF, 0xFF, 0xFC, ##  00000000000        00000000000000000000000000000000000 
            0xFF, 0x00, 0x01, 0xFF, 0xFF, 0xFF, 0xF0, ##  00000000               00000000000000000000000000000   
            0xFC, 0x00, 0x00, 0x7F, 0xFF, 0xFF, 0xE0, ##  000000                   00000000000000000000000000    
            0xF8, 0x00, 0x00, 0x0F, 0xFF, 0xFF, 0x80, ##  00000                       000000000000000000000      
            0xE0, 0x00, 0x00, 0x03, 0xFF, 0xFE, 0x00, ##  000                           00000000000000000        
            0xC0, 0x00, 0x00, 0x00, 0x3F, 0xE0, 0x00, ##  00                                000000000            
            0x80, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  0                                                      
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '160' => {    # ' '
        'width'    => 0, 
        'xoffset'  => 0, 
        'xadvance' => 55, 
        'bitmap'   => [ 
            ##  
            ##  
            ##  
            ##  
            ##  
            ##  
            ##  
            ##  
            ##  
            ##  
            ##  
            ##  
            ##  
            ##  
            ##  
            ##  
            ##  
            ##  
            ##  
            ##  
            ##  
            ##  
            ##  
            ##  
            ##  
            ##  
            ##  
            ##  
            ##  
            ##  
            ##  
            ##  
            ##  
            ##  
            ##  
            ##  
            ##  
            ##  
            ##  
            ##  
            ##  
            ##  
            ##  
            ##  
            ##  
            ##  
            ##  
            ##  
            ##  
            ##  
            ##  
            ##  
            ##  
            ##  
            ##  
            ##  
            ##  
            ##  
            ##  
            ##  
            ##  
            ##  
            ##  
            ##  
            ##  
            ##  
            ##  
            ##  
            ##  
            ##  
            ##  
            ##  
            ##  
            ##  
            ##  
            ##  
            ##  
            ##  
            ##  
            ##  
            ##  
            ##  
            ##  
            ##  
            ##  
            ##  
            ##  
            ##  
            ##  
            ##  
            ##  
            ##  
            ##  
            ##  
            ##  
            ##  
            ##  
            ##  
            ##  
            ##  
            ##  
            ##  
        ], 
    }, 
    '161' => {    # '¡'
        'width'    => 8, 
        'xoffset'  => 13, 
        'xadvance' => 34, 
        'bitmap'   => [ 
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0x00, ##          
            0x00, ##          
            0x00, ##          
            0x00, ##          
            0x00, ##          
            0x00, ##          
            0x00, ##          
            0x00, ##          
            0x00, ##          
            0x00, ##          
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0xFF, ##  00000000
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
        ], 
    }, 
    '162' => {    # '¢'
        'width'    => 38, 
        'xoffset'  => 7, 
        'xadvance' => 55, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x03, 0xC0, 0x00, ##                        0000            
            0x00, 0x00, 0x03, 0xC0, 0x00, ##                        0000            
            0x00, 0x00, 0x03, 0xC0, 0x00, ##                        0000            
            0x00, 0x00, 0x03, 0xC0, 0x00, ##                        0000            
            0x00, 0x00, 0x03, 0xC0, 0x00, ##                        0000            
            0x00, 0x00, 0x03, 0xC0, 0x00, ##                        0000            
            0x00, 0x00, 0x03, 0xC0, 0x00, ##                        0000            
            0x00, 0x00, 0x03, 0xC0, 0x00, ##                        0000            
            0x00, 0x00, 0x03, 0xC0, 0x00, ##                        0000            
            0x00, 0x00, 0x03, 0xC0, 0x00, ##                        0000            
            0x00, 0x00, 0x03, 0xC0, 0x00, ##                        0000            
            0x00, 0x00, 0x03, 0xC0, 0x00, ##                        0000            
            0x00, 0x00, 0x03, 0xC0, 0x00, ##                        0000            
            0x00, 0x00, 0x3F, 0xFE, 0x00, ##                    0000000000000       
            0x00, 0x03, 0xFF, 0xFF, 0xE0, ##                000000000000000000000   
            0x00, 0x0F, 0xFF, 0xFF, 0xF8, ##              0000000000000000000000000 
            0x00, 0x3F, 0xFF, 0xFF, 0xFC, ##            0000000000000000000000000000
            0x00, 0x7F, 0xFF, 0xFF, 0xFC, ##           00000000000000000000000000000
            0x00, 0xFF, 0xFF, 0xFF, 0xFC, ##          000000000000000000000000000000
            0x03, 0xFF, 0xF3, 0xC3, 0xFC, ##        00000000000000  0000    00000000
            0x03, 0xFF, 0x83, 0xC0, 0x7C, ##        00000000000     0000       00000
            0x07, 0xFE, 0x03, 0xC0, 0x1C, ##       0000000000       0000         000
            0x0F, 0xFC, 0x03, 0xC0, 0x04, ##      0000000000        0000           0
            0x1F, 0xF8, 0x03, 0xC0, 0x00, ##     0000000000         0000            
            0x1F, 0xF0, 0x03, 0xC0, 0x00, ##     000000000          0000            
            0x3F, 0xE0, 0x03, 0xC0, 0x00, ##    000000000           0000            
            0x3F, 0xC0, 0x03, 0xC0, 0x00, ##    00000000            0000            
            0x3F, 0xC0, 0x03, 0xC0, 0x00, ##    00000000            0000            
            0x7F, 0xC0, 0x03, 0xC0, 0x00, ##   000000000            0000            
            0x7F, 0x80, 0x03, 0xC0, 0x00, ##   00000000             0000            
            0x7F, 0x80, 0x03, 0xC0, 0x00, ##   00000000             0000            
            0xFF, 0x80, 0x03, 0xC0, 0x00, ##  000000000             0000            
            0xFF, 0x00, 0x03, 0xC0, 0x00, ##  00000000              0000            
            0xFF, 0x00, 0x03, 0xC0, 0x00, ##  00000000              0000            
            0xFF, 0x00, 0x03, 0xC0, 0x00, ##  00000000              0000            
            0xFF, 0x00, 0x03, 0xC0, 0x00, ##  00000000              0000            
            0xFF, 0x00, 0x03, 0xC0, 0x00, ##  00000000              0000            
            0xFF, 0x00, 0x03, 0xC0, 0x00, ##  00000000              0000            
            0xFF, 0x00, 0x03, 0xC0, 0x00, ##  00000000              0000            
            0xFF, 0x00, 0x03, 0xC0, 0x00, ##  00000000              0000            
            0xFF, 0x00, 0x03, 0xC0, 0x00, ##  00000000              0000            
            0xFF, 0x00, 0x03, 0xC0, 0x00, ##  00000000              0000            
            0xFF, 0x00, 0x03, 0xC0, 0x00, ##  00000000              0000            
            0xFF, 0x80, 0x03, 0xC0, 0x00, ##  000000000             0000            
            0x7F, 0x80, 0x03, 0xC0, 0x00, ##   00000000             0000            
            0x7F, 0x80, 0x03, 0xC0, 0x00, ##   00000000             0000            
            0x7F, 0xC0, 0x03, 0xC0, 0x00, ##   000000000            0000            
            0x7F, 0xC0, 0x03, 0xC0, 0x00, ##   000000000            0000            
            0x3F, 0xE0, 0x03, 0xC0, 0x00, ##    000000000           0000            
            0x3F, 0xE0, 0x03, 0xC0, 0x00, ##    000000000           0000            
            0x1F, 0xF0, 0x03, 0xC0, 0x00, ##     000000000          0000            
            0x1F, 0xF8, 0x03, 0xC0, 0x00, ##     0000000000         0000            
            0x0F, 0xFC, 0x03, 0xC0, 0x04, ##      0000000000        0000           0
            0x07, 0xFF, 0x03, 0xC0, 0x1C, ##       00000000000      0000         000
            0x07, 0xFF, 0xC3, 0xC0, 0xFC, ##       0000000000000    0000      000000
            0x03, 0xFF, 0xFB, 0xCF, 0xFC, ##        000000000000000 0000  0000000000
            0x01, 0xFF, 0xFF, 0xFF, 0xFC, ##         0000000000000000000000000000000
            0x00, 0xFF, 0xFF, 0xFF, 0xFC, ##          000000000000000000000000000000
            0x00, 0x3F, 0xFF, 0xFF, 0xFC, ##            0000000000000000000000000000
            0x00, 0x0F, 0xFF, 0xFF, 0xF8, ##              0000000000000000000000000 
            0x00, 0x03, 0xFF, 0xFF, 0xE0, ##                000000000000000000000   
            0x00, 0x00, 0x7F, 0xFE, 0x00, ##                   00000000000000       
            0x00, 0x00, 0x03, 0xC0, 0x00, ##                        0000            
            0x00, 0x00, 0x03, 0xC0, 0x00, ##                        0000            
            0x00, 0x00, 0x03, 0xC0, 0x00, ##                        0000            
            0x00, 0x00, 0x03, 0xC0, 0x00, ##                        0000            
            0x00, 0x00, 0x03, 0xC0, 0x00, ##                        0000            
            0x00, 0x00, 0x03, 0xC0, 0x00, ##                        0000            
            0x00, 0x00, 0x03, 0xC0, 0x00, ##                        0000            
            0x00, 0x00, 0x03, 0xC0, 0x00, ##                        0000            
            0x00, 0x00, 0x03, 0xC0, 0x00, ##                        0000            
            0x00, 0x00, 0x03, 0xC0, 0x00, ##                        0000            
            0x00, 0x00, 0x03, 0xC0, 0x00, ##                        0000            
            0x00, 0x00, 0x03, 0xC0, 0x00, ##                        0000            
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '163' => {    # '£'
        'width'    => 42, 
        'xoffset'  => 5, 
        'xadvance' => 55, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x01, 0xFF, 0xC0, 0x00, ##                         00000000000        
            0x00, 0x00, 0x0F, 0xFF, 0xFE, 0x00, ##                      0000000000000000000   
            0x00, 0x00, 0x3F, 0xFF, 0xFF, 0x80, ##                    00000000000000000000000 
            0x00, 0x00, 0xFF, 0xFF, 0xFF, 0x80, ##                  0000000000000000000000000 
            0x00, 0x01, 0xFF, 0xFF, 0xFF, 0x80, ##                 00000000000000000000000000 
            0x00, 0x03, 0xFF, 0xFF, 0xFF, 0x80, ##                000000000000000000000000000 
            0x00, 0x03, 0xFF, 0x80, 0x7F, 0x80, ##                00000000000        00000000 
            0x00, 0x07, 0xFE, 0x00, 0x07, 0x80, ##               0000000000              0000 
            0x00, 0x0F, 0xF8, 0x00, 0x01, 0x80, ##              000000000                  00 
            0x00, 0x0F, 0xF0, 0x00, 0x00, 0x00, ##              00000000                      
            0x00, 0x0F, 0xF0, 0x00, 0x00, 0x00, ##              00000000                      
            0x00, 0x1F, 0xE0, 0x00, 0x00, 0x00, ##             00000000                       
            0x00, 0x1F, 0xE0, 0x00, 0x00, 0x00, ##             00000000                       
            0x00, 0x1F, 0xE0, 0x00, 0x00, 0x00, ##             00000000                       
            0x00, 0x1F, 0xE0, 0x00, 0x00, 0x00, ##             00000000                       
            0x00, 0x3F, 0xC0, 0x00, 0x00, 0x00, ##            00000000                        
            0x00, 0x3F, 0xC0, 0x00, 0x00, 0x00, ##            00000000                        
            0x00, 0x3F, 0xC0, 0x00, 0x00, 0x00, ##            00000000                        
            0x00, 0x3F, 0xC0, 0x00, 0x00, 0x00, ##            00000000                        
            0x00, 0x3F, 0xC0, 0x00, 0x00, 0x00, ##            00000000                        
            0x00, 0x3F, 0xC0, 0x00, 0x00, 0x00, ##            00000000                        
            0x00, 0x3F, 0xC0, 0x00, 0x00, 0x00, ##            00000000                        
            0x00, 0x3F, 0xC0, 0x00, 0x00, 0x00, ##            00000000                        
            0x00, 0x3F, 0xC0, 0x00, 0x00, 0x00, ##            00000000                        
            0x00, 0x3F, 0xC0, 0x00, 0x00, 0x00, ##            00000000                        
            0x00, 0x3F, 0xC0, 0x00, 0x00, 0x00, ##            00000000                        
            0x00, 0x3F, 0xC0, 0x00, 0x00, 0x00, ##            00000000                        
            0x00, 0x3F, 0xC0, 0x00, 0x00, 0x00, ##            00000000                        
            0x00, 0x3F, 0xC0, 0x00, 0x00, 0x00, ##            00000000                        
            0x00, 0x3F, 0xC0, 0x00, 0x00, 0x00, ##            00000000                        
            0x00, 0x3F, 0xC0, 0x00, 0x00, 0x00, ##            00000000                        
            0x00, 0x3F, 0xC0, 0x00, 0x00, 0x00, ##            00000000                        
            0x7F, 0xFF, 0xFF, 0xFF, 0xE0, 0x00, ##   0000000000000000000000000000000000       
            0x7F, 0xFF, 0xFF, 0xFF, 0xE0, 0x00, ##   0000000000000000000000000000000000       
            0x7F, 0xFF, 0xFF, 0xFF, 0xE0, 0x00, ##   0000000000000000000000000000000000       
            0x7F, 0xFF, 0xFF, 0xFF, 0xE0, 0x00, ##   0000000000000000000000000000000000       
            0x7F, 0xFF, 0xFF, 0xFF, 0xE0, 0x00, ##   0000000000000000000000000000000000       
            0x7F, 0xFF, 0xFF, 0xFF, 0xE0, 0x00, ##   0000000000000000000000000000000000       
            0x00, 0x3F, 0xC0, 0x00, 0x00, 0x00, ##            00000000                        
            0x00, 0x3F, 0xC0, 0x00, 0x00, 0x00, ##            00000000                        
            0x00, 0x3F, 0xC0, 0x00, 0x00, 0x00, ##            00000000                        
            0x00, 0x3F, 0xC0, 0x00, 0x00, 0x00, ##            00000000                        
            0x00, 0x3F, 0xC0, 0x00, 0x00, 0x00, ##            00000000                        
            0x00, 0x3F, 0xC0, 0x00, 0x00, 0x00, ##            00000000                        
            0x00, 0x3F, 0xC0, 0x00, 0x00, 0x00, ##            00000000                        
            0x00, 0x3F, 0xC0, 0x00, 0x00, 0x00, ##            00000000                        
            0x00, 0x3F, 0xC0, 0x00, 0x00, 0x00, ##            00000000                        
            0x00, 0x3F, 0xC0, 0x00, 0x00, 0x00, ##            00000000                        
            0x00, 0x3F, 0xC0, 0x00, 0x00, 0x00, ##            00000000                        
            0x00, 0x3F, 0xC0, 0x00, 0x00, 0x00, ##            00000000                        
            0x00, 0x3F, 0xC0, 0x00, 0x00, 0x00, ##            00000000                        
            0x00, 0x3F, 0xC0, 0x00, 0x00, 0x00, ##            00000000                        
            0x00, 0x3F, 0xC0, 0x00, 0x00, 0x00, ##            00000000                        
            0x00, 0x3F, 0xC0, 0x00, 0x00, 0x00, ##            00000000                        
            0x00, 0x3F, 0xC0, 0x00, 0x00, 0x00, ##            00000000                        
            0x00, 0x3F, 0xC0, 0x00, 0x00, 0x00, ##            00000000                        
            0x00, 0x3F, 0xC0, 0x00, 0x00, 0x00, ##            00000000                        
            0x00, 0x3F, 0xC0, 0x00, 0x00, 0x00, ##            00000000                        
            0x00, 0x3F, 0xC0, 0x00, 0x00, 0x00, ##            00000000                        
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xC0, ##  000000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xC0, ##  000000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xC0, ##  000000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xC0, ##  000000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xC0, ##  000000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xC0, ##  000000000000000000000000000000000000000000
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '164' => {    # '¤'
        'width'    => 48, 
        'xoffset'  => 4, 
        'xadvance' => 56, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                  
            0x0C, 0x00, 0x00, 0x00, 0x00, 0x30, ##      00                                    00    
            0x1F, 0x00, 0x00, 0x00, 0x00, 0x78, ##     00000                                 0000   
            0x3F, 0x80, 0x00, 0x00, 0x00, 0xFC, ##    0000000                               000000  
            0x7F, 0xC0, 0x00, 0x00, 0x01, 0xFE, ##   000000000                             00000000 
            0x7F, 0xE0, 0x00, 0x00, 0x03, 0xFE, ##   0000000000                           000000000 
            0x3F, 0xF0, 0x0F, 0xF0, 0x07, 0xFC, ##    0000000000        00000000         000000000  
            0x1F, 0xF8, 0x7F, 0xFE, 0x0F, 0xF8, ##     0000000000    00000000000000     000000000   
            0x0F, 0xFD, 0xFF, 0xFF, 0x9F, 0xF0, ##      0000000000 000000000000000000  000000000    
            0x07, 0xFF, 0xFF, 0xFF, 0xFF, 0xE0, ##       00000000000000000000000000000000000000     
            0x03, 0xFF, 0xFF, 0xFF, 0xFF, 0xC0, ##        000000000000000000000000000000000000      
            0x01, 0xFF, 0xFF, 0xFF, 0xFF, 0x80, ##         0000000000000000000000000000000000       
            0x00, 0xFF, 0xF8, 0x1F, 0xFF, 0x00, ##          0000000000000      0000000000000        
            0x00, 0x7F, 0xE0, 0x07, 0xFE, 0x00, ##           0000000000          0000000000         
            0x00, 0x7F, 0x80, 0x01, 0xFE, 0x00, ##           00000000              00000000         
            0x00, 0xFF, 0x00, 0x00, 0xFF, 0x00, ##          00000000                00000000        
            0x00, 0xFE, 0x00, 0x00, 0x7F, 0x00, ##          0000000                  0000000        
            0x01, 0xFE, 0x00, 0x00, 0x7F, 0x80, ##         00000000                  00000000       
            0x01, 0xFC, 0x00, 0x00, 0x3F, 0x80, ##         0000000                    0000000       
            0x01, 0xFC, 0x00, 0x00, 0x3F, 0x80, ##         0000000                    0000000       
            0x03, 0xF8, 0x00, 0x00, 0x1F, 0xC0, ##        0000000                      0000000      
            0x03, 0xF8, 0x00, 0x00, 0x1F, 0xC0, ##        0000000                      0000000      
            0x03, 0xF8, 0x00, 0x00, 0x1F, 0xC0, ##        0000000                      0000000      
            0x03, 0xF8, 0x00, 0x00, 0x1F, 0xC0, ##        0000000                      0000000      
            0x03, 0xF8, 0x00, 0x00, 0x1F, 0xC0, ##        0000000                      0000000      
            0x03, 0xF8, 0x00, 0x00, 0x1F, 0xC0, ##        0000000                      0000000      
            0x03, 0xF8, 0x00, 0x00, 0x1F, 0xC0, ##        0000000                      0000000      
            0x03, 0xF8, 0x00, 0x00, 0x1F, 0xC0, ##        0000000                      0000000      
            0x01, 0xFC, 0x00, 0x00, 0x3F, 0x80, ##         0000000                    0000000       
            0x01, 0xFC, 0x00, 0x00, 0x3F, 0x80, ##         0000000                    0000000       
            0x01, 0xFE, 0x00, 0x00, 0x7F, 0x80, ##         00000000                  00000000       
            0x00, 0xFE, 0x00, 0x00, 0x7F, 0x00, ##          0000000                  0000000        
            0x00, 0xFF, 0x00, 0x00, 0xFF, 0x00, ##          00000000                00000000        
            0x00, 0x7F, 0x80, 0x01, 0xFE, 0x00, ##           00000000              00000000         
            0x00, 0x7F, 0xE0, 0x07, 0xFE, 0x00, ##           0000000000          0000000000         
            0x00, 0xFF, 0xF8, 0x1F, 0xFF, 0x00, ##          0000000000000      0000000000000        
            0x01, 0xFF, 0xFF, 0xFF, 0xFF, 0x80, ##         0000000000000000000000000000000000       
            0x03, 0xFF, 0xFF, 0xFF, 0xFF, 0xC0, ##        000000000000000000000000000000000000      
            0x07, 0xFF, 0xFF, 0xFF, 0xFF, 0xE0, ##       00000000000000000000000000000000000000     
            0x0F, 0xFD, 0xFF, 0xFF, 0xBF, 0xF0, ##      0000000000 000000000000000000 0000000000    
            0x1F, 0xF8, 0x7F, 0xFE, 0x1F, 0xF8, ##     0000000000    00000000000000    0000000000   
            0x3F, 0xF0, 0x0F, 0xF0, 0x0F, 0xFC, ##    0000000000        00000000        0000000000  
            0x7F, 0xE0, 0x00, 0x00, 0x07, 0xFE, ##   0000000000                          0000000000 
            0x7F, 0xC0, 0x00, 0x00, 0x03, 0xFE, ##   000000000                            000000000 
            0x3F, 0x80, 0x00, 0x00, 0x01, 0xFC, ##    0000000                              0000000  
            0x1F, 0x00, 0x00, 0x00, 0x00, 0x78, ##     00000                                 0000   
            0x0C, 0x00, 0x00, 0x00, 0x00, 0x30, ##      00                                    00    
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '165' => {    # '¥'
        'width'    => 48, 
        'xoffset'  => 4, 
        'xadvance' => 56, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x01, 0xFF, ##  00000000                               000000000
            0x7F, 0x80, 0x00, 0x00, 0x01, 0xFE, ##   00000000                              00000000 
            0x7F, 0xC0, 0x00, 0x00, 0x03, 0xFE, ##   000000000                            000000000 
            0x3F, 0xC0, 0x00, 0x00, 0x03, 0xFC, ##    00000000                            00000000  
            0x3F, 0xE0, 0x00, 0x00, 0x07, 0xFC, ##    000000000                          000000000  
            0x1F, 0xE0, 0x00, 0x00, 0x07, 0xF8, ##     00000000                          00000000   
            0x0F, 0xF0, 0x00, 0x00, 0x0F, 0xF8, ##      00000000                        000000000   
            0x0F, 0xF0, 0x00, 0x00, 0x0F, 0xF0, ##      00000000                        00000000    
            0x07, 0xF8, 0x00, 0x00, 0x1F, 0xE0, ##       00000000                      00000000     
            0x07, 0xF8, 0x00, 0x00, 0x1F, 0xE0, ##       00000000                      00000000     
            0x03, 0xFC, 0x00, 0x00, 0x3F, 0xC0, ##        00000000                    00000000      
            0x03, 0xFC, 0x00, 0x00, 0x3F, 0xC0, ##        00000000                    00000000      
            0x01, 0xFE, 0x00, 0x00, 0x7F, 0x80, ##         00000000                  00000000       
            0x01, 0xFE, 0x00, 0x00, 0x7F, 0x80, ##         00000000                  00000000       
            0x00, 0xFF, 0x00, 0x00, 0xFF, 0x00, ##          00000000                00000000        
            0x00, 0xFF, 0x00, 0x00, 0xFF, 0x00, ##          00000000                00000000        
            0x00, 0x7F, 0x80, 0x01, 0xFE, 0x00, ##           00000000              00000000         
            0x00, 0x7F, 0xC0, 0x03, 0xFE, 0x00, ##           000000000            000000000         
            0x00, 0x3F, 0xC0, 0x03, 0xFC, 0x00, ##            00000000            00000000          
            0x00, 0x3F, 0xE0, 0x07, 0xF8, 0x00, ##            000000000          00000000           
            0x00, 0x1F, 0xE0, 0x07, 0xF8, 0x00, ##             00000000          00000000           
            0x00, 0x0F, 0xF0, 0x0F, 0xF0, 0x00, ##              00000000        00000000            
            0x00, 0x0F, 0xF0, 0x0F, 0xF0, 0x00, ##              00000000        00000000            
            0x00, 0x07, 0xF8, 0x1F, 0xE0, 0x00, ##               00000000      00000000             
            0x00, 0x07, 0xF8, 0x1F, 0xE0, 0x00, ##               00000000      00000000             
            0x3F, 0xFF, 0xFC, 0x3F, 0xFF, 0xFC, ##    00000000000000000000    00000000000000000000  
            0x3F, 0xFF, 0xFC, 0x3F, 0xFF, 0xFC, ##    00000000000000000000    00000000000000000000  
            0x3F, 0xFF, 0xFE, 0x7F, 0xFF, 0xFC, ##    000000000000000000000  000000000000000000000  
            0x3F, 0xFF, 0xFE, 0x7F, 0xFF, 0xFC, ##    000000000000000000000  000000000000000000000  
            0x3F, 0xFF, 0xFF, 0xFF, 0xFF, 0xFC, ##    00000000000000000000000000000000000000000000  
            0x00, 0x00, 0x7F, 0xFE, 0x00, 0x00, ##                   00000000000000                 
            0x00, 0x00, 0x7F, 0xFE, 0x00, 0x00, ##                   00000000000000                 
            0x00, 0x00, 0x3F, 0xFC, 0x00, 0x00, ##                    000000000000                  
            0x00, 0x00, 0x3F, 0xFC, 0x00, 0x00, ##                    000000000000                  
            0x00, 0x00, 0x1F, 0xF8, 0x00, 0x00, ##                     0000000000                   
            0x00, 0x00, 0x1F, 0xF8, 0x00, 0x00, ##                     0000000000                   
            0x00, 0x00, 0x0F, 0xF0, 0x00, 0x00, ##                      00000000                    
            0x00, 0x00, 0x0F, 0xF0, 0x00, 0x00, ##                      00000000                    
            0x00, 0x00, 0x0F, 0xF0, 0x00, 0x00, ##                      00000000                    
            0x3F, 0xFF, 0xFF, 0xFF, 0xFF, 0xFC, ##    00000000000000000000000000000000000000000000  
            0x3F, 0xFF, 0xFF, 0xFF, 0xFF, 0xFC, ##    00000000000000000000000000000000000000000000  
            0x3F, 0xFF, 0xFF, 0xFF, 0xFF, 0xFC, ##    00000000000000000000000000000000000000000000  
            0x3F, 0xFF, 0xFF, 0xFF, 0xFF, 0xFC, ##    00000000000000000000000000000000000000000000  
            0x3F, 0xFF, 0xFF, 0xFF, 0xFF, 0xFC, ##    00000000000000000000000000000000000000000000  
            0x00, 0x00, 0x0F, 0xF0, 0x00, 0x00, ##                      00000000                    
            0x00, 0x00, 0x0F, 0xF0, 0x00, 0x00, ##                      00000000                    
            0x00, 0x00, 0x0F, 0xF0, 0x00, 0x00, ##                      00000000                    
            0x00, 0x00, 0x0F, 0xF0, 0x00, 0x00, ##                      00000000                    
            0x00, 0x00, 0x0F, 0xF0, 0x00, 0x00, ##                      00000000                    
            0x00, 0x00, 0x0F, 0xF0, 0x00, 0x00, ##                      00000000                    
            0x00, 0x00, 0x0F, 0xF0, 0x00, 0x00, ##                      00000000                    
            0x00, 0x00, 0x0F, 0xF0, 0x00, 0x00, ##                      00000000                    
            0x00, 0x00, 0x0F, 0xF0, 0x00, 0x00, ##                      00000000                    
            0x00, 0x00, 0x0F, 0xF0, 0x00, 0x00, ##                      00000000                    
            0x00, 0x00, 0x0F, 0xF0, 0x00, 0x00, ##                      00000000                    
            0x00, 0x00, 0x0F, 0xF0, 0x00, 0x00, ##                      00000000                    
            0x00, 0x00, 0x0F, 0xF0, 0x00, 0x00, ##                      00000000                    
            0x00, 0x00, 0x0F, 0xF0, 0x00, 0x00, ##                      00000000                    
            0x00, 0x00, 0x0F, 0xF0, 0x00, 0x00, ##                      00000000                    
            0x00, 0x00, 0x0F, 0xF0, 0x00, 0x00, ##                      00000000                    
            0x00, 0x00, 0x0F, 0xF0, 0x00, 0x00, ##                      00000000                    
            0x00, 0x00, 0x0F, 0xF0, 0x00, 0x00, ##                      00000000                    
            0x00, 0x00, 0x0F, 0xF0, 0x00, 0x00, ##                      00000000                    
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '166' => {    # '¦'
        'width'    => 7, 
        'xoffset'  => 11, 
        'xadvance' => 29, 
        'bitmap'   => [ 
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0x00, ##         
            0x00, ##         
            0x00, ##         
            0x00, ##         
            0x00, ##         
            0x00, ##         
            0x00, ##         
            0x00, ##         
            0x00, ##         
            0x00, ##         
            0x00, ##         
            0x00, ##         
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
        ], 
    }, 
    '167' => {    # '§'
        'width'    => 36, 
        'xoffset'  => 4, 
        'xadvance' => 44, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x03, 0xFF, 0x00, 0x00, ##                0000000000            
            0x00, 0x3F, 0xFF, 0xF8, 0x00, ##            0000000000000000000       
            0x00, 0xFF, 0xFF, 0xFF, 0x00, ##          000000000000000000000000    
            0x01, 0xFF, 0xFF, 0xFF, 0x00, ##         0000000000000000000000000    
            0x03, 0xFF, 0xFF, 0xFF, 0x00, ##        00000000000000000000000000    
            0x07, 0xFF, 0xFF, 0xFF, 0x00, ##       000000000000000000000000000    
            0x0F, 0xFF, 0x00, 0xFF, 0x00, ##      000000000000        00000000    
            0x0F, 0xFC, 0x00, 0x1F, 0x00, ##      0000000000             00000    
            0x0F, 0xF0, 0x00, 0x03, 0x00, ##      00000000                  00    
            0x1F, 0xF0, 0x00, 0x00, 0x00, ##     000000000                        
            0x1F, 0xE0, 0x00, 0x00, 0x00, ##     00000000                         
            0x1F, 0xE0, 0x00, 0x00, 0x00, ##     00000000                         
            0x1F, 0xE0, 0x00, 0x00, 0x00, ##     00000000                         
            0x1F, 0xE0, 0x00, 0x00, 0x00, ##     00000000                         
            0x1F, 0xF0, 0x00, 0x00, 0x00, ##     000000000                        
            0x1F, 0xF0, 0x00, 0x00, 0x00, ##     000000000                        
            0x0F, 0xF8, 0x00, 0x00, 0x00, ##      000000000                       
            0x0F, 0xFC, 0x00, 0x00, 0x00, ##      0000000000                      
            0x07, 0xFE, 0x00, 0x00, 0x00, ##       0000000000                     
            0x03, 0xFF, 0x80, 0x00, 0x00, ##        00000000000                   
            0x03, 0xFF, 0xC0, 0x00, 0x00, ##        000000000000                  
            0x00, 0xFF, 0xF0, 0x00, 0x00, ##          000000000000                
            0x01, 0xFF, 0xFC, 0x00, 0x00, ##         000000000000000              
            0x07, 0xFF, 0xFF, 0x00, 0x00, ##       0000000000000000000            
            0x0F, 0xFF, 0xFF, 0x80, 0x00, ##      000000000000000000000           
            0x1F, 0xE3, 0xFF, 0xE0, 0x00, ##     00000000   0000000000000         
            0x3F, 0xC1, 0xFF, 0xF0, 0x00, ##    00000000     0000000000000        
            0x3F, 0x80, 0x7F, 0xFC, 0x00, ##    0000000        0000000000000      
            0x7F, 0x00, 0x1F, 0xFE, 0x00, ##   0000000           000000000000     
            0x7F, 0x00, 0x0F, 0xFF, 0x00, ##   0000000            000000000000    
            0xFE, 0x00, 0x03, 0xFF, 0x80, ##  0000000               00000000000   
            0xFE, 0x00, 0x00, 0xFF, 0xC0, ##  0000000                 0000000000  
            0xFE, 0x00, 0x00, 0x7F, 0xE0, ##  0000000                  0000000000 
            0xFE, 0x00, 0x00, 0x3F, 0xE0, ##  0000000                   000000000 
            0xFE, 0x00, 0x00, 0x1F, 0xE0, ##  0000000                    00000000 
            0xFF, 0x00, 0x00, 0x0F, 0xF0, ##  00000000                    00000000
            0xFF, 0x00, 0x00, 0x0F, 0xF0, ##  00000000                    00000000
            0x7F, 0x80, 0x00, 0x07, 0xF0, ##   00000000                    0000000
            0x7F, 0xC0, 0x00, 0x07, 0xF0, ##   000000000                   0000000
            0x7F, 0xE0, 0x00, 0x07, 0xF0, ##   0000000000                  0000000
            0x3F, 0xF0, 0x00, 0x07, 0xF0, ##    0000000000                 0000000
            0x1F, 0xFC, 0x00, 0x07, 0xF0, ##     00000000000               0000000
            0x0F, 0xFE, 0x00, 0x0F, 0xE0, ##      00000000000             0000000 
            0x07, 0xFF, 0x80, 0x0F, 0xE0, ##       000000000000           0000000 
            0x03, 0xFF, 0xC0, 0x1F, 0xC0, ##        000000000000         0000000  
            0x01, 0xFF, 0xF0, 0x3F, 0xC0, ##         0000000000000      00000000  
            0x00, 0x7F, 0xFC, 0x7F, 0x80, ##           0000000000000   00000000   
            0x00, 0x3F, 0xFF, 0xFF, 0x00, ##            0000000000000000000000    
            0x00, 0x0F, 0xFF, 0xFE, 0x00, ##              0000000000000000000     
            0x00, 0x03, 0xFF, 0xF8, 0x00, ##                000000000000000       
            0x00, 0x00, 0xFF, 0xF0, 0x00, ##                  000000000000        
            0x00, 0x00, 0x7F, 0xF8, 0x00, ##                   000000000000       
            0x00, 0x00, 0x1F, 0xFC, 0x00, ##                     00000000000      
            0x00, 0x00, 0x0F, 0xFE, 0x00, ##                      00000000000     
            0x00, 0x00, 0x07, 0xFF, 0x00, ##                       00000000000    
            0x00, 0x00, 0x01, 0xFF, 0x00, ##                         000000000    
            0x00, 0x00, 0x01, 0xFF, 0x00, ##                         000000000    
            0x00, 0x00, 0x00, 0xFF, 0x80, ##                          000000000   
            0x00, 0x00, 0x00, 0x7F, 0x80, ##                           00000000   
            0x00, 0x00, 0x00, 0x7F, 0x80, ##                           00000000   
            0x00, 0x00, 0x00, 0x7F, 0x80, ##                           00000000   
            0x00, 0x00, 0x00, 0x7F, 0x80, ##                           00000000   
            0x00, 0x00, 0x00, 0x7F, 0x80, ##                           00000000   
            0x00, 0x00, 0x00, 0xFF, 0x80, ##                          000000000   
            0x08, 0x00, 0x01, 0xFF, 0x00, ##      0                  000000000    
            0x0F, 0x00, 0x03, 0xFF, 0x00, ##      0000              0000000000    
            0x0F, 0xF0, 0x0F, 0xFE, 0x00, ##      00000000        00000000000     
            0x0F, 0xFF, 0xFF, 0xFE, 0x00, ##      000000000000000000000000000     
            0x0F, 0xFF, 0xFF, 0xFC, 0x00, ##      00000000000000000000000000      
            0x0F, 0xFF, 0xFF, 0xF8, 0x00, ##      0000000000000000000000000       
            0x0F, 0xFF, 0xFF, 0xE0, 0x00, ##      00000000000000000000000         
            0x01, 0xFF, 0xFF, 0x80, 0x00, ##         000000000000000000           
            0x00, 0x1F, 0xFC, 0x00, 0x00, ##             00000000000              
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '168' => {    # '¨'
        'width'    => 25, 
        'xoffset'  => 9, 
        'xadvance' => 43, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0xFF, 0x00, 0x7F, 0x80, ##  00000000         00000000
            0xFF, 0x00, 0x7F, 0x80, ##  00000000         00000000
            0xFF, 0x00, 0x7F, 0x80, ##  00000000         00000000
            0xFF, 0x00, 0x7F, 0x80, ##  00000000         00000000
            0xFF, 0x00, 0x7F, 0x80, ##  00000000         00000000
            0xFF, 0x00, 0x7F, 0x80, ##  00000000         00000000
            0xFF, 0x00, 0x7F, 0x80, ##  00000000         00000000
            0xFF, 0x00, 0x7F, 0x80, ##  00000000         00000000
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '169' => {    # '©'
        'width'    => 63, 
        'xoffset'  => 12, 
        'xadvance' => 87, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x3F, 0xF8, 0x00, 0x00, 0x00, ##                            00000000000                          
            0x00, 0x00, 0x03, 0xFF, 0xFF, 0x80, 0x00, 0x00, ##                        0000000000000000000                      
            0x00, 0x00, 0x1F, 0xFF, 0xFF, 0xF0, 0x00, 0x00, ##                     0000000000000000000000000                   
            0x00, 0x00, 0x7F, 0xFF, 0xFF, 0xFC, 0x00, 0x00, ##                   00000000000000000000000000000                 
            0x00, 0x01, 0xFF, 0xC0, 0x07, 0xFF, 0x00, 0x00, ##                 00000000000           00000000000               
            0x00, 0x03, 0xFC, 0x00, 0x00, 0x7F, 0x80, 0x00, ##                00000000                   00000000              
            0x00, 0x0F, 0xF0, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##              00000000                       00000000            
            0x00, 0x1F, 0xC0, 0x00, 0x00, 0x07, 0xF0, 0x00, ##             0000000                           0000000           
            0x00, 0x3F, 0x00, 0x00, 0x00, 0x01, 0xF8, 0x00, ##            000000                               000000          
            0x00, 0x7E, 0x00, 0x00, 0x00, 0x00, 0xFC, 0x00, ##           000000                                 000000         
            0x00, 0xFC, 0x00, 0x00, 0x00, 0x00, 0x7E, 0x00, ##          000000                                   000000        
            0x01, 0xF8, 0x00, 0x00, 0x00, 0x00, 0x3F, 0x00, ##         000000                                     000000       
            0x03, 0xF0, 0x00, 0x0F, 0xFC, 0x00, 0x1F, 0x80, ##        000000                0000000000             000000      
            0x03, 0xE0, 0x00, 0xFF, 0xFF, 0xC0, 0x0F, 0x80, ##        00000             000000000000000000          00000      
            0x07, 0xC0, 0x03, 0xFF, 0xFF, 0xF8, 0x07, 0xC0, ##       00000            00000000000000000000000        00000     
            0x0F, 0x80, 0x0F, 0xFF, 0xFF, 0xF8, 0x03, 0xE0, ##      00000           0000000000000000000000000         00000    
            0x0F, 0x80, 0x1F, 0xFF, 0xFF, 0xF8, 0x01, 0xE0, ##      00000          00000000000000000000000000          0000    
            0x1F, 0x00, 0x3F, 0xF8, 0x03, 0xF8, 0x01, 0xF0, ##     00000          00000000000         0000000          00000   
            0x1E, 0x00, 0x7F, 0xE0, 0x00, 0x38, 0x00, 0xF0, ##     0000          0000000000               000           0000   
            0x3E, 0x00, 0xFF, 0x80, 0x00, 0x08, 0x00, 0xF8, ##    00000         000000000                   0           00000  
            0x3C, 0x00, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x78, ##    0000          00000000                                 0000  
            0x3C, 0x01, 0xFE, 0x00, 0x00, 0x00, 0x00, 0x78, ##    0000         00000000                                  0000  
            0x78, 0x01, 0xFC, 0x00, 0x00, 0x00, 0x00, 0x3C, ##   0000          0000000                                    0000 
            0x78, 0x03, 0xFC, 0x00, 0x00, 0x00, 0x00, 0x3C, ##   0000         00000000                                    0000 
            0x78, 0x03, 0xF8, 0x00, 0x00, 0x00, 0x00, 0x3C, ##   0000         0000000                                     0000 
            0x78, 0x03, 0xF8, 0x00, 0x00, 0x00, 0x00, 0x3C, ##   0000         0000000                                     0000 
            0xF0, 0x07, 0xF8, 0x00, 0x00, 0x00, 0x00, 0x1E, ##  0000         00000000                                      0000
            0xF0, 0x07, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x1E, ##  0000         0000000                                       0000
            0xF0, 0x07, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x1E, ##  0000         0000000                                       0000
            0xF0, 0x07, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x1E, ##  0000         0000000                                       0000
            0xF0, 0x07, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x1E, ##  0000         0000000                                       0000
            0xF0, 0x07, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x1E, ##  0000         0000000                                       0000
            0xF0, 0x07, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x1E, ##  0000         0000000                                       0000
            0xF0, 0x07, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x1E, ##  0000         0000000                                       0000
            0xF0, 0x07, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x1E, ##  0000         0000000                                       0000
            0xF0, 0x07, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x1E, ##  0000         0000000                                       0000
            0xF0, 0x07, 0xF8, 0x00, 0x00, 0x00, 0x00, 0x1E, ##  0000         00000000                                      0000
            0x78, 0x03, 0xF8, 0x00, 0x00, 0x00, 0x00, 0x3C, ##   0000         0000000                                     0000 
            0x78, 0x03, 0xF8, 0x00, 0x00, 0x00, 0x00, 0x3C, ##   0000         0000000                                     0000 
            0x78, 0x03, 0xFC, 0x00, 0x00, 0x00, 0x00, 0x3C, ##   0000         00000000                                    0000 
            0x78, 0x01, 0xFC, 0x00, 0x00, 0x00, 0x00, 0x3C, ##   0000          0000000                                    0000 
            0x3C, 0x01, 0xFE, 0x00, 0x00, 0x00, 0x00, 0x78, ##    0000         00000000                                  0000  
            0x3C, 0x00, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x78, ##    0000          00000000                                 0000  
            0x3E, 0x00, 0xFF, 0x80, 0x00, 0x08, 0x00, 0xF8, ##    00000         000000000                   0           00000  
            0x1E, 0x00, 0x7F, 0xE0, 0x00, 0x38, 0x00, 0xF0, ##     0000          0000000000               000           0000   
            0x1F, 0x00, 0x3F, 0xF8, 0x03, 0xF8, 0x01, 0xF0, ##     00000          00000000000         0000000          00000   
            0x0F, 0x80, 0x1F, 0xFF, 0xFF, 0xF8, 0x01, 0xE0, ##      00000          00000000000000000000000000          0000    
            0x0F, 0x80, 0x0F, 0xFF, 0xFF, 0xF8, 0x03, 0xE0, ##      00000           0000000000000000000000000         00000    
            0x07, 0xC0, 0x03, 0xFF, 0xFF, 0xF8, 0x07, 0xC0, ##       00000            00000000000000000000000        00000     
            0x03, 0xE0, 0x00, 0xFF, 0xFF, 0xC0, 0x0F, 0x80, ##        00000             000000000000000000          00000      
            0x03, 0xF0, 0x00, 0x0F, 0xFC, 0x00, 0x1F, 0x80, ##        000000                0000000000             000000      
            0x01, 0xF8, 0x00, 0x00, 0x00, 0x00, 0x3F, 0x00, ##         000000                                     000000       
            0x00, 0xFC, 0x00, 0x00, 0x00, 0x00, 0x7E, 0x00, ##          000000                                   000000        
            0x00, 0x7E, 0x00, 0x00, 0x00, 0x00, 0xFC, 0x00, ##           000000                                 000000         
            0x00, 0x3F, 0x00, 0x00, 0x00, 0x01, 0xF8, 0x00, ##            000000                               000000          
            0x00, 0x1F, 0xC0, 0x00, 0x00, 0x07, 0xF0, 0x00, ##             0000000                           0000000           
            0x00, 0x0F, 0xF0, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##              00000000                       00000000            
            0x00, 0x03, 0xFC, 0x00, 0x00, 0x7F, 0x80, 0x00, ##                00000000                   00000000              
            0x00, 0x01, 0xFF, 0xC0, 0x07, 0xFF, 0x00, 0x00, ##                 00000000000           00000000000               
            0x00, 0x00, 0x7F, 0xFF, 0xFF, 0xFC, 0x00, 0x00, ##                   00000000000000000000000000000                 
            0x00, 0x00, 0x1F, 0xFF, 0xFF, 0xF0, 0x00, 0x00, ##                     0000000000000000000000000                   
            0x00, 0x00, 0x03, 0xFF, 0xFF, 0x80, 0x00, 0x00, ##                        0000000000000000000                      
            0x00, 0x00, 0x00, 0x3F, 0xF8, 0x00, 0x00, 0x00, ##                            00000000000                          
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '170' => {    # 'ª'
        'width'    => 30, 
        'xoffset'  => 5, 
        'xadvance' => 41, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x7F, 0xF0, 0x00, ##           00000000000          
            0x07, 0xFF, 0xFE, 0x00, ##       000000000000000000       
            0x1F, 0xFF, 0xFF, 0x80, ##     0000000000000000000000     
            0x1F, 0xFF, 0xFF, 0xC0, ##     00000000000000000000000    
            0x1F, 0xFF, 0xFF, 0xE0, ##     000000000000000000000000   
            0x1F, 0x80, 0x3F, 0xF0, ##     000000         0000000000  
            0x1C, 0x00, 0x07, 0xF0, ##     000               0000000  
            0x00, 0x00, 0x03, 0xF8, ##                        0000000 
            0x00, 0x00, 0x01, 0xF8, ##                         000000 
            0x00, 0x00, 0x01, 0xF8, ##                         000000 
            0x00, 0x00, 0x00, 0xFC, ##                          000000
            0x00, 0x00, 0x00, 0xFC, ##                          000000
            0x00, 0x00, 0x00, 0xFC, ##                          000000
            0x00, 0x3F, 0xFF, 0xFC, ##            00000000000000000000
            0x01, 0xFF, 0xFF, 0xFC, ##         00000000000000000000000
            0x07, 0xFF, 0xFF, 0xFC, ##       0000000000000000000000000
            0x1F, 0xFF, 0xFF, 0xFC, ##     000000000000000000000000000
            0x3F, 0xFF, 0xFF, 0xFC, ##    0000000000000000000000000000
            0x3F, 0xF0, 0x00, 0xFC, ##    0000000000            000000
            0x7F, 0x80, 0x00, 0xFC, ##   00000000               000000
            0x7E, 0x00, 0x00, 0xFC, ##   000000                 000000
            0xFE, 0x00, 0x00, 0xFC, ##  0000000                 000000
            0xFC, 0x00, 0x00, 0xFC, ##  000000                  000000
            0xFC, 0x00, 0x01, 0xFC, ##  000000                 0000000
            0xFC, 0x00, 0x01, 0xFC, ##  000000                 0000000
            0xFC, 0x00, 0x03, 0xFC, ##  000000                00000000
            0xFE, 0x00, 0x03, 0xFC, ##  0000000               00000000
            0xFE, 0x00, 0x07, 0xFC, ##  0000000              000000000
            0x7F, 0x00, 0x1F, 0xFC, ##   0000000           00000000000
            0x7F, 0xC0, 0x7F, 0xFC, ##   000000000       0000000000000
            0x3F, 0xFF, 0xFE, 0xFC, ##    000000000000000000000 000000
            0x1F, 0xFF, 0xFC, 0xFC, ##     0000000000000000000  000000
            0x0F, 0xFF, 0xF8, 0xFC, ##      00000000000000000   000000
            0x07, 0xFF, 0xE0, 0xFC, ##       00000000000000     000000
            0x00, 0xFF, 0x00, 0x00, ##          00000000              
            0x00, 0x00, 0x00, 0x00, ##                                
            0x00, 0x00, 0x00, 0x00, ##                                
            0x00, 0x00, 0x00, 0x00, ##                                
            0x00, 0x00, 0x00, 0x00, ##                                
            0x00, 0x00, 0x00, 0x00, ##                                
            0x7F, 0xFF, 0xFF, 0xFC, ##   00000000000000000000000000000
            0x7F, 0xFF, 0xFF, 0xFC, ##   00000000000000000000000000000
            0x7F, 0xFF, 0xFF, 0xFC, ##   00000000000000000000000000000
            0x7F, 0xFF, 0xFF, 0xFC, ##   00000000000000000000000000000
            0x7F, 0xFF, 0xFF, 0xFC, ##   00000000000000000000000000000
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '171' => {    # '«'
        'width'    => 39, 
        'xoffset'  => 7, 
        'xadvance' => 54, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x10, 0x00, 0x02, ##                     0                  0
            0x00, 0x00, 0x30, 0x00, 0x06, ##                    00                 00
            0x00, 0x00, 0x70, 0x00, 0x1E, ##                   000               0000
            0x00, 0x00, 0xF0, 0x00, 0x3E, ##                  0000              00000
            0x00, 0x01, 0xF0, 0x00, 0x7E, ##                 00000             000000
            0x00, 0x03, 0xF0, 0x00, 0xFE, ##                000000            0000000
            0x00, 0x0F, 0xF0, 0x01, 0xFE, ##              00000000           00000000
            0x00, 0x1F, 0xF0, 0x03, 0xFE, ##             000000000          000000000
            0x00, 0x3F, 0xE0, 0x07, 0xFC, ##            000000000          000000000 
            0x00, 0x7F, 0xC0, 0x0F, 0xF8, ##           000000000          000000000  
            0x00, 0xFF, 0x80, 0x3F, 0xF0, ##          000000000         0000000000   
            0x01, 0xFF, 0x00, 0x7F, 0xC0, ##         000000000         000000000     
            0x03, 0xFE, 0x00, 0xFF, 0x80, ##        000000000         000000000      
            0x07, 0xFC, 0x01, 0xFF, 0x00, ##       000000000         000000000       
            0x1F, 0xF8, 0x03, 0xFE, 0x00, ##     0000000000         000000000        
            0x3F, 0xE0, 0x07, 0xFC, 0x00, ##    000000000          000000000         
            0x7F, 0xC0, 0x0F, 0xF8, 0x00, ##   000000000          000000000          
            0xFF, 0x80, 0x1F, 0xF0, 0x00, ##  000000000          000000000           
            0xFF, 0x00, 0x3F, 0xE0, 0x00, ##  00000000          000000000            
            0xFE, 0x00, 0x3F, 0xC0, 0x00, ##  0000000           00000000             
            0xFF, 0x00, 0x3F, 0xE0, 0x00, ##  00000000          000000000            
            0xFF, 0xC0, 0x1F, 0xF0, 0x00, ##  0000000000         000000000           
            0x3F, 0xE0, 0x0F, 0xF8, 0x00, ##    000000000         000000000          
            0x1F, 0xF0, 0x07, 0xFC, 0x00, ##     000000000         000000000         
            0x0F, 0xF8, 0x03, 0xFE, 0x00, ##      000000000         000000000        
            0x07, 0xFC, 0x01, 0xFF, 0x80, ##       000000000         0000000000      
            0x03, 0xFE, 0x00, 0x7F, 0xC0, ##        000000000          000000000     
            0x01, 0xFF, 0x00, 0x3F, 0xE0, ##         000000000          000000000    
            0x00, 0xFF, 0x80, 0x1F, 0xF0, ##          000000000          000000000   
            0x00, 0x7F, 0xE0, 0x0F, 0xF8, ##           0000000000         000000000  
            0x00, 0x1F, 0xF0, 0x07, 0xFC, ##             000000000         000000000 
            0x00, 0x0F, 0xF0, 0x03, 0xFE, ##              00000000          000000000
            0x00, 0x07, 0xF0, 0x01, 0xFE, ##               0000000           00000000
            0x00, 0x03, 0xF0, 0x00, 0xFE, ##                000000            0000000
            0x00, 0x01, 0xF0, 0x00, 0x7E, ##                 00000             000000
            0x00, 0x00, 0xF0, 0x00, 0x1E, ##                  0000               0000
            0x00, 0x00, 0x70, 0x00, 0x0E, ##                   000                000
            0x00, 0x00, 0x30, 0x00, 0x06, ##                    00                 00
            0x00, 0x00, 0x10, 0x00, 0x02, ##                     0                  0
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '172' => {    # '¬'
        'width'    => 54, 
        'xoffset'  => 10, 
        'xadvance' => 73, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFC, ##  000000000000000000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFC, ##  000000000000000000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFC, ##  000000000000000000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFC, ##  000000000000000000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFC, ##  000000000000000000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFC, ##  000000000000000000000000000000000000000000000000000000
            0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xFC, ##                                                 0000000
            0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xFC, ##                                                 0000000
            0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xFC, ##                                                 0000000
            0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xFC, ##                                                 0000000
            0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xFC, ##                                                 0000000
            0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xFC, ##                                                 0000000
            0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xFC, ##                                                 0000000
            0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xFC, ##                                                 0000000
            0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xFC, ##                                                 0000000
            0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xFC, ##                                                 0000000
            0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xFC, ##                                                 0000000
            0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xFC, ##                                                 0000000
            0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xFC, ##                                                 0000000
            0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xFC, ##                                                 0000000
            0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xFC, ##                                                 0000000
            0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xFC, ##                                                 0000000
            0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xFC, ##                                                 0000000
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '173' => {    # '­'
        'width'    => 23, 
        'xoffset'  => 4, 
        'xadvance' => 31, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0xFF, 0xFF, 0xFE, ##  00000000000000000000000
            0xFF, 0xFF, 0xFE, ##  00000000000000000000000
            0xFF, 0xFF, 0xFE, ##  00000000000000000000000
            0xFF, 0xFF, 0xFE, ##  00000000000000000000000
            0xFF, 0xFF, 0xFE, ##  00000000000000000000000
            0xFF, 0xFF, 0xFE, ##  00000000000000000000000
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '174' => {    # '®'
        'width'    => 63, 
        'xoffset'  => 12, 
        'xadvance' => 87, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x3F, 0xF8, 0x00, 0x00, 0x00, ##                            00000000000                          
            0x00, 0x00, 0x03, 0xFF, 0xFF, 0x80, 0x00, 0x00, ##                        0000000000000000000                      
            0x00, 0x00, 0x1F, 0xFF, 0xFF, 0xF0, 0x00, 0x00, ##                     0000000000000000000000000                   
            0x00, 0x00, 0x7F, 0xFF, 0xFF, 0xFC, 0x00, 0x00, ##                   00000000000000000000000000000                 
            0x00, 0x01, 0xFF, 0xC0, 0x07, 0xFF, 0x00, 0x00, ##                 00000000000           00000000000               
            0x00, 0x03, 0xFC, 0x00, 0x00, 0x7F, 0x80, 0x00, ##                00000000                   00000000              
            0x00, 0x0F, 0xF0, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##              00000000                       00000000            
            0x00, 0x1F, 0xC0, 0x00, 0x00, 0x07, 0xF0, 0x00, ##             0000000                           0000000           
            0x00, 0x3F, 0x00, 0x00, 0x00, 0x01, 0xF8, 0x00, ##            000000                               000000          
            0x00, 0x7E, 0x00, 0x00, 0x00, 0x00, 0xFC, 0x00, ##           000000                                 000000         
            0x00, 0xFC, 0x00, 0x00, 0x00, 0x00, 0x7E, 0x00, ##          000000                                   000000        
            0x01, 0xF8, 0x00, 0x00, 0x00, 0x00, 0x3F, 0x00, ##         000000                                     000000       
            0x03, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x1F, 0x80, ##        000000                                       000000      
            0x03, 0xE0, 0x3F, 0xFF, 0xF8, 0x00, 0x0F, 0x80, ##        00000       0000000000000000000               00000      
            0x07, 0xC0, 0x3F, 0xFF, 0xFF, 0x00, 0x07, 0xC0, ##       00000        0000000000000000000000             00000     
            0x0F, 0x80, 0x3F, 0xFF, 0xFF, 0xC0, 0x03, 0xE0, ##      00000         000000000000000000000000            00000    
            0x0F, 0x80, 0x3F, 0xFF, 0xFF, 0xE0, 0x01, 0xE0, ##      00000         0000000000000000000000000            0000    
            0x1F, 0x00, 0x3F, 0x80, 0x1F, 0xF0, 0x01, 0xF0, ##     00000          0000000          000000000           00000   
            0x1E, 0x00, 0x3F, 0x80, 0x07, 0xF8, 0x00, 0xF0, ##     0000           0000000            00000000           0000   
            0x3E, 0x00, 0x3F, 0x80, 0x03, 0xF8, 0x00, 0xF8, ##    00000           0000000             0000000           00000  
            0x3C, 0x00, 0x3F, 0x80, 0x01, 0xFC, 0x00, 0x78, ##    0000            0000000              0000000           0000  
            0x3C, 0x00, 0x3F, 0x80, 0x01, 0xFC, 0x00, 0x78, ##    0000            0000000              0000000           0000  
            0x78, 0x00, 0x3F, 0x80, 0x01, 0xFC, 0x00, 0x3C, ##   0000             0000000              0000000            0000 
            0x78, 0x00, 0x3F, 0x80, 0x01, 0xFC, 0x00, 0x3C, ##   0000             0000000              0000000            0000 
            0x78, 0x00, 0x3F, 0x80, 0x01, 0xFC, 0x00, 0x3C, ##   0000             0000000              0000000            0000 
            0x78, 0x00, 0x3F, 0x80, 0x01, 0xFC, 0x00, 0x3C, ##   0000             0000000              0000000            0000 
            0xF0, 0x00, 0x3F, 0x80, 0x03, 0xF8, 0x00, 0x1E, ##  0000              0000000             0000000              0000
            0xF0, 0x00, 0x3F, 0x80, 0x07, 0xF8, 0x00, 0x1E, ##  0000              0000000            00000000              0000
            0xF0, 0x00, 0x3F, 0x80, 0x1F, 0xF0, 0x00, 0x1E, ##  0000              0000000          000000000               0000
            0xF0, 0x00, 0x3F, 0xFF, 0xFF, 0xE0, 0x00, 0x1E, ##  0000              0000000000000000000000000                0000
            0xF0, 0x00, 0x3F, 0xFF, 0xFF, 0xC0, 0x00, 0x1E, ##  0000              000000000000000000000000                 0000
            0xF0, 0x00, 0x3F, 0xFF, 0xFE, 0x00, 0x00, 0x1E, ##  0000              000000000000000000000                    0000
            0xF0, 0x00, 0x3F, 0xFF, 0xFC, 0x00, 0x00, 0x1E, ##  0000              00000000000000000000                     0000
            0xF0, 0x00, 0x3F, 0x81, 0xFE, 0x00, 0x00, 0x1E, ##  0000              0000000      00000000                    0000
            0xF0, 0x00, 0x3F, 0x80, 0xFF, 0x00, 0x00, 0x1E, ##  0000              0000000       00000000                   0000
            0xF0, 0x00, 0x3F, 0x80, 0x7F, 0x80, 0x00, 0x1E, ##  0000              0000000        00000000                  0000
            0xF0, 0x00, 0x3F, 0x80, 0x3F, 0xC0, 0x00, 0x1E, ##  0000              0000000         00000000                 0000
            0x78, 0x00, 0x3F, 0x80, 0x1F, 0xC0, 0x00, 0x3C, ##   0000             0000000          0000000                0000 
            0x78, 0x00, 0x3F, 0x80, 0x1F, 0xE0, 0x00, 0x3C, ##   0000             0000000          00000000               0000 
            0x78, 0x00, 0x3F, 0x80, 0x0F, 0xE0, 0x00, 0x3C, ##   0000             0000000           0000000               0000 
            0x78, 0x00, 0x3F, 0x80, 0x07, 0xF0, 0x00, 0x3C, ##   0000             0000000            0000000              0000 
            0x3C, 0x00, 0x3F, 0x80, 0x07, 0xF8, 0x00, 0x78, ##    0000            0000000            00000000            0000  
            0x3C, 0x00, 0x3F, 0x80, 0x03, 0xF8, 0x00, 0x78, ##    0000            0000000             0000000            0000  
            0x3E, 0x00, 0x3F, 0x80, 0x03, 0xFC, 0x00, 0xF8, ##    00000           0000000             00000000          00000  
            0x1E, 0x00, 0x3F, 0x80, 0x01, 0xFE, 0x00, 0xF0, ##     0000           0000000              00000000         0000   
            0x1F, 0x00, 0x3F, 0x80, 0x00, 0xFE, 0x01, 0xF0, ##     00000          0000000               0000000        00000   
            0x0F, 0x80, 0x3F, 0x80, 0x00, 0xFF, 0x01, 0xE0, ##      00000         0000000               00000000       0000    
            0x0F, 0x80, 0x3F, 0x80, 0x00, 0x7F, 0x03, 0xE0, ##      00000         0000000                0000000      00000    
            0x07, 0xC0, 0x3F, 0x80, 0x00, 0x3F, 0x87, 0xC0, ##       00000        0000000                 0000000    00000     
            0x03, 0xE0, 0x00, 0x00, 0x00, 0x00, 0x0F, 0x80, ##        00000                                         00000      
            0x03, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x1F, 0x80, ##        000000                                       000000      
            0x01, 0xF8, 0x00, 0x00, 0x00, 0x00, 0x3F, 0x00, ##         000000                                     000000       
            0x00, 0xFC, 0x00, 0x00, 0x00, 0x00, 0x7E, 0x00, ##          000000                                   000000        
            0x00, 0x7E, 0x00, 0x00, 0x00, 0x00, 0xFC, 0x00, ##           000000                                 000000         
            0x00, 0x3F, 0x00, 0x00, 0x00, 0x01, 0xF8, 0x00, ##            000000                               000000          
            0x00, 0x1F, 0xC0, 0x00, 0x00, 0x07, 0xF0, 0x00, ##             0000000                           0000000           
            0x00, 0x0F, 0xF0, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##              00000000                       00000000            
            0x00, 0x03, 0xFC, 0x00, 0x00, 0x7F, 0x80, 0x00, ##                00000000                   00000000              
            0x00, 0x01, 0xFF, 0xC0, 0x07, 0xFF, 0x00, 0x00, ##                 00000000000           00000000000               
            0x00, 0x00, 0x7F, 0xFF, 0xFF, 0xFC, 0x00, 0x00, ##                   00000000000000000000000000000                 
            0x00, 0x00, 0x1F, 0xFF, 0xFF, 0xF0, 0x00, 0x00, ##                     0000000000000000000000000                   
            0x00, 0x00, 0x03, 0xFF, 0xFF, 0x80, 0x00, 0x00, ##                        0000000000000000000                      
            0x00, 0x00, 0x00, 0x3F, 0xF8, 0x00, 0x00, 0x00, ##                            00000000000                          
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '175' => {    # '¯'
        'width'    => 25, 
        'xoffset'  => 9, 
        'xadvance' => 43, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0xFF, 0xFF, 0xFF, 0x80, ##  0000000000000000000000000
            0xFF, 0xFF, 0xFF, 0x80, ##  0000000000000000000000000
            0xFF, 0xFF, 0xFF, 0x80, ##  0000000000000000000000000
            0xFF, 0xFF, 0xFF, 0x80, ##  0000000000000000000000000
            0xFF, 0xFF, 0xFF, 0x80, ##  0000000000000000000000000
            0xFF, 0xFF, 0xFF, 0x80, ##  0000000000000000000000000
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '176' => {    # '°'
        'width'    => 27, 
        'xoffset'  => 8, 
        'xadvance' => 43, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x3F, 0x80, 0x00, ##            0000000          
            0x01, 0xFF, 0xF0, 0x00, ##         0000000000000       
            0x03, 0xFF, 0xF8, 0x00, ##        000000000000000      
            0x0F, 0xFF, 0xFE, 0x00, ##      0000000000000000000    
            0x1F, 0xFF, 0xFF, 0x00, ##     000000000000000000000   
            0x1F, 0xE0, 0xFF, 0x00, ##     00000000     00000000   
            0x3F, 0x80, 0x3F, 0x80, ##    0000000         0000000  
            0x7E, 0x00, 0x1F, 0xC0, ##   000000            0000000 
            0x7E, 0x00, 0x0F, 0xC0, ##   000000             000000 
            0x7C, 0x00, 0x07, 0xC0, ##   00000               00000 
            0xFC, 0x00, 0x07, 0xE0, ##  000000               000000
            0xF8, 0x00, 0x03, 0xE0, ##  00000                 00000
            0xF8, 0x00, 0x03, 0xE0, ##  00000                 00000
            0xF8, 0x00, 0x03, 0xE0, ##  00000                 00000
            0xF8, 0x00, 0x03, 0xE0, ##  00000                 00000
            0xF8, 0x00, 0x03, 0xE0, ##  00000                 00000
            0xF8, 0x00, 0x07, 0xE0, ##  00000                000000
            0x7C, 0x00, 0x07, 0xC0, ##   00000               00000 
            0x7E, 0x00, 0x0F, 0xC0, ##   000000             000000 
            0x7E, 0x00, 0x0F, 0xC0, ##   000000             000000 
            0x3F, 0x80, 0x3F, 0x80, ##    0000000         0000000  
            0x3F, 0xE0, 0xFF, 0x00, ##    000000000     00000000   
            0x1F, 0xFF, 0xFF, 0x00, ##     000000000000000000000   
            0x0F, 0xFF, 0xFE, 0x00, ##      0000000000000000000    
            0x07, 0xFF, 0xF8, 0x00, ##       0000000000000000      
            0x01, 0xFF, 0xF0, 0x00, ##         0000000000000       
            0x00, 0x3F, 0x80, 0x00, ##            0000000          
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '177' => {    # '±'
        'width'    => 54, 
        'xoffset'  => 9, 
        'xadvance' => 72, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0xFE, 0x00, 0x00, 0x00, ##                          0000000                       
            0x00, 0x00, 0x00, 0xFE, 0x00, 0x00, 0x00, ##                          0000000                       
            0x00, 0x00, 0x00, 0xFE, 0x00, 0x00, 0x00, ##                          0000000                       
            0x00, 0x00, 0x00, 0xFE, 0x00, 0x00, 0x00, ##                          0000000                       
            0x00, 0x00, 0x00, 0xFE, 0x00, 0x00, 0x00, ##                          0000000                       
            0x00, 0x00, 0x00, 0xFE, 0x00, 0x00, 0x00, ##                          0000000                       
            0x00, 0x00, 0x00, 0xFE, 0x00, 0x00, 0x00, ##                          0000000                       
            0x00, 0x00, 0x00, 0xFE, 0x00, 0x00, 0x00, ##                          0000000                       
            0x00, 0x00, 0x00, 0xFE, 0x00, 0x00, 0x00, ##                          0000000                       
            0x00, 0x00, 0x00, 0xFE, 0x00, 0x00, 0x00, ##                          0000000                       
            0x00, 0x00, 0x00, 0xFE, 0x00, 0x00, 0x00, ##                          0000000                       
            0x00, 0x00, 0x00, 0xFE, 0x00, 0x00, 0x00, ##                          0000000                       
            0x00, 0x00, 0x00, 0xFE, 0x00, 0x00, 0x00, ##                          0000000                       
            0x00, 0x00, 0x00, 0xFE, 0x00, 0x00, 0x00, ##                          0000000                       
            0x00, 0x00, 0x00, 0xFE, 0x00, 0x00, 0x00, ##                          0000000                       
            0x00, 0x00, 0x00, 0xFE, 0x00, 0x00, 0x00, ##                          0000000                       
            0x00, 0x00, 0x00, 0xFE, 0x00, 0x00, 0x00, ##                          0000000                       
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFC, ##  000000000000000000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFC, ##  000000000000000000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFC, ##  000000000000000000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFC, ##  000000000000000000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFC, ##  000000000000000000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFC, ##  000000000000000000000000000000000000000000000000000000
            0x00, 0x00, 0x00, 0xFE, 0x00, 0x00, 0x00, ##                          0000000                       
            0x00, 0x00, 0x00, 0xFE, 0x00, 0x00, 0x00, ##                          0000000                       
            0x00, 0x00, 0x00, 0xFE, 0x00, 0x00, 0x00, ##                          0000000                       
            0x00, 0x00, 0x00, 0xFE, 0x00, 0x00, 0x00, ##                          0000000                       
            0x00, 0x00, 0x00, 0xFE, 0x00, 0x00, 0x00, ##                          0000000                       
            0x00, 0x00, 0x00, 0xFE, 0x00, 0x00, 0x00, ##                          0000000                       
            0x00, 0x00, 0x00, 0xFE, 0x00, 0x00, 0x00, ##                          0000000                       
            0x00, 0x00, 0x00, 0xFE, 0x00, 0x00, 0x00, ##                          0000000                       
            0x00, 0x00, 0x00, 0xFE, 0x00, 0x00, 0x00, ##                          0000000                       
            0x00, 0x00, 0x00, 0xFE, 0x00, 0x00, 0x00, ##                          0000000                       
            0x00, 0x00, 0x00, 0xFE, 0x00, 0x00, 0x00, ##                          0000000                       
            0x00, 0x00, 0x00, 0xFE, 0x00, 0x00, 0x00, ##                          0000000                       
            0x00, 0x00, 0x00, 0xFE, 0x00, 0x00, 0x00, ##                          0000000                       
            0x00, 0x00, 0x00, 0xFE, 0x00, 0x00, 0x00, ##                          0000000                       
            0x00, 0x00, 0x00, 0xFE, 0x00, 0x00, 0x00, ##                          0000000                       
            0x00, 0x00, 0x00, 0xFE, 0x00, 0x00, 0x00, ##                          0000000                       
            0x00, 0x00, 0x00, 0xFE, 0x00, 0x00, 0x00, ##                          0000000                       
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                        
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                        
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                        
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                        
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                        
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                        
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                        
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                        
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                        
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFC, ##  000000000000000000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFC, ##  000000000000000000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFC, ##  000000000000000000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFC, ##  000000000000000000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFC, ##  000000000000000000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFC, ##  000000000000000000000000000000000000000000000000000000
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '178' => {    # '²'
        'width'    => 25, 
        'xoffset'  => 4, 
        'xadvance' => 34, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x03, 0xFF, 0x00, 0x00, ##        0000000000         
            0x3F, 0xFF, 0xE0, 0x00, ##    00000000000000000      
            0xFF, 0xFF, 0xF8, 0x00, ##  000000000000000000000    
            0xFF, 0xFF, 0xFC, 0x00, ##  0000000000000000000000   
            0xFE, 0x03, 0xFE, 0x00, ##  0000000       000000000  
            0xF0, 0x00, 0xFF, 0x00, ##  0000            00000000 
            0xC0, 0x00, 0x7F, 0x00, ##  00               0000000 
            0x00, 0x00, 0x3F, 0x80, ##                    0000000
            0x00, 0x00, 0x1F, 0x80, ##                     000000
            0x00, 0x00, 0x1F, 0x80, ##                     000000
            0x00, 0x00, 0x1F, 0x80, ##                     000000
            0x00, 0x00, 0x1F, 0x80, ##                     000000
            0x00, 0x00, 0x3F, 0x80, ##                    0000000
            0x00, 0x00, 0x3F, 0x00, ##                    000000 
            0x00, 0x00, 0x7F, 0x00, ##                   0000000 
            0x00, 0x00, 0x7E, 0x00, ##                   000000  
            0x00, 0x00, 0xFE, 0x00, ##                  0000000  
            0x00, 0x01, 0xFC, 0x00, ##                 0000000   
            0x00, 0x03, 0xF8, 0x00, ##                0000000    
            0x00, 0x07, 0xF0, 0x00, ##               0000000     
            0x00, 0x0F, 0xF0, 0x00, ##              00000000     
            0x00, 0x1F, 0xE0, 0x00, ##             00000000      
            0x00, 0x3F, 0xC0, 0x00, ##            00000000       
            0x00, 0x7F, 0x80, 0x00, ##           00000000        
            0x00, 0xFF, 0x00, 0x00, ##          00000000         
            0x01, 0xFE, 0x00, 0x00, ##         00000000          
            0x03, 0xFC, 0x00, 0x00, ##        00000000           
            0x07, 0xF8, 0x00, 0x00, ##       00000000            
            0x0F, 0xE0, 0x00, 0x00, ##      0000000              
            0x1F, 0xC0, 0x00, 0x00, ##     0000000               
            0x3F, 0x80, 0x00, 0x00, ##    0000000                
            0x7F, 0x00, 0x00, 0x00, ##   0000000                 
            0xFF, 0xFF, 0xFF, 0x80, ##  0000000000000000000000000
            0xFF, 0xFF, 0xFF, 0x80, ##  0000000000000000000000000
            0xFF, 0xFF, 0xFF, 0x80, ##  0000000000000000000000000
            0xFF, 0xFF, 0xFF, 0x80, ##  0000000000000000000000000
            0xFF, 0xFF, 0xFF, 0x80, ##  0000000000000000000000000
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '179' => {    # '³'
        'width'    => 26, 
        'xoffset'  => 4, 
        'xadvance' => 34, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x03, 0xFF, 0x80, 0x00, ##        00000000000         
            0x7F, 0xFF, 0xF0, 0x00, ##   0000000000000000000      
            0x7F, 0xFF, 0xF8, 0x00, ##   00000000000000000000     
            0x7F, 0xFF, 0xFE, 0x00, ##   0000000000000000000000   
            0x7E, 0x01, 0xFE, 0x00, ##   000000        00000000   
            0x60, 0x00, 0x7F, 0x00, ##   00              0000000  
            0x00, 0x00, 0x3F, 0x80, ##                    0000000 
            0x00, 0x00, 0x1F, 0x80, ##                     000000 
            0x00, 0x00, 0x1F, 0x80, ##                     000000 
            0x00, 0x00, 0x1F, 0x80, ##                     000000 
            0x00, 0x00, 0x1F, 0x80, ##                     000000 
            0x00, 0x00, 0x1F, 0x80, ##                     000000 
            0x00, 0x00, 0x3F, 0x00, ##                    000000  
            0x00, 0x00, 0x3F, 0x00, ##                    000000  
            0x00, 0x00, 0x7E, 0x00, ##                   000000   
            0x00, 0x01, 0xFC, 0x00, ##                 0000000    
            0x01, 0xFF, 0xF0, 0x00, ##         0000000000000      
            0x01, 0xFF, 0xE0, 0x00, ##         000000000000       
            0x01, 0xFF, 0xF8, 0x00, ##         00000000000000     
            0x01, 0xFF, 0xFE, 0x00, ##         0000000000000000   
            0x00, 0x01, 0xFF, 0x00, ##                 000000000  
            0x00, 0x00, 0x7F, 0x80, ##                   00000000 
            0x00, 0x00, 0x3F, 0x80, ##                    0000000 
            0x00, 0x00, 0x1F, 0xC0, ##                     0000000
            0x00, 0x00, 0x0F, 0xC0, ##                      000000
            0x00, 0x00, 0x0F, 0xC0, ##                      000000
            0x00, 0x00, 0x0F, 0xC0, ##                      000000
            0x00, 0x00, 0x0F, 0xC0, ##                      000000
            0x00, 0x00, 0x0F, 0xC0, ##                      000000
            0x00, 0x00, 0x1F, 0xC0, ##                     0000000
            0x00, 0x00, 0x1F, 0x80, ##                     000000 
            0x80, 0x00, 0x3F, 0x80, ##  0                 0000000 
            0xE0, 0x00, 0xFF, 0x00, ##  000             00000000  
            0xFF, 0xFF, 0xFE, 0x00, ##  00000000000000000000000   
            0xFF, 0xFF, 0xFC, 0x00, ##  0000000000000000000000    
            0xFF, 0xFF, 0xF8, 0x00, ##  000000000000000000000     
            0x3F, 0xFF, 0xC0, 0x00, ##    0000000000000000        
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '180' => {    # '´'
        'width'    => 20, 
        'xoffset'  => 16, 
        'xadvance' => 44, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x1F, 0xF0, ##             000000000
            0x00, 0x1F, 0xE0, ##             00000000 
            0x00, 0x3F, 0xC0, ##            00000000  
            0x00, 0x7F, 0x80, ##           00000000   
            0x00, 0xFF, 0x00, ##          00000000    
            0x00, 0xFE, 0x00, ##          0000000     
            0x01, 0xFC, 0x00, ##         0000000      
            0x03, 0xFC, 0x00, ##        00000000      
            0x07, 0xF8, 0x00, ##       00000000       
            0x07, 0xF0, 0x00, ##       0000000        
            0x0F, 0xE0, 0x00, ##      0000000         
            0x1F, 0xC0, 0x00, ##     0000000          
            0x3F, 0x80, 0x00, ##    0000000           
            0x3F, 0x00, 0x00, ##    000000            
            0x7F, 0x00, 0x00, ##   0000000            
            0xFE, 0x00, 0x00, ##  0000000             
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '181' => {    # 'µ'
        'width'    => 46, 
        'xoffset'  => 7, 
        'xadvance' => 55, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0xFF, 0x00, 0x00, 0x00, 0xFF, 0x00, ##  00000000                        00000000      
            0xFF, 0x00, 0x00, 0x00, 0xFF, 0x00, ##  00000000                        00000000      
            0xFF, 0x00, 0x00, 0x00, 0xFF, 0x00, ##  00000000                        00000000      
            0xFF, 0x00, 0x00, 0x00, 0xFF, 0x00, ##  00000000                        00000000      
            0xFF, 0x00, 0x00, 0x00, 0xFF, 0x00, ##  00000000                        00000000      
            0xFF, 0x00, 0x00, 0x00, 0xFF, 0x00, ##  00000000                        00000000      
            0xFF, 0x00, 0x00, 0x00, 0xFF, 0x00, ##  00000000                        00000000      
            0xFF, 0x00, 0x00, 0x00, 0xFF, 0x00, ##  00000000                        00000000      
            0xFF, 0x00, 0x00, 0x00, 0xFF, 0x00, ##  00000000                        00000000      
            0xFF, 0x00, 0x00, 0x00, 0xFF, 0x00, ##  00000000                        00000000      
            0xFF, 0x00, 0x00, 0x00, 0xFF, 0x00, ##  00000000                        00000000      
            0xFF, 0x00, 0x00, 0x00, 0xFF, 0x00, ##  00000000                        00000000      
            0xFF, 0x00, 0x00, 0x00, 0xFF, 0x00, ##  00000000                        00000000      
            0xFF, 0x00, 0x00, 0x00, 0xFF, 0x00, ##  00000000                        00000000      
            0xFF, 0x00, 0x00, 0x00, 0xFF, 0x00, ##  00000000                        00000000      
            0xFF, 0x00, 0x00, 0x00, 0xFF, 0x00, ##  00000000                        00000000      
            0xFF, 0x00, 0x00, 0x00, 0xFF, 0x00, ##  00000000                        00000000      
            0xFF, 0x00, 0x00, 0x00, 0xFF, 0x00, ##  00000000                        00000000      
            0xFF, 0x00, 0x00, 0x00, 0xFF, 0x00, ##  00000000                        00000000      
            0xFF, 0x00, 0x00, 0x00, 0xFF, 0x00, ##  00000000                        00000000      
            0xFF, 0x00, 0x00, 0x00, 0xFF, 0x00, ##  00000000                        00000000      
            0xFF, 0x00, 0x00, 0x00, 0xFF, 0x00, ##  00000000                        00000000      
            0xFF, 0x00, 0x00, 0x00, 0xFF, 0x00, ##  00000000                        00000000      
            0xFF, 0x00, 0x00, 0x00, 0xFF, 0x00, ##  00000000                        00000000      
            0xFF, 0x00, 0x00, 0x00, 0xFF, 0x00, ##  00000000                        00000000      
            0xFF, 0x00, 0x00, 0x00, 0xFF, 0x00, ##  00000000                        00000000      
            0xFF, 0x00, 0x00, 0x00, 0xFF, 0x00, ##  00000000                        00000000      
            0xFF, 0x00, 0x00, 0x00, 0xFF, 0x00, ##  00000000                        00000000      
            0xFF, 0x00, 0x00, 0x00, 0xFF, 0x00, ##  00000000                        00000000      
            0xFF, 0x00, 0x00, 0x00, 0xFF, 0x00, ##  00000000                        00000000      
            0xFF, 0x00, 0x00, 0x00, 0xFF, 0x00, ##  00000000                        00000000      
            0xFF, 0x00, 0x00, 0x00, 0xFF, 0x00, ##  00000000                        00000000      
            0xFF, 0x00, 0x00, 0x00, 0xFF, 0x00, ##  00000000                        00000000      
            0xFF, 0x00, 0x00, 0x01, 0xFF, 0x00, ##  00000000                       000000000      
            0xFF, 0x00, 0x00, 0x01, 0xFF, 0x00, ##  00000000                       000000000      
            0xFF, 0x80, 0x00, 0x01, 0xFF, 0x00, ##  000000000                      000000000      
            0xFF, 0x80, 0x00, 0x01, 0xFF, 0x00, ##  000000000                      000000000      
            0xFF, 0x80, 0x00, 0x03, 0xFF, 0x00, ##  000000000                     0000000000      
            0xFF, 0xC0, 0x00, 0x07, 0xFF, 0x00, ##  0000000000                   00000000000      
            0xFF, 0xE0, 0x00, 0x07, 0xFF, 0x00, ##  00000000000                  00000000000      
            0xFF, 0xF0, 0x00, 0x0F, 0xFF, 0x00, ##  000000000000                000000000000      
            0xFF, 0xF8, 0x00, 0x3F, 0xFF, 0x80, ##  0000000000000             000000000000000     
            0xFF, 0xFE, 0x00, 0xFF, 0xFF, 0xFC, ##  000000000000000         0000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0x7F, 0xFC, ##  00000000000000000000000000000000 0000000000000
            0xFF, 0x7F, 0xFF, 0xFE, 0x7F, 0xFC, ##  00000000 0000000000000000000000  0000000000000
            0xFF, 0x3F, 0xFF, 0xFC, 0x7F, 0xFC, ##  00000000  00000000000000000000   0000000000000
            0xFF, 0x1F, 0xFF, 0xF8, 0x3F, 0xFC, ##  00000000   000000000000000000     000000000000
            0xFF, 0x07, 0xFF, 0xE0, 0x1F, 0xFC, ##  00000000     00000000000000        00000000000
            0xFF, 0x00, 0xFF, 0x00, 0x07, 0xE0, ##  00000000        00000000             000000   
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                      
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                      
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                      
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                      
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                      
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                      
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                      
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                      
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                      
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                      
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                      
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                      
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                      
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                      
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                      
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                      
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                      
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '182' => {    # '¶'
        'width'    => 39, 
        'xoffset'  => 7, 
        'xadvance' => 55, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x01, 0xFF, 0xFF, 0xFE, ##                 000000000000000000000000
            0x00, 0x1F, 0xFF, 0xFF, 0xFE, ##             0000000000000000000000000000
            0x00, 0x7F, 0xFF, 0xFF, 0xFE, ##           000000000000000000000000000000
            0x01, 0xFF, 0xFF, 0xFF, 0xFE, ##         00000000000000000000000000000000
            0x03, 0xFF, 0xFF, 0xFF, 0xFE, ##        000000000000000000000000000000000
            0x07, 0xFF, 0xFF, 0x80, 0x7E, ##       00000000000000000000        000000
            0x0F, 0xFF, 0xFF, 0x80, 0x7E, ##      000000000000000000000        000000
            0x1F, 0xFF, 0xFF, 0x80, 0x7E, ##     0000000000000000000000        000000
            0x3F, 0xFF, 0xFF, 0x80, 0x7E, ##    00000000000000000000000        000000
            0x3F, 0xFF, 0xFF, 0x80, 0x7E, ##    00000000000000000000000        000000
            0x7F, 0xFF, 0xFF, 0x80, 0x7E, ##   000000000000000000000000        000000
            0x7F, 0xFF, 0xFF, 0x80, 0x7E, ##   000000000000000000000000        000000
            0x7F, 0xFF, 0xFF, 0x80, 0x7E, ##   000000000000000000000000        000000
            0xFF, 0xFF, 0xFF, 0x80, 0x7E, ##  0000000000000000000000000        000000
            0xFF, 0xFF, 0xFF, 0x80, 0x7E, ##  0000000000000000000000000        000000
            0xFF, 0xFF, 0xFF, 0x80, 0x7E, ##  0000000000000000000000000        000000
            0xFF, 0xFF, 0xFF, 0x80, 0x7E, ##  0000000000000000000000000        000000
            0xFF, 0xFF, 0xFF, 0x80, 0x7E, ##  0000000000000000000000000        000000
            0xFF, 0xFF, 0xFF, 0x80, 0x7E, ##  0000000000000000000000000        000000
            0xFF, 0xFF, 0xFF, 0x80, 0x7E, ##  0000000000000000000000000        000000
            0xFF, 0xFF, 0xFF, 0x80, 0x7E, ##  0000000000000000000000000        000000
            0xFF, 0xFF, 0xFF, 0x80, 0x7E, ##  0000000000000000000000000        000000
            0xFF, 0xFF, 0xFF, 0x80, 0x7E, ##  0000000000000000000000000        000000
            0x7F, 0xFF, 0xFF, 0x80, 0x7E, ##   000000000000000000000000        000000
            0x7F, 0xFF, 0xFF, 0x80, 0x7E, ##   000000000000000000000000        000000
            0x7F, 0xFF, 0xFF, 0x80, 0x7E, ##   000000000000000000000000        000000
            0x3F, 0xFF, 0xFF, 0x80, 0x7E, ##    00000000000000000000000        000000
            0x1F, 0xFF, 0xFF, 0x80, 0x7E, ##     0000000000000000000000        000000
            0x1F, 0xFF, 0xFF, 0x80, 0x7E, ##     0000000000000000000000        000000
            0x0F, 0xFF, 0xFF, 0x80, 0x7E, ##      000000000000000000000        000000
            0x07, 0xFF, 0xFF, 0x80, 0x7E, ##       00000000000000000000        000000
            0x03, 0xFF, 0xFF, 0x80, 0x7E, ##        0000000000000000000        000000
            0x00, 0xFF, 0xFF, 0x80, 0x7E, ##          00000000000000000        000000
            0x00, 0x7F, 0xFF, 0x80, 0x7E, ##           0000000000000000        000000
            0x00, 0x0F, 0xFF, 0x80, 0x7E, ##              0000000000000        000000
            0x00, 0x00, 0xFF, 0x80, 0x7E, ##                  000000000        000000
            0x00, 0x00, 0x1F, 0x80, 0x7E, ##                     000000        000000
            0x00, 0x00, 0x1F, 0x80, 0x7E, ##                     000000        000000
            0x00, 0x00, 0x1F, 0x80, 0x7E, ##                     000000        000000
            0x00, 0x00, 0x1F, 0x80, 0x7E, ##                     000000        000000
            0x00, 0x00, 0x1F, 0x80, 0x7E, ##                     000000        000000
            0x00, 0x00, 0x1F, 0x80, 0x7E, ##                     000000        000000
            0x00, 0x00, 0x1F, 0x80, 0x7E, ##                     000000        000000
            0x00, 0x00, 0x1F, 0x80, 0x7E, ##                     000000        000000
            0x00, 0x00, 0x1F, 0x80, 0x7E, ##                     000000        000000
            0x00, 0x00, 0x1F, 0x80, 0x7E, ##                     000000        000000
            0x00, 0x00, 0x1F, 0x80, 0x7E, ##                     000000        000000
            0x00, 0x00, 0x1F, 0x80, 0x7E, ##                     000000        000000
            0x00, 0x00, 0x1F, 0x80, 0x7E, ##                     000000        000000
            0x00, 0x00, 0x1F, 0x80, 0x7E, ##                     000000        000000
            0x00, 0x00, 0x1F, 0x80, 0x7E, ##                     000000        000000
            0x00, 0x00, 0x1F, 0x80, 0x7E, ##                     000000        000000
            0x00, 0x00, 0x1F, 0x80, 0x7E, ##                     000000        000000
            0x00, 0x00, 0x1F, 0x80, 0x7E, ##                     000000        000000
            0x00, 0x00, 0x1F, 0x80, 0x7E, ##                     000000        000000
            0x00, 0x00, 0x1F, 0x80, 0x7E, ##                     000000        000000
            0x00, 0x00, 0x1F, 0x80, 0x7E, ##                     000000        000000
            0x00, 0x00, 0x1F, 0x80, 0x7E, ##                     000000        000000
            0x00, 0x00, 0x1F, 0x80, 0x7E, ##                     000000        000000
            0x00, 0x00, 0x1F, 0x80, 0x7E, ##                     000000        000000
            0x00, 0x00, 0x1F, 0x80, 0x7E, ##                     000000        000000
            0x00, 0x00, 0x1F, 0x80, 0x7E, ##                     000000        000000
            0x00, 0x00, 0x1F, 0x80, 0x7E, ##                     000000        000000
            0x00, 0x00, 0x1F, 0x80, 0x7E, ##                     000000        000000
            0x00, 0x00, 0x1F, 0x80, 0x7E, ##                     000000        000000
            0x00, 0x00, 0x1F, 0x80, 0x7E, ##                     000000        000000
            0x00, 0x00, 0x1F, 0x80, 0x7E, ##                     000000        000000
            0x00, 0x00, 0x1F, 0x80, 0x7E, ##                     000000        000000
            0x00, 0x00, 0x1F, 0x80, 0x7E, ##                     000000        000000
            0x00, 0x00, 0x1F, 0x80, 0x7E, ##                     000000        000000
            0x00, 0x00, 0x1F, 0x80, 0x7E, ##                     000000        000000
            0x00, 0x00, 0x1F, 0x80, 0x7E, ##                     000000        000000
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '183' => {    # '·'
        'width'    => 9, 
        'xoffset'  => 9, 
        'xadvance' => 27, 
        'bitmap'   => [ 
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0xFF, 0x80, ##  000000000
            0xFF, 0x80, ##  000000000
            0xFF, 0x80, ##  000000000
            0xFF, 0x80, ##  000000000
            0xFF, 0x80, ##  000000000
            0xFF, 0x80, ##  000000000
            0xFF, 0x80, ##  000000000
            0xFF, 0x80, ##  000000000
            0xFF, 0x80, ##  000000000
            0xFF, 0x80, ##  000000000
            0xFF, 0x80, ##  000000000
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
        ], 
    }, 
    '184' => {    # '¸'
        'width'    => 17, 
        'xoffset'  => 13, 
        'xadvance' => 44, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0xF8, 0x00, ##          00000    
            0x00, 0xFC, 0x00, ##          000000   
            0x00, 0x7C, 0x00, ##           00000   
            0x00, 0x7E, 0x00, ##           000000  
            0x00, 0x3F, 0x00, ##            000000 
            0x00, 0x3F, 0x00, ##            000000 
            0x00, 0x1F, 0x00, ##             00000 
            0x00, 0x1F, 0x80, ##             000000
            0x00, 0x1F, 0x80, ##             000000
            0x00, 0x1F, 0x80, ##             000000
            0x00, 0x3F, 0x80, ##            0000000
            0xC0, 0x7F, 0x80, ##  00       00000000
            0xFF, 0xFF, 0x00, ##  0000000000000000 
            0xFF, 0xFF, 0x00, ##  0000000000000000 
            0xFF, 0xFE, 0x00, ##  000000000000000  
            0xFF, 0xFC, 0x00, ##  00000000000000   
            0x3F, 0xE0, 0x00, ##    000000000      
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '185' => {    # '¹'
        'width'    => 25, 
        'xoffset'  => 6, 
        'xadvance' => 36, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x3F, 0x00, 0x00, ##            000000         
            0x0F, 0xFF, 0x00, 0x00, ##      000000000000         
            0xFF, 0xFF, 0x00, 0x00, ##  0000000000000000         
            0xFF, 0xFF, 0x00, 0x00, ##  0000000000000000         
            0xFF, 0xFF, 0x00, 0x00, ##  0000000000000000         
            0xFF, 0xFF, 0x00, 0x00, ##  0000000000000000         
            0xF0, 0x3F, 0x00, 0x00, ##  0000      000000         
            0x00, 0x3F, 0x00, 0x00, ##            000000         
            0x00, 0x3F, 0x00, 0x00, ##            000000         
            0x00, 0x3F, 0x00, 0x00, ##            000000         
            0x00, 0x3F, 0x00, 0x00, ##            000000         
            0x00, 0x3F, 0x00, 0x00, ##            000000         
            0x00, 0x3F, 0x00, 0x00, ##            000000         
            0x00, 0x3F, 0x00, 0x00, ##            000000         
            0x00, 0x3F, 0x00, 0x00, ##            000000         
            0x00, 0x3F, 0x00, 0x00, ##            000000         
            0x00, 0x3F, 0x00, 0x00, ##            000000         
            0x00, 0x3F, 0x00, 0x00, ##            000000         
            0x00, 0x3F, 0x00, 0x00, ##            000000         
            0x00, 0x3F, 0x00, 0x00, ##            000000         
            0x00, 0x3F, 0x00, 0x00, ##            000000         
            0x00, 0x3F, 0x00, 0x00, ##            000000         
            0x00, 0x3F, 0x00, 0x00, ##            000000         
            0x00, 0x3F, 0x00, 0x00, ##            000000         
            0x00, 0x3F, 0x00, 0x00, ##            000000         
            0x00, 0x3F, 0x00, 0x00, ##            000000         
            0x00, 0x3F, 0x00, 0x00, ##            000000         
            0x00, 0x3F, 0x00, 0x00, ##            000000         
            0x00, 0x3F, 0x00, 0x00, ##            000000         
            0x00, 0x3F, 0x00, 0x00, ##            000000         
            0x00, 0x3F, 0x00, 0x00, ##            000000         
            0x00, 0x3F, 0x00, 0x00, ##            000000         
            0x7F, 0xFF, 0xFF, 0x80, ##   000000000000000000000000
            0x7F, 0xFF, 0xFF, 0x80, ##   000000000000000000000000
            0x7F, 0xFF, 0xFF, 0x80, ##   000000000000000000000000
            0x7F, 0xFF, 0xFF, 0x80, ##   000000000000000000000000
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '186' => {    # 'º'
        'width'    => 33, 
        'xoffset'  => 4, 
        'xadvance' => 41, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x0F, 0xF8, 0x00, 0x00, ##              000000000            
            0x00, 0x7F, 0xFF, 0x00, 0x00, ##           000000000000000         
            0x01, 0xFF, 0xFF, 0xC0, 0x00, ##         0000000000000000000       
            0x03, 0xFF, 0xFF, 0xE0, 0x00, ##        000000000000000000000      
            0x07, 0xFF, 0xFF, 0xF0, 0x00, ##       00000000000000000000000     
            0x0F, 0xFC, 0x0F, 0xF8, 0x00, ##      0000000000      000000000    
            0x1F, 0xF0, 0x07, 0xFC, 0x00, ##     000000000         000000000   
            0x3F, 0xC0, 0x01, 0xFE, 0x00, ##    00000000             00000000  
            0x3F, 0xC0, 0x00, 0xFE, 0x00, ##    00000000              0000000  
            0x7F, 0x80, 0x00, 0xFF, 0x00, ##   00000000               00000000 
            0x7F, 0x00, 0x00, 0x7F, 0x00, ##   0000000                 0000000 
            0x7F, 0x00, 0x00, 0x7F, 0x00, ##   0000000                 0000000 
            0xFF, 0x00, 0x00, 0x7F, 0x00, ##  00000000                 0000000 
            0xFE, 0x00, 0x00, 0x3F, 0x80, ##  0000000                   0000000
            0xFE, 0x00, 0x00, 0x3F, 0x80, ##  0000000                   0000000
            0xFE, 0x00, 0x00, 0x3F, 0x80, ##  0000000                   0000000
            0xFE, 0x00, 0x00, 0x3F, 0x80, ##  0000000                   0000000
            0xFE, 0x00, 0x00, 0x3F, 0x80, ##  0000000                   0000000
            0xFE, 0x00, 0x00, 0x3F, 0x80, ##  0000000                   0000000
            0xFE, 0x00, 0x00, 0x3F, 0x80, ##  0000000                   0000000
            0xFE, 0x00, 0x00, 0x3F, 0x80, ##  0000000                   0000000
            0xFE, 0x00, 0x00, 0x3F, 0x80, ##  0000000                   0000000
            0xFF, 0x00, 0x00, 0x7F, 0x80, ##  00000000                 00000000
            0x7F, 0x00, 0x00, 0x7F, 0x00, ##   0000000                 0000000 
            0x7F, 0x00, 0x00, 0x7F, 0x00, ##   0000000                 0000000 
            0x7F, 0x80, 0x00, 0xFF, 0x00, ##   00000000               00000000 
            0x3F, 0xC0, 0x01, 0xFE, 0x00, ##    00000000             00000000  
            0x3F, 0xC0, 0x01, 0xFE, 0x00, ##    00000000             00000000  
            0x1F, 0xF0, 0x07, 0xFC, 0x00, ##     000000000         000000000   
            0x0F, 0xF8, 0x0F, 0xF8, 0x00, ##      000000000       000000000    
            0x07, 0xFF, 0xFF, 0xF0, 0x00, ##       00000000000000000000000     
            0x03, 0xFF, 0xFF, 0xE0, 0x00, ##        000000000000000000000      
            0x01, 0xFF, 0xFF, 0xC0, 0x00, ##         0000000000000000000       
            0x00, 0x7F, 0xFF, 0x00, 0x00, ##           000000000000000         
            0x00, 0x0F, 0xF8, 0x00, 0x00, ##              000000000            
            0x00, 0x00, 0x00, 0x00, 0x00, ##                                   
            0x00, 0x00, 0x00, 0x00, 0x00, ##                                   
            0x00, 0x00, 0x00, 0x00, 0x00, ##                                   
            0x00, 0x00, 0x00, 0x00, 0x00, ##                                   
            0x00, 0x00, 0x00, 0x00, 0x00, ##                                   
            0x3F, 0xFF, 0xFF, 0xFE, 0x00, ##    00000000000000000000000000000  
            0x3F, 0xFF, 0xFF, 0xFE, 0x00, ##    00000000000000000000000000000  
            0x3F, 0xFF, 0xFF, 0xFE, 0x00, ##    00000000000000000000000000000  
            0x3F, 0xFF, 0xFF, 0xFE, 0x00, ##    00000000000000000000000000000  
            0x3F, 0xFF, 0xFF, 0xFE, 0x00, ##    00000000000000000000000000000  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '187' => {    # '»'
        'width'    => 39, 
        'xoffset'  => 8, 
        'xadvance' => 53, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x80, 0x00, 0x20, 0x00, 0x00, ##  0                 0                    
            0xC0, 0x00, 0x30, 0x00, 0x00, ##  00                00                   
            0xE0, 0x00, 0x3C, 0x00, 0x00, ##  000               0000                 
            0xF0, 0x00, 0x3E, 0x00, 0x00, ##  0000              00000                
            0xF8, 0x00, 0x3F, 0x00, 0x00, ##  00000             000000               
            0xFC, 0x00, 0x3F, 0x80, 0x00, ##  000000            0000000              
            0xFF, 0x00, 0x3F, 0xC0, 0x00, ##  00000000          00000000             
            0xFF, 0x80, 0x3F, 0xE0, 0x00, ##  000000000         000000000            
            0x7F, 0xC0, 0x1F, 0xF0, 0x00, ##   000000000         000000000           
            0x3F, 0xE0, 0x0F, 0xF8, 0x00, ##    000000000         000000000          
            0x1F, 0xF0, 0x07, 0xFE, 0x00, ##     000000000         0000000000        
            0x0F, 0xF8, 0x01, 0xFF, 0x00, ##      000000000          000000000       
            0x07, 0xFC, 0x00, 0xFF, 0x80, ##       000000000          000000000      
            0x03, 0xFE, 0x00, 0x7F, 0xC0, ##        000000000          000000000     
            0x01, 0xFF, 0x80, 0x3F, 0xE0, ##         0000000000         000000000    
            0x00, 0xFF, 0xC0, 0x1F, 0xF0, ##          0000000000         000000000   
            0x00, 0x3F, 0xE0, 0x0F, 0xF8, ##            000000000         000000000  
            0x00, 0x1F, 0xF0, 0x07, 0xFC, ##             000000000         000000000 
            0x00, 0x0F, 0xF0, 0x03, 0xFE, ##              00000000          000000000
            0x00, 0x07, 0xF0, 0x01, 0xFE, ##               0000000           00000000
            0x00, 0x0F, 0xF0, 0x03, 0xFE, ##              00000000          000000000
            0x00, 0x3F, 0xF0, 0x07, 0xFC, ##            0000000000         000000000 
            0x00, 0x7F, 0xC0, 0x0F, 0xF8, ##           000000000          000000000  
            0x00, 0xFF, 0x80, 0x1F, 0xF0, ##          000000000          000000000   
            0x01, 0xFF, 0x00, 0x3F, 0xE0, ##         000000000          000000000    
            0x03, 0xFE, 0x00, 0xFF, 0xC0, ##        000000000         0000000000     
            0x07, 0xFC, 0x01, 0xFF, 0x00, ##       000000000         000000000       
            0x0F, 0xF8, 0x03, 0xFE, 0x00, ##      000000000         000000000        
            0x1F, 0xF0, 0x07, 0xFC, 0x00, ##     000000000         000000000         
            0x7F, 0xE0, 0x0F, 0xF8, 0x00, ##   0000000000         000000000          
            0xFF, 0x80, 0x1F, 0xF0, 0x00, ##  000000000          000000000           
            0xFF, 0x00, 0x3F, 0xE0, 0x00, ##  00000000          000000000            
            0xFE, 0x00, 0x3F, 0xC0, 0x00, ##  0000000           00000000             
            0xFC, 0x00, 0x3F, 0x80, 0x00, ##  000000            0000000              
            0xF8, 0x00, 0x3F, 0x00, 0x00, ##  00000             000000               
            0xF0, 0x00, 0x3C, 0x00, 0x00, ##  0000              0000                 
            0xE0, 0x00, 0x38, 0x00, 0x00, ##  000               000                  
            0xC0, 0x00, 0x30, 0x00, 0x00, ##  00                00                   
            0x80, 0x00, 0x20, 0x00, 0x00, ##  0                 0                    
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '188' => {    # '¼'
        'width'    => 76, 
        'xoffset'  => 6, 
        'xadvance' => 85, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x07, 0xE0, 0x00, 0x00, ##            000000                                     000000                 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xE0, 0x00, 0x00, ##      000000000000                                    0000000                 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xC0, 0x00, 0x00, ##  0000000000000000                                    000000                  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x1F, 0xC0, 0x00, 0x00, ##  0000000000000000                                   0000000                  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x3F, 0x80, 0x00, 0x00, ##  0000000000000000                                  0000000                   
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x3F, 0x00, 0x00, 0x00, ##  0000000000000000                                  000000                    
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x7F, 0x00, 0x00, 0x00, ##  0000      000000                                 0000000                    
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x7E, 0x00, 0x00, 0x00, ##            000000                                 000000                     
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFE, 0x00, 0x00, 0x00, ##            000000                                0000000                     
            0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xFC, 0x00, 0x00, 0x00, ##            000000                               0000000                      
            0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xFC, 0x00, 0x00, 0x00, ##            000000                               0000000                      
            0x00, 0x00, 0x00, 0x00, 0x00, 0x03, 0xF8, 0x00, 0x00, 0x00, ##            000000                              0000000                       
            0x00, 0x00, 0x00, 0x00, 0x00, 0x03, 0xF0, 0x00, 0x00, 0x00, ##            000000                              000000                        
            0x00, 0x00, 0x00, 0x00, 0x00, 0x07, 0xF0, 0x00, 0x00, 0x00, ##            000000                             0000000                        
            0x00, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xE0, 0x00, 0x00, 0x00, ##            000000                            0000000                         
            0x00, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xE0, 0x00, 0x00, 0x00, ##            000000                            0000000                         
            0x00, 0x00, 0x00, 0x00, 0x00, 0x1F, 0xC0, 0x00, 0x00, 0x00, ##            000000                           0000000                          
            0x00, 0x00, 0x00, 0x00, 0x00, 0x1F, 0x80, 0x00, 0x00, 0x00, ##            000000                           000000                           
            0x00, 0x00, 0x00, 0x00, 0x00, 0x3F, 0x80, 0x00, 0x00, 0x00, ##            000000                          0000000                           
            0x00, 0x00, 0x00, 0x00, 0x00, 0x7F, 0x00, 0x00, 0x00, 0x00, ##            000000                         0000000                            
            0x00, 0x00, 0x00, 0x00, 0x00, 0x7F, 0x00, 0x00, 0x00, 0x00, ##            000000                         0000000                            
            0x00, 0x00, 0x00, 0x00, 0x00, 0xFE, 0x00, 0x00, 0x00, 0x00, ##            000000                        0000000                             
            0x00, 0x00, 0x00, 0x00, 0x00, 0xFC, 0x00, 0x00, 0x00, 0x00, ##            000000                        000000                              
            0x00, 0x00, 0x00, 0x00, 0x01, 0xFC, 0x00, 0x00, 0x00, 0x00, ##            000000                       0000000                              
            0x00, 0x00, 0x00, 0x00, 0x03, 0xF8, 0x00, 0x00, 0x00, 0x00, ##            000000                      0000000                               
            0x00, 0x00, 0x00, 0x00, 0x03, 0xF8, 0x00, 0x00, 0x00, 0x00, ##            000000                      0000000                               
            0x00, 0x00, 0x00, 0x00, 0x07, 0xF0, 0x00, 0x00, 0x00, 0x00, ##            000000                     0000000                                
            0x00, 0x00, 0x00, 0x00, 0x07, 0xE0, 0x00, 0x00, 0x00, 0x00, ##            000000                     000000                                 
            0x00, 0x00, 0x00, 0x00, 0x0F, 0xE0, 0x00, 0x00, 0x00, 0x00, ##            000000                    0000000                                 
            0x00, 0x00, 0x00, 0x00, 0x1F, 0xC0, 0x00, 0x01, 0xFC, 0x00, ##            000000                   0000000                     0000000      
            0x00, 0x00, 0x00, 0x00, 0x1F, 0xC0, 0x00, 0x03, 0xFC, 0x00, ##            000000                   0000000                    00000000      
            0x00, 0x00, 0x00, 0x00, 0x3F, 0x80, 0x00, 0x03, 0xFC, 0x00, ##            000000                  0000000                     00000000      
            0x00, 0x00, 0xFF, 0x80, 0x3F, 0x00, 0x00, 0x07, 0xFC, 0x00, ##   000000000000000000000000         000000                     000000000      
            0x00, 0x00, 0xFF, 0x80, 0x7F, 0x00, 0x00, 0x0F, 0xFC, 0x00, ##   000000000000000000000000        0000000                    0000000000      
            0x00, 0x00, 0xFF, 0x80, 0xFE, 0x00, 0x00, 0x1F, 0xFC, 0x00, ##   000000000000000000000000       0000000                    00000000000      
            0x00, 0x00, 0xFF, 0x80, 0xFE, 0x00, 0x00, 0x1E, 0xFC, 0x00, ##   000000000000000000000000       0000000                    0000 000000      
            0x00, 0x00, 0x00, 0x01, 0xFC, 0x00, 0x00, 0x3E, 0xFC, 0x00, ##                                 0000000                    00000 000000      
            0x00, 0x00, 0x00, 0x01, 0xF8, 0x00, 0x00, 0x7C, 0xFC, 0x00, ##                                 000000                    00000  000000      
            0x00, 0x00, 0x00, 0x03, 0xF8, 0x00, 0x00, 0x78, 0xFC, 0x00, ##                                0000000                    0000   000000      
            0x00, 0x00, 0x00, 0x07, 0xF0, 0x00, 0x00, 0xF0, 0xFC, 0x00, ##                               0000000                    0000    000000      
            0x00, 0x00, 0x00, 0x07, 0xF0, 0x00, 0x01, 0xF0, 0xFC, 0x00, ##                               0000000                   00000    000000      
            0x00, 0x00, 0x00, 0x0F, 0xE0, 0x00, 0x03, 0xE0, 0xFC, 0x00, ##                              0000000                   00000     000000      
            0x00, 0x00, 0x00, 0x0F, 0xC0, 0x00, 0x03, 0xC0, 0xFC, 0x00, ##                              000000                    0000      000000      
            0x00, 0x00, 0x00, 0x1F, 0xC0, 0x00, 0x07, 0xC0, 0xFC, 0x00, ##                             0000000                   00000      000000      
            0x00, 0x00, 0x00, 0x3F, 0x80, 0x00, 0x0F, 0x80, 0xFC, 0x00, ##                            0000000                   00000       000000      
            0x00, 0x00, 0x00, 0x3F, 0x80, 0x00, 0x0F, 0x00, 0xFC, 0x00, ##                            0000000                   0000        000000      
            0x00, 0x00, 0x00, 0x7F, 0x00, 0x00, 0x1F, 0x00, 0xFC, 0x00, ##                           0000000                   00000        000000      
            0x00, 0x00, 0x00, 0x7F, 0x00, 0x00, 0x3E, 0x00, 0xFC, 0x00, ##                           0000000                  00000         000000      
            0x00, 0x00, 0x00, 0xFE, 0x00, 0x00, 0x7C, 0x00, 0xFC, 0x00, ##                          0000000                  00000          000000      
            0x00, 0x00, 0x01, 0xFC, 0x00, 0x00, 0x78, 0x00, 0xFC, 0x00, ##                         0000000                   0000           000000      
            0x00, 0x00, 0x01, 0xFC, 0x00, 0x00, 0xF8, 0x00, 0xFC, 0x00, ##                         0000000                  00000           000000      
            0x00, 0x00, 0x03, 0xF8, 0x00, 0x01, 0xF0, 0x00, 0xFC, 0x00, ##                        0000000                  00000            000000      
            0x00, 0x00, 0x03, 0xF8, 0x00, 0x01, 0xE0, 0x00, 0xFC, 0x00, ##                        0000000                  0000             000000      
            0x00, 0x00, 0x07, 0xF0, 0x00, 0x01, 0xFF, 0xFF, 0xFF, 0xF0, ##                       0000000                   00000000000000000000000000000
            0x00, 0x00, 0x0F, 0xE0, 0x00, 0x01, 0xFF, 0xFF, 0xFF, 0xF0, ##                      0000000                    00000000000000000000000000000
            0x00, 0x00, 0x0F, 0xE0, 0x00, 0x01, 0xFF, 0xFF, 0xFF, 0xF0, ##                      0000000                    00000000000000000000000000000
            0x00, 0x00, 0x1F, 0xC0, 0x00, 0x01, 0xFF, 0xFF, 0xFF, 0xF0, ##                     0000000                     00000000000000000000000000000
            0x00, 0x00, 0x1F, 0xC0, 0x00, 0x00, 0x00, 0x00, 0xFC, 0x00, ##                     0000000                                      000000      
            0x00, 0x00, 0x3F, 0x80, 0x00, 0x00, 0x00, 0x00, 0xFC, 0x00, ##                    0000000                                       000000      
            0x00, 0x00, 0x7F, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFC, 0x00, ##                   0000000                                        000000      
            0x00, 0x00, 0x7F, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFC, 0x00, ##                   0000000                                        000000      
            0x00, 0x00, 0xFE, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFC, 0x00, ##                  0000000                                         000000      
            0x00, 0x00, 0xFE, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFC, 0x00, ##                  0000000                                         000000      
            0x00, 0x00, 0xFC, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFC, 0x00, ##                 0000000                                          000000      
            0x00, 0x00, 0xF8, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFC, 0x00, ##                0000000                                           000000      
            0x00, 0x00, 0xF8, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                0000000                                                       
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '189' => {    # '½'
        'width'    => 73, 
        'xoffset'  => 6, 
        'xadvance' => 85, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x07, 0xF0, 0x00, 0x00, ##                                                       0000000             
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xE0, 0x00, 0x00, ##         000000000                                    0000000              
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xE0, 0x00, 0x00, ##   000000000000000                                    0000000              
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x1F, 0xC0, 0x00, 0x00, ##  0000000000000000                                   0000000               
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x3F, 0x80, 0x00, 0x00, ##  0000000000000000                                  0000000                
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x3F, 0x80, 0x00, 0x00, ##  0000000000000000                                  0000000                
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x7F, 0x00, 0x00, 0x00, ##  0000000   000000                                 0000000                 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x7F, 0x00, 0x00, 0x00, ##  0         000000                                 0000000                 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFE, 0x00, 0x00, 0x00, ##            000000                                0000000                  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xFC, 0x00, 0x00, 0x00, ##            000000                               0000000                   
            0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xFC, 0x00, 0x00, 0x00, ##            000000                               0000000                   
            0x00, 0x00, 0x00, 0x00, 0x00, 0x03, 0xF8, 0x00, 0x00, 0x00, ##            000000                              0000000                    
            0x00, 0x00, 0x00, 0x00, 0x00, 0x03, 0xF8, 0x00, 0x00, 0x00, ##            000000                              0000000                    
            0x00, 0x00, 0x00, 0x00, 0x00, 0x07, 0xF0, 0x00, 0x00, 0x00, ##            000000                             0000000                     
            0x00, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xE0, 0x00, 0x00, 0x00, ##            000000                            0000000                      
            0x00, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xE0, 0x00, 0x00, 0x00, ##            000000                            0000000                      
            0x00, 0x00, 0x00, 0x00, 0x00, 0x1F, 0xC0, 0x00, 0x00, 0x00, ##            000000                           0000000                       
            0x00, 0x00, 0x00, 0x00, 0x00, 0x1F, 0xC0, 0x00, 0x00, 0x00, ##            000000                           0000000                       
            0x00, 0x00, 0x00, 0x00, 0x00, 0x3F, 0x80, 0x00, 0x00, 0x00, ##            000000                          0000000                        
            0x00, 0x00, 0x00, 0x00, 0x00, 0x7F, 0x00, 0x00, 0x00, 0x00, ##            000000                         0000000                         
            0x00, 0x00, 0x00, 0x00, 0x00, 0x7F, 0x00, 0x00, 0x00, 0x00, ##            000000                         0000000                         
            0x00, 0x00, 0x00, 0x00, 0x00, 0xFE, 0x00, 0x00, 0x00, 0x00, ##            000000                        0000000                          
            0x00, 0x00, 0x00, 0x00, 0x00, 0xFE, 0x00, 0x00, 0x00, 0x00, ##            000000                        0000000                          
            0x00, 0x00, 0x00, 0x00, 0x01, 0xFC, 0x00, 0x00, 0x00, 0x00, ##            000000                       0000000                           
            0x00, 0x00, 0x00, 0x00, 0x03, 0xF8, 0x00, 0x00, 0x00, 0x00, ##            000000                      0000000                            
            0x00, 0x00, 0x00, 0x00, 0x03, 0xF8, 0x00, 0x00, 0x00, 0x00, ##            000000                      0000000                            
            0x00, 0x00, 0x00, 0x00, 0x07, 0xF0, 0x00, 0x00, 0x00, 0x00, ##            000000                     0000000                             
            0x00, 0x00, 0x00, 0x00, 0x07, 0xF0, 0x00, 0x00, 0x00, 0x00, ##            000000                     0000000                             
            0x00, 0x00, 0x00, 0x00, 0x0F, 0xE0, 0x00, 0x00, 0x00, 0x00, ##            000000                    0000000                              
            0x00, 0x00, 0x00, 0x00, 0x1F, 0xC0, 0x01, 0xFF, 0x00, 0x00, ##            000000                   0000000             000000000         
            0x00, 0x00, 0x00, 0x00, 0x1F, 0xC0, 0x1F, 0xFF, 0xE0, 0x00, ##            000000                   0000000         0000000000000000      
            0x00, 0x00, 0x00, 0x00, 0x3F, 0x80, 0xFF, 0xFF, 0xF8, 0x00, ##            000000                  0000000       000000000000000000000    
            0x00, 0x00, 0xFF, 0x80, 0x3F, 0x80, 0xFF, 0xFF, 0xFC, 0x00, ##   000000000000000000000000         0000000       0000000000000000000000   
            0x00, 0x00, 0xFF, 0x80, 0x7F, 0x00, 0xFE, 0x03, 0xFE, 0x00, ##   000000000000000000000000        0000000        0000000       000000000  
            0x00, 0x00, 0xFF, 0x80, 0xFE, 0x00, 0xE0, 0x00, 0xFF, 0x00, ##   000000000000000000000000       0000000         000             00000000 
            0x00, 0x00, 0xFF, 0x80, 0xFE, 0x00, 0x80, 0x00, 0x3F, 0x00, ##   000000000000000000000000       0000000         0                 000000 
            0x00, 0x00, 0x00, 0x01, 0xFC, 0x00, 0x00, 0x00, 0x3F, 0x80, ##                                 0000000                            0000000
            0x00, 0x00, 0x00, 0x01, 0xFC, 0x00, 0x00, 0x00, 0x1F, 0x80, ##                                 0000000                             000000
            0x00, 0x00, 0x00, 0x03, 0xF8, 0x00, 0x00, 0x00, 0x1F, 0x80, ##                                0000000                              000000
            0x00, 0x00, 0x00, 0x07, 0xF0, 0x00, 0x00, 0x00, 0x1F, 0x80, ##                               0000000                               000000
            0x00, 0x00, 0x00, 0x07, 0xF0, 0x00, 0x00, 0x00, 0x1F, 0x80, ##                               0000000                               000000
            0x00, 0x00, 0x00, 0x0F, 0xE0, 0x00, 0x00, 0x00, 0x3F, 0x80, ##                              0000000                               0000000
            0x00, 0x00, 0x00, 0x0F, 0xE0, 0x00, 0x00, 0x00, 0x3F, 0x00, ##                              0000000                               000000 
            0x00, 0x00, 0x00, 0x1F, 0xC0, 0x00, 0x00, 0x00, 0x7F, 0x00, ##                             0000000                               0000000 
            0x00, 0x00, 0x00, 0x3F, 0x80, 0x00, 0x00, 0x00, 0xFE, 0x00, ##                            0000000                               0000000  
            0x00, 0x00, 0x00, 0x3F, 0x80, 0x00, 0x00, 0x01, 0xFC, 0x00, ##                            0000000                              0000000   
            0x00, 0x00, 0x00, 0x7F, 0x00, 0x00, 0x00, 0x03, 0xFC, 0x00, ##                           0000000                              00000000   
            0x00, 0x00, 0x00, 0x7F, 0x00, 0x00, 0x00, 0x03, 0xF8, 0x00, ##                           0000000                              0000000    
            0x00, 0x00, 0x00, 0xFE, 0x00, 0x00, 0x00, 0x07, 0xF0, 0x00, ##                          0000000                              0000000     
            0x00, 0x00, 0x01, 0xFC, 0x00, 0x00, 0x00, 0x0F, 0xE0, 0x00, ##                         0000000                              0000000      
            0x00, 0x00, 0x01, 0xFC, 0x00, 0x00, 0x00, 0x1F, 0xC0, 0x00, ##                         0000000                             0000000       
            0x00, 0x00, 0x03, 0xF8, 0x00, 0x00, 0x00, 0x3F, 0x80, 0x00, ##                        0000000                             0000000        
            0x00, 0x00, 0x03, 0xF8, 0x00, 0x00, 0x00, 0x7F, 0x00, 0x00, ##                        0000000                            0000000         
            0x00, 0x00, 0x07, 0xF0, 0x00, 0x00, 0x01, 0xFE, 0x00, 0x00, ##                       0000000                           00000000          
            0x00, 0x00, 0x0F, 0xE0, 0x00, 0x00, 0x03, 0xFC, 0x00, 0x00, ##                      0000000                           00000000           
            0x00, 0x00, 0x0F, 0xE0, 0x00, 0x00, 0x07, 0xF8, 0x00, 0x00, ##                      0000000                          00000000            
            0x00, 0x00, 0x1F, 0xC0, 0x00, 0x00, 0x0F, 0xF0, 0x00, 0x00, ##                     0000000                          00000000             
            0x00, 0x00, 0x1F, 0xC0, 0x00, 0x00, 0x1F, 0xC0, 0x00, 0x00, ##                     0000000                         0000000               
            0x00, 0x00, 0x3F, 0x80, 0x00, 0x00, 0x3F, 0x80, 0x00, 0x00, ##                    0000000                         0000000                
            0x00, 0x00, 0x7F, 0x00, 0x00, 0x00, 0x7F, 0x00, 0x00, 0x00, ##                   0000000                         0000000                 
            0x00, 0x00, 0x7F, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0xFF, 0x80, ##                   0000000                        0000000000000000000000000
            0x00, 0x00, 0xFE, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0xFF, 0x80, ##                  0000000                         0000000000000000000000000
            0x00, 0x00, 0xFE, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0xFF, 0x80, ##                  0000000                         0000000000000000000000000
            0x00, 0x00, 0xFC, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0xFF, 0x80, ##                 0000000                          0000000000000000000000000
            0x00, 0x00, 0xF8, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0xFF, 0x80, ##                0000000                           0000000000000000000000000
            0x00, 0x00, 0xF8, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                0000000                                                    
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '190' => {    # '¾'
        'width'    => 78, 
        'xoffset'  => 4, 
        'xadvance' => 84, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x80, 0x00, 0x00, 0x00, 0x03, 0xF8, 0x00, 0x00, ##        00000000000                                     0000000                 
            0x00, 0x00, 0xF0, 0x00, 0x00, 0x00, 0x03, 0xF8, 0x00, 0x00, ##   0000000000000000000                                  0000000                 
            0x00, 0x00, 0xF8, 0x00, 0x00, 0x00, 0x07, 0xF0, 0x00, 0x00, ##   00000000000000000000                                0000000                  
            0x00, 0x00, 0xFE, 0x00, 0x00, 0x00, 0x07, 0xE0, 0x00, 0x00, ##   0000000000000000000000                              000000                   
            0x00, 0x00, 0xFE, 0x00, 0x00, 0x00, 0x0F, 0xE0, 0x00, 0x00, ##   00000         00000000                             0000000                   
            0x00, 0x00, 0x7F, 0x00, 0x00, 0x00, 0x1F, 0xC0, 0x00, 0x00, ##   00              0000000                           0000000                    
            0x00, 0x00, 0x3F, 0x80, 0x00, 0x00, 0x1F, 0xC0, 0x00, 0x00, ##                    0000000                          0000000                    
            0x00, 0x00, 0x1F, 0x80, 0x00, 0x00, 0x3F, 0x80, 0x00, 0x00, ##                     000000                         0000000                     
            0x00, 0x00, 0x1F, 0x80, 0x00, 0x00, 0x7F, 0x00, 0x00, 0x00, ##                     000000                        0000000                      
            0x00, 0x00, 0x1F, 0x80, 0x00, 0x00, 0x7F, 0x00, 0x00, 0x00, ##                     000000                        0000000                      
            0x00, 0x00, 0x1F, 0x80, 0x00, 0x00, 0xFE, 0x00, 0x00, 0x00, ##                     000000                       0000000                       
            0x00, 0x00, 0x1F, 0x80, 0x00, 0x00, 0xFE, 0x00, 0x00, 0x00, ##                     000000                       0000000                       
            0x00, 0x00, 0x3F, 0x00, 0x00, 0x01, 0xFC, 0x00, 0x00, 0x00, ##                    000000                       0000000                        
            0x00, 0x00, 0x7F, 0x00, 0x00, 0x03, 0xF8, 0x00, 0x00, 0x00, ##                   0000000                      0000000                         
            0x00, 0x00, 0xFE, 0x00, 0x00, 0x03, 0xF8, 0x00, 0x00, 0x00, ##                 00000000                       0000000                         
            0x00, 0x00, 0xFC, 0x00, 0x00, 0x07, 0xF0, 0x00, 0x00, 0x00, ##         000000000000000                       0000000                          
            0x00, 0x00, 0xF0, 0x00, 0x00, 0x07, 0xF0, 0x00, 0x00, 0x00, ##         0000000000000                         0000000                          
            0x00, 0x00, 0xE0, 0x00, 0x00, 0x0F, 0xE0, 0x00, 0x00, 0x00, ##         000000000000                         0000000                           
            0x00, 0x00, 0xFC, 0x00, 0x00, 0x1F, 0xC0, 0x00, 0x00, 0x00, ##         000000000000000                     0000000                            
            0x00, 0x00, 0xFE, 0x00, 0x00, 0x1F, 0xC0, 0x00, 0x00, 0x00, ##                 00000000                    0000000                            
            0x00, 0x00, 0x7F, 0x00, 0x00, 0x3F, 0x80, 0x00, 0x00, 0x00, ##                   0000000                  0000000                             
            0x00, 0x00, 0x3F, 0x80, 0x00, 0x3F, 0x80, 0x00, 0x00, 0x00, ##                    0000000                 0000000                             
            0x00, 0x00, 0x1F, 0x80, 0x00, 0x7F, 0x00, 0x00, 0x00, 0x00, ##                     000000                0000000                              
            0x00, 0x00, 0x0F, 0xC0, 0x00, 0xFE, 0x00, 0x00, 0x00, 0x00, ##                      000000              0000000                               
            0x00, 0x00, 0x0F, 0xC0, 0x00, 0xFE, 0x00, 0x00, 0x00, 0x00, ##                      000000              0000000                               
            0x00, 0x00, 0x0F, 0xC0, 0x01, 0xFC, 0x00, 0x00, 0x00, 0x00, ##                      000000             0000000                                
            0x00, 0x00, 0x0F, 0xC0, 0x01, 0xFC, 0x00, 0x00, 0x00, 0x00, ##                      000000             0000000                                
            0x00, 0x00, 0x0F, 0xC0, 0x03, 0xF8, 0x00, 0x00, 0x00, 0x00, ##                      000000            0000000                                 
            0x00, 0x00, 0x0F, 0xC0, 0x07, 0xF0, 0x00, 0x00, 0x00, 0x00, ##                      000000           0000000                                  
            0x00, 0x00, 0x1F, 0x80, 0x07, 0xF0, 0x00, 0x00, 0x00, 0x00, ##                     000000            0000000                                  
            0x00, 0x00, 0x3F, 0x80, 0x0F, 0xE0, 0x00, 0x00, 0xFF, 0x00, ##                    0000000           0000000                     00000000      
            0x00, 0x00, 0x7F, 0x80, 0x0F, 0xE0, 0x00, 0x00, 0xFF, 0x00, ##  00               00000000           0000000                     00000000      
            0x00, 0x00, 0xFF, 0x00, 0x1F, 0xC0, 0x00, 0x01, 0xFF, 0x00, ##  00000         0000000000           0000000                     000000000      
            0x00, 0x00, 0xFE, 0x00, 0x3F, 0x80, 0x00, 0x03, 0xFF, 0x00, ##  00000000000000000000000           0000000                     0000000000      
            0x00, 0x00, 0xFC, 0x00, 0x3F, 0x80, 0x00, 0x07, 0xFF, 0x00, ##  0000000000000000000000            0000000                    00000000000      
            0x00, 0x00, 0xF0, 0x00, 0x7F, 0x00, 0x00, 0x07, 0xBF, 0x00, ##  00000000000000000000             0000000                     0000 000000      
            0x00, 0x00, 0x00, 0x00, 0x7E, 0x00, 0x00, 0x0F, 0xBF, 0x00, ##       00000000000                 000000                     00000 000000      
            0x00, 0x00, 0x00, 0x00, 0xFE, 0x00, 0x00, 0x1F, 0x3F, 0x00, ##                                  0000000                    00000  000000      
            0x00, 0x00, 0x00, 0x01, 0xFC, 0x00, 0x00, 0x3E, 0x3F, 0x00, ##                                 0000000                    00000   000000      
            0x00, 0x00, 0x00, 0x01, 0xFC, 0x00, 0x00, 0x3E, 0x3F, 0x00, ##                                 0000000                    00000   000000      
            0x00, 0x00, 0x00, 0x03, 0xF8, 0x00, 0x00, 0x7C, 0x3F, 0x00, ##                                0000000                    00000    000000      
            0x00, 0x00, 0x00, 0x03, 0xF0, 0x00, 0x00, 0xF8, 0x3F, 0x00, ##                                000000                    00000     000000      
            0x00, 0x00, 0x00, 0x07, 0xF0, 0x00, 0x01, 0xF0, 0x3F, 0x00, ##                               0000000                   00000      000000      
            0x00, 0x00, 0x00, 0x0F, 0xE0, 0x00, 0x01, 0xF0, 0x3F, 0x00, ##                              0000000                    00000      000000      
            0x00, 0x00, 0x00, 0x0F, 0xE0, 0x00, 0x03, 0xE0, 0x3F, 0x00, ##                              0000000                   00000       000000      
            0x00, 0x00, 0x00, 0x1F, 0xC0, 0x00, 0x07, 0xC0, 0x3F, 0x00, ##                             0000000                   00000        000000      
            0x00, 0x00, 0x00, 0x1F, 0x80, 0x00, 0x0F, 0x80, 0x3F, 0x00, ##                             000000                   00000         000000      
            0x00, 0x00, 0x00, 0x3F, 0x80, 0x00, 0x0F, 0x80, 0x3F, 0x00, ##                            0000000                   00000         000000      
            0x00, 0x00, 0x00, 0x7F, 0x00, 0x00, 0x1F, 0x00, 0x3F, 0x00, ##                           0000000                   00000          000000      
            0x00, 0x00, 0x00, 0x7F, 0x00, 0x00, 0x3E, 0x00, 0x3F, 0x00, ##                           0000000                  00000           000000      
            0x00, 0x00, 0x00, 0xFE, 0x00, 0x00, 0x3C, 0x00, 0x3F, 0x00, ##                          0000000                   0000            000000      
            0x00, 0x00, 0x00, 0xFC, 0x00, 0x00, 0x7C, 0x00, 0x3F, 0x00, ##                          000000                   00000            000000      
            0x00, 0x00, 0x01, 0xFC, 0x00, 0x00, 0xF8, 0x00, 0x3F, 0x00, ##                         0000000                  00000             000000      
            0x00, 0x00, 0x03, 0xF8, 0x00, 0x00, 0xFF, 0xFF, 0xFF, 0xFC, ##                        0000000                   000000000000000000000000000000
            0x00, 0x00, 0x03, 0xF8, 0x00, 0x00, 0xFF, 0xFF, 0xFF, 0xFC, ##                        0000000                   000000000000000000000000000000
            0x00, 0x00, 0x07, 0xF0, 0x00, 0x00, 0xFF, 0xFF, 0xFF, 0xFC, ##                       0000000                    000000000000000000000000000000
            0x00, 0x00, 0x07, 0xE0, 0x00, 0x00, 0xFF, 0xFF, 0xFF, 0xFC, ##                       000000                     000000000000000000000000000000
            0x00, 0x00, 0x0F, 0xE0, 0x00, 0x00, 0x00, 0x00, 0x3F, 0x00, ##                      0000000                                       000000      
            0x00, 0x00, 0x1F, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x3F, 0x00, ##                     0000000                                        000000      
            0x00, 0x00, 0x1F, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x3F, 0x00, ##                     0000000                                        000000      
            0x00, 0x00, 0x3F, 0x80, 0x00, 0x00, 0x00, 0x00, 0x3F, 0x00, ##                    0000000                                         000000      
            0x00, 0x00, 0x7F, 0x00, 0x00, 0x00, 0x00, 0x00, 0x3F, 0x00, ##                   0000000                                          000000      
            0x00, 0x00, 0x7F, 0x00, 0x00, 0x00, 0x00, 0x00, 0x3F, 0x00, ##                   0000000                                          000000      
            0x00, 0x00, 0xFE, 0x00, 0x00, 0x00, 0x00, 0x00, 0x3F, 0x00, ##                  0000000                                           000000      
            0x00, 0x00, 0xFC, 0x00, 0x00, 0x00, 0x00, 0x00, 0x3F, 0x00, ##                  000000                                            000000      
            0x00, 0x00, 0xFC, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                 0000000                                                        
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '191' => {    # '¿'
        'width'    => 34, 
        'xoffset'  => 6, 
        'xadvance' => 46, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x01, 0xFE, 0x00, 0x00, ##                 00000000           
            0x00, 0x01, 0xFE, 0x00, 0x00, ##                 00000000           
            0x00, 0x01, 0xFE, 0x00, 0x00, ##                 00000000           
            0x00, 0x01, 0xFE, 0x00, 0x00, ##                 00000000           
            0x00, 0x01, 0xFE, 0x00, 0x00, ##                 00000000           
            0x00, 0x01, 0xFE, 0x00, 0x00, ##                 00000000           
            0x00, 0x01, 0xFE, 0x00, 0x00, ##                 00000000           
            0x00, 0x01, 0xFE, 0x00, 0x00, ##                 00000000           
            0x00, 0x01, 0xFE, 0x00, 0x00, ##                 00000000           
            0x00, 0x01, 0xFE, 0x00, 0x00, ##                 00000000           
            0x00, 0x01, 0xFE, 0x00, 0x00, ##                 00000000           
            0x00, 0x00, 0x00, 0x00, 0x00, ##                                    
            0x00, 0x00, 0x00, 0x00, 0x00, ##                                    
            0x00, 0x00, 0x00, 0x00, 0x00, ##                                    
            0x00, 0x00, 0x00, 0x00, 0x00, ##                                    
            0x00, 0x00, 0x00, 0x00, 0x00, ##                                    
            0x00, 0x00, 0x00, 0x00, 0x00, ##                                    
            0x00, 0x01, 0xFE, 0x00, 0x00, ##                 00000000           
            0x00, 0x01, 0xFE, 0x00, 0x00, ##                 00000000           
            0x00, 0x01, 0xFE, 0x00, 0x00, ##                 00000000           
            0x00, 0x01, 0xFE, 0x00, 0x00, ##                 00000000           
            0x00, 0x01, 0xFE, 0x00, 0x00, ##                 00000000           
            0x00, 0x01, 0xFE, 0x00, 0x00, ##                 00000000           
            0x00, 0x01, 0xFE, 0x00, 0x00, ##                 00000000           
            0x00, 0x01, 0xFE, 0x00, 0x00, ##                 00000000           
            0x00, 0x01, 0xFE, 0x00, 0x00, ##                 00000000           
            0x00, 0x01, 0xFE, 0x00, 0x00, ##                 00000000           
            0x00, 0x01, 0xFE, 0x00, 0x00, ##                 00000000           
            0x00, 0x03, 0xFE, 0x00, 0x00, ##                000000000           
            0x00, 0x03, 0xFC, 0x00, 0x00, ##                00000000            
            0x00, 0x07, 0xFC, 0x00, 0x00, ##               000000000            
            0x00, 0x07, 0xFC, 0x00, 0x00, ##               000000000            
            0x00, 0x0F, 0xF8, 0x00, 0x00, ##              000000000             
            0x00, 0x1F, 0xF8, 0x00, 0x00, ##             0000000000             
            0x00, 0x3F, 0xF0, 0x00, 0x00, ##            0000000000              
            0x00, 0x7F, 0xE0, 0x00, 0x00, ##           0000000000               
            0x00, 0xFF, 0xC0, 0x00, 0x00, ##          0000000000                
            0x01, 0xFF, 0x80, 0x00, 0x00, ##         0000000000                 
            0x03, 0xFF, 0x00, 0x00, 0x00, ##        0000000000                  
            0x07, 0xFE, 0x00, 0x00, 0x00, ##       0000000000                   
            0x0F, 0xFC, 0x00, 0x00, 0x00, ##      0000000000                    
            0x1F, 0xF8, 0x00, 0x00, 0x00, ##     0000000000                     
            0x3F, 0xF0, 0x00, 0x00, 0x00, ##    0000000000                      
            0x3F, 0xE0, 0x00, 0x00, 0x00, ##    000000000                       
            0x7F, 0xC0, 0x00, 0x00, 0x00, ##   000000000                        
            0x7F, 0xC0, 0x00, 0x00, 0x00, ##   000000000                        
            0xFF, 0x80, 0x00, 0x00, 0x00, ##  000000000                         
            0xFF, 0x80, 0x00, 0x00, 0x00, ##  000000000                         
            0xFF, 0x00, 0x00, 0x00, 0x00, ##  00000000                          
            0xFF, 0x00, 0x00, 0x00, 0x00, ##  00000000                          
            0xFF, 0x00, 0x00, 0x00, 0x00, ##  00000000                          
            0xFF, 0x00, 0x00, 0x00, 0x00, ##  00000000                          
            0xFF, 0x00, 0x00, 0x00, 0x00, ##  00000000                          
            0xFF, 0x80, 0x00, 0x00, 0x40, ##  000000000                        0
            0x7F, 0x80, 0x00, 0x00, 0xC0, ##   00000000                       00
            0x7F, 0xC0, 0x00, 0x03, 0xC0, ##   000000000                    0000
            0x7F, 0xE0, 0x00, 0x0F, 0xC0, ##   0000000000                 000000
            0x3F, 0xF0, 0x00, 0x3F, 0xC0, ##    0000000000              00000000
            0x1F, 0xFE, 0x01, 0xFF, 0xC0, ##     000000000000        00000000000
            0x1F, 0xFF, 0xFF, 0xFF, 0xC0, ##     0000000000000000000000000000000
            0x0F, 0xFF, 0xFF, 0xFF, 0xC0, ##      000000000000000000000000000000
            0x03, 0xFF, 0xFF, 0xFF, 0x80, ##        000000000000000000000000000 
            0x01, 0xFF, 0xFF, 0xFC, 0x00, ##         00000000000000000000000    
            0x00, 0x7F, 0xFF, 0xF0, 0x00, ##           0000000000000000000      
            0x00, 0x0F, 0xFE, 0x00, 0x00, ##              00000000000           
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '192' => {    # 'À'
        'width'    => 58, 
        'xoffset'  => 1, 
        'xadvance' => 60, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x1F, 0xE0, 0x00, 0x00, 0x00, 0x00, ##                     00000000                               
            0x00, 0x00, 0x0F, 0xE0, 0x00, 0x00, 0x00, 0x00, ##                      0000000                               
            0x00, 0x00, 0x0F, 0xF0, 0x00, 0x00, 0x00, 0x00, ##                      00000000                              
            0x00, 0x00, 0x07, 0xF8, 0x00, 0x00, 0x00, 0x00, ##                       00000000                             
            0x00, 0x00, 0x03, 0xFC, 0x00, 0x00, 0x00, 0x00, ##                        00000000                            
            0x00, 0x00, 0x01, 0xFC, 0x00, 0x00, 0x00, 0x00, ##                         0000000                            
            0x00, 0x00, 0x00, 0xFE, 0x00, 0x00, 0x00, 0x00, ##                          0000000                           
            0x00, 0x00, 0x00, 0x7F, 0x00, 0x00, 0x00, 0x00, ##                           0000000                          
            0x00, 0x00, 0x00, 0x3F, 0x00, 0x00, 0x00, 0x00, ##                            000000                          
            0x00, 0x00, 0x00, 0x3F, 0x80, 0x00, 0x00, 0x00, ##                            0000000                         
            0x00, 0x00, 0x00, 0x1F, 0xC0, 0x00, 0x00, 0x00, ##                             0000000                        
            0x00, 0x00, 0x00, 0x0F, 0xE0, 0x00, 0x00, 0x00, ##                              0000000                       
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                            
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                            
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                            
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                            
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                            
            0x00, 0x00, 0x00, 0xFF, 0xC0, 0x00, 0x00, 0x00, ##                          0000000000                        
            0x00, 0x00, 0x01, 0xFF, 0xC0, 0x00, 0x00, 0x00, ##                         00000000000                        
            0x00, 0x00, 0x01, 0xFF, 0xC0, 0x00, 0x00, 0x00, ##                         00000000000                        
            0x00, 0x00, 0x01, 0xFF, 0xE0, 0x00, 0x00, 0x00, ##                         000000000000                       
            0x00, 0x00, 0x03, 0xFF, 0xE0, 0x00, 0x00, 0x00, ##                        0000000000000                       
            0x00, 0x00, 0x03, 0xFF, 0xF0, 0x00, 0x00, 0x00, ##                        00000000000000                      
            0x00, 0x00, 0x03, 0xFF, 0xF0, 0x00, 0x00, 0x00, ##                        00000000000000                      
            0x00, 0x00, 0x07, 0xFF, 0xF0, 0x00, 0x00, 0x00, ##                       000000000000000                      
            0x00, 0x00, 0x07, 0xFF, 0xF8, 0x00, 0x00, 0x00, ##                       0000000000000000                     
            0x00, 0x00, 0x0F, 0xFF, 0xF8, 0x00, 0x00, 0x00, ##                      00000000000000000                     
            0x00, 0x00, 0x0F, 0xFF, 0xF8, 0x00, 0x00, 0x00, ##                      00000000000000000                     
            0x00, 0x00, 0x0F, 0xF7, 0xFC, 0x00, 0x00, 0x00, ##                      00000000 000000000                    
            0x00, 0x00, 0x1F, 0xF3, 0xFC, 0x00, 0x00, 0x00, ##                     000000000  00000000                    
            0x00, 0x00, 0x1F, 0xF3, 0xFE, 0x00, 0x00, 0x00, ##                     000000000  000000000                   
            0x00, 0x00, 0x1F, 0xE3, 0xFE, 0x00, 0x00, 0x00, ##                     00000000   000000000                   
            0x00, 0x00, 0x3F, 0xE1, 0xFE, 0x00, 0x00, 0x00, ##                    000000000    00000000                   
            0x00, 0x00, 0x3F, 0xC1, 0xFF, 0x00, 0x00, 0x00, ##                    00000000     000000000                  
            0x00, 0x00, 0x7F, 0xC1, 0xFF, 0x00, 0x00, 0x00, ##                   000000000     000000000                  
            0x00, 0x00, 0x7F, 0xC0, 0xFF, 0x00, 0x00, 0x00, ##                   000000000      00000000                  
            0x00, 0x00, 0x7F, 0x80, 0xFF, 0x80, 0x00, 0x00, ##                   00000000       000000000                 
            0x00, 0x00, 0xFF, 0x80, 0x7F, 0x80, 0x00, 0x00, ##                  000000000        00000000                 
            0x00, 0x00, 0xFF, 0x80, 0x7F, 0xC0, 0x00, 0x00, ##                  000000000        000000000                
            0x00, 0x00, 0xFF, 0x00, 0x7F, 0xC0, 0x00, 0x00, ##                  00000000         000000000                
            0x00, 0x01, 0xFF, 0x00, 0x3F, 0xC0, 0x00, 0x00, ##                 000000000          00000000                
            0x00, 0x01, 0xFF, 0x00, 0x3F, 0xE0, 0x00, 0x00, ##                 000000000          000000000               
            0x00, 0x03, 0xFE, 0x00, 0x3F, 0xE0, 0x00, 0x00, ##                000000000           000000000               
            0x00, 0x03, 0xFE, 0x00, 0x1F, 0xE0, 0x00, 0x00, ##                000000000            00000000               
            0x00, 0x03, 0xFC, 0x00, 0x1F, 0xF0, 0x00, 0x00, ##                00000000             000000000              
            0x00, 0x07, 0xFC, 0x00, 0x1F, 0xF0, 0x00, 0x00, ##               000000000             000000000              
            0x00, 0x07, 0xFC, 0x00, 0x0F, 0xF8, 0x00, 0x00, ##               000000000              000000000             
            0x00, 0x07, 0xF8, 0x00, 0x0F, 0xF8, 0x00, 0x00, ##               00000000               000000000             
            0x00, 0x0F, 0xF8, 0x00, 0x07, 0xF8, 0x00, 0x00, ##              000000000                00000000             
            0x00, 0x0F, 0xF8, 0x00, 0x07, 0xFC, 0x00, 0x00, ##              000000000                000000000            
            0x00, 0x1F, 0xF0, 0x00, 0x07, 0xFC, 0x00, 0x00, ##             000000000                 000000000            
            0x00, 0x1F, 0xF0, 0x00, 0x03, 0xFC, 0x00, 0x00, ##             000000000                  00000000            
            0x00, 0x1F, 0xE0, 0x00, 0x03, 0xFE, 0x00, 0x00, ##             00000000                   000000000           
            0x00, 0x3F, 0xE0, 0x00, 0x03, 0xFE, 0x00, 0x00, ##            000000000                   000000000           
            0x00, 0x3F, 0xE0, 0x00, 0x01, 0xFF, 0x00, 0x00, ##            000000000                    000000000          
            0x00, 0x3F, 0xC0, 0x00, 0x01, 0xFF, 0x00, 0x00, ##            00000000                     000000000          
            0x00, 0x7F, 0xC0, 0x00, 0x01, 0xFF, 0x00, 0x00, ##           000000000                     000000000          
            0x00, 0x7F, 0xC0, 0x00, 0x00, 0xFF, 0x80, 0x00, ##           000000000                      000000000         
            0x00, 0xFF, 0x80, 0x00, 0x00, 0xFF, 0x80, 0x00, ##          000000000                       000000000         
            0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x80, 0x00, ##          00000000000000000000000000000000000000000         
            0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xC0, 0x00, ##          000000000000000000000000000000000000000000        
            0x01, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xC0, 0x00, ##         0000000000000000000000000000000000000000000        
            0x01, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xE0, 0x00, ##         00000000000000000000000000000000000000000000       
            0x03, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xE0, 0x00, ##        000000000000000000000000000000000000000000000       
            0x03, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xE0, 0x00, ##        000000000000000000000000000000000000000000000       
            0x03, 0xFC, 0x00, 0x00, 0x00, 0x1F, 0xF0, 0x00, ##        00000000                             000000000      
            0x07, 0xFC, 0x00, 0x00, 0x00, 0x0F, 0xF0, 0x00, ##       000000000                              00000000      
            0x07, 0xFC, 0x00, 0x00, 0x00, 0x0F, 0xF8, 0x00, ##       000000000                              000000000     
            0x07, 0xF8, 0x00, 0x00, 0x00, 0x0F, 0xF8, 0x00, ##       00000000                               000000000     
            0x0F, 0xF8, 0x00, 0x00, 0x00, 0x07, 0xF8, 0x00, ##      000000000                                00000000     
            0x0F, 0xF8, 0x00, 0x00, 0x00, 0x07, 0xFC, 0x00, ##      000000000                                000000000    
            0x1F, 0xF0, 0x00, 0x00, 0x00, 0x07, 0xFC, 0x00, ##     000000000                                 000000000    
            0x1F, 0xF0, 0x00, 0x00, 0x00, 0x03, 0xFC, 0x00, ##     000000000                                  00000000    
            0x1F, 0xF0, 0x00, 0x00, 0x00, 0x03, 0xFE, 0x00, ##     000000000                                  000000000   
            0x3F, 0xE0, 0x00, 0x00, 0x00, 0x03, 0xFE, 0x00, ##    000000000                                   000000000   
            0x3F, 0xE0, 0x00, 0x00, 0x00, 0x01, 0xFF, 0x00, ##    000000000                                    000000000  
            0x3F, 0xC0, 0x00, 0x00, 0x00, 0x01, 0xFF, 0x00, ##    00000000                                     000000000  
            0x7F, 0xC0, 0x00, 0x00, 0x00, 0x01, 0xFF, 0x00, ##   000000000                                     000000000  
            0x7F, 0xC0, 0x00, 0x00, 0x00, 0x00, 0xFF, 0x80, ##   000000000                                      000000000 
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0xFF, 0x80, ##  000000000                                       000000000 
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x7F, 0x80, ##  000000000                                        00000000 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '193' => {    # 'Á'
        'width'    => 58, 
        'xoffset'  => 1, 
        'xadvance' => 60, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x01, 0xFE, 0x00, 0x00, 0x00, ##                                 00000000                   
            0x00, 0x00, 0x00, 0x03, 0xFC, 0x00, 0x00, 0x00, ##                                00000000                    
            0x00, 0x00, 0x00, 0x07, 0xF8, 0x00, 0x00, 0x00, ##                               00000000                     
            0x00, 0x00, 0x00, 0x07, 0xF0, 0x00, 0x00, 0x00, ##                               0000000                      
            0x00, 0x00, 0x00, 0x0F, 0xE0, 0x00, 0x00, 0x00, ##                              0000000                       
            0x00, 0x00, 0x00, 0x1F, 0xC0, 0x00, 0x00, 0x00, ##                             0000000                        
            0x00, 0x00, 0x00, 0x3F, 0x80, 0x00, 0x00, 0x00, ##                            0000000                         
            0x00, 0x00, 0x00, 0x3F, 0x80, 0x00, 0x00, 0x00, ##                            0000000                         
            0x00, 0x00, 0x00, 0x7F, 0x00, 0x00, 0x00, 0x00, ##                           0000000                          
            0x00, 0x00, 0x00, 0xFE, 0x00, 0x00, 0x00, 0x00, ##                          0000000                           
            0x00, 0x00, 0x01, 0xFC, 0x00, 0x00, 0x00, 0x00, ##                         0000000                            
            0x00, 0x00, 0x01, 0xF8, 0x00, 0x00, 0x00, 0x00, ##                         000000                             
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                            
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                            
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                            
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                            
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                            
            0x00, 0x00, 0x00, 0xFF, 0xC0, 0x00, 0x00, 0x00, ##                          0000000000                        
            0x00, 0x00, 0x01, 0xFF, 0xC0, 0x00, 0x00, 0x00, ##                         00000000000                        
            0x00, 0x00, 0x01, 0xFF, 0xC0, 0x00, 0x00, 0x00, ##                         00000000000                        
            0x00, 0x00, 0x01, 0xFF, 0xE0, 0x00, 0x00, 0x00, ##                         000000000000                       
            0x00, 0x00, 0x03, 0xFF, 0xE0, 0x00, 0x00, 0x00, ##                        0000000000000                       
            0x00, 0x00, 0x03, 0xFF, 0xF0, 0x00, 0x00, 0x00, ##                        00000000000000                      
            0x00, 0x00, 0x03, 0xFF, 0xF0, 0x00, 0x00, 0x00, ##                        00000000000000                      
            0x00, 0x00, 0x07, 0xFF, 0xF0, 0x00, 0x00, 0x00, ##                       000000000000000                      
            0x00, 0x00, 0x07, 0xFF, 0xF8, 0x00, 0x00, 0x00, ##                       0000000000000000                     
            0x00, 0x00, 0x0F, 0xFF, 0xF8, 0x00, 0x00, 0x00, ##                      00000000000000000                     
            0x00, 0x00, 0x0F, 0xFF, 0xF8, 0x00, 0x00, 0x00, ##                      00000000000000000                     
            0x00, 0x00, 0x0F, 0xF7, 0xFC, 0x00, 0x00, 0x00, ##                      00000000 000000000                    
            0x00, 0x00, 0x1F, 0xF3, 0xFC, 0x00, 0x00, 0x00, ##                     000000000  00000000                    
            0x00, 0x00, 0x1F, 0xF3, 0xFE, 0x00, 0x00, 0x00, ##                     000000000  000000000                   
            0x00, 0x00, 0x1F, 0xE3, 0xFE, 0x00, 0x00, 0x00, ##                     00000000   000000000                   
            0x00, 0x00, 0x3F, 0xE1, 0xFE, 0x00, 0x00, 0x00, ##                    000000000    00000000                   
            0x00, 0x00, 0x3F, 0xC1, 0xFF, 0x00, 0x00, 0x00, ##                    00000000     000000000                  
            0x00, 0x00, 0x7F, 0xC1, 0xFF, 0x00, 0x00, 0x00, ##                   000000000     000000000                  
            0x00, 0x00, 0x7F, 0xC0, 0xFF, 0x00, 0x00, 0x00, ##                   000000000      00000000                  
            0x00, 0x00, 0x7F, 0x80, 0xFF, 0x80, 0x00, 0x00, ##                   00000000       000000000                 
            0x00, 0x00, 0xFF, 0x80, 0x7F, 0x80, 0x00, 0x00, ##                  000000000        00000000                 
            0x00, 0x00, 0xFF, 0x80, 0x7F, 0xC0, 0x00, 0x00, ##                  000000000        000000000                
            0x00, 0x00, 0xFF, 0x00, 0x7F, 0xC0, 0x00, 0x00, ##                  00000000         000000000                
            0x00, 0x01, 0xFF, 0x00, 0x3F, 0xC0, 0x00, 0x00, ##                 000000000          00000000                
            0x00, 0x01, 0xFF, 0x00, 0x3F, 0xE0, 0x00, 0x00, ##                 000000000          000000000               
            0x00, 0x03, 0xFE, 0x00, 0x3F, 0xE0, 0x00, 0x00, ##                000000000           000000000               
            0x00, 0x03, 0xFE, 0x00, 0x1F, 0xE0, 0x00, 0x00, ##                000000000            00000000               
            0x00, 0x03, 0xFC, 0x00, 0x1F, 0xF0, 0x00, 0x00, ##                00000000             000000000              
            0x00, 0x07, 0xFC, 0x00, 0x1F, 0xF0, 0x00, 0x00, ##               000000000             000000000              
            0x00, 0x07, 0xFC, 0x00, 0x0F, 0xF8, 0x00, 0x00, ##               000000000              000000000             
            0x00, 0x07, 0xF8, 0x00, 0x0F, 0xF8, 0x00, 0x00, ##               00000000               000000000             
            0x00, 0x0F, 0xF8, 0x00, 0x07, 0xF8, 0x00, 0x00, ##              000000000                00000000             
            0x00, 0x0F, 0xF8, 0x00, 0x07, 0xFC, 0x00, 0x00, ##              000000000                000000000            
            0x00, 0x1F, 0xF0, 0x00, 0x07, 0xFC, 0x00, 0x00, ##             000000000                 000000000            
            0x00, 0x1F, 0xF0, 0x00, 0x03, 0xFC, 0x00, 0x00, ##             000000000                  00000000            
            0x00, 0x1F, 0xE0, 0x00, 0x03, 0xFE, 0x00, 0x00, ##             00000000                   000000000           
            0x00, 0x3F, 0xE0, 0x00, 0x03, 0xFE, 0x00, 0x00, ##            000000000                   000000000           
            0x00, 0x3F, 0xE0, 0x00, 0x01, 0xFF, 0x00, 0x00, ##            000000000                    000000000          
            0x00, 0x3F, 0xC0, 0x00, 0x01, 0xFF, 0x00, 0x00, ##            00000000                     000000000          
            0x00, 0x7F, 0xC0, 0x00, 0x01, 0xFF, 0x00, 0x00, ##           000000000                     000000000          
            0x00, 0x7F, 0xC0, 0x00, 0x00, 0xFF, 0x80, 0x00, ##           000000000                      000000000         
            0x00, 0xFF, 0x80, 0x00, 0x00, 0xFF, 0x80, 0x00, ##          000000000                       000000000         
            0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x80, 0x00, ##          00000000000000000000000000000000000000000         
            0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xC0, 0x00, ##          000000000000000000000000000000000000000000        
            0x01, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xC0, 0x00, ##         0000000000000000000000000000000000000000000        
            0x01, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xE0, 0x00, ##         00000000000000000000000000000000000000000000       
            0x03, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xE0, 0x00, ##        000000000000000000000000000000000000000000000       
            0x03, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xE0, 0x00, ##        000000000000000000000000000000000000000000000       
            0x03, 0xFC, 0x00, 0x00, 0x00, 0x1F, 0xF0, 0x00, ##        00000000                             000000000      
            0x07, 0xFC, 0x00, 0x00, 0x00, 0x0F, 0xF0, 0x00, ##       000000000                              00000000      
            0x07, 0xFC, 0x00, 0x00, 0x00, 0x0F, 0xF8, 0x00, ##       000000000                              000000000     
            0x07, 0xF8, 0x00, 0x00, 0x00, 0x0F, 0xF8, 0x00, ##       00000000                               000000000     
            0x0F, 0xF8, 0x00, 0x00, 0x00, 0x07, 0xF8, 0x00, ##      000000000                                00000000     
            0x0F, 0xF8, 0x00, 0x00, 0x00, 0x07, 0xFC, 0x00, ##      000000000                                000000000    
            0x1F, 0xF0, 0x00, 0x00, 0x00, 0x07, 0xFC, 0x00, ##     000000000                                 000000000    
            0x1F, 0xF0, 0x00, 0x00, 0x00, 0x03, 0xFC, 0x00, ##     000000000                                  00000000    
            0x1F, 0xF0, 0x00, 0x00, 0x00, 0x03, 0xFE, 0x00, ##     000000000                                  000000000   
            0x3F, 0xE0, 0x00, 0x00, 0x00, 0x03, 0xFE, 0x00, ##    000000000                                   000000000   
            0x3F, 0xE0, 0x00, 0x00, 0x00, 0x01, 0xFF, 0x00, ##    000000000                                    000000000  
            0x3F, 0xC0, 0x00, 0x00, 0x00, 0x01, 0xFF, 0x00, ##    00000000                                     000000000  
            0x7F, 0xC0, 0x00, 0x00, 0x00, 0x01, 0xFF, 0x00, ##   000000000                                     000000000  
            0x7F, 0xC0, 0x00, 0x00, 0x00, 0x00, 0xFF, 0x80, ##   000000000                                      000000000 
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0xFF, 0x80, ##  000000000                                       000000000 
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x7F, 0x80, ##  000000000                                        00000000 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '194' => {    # 'Â'
        'width'    => 58, 
        'xoffset'  => 1, 
        'xadvance' => 60, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, ##                          000000000                         
            0x00, 0x00, 0x00, 0xFF, 0xC0, 0x00, 0x00, 0x00, ##                          0000000000                        
            0x00, 0x00, 0x01, 0xFF, 0xE0, 0x00, 0x00, 0x00, ##                         000000000000                       
            0x00, 0x00, 0x03, 0xFF, 0xE0, 0x00, 0x00, 0x00, ##                        0000000000000                       
            0x00, 0x00, 0x07, 0xF7, 0xF0, 0x00, 0x00, 0x00, ##                       0000000 0000000                      
            0x00, 0x00, 0x0F, 0xE3, 0xF8, 0x00, 0x00, 0x00, ##                      0000000   0000000                     
            0x00, 0x00, 0x0F, 0xC1, 0xFC, 0x00, 0x00, 0x00, ##                      000000     0000000                    
            0x00, 0x00, 0x1F, 0x80, 0xFE, 0x00, 0x00, 0x00, ##                     000000       0000000                   
            0x00, 0x00, 0x3F, 0x00, 0x7E, 0x00, 0x00, 0x00, ##                    000000         000000                   
            0x00, 0x00, 0x7F, 0x00, 0x3F, 0x00, 0x00, 0x00, ##                   0000000          000000                  
            0x00, 0x00, 0x7E, 0x00, 0x1F, 0x80, 0x00, 0x00, ##                   000000            000000                 
            0x00, 0x00, 0xFC, 0x00, 0x0F, 0xC0, 0x00, 0x00, ##                  000000              000000                
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                            
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                            
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                            
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                            
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                            
            0x00, 0x00, 0x00, 0xFF, 0xC0, 0x00, 0x00, 0x00, ##                          0000000000                        
            0x00, 0x00, 0x01, 0xFF, 0xC0, 0x00, 0x00, 0x00, ##                         00000000000                        
            0x00, 0x00, 0x01, 0xFF, 0xC0, 0x00, 0x00, 0x00, ##                         00000000000                        
            0x00, 0x00, 0x01, 0xFF, 0xE0, 0x00, 0x00, 0x00, ##                         000000000000                       
            0x00, 0x00, 0x03, 0xFF, 0xE0, 0x00, 0x00, 0x00, ##                        0000000000000                       
            0x00, 0x00, 0x03, 0xFF, 0xF0, 0x00, 0x00, 0x00, ##                        00000000000000                      
            0x00, 0x00, 0x03, 0xFF, 0xF0, 0x00, 0x00, 0x00, ##                        00000000000000                      
            0x00, 0x00, 0x07, 0xFF, 0xF0, 0x00, 0x00, 0x00, ##                       000000000000000                      
            0x00, 0x00, 0x07, 0xFF, 0xF8, 0x00, 0x00, 0x00, ##                       0000000000000000                     
            0x00, 0x00, 0x0F, 0xFF, 0xF8, 0x00, 0x00, 0x00, ##                      00000000000000000                     
            0x00, 0x00, 0x0F, 0xFF, 0xF8, 0x00, 0x00, 0x00, ##                      00000000000000000                     
            0x00, 0x00, 0x0F, 0xF7, 0xFC, 0x00, 0x00, 0x00, ##                      00000000 000000000                    
            0x00, 0x00, 0x1F, 0xF3, 0xFC, 0x00, 0x00, 0x00, ##                     000000000  00000000                    
            0x00, 0x00, 0x1F, 0xF3, 0xFE, 0x00, 0x00, 0x00, ##                     000000000  000000000                   
            0x00, 0x00, 0x1F, 0xE3, 0xFE, 0x00, 0x00, 0x00, ##                     00000000   000000000                   
            0x00, 0x00, 0x3F, 0xE1, 0xFE, 0x00, 0x00, 0x00, ##                    000000000    00000000                   
            0x00, 0x00, 0x3F, 0xC1, 0xFF, 0x00, 0x00, 0x00, ##                    00000000     000000000                  
            0x00, 0x00, 0x7F, 0xC1, 0xFF, 0x00, 0x00, 0x00, ##                   000000000     000000000                  
            0x00, 0x00, 0x7F, 0xC0, 0xFF, 0x00, 0x00, 0x00, ##                   000000000      00000000                  
            0x00, 0x00, 0x7F, 0x80, 0xFF, 0x80, 0x00, 0x00, ##                   00000000       000000000                 
            0x00, 0x00, 0xFF, 0x80, 0x7F, 0x80, 0x00, 0x00, ##                  000000000        00000000                 
            0x00, 0x00, 0xFF, 0x80, 0x7F, 0xC0, 0x00, 0x00, ##                  000000000        000000000                
            0x00, 0x00, 0xFF, 0x00, 0x7F, 0xC0, 0x00, 0x00, ##                  00000000         000000000                
            0x00, 0x01, 0xFF, 0x00, 0x3F, 0xC0, 0x00, 0x00, ##                 000000000          00000000                
            0x00, 0x01, 0xFF, 0x00, 0x3F, 0xE0, 0x00, 0x00, ##                 000000000          000000000               
            0x00, 0x03, 0xFE, 0x00, 0x3F, 0xE0, 0x00, 0x00, ##                000000000           000000000               
            0x00, 0x03, 0xFE, 0x00, 0x1F, 0xE0, 0x00, 0x00, ##                000000000            00000000               
            0x00, 0x03, 0xFC, 0x00, 0x1F, 0xF0, 0x00, 0x00, ##                00000000             000000000              
            0x00, 0x07, 0xFC, 0x00, 0x1F, 0xF0, 0x00, 0x00, ##               000000000             000000000              
            0x00, 0x07, 0xFC, 0x00, 0x0F, 0xF8, 0x00, 0x00, ##               000000000              000000000             
            0x00, 0x07, 0xF8, 0x00, 0x0F, 0xF8, 0x00, 0x00, ##               00000000               000000000             
            0x00, 0x0F, 0xF8, 0x00, 0x07, 0xF8, 0x00, 0x00, ##              000000000                00000000             
            0x00, 0x0F, 0xF8, 0x00, 0x07, 0xFC, 0x00, 0x00, ##              000000000                000000000            
            0x00, 0x1F, 0xF0, 0x00, 0x07, 0xFC, 0x00, 0x00, ##             000000000                 000000000            
            0x00, 0x1F, 0xF0, 0x00, 0x03, 0xFC, 0x00, 0x00, ##             000000000                  00000000            
            0x00, 0x1F, 0xE0, 0x00, 0x03, 0xFE, 0x00, 0x00, ##             00000000                   000000000           
            0x00, 0x3F, 0xE0, 0x00, 0x03, 0xFE, 0x00, 0x00, ##            000000000                   000000000           
            0x00, 0x3F, 0xE0, 0x00, 0x01, 0xFF, 0x00, 0x00, ##            000000000                    000000000          
            0x00, 0x3F, 0xC0, 0x00, 0x01, 0xFF, 0x00, 0x00, ##            00000000                     000000000          
            0x00, 0x7F, 0xC0, 0x00, 0x01, 0xFF, 0x00, 0x00, ##           000000000                     000000000          
            0x00, 0x7F, 0xC0, 0x00, 0x00, 0xFF, 0x80, 0x00, ##           000000000                      000000000         
            0x00, 0xFF, 0x80, 0x00, 0x00, 0xFF, 0x80, 0x00, ##          000000000                       000000000         
            0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x80, 0x00, ##          00000000000000000000000000000000000000000         
            0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xC0, 0x00, ##          000000000000000000000000000000000000000000        
            0x01, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xC0, 0x00, ##         0000000000000000000000000000000000000000000        
            0x01, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xE0, 0x00, ##         00000000000000000000000000000000000000000000       
            0x03, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xE0, 0x00, ##        000000000000000000000000000000000000000000000       
            0x03, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xE0, 0x00, ##        000000000000000000000000000000000000000000000       
            0x03, 0xFC, 0x00, 0x00, 0x00, 0x1F, 0xF0, 0x00, ##        00000000                             000000000      
            0x07, 0xFC, 0x00, 0x00, 0x00, 0x0F, 0xF0, 0x00, ##       000000000                              00000000      
            0x07, 0xFC, 0x00, 0x00, 0x00, 0x0F, 0xF8, 0x00, ##       000000000                              000000000     
            0x07, 0xF8, 0x00, 0x00, 0x00, 0x0F, 0xF8, 0x00, ##       00000000                               000000000     
            0x0F, 0xF8, 0x00, 0x00, 0x00, 0x07, 0xF8, 0x00, ##      000000000                                00000000     
            0x0F, 0xF8, 0x00, 0x00, 0x00, 0x07, 0xFC, 0x00, ##      000000000                                000000000    
            0x1F, 0xF0, 0x00, 0x00, 0x00, 0x07, 0xFC, 0x00, ##     000000000                                 000000000    
            0x1F, 0xF0, 0x00, 0x00, 0x00, 0x03, 0xFC, 0x00, ##     000000000                                  00000000    
            0x1F, 0xF0, 0x00, 0x00, 0x00, 0x03, 0xFE, 0x00, ##     000000000                                  000000000   
            0x3F, 0xE0, 0x00, 0x00, 0x00, 0x03, 0xFE, 0x00, ##    000000000                                   000000000   
            0x3F, 0xE0, 0x00, 0x00, 0x00, 0x01, 0xFF, 0x00, ##    000000000                                    000000000  
            0x3F, 0xC0, 0x00, 0x00, 0x00, 0x01, 0xFF, 0x00, ##    00000000                                     000000000  
            0x7F, 0xC0, 0x00, 0x00, 0x00, 0x01, 0xFF, 0x00, ##   000000000                                     000000000  
            0x7F, 0xC0, 0x00, 0x00, 0x00, 0x00, 0xFF, 0x80, ##   000000000                                      000000000 
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0xFF, 0x80, ##  000000000                                       000000000 
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x7F, 0x80, ##  000000000                                        00000000 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '195' => {    # 'Ã'
        'width'    => 58, 
        'xoffset'  => 1, 
        'xadvance' => 60, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x0F, 0xE0, 0x03, 0xE0, 0x00, 0x00, ##                      0000000           00000               
            0x00, 0x00, 0x3F, 0xF8, 0x03, 0xE0, 0x00, 0x00, ##                    00000000000         00000               
            0x00, 0x00, 0x7F, 0xFE, 0x07, 0xE0, 0x00, 0x00, ##                   00000000000000      000000               
            0x00, 0x00, 0xFF, 0xFF, 0x8F, 0xE0, 0x00, 0x00, ##                  00000000000000000   0000000               
            0x00, 0x00, 0xFF, 0xFF, 0xFF, 0xC0, 0x00, 0x00, ##                  00000000000000000000000000                
            0x00, 0x01, 0xFC, 0x7F, 0xFF, 0xC0, 0x00, 0x00, ##                 0000000   00000000000000000                
            0x00, 0x01, 0xF8, 0x1F, 0xFF, 0x80, 0x00, 0x00, ##                 000000      00000000000000                 
            0x00, 0x01, 0xF0, 0x07, 0xFF, 0x00, 0x00, 0x00, ##                 00000         00000000000                  
            0x00, 0x01, 0xF0, 0x00, 0xFC, 0x00, 0x00, 0x00, ##                 00000            000000                    
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                            
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                            
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                            
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                            
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                            
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                            
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                            
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                            
            0x00, 0x00, 0x00, 0xFF, 0xC0, 0x00, 0x00, 0x00, ##                          0000000000                        
            0x00, 0x00, 0x01, 0xFF, 0xE0, 0x00, 0x00, 0x00, ##                         000000000000                       
            0x00, 0x00, 0x01, 0xFF, 0xE0, 0x00, 0x00, 0x00, ##                         000000000000                       
            0x00, 0x00, 0x01, 0xFF, 0xE0, 0x00, 0x00, 0x00, ##                         000000000000                       
            0x00, 0x00, 0x03, 0xFF, 0xF0, 0x00, 0x00, 0x00, ##                        00000000000000                      
            0x00, 0x00, 0x03, 0xFF, 0xF0, 0x00, 0x00, 0x00, ##                        00000000000000                      
            0x00, 0x00, 0x07, 0xFF, 0xF8, 0x00, 0x00, 0x00, ##                       0000000000000000                     
            0x00, 0x00, 0x07, 0xFF, 0xF8, 0x00, 0x00, 0x00, ##                       0000000000000000                     
            0x00, 0x00, 0x07, 0xFF, 0xF8, 0x00, 0x00, 0x00, ##                       0000000000000000                     
            0x00, 0x00, 0x0F, 0xFF, 0xFC, 0x00, 0x00, 0x00, ##                      000000000000000000                    
            0x00, 0x00, 0x0F, 0xFF, 0xFC, 0x00, 0x00, 0x00, ##                      000000000000000000                    
            0x00, 0x00, 0x0F, 0xF3, 0xFC, 0x00, 0x00, 0x00, ##                      00000000  00000000                    
            0x00, 0x00, 0x1F, 0xF3, 0xFE, 0x00, 0x00, 0x00, ##                     000000000  000000000                   
            0x00, 0x00, 0x1F, 0xE1, 0xFE, 0x00, 0x00, 0x00, ##                     00000000    00000000                   
            0x00, 0x00, 0x3F, 0xE1, 0xFF, 0x00, 0x00, 0x00, ##                    000000000    000000000                  
            0x00, 0x00, 0x3F, 0xE1, 0xFF, 0x00, 0x00, 0x00, ##                    000000000    000000000                  
            0x00, 0x00, 0x3F, 0xC0, 0xFF, 0x00, 0x00, 0x00, ##                    00000000      00000000                  
            0x00, 0x00, 0x7F, 0xC0, 0xFF, 0x80, 0x00, 0x00, ##                   000000000      000000000                 
            0x00, 0x00, 0x7F, 0xC0, 0xFF, 0x80, 0x00, 0x00, ##                   000000000      000000000                 
            0x00, 0x00, 0x7F, 0x80, 0x7F, 0x80, 0x00, 0x00, ##                   00000000        00000000                 
            0x00, 0x00, 0xFF, 0x80, 0x7F, 0xC0, 0x00, 0x00, ##                  000000000        000000000                
            0x00, 0x00, 0xFF, 0x00, 0x3F, 0xC0, 0x00, 0x00, ##                  00000000          00000000                
            0x00, 0x01, 0xFF, 0x00, 0x3F, 0xE0, 0x00, 0x00, ##                 000000000          000000000               
            0x00, 0x01, 0xFF, 0x00, 0x3F, 0xE0, 0x00, 0x00, ##                 000000000          000000000               
            0x00, 0x01, 0xFE, 0x00, 0x1F, 0xE0, 0x00, 0x00, ##                 00000000            00000000               
            0x00, 0x03, 0xFE, 0x00, 0x1F, 0xF0, 0x00, 0x00, ##                000000000            000000000              
            0x00, 0x03, 0xFE, 0x00, 0x1F, 0xF0, 0x00, 0x00, ##                000000000            000000000              
            0x00, 0x03, 0xFC, 0x00, 0x0F, 0xF8, 0x00, 0x00, ##                00000000              000000000             
            0x00, 0x07, 0xFC, 0x00, 0x0F, 0xF8, 0x00, 0x00, ##               000000000              000000000             
            0x00, 0x07, 0xFC, 0x00, 0x07, 0xF8, 0x00, 0x00, ##               000000000               00000000             
            0x00, 0x0F, 0xF8, 0x00, 0x07, 0xFC, 0x00, 0x00, ##              000000000                000000000            
            0x00, 0x0F, 0xF8, 0x00, 0x07, 0xFC, 0x00, 0x00, ##              000000000                000000000            
            0x00, 0x0F, 0xF0, 0x00, 0x03, 0xFC, 0x00, 0x00, ##              00000000                  00000000            
            0x00, 0x1F, 0xF0, 0x00, 0x03, 0xFE, 0x00, 0x00, ##             000000000                  000000000           
            0x00, 0x1F, 0xF0, 0x00, 0x03, 0xFE, 0x00, 0x00, ##             000000000                  000000000           
            0x00, 0x1F, 0xE0, 0x00, 0x01, 0xFF, 0x00, 0x00, ##             00000000                    000000000          
            0x00, 0x3F, 0xE0, 0x00, 0x01, 0xFF, 0x00, 0x00, ##            000000000                    000000000          
            0x00, 0x3F, 0xE0, 0x00, 0x00, 0xFF, 0x00, 0x00, ##            000000000                     00000000          
            0x00, 0x7F, 0xC0, 0x00, 0x00, 0xFF, 0x80, 0x00, ##           000000000                      000000000         
            0x00, 0x7F, 0xC0, 0x00, 0x00, 0xFF, 0x80, 0x00, ##           000000000                      000000000         
            0x00, 0x7F, 0x80, 0x00, 0x00, 0x7F, 0x80, 0x00, ##           00000000                        00000000         
            0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xC0, 0x00, ##          000000000000000000000000000000000000000000        
            0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xC0, 0x00, ##          000000000000000000000000000000000000000000        
            0x01, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xE0, 0x00, ##         00000000000000000000000000000000000000000000       
            0x01, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xE0, 0x00, ##         00000000000000000000000000000000000000000000       
            0x01, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xE0, 0x00, ##         00000000000000000000000000000000000000000000       
            0x03, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF0, 0x00, ##        0000000000000000000000000000000000000000000000      
            0x03, 0xFE, 0x00, 0x00, 0x00, 0x0F, 0xF0, 0x00, ##        000000000                             00000000      
            0x03, 0xFC, 0x00, 0x00, 0x00, 0x0F, 0xF0, 0x00, ##        00000000                              00000000      
            0x07, 0xFC, 0x00, 0x00, 0x00, 0x0F, 0xF8, 0x00, ##       000000000                              000000000     
            0x07, 0xFC, 0x00, 0x00, 0x00, 0x07, 0xF8, 0x00, ##       000000000                               00000000     
            0x0F, 0xF8, 0x00, 0x00, 0x00, 0x07, 0xFC, 0x00, ##      000000000                                000000000    
            0x0F, 0xF8, 0x00, 0x00, 0x00, 0x07, 0xFC, 0x00, ##      000000000                                000000000    
            0x0F, 0xF8, 0x00, 0x00, 0x00, 0x03, 0xFC, 0x00, ##      000000000                                 00000000    
            0x1F, 0xF0, 0x00, 0x00, 0x00, 0x03, 0xFE, 0x00, ##     000000000                                  000000000   
            0x1F, 0xF0, 0x00, 0x00, 0x00, 0x03, 0xFE, 0x00, ##     000000000                                  000000000   
            0x1F, 0xE0, 0x00, 0x00, 0x00, 0x01, 0xFE, 0x00, ##     00000000                                    00000000   
            0x3F, 0xE0, 0x00, 0x00, 0x00, 0x01, 0xFF, 0x00, ##    000000000                                    000000000  
            0x3F, 0xE0, 0x00, 0x00, 0x00, 0x01, 0xFF, 0x00, ##    000000000                                    000000000  
            0x7F, 0xC0, 0x00, 0x00, 0x00, 0x00, 0xFF, 0x80, ##   000000000                                      000000000 
            0x7F, 0xC0, 0x00, 0x00, 0x00, 0x00, 0xFF, 0x80, ##   000000000                                      000000000 
            0x7F, 0xC0, 0x00, 0x00, 0x00, 0x00, 0xFF, 0x80, ##   000000000                                      000000000 
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x7F, 0xC0, ##  000000000                                        000000000
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '196' => {    # 'Ä'
        'width'    => 57, 
        'xoffset'  => 1, 
        'xadvance' => 59, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0xFF, 0x00, 0x7F, 0x80, 0x00, 0x00, ##                  00000000         00000000                
            0x00, 0x00, 0xFF, 0x00, 0x7F, 0x80, 0x00, 0x00, ##                  00000000         00000000                
            0x00, 0x00, 0xFF, 0x00, 0x7F, 0x80, 0x00, 0x00, ##                  00000000         00000000                
            0x00, 0x00, 0xFF, 0x00, 0x7F, 0x80, 0x00, 0x00, ##                  00000000         00000000                
            0x00, 0x00, 0xFF, 0x00, 0x7F, 0x80, 0x00, 0x00, ##                  00000000         00000000                
            0x00, 0x00, 0xFF, 0x00, 0x7F, 0x80, 0x00, 0x00, ##                  00000000         00000000                
            0x00, 0x00, 0xFF, 0x00, 0x7F, 0x80, 0x00, 0x00, ##                  00000000         00000000                
            0x00, 0x00, 0xFF, 0x00, 0x7F, 0x80, 0x00, 0x00, ##                  00000000         00000000                
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                           
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                           
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                           
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                           
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                           
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                           
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                           
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                           
            0x00, 0x00, 0x01, 0xFF, 0xC0, 0x00, 0x00, 0x00, ##                         00000000000                       
            0x00, 0x00, 0x01, 0xFF, 0xE0, 0x00, 0x00, 0x00, ##                         000000000000                      
            0x00, 0x00, 0x03, 0xFF, 0xE0, 0x00, 0x00, 0x00, ##                        0000000000000                      
            0x00, 0x00, 0x03, 0xFF, 0xE0, 0x00, 0x00, 0x00, ##                        0000000000000                      
            0x00, 0x00, 0x07, 0xFF, 0xF0, 0x00, 0x00, 0x00, ##                       000000000000000                     
            0x00, 0x00, 0x07, 0xFF, 0xF0, 0x00, 0x00, 0x00, ##                       000000000000000                     
            0x00, 0x00, 0x07, 0xFF, 0xF0, 0x00, 0x00, 0x00, ##                       000000000000000                     
            0x00, 0x00, 0x0F, 0xFF, 0xF8, 0x00, 0x00, 0x00, ##                      00000000000000000                    
            0x00, 0x00, 0x0F, 0xFF, 0xF8, 0x00, 0x00, 0x00, ##                      00000000000000000                    
            0x00, 0x00, 0x0F, 0xF7, 0xF8, 0x00, 0x00, 0x00, ##                      00000000 00000000                    
            0x00, 0x00, 0x1F, 0xF7, 0xFC, 0x00, 0x00, 0x00, ##                     000000000 000000000                   
            0x00, 0x00, 0x1F, 0xF7, 0xFC, 0x00, 0x00, 0x00, ##                     000000000 000000000                   
            0x00, 0x00, 0x3F, 0xE3, 0xFE, 0x00, 0x00, 0x00, ##                    000000000   000000000                  
            0x00, 0x00, 0x3F, 0xE3, 0xFE, 0x00, 0x00, 0x00, ##                    000000000   000000000                  
            0x00, 0x00, 0x3F, 0xE3, 0xFE, 0x00, 0x00, 0x00, ##                    000000000   000000000                  
            0x00, 0x00, 0x7F, 0xC1, 0xFF, 0x00, 0x00, 0x00, ##                   000000000     000000000                 
            0x00, 0x00, 0x7F, 0xC1, 0xFF, 0x00, 0x00, 0x00, ##                   000000000     000000000                 
            0x00, 0x00, 0x7F, 0xC0, 0xFF, 0x00, 0x00, 0x00, ##                   000000000      00000000                 
            0x00, 0x00, 0xFF, 0x80, 0xFF, 0x80, 0x00, 0x00, ##                  000000000       000000000                
            0x00, 0x00, 0xFF, 0x80, 0xFF, 0x80, 0x00, 0x00, ##                  000000000       000000000                
            0x00, 0x01, 0xFF, 0x00, 0x7F, 0xC0, 0x00, 0x00, ##                 000000000         000000000               
            0x00, 0x01, 0xFF, 0x00, 0x7F, 0xC0, 0x00, 0x00, ##                 000000000         000000000               
            0x00, 0x01, 0xFF, 0x00, 0x7F, 0xC0, 0x00, 0x00, ##                 000000000         000000000               
            0x00, 0x03, 0xFE, 0x00, 0x3F, 0xE0, 0x00, 0x00, ##                000000000           000000000              
            0x00, 0x03, 0xFE, 0x00, 0x3F, 0xE0, 0x00, 0x00, ##                000000000           000000000              
            0x00, 0x03, 0xFE, 0x00, 0x3F, 0xE0, 0x00, 0x00, ##                000000000           000000000              
            0x00, 0x07, 0xFC, 0x00, 0x1F, 0xF0, 0x00, 0x00, ##               000000000             000000000             
            0x00, 0x07, 0xFC, 0x00, 0x1F, 0xF0, 0x00, 0x00, ##               000000000             000000000             
            0x00, 0x07, 0xF8, 0x00, 0x0F, 0xF8, 0x00, 0x00, ##               00000000               000000000            
            0x00, 0x0F, 0xF8, 0x00, 0x0F, 0xF8, 0x00, 0x00, ##              000000000               000000000            
            0x00, 0x0F, 0xF8, 0x00, 0x0F, 0xF8, 0x00, 0x00, ##              000000000               000000000            
            0x00, 0x1F, 0xF0, 0x00, 0x07, 0xFC, 0x00, 0x00, ##             000000000                 000000000           
            0x00, 0x1F, 0xF0, 0x00, 0x07, 0xFC, 0x00, 0x00, ##             000000000                 000000000           
            0x00, 0x1F, 0xF0, 0x00, 0x07, 0xFC, 0x00, 0x00, ##             000000000                 000000000           
            0x00, 0x3F, 0xE0, 0x00, 0x03, 0xFE, 0x00, 0x00, ##            000000000                   000000000          
            0x00, 0x3F, 0xE0, 0x00, 0x03, 0xFE, 0x00, 0x00, ##            000000000                   000000000          
            0x00, 0x3F, 0xE0, 0x00, 0x03, 0xFE, 0x00, 0x00, ##            000000000                   000000000          
            0x00, 0x7F, 0xC0, 0x00, 0x01, 0xFF, 0x00, 0x00, ##           000000000                     000000000         
            0x00, 0x7F, 0xC0, 0x00, 0x01, 0xFF, 0x00, 0x00, ##           000000000                     000000000         
            0x00, 0xFF, 0x80, 0x00, 0x00, 0xFF, 0x80, 0x00, ##          000000000                       000000000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0xFF, 0x80, 0x00, ##          000000000                       000000000        
            0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x80, 0x00, ##          00000000000000000000000000000000000000000        
            0x01, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xC0, 0x00, ##         0000000000000000000000000000000000000000000       
            0x01, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xC0, 0x00, ##         0000000000000000000000000000000000000000000       
            0x01, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xC0, 0x00, ##         0000000000000000000000000000000000000000000       
            0x03, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xE0, 0x00, ##        000000000000000000000000000000000000000000000      
            0x03, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xE0, 0x00, ##        000000000000000000000000000000000000000000000      
            0x07, 0xFC, 0x00, 0x00, 0x00, 0x1F, 0xF0, 0x00, ##       000000000                             000000000     
            0x07, 0xFC, 0x00, 0x00, 0x00, 0x1F, 0xF0, 0x00, ##       000000000                             000000000     
            0x07, 0xFC, 0x00, 0x00, 0x00, 0x0F, 0xF0, 0x00, ##       000000000                              00000000     
            0x0F, 0xF8, 0x00, 0x00, 0x00, 0x0F, 0xF8, 0x00, ##      000000000                               000000000    
            0x0F, 0xF8, 0x00, 0x00, 0x00, 0x0F, 0xF8, 0x00, ##      000000000                               000000000    
            0x0F, 0xF0, 0x00, 0x00, 0x00, 0x07, 0xF8, 0x00, ##      00000000                                 00000000    
            0x1F, 0xF0, 0x00, 0x00, 0x00, 0x07, 0xFC, 0x00, ##     000000000                                 000000000   
            0x1F, 0xF0, 0x00, 0x00, 0x00, 0x07, 0xFC, 0x00, ##     000000000                                 000000000   
            0x1F, 0xE0, 0x00, 0x00, 0x00, 0x03, 0xFC, 0x00, ##     00000000                                   00000000   
            0x3F, 0xE0, 0x00, 0x00, 0x00, 0x03, 0xFE, 0x00, ##    000000000                                   000000000  
            0x3F, 0xE0, 0x00, 0x00, 0x00, 0x03, 0xFE, 0x00, ##    000000000                                   000000000  
            0x7F, 0xC0, 0x00, 0x00, 0x00, 0x01, 0xFF, 0x00, ##   000000000                                     000000000 
            0x7F, 0xC0, 0x00, 0x00, 0x00, 0x01, 0xFF, 0x00, ##   000000000                                     000000000 
            0x7F, 0xC0, 0x00, 0x00, 0x00, 0x01, 0xFF, 0x00, ##   000000000                                     000000000 
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0xFF, 0x80, ##  000000000                                       000000000
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0xFF, 0x80, ##  000000000                                       000000000
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '197' => {    # 'Å'
        'width'    => 57, 
        'xoffset'  => 1, 
        'xadvance' => 59, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x7F, 0x00, 0x00, 0x00, 0x00, ##                           0000000                         
            0x00, 0x00, 0x01, 0xFF, 0xC0, 0x00, 0x00, 0x00, ##                         00000000000                       
            0x00, 0x00, 0x07, 0xFF, 0xF0, 0x00, 0x00, 0x00, ##                       000000000000000                     
            0x00, 0x00, 0x0F, 0xFF, 0xF8, 0x00, 0x00, 0x00, ##                      00000000000000000                    
            0x00, 0x00, 0x1F, 0xFF, 0xFC, 0x00, 0x00, 0x00, ##                     0000000000000000000                   
            0x00, 0x00, 0x1F, 0xC1, 0xFC, 0x00, 0x00, 0x00, ##                     0000000     0000000                   
            0x00, 0x00, 0x3F, 0x00, 0x7E, 0x00, 0x00, 0x00, ##                    000000         000000                  
            0x00, 0x00, 0x3E, 0x00, 0x3E, 0x00, 0x00, 0x00, ##                    00000           00000                  
            0x00, 0x00, 0x7E, 0x00, 0x3F, 0x00, 0x00, 0x00, ##                   000000           000000                 
            0x00, 0x00, 0x7C, 0x00, 0x1F, 0x00, 0x00, 0x00, ##                   00000             00000                 
            0x00, 0x00, 0x7C, 0x00, 0x1F, 0x00, 0x00, 0x00, ##                   00000             00000                 
            0x00, 0x00, 0x7C, 0x00, 0x1F, 0x00, 0x00, 0x00, ##                   00000             00000                 
            0x00, 0x00, 0x7C, 0x00, 0x1F, 0x00, 0x00, 0x00, ##                   00000             00000                 
            0x00, 0x00, 0x7C, 0x00, 0x1F, 0x00, 0x00, 0x00, ##                   00000             00000                 
            0x00, 0x00, 0x7E, 0x00, 0x3F, 0x00, 0x00, 0x00, ##                   000000           000000                 
            0x00, 0x00, 0x3E, 0x00, 0x3E, 0x00, 0x00, 0x00, ##                    00000           00000                  
            0x00, 0x00, 0x3F, 0x00, 0x7E, 0x00, 0x00, 0x00, ##                    000000         000000                  
            0x00, 0x00, 0x3F, 0x80, 0xFE, 0x00, 0x00, 0x00, ##                    0000000       0000000                  
            0x00, 0x00, 0x1F, 0xFF, 0xFC, 0x00, 0x00, 0x00, ##                     0000000000000000000                   
            0x00, 0x00, 0x0F, 0xFF, 0xF8, 0x00, 0x00, 0x00, ##                      00000000000000000                    
            0x00, 0x00, 0x07, 0xFF, 0xF0, 0x00, 0x00, 0x00, ##                       000000000000000                     
            0x00, 0x00, 0x03, 0xFF, 0xE0, 0x00, 0x00, 0x00, ##                        0000000000000                      
            0x00, 0x00, 0x03, 0xFF, 0xE0, 0x00, 0x00, 0x00, ##                        0000000000000                      
            0x00, 0x00, 0x03, 0xFF, 0xE0, 0x00, 0x00, 0x00, ##                        0000000000000                      
            0x00, 0x00, 0x07, 0xFF, 0xF0, 0x00, 0x00, 0x00, ##                       000000000000000                     
            0x00, 0x00, 0x07, 0xFF, 0xF0, 0x00, 0x00, 0x00, ##                       000000000000000                     
            0x00, 0x00, 0x0F, 0xFF, 0xF8, 0x00, 0x00, 0x00, ##                      00000000000000000                    
            0x00, 0x00, 0x0F, 0xF7, 0xF8, 0x00, 0x00, 0x00, ##                      00000000 00000000                    
            0x00, 0x00, 0x0F, 0xF7, 0xF8, 0x00, 0x00, 0x00, ##                      00000000 00000000                    
            0x00, 0x00, 0x1F, 0xF7, 0xFC, 0x00, 0x00, 0x00, ##                     000000000 000000000                   
            0x00, 0x00, 0x1F, 0xE3, 0xFC, 0x00, 0x00, 0x00, ##                     00000000   00000000                   
            0x00, 0x00, 0x3F, 0xE3, 0xFE, 0x00, 0x00, 0x00, ##                    000000000   000000000                  
            0x00, 0x00, 0x3F, 0xE3, 0xFE, 0x00, 0x00, 0x00, ##                    000000000   000000000                  
            0x00, 0x00, 0x3F, 0xC1, 0xFE, 0x00, 0x00, 0x00, ##                    00000000     00000000                  
            0x00, 0x00, 0x7F, 0xC1, 0xFF, 0x00, 0x00, 0x00, ##                   000000000     000000000                 
            0x00, 0x00, 0x7F, 0xC1, 0xFF, 0x00, 0x00, 0x00, ##                   000000000     000000000                 
            0x00, 0x00, 0x7F, 0x80, 0xFF, 0x00, 0x00, 0x00, ##                   00000000       00000000                 
            0x00, 0x00, 0xFF, 0x80, 0xFF, 0x80, 0x00, 0x00, ##                  000000000       000000000                
            0x00, 0x00, 0xFF, 0x00, 0x7F, 0x80, 0x00, 0x00, ##                  00000000         00000000                
            0x00, 0x01, 0xFF, 0x00, 0x7F, 0xC0, 0x00, 0x00, ##                 000000000         000000000               
            0x00, 0x01, 0xFF, 0x00, 0x7F, 0xC0, 0x00, 0x00, ##                 000000000         000000000               
            0x00, 0x01, 0xFE, 0x00, 0x3F, 0xC0, 0x00, 0x00, ##                 00000000           00000000               
            0x00, 0x03, 0xFE, 0x00, 0x3F, 0xE0, 0x00, 0x00, ##                000000000           000000000              
            0x00, 0x03, 0xFE, 0x00, 0x3F, 0xE0, 0x00, 0x00, ##                000000000           000000000              
            0x00, 0x03, 0xFC, 0x00, 0x1F, 0xE0, 0x00, 0x00, ##                00000000             00000000              
            0x00, 0x07, 0xFC, 0x00, 0x1F, 0xF0, 0x00, 0x00, ##               000000000             000000000             
            0x00, 0x07, 0xFC, 0x00, 0x1F, 0xF0, 0x00, 0x00, ##               000000000             000000000             
            0x00, 0x0F, 0xF8, 0x00, 0x0F, 0xF8, 0x00, 0x00, ##              000000000               000000000            
            0x00, 0x0F, 0xF8, 0x00, 0x0F, 0xF8, 0x00, 0x00, ##              000000000               000000000            
            0x00, 0x0F, 0xF8, 0x00, 0x0F, 0xF8, 0x00, 0x00, ##              000000000               000000000            
            0x00, 0x1F, 0xF0, 0x00, 0x07, 0xFC, 0x00, 0x00, ##             000000000                 000000000           
            0x00, 0x1F, 0xF0, 0x00, 0x07, 0xFC, 0x00, 0x00, ##             000000000                 000000000           
            0x00, 0x1F, 0xE0, 0x00, 0x03, 0xFC, 0x00, 0x00, ##             00000000                   00000000           
            0x00, 0x3F, 0xE0, 0x00, 0x03, 0xFE, 0x00, 0x00, ##            000000000                   000000000          
            0x00, 0x3F, 0xE0, 0x00, 0x03, 0xFE, 0x00, 0x00, ##            000000000                   000000000          
            0x00, 0x7F, 0xC0, 0x00, 0x01, 0xFF, 0x00, 0x00, ##           000000000                     000000000         
            0x00, 0x7F, 0xC0, 0x00, 0x01, 0xFF, 0x00, 0x00, ##           000000000                     000000000         
            0x00, 0x7F, 0xC0, 0x00, 0x01, 0xFF, 0x00, 0x00, ##           000000000                     000000000         
            0x00, 0xFF, 0x80, 0x00, 0x00, 0xFF, 0x80, 0x00, ##          000000000                       000000000        
            0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x80, 0x00, ##          00000000000000000000000000000000000000000        
            0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x80, 0x00, ##          00000000000000000000000000000000000000000        
            0x01, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xC0, 0x00, ##         0000000000000000000000000000000000000000000       
            0x01, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xC0, 0x00, ##         0000000000000000000000000000000000000000000       
            0x03, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xE0, 0x00, ##        000000000000000000000000000000000000000000000      
            0x03, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xE0, 0x00, ##        000000000000000000000000000000000000000000000      
            0x03, 0xFC, 0x00, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##        00000000                             00000000      
            0x07, 0xFC, 0x00, 0x00, 0x00, 0x1F, 0xF0, 0x00, ##       000000000                             000000000     
            0x07, 0xFC, 0x00, 0x00, 0x00, 0x0F, 0xF0, 0x00, ##       000000000                              00000000     
            0x0F, 0xF8, 0x00, 0x00, 0x00, 0x0F, 0xF0, 0x00, ##      000000000                               00000000     
            0x0F, 0xF8, 0x00, 0x00, 0x00, 0x0F, 0xF8, 0x00, ##      000000000                               000000000    
            0x0F, 0xF8, 0x00, 0x00, 0x00, 0x07, 0xF8, 0x00, ##      000000000                                00000000    
            0x1F, 0xF0, 0x00, 0x00, 0x00, 0x07, 0xFC, 0x00, ##     000000000                                 000000000   
            0x1F, 0xF0, 0x00, 0x00, 0x00, 0x07, 0xFC, 0x00, ##     000000000                                 000000000   
            0x1F, 0xE0, 0x00, 0x00, 0x00, 0x03, 0xFC, 0x00, ##     00000000                                   00000000   
            0x3F, 0xE0, 0x00, 0x00, 0x00, 0x03, 0xFE, 0x00, ##    000000000                                   000000000  
            0x3F, 0xE0, 0x00, 0x00, 0x00, 0x03, 0xFE, 0x00, ##    000000000                                   000000000  
            0x7F, 0xC0, 0x00, 0x00, 0x00, 0x01, 0xFE, 0x00, ##   000000000                                     00000000  
            0x7F, 0xC0, 0x00, 0x00, 0x00, 0x01, 0xFF, 0x00, ##   000000000                                     000000000 
            0x7F, 0xC0, 0x00, 0x00, 0x00, 0x01, 0xFF, 0x00, ##   000000000                                     000000000 
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0xFF, 0x80, ##  000000000                                       000000000
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0xFF, 0x80, ##  000000000                                       000000000
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '198' => {    # 'Æ'
        'width'    => 79, 
        'xoffset'  => 0, 
        'xadvance' => 85, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x3F, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFC, ##                            0000000000000000000000000000000000000000000000000000 
            0x00, 0x00, 0x00, 0x3F, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFC, ##                            0000000000000000000000000000000000000000000000000000 
            0x00, 0x00, 0x00, 0x3F, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFC, ##                            0000000000000000000000000000000000000000000000000000 
            0x00, 0x00, 0x00, 0x7F, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFC, ##                           00000000000000000000000000000000000000000000000000000 
            0x00, 0x00, 0x00, 0x7F, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFC, ##                           00000000000000000000000000000000000000000000000000000 
            0x00, 0x00, 0x00, 0xFF, 0x83, 0xFF, 0xFF, 0xFF, 0xFF, 0xFC, ##                          000000000     0000000000000000000000000000000000000000 
            0x00, 0x00, 0x00, 0xFF, 0x03, 0xFC, 0x00, 0x00, 0x00, 0x00, ##                          00000000      00000000                                 
            0x00, 0x00, 0x01, 0xFF, 0x03, 0xFC, 0x00, 0x00, 0x00, 0x00, ##                         000000000      00000000                                 
            0x00, 0x00, 0x01, 0xFE, 0x03, 0xFC, 0x00, 0x00, 0x00, 0x00, ##                         00000000       00000000                                 
            0x00, 0x00, 0x01, 0xFE, 0x03, 0xFC, 0x00, 0x00, 0x00, 0x00, ##                         00000000       00000000                                 
            0x00, 0x00, 0x03, 0xFE, 0x03, 0xFC, 0x00, 0x00, 0x00, 0x00, ##                        000000000       00000000                                 
            0x00, 0x00, 0x03, 0xFC, 0x03, 0xFC, 0x00, 0x00, 0x00, 0x00, ##                        00000000        00000000                                 
            0x00, 0x00, 0x07, 0xFC, 0x03, 0xFC, 0x00, 0x00, 0x00, 0x00, ##                       000000000        00000000                                 
            0x00, 0x00, 0x07, 0xF8, 0x03, 0xFC, 0x00, 0x00, 0x00, 0x00, ##                       00000000         00000000                                 
            0x00, 0x00, 0x0F, 0xF8, 0x03, 0xFC, 0x00, 0x00, 0x00, 0x00, ##                      000000000         00000000                                 
            0x00, 0x00, 0x0F, 0xF8, 0x03, 0xFC, 0x00, 0x00, 0x00, 0x00, ##                      000000000         00000000                                 
            0x00, 0x00, 0x0F, 0xF0, 0x03, 0xFC, 0x00, 0x00, 0x00, 0x00, ##                      00000000          00000000                                 
            0x00, 0x00, 0x1F, 0xF0, 0x03, 0xFC, 0x00, 0x00, 0x00, 0x00, ##                     000000000          00000000                                 
            0x00, 0x00, 0x1F, 0xE0, 0x03, 0xFC, 0x00, 0x00, 0x00, 0x00, ##                     00000000           00000000                                 
            0x00, 0x00, 0x3F, 0xE0, 0x03, 0xFC, 0x00, 0x00, 0x00, 0x00, ##                    000000000           00000000                                 
            0x00, 0x00, 0x3F, 0xE0, 0x03, 0xFC, 0x00, 0x00, 0x00, 0x00, ##                    000000000           00000000                                 
            0x00, 0x00, 0x3F, 0xC0, 0x03, 0xFC, 0x00, 0x00, 0x00, 0x00, ##                    00000000            00000000                                 
            0x00, 0x00, 0x7F, 0xC0, 0x03, 0xFC, 0x00, 0x00, 0x00, 0x00, ##                   000000000            00000000                                 
            0x00, 0x00, 0x7F, 0x80, 0x03, 0xFC, 0x00, 0x00, 0x00, 0x00, ##                   00000000             00000000                                 
            0x00, 0x00, 0xFF, 0x80, 0x03, 0xFC, 0x00, 0x00, 0x00, 0x00, ##                  000000000             00000000                                 
            0x00, 0x00, 0xFF, 0x80, 0x03, 0xFF, 0xFF, 0xFF, 0xFF, 0xF8, ##                  000000000             000000000000000000000000000000000000000  
            0x00, 0x00, 0xFF, 0x00, 0x03, 0xFF, 0xFF, 0xFF, 0xFF, 0xF8, ##                 000000000              000000000000000000000000000000000000000  
            0x00, 0x00, 0xFF, 0x00, 0x03, 0xFF, 0xFF, 0xFF, 0xFF, 0xF8, ##                 000000000              000000000000000000000000000000000000000  
            0x00, 0x00, 0xFE, 0x00, 0x03, 0xFF, 0xFF, 0xFF, 0xFF, 0xF8, ##                 00000000               000000000000000000000000000000000000000  
            0x00, 0x00, 0xFE, 0x00, 0x03, 0xFF, 0xFF, 0xFF, 0xFF, 0xF8, ##                000000000               000000000000000000000000000000000000000  
            0x00, 0x00, 0xFE, 0x00, 0x03, 0xFF, 0xFF, 0xFF, 0xFF, 0xF8, ##                000000000               000000000000000000000000000000000000000  
            0x00, 0x00, 0xFC, 0x00, 0x03, 0xFC, 0x00, 0x00, 0x00, 0x00, ##               000000000                00000000                                 
            0x00, 0x00, 0xFC, 0x00, 0x03, 0xFC, 0x00, 0x00, 0x00, 0x00, ##               000000000                00000000                                 
            0x00, 0x00, 0xF8, 0x00, 0x03, 0xFC, 0x00, 0x00, 0x00, 0x00, ##              000000000                 00000000                                 
            0x00, 0x00, 0xF8, 0x00, 0x03, 0xFC, 0x00, 0x00, 0x00, 0x00, ##              000000000                 00000000                                 
            0x00, 0x00, 0xF8, 0x00, 0x03, 0xFC, 0x00, 0x00, 0x00, 0x00, ##              000000000                 00000000                                 
            0x00, 0x00, 0xF0, 0x00, 0x03, 0xFC, 0x00, 0x00, 0x00, 0x00, ##             000000000                  00000000                                 
            0x00, 0x00, 0xF0, 0x00, 0x03, 0xFC, 0x00, 0x00, 0x00, 0x00, ##             000000000                  00000000                                 
            0x00, 0x00, 0xF0, 0x00, 0x03, 0xFC, 0x00, 0x00, 0x00, 0x00, ##            0000000000                  00000000                                 
            0x00, 0x00, 0xE0, 0x00, 0x03, 0xFC, 0x00, 0x00, 0x00, 0x00, ##            000000000                   00000000                                 
            0x00, 0x00, 0xE0, 0x00, 0x03, 0xFC, 0x00, 0x00, 0x00, 0x00, ##            000000000                   00000000                                 
            0x00, 0x00, 0xFF, 0xFF, 0xFF, 0xFC, 0x00, 0x00, 0x00, 0x00, ##           0000000000000000000000000000000000000                                 
            0x00, 0x00, 0xFF, 0xFF, 0xFF, 0xFC, 0x00, 0x00, 0x00, 0x00, ##           0000000000000000000000000000000000000                                 
            0x00, 0x00, 0xFF, 0xFF, 0xFF, 0xFC, 0x00, 0x00, 0x00, 0x00, ##          00000000000000000000000000000000000000                                 
            0x00, 0x00, 0xFF, 0xFF, 0xFF, 0xFC, 0x00, 0x00, 0x00, 0x00, ##          00000000000000000000000000000000000000                                 
            0x00, 0x00, 0xFF, 0xFF, 0xFF, 0xFC, 0x00, 0x00, 0x00, 0x00, ##         000000000000000000000000000000000000000                                 
            0x00, 0x00, 0xFF, 0xFF, 0xFF, 0xFC, 0x00, 0x00, 0x00, 0x00, ##         000000000000000000000000000000000000000                                 
            0x00, 0x00, 0x00, 0x00, 0x03, 0xFC, 0x00, 0x00, 0x00, 0x00, ##         00000000                       00000000                                 
            0x00, 0x00, 0x00, 0x00, 0x03, 0xFC, 0x00, 0x00, 0x00, 0x00, ##        000000000                       00000000                                 
            0x00, 0x00, 0x00, 0x00, 0x03, 0xFC, 0x00, 0x00, 0x00, 0x00, ##        000000000                       00000000                                 
            0x00, 0x00, 0x00, 0x00, 0x03, 0xFC, 0x00, 0x00, 0x00, 0x00, ##       000000000                        00000000                                 
            0x00, 0x00, 0x00, 0x00, 0x03, 0xFC, 0x00, 0x00, 0x00, 0x00, ##       000000000                        00000000                                 
            0x00, 0x00, 0x00, 0x00, 0x03, 0xFC, 0x00, 0x00, 0x00, 0x00, ##      000000000                         00000000                                 
            0x00, 0x00, 0x00, 0x00, 0x03, 0xFC, 0x00, 0x00, 0x00, 0x00, ##      000000000                         00000000                                 
            0x00, 0x00, 0x00, 0x00, 0x03, 0xFC, 0x00, 0x00, 0x00, 0x00, ##      00000000                          00000000                                 
            0x00, 0x00, 0x00, 0x00, 0x03, 0xFC, 0x00, 0x00, 0x00, 0x00, ##     000000000                          00000000                                 
            0x00, 0x00, 0x00, 0x00, 0x03, 0xFC, 0x00, 0x00, 0x00, 0x00, ##     000000000                          00000000                                 
            0x00, 0x00, 0x00, 0x00, 0x03, 0xFF, 0xFF, 0xFF, 0xFF, 0xFE, ##    000000000                           00000000000000000000000000000000000000000
            0x00, 0x00, 0x00, 0x00, 0x03, 0xFF, 0xFF, 0xFF, 0xFF, 0xFE, ##    000000000                           00000000000000000000000000000000000000000
            0x00, 0x00, 0x00, 0x00, 0x03, 0xFF, 0xFF, 0xFF, 0xFF, 0xFE, ##    00000000                            00000000000000000000000000000000000000000
            0x00, 0x00, 0x00, 0x00, 0x03, 0xFF, 0xFF, 0xFF, 0xFF, 0xFE, ##   000000000                            00000000000000000000000000000000000000000
            0x00, 0x00, 0x00, 0x00, 0x03, 0xFF, 0xFF, 0xFF, 0xFF, 0xFE, ##   00000000                             00000000000000000000000000000000000000000
            0x00, 0x00, 0x00, 0x00, 0x03, 0xFF, 0xFF, 0xFF, 0xFF, 0xFE, ##  000000000                             00000000000000000000000000000000000000000
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '199' => {    # 'Ç'
        'width'    => 51, 
        'xoffset'  => 5, 
        'xadvance' => 61, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0xFF, 0xFC, 0x00, 0x00, ##                          00000000000000             
            0x00, 0x00, 0x0F, 0xFF, 0xFF, 0xC0, 0x00, ##                      0000000000000000000000         
            0x00, 0x00, 0x7F, 0xFF, 0xFF, 0xF8, 0x00, ##                   0000000000000000000000000000      
            0x00, 0x01, 0xFF, 0xFF, 0xFF, 0xFF, 0x00, ##                 000000000000000000000000000000000   
            0x00, 0x07, 0xFF, 0xFF, 0xFF, 0xFF, 0xC0, ##               0000000000000000000000000000000000000 
            0x00, 0x0F, 0xFF, 0xFF, 0xFF, 0xFF, 0xE0, ##              000000000000000000000000000000000000000
            0x00, 0x1F, 0xFF, 0xC0, 0x07, 0xFF, 0xE0, ##             000000000000000           00000000000000
            0x00, 0x7F, 0xFC, 0x00, 0x00, 0xFF, 0xE0, ##           0000000000000                  00000000000
            0x00, 0xFF, 0xF0, 0x00, 0x00, 0x1F, 0xE0, ##          000000000000                       00000000
            0x00, 0xFF, 0xC0, 0x00, 0x00, 0x07, 0xE0, ##          0000000000                           000000
            0x01, 0xFF, 0x80, 0x00, 0x00, 0x03, 0xE0, ##         0000000000                             00000
            0x03, 0xFF, 0x00, 0x00, 0x00, 0x00, 0xE0, ##        0000000000                                000
            0x07, 0xFE, 0x00, 0x00, 0x00, 0x00, 0x60, ##       0000000000                                  00
            0x07, 0xFC, 0x00, 0x00, 0x00, 0x00, 0x20, ##       000000000                                    0
            0x0F, 0xF8, 0x00, 0x00, 0x00, 0x00, 0x00, ##      000000000                                      
            0x0F, 0xF8, 0x00, 0x00, 0x00, 0x00, 0x00, ##      000000000                                      
            0x1F, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x00, ##     000000000                                       
            0x1F, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x00, ##     000000000                                       
            0x3F, 0xE0, 0x00, 0x00, 0x00, 0x00, 0x00, ##    000000000                                        
            0x3F, 0xE0, 0x00, 0x00, 0x00, 0x00, 0x00, ##    000000000                                        
            0x3F, 0xE0, 0x00, 0x00, 0x00, 0x00, 0x00, ##    000000000                                        
            0x7F, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x00, ##   000000000                                         
            0x7F, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x00, ##   000000000                                         
            0x7F, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x00, ##   000000000                                         
            0x7F, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x00, ##   000000000                                         
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x00, ##  000000000                                          
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x00, ##  000000000                                          
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x00, ##  000000000                                          
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x00, ##  000000000                                          
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x00, ##  000000000                                          
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x00, ##  000000000                                          
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x00, ##  000000000                                          
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x00, ##  000000000                                          
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x00, ##  000000000                                          
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x00, ##  000000000                                          
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x00, ##  000000000                                          
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x00, ##  000000000                                          
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x00, ##  000000000                                          
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x00, ##  000000000                                          
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x00, ##  000000000                                          
            0x7F, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x00, ##   000000000                                         
            0x7F, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x00, ##   000000000                                         
            0x7F, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x00, ##   000000000                                         
            0x7F, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x00, ##   000000000                                         
            0x3F, 0xE0, 0x00, 0x00, 0x00, 0x00, 0x00, ##    000000000                                        
            0x3F, 0xE0, 0x00, 0x00, 0x00, 0x00, 0x00, ##    000000000                                        
            0x3F, 0xE0, 0x00, 0x00, 0x00, 0x00, 0x00, ##    000000000                                        
            0x1F, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x00, ##     000000000                                       
            0x1F, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x00, ##     000000000                                       
            0x1F, 0xF8, 0x00, 0x00, 0x00, 0x00, 0x00, ##     0000000000                                      
            0x0F, 0xF8, 0x00, 0x00, 0x00, 0x00, 0x00, ##      000000000                                      
            0x07, 0xFC, 0x00, 0x00, 0x00, 0x00, 0x20, ##       000000000                                    0
            0x07, 0xFE, 0x00, 0x00, 0x00, 0x00, 0x60, ##       0000000000                                  00
            0x03, 0xFF, 0x00, 0x00, 0x00, 0x00, 0xE0, ##        0000000000                                000
            0x01, 0xFF, 0x80, 0x00, 0x00, 0x03, 0xE0, ##         0000000000                             00000
            0x01, 0xFF, 0xC0, 0x00, 0x00, 0x07, 0xE0, ##         00000000000                           000000
            0x00, 0xFF, 0xF0, 0x00, 0x00, 0x1F, 0xE0, ##          000000000000                       00000000
            0x00, 0x7F, 0xFC, 0x00, 0x00, 0xFF, 0xE0, ##           0000000000000                  00000000000
            0x00, 0x1F, 0xFF, 0xC0, 0x07, 0xFF, 0xE0, ##             000000000000000           00000000000000
            0x00, 0x0F, 0xFF, 0xFF, 0xFF, 0xFF, 0xE0, ##              000000000000000000000000000000000000000
            0x00, 0x07, 0xFF, 0xFF, 0xFF, 0xFF, 0xC0, ##               0000000000000000000000000000000000000 
            0x00, 0x01, 0xFF, 0xFF, 0xFF, 0xFF, 0x00, ##                 000000000000000000000000000000000   
            0x00, 0x00, 0x7F, 0xFF, 0xFF, 0xF8, 0x00, ##                   0000000000000000000000000000      
            0x00, 0x00, 0x0F, 0xFF, 0xFF, 0xC0, 0x00, ##                      0000000000000000000000         
            0x00, 0x00, 0x00, 0xFF, 0xFC, 0x00, 0x00, ##                          00000000000000             
            0x00, 0x00, 0x00, 0x07, 0xE0, 0x00, 0x00, ##                               000000                
            0x00, 0x00, 0x00, 0x03, 0xE0, 0x00, 0x00, ##                                00000                
            0x00, 0x00, 0x00, 0x03, 0xF0, 0x00, 0x00, ##                                000000               
            0x00, 0x00, 0x00, 0x01, 0xF8, 0x00, 0x00, ##                                 000000              
            0x00, 0x00, 0x00, 0x01, 0xF8, 0x00, 0x00, ##                                 000000              
            0x00, 0x00, 0x00, 0x00, 0xF8, 0x00, 0x00, ##                                  00000              
            0x00, 0x00, 0x00, 0x00, 0xFC, 0x00, 0x00, ##                                  000000             
            0x00, 0x00, 0x00, 0x00, 0xFC, 0x00, 0x00, ##                                  000000             
            0x00, 0x00, 0x00, 0x00, 0xFC, 0x00, 0x00, ##                                  000000             
            0x00, 0x00, 0x00, 0x01, 0xFC, 0x00, 0x00, ##                                 0000000             
            0x00, 0x00, 0x0E, 0x03, 0xFC, 0x00, 0x00, ##                      000       00000000             
            0x00, 0x00, 0x0F, 0xFF, 0xF8, 0x00, 0x00, ##                      00000000000000000              
            0x00, 0x00, 0x0F, 0xFF, 0xF8, 0x00, 0x00, ##                      00000000000000000              
            0x00, 0x00, 0x0F, 0xFF, 0xF0, 0x00, 0x00, ##                      0000000000000000               
            0x00, 0x00, 0x0F, 0xFF, 0xE0, 0x00, 0x00, ##                      000000000000000                
            0x00, 0x00, 0x03, 0xFF, 0x00, 0x00, 0x00, ##                        0000000000                   
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '200' => {    # 'È'
        'width'    => 41, 
        'xoffset'  => 9, 
        'xadvance' => 56, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x7F, 0xC0, 0x00, 0x00, 0x00, ##           000000000                       
            0x00, 0x3F, 0xC0, 0x00, 0x00, 0x00, ##            00000000                       
            0x00, 0x1F, 0xE0, 0x00, 0x00, 0x00, ##             00000000                      
            0x00, 0x0F, 0xF0, 0x00, 0x00, 0x00, ##              00000000                     
            0x00, 0x07, 0xF8, 0x00, 0x00, 0x00, ##               00000000                    
            0x00, 0x03, 0xF8, 0x00, 0x00, 0x00, ##                0000000                    
            0x00, 0x01, 0xFC, 0x00, 0x00, 0x00, ##                 0000000                   
            0x00, 0x00, 0xFE, 0x00, 0x00, 0x00, ##                  0000000                  
            0x00, 0x00, 0x7F, 0x00, 0x00, 0x00, ##                   0000000                 
            0x00, 0x00, 0x3F, 0x80, 0x00, 0x00, ##                    0000000                
            0x00, 0x00, 0x1F, 0x80, 0x00, 0x00, ##                     000000                
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                           
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                           
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                           
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                           
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                           
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                           
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                           
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x00, ##  0000000000000000000000000000000000000000 
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x00, ##  0000000000000000000000000000000000000000 
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x00, ##  0000000000000000000000000000000000000000 
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x00, ##  0000000000000000000000000000000000000000 
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x00, ##  0000000000000000000000000000000000000000 
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x00, ##  0000000000000000000000000000000000000000 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0xFF, 0xFF, 0xFF, 0xFE, 0x00, ##  000000000000000000000000000000000000000  
            0xFF, 0xFF, 0xFF, 0xFF, 0xFE, 0x00, ##  000000000000000000000000000000000000000  
            0xFF, 0xFF, 0xFF, 0xFF, 0xFE, 0x00, ##  000000000000000000000000000000000000000  
            0xFF, 0xFF, 0xFF, 0xFF, 0xFE, 0x00, ##  000000000000000000000000000000000000000  
            0xFF, 0xFF, 0xFF, 0xFF, 0xFE, 0x00, ##  000000000000000000000000000000000000000  
            0xFF, 0xFF, 0xFF, 0xFF, 0xFE, 0x00, ##  000000000000000000000000000000000000000  
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x80, ##  00000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x80, ##  00000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x80, ##  00000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x80, ##  00000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x80, ##  00000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x80, ##  00000000000000000000000000000000000000000
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '201' => {    # 'É'
        'width'    => 41, 
        'xoffset'  => 9, 
        'xadvance' => 56, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x03, 0xFC, 0x00, 0x00, ##                        00000000           
            0x00, 0x00, 0x07, 0xF8, 0x00, 0x00, ##                       00000000            
            0x00, 0x00, 0x0F, 0xF0, 0x00, 0x00, ##                      00000000             
            0x00, 0x00, 0x1F, 0xE0, 0x00, 0x00, ##                     00000000              
            0x00, 0x00, 0x1F, 0xC0, 0x00, 0x00, ##                     0000000               
            0x00, 0x00, 0x3F, 0x80, 0x00, 0x00, ##                    0000000                
            0x00, 0x00, 0x7F, 0x00, 0x00, 0x00, ##                   0000000                 
            0x00, 0x00, 0xFE, 0x00, 0x00, 0x00, ##                  0000000                  
            0x00, 0x01, 0xFC, 0x00, 0x00, 0x00, ##                 0000000                   
            0x00, 0x01, 0xFC, 0x00, 0x00, 0x00, ##                 0000000                   
            0x00, 0x03, 0xF8, 0x00, 0x00, 0x00, ##                0000000                    
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                           
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                           
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                           
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                           
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                           
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                           
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                           
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x00, ##  0000000000000000000000000000000000000000 
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x00, ##  0000000000000000000000000000000000000000 
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x00, ##  0000000000000000000000000000000000000000 
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x00, ##  0000000000000000000000000000000000000000 
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x00, ##  0000000000000000000000000000000000000000 
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x00, ##  0000000000000000000000000000000000000000 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0xFF, 0xFF, 0xFF, 0xFE, 0x00, ##  000000000000000000000000000000000000000  
            0xFF, 0xFF, 0xFF, 0xFF, 0xFE, 0x00, ##  000000000000000000000000000000000000000  
            0xFF, 0xFF, 0xFF, 0xFF, 0xFE, 0x00, ##  000000000000000000000000000000000000000  
            0xFF, 0xFF, 0xFF, 0xFF, 0xFE, 0x00, ##  000000000000000000000000000000000000000  
            0xFF, 0xFF, 0xFF, 0xFF, 0xFE, 0x00, ##  000000000000000000000000000000000000000  
            0xFF, 0xFF, 0xFF, 0xFF, 0xFE, 0x00, ##  000000000000000000000000000000000000000  
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x80, ##  00000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x80, ##  00000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x80, ##  00000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x80, ##  00000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x80, ##  00000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x80, ##  00000000000000000000000000000000000000000
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '202' => {    # 'Ê'
        'width'    => 41, 
        'xoffset'  => 9, 
        'xadvance' => 56, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x01, 0xFF, 0x00, 0x00, 0x00, ##                 000000000                 
            0x00, 0x03, 0xFF, 0x80, 0x00, 0x00, ##                00000000000                
            0x00, 0x07, 0xFF, 0xC0, 0x00, 0x00, ##               0000000000000               
            0x00, 0x07, 0xFF, 0xE0, 0x00, 0x00, ##               00000000000000              
            0x00, 0x0F, 0xEF, 0xF0, 0x00, 0x00, ##              0000000 00000000             
            0x00, 0x1F, 0xC7, 0xF0, 0x00, 0x00, ##             0000000   0000000             
            0x00, 0x3F, 0x83, 0xF8, 0x00, 0x00, ##            0000000     0000000            
            0x00, 0x7F, 0x01, 0xFC, 0x00, 0x00, ##           0000000       0000000           
            0x00, 0x7E, 0x00, 0xFE, 0x00, 0x00, ##           000000         0000000          
            0x00, 0xFC, 0x00, 0x7F, 0x00, 0x00, ##          000000           0000000         
            0x01, 0xF8, 0x00, 0x3F, 0x80, 0x00, ##         000000             0000000        
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                           
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                           
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                           
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                           
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                           
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                           
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                           
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x00, ##  0000000000000000000000000000000000000000 
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x00, ##  0000000000000000000000000000000000000000 
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x00, ##  0000000000000000000000000000000000000000 
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x00, ##  0000000000000000000000000000000000000000 
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x00, ##  0000000000000000000000000000000000000000 
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x00, ##  0000000000000000000000000000000000000000 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0xFF, 0xFF, 0xFF, 0xFE, 0x00, ##  000000000000000000000000000000000000000  
            0xFF, 0xFF, 0xFF, 0xFF, 0xFE, 0x00, ##  000000000000000000000000000000000000000  
            0xFF, 0xFF, 0xFF, 0xFF, 0xFE, 0x00, ##  000000000000000000000000000000000000000  
            0xFF, 0xFF, 0xFF, 0xFF, 0xFE, 0x00, ##  000000000000000000000000000000000000000  
            0xFF, 0xFF, 0xFF, 0xFF, 0xFE, 0x00, ##  000000000000000000000000000000000000000  
            0xFF, 0xFF, 0xFF, 0xFF, 0xFE, 0x00, ##  000000000000000000000000000000000000000  
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x80, ##  00000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x80, ##  00000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x80, ##  00000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x80, ##  00000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x80, ##  00000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x80, ##  00000000000000000000000000000000000000000
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '203' => {    # 'Ë'
        'width'    => 41, 
        'xoffset'  => 9, 
        'xadvance' => 56, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0xFF, 0x00, 0xFF, 0x00, 0x00, ##          00000000        00000000         
            0x00, 0xFF, 0x00, 0xFF, 0x00, 0x00, ##          00000000        00000000         
            0x00, 0xFF, 0x00, 0xFF, 0x00, 0x00, ##          00000000        00000000         
            0x00, 0xFF, 0x00, 0xFF, 0x00, 0x00, ##          00000000        00000000         
            0x00, 0xFF, 0x00, 0xFF, 0x00, 0x00, ##          00000000        00000000         
            0x00, 0xFF, 0x00, 0xFF, 0x00, 0x00, ##          00000000        00000000         
            0x00, 0xFF, 0x00, 0xFF, 0x00, 0x00, ##          00000000        00000000         
            0x00, 0xFF, 0x00, 0xFF, 0x00, 0x00, ##          00000000        00000000         
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                           
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                           
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                           
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                           
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                           
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                           
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                           
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                           
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                           
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x00, ##  0000000000000000000000000000000000000000 
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x00, ##  0000000000000000000000000000000000000000 
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x00, ##  0000000000000000000000000000000000000000 
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x00, ##  0000000000000000000000000000000000000000 
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x00, ##  0000000000000000000000000000000000000000 
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x00, ##  0000000000000000000000000000000000000000 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0xFF, 0xFF, 0xFF, 0xFE, 0x00, ##  000000000000000000000000000000000000000  
            0xFF, 0xFF, 0xFF, 0xFF, 0xFE, 0x00, ##  000000000000000000000000000000000000000  
            0xFF, 0xFF, 0xFF, 0xFF, 0xFE, 0x00, ##  000000000000000000000000000000000000000  
            0xFF, 0xFF, 0xFF, 0xFF, 0xFE, 0x00, ##  000000000000000000000000000000000000000  
            0xFF, 0xFF, 0xFF, 0xFF, 0xFE, 0x00, ##  000000000000000000000000000000000000000  
            0xFF, 0xFF, 0xFF, 0xFF, 0xFE, 0x00, ##  000000000000000000000000000000000000000  
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x80, ##  00000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x80, ##  00000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x80, ##  00000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x80, ##  00000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x80, ##  00000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x80, ##  00000000000000000000000000000000000000000
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '204' => {    # 'Ì'
        'width'    => 16, 
        'xoffset'  => 3, 
        'xadvance' => 26, 
        'bitmap'   => [ 
            0x00, 0x00, ##  
            0xFF, 0x00, ##  00000000        
            0x7F, 0x80, ##   00000000       
            0x3F, 0xC0, ##    00000000      
            0x1F, 0xC0, ##     0000000      
            0x0F, 0xE0, ##      0000000     
            0x07, 0xF0, ##       0000000    
            0x03, 0xF0, ##        000000    
            0x03, 0xF8, ##        0000000   
            0x01, 0xFC, ##         0000000  
            0x00, 0xFE, ##          0000000 
            0x00, 0x7E, ##           000000 
            0x00, 0x00, ##                  
            0x00, 0x00, ##                  
            0x00, 0x00, ##                  
            0x00, 0x00, ##                  
            0x00, 0x00, ##                  
            0x00, 0x00, ##                  
            0x03, 0xFC, ##        00000000  
            0x03, 0xFC, ##        00000000  
            0x03, 0xFC, ##        00000000  
            0x03, 0xFC, ##        00000000  
            0x03, 0xFC, ##        00000000  
            0x03, 0xFC, ##        00000000  
            0x03, 0xFC, ##        00000000  
            0x03, 0xFC, ##        00000000  
            0x03, 0xFC, ##        00000000  
            0x03, 0xFC, ##        00000000  
            0x03, 0xFC, ##        00000000  
            0x03, 0xFC, ##        00000000  
            0x03, 0xFC, ##        00000000  
            0x03, 0xFC, ##        00000000  
            0x03, 0xFC, ##        00000000  
            0x03, 0xFC, ##        00000000  
            0x03, 0xFC, ##        00000000  
            0x03, 0xFC, ##        00000000  
            0x03, 0xFC, ##        00000000  
            0x03, 0xFC, ##        00000000  
            0x03, 0xFC, ##        00000000  
            0x03, 0xFC, ##        00000000  
            0x03, 0xFC, ##        00000000  
            0x03, 0xFC, ##        00000000  
            0x03, 0xFC, ##        00000000  
            0x03, 0xFC, ##        00000000  
            0x03, 0xFC, ##        00000000  
            0x03, 0xFC, ##        00000000  
            0x03, 0xFC, ##        00000000  
            0x03, 0xFC, ##        00000000  
            0x03, 0xFC, ##        00000000  
            0x03, 0xFC, ##        00000000  
            0x03, 0xFC, ##        00000000  
            0x03, 0xFC, ##        00000000  
            0x03, 0xFC, ##        00000000  
            0x03, 0xFC, ##        00000000  
            0x03, 0xFC, ##        00000000  
            0x03, 0xFC, ##        00000000  
            0x03, 0xFC, ##        00000000  
            0x03, 0xFC, ##        00000000  
            0x03, 0xFC, ##        00000000  
            0x03, 0xFC, ##        00000000  
            0x03, 0xFC, ##        00000000  
            0x03, 0xFC, ##        00000000  
            0x03, 0xFC, ##        00000000  
            0x03, 0xFC, ##        00000000  
            0x03, 0xFC, ##        00000000  
            0x03, 0xFC, ##        00000000  
            0x03, 0xFC, ##        00000000  
            0x03, 0xFC, ##        00000000  
            0x03, 0xFC, ##        00000000  
            0x03, 0xFC, ##        00000000  
            0x03, 0xFC, ##        00000000  
            0x03, 0xFC, ##        00000000  
            0x03, 0xFC, ##        00000000  
            0x03, 0xFC, ##        00000000  
            0x03, 0xFC, ##        00000000  
            0x03, 0xFC, ##        00000000  
            0x03, 0xFC, ##        00000000  
            0x03, 0xFC, ##        00000000  
            0x03, 0xFC, ##        00000000  
            0x03, 0xFC, ##        00000000  
            0x03, 0xFC, ##        00000000  
            0x03, 0xFC, ##        00000000  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
        ], 
    }, 
    '205' => {    # 'Í'
        'width'    => 16, 
        'xoffset'  => 7, 
        'xadvance' => 26, 
        'bitmap'   => [ 
            0x00, 0x00, ##  
            0x00, 0xFF, ##          00000000
            0x01, 0xFE, ##         00000000 
            0x03, 0xFC, ##        00000000  
            0x03, 0xF8, ##        0000000   
            0x07, 0xF0, ##       0000000    
            0x0F, 0xE0, ##      0000000     
            0x0F, 0xC0, ##      000000      
            0x1F, 0xC0, ##     0000000      
            0x3F, 0x80, ##    0000000       
            0x7F, 0x00, ##   0000000        
            0x7E, 0x00, ##   000000         
            0x00, 0x00, ##                  
            0x00, 0x00, ##                  
            0x00, 0x00, ##                  
            0x00, 0x00, ##                  
            0x00, 0x00, ##                  
            0x00, 0x00, ##                  
            0x3F, 0xC0, ##    00000000      
            0x3F, 0xC0, ##    00000000      
            0x3F, 0xC0, ##    00000000      
            0x3F, 0xC0, ##    00000000      
            0x3F, 0xC0, ##    00000000      
            0x3F, 0xC0, ##    00000000      
            0x3F, 0xC0, ##    00000000      
            0x3F, 0xC0, ##    00000000      
            0x3F, 0xC0, ##    00000000      
            0x3F, 0xC0, ##    00000000      
            0x3F, 0xC0, ##    00000000      
            0x3F, 0xC0, ##    00000000      
            0x3F, 0xC0, ##    00000000      
            0x3F, 0xC0, ##    00000000      
            0x3F, 0xC0, ##    00000000      
            0x3F, 0xC0, ##    00000000      
            0x3F, 0xC0, ##    00000000      
            0x3F, 0xC0, ##    00000000      
            0x3F, 0xC0, ##    00000000      
            0x3F, 0xC0, ##    00000000      
            0x3F, 0xC0, ##    00000000      
            0x3F, 0xC0, ##    00000000      
            0x3F, 0xC0, ##    00000000      
            0x3F, 0xC0, ##    00000000      
            0x3F, 0xC0, ##    00000000      
            0x3F, 0xC0, ##    00000000      
            0x3F, 0xC0, ##    00000000      
            0x3F, 0xC0, ##    00000000      
            0x3F, 0xC0, ##    00000000      
            0x3F, 0xC0, ##    00000000      
            0x3F, 0xC0, ##    00000000      
            0x3F, 0xC0, ##    00000000      
            0x3F, 0xC0, ##    00000000      
            0x3F, 0xC0, ##    00000000      
            0x3F, 0xC0, ##    00000000      
            0x3F, 0xC0, ##    00000000      
            0x3F, 0xC0, ##    00000000      
            0x3F, 0xC0, ##    00000000      
            0x3F, 0xC0, ##    00000000      
            0x3F, 0xC0, ##    00000000      
            0x3F, 0xC0, ##    00000000      
            0x3F, 0xC0, ##    00000000      
            0x3F, 0xC0, ##    00000000      
            0x3F, 0xC0, ##    00000000      
            0x3F, 0xC0, ##    00000000      
            0x3F, 0xC0, ##    00000000      
            0x3F, 0xC0, ##    00000000      
            0x3F, 0xC0, ##    00000000      
            0x3F, 0xC0, ##    00000000      
            0x3F, 0xC0, ##    00000000      
            0x3F, 0xC0, ##    00000000      
            0x3F, 0xC0, ##    00000000      
            0x3F, 0xC0, ##    00000000      
            0x3F, 0xC0, ##    00000000      
            0x3F, 0xC0, ##    00000000      
            0x3F, 0xC0, ##    00000000      
            0x3F, 0xC0, ##    00000000      
            0x3F, 0xC0, ##    00000000      
            0x3F, 0xC0, ##    00000000      
            0x3F, 0xC0, ##    00000000      
            0x3F, 0xC0, ##    00000000      
            0x3F, 0xC0, ##    00000000      
            0x3F, 0xC0, ##    00000000      
            0x3F, 0xC0, ##    00000000      
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
        ], 
    }, 
    '206' => {    # 'Î'
        'width'    => 26, 
        'xoffset'  => 0, 
        'xadvance' => 26, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x7F, 0x80, 0x00, ##           00000000         
            0x00, 0xFF, 0xC0, 0x00, ##          0000000000        
            0x01, 0xFF, 0xE0, 0x00, ##         000000000000       
            0x03, 0xFF, 0xF0, 0x00, ##        00000000000000      
            0x03, 0xF3, 0xF0, 0x00, ##        000000  000000      
            0x07, 0xE1, 0xF8, 0x00, ##       000000    000000     
            0x0F, 0xC0, 0xFC, 0x00, ##      000000      000000    
            0x1F, 0xC0, 0x7E, 0x00, ##     0000000       000000   
            0x3F, 0x80, 0x3F, 0x00, ##    0000000         000000  
            0x3F, 0x00, 0x3F, 0x00, ##    000000          000000  
            0x7E, 0x00, 0x1F, 0x80, ##   000000            000000 
            0x00, 0x00, 0x00, 0x00, ##                            
            0x00, 0x00, 0x00, 0x00, ##                            
            0x00, 0x00, 0x00, 0x00, ##                            
            0x00, 0x00, 0x00, 0x00, ##                            
            0x00, 0x00, 0x00, 0x00, ##                            
            0x00, 0x00, 0x00, 0x00, ##                            
            0x00, 0x7F, 0x80, 0x00, ##           00000000         
            0x00, 0x7F, 0x80, 0x00, ##           00000000         
            0x00, 0x7F, 0x80, 0x00, ##           00000000         
            0x00, 0x7F, 0x80, 0x00, ##           00000000         
            0x00, 0x7F, 0x80, 0x00, ##           00000000         
            0x00, 0x7F, 0x80, 0x00, ##           00000000         
            0x00, 0x7F, 0x80, 0x00, ##           00000000         
            0x00, 0x7F, 0x80, 0x00, ##           00000000         
            0x00, 0x7F, 0x80, 0x00, ##           00000000         
            0x00, 0x7F, 0x80, 0x00, ##           00000000         
            0x00, 0x7F, 0x80, 0x00, ##           00000000         
            0x00, 0x7F, 0x80, 0x00, ##           00000000         
            0x00, 0x7F, 0x80, 0x00, ##           00000000         
            0x00, 0x7F, 0x80, 0x00, ##           00000000         
            0x00, 0x7F, 0x80, 0x00, ##           00000000         
            0x00, 0x7F, 0x80, 0x00, ##           00000000         
            0x00, 0x7F, 0x80, 0x00, ##           00000000         
            0x00, 0x7F, 0x80, 0x00, ##           00000000         
            0x00, 0x7F, 0x80, 0x00, ##           00000000         
            0x00, 0x7F, 0x80, 0x00, ##           00000000         
            0x00, 0x7F, 0x80, 0x00, ##           00000000         
            0x00, 0x7F, 0x80, 0x00, ##           00000000         
            0x00, 0x7F, 0x80, 0x00, ##           00000000         
            0x00, 0x7F, 0x80, 0x00, ##           00000000         
            0x00, 0x7F, 0x80, 0x00, ##           00000000         
            0x00, 0x7F, 0x80, 0x00, ##           00000000         
            0x00, 0x7F, 0x80, 0x00, ##           00000000         
            0x00, 0x7F, 0x80, 0x00, ##           00000000         
            0x00, 0x7F, 0x80, 0x00, ##           00000000         
            0x00, 0x7F, 0x80, 0x00, ##           00000000         
            0x00, 0x7F, 0x80, 0x00, ##           00000000         
            0x00, 0x7F, 0x80, 0x00, ##           00000000         
            0x00, 0x7F, 0x80, 0x00, ##           00000000         
            0x00, 0x7F, 0x80, 0x00, ##           00000000         
            0x00, 0x7F, 0x80, 0x00, ##           00000000         
            0x00, 0x7F, 0x80, 0x00, ##           00000000         
            0x00, 0x7F, 0x80, 0x00, ##           00000000         
            0x00, 0x7F, 0x80, 0x00, ##           00000000         
            0x00, 0x7F, 0x80, 0x00, ##           00000000         
            0x00, 0x7F, 0x80, 0x00, ##           00000000         
            0x00, 0x7F, 0x80, 0x00, ##           00000000         
            0x00, 0x7F, 0x80, 0x00, ##           00000000         
            0x00, 0x7F, 0x80, 0x00, ##           00000000         
            0x00, 0x7F, 0x80, 0x00, ##           00000000         
            0x00, 0x7F, 0x80, 0x00, ##           00000000         
            0x00, 0x7F, 0x80, 0x00, ##           00000000         
            0x00, 0x7F, 0x80, 0x00, ##           00000000         
            0x00, 0x7F, 0x80, 0x00, ##           00000000         
            0x00, 0x7F, 0x80, 0x00, ##           00000000         
            0x00, 0x7F, 0x80, 0x00, ##           00000000         
            0x00, 0x7F, 0x80, 0x00, ##           00000000         
            0x00, 0x7F, 0x80, 0x00, ##           00000000         
            0x00, 0x7F, 0x80, 0x00, ##           00000000         
            0x00, 0x7F, 0x80, 0x00, ##           00000000         
            0x00, 0x7F, 0x80, 0x00, ##           00000000         
            0x00, 0x7F, 0x80, 0x00, ##           00000000         
            0x00, 0x7F, 0x80, 0x00, ##           00000000         
            0x00, 0x7F, 0x80, 0x00, ##           00000000         
            0x00, 0x7F, 0x80, 0x00, ##           00000000         
            0x00, 0x7F, 0x80, 0x00, ##           00000000         
            0x00, 0x7F, 0x80, 0x00, ##           00000000         
            0x00, 0x7F, 0x80, 0x00, ##           00000000         
            0x00, 0x7F, 0x80, 0x00, ##           00000000         
            0x00, 0x7F, 0x80, 0x00, ##           00000000         
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '207' => {    # 'Ï'
        'width'    => 25, 
        'xoffset'  => 1, 
        'xadvance' => 27, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0xFF, 0x80, 0x7F, 0x80, ##  000000000        00000000
            0xFF, 0x80, 0x7F, 0x80, ##  000000000        00000000
            0xFF, 0x80, 0x7F, 0x80, ##  000000000        00000000
            0xFF, 0x80, 0x7F, 0x80, ##  000000000        00000000
            0xFF, 0x80, 0x7F, 0x80, ##  000000000        00000000
            0xFF, 0x80, 0x7F, 0x80, ##  000000000        00000000
            0xFF, 0x80, 0x7F, 0x80, ##  000000000        00000000
            0xFF, 0x80, 0x7F, 0x80, ##  000000000        00000000
            0x00, 0x00, 0x00, 0x00, ##                           
            0x00, 0x00, 0x00, 0x00, ##                           
            0x00, 0x00, 0x00, 0x00, ##                           
            0x00, 0x00, 0x00, 0x00, ##                           
            0x00, 0x00, 0x00, 0x00, ##                           
            0x00, 0x00, 0x00, 0x00, ##                           
            0x00, 0x00, 0x00, 0x00, ##                           
            0x00, 0x00, 0x00, 0x00, ##                           
            0x00, 0x7F, 0x80, 0x00, ##           00000000        
            0x00, 0x7F, 0x80, 0x00, ##           00000000        
            0x00, 0x7F, 0x80, 0x00, ##           00000000        
            0x00, 0x7F, 0x80, 0x00, ##           00000000        
            0x00, 0x7F, 0x80, 0x00, ##           00000000        
            0x00, 0x7F, 0x80, 0x00, ##           00000000        
            0x00, 0x7F, 0x80, 0x00, ##           00000000        
            0x00, 0x7F, 0x80, 0x00, ##           00000000        
            0x00, 0x7F, 0x80, 0x00, ##           00000000        
            0x00, 0x7F, 0x80, 0x00, ##           00000000        
            0x00, 0x7F, 0x80, 0x00, ##           00000000        
            0x00, 0x7F, 0x80, 0x00, ##           00000000        
            0x00, 0x7F, 0x80, 0x00, ##           00000000        
            0x00, 0x7F, 0x80, 0x00, ##           00000000        
            0x00, 0x7F, 0x80, 0x00, ##           00000000        
            0x00, 0x7F, 0x80, 0x00, ##           00000000        
            0x00, 0x7F, 0x80, 0x00, ##           00000000        
            0x00, 0x7F, 0x80, 0x00, ##           00000000        
            0x00, 0x7F, 0x80, 0x00, ##           00000000        
            0x00, 0x7F, 0x80, 0x00, ##           00000000        
            0x00, 0x7F, 0x80, 0x00, ##           00000000        
            0x00, 0x7F, 0x80, 0x00, ##           00000000        
            0x00, 0x7F, 0x80, 0x00, ##           00000000        
            0x00, 0x7F, 0x80, 0x00, ##           00000000        
            0x00, 0x7F, 0x80, 0x00, ##           00000000        
            0x00, 0x7F, 0x80, 0x00, ##           00000000        
            0x00, 0x7F, 0x80, 0x00, ##           00000000        
            0x00, 0x7F, 0x80, 0x00, ##           00000000        
            0x00, 0x7F, 0x80, 0x00, ##           00000000        
            0x00, 0x7F, 0x80, 0x00, ##           00000000        
            0x00, 0x7F, 0x80, 0x00, ##           00000000        
            0x00, 0x7F, 0x80, 0x00, ##           00000000        
            0x00, 0x7F, 0x80, 0x00, ##           00000000        
            0x00, 0x7F, 0x80, 0x00, ##           00000000        
            0x00, 0x7F, 0x80, 0x00, ##           00000000        
            0x00, 0x7F, 0x80, 0x00, ##           00000000        
            0x00, 0x7F, 0x80, 0x00, ##           00000000        
            0x00, 0x7F, 0x80, 0x00, ##           00000000        
            0x00, 0x7F, 0x80, 0x00, ##           00000000        
            0x00, 0x7F, 0x80, 0x00, ##           00000000        
            0x00, 0x7F, 0x80, 0x00, ##           00000000        
            0x00, 0x7F, 0x80, 0x00, ##           00000000        
            0x00, 0x7F, 0x80, 0x00, ##           00000000        
            0x00, 0x7F, 0x80, 0x00, ##           00000000        
            0x00, 0x7F, 0x80, 0x00, ##           00000000        
            0x00, 0x7F, 0x80, 0x00, ##           00000000        
            0x00, 0x7F, 0x80, 0x00, ##           00000000        
            0x00, 0x7F, 0x80, 0x00, ##           00000000        
            0x00, 0x7F, 0x80, 0x00, ##           00000000        
            0x00, 0x7F, 0x80, 0x00, ##           00000000        
            0x00, 0x7F, 0x80, 0x00, ##           00000000        
            0x00, 0x7F, 0x80, 0x00, ##           00000000        
            0x00, 0x7F, 0x80, 0x00, ##           00000000        
            0x00, 0x7F, 0x80, 0x00, ##           00000000        
            0x00, 0x7F, 0x80, 0x00, ##           00000000        
            0x00, 0x7F, 0x80, 0x00, ##           00000000        
            0x00, 0x7F, 0x80, 0x00, ##           00000000        
            0x00, 0x7F, 0x80, 0x00, ##           00000000        
            0x00, 0x7F, 0x80, 0x00, ##           00000000        
            0x00, 0x7F, 0x80, 0x00, ##           00000000        
            0x00, 0x7F, 0x80, 0x00, ##           00000000        
            0x00, 0x7F, 0x80, 0x00, ##           00000000        
            0x00, 0x7F, 0x80, 0x00, ##           00000000        
            0x00, 0x7F, 0x80, 0x00, ##           00000000        
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '208' => {    # 'Ð'
        'width'    => 62, 
        'xoffset'  => 1, 
        'xadvance' => 68, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x7F, 0xFF, 0xFF, 0xE0, 0x00, 0x00, 0x00, ##           00000000000000000000000000                           
            0x00, 0x7F, 0xFF, 0xFF, 0xFF, 0x80, 0x00, 0x00, ##           00000000000000000000000000000000                     
            0x00, 0x7F, 0xFF, 0xFF, 0xFF, 0xF0, 0x00, 0x00, ##           00000000000000000000000000000000000                  
            0x00, 0x7F, 0xFF, 0xFF, 0xFF, 0xFE, 0x00, 0x00, ##           00000000000000000000000000000000000000               
            0x00, 0x7F, 0xFF, 0xFF, 0xFF, 0xFF, 0x80, 0x00, ##           0000000000000000000000000000000000000000             
            0x00, 0x7F, 0xFF, 0xFF, 0xFF, 0xFF, 0xE0, 0x00, ##           000000000000000000000000000000000000000000           
            0x00, 0x7F, 0x80, 0x00, 0x3F, 0xFF, 0xF0, 0x00, ##           00000000                 000000000000000000          
            0x00, 0x7F, 0x80, 0x00, 0x01, 0xFF, 0xF8, 0x00, ##           00000000                      00000000000000         
            0x00, 0x7F, 0x80, 0x00, 0x00, 0x7F, 0xFC, 0x00, ##           00000000                        0000000000000        
            0x00, 0x7F, 0x80, 0x00, 0x00, 0x1F, 0xFE, 0x00, ##           00000000                          000000000000       
            0x00, 0x7F, 0x80, 0x00, 0x00, 0x07, 0xFF, 0x00, ##           00000000                            00000000000      
            0x00, 0x7F, 0x80, 0x00, 0x00, 0x03, 0xFF, 0x80, ##           00000000                             00000000000     
            0x00, 0x7F, 0x80, 0x00, 0x00, 0x01, 0xFF, 0x80, ##           00000000                              0000000000     
            0x00, 0x7F, 0x80, 0x00, 0x00, 0x00, 0xFF, 0xC0, ##           00000000                               0000000000    
            0x00, 0x7F, 0x80, 0x00, 0x00, 0x00, 0x7F, 0xE0, ##           00000000                                0000000000   
            0x00, 0x7F, 0x80, 0x00, 0x00, 0x00, 0x7F, 0xE0, ##           00000000                                0000000000   
            0x00, 0x7F, 0x80, 0x00, 0x00, 0x00, 0x3F, 0xE0, ##           00000000                                 000000000   
            0x00, 0x7F, 0x80, 0x00, 0x00, 0x00, 0x3F, 0xF0, ##           00000000                                 0000000000  
            0x00, 0x7F, 0x80, 0x00, 0x00, 0x00, 0x1F, 0xF0, ##           00000000                                  000000000  
            0x00, 0x7F, 0x80, 0x00, 0x00, 0x00, 0x1F, 0xF0, ##           00000000                                  000000000  
            0x00, 0x7F, 0x80, 0x00, 0x00, 0x00, 0x0F, 0xF8, ##           00000000                                   000000000 
            0x00, 0x7F, 0x80, 0x00, 0x00, 0x00, 0x0F, 0xF8, ##           00000000                                   000000000 
            0x00, 0x7F, 0x80, 0x00, 0x00, 0x00, 0x0F, 0xF8, ##           00000000                                   000000000 
            0x00, 0x7F, 0x80, 0x00, 0x00, 0x00, 0x0F, 0xF8, ##           00000000                                   000000000 
            0x00, 0x7F, 0x80, 0x00, 0x00, 0x00, 0x0F, 0xFC, ##           00000000                                   0000000000
            0x00, 0x7F, 0x80, 0x00, 0x00, 0x00, 0x07, 0xFC, ##           00000000                                    000000000
            0x00, 0x7F, 0x80, 0x00, 0x00, 0x00, 0x07, 0xFC, ##           00000000                                    000000000
            0xFF, 0xFF, 0xFF, 0xFE, 0x00, 0x00, 0x07, 0xFC, ##  0000000000000000000000000000000                      000000000
            0xFF, 0xFF, 0xFF, 0xFE, 0x00, 0x00, 0x07, 0xFC, ##  0000000000000000000000000000000                      000000000
            0xFF, 0xFF, 0xFF, 0xFE, 0x00, 0x00, 0x07, 0xFC, ##  0000000000000000000000000000000                      000000000
            0xFF, 0xFF, 0xFF, 0xFE, 0x00, 0x00, 0x07, 0xFC, ##  0000000000000000000000000000000                      000000000
            0xFF, 0xFF, 0xFF, 0xFE, 0x00, 0x00, 0x07, 0xFC, ##  0000000000000000000000000000000                      000000000
            0xFF, 0xFF, 0xFF, 0xFE, 0x00, 0x00, 0x07, 0xFC, ##  0000000000000000000000000000000                      000000000
            0x00, 0x7F, 0x80, 0x00, 0x00, 0x00, 0x07, 0xFC, ##           00000000                                    000000000
            0x00, 0x7F, 0x80, 0x00, 0x00, 0x00, 0x07, 0xFC, ##           00000000                                    000000000
            0x00, 0x7F, 0x80, 0x00, 0x00, 0x00, 0x07, 0xFC, ##           00000000                                    000000000
            0x00, 0x7F, 0x80, 0x00, 0x00, 0x00, 0x07, 0xFC, ##           00000000                                    000000000
            0x00, 0x7F, 0x80, 0x00, 0x00, 0x00, 0x07, 0xFC, ##           00000000                                    000000000
            0x00, 0x7F, 0x80, 0x00, 0x00, 0x00, 0x0F, 0xFC, ##           00000000                                   0000000000
            0x00, 0x7F, 0x80, 0x00, 0x00, 0x00, 0x0F, 0xF8, ##           00000000                                   000000000 
            0x00, 0x7F, 0x80, 0x00, 0x00, 0x00, 0x0F, 0xF8, ##           00000000                                   000000000 
            0x00, 0x7F, 0x80, 0x00, 0x00, 0x00, 0x0F, 0xF8, ##           00000000                                   000000000 
            0x00, 0x7F, 0x80, 0x00, 0x00, 0x00, 0x0F, 0xF8, ##           00000000                                   000000000 
            0x00, 0x7F, 0x80, 0x00, 0x00, 0x00, 0x1F, 0xF8, ##           00000000                                  0000000000 
            0x00, 0x7F, 0x80, 0x00, 0x00, 0x00, 0x1F, 0xF0, ##           00000000                                  000000000  
            0x00, 0x7F, 0x80, 0x00, 0x00, 0x00, 0x3F, 0xF0, ##           00000000                                 0000000000  
            0x00, 0x7F, 0x80, 0x00, 0x00, 0x00, 0x3F, 0xE0, ##           00000000                                 000000000   
            0x00, 0x7F, 0x80, 0x00, 0x00, 0x00, 0x7F, 0xE0, ##           00000000                                0000000000   
            0x00, 0x7F, 0x80, 0x00, 0x00, 0x00, 0x7F, 0xE0, ##           00000000                                0000000000   
            0x00, 0x7F, 0x80, 0x00, 0x00, 0x00, 0xFF, 0xC0, ##           00000000                               0000000000    
            0x00, 0x7F, 0x80, 0x00, 0x00, 0x01, 0xFF, 0x80, ##           00000000                              0000000000     
            0x00, 0x7F, 0x80, 0x00, 0x00, 0x03, 0xFF, 0x80, ##           00000000                             00000000000     
            0x00, 0x7F, 0x80, 0x00, 0x00, 0x07, 0xFF, 0x00, ##           00000000                            00000000000      
            0x00, 0x7F, 0x80, 0x00, 0x00, 0x1F, 0xFE, 0x00, ##           00000000                          000000000000       
            0x00, 0x7F, 0x80, 0x00, 0x00, 0x7F, 0xFC, 0x00, ##           00000000                        0000000000000        
            0x00, 0x7F, 0x80, 0x00, 0x01, 0xFF, 0xF8, 0x00, ##           00000000                      00000000000000         
            0x00, 0x7F, 0x80, 0x00, 0x3F, 0xFF, 0xF0, 0x00, ##           00000000                 000000000000000000          
            0x00, 0x7F, 0xFF, 0xFF, 0xFF, 0xFF, 0xE0, 0x00, ##           000000000000000000000000000000000000000000           
            0x00, 0x7F, 0xFF, 0xFF, 0xFF, 0xFF, 0x80, 0x00, ##           0000000000000000000000000000000000000000             
            0x00, 0x7F, 0xFF, 0xFF, 0xFF, 0xFE, 0x00, 0x00, ##           00000000000000000000000000000000000000               
            0x00, 0x7F, 0xFF, 0xFF, 0xFF, 0xF0, 0x00, 0x00, ##           00000000000000000000000000000000000                  
            0x00, 0x7F, 0xFF, 0xFF, 0xFF, 0x80, 0x00, 0x00, ##           00000000000000000000000000000000                     
            0x00, 0x7F, 0xFF, 0xFF, 0xE0, 0x00, 0x00, 0x00, ##           00000000000000000000000000                           
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '209' => {    # 'Ñ'
        'width'    => 48, 
        'xoffset'  => 9, 
        'xadvance' => 66, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x01, 0xF8, 0x00, 0x7C, 0x00, ##                 000000            00000          
            0x00, 0x07, 0xFE, 0x00, 0x7C, 0x00, ##               0000000000          00000          
            0x00, 0x0F, 0xFF, 0x80, 0x7C, 0x00, ##              0000000000000        00000          
            0x00, 0x0F, 0xFF, 0xC0, 0xFC, 0x00, ##              00000000000000      000000          
            0x00, 0x1F, 0xFF, 0xF1, 0xF8, 0x00, ##             00000000000000000   000000           
            0x00, 0x1F, 0x8F, 0xFF, 0xF8, 0x00, ##             000000   00000000000000000           
            0x00, 0x3F, 0x03, 0xFF, 0xF0, 0x00, ##            000000      00000000000000            
            0x00, 0x3E, 0x01, 0xFF, 0xF0, 0x00, ##            00000        0000000000000            
            0x00, 0x3E, 0x00, 0x7F, 0xE0, 0x00, ##            00000          0000000000             
            0x00, 0x3E, 0x00, 0x1F, 0x80, 0x00, ##            00000            000000               
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                  
            0xFF, 0xF0, 0x00, 0x00, 0x00, 0xFF, ##  000000000000                            00000000
            0xFF, 0xF0, 0x00, 0x00, 0x00, 0xFF, ##  000000000000                            00000000
            0xFF, 0xF8, 0x00, 0x00, 0x00, 0xFF, ##  0000000000000                           00000000
            0xFF, 0xF8, 0x00, 0x00, 0x00, 0xFF, ##  0000000000000                           00000000
            0xFF, 0xFC, 0x00, 0x00, 0x00, 0xFF, ##  00000000000000                          00000000
            0xFF, 0xFC, 0x00, 0x00, 0x00, 0xFF, ##  00000000000000                          00000000
            0xFF, 0xFE, 0x00, 0x00, 0x00, 0xFF, ##  000000000000000                         00000000
            0xFF, 0xFE, 0x00, 0x00, 0x00, 0xFF, ##  000000000000000                         00000000
            0xFF, 0xFF, 0x00, 0x00, 0x00, 0xFF, ##  0000000000000000                        00000000
            0xFF, 0xFF, 0x80, 0x00, 0x00, 0xFF, ##  00000000000000000                       00000000
            0xFF, 0xFF, 0x80, 0x00, 0x00, 0xFF, ##  00000000000000000                       00000000
            0xFF, 0x7F, 0xC0, 0x00, 0x00, 0xFF, ##  00000000 000000000                      00000000
            0xFF, 0x7F, 0xC0, 0x00, 0x00, 0xFF, ##  00000000 000000000                      00000000
            0xFF, 0x3F, 0xE0, 0x00, 0x00, 0xFF, ##  00000000  000000000                     00000000
            0xFF, 0x3F, 0xE0, 0x00, 0x00, 0xFF, ##  00000000  000000000                     00000000
            0xFF, 0x1F, 0xF0, 0x00, 0x00, 0xFF, ##  00000000   000000000                    00000000
            0xFF, 0x1F, 0xF0, 0x00, 0x00, 0xFF, ##  00000000   000000000                    00000000
            0xFF, 0x0F, 0xF8, 0x00, 0x00, 0xFF, ##  00000000    000000000                   00000000
            0xFF, 0x0F, 0xF8, 0x00, 0x00, 0xFF, ##  00000000    000000000                   00000000
            0xFF, 0x07, 0xFC, 0x00, 0x00, 0xFF, ##  00000000     000000000                  00000000
            0xFF, 0x07, 0xFC, 0x00, 0x00, 0xFF, ##  00000000     000000000                  00000000
            0xFF, 0x03, 0xFE, 0x00, 0x00, 0xFF, ##  00000000      000000000                 00000000
            0xFF, 0x03, 0xFE, 0x00, 0x00, 0xFF, ##  00000000      000000000                 00000000
            0xFF, 0x01, 0xFF, 0x00, 0x00, 0xFF, ##  00000000       000000000                00000000
            0xFF, 0x01, 0xFF, 0x80, 0x00, 0xFF, ##  00000000       0000000000               00000000
            0xFF, 0x00, 0xFF, 0x80, 0x00, 0xFF, ##  00000000        000000000               00000000
            0xFF, 0x00, 0x7F, 0xC0, 0x00, 0xFF, ##  00000000         000000000              00000000
            0xFF, 0x00, 0x7F, 0xC0, 0x00, 0xFF, ##  00000000         000000000              00000000
            0xFF, 0x00, 0x3F, 0xE0, 0x00, 0xFF, ##  00000000          000000000             00000000
            0xFF, 0x00, 0x3F, 0xE0, 0x00, 0xFF, ##  00000000          000000000             00000000
            0xFF, 0x00, 0x1F, 0xF0, 0x00, 0xFF, ##  00000000           000000000            00000000
            0xFF, 0x00, 0x1F, 0xF0, 0x00, 0xFF, ##  00000000           000000000            00000000
            0xFF, 0x00, 0x0F, 0xF8, 0x00, 0xFF, ##  00000000            000000000           00000000
            0xFF, 0x00, 0x0F, 0xF8, 0x00, 0xFF, ##  00000000            000000000           00000000
            0xFF, 0x00, 0x07, 0xFC, 0x00, 0xFF, ##  00000000             000000000          00000000
            0xFF, 0x00, 0x07, 0xFC, 0x00, 0xFF, ##  00000000             000000000          00000000
            0xFF, 0x00, 0x03, 0xFE, 0x00, 0xFF, ##  00000000              000000000         00000000
            0xFF, 0x00, 0x03, 0xFE, 0x00, 0xFF, ##  00000000              000000000         00000000
            0xFF, 0x00, 0x01, 0xFF, 0x00, 0xFF, ##  00000000               000000000        00000000
            0xFF, 0x00, 0x01, 0xFF, 0x80, 0xFF, ##  00000000               0000000000       00000000
            0xFF, 0x00, 0x00, 0xFF, 0x80, 0xFF, ##  00000000                000000000       00000000
            0xFF, 0x00, 0x00, 0x7F, 0xC0, 0xFF, ##  00000000                 000000000      00000000
            0xFF, 0x00, 0x00, 0x7F, 0xC0, 0xFF, ##  00000000                 000000000      00000000
            0xFF, 0x00, 0x00, 0x3F, 0xE0, 0xFF, ##  00000000                  000000000     00000000
            0xFF, 0x00, 0x00, 0x3F, 0xE0, 0xFF, ##  00000000                  000000000     00000000
            0xFF, 0x00, 0x00, 0x1F, 0xF0, 0xFF, ##  00000000                   000000000    00000000
            0xFF, 0x00, 0x00, 0x1F, 0xF0, 0xFF, ##  00000000                   000000000    00000000
            0xFF, 0x00, 0x00, 0x0F, 0xF8, 0xFF, ##  00000000                    000000000   00000000
            0xFF, 0x00, 0x00, 0x0F, 0xF8, 0xFF, ##  00000000                    000000000   00000000
            0xFF, 0x00, 0x00, 0x07, 0xFC, 0xFF, ##  00000000                     000000000  00000000
            0xFF, 0x00, 0x00, 0x07, 0xFC, 0xFF, ##  00000000                     000000000  00000000
            0xFF, 0x00, 0x00, 0x03, 0xFE, 0xFF, ##  00000000                      000000000 00000000
            0xFF, 0x00, 0x00, 0x03, 0xFE, 0xFF, ##  00000000                      000000000 00000000
            0xFF, 0x00, 0x00, 0x01, 0xFF, 0xFF, ##  00000000                       00000000000000000
            0xFF, 0x00, 0x00, 0x01, 0xFF, 0xFF, ##  00000000                       00000000000000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, 0xFF, ##  00000000                        0000000000000000
            0xFF, 0x00, 0x00, 0x00, 0x7F, 0xFF, ##  00000000                         000000000000000
            0xFF, 0x00, 0x00, 0x00, 0x7F, 0xFF, ##  00000000                         000000000000000
            0xFF, 0x00, 0x00, 0x00, 0x3F, 0xFF, ##  00000000                          00000000000000
            0xFF, 0x00, 0x00, 0x00, 0x3F, 0xFF, ##  00000000                          00000000000000
            0xFF, 0x00, 0x00, 0x00, 0x1F, 0xFF, ##  00000000                           0000000000000
            0xFF, 0x00, 0x00, 0x00, 0x1F, 0xFF, ##  00000000                           0000000000000
            0xFF, 0x00, 0x00, 0x00, 0x0F, 0xFF, ##  00000000                            000000000000
            0xFF, 0x00, 0x00, 0x00, 0x0F, 0xFF, ##  00000000                            000000000000
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '210' => {    # 'Ò'
        'width'    => 59, 
        'xoffset'  => 5, 
        'xadvance' => 69, 
        'bitmap'   => [ 
            0x00, 0x00, 0x1F, 0xE0, 0x00, 0x00, 0x00, 0x00, ##                     00000000                                
            0x00, 0x00, 0x0F, 0xF0, 0x00, 0x00, 0x00, 0x00, ##                      00000000                               
            0x00, 0x00, 0x07, 0xF8, 0x00, 0x00, 0x00, 0x00, ##                       00000000                              
            0x00, 0x00, 0x03, 0xF8, 0x00, 0x00, 0x00, 0x00, ##                        0000000                              
            0x00, 0x00, 0x01, 0xFC, 0x00, 0x00, 0x00, 0x00, ##                         0000000                             
            0x00, 0x00, 0x01, 0xFE, 0x00, 0x00, 0x00, 0x00, ##                         00000000                            
            0x00, 0x00, 0x00, 0xFE, 0x00, 0x00, 0x00, 0x00, ##                          0000000                            
            0x00, 0x00, 0x00, 0x7F, 0x00, 0x00, 0x00, 0x00, ##                           0000000                           
            0x00, 0x00, 0x00, 0x3F, 0x80, 0x00, 0x00, 0x00, ##                            0000000                          
            0x00, 0x00, 0x00, 0x1F, 0xC0, 0x00, 0x00, 0x00, ##                             0000000                         
            0x00, 0x00, 0x00, 0x0F, 0xC0, 0x00, 0x00, 0x00, ##                              000000                         
            0x00, 0x00, 0x00, 0x07, 0xE0, 0x00, 0x00, 0x00, ##                               000000                        
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                             
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                             
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                             
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                             
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                             
            0x00, 0x00, 0x00, 0xFF, 0xE0, 0x00, 0x00, 0x00, ##                          00000000000                        
            0x00, 0x00, 0x1F, 0xFF, 0xFF, 0x00, 0x00, 0x00, ##                     000000000000000000000                   
            0x00, 0x00, 0x7F, 0xFF, 0xFF, 0xC0, 0x00, 0x00, ##                   0000000000000000000000000                 
            0x00, 0x01, 0xFF, 0xFF, 0xFF, 0xF0, 0x00, 0x00, ##                 00000000000000000000000000000               
            0x00, 0x07, 0xFF, 0xFF, 0xFF, 0xFC, 0x00, 0x00, ##               000000000000000000000000000000000             
            0x00, 0x0F, 0xFF, 0xFF, 0xFF, 0xFE, 0x00, 0x00, ##              00000000000000000000000000000000000            
            0x00, 0x1F, 0xFF, 0x80, 0x3F, 0xFF, 0x00, 0x00, ##             00000000000000         00000000000000           
            0x00, 0x7F, 0xFC, 0x00, 0x07, 0xFF, 0x80, 0x00, ##           0000000000000               000000000000          
            0x00, 0xFF, 0xF0, 0x00, 0x01, 0xFF, 0xC0, 0x00, ##          000000000000                   00000000000         
            0x00, 0xFF, 0xC0, 0x00, 0x00, 0x7F, 0xE0, 0x00, ##          0000000000                       0000000000        
            0x01, 0xFF, 0x80, 0x00, 0x00, 0x3F, 0xF0, 0x00, ##         0000000000                         0000000000       
            0x03, 0xFF, 0x00, 0x00, 0x00, 0x1F, 0xF8, 0x00, ##        0000000000                           0000000000      
            0x07, 0xFE, 0x00, 0x00, 0x00, 0x0F, 0xFC, 0x00, ##       0000000000                             0000000000     
            0x07, 0xFC, 0x00, 0x00, 0x00, 0x07, 0xFC, 0x00, ##       000000000                               000000000     
            0x0F, 0xFC, 0x00, 0x00, 0x00, 0x07, 0xFE, 0x00, ##      0000000000                               0000000000    
            0x0F, 0xF8, 0x00, 0x00, 0x00, 0x03, 0xFE, 0x00, ##      000000000                                 000000000    
            0x1F, 0xF0, 0x00, 0x00, 0x00, 0x03, 0xFF, 0x00, ##     000000000                                  0000000000   
            0x1F, 0xF0, 0x00, 0x00, 0x00, 0x01, 0xFF, 0x00, ##     000000000                                   000000000   
            0x3F, 0xF0, 0x00, 0x00, 0x00, 0x01, 0xFF, 0x80, ##    0000000000                                   0000000000  
            0x3F, 0xE0, 0x00, 0x00, 0x00, 0x00, 0xFF, 0x80, ##    000000000                                     000000000  
            0x3F, 0xE0, 0x00, 0x00, 0x00, 0x00, 0xFF, 0x80, ##    000000000                                     000000000  
            0x7F, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x7F, 0xC0, ##   000000000                                       000000000 
            0x7F, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x7F, 0xC0, ##   000000000                                       000000000 
            0x7F, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x7F, 0xC0, ##   000000000                                       000000000 
            0x7F, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x7F, 0xC0, ##   000000000                                       000000000 
            0x7F, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x7F, 0xC0, ##   000000000                                       000000000 
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x3F, 0xE0, ##  000000000                                         000000000
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x3F, 0xE0, ##  000000000                                         000000000
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x3F, 0xE0, ##  000000000                                         000000000
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x3F, 0xE0, ##  000000000                                         000000000
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x3F, 0xE0, ##  000000000                                         000000000
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x3F, 0xE0, ##  000000000                                         000000000
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x3F, 0xE0, ##  000000000                                         000000000
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x3F, 0xE0, ##  000000000                                         000000000
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x3F, 0xE0, ##  000000000                                         000000000
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x3F, 0xE0, ##  000000000                                         000000000
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x3F, 0xE0, ##  000000000                                         000000000
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x3F, 0xE0, ##  000000000                                         000000000
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x3F, 0xE0, ##  000000000                                         000000000
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x3F, 0xE0, ##  000000000                                         000000000
            0x7F, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x7F, 0xC0, ##   000000000                                       000000000 
            0x7F, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x7F, 0xC0, ##   000000000                                       000000000 
            0x7F, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x7F, 0xC0, ##   000000000                                       000000000 
            0x7F, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x7F, 0xC0, ##   000000000                                       000000000 
            0x7F, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x7F, 0xC0, ##   000000000                                       000000000 
            0x3F, 0xE0, 0x00, 0x00, 0x00, 0x00, 0xFF, 0x80, ##    000000000                                     000000000  
            0x3F, 0xE0, 0x00, 0x00, 0x00, 0x00, 0xFF, 0x80, ##    000000000                                     000000000  
            0x3F, 0xE0, 0x00, 0x00, 0x00, 0x01, 0xFF, 0x80, ##    000000000                                    0000000000  
            0x1F, 0xF0, 0x00, 0x00, 0x00, 0x01, 0xFF, 0x00, ##     000000000                                   000000000   
            0x1F, 0xF0, 0x00, 0x00, 0x00, 0x01, 0xFF, 0x00, ##     000000000                                   000000000   
            0x0F, 0xF8, 0x00, 0x00, 0x00, 0x03, 0xFE, 0x00, ##      000000000                                 000000000    
            0x0F, 0xFC, 0x00, 0x00, 0x00, 0x07, 0xFE, 0x00, ##      0000000000                               0000000000    
            0x07, 0xFC, 0x00, 0x00, 0x00, 0x07, 0xFC, 0x00, ##       000000000                               000000000     
            0x07, 0xFE, 0x00, 0x00, 0x00, 0x0F, 0xFC, 0x00, ##       0000000000                             0000000000     
            0x03, 0xFF, 0x00, 0x00, 0x00, 0x1F, 0xF8, 0x00, ##        0000000000                           0000000000      
            0x01, 0xFF, 0x80, 0x00, 0x00, 0x3F, 0xF0, 0x00, ##         0000000000                         0000000000       
            0x00, 0xFF, 0xC0, 0x00, 0x00, 0x7F, 0xE0, 0x00, ##          0000000000                       0000000000        
            0x00, 0xFF, 0xF0, 0x00, 0x01, 0xFF, 0xE0, 0x00, ##          000000000000                   000000000000        
            0x00, 0x7F, 0xFC, 0x00, 0x07, 0xFF, 0xC0, 0x00, ##           0000000000000               0000000000000         
            0x00, 0x3F, 0xFF, 0x80, 0x3F, 0xFF, 0x00, 0x00, ##            000000000000000         00000000000000           
            0x00, 0x0F, 0xFF, 0xFF, 0xFF, 0xFE, 0x00, 0x00, ##              00000000000000000000000000000000000            
            0x00, 0x07, 0xFF, 0xFF, 0xFF, 0xFC, 0x00, 0x00, ##               000000000000000000000000000000000             
            0x00, 0x01, 0xFF, 0xFF, 0xFF, 0xF0, 0x00, 0x00, ##                 00000000000000000000000000000               
            0x00, 0x00, 0x7F, 0xFF, 0xFF, 0xC0, 0x00, 0x00, ##                   0000000000000000000000000                 
            0x00, 0x00, 0x1F, 0xFF, 0xFF, 0x00, 0x00, 0x00, ##                     000000000000000000000                   
            0x00, 0x00, 0x01, 0xFF, 0xF0, 0x00, 0x00, 0x00, ##                         0000000000000                       
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '211' => {    # 'Ó'
        'width'    => 59, 
        'xoffset'  => 5, 
        'xadvance' => 69, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0xFF, 0x00, 0x00, 0x00, ##                                  00000000                   
            0x00, 0x00, 0x00, 0x01, 0xFE, 0x00, 0x00, 0x00, ##                                 00000000                    
            0x00, 0x00, 0x00, 0x03, 0xFC, 0x00, 0x00, 0x00, ##                                00000000                     
            0x00, 0x00, 0x00, 0x03, 0xF8, 0x00, 0x00, 0x00, ##                                0000000                      
            0x00, 0x00, 0x00, 0x07, 0xF0, 0x00, 0x00, 0x00, ##                               0000000                       
            0x00, 0x00, 0x00, 0x0F, 0xF0, 0x00, 0x00, 0x00, ##                              00000000                       
            0x00, 0x00, 0x00, 0x1F, 0xE0, 0x00, 0x00, 0x00, ##                             00000000                        
            0x00, 0x00, 0x00, 0x1F, 0xC0, 0x00, 0x00, 0x00, ##                             0000000                         
            0x00, 0x00, 0x00, 0x3F, 0x80, 0x00, 0x00, 0x00, ##                            0000000                          
            0x00, 0x00, 0x00, 0x7F, 0x00, 0x00, 0x00, 0x00, ##                           0000000                           
            0x00, 0x00, 0x00, 0x7E, 0x00, 0x00, 0x00, 0x00, ##                           000000                            
            0x00, 0x00, 0x00, 0xFE, 0x00, 0x00, 0x00, 0x00, ##                          0000000                            
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                             
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                             
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                             
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                             
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                             
            0x00, 0x00, 0x00, 0xFF, 0xE0, 0x00, 0x00, 0x00, ##                          00000000000                        
            0x00, 0x00, 0x1F, 0xFF, 0xFF, 0x00, 0x00, 0x00, ##                     000000000000000000000                   
            0x00, 0x00, 0x7F, 0xFF, 0xFF, 0xC0, 0x00, 0x00, ##                   0000000000000000000000000                 
            0x00, 0x01, 0xFF, 0xFF, 0xFF, 0xF0, 0x00, 0x00, ##                 00000000000000000000000000000               
            0x00, 0x07, 0xFF, 0xFF, 0xFF, 0xFC, 0x00, 0x00, ##               000000000000000000000000000000000             
            0x00, 0x0F, 0xFF, 0xFF, 0xFF, 0xFE, 0x00, 0x00, ##              00000000000000000000000000000000000            
            0x00, 0x1F, 0xFF, 0x80, 0x3F, 0xFF, 0x00, 0x00, ##             00000000000000         00000000000000           
            0x00, 0x7F, 0xFC, 0x00, 0x07, 0xFF, 0x80, 0x00, ##           0000000000000               000000000000          
            0x00, 0xFF, 0xF0, 0x00, 0x01, 0xFF, 0xC0, 0x00, ##          000000000000                   00000000000         
            0x00, 0xFF, 0xC0, 0x00, 0x00, 0x7F, 0xE0, 0x00, ##          0000000000                       0000000000        
            0x01, 0xFF, 0x80, 0x00, 0x00, 0x3F, 0xF0, 0x00, ##         0000000000                         0000000000       
            0x03, 0xFF, 0x00, 0x00, 0x00, 0x1F, 0xF8, 0x00, ##        0000000000                           0000000000      
            0x07, 0xFE, 0x00, 0x00, 0x00, 0x0F, 0xFC, 0x00, ##       0000000000                             0000000000     
            0x07, 0xFC, 0x00, 0x00, 0x00, 0x07, 0xFC, 0x00, ##       000000000                               000000000     
            0x0F, 0xFC, 0x00, 0x00, 0x00, 0x07, 0xFE, 0x00, ##      0000000000                               0000000000    
            0x0F, 0xF8, 0x00, 0x00, 0x00, 0x03, 0xFE, 0x00, ##      000000000                                 000000000    
            0x1F, 0xF0, 0x00, 0x00, 0x00, 0x03, 0xFF, 0x00, ##     000000000                                  0000000000   
            0x1F, 0xF0, 0x00, 0x00, 0x00, 0x01, 0xFF, 0x00, ##     000000000                                   000000000   
            0x3F, 0xF0, 0x00, 0x00, 0x00, 0x01, 0xFF, 0x80, ##    0000000000                                   0000000000  
            0x3F, 0xE0, 0x00, 0x00, 0x00, 0x00, 0xFF, 0x80, ##    000000000                                     000000000  
            0x3F, 0xE0, 0x00, 0x00, 0x00, 0x00, 0xFF, 0x80, ##    000000000                                     000000000  
            0x7F, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x7F, 0xC0, ##   000000000                                       000000000 
            0x7F, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x7F, 0xC0, ##   000000000                                       000000000 
            0x7F, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x7F, 0xC0, ##   000000000                                       000000000 
            0x7F, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x7F, 0xC0, ##   000000000                                       000000000 
            0x7F, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x7F, 0xC0, ##   000000000                                       000000000 
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x3F, 0xE0, ##  000000000                                         000000000
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x3F, 0xE0, ##  000000000                                         000000000
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x3F, 0xE0, ##  000000000                                         000000000
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x3F, 0xE0, ##  000000000                                         000000000
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x3F, 0xE0, ##  000000000                                         000000000
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x3F, 0xE0, ##  000000000                                         000000000
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x3F, 0xE0, ##  000000000                                         000000000
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x3F, 0xE0, ##  000000000                                         000000000
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x3F, 0xE0, ##  000000000                                         000000000
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x3F, 0xE0, ##  000000000                                         000000000
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x3F, 0xE0, ##  000000000                                         000000000
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x3F, 0xE0, ##  000000000                                         000000000
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x3F, 0xE0, ##  000000000                                         000000000
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x3F, 0xE0, ##  000000000                                         000000000
            0x7F, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x7F, 0xC0, ##   000000000                                       000000000 
            0x7F, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x7F, 0xC0, ##   000000000                                       000000000 
            0x7F, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x7F, 0xC0, ##   000000000                                       000000000 
            0x7F, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x7F, 0xC0, ##   000000000                                       000000000 
            0x7F, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x7F, 0xC0, ##   000000000                                       000000000 
            0x3F, 0xE0, 0x00, 0x00, 0x00, 0x00, 0xFF, 0x80, ##    000000000                                     000000000  
            0x3F, 0xE0, 0x00, 0x00, 0x00, 0x00, 0xFF, 0x80, ##    000000000                                     000000000  
            0x3F, 0xE0, 0x00, 0x00, 0x00, 0x01, 0xFF, 0x80, ##    000000000                                    0000000000  
            0x1F, 0xF0, 0x00, 0x00, 0x00, 0x01, 0xFF, 0x00, ##     000000000                                   000000000   
            0x1F, 0xF0, 0x00, 0x00, 0x00, 0x01, 0xFF, 0x00, ##     000000000                                   000000000   
            0x0F, 0xF8, 0x00, 0x00, 0x00, 0x03, 0xFE, 0x00, ##      000000000                                 000000000    
            0x0F, 0xFC, 0x00, 0x00, 0x00, 0x07, 0xFE, 0x00, ##      0000000000                               0000000000    
            0x07, 0xFC, 0x00, 0x00, 0x00, 0x07, 0xFC, 0x00, ##       000000000                               000000000     
            0x07, 0xFE, 0x00, 0x00, 0x00, 0x0F, 0xFC, 0x00, ##       0000000000                             0000000000     
            0x03, 0xFF, 0x00, 0x00, 0x00, 0x1F, 0xF8, 0x00, ##        0000000000                           0000000000      
            0x01, 0xFF, 0x80, 0x00, 0x00, 0x3F, 0xF0, 0x00, ##         0000000000                         0000000000       
            0x00, 0xFF, 0xC0, 0x00, 0x00, 0x7F, 0xE0, 0x00, ##          0000000000                       0000000000        
            0x00, 0xFF, 0xF0, 0x00, 0x01, 0xFF, 0xE0, 0x00, ##          000000000000                   000000000000        
            0x00, 0x7F, 0xFC, 0x00, 0x07, 0xFF, 0xC0, 0x00, ##           0000000000000               0000000000000         
            0x00, 0x3F, 0xFF, 0x80, 0x3F, 0xFF, 0x00, 0x00, ##            000000000000000         00000000000000           
            0x00, 0x0F, 0xFF, 0xFF, 0xFF, 0xFE, 0x00, 0x00, ##              00000000000000000000000000000000000            
            0x00, 0x07, 0xFF, 0xFF, 0xFF, 0xFC, 0x00, 0x00, ##               000000000000000000000000000000000             
            0x00, 0x01, 0xFF, 0xFF, 0xFF, 0xF0, 0x00, 0x00, ##                 00000000000000000000000000000               
            0x00, 0x00, 0x7F, 0xFF, 0xFF, 0xC0, 0x00, 0x00, ##                   0000000000000000000000000                 
            0x00, 0x00, 0x1F, 0xFF, 0xFF, 0x00, 0x00, 0x00, ##                     000000000000000000000                   
            0x00, 0x00, 0x01, 0xFF, 0xF0, 0x00, 0x00, 0x00, ##                         0000000000000                       
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '212' => {    # 'Ô'
        'width'    => 59, 
        'xoffset'  => 5, 
        'xadvance' => 69, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x7F, 0xC0, 0x00, 0x00, 0x00, ##                           000000000                         
            0x00, 0x00, 0x00, 0x7F, 0xC0, 0x00, 0x00, 0x00, ##                           000000000                         
            0x00, 0x00, 0x00, 0xFF, 0xE0, 0x00, 0x00, 0x00, ##                          00000000000                        
            0x00, 0x00, 0x01, 0xFF, 0xF0, 0x00, 0x00, 0x00, ##                         0000000000000                       
            0x00, 0x00, 0x03, 0xFB, 0xF8, 0x00, 0x00, 0x00, ##                        0000000 0000000                      
            0x00, 0x00, 0x03, 0xF1, 0xFC, 0x00, 0x00, 0x00, ##                        000000   0000000                     
            0x00, 0x00, 0x07, 0xF0, 0xFC, 0x00, 0x00, 0x00, ##                       0000000    000000                     
            0x00, 0x00, 0x0F, 0xE0, 0xFE, 0x00, 0x00, 0x00, ##                      0000000     0000000                    
            0x00, 0x00, 0x1F, 0xC0, 0x7F, 0x00, 0x00, 0x00, ##                     0000000       0000000                   
            0x00, 0x00, 0x3F, 0x80, 0x3F, 0x80, 0x00, 0x00, ##                    0000000         0000000                  
            0x00, 0x00, 0x3F, 0x00, 0x1F, 0x80, 0x00, 0x00, ##                    000000           000000                  
            0x00, 0x00, 0x7E, 0x00, 0x0F, 0xC0, 0x00, 0x00, ##                   000000             000000                 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                             
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                             
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                             
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                             
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                             
            0x00, 0x00, 0x00, 0xFF, 0xE0, 0x00, 0x00, 0x00, ##                          00000000000                        
            0x00, 0x00, 0x1F, 0xFF, 0xFF, 0x00, 0x00, 0x00, ##                     000000000000000000000                   
            0x00, 0x00, 0x7F, 0xFF, 0xFF, 0xC0, 0x00, 0x00, ##                   0000000000000000000000000                 
            0x00, 0x01, 0xFF, 0xFF, 0xFF, 0xF0, 0x00, 0x00, ##                 00000000000000000000000000000               
            0x00, 0x07, 0xFF, 0xFF, 0xFF, 0xFC, 0x00, 0x00, ##               000000000000000000000000000000000             
            0x00, 0x0F, 0xFF, 0xFF, 0xFF, 0xFE, 0x00, 0x00, ##              00000000000000000000000000000000000            
            0x00, 0x1F, 0xFF, 0x80, 0x3F, 0xFF, 0x00, 0x00, ##             00000000000000         00000000000000           
            0x00, 0x7F, 0xFC, 0x00, 0x07, 0xFF, 0x80, 0x00, ##           0000000000000               000000000000          
            0x00, 0xFF, 0xF0, 0x00, 0x01, 0xFF, 0xC0, 0x00, ##          000000000000                   00000000000         
            0x00, 0xFF, 0xC0, 0x00, 0x00, 0x7F, 0xE0, 0x00, ##          0000000000                       0000000000        
            0x01, 0xFF, 0x80, 0x00, 0x00, 0x3F, 0xF0, 0x00, ##         0000000000                         0000000000       
            0x03, 0xFF, 0x00, 0x00, 0x00, 0x1F, 0xF8, 0x00, ##        0000000000                           0000000000      
            0x07, 0xFE, 0x00, 0x00, 0x00, 0x0F, 0xFC, 0x00, ##       0000000000                             0000000000     
            0x07, 0xFC, 0x00, 0x00, 0x00, 0x07, 0xFC, 0x00, ##       000000000                               000000000     
            0x0F, 0xFC, 0x00, 0x00, 0x00, 0x07, 0xFE, 0x00, ##      0000000000                               0000000000    
            0x0F, 0xF8, 0x00, 0x00, 0x00, 0x03, 0xFE, 0x00, ##      000000000                                 000000000    
            0x1F, 0xF0, 0x00, 0x00, 0x00, 0x03, 0xFF, 0x00, ##     000000000                                  0000000000   
            0x1F, 0xF0, 0x00, 0x00, 0x00, 0x01, 0xFF, 0x00, ##     000000000                                   000000000   
            0x3F, 0xF0, 0x00, 0x00, 0x00, 0x01, 0xFF, 0x80, ##    0000000000                                   0000000000  
            0x3F, 0xE0, 0x00, 0x00, 0x00, 0x00, 0xFF, 0x80, ##    000000000                                     000000000  
            0x3F, 0xE0, 0x00, 0x00, 0x00, 0x00, 0xFF, 0x80, ##    000000000                                     000000000  
            0x7F, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x7F, 0xC0, ##   000000000                                       000000000 
            0x7F, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x7F, 0xC0, ##   000000000                                       000000000 
            0x7F, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x7F, 0xC0, ##   000000000                                       000000000 
            0x7F, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x7F, 0xC0, ##   000000000                                       000000000 
            0x7F, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x7F, 0xC0, ##   000000000                                       000000000 
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x3F, 0xE0, ##  000000000                                         000000000
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x3F, 0xE0, ##  000000000                                         000000000
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x3F, 0xE0, ##  000000000                                         000000000
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x3F, 0xE0, ##  000000000                                         000000000
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x3F, 0xE0, ##  000000000                                         000000000
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x3F, 0xE0, ##  000000000                                         000000000
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x3F, 0xE0, ##  000000000                                         000000000
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x3F, 0xE0, ##  000000000                                         000000000
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x3F, 0xE0, ##  000000000                                         000000000
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x3F, 0xE0, ##  000000000                                         000000000
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x3F, 0xE0, ##  000000000                                         000000000
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x3F, 0xE0, ##  000000000                                         000000000
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x3F, 0xE0, ##  000000000                                         000000000
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x3F, 0xE0, ##  000000000                                         000000000
            0x7F, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x7F, 0xC0, ##   000000000                                       000000000 
            0x7F, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x7F, 0xC0, ##   000000000                                       000000000 
            0x7F, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x7F, 0xC0, ##   000000000                                       000000000 
            0x7F, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x7F, 0xC0, ##   000000000                                       000000000 
            0x7F, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x7F, 0xC0, ##   000000000                                       000000000 
            0x3F, 0xE0, 0x00, 0x00, 0x00, 0x00, 0xFF, 0x80, ##    000000000                                     000000000  
            0x3F, 0xE0, 0x00, 0x00, 0x00, 0x00, 0xFF, 0x80, ##    000000000                                     000000000  
            0x3F, 0xE0, 0x00, 0x00, 0x00, 0x01, 0xFF, 0x80, ##    000000000                                    0000000000  
            0x1F, 0xF0, 0x00, 0x00, 0x00, 0x01, 0xFF, 0x00, ##     000000000                                   000000000   
            0x1F, 0xF0, 0x00, 0x00, 0x00, 0x01, 0xFF, 0x00, ##     000000000                                   000000000   
            0x0F, 0xF8, 0x00, 0x00, 0x00, 0x03, 0xFE, 0x00, ##      000000000                                 000000000    
            0x0F, 0xFC, 0x00, 0x00, 0x00, 0x07, 0xFE, 0x00, ##      0000000000                               0000000000    
            0x07, 0xFC, 0x00, 0x00, 0x00, 0x07, 0xFC, 0x00, ##       000000000                               000000000     
            0x07, 0xFE, 0x00, 0x00, 0x00, 0x0F, 0xFC, 0x00, ##       0000000000                             0000000000     
            0x03, 0xFF, 0x00, 0x00, 0x00, 0x1F, 0xF8, 0x00, ##        0000000000                           0000000000      
            0x01, 0xFF, 0x80, 0x00, 0x00, 0x3F, 0xF0, 0x00, ##         0000000000                         0000000000       
            0x00, 0xFF, 0xC0, 0x00, 0x00, 0x7F, 0xE0, 0x00, ##          0000000000                       0000000000        
            0x00, 0xFF, 0xF0, 0x00, 0x01, 0xFF, 0xE0, 0x00, ##          000000000000                   000000000000        
            0x00, 0x7F, 0xFC, 0x00, 0x07, 0xFF, 0xC0, 0x00, ##           0000000000000               0000000000000         
            0x00, 0x3F, 0xFF, 0x80, 0x3F, 0xFF, 0x00, 0x00, ##            000000000000000         00000000000000           
            0x00, 0x0F, 0xFF, 0xFF, 0xFF, 0xFE, 0x00, 0x00, ##              00000000000000000000000000000000000            
            0x00, 0x07, 0xFF, 0xFF, 0xFF, 0xFC, 0x00, 0x00, ##               000000000000000000000000000000000             
            0x00, 0x01, 0xFF, 0xFF, 0xFF, 0xF0, 0x00, 0x00, ##                 00000000000000000000000000000               
            0x00, 0x00, 0x7F, 0xFF, 0xFF, 0xC0, 0x00, 0x00, ##                   0000000000000000000000000                 
            0x00, 0x00, 0x1F, 0xFF, 0xFF, 0x00, 0x00, 0x00, ##                     000000000000000000000                   
            0x00, 0x00, 0x01, 0xFF, 0xF0, 0x00, 0x00, 0x00, ##                         0000000000000                       
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '213' => {    # 'Õ'
        'width'    => 59, 
        'xoffset'  => 5, 
        'xadvance' => 69, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x07, 0xE0, 0x03, 0xE0, 0x00, 0x00, ##                       000000           00000                
            0x00, 0x00, 0x1F, 0xF8, 0x03, 0xE0, 0x00, 0x00, ##                     0000000000         00000                
            0x00, 0x00, 0x3F, 0xFE, 0x07, 0xE0, 0x00, 0x00, ##                    0000000000000      000000                
            0x00, 0x00, 0x7F, 0xFF, 0x87, 0xE0, 0x00, 0x00, ##                   0000000000000000    000000                
            0x00, 0x00, 0x7F, 0xFF, 0xFF, 0xC0, 0x00, 0x00, ##                   0000000000000000000000000                 
            0x00, 0x00, 0xFC, 0x3F, 0xFF, 0xC0, 0x00, 0x00, ##                  000000    0000000000000000                 
            0x00, 0x00, 0xFC, 0x0F, 0xFF, 0x80, 0x00, 0x00, ##                  000000      0000000000000                  
            0x00, 0x00, 0xF8, 0x03, 0xFF, 0x00, 0x00, 0x00, ##                  00000         0000000000                   
            0x00, 0x00, 0xF8, 0x00, 0xFC, 0x00, 0x00, 0x00, ##                  00000           000000                     
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                             
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                             
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                             
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                             
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                             
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                             
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                             
            0x00, 0x00, 0x00, 0xFF, 0xE0, 0x00, 0x00, 0x00, ##                          00000000000                        
            0x00, 0x00, 0x1F, 0xFF, 0xFF, 0x00, 0x00, 0x00, ##                     000000000000000000000                   
            0x00, 0x00, 0x7F, 0xFF, 0xFF, 0xC0, 0x00, 0x00, ##                   0000000000000000000000000                 
            0x00, 0x01, 0xFF, 0xFF, 0xFF, 0xF0, 0x00, 0x00, ##                 00000000000000000000000000000               
            0x00, 0x07, 0xFF, 0xFF, 0xFF, 0xFC, 0x00, 0x00, ##               000000000000000000000000000000000             
            0x00, 0x0F, 0xFF, 0xFF, 0xFF, 0xFE, 0x00, 0x00, ##              00000000000000000000000000000000000            
            0x00, 0x1F, 0xFF, 0x80, 0x3F, 0xFF, 0x00, 0x00, ##             00000000000000         00000000000000           
            0x00, 0x7F, 0xFC, 0x00, 0x07, 0xFF, 0x80, 0x00, ##           0000000000000               000000000000          
            0x00, 0xFF, 0xF0, 0x00, 0x01, 0xFF, 0xC0, 0x00, ##          000000000000                   00000000000         
            0x00, 0xFF, 0xC0, 0x00, 0x00, 0x7F, 0xE0, 0x00, ##          0000000000                       0000000000        
            0x01, 0xFF, 0x80, 0x00, 0x00, 0x3F, 0xF0, 0x00, ##         0000000000                         0000000000       
            0x03, 0xFF, 0x00, 0x00, 0x00, 0x1F, 0xF8, 0x00, ##        0000000000                           0000000000      
            0x07, 0xFE, 0x00, 0x00, 0x00, 0x0F, 0xFC, 0x00, ##       0000000000                             0000000000     
            0x07, 0xFC, 0x00, 0x00, 0x00, 0x07, 0xFC, 0x00, ##       000000000                               000000000     
            0x0F, 0xFC, 0x00, 0x00, 0x00, 0x07, 0xFE, 0x00, ##      0000000000                               0000000000    
            0x0F, 0xF8, 0x00, 0x00, 0x00, 0x03, 0xFE, 0x00, ##      000000000                                 000000000    
            0x1F, 0xF0, 0x00, 0x00, 0x00, 0x03, 0xFF, 0x00, ##     000000000                                  0000000000   
            0x1F, 0xF0, 0x00, 0x00, 0x00, 0x01, 0xFF, 0x00, ##     000000000                                   000000000   
            0x3F, 0xF0, 0x00, 0x00, 0x00, 0x01, 0xFF, 0x80, ##    0000000000                                   0000000000  
            0x3F, 0xE0, 0x00, 0x00, 0x00, 0x00, 0xFF, 0x80, ##    000000000                                     000000000  
            0x3F, 0xE0, 0x00, 0x00, 0x00, 0x00, 0xFF, 0x80, ##    000000000                                     000000000  
            0x7F, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x7F, 0xC0, ##   000000000                                       000000000 
            0x7F, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x7F, 0xC0, ##   000000000                                       000000000 
            0x7F, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x7F, 0xC0, ##   000000000                                       000000000 
            0x7F, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x7F, 0xC0, ##   000000000                                       000000000 
            0x7F, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x7F, 0xC0, ##   000000000                                       000000000 
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x3F, 0xE0, ##  000000000                                         000000000
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x3F, 0xE0, ##  000000000                                         000000000
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x3F, 0xE0, ##  000000000                                         000000000
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x3F, 0xE0, ##  000000000                                         000000000
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x3F, 0xE0, ##  000000000                                         000000000
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x3F, 0xE0, ##  000000000                                         000000000
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x3F, 0xE0, ##  000000000                                         000000000
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x3F, 0xE0, ##  000000000                                         000000000
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x3F, 0xE0, ##  000000000                                         000000000
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x3F, 0xE0, ##  000000000                                         000000000
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x3F, 0xE0, ##  000000000                                         000000000
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x3F, 0xE0, ##  000000000                                         000000000
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x3F, 0xE0, ##  000000000                                         000000000
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x3F, 0xE0, ##  000000000                                         000000000
            0x7F, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x7F, 0xC0, ##   000000000                                       000000000 
            0x7F, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x7F, 0xC0, ##   000000000                                       000000000 
            0x7F, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x7F, 0xC0, ##   000000000                                       000000000 
            0x7F, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x7F, 0xC0, ##   000000000                                       000000000 
            0x7F, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x7F, 0xC0, ##   000000000                                       000000000 
            0x3F, 0xE0, 0x00, 0x00, 0x00, 0x00, 0xFF, 0x80, ##    000000000                                     000000000  
            0x3F, 0xE0, 0x00, 0x00, 0x00, 0x00, 0xFF, 0x80, ##    000000000                                     000000000  
            0x3F, 0xE0, 0x00, 0x00, 0x00, 0x01, 0xFF, 0x80, ##    000000000                                    0000000000  
            0x1F, 0xF0, 0x00, 0x00, 0x00, 0x01, 0xFF, 0x00, ##     000000000                                   000000000   
            0x1F, 0xF0, 0x00, 0x00, 0x00, 0x01, 0xFF, 0x00, ##     000000000                                   000000000   
            0x0F, 0xF8, 0x00, 0x00, 0x00, 0x03, 0xFE, 0x00, ##      000000000                                 000000000    
            0x0F, 0xFC, 0x00, 0x00, 0x00, 0x07, 0xFE, 0x00, ##      0000000000                               0000000000    
            0x07, 0xFC, 0x00, 0x00, 0x00, 0x07, 0xFC, 0x00, ##       000000000                               000000000     
            0x07, 0xFE, 0x00, 0x00, 0x00, 0x0F, 0xFC, 0x00, ##       0000000000                             0000000000     
            0x03, 0xFF, 0x00, 0x00, 0x00, 0x1F, 0xF8, 0x00, ##        0000000000                           0000000000      
            0x01, 0xFF, 0x80, 0x00, 0x00, 0x3F, 0xF0, 0x00, ##         0000000000                         0000000000       
            0x00, 0xFF, 0xC0, 0x00, 0x00, 0x7F, 0xE0, 0x00, ##          0000000000                       0000000000        
            0x00, 0xFF, 0xF0, 0x00, 0x01, 0xFF, 0xE0, 0x00, ##          000000000000                   000000000000        
            0x00, 0x7F, 0xFC, 0x00, 0x07, 0xFF, 0xC0, 0x00, ##           0000000000000               0000000000000         
            0x00, 0x3F, 0xFF, 0x80, 0x3F, 0xFF, 0x00, 0x00, ##            000000000000000         00000000000000           
            0x00, 0x0F, 0xFF, 0xFF, 0xFF, 0xFE, 0x00, 0x00, ##              00000000000000000000000000000000000            
            0x00, 0x07, 0xFF, 0xFF, 0xFF, 0xFC, 0x00, 0x00, ##               000000000000000000000000000000000             
            0x00, 0x01, 0xFF, 0xFF, 0xFF, 0xF0, 0x00, 0x00, ##                 00000000000000000000000000000               
            0x00, 0x00, 0x7F, 0xFF, 0xFF, 0xC0, 0x00, 0x00, ##                   0000000000000000000000000                 
            0x00, 0x00, 0x1F, 0xFF, 0xFF, 0x00, 0x00, 0x00, ##                     000000000000000000000                   
            0x00, 0x00, 0x01, 0xFF, 0xF0, 0x00, 0x00, 0x00, ##                         0000000000000                       
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '214' => {    # 'Ö'
        'width'    => 59, 
        'xoffset'  => 5, 
        'xadvance' => 69, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x7F, 0x80, 0x3F, 0xC0, 0x00, 0x00, ##                   00000000         00000000                 
            0x00, 0x00, 0x7F, 0x80, 0x3F, 0xC0, 0x00, 0x00, ##                   00000000         00000000                 
            0x00, 0x00, 0x7F, 0x80, 0x3F, 0xC0, 0x00, 0x00, ##                   00000000         00000000                 
            0x00, 0x00, 0x7F, 0x80, 0x3F, 0xC0, 0x00, 0x00, ##                   00000000         00000000                 
            0x00, 0x00, 0x7F, 0x80, 0x3F, 0xC0, 0x00, 0x00, ##                   00000000         00000000                 
            0x00, 0x00, 0x7F, 0x80, 0x3F, 0xC0, 0x00, 0x00, ##                   00000000         00000000                 
            0x00, 0x00, 0x7F, 0x80, 0x3F, 0xC0, 0x00, 0x00, ##                   00000000         00000000                 
            0x00, 0x00, 0x7F, 0x80, 0x3F, 0xC0, 0x00, 0x00, ##                   00000000         00000000                 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                             
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                             
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                             
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                             
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                             
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                             
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                             
            0x00, 0x00, 0x00, 0xFF, 0xE0, 0x00, 0x00, 0x00, ##                          00000000000                        
            0x00, 0x00, 0x1F, 0xFF, 0xFF, 0x00, 0x00, 0x00, ##                     000000000000000000000                   
            0x00, 0x00, 0x7F, 0xFF, 0xFF, 0xC0, 0x00, 0x00, ##                   0000000000000000000000000                 
            0x00, 0x01, 0xFF, 0xFF, 0xFF, 0xF0, 0x00, 0x00, ##                 00000000000000000000000000000               
            0x00, 0x07, 0xFF, 0xFF, 0xFF, 0xFC, 0x00, 0x00, ##               000000000000000000000000000000000             
            0x00, 0x0F, 0xFF, 0xFF, 0xFF, 0xFE, 0x00, 0x00, ##              00000000000000000000000000000000000            
            0x00, 0x1F, 0xFF, 0x80, 0x3F, 0xFF, 0x00, 0x00, ##             00000000000000         00000000000000           
            0x00, 0x7F, 0xFC, 0x00, 0x07, 0xFF, 0x80, 0x00, ##           0000000000000               000000000000          
            0x00, 0xFF, 0xF0, 0x00, 0x01, 0xFF, 0xC0, 0x00, ##          000000000000                   00000000000         
            0x00, 0xFF, 0xC0, 0x00, 0x00, 0x7F, 0xE0, 0x00, ##          0000000000                       0000000000        
            0x01, 0xFF, 0x80, 0x00, 0x00, 0x3F, 0xF0, 0x00, ##         0000000000                         0000000000       
            0x03, 0xFF, 0x00, 0x00, 0x00, 0x1F, 0xF8, 0x00, ##        0000000000                           0000000000      
            0x07, 0xFE, 0x00, 0x00, 0x00, 0x0F, 0xFC, 0x00, ##       0000000000                             0000000000     
            0x07, 0xFC, 0x00, 0x00, 0x00, 0x07, 0xFC, 0x00, ##       000000000                               000000000     
            0x0F, 0xFC, 0x00, 0x00, 0x00, 0x07, 0xFE, 0x00, ##      0000000000                               0000000000    
            0x0F, 0xF8, 0x00, 0x00, 0x00, 0x03, 0xFE, 0x00, ##      000000000                                 000000000    
            0x1F, 0xF0, 0x00, 0x00, 0x00, 0x03, 0xFF, 0x00, ##     000000000                                  0000000000   
            0x1F, 0xF0, 0x00, 0x00, 0x00, 0x01, 0xFF, 0x00, ##     000000000                                   000000000   
            0x3F, 0xF0, 0x00, 0x00, 0x00, 0x01, 0xFF, 0x80, ##    0000000000                                   0000000000  
            0x3F, 0xE0, 0x00, 0x00, 0x00, 0x00, 0xFF, 0x80, ##    000000000                                     000000000  
            0x3F, 0xE0, 0x00, 0x00, 0x00, 0x00, 0xFF, 0x80, ##    000000000                                     000000000  
            0x7F, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x7F, 0xC0, ##   000000000                                       000000000 
            0x7F, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x7F, 0xC0, ##   000000000                                       000000000 
            0x7F, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x7F, 0xC0, ##   000000000                                       000000000 
            0x7F, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x7F, 0xC0, ##   000000000                                       000000000 
            0x7F, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x7F, 0xC0, ##   000000000                                       000000000 
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x3F, 0xE0, ##  000000000                                         000000000
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x3F, 0xE0, ##  000000000                                         000000000
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x3F, 0xE0, ##  000000000                                         000000000
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x3F, 0xE0, ##  000000000                                         000000000
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x3F, 0xE0, ##  000000000                                         000000000
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x3F, 0xE0, ##  000000000                                         000000000
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x3F, 0xE0, ##  000000000                                         000000000
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x3F, 0xE0, ##  000000000                                         000000000
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x3F, 0xE0, ##  000000000                                         000000000
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x3F, 0xE0, ##  000000000                                         000000000
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x3F, 0xE0, ##  000000000                                         000000000
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x3F, 0xE0, ##  000000000                                         000000000
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x3F, 0xE0, ##  000000000                                         000000000
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x3F, 0xE0, ##  000000000                                         000000000
            0x7F, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x7F, 0xC0, ##   000000000                                       000000000 
            0x7F, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x7F, 0xC0, ##   000000000                                       000000000 
            0x7F, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x7F, 0xC0, ##   000000000                                       000000000 
            0x7F, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x7F, 0xC0, ##   000000000                                       000000000 
            0x7F, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x7F, 0xC0, ##   000000000                                       000000000 
            0x3F, 0xE0, 0x00, 0x00, 0x00, 0x00, 0xFF, 0x80, ##    000000000                                     000000000  
            0x3F, 0xE0, 0x00, 0x00, 0x00, 0x00, 0xFF, 0x80, ##    000000000                                     000000000  
            0x3F, 0xE0, 0x00, 0x00, 0x00, 0x01, 0xFF, 0x80, ##    000000000                                    0000000000  
            0x1F, 0xF0, 0x00, 0x00, 0x00, 0x01, 0xFF, 0x00, ##     000000000                                   000000000   
            0x1F, 0xF0, 0x00, 0x00, 0x00, 0x01, 0xFF, 0x00, ##     000000000                                   000000000   
            0x0F, 0xF8, 0x00, 0x00, 0x00, 0x03, 0xFE, 0x00, ##      000000000                                 000000000    
            0x0F, 0xFC, 0x00, 0x00, 0x00, 0x07, 0xFE, 0x00, ##      0000000000                               0000000000    
            0x07, 0xFC, 0x00, 0x00, 0x00, 0x07, 0xFC, 0x00, ##       000000000                               000000000     
            0x07, 0xFE, 0x00, 0x00, 0x00, 0x0F, 0xFC, 0x00, ##       0000000000                             0000000000     
            0x03, 0xFF, 0x00, 0x00, 0x00, 0x1F, 0xF8, 0x00, ##        0000000000                           0000000000      
            0x01, 0xFF, 0x80, 0x00, 0x00, 0x3F, 0xF0, 0x00, ##         0000000000                         0000000000       
            0x00, 0xFF, 0xC0, 0x00, 0x00, 0x7F, 0xE0, 0x00, ##          0000000000                       0000000000        
            0x00, 0xFF, 0xF0, 0x00, 0x01, 0xFF, 0xE0, 0x00, ##          000000000000                   000000000000        
            0x00, 0x7F, 0xFC, 0x00, 0x07, 0xFF, 0xC0, 0x00, ##           0000000000000               0000000000000         
            0x00, 0x3F, 0xFF, 0x80, 0x3F, 0xFF, 0x00, 0x00, ##            000000000000000         00000000000000           
            0x00, 0x0F, 0xFF, 0xFF, 0xFF, 0xFE, 0x00, 0x00, ##              00000000000000000000000000000000000            
            0x00, 0x07, 0xFF, 0xFF, 0xFF, 0xFC, 0x00, 0x00, ##               000000000000000000000000000000000             
            0x00, 0x01, 0xFF, 0xFF, 0xFF, 0xF0, 0x00, 0x00, ##                 00000000000000000000000000000               
            0x00, 0x00, 0x7F, 0xFF, 0xFF, 0xC0, 0x00, 0x00, ##                   0000000000000000000000000                 
            0x00, 0x00, 0x1F, 0xFF, 0xFF, 0x00, 0x00, 0x00, ##                     000000000000000000000                   
            0x00, 0x00, 0x01, 0xFF, 0xF0, 0x00, 0x00, 0x00, ##                         0000000000000                       
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '215' => {    # '×'
        'width'    => 49, 
        'xoffset'  => 12, 
        'xadvance' => 73, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x0C, 0x00, 0x00, 0x00, 0x00, 0x18, 0x00, ##      00                                     00    
            0x1E, 0x00, 0x00, 0x00, 0x00, 0x3C, 0x00, ##     0000                                   0000   
            0x3F, 0x00, 0x00, 0x00, 0x00, 0x7E, 0x00, ##    000000                                 000000  
            0x7F, 0x80, 0x00, 0x00, 0x00, 0xFF, 0x00, ##   00000000                               00000000 
            0xFF, 0xC0, 0x00, 0x00, 0x01, 0xFF, 0x80, ##  0000000000                             0000000000
            0xFF, 0xE0, 0x00, 0x00, 0x03, 0xFF, 0x80, ##  00000000000                           00000000000
            0x7F, 0xF0, 0x00, 0x00, 0x07, 0xFF, 0x00, ##   00000000000                         00000000000 
            0x3F, 0xF8, 0x00, 0x00, 0x0F, 0xFE, 0x00, ##    00000000000                       00000000000  
            0x1F, 0xFC, 0x00, 0x00, 0x1F, 0xFC, 0x00, ##     00000000000                     00000000000   
            0x0F, 0xFE, 0x00, 0x00, 0x3F, 0xF8, 0x00, ##      00000000000                   00000000000    
            0x07, 0xFF, 0x00, 0x00, 0x7F, 0xF0, 0x00, ##       00000000000                 00000000000     
            0x03, 0xFF, 0x80, 0x00, 0xFF, 0xE0, 0x00, ##        00000000000               00000000000      
            0x01, 0xFF, 0xC0, 0x01, 0xFF, 0xC0, 0x00, ##         00000000000             00000000000       
            0x00, 0xFF, 0xE0, 0x03, 0xFF, 0x80, 0x00, ##          00000000000           00000000000        
            0x00, 0x7F, 0xF0, 0x07, 0xFF, 0x00, 0x00, ##           00000000000         00000000000         
            0x00, 0x3F, 0xF8, 0x0F, 0xFE, 0x00, 0x00, ##            00000000000       00000000000          
            0x00, 0x1F, 0xFC, 0x1F, 0xFC, 0x00, 0x00, ##             00000000000     00000000000           
            0x00, 0x0F, 0xFE, 0x3F, 0xF8, 0x00, 0x00, ##              00000000000   00000000000            
            0x00, 0x07, 0xFF, 0x7F, 0xF0, 0x00, 0x00, ##               00000000000 00000000000             
            0x00, 0x03, 0xFF, 0xFF, 0xE0, 0x00, 0x00, ##                000000000000000000000              
            0x00, 0x01, 0xFF, 0xFF, 0xC0, 0x00, 0x00, ##                 0000000000000000000               
            0x00, 0x00, 0xFF, 0xFF, 0x80, 0x00, 0x00, ##                  00000000000000000                
            0x00, 0x00, 0x7F, 0xFF, 0x00, 0x00, 0x00, ##                   000000000000000                 
            0x00, 0x00, 0x3F, 0xFE, 0x00, 0x00, 0x00, ##                    0000000000000                  
            0x00, 0x00, 0x1F, 0xFC, 0x00, 0x00, 0x00, ##                     00000000000                   
            0x00, 0x00, 0x3F, 0xFC, 0x00, 0x00, 0x00, ##                    000000000000                   
            0x00, 0x00, 0x7F, 0xFE, 0x00, 0x00, 0x00, ##                   00000000000000                  
            0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, ##                  0000000000000000                 
            0x00, 0x01, 0xFF, 0xFF, 0x80, 0x00, 0x00, ##                 000000000000000000                
            0x00, 0x03, 0xFF, 0xFF, 0xC0, 0x00, 0x00, ##                00000000000000000000               
            0x00, 0x07, 0xFF, 0x7F, 0xE0, 0x00, 0x00, ##               00000000000 0000000000              
            0x00, 0x0F, 0xFE, 0x3F, 0xF0, 0x00, 0x00, ##              00000000000   0000000000             
            0x00, 0x1F, 0xFC, 0x1F, 0xF8, 0x00, 0x00, ##             00000000000     0000000000            
            0x00, 0x3F, 0xF8, 0x0F, 0xFC, 0x00, 0x00, ##            00000000000       0000000000           
            0x00, 0x7F, 0xF0, 0x07, 0xFE, 0x00, 0x00, ##           00000000000         0000000000          
            0x00, 0xFF, 0xE0, 0x03, 0xFF, 0x00, 0x00, ##          00000000000           0000000000         
            0x00, 0xFF, 0xC0, 0x01, 0xFF, 0x80, 0x00, ##          0000000000             0000000000        
            0x01, 0xFF, 0x80, 0x00, 0xFF, 0xC0, 0x00, ##         0000000000               0000000000       
            0x03, 0xFF, 0x00, 0x00, 0x7F, 0xE0, 0x00, ##        0000000000                 0000000000      
            0x07, 0xFE, 0x00, 0x00, 0x3F, 0xF0, 0x00, ##       0000000000                   0000000000     
            0x0F, 0xFC, 0x00, 0x00, 0x1F, 0xF8, 0x00, ##      0000000000                     0000000000    
            0x1F, 0xF8, 0x00, 0x00, 0x0F, 0xFC, 0x00, ##     0000000000                       0000000000   
            0x3F, 0xF0, 0x00, 0x00, 0x07, 0xFE, 0x00, ##    0000000000                         0000000000  
            0x7F, 0xE0, 0x00, 0x00, 0x03, 0xFF, 0x00, ##   0000000000                           0000000000 
            0xFF, 0xC0, 0x00, 0x00, 0x01, 0xFF, 0x80, ##  0000000000                             0000000000
            0x7F, 0x80, 0x00, 0x00, 0x00, 0xFF, 0x00, ##   00000000                               00000000 
            0x3F, 0x00, 0x00, 0x00, 0x00, 0x7E, 0x00, ##    000000                                 000000  
            0x1E, 0x00, 0x00, 0x00, 0x00, 0x3C, 0x00, ##     0000                                   0000   
            0x0C, 0x00, 0x00, 0x00, 0x00, 0x18, 0x00, ##      00                                     00    
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '216' => {    # 'Ø'
        'width'    => 61, 
        'xoffset'  => 4, 
        'xadvance' => 69, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                               
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xC0, ##                                                         000   
            0x00, 0x00, 0x00, 0x7F, 0xF8, 0x00, 0x03, 0xE0, ##                           000000000000                 00000  
            0x00, 0x00, 0x07, 0xFF, 0xFF, 0x80, 0x07, 0xF0, ##                       00000000000000000000            0000000 
            0x00, 0x00, 0x3F, 0xFF, 0xFF, 0xF0, 0x0F, 0xF0, ##                    00000000000000000000000000        00000000 
            0x00, 0x00, 0xFF, 0xFF, 0xFF, 0xFC, 0x1F, 0xE0, ##                  000000000000000000000000000000     00000000  
            0x00, 0x03, 0xFF, 0xFF, 0xFF, 0xFF, 0x3F, 0xC0, ##                0000000000000000000000000000000000  00000000   
            0x00, 0x07, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x80, ##               00000000000000000000000000000000000000000000    
            0x00, 0x0F, 0xFF, 0xC0, 0x1F, 0xFF, 0xFF, 0x00, ##              00000000000000         000000000000000000000     
            0x00, 0x1F, 0xFE, 0x00, 0x03, 0xFF, 0xFE, 0x00, ##             000000000000               00000000000000000      
            0x00, 0x3F, 0xF8, 0x00, 0x00, 0xFF, 0xFC, 0x00, ##            00000000000                   00000000000000       
            0x00, 0x7F, 0xE0, 0x00, 0x00, 0x7F, 0xFC, 0x00, ##           0000000000                      0000000000000       
            0x00, 0xFF, 0xC0, 0x00, 0x00, 0x1F, 0xFC, 0x00, ##          0000000000                         00000000000       
            0x01, 0xFF, 0x80, 0x00, 0x00, 0x0F, 0xFE, 0x00, ##         0000000000                           00000000000      
            0x03, 0xFF, 0x00, 0x00, 0x00, 0x1F, 0xFE, 0x00, ##        0000000000                           000000000000      
            0x03, 0xFE, 0x00, 0x00, 0x00, 0x3F, 0xFF, 0x00, ##        000000000                           00000000000000     
            0x07, 0xFE, 0x00, 0x00, 0x00, 0x3F, 0xFF, 0x00, ##       0000000000                           00000000000000     
            0x07, 0xFC, 0x00, 0x00, 0x00, 0x7F, 0xFF, 0x80, ##       000000000                           0000000000000000    
            0x0F, 0xF8, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x80, ##      000000000                           00000000000000000    
            0x0F, 0xF8, 0x00, 0x00, 0x01, 0xFF, 0xFF, 0x80, ##      000000000                          000000000000000000    
            0x1F, 0xF8, 0x00, 0x00, 0x03, 0xFE, 0xFF, 0xC0, ##     0000000000                         000000000 0000000000   
            0x1F, 0xF0, 0x00, 0x00, 0x03, 0xFC, 0xFF, 0xC0, ##     000000000                          00000000  0000000000   
            0x1F, 0xF0, 0x00, 0x00, 0x07, 0xFC, 0x7F, 0xC0, ##     000000000                         000000000   000000000   
            0x3F, 0xE0, 0x00, 0x00, 0x0F, 0xF8, 0x7F, 0xE0, ##    000000000                         000000000    0000000000  
            0x3F, 0xE0, 0x00, 0x00, 0x1F, 0xF0, 0x7F, 0xE0, ##    000000000                        000000000     0000000000  
            0x3F, 0xE0, 0x00, 0x00, 0x3F, 0xE0, 0x3F, 0xE0, ##    000000000                       000000000       000000000  
            0x3F, 0xE0, 0x00, 0x00, 0x7F, 0xC0, 0x3F, 0xE0, ##    000000000                      000000000        000000000  
            0x3F, 0xE0, 0x00, 0x00, 0x7F, 0x80, 0x3F, 0xF0, ##    000000000                      00000000         0000000000 
            0x7F, 0xC0, 0x00, 0x00, 0xFF, 0x00, 0x3F, 0xF0, ##   000000000                      00000000          0000000000 
            0x7F, 0xC0, 0x00, 0x01, 0xFF, 0x00, 0x1F, 0xF0, ##   000000000                     000000000           000000000 
            0x7F, 0xC0, 0x00, 0x03, 0xFE, 0x00, 0x1F, 0xF0, ##   000000000                    000000000            000000000 
            0x7F, 0xC0, 0x00, 0x07, 0xFC, 0x00, 0x1F, 0xF0, ##   000000000                   000000000             000000000 
            0x7F, 0xC0, 0x00, 0x07, 0xF8, 0x00, 0x1F, 0xF0, ##   000000000                   00000000              000000000 
            0x7F, 0xC0, 0x00, 0x0F, 0xF0, 0x00, 0x1F, 0xF0, ##   000000000                  00000000               000000000 
            0x7F, 0xC0, 0x00, 0x1F, 0xE0, 0x00, 0x1F, 0xF0, ##   000000000                 00000000                000000000 
            0x7F, 0xC0, 0x00, 0x3F, 0xE0, 0x00, 0x1F, 0xF0, ##   000000000                000000000                000000000 
            0x7F, 0xC0, 0x00, 0x7F, 0xC0, 0x00, 0x1F, 0xF0, ##   000000000               000000000                 000000000 
            0x7F, 0xC0, 0x00, 0x7F, 0x80, 0x00, 0x1F, 0xF0, ##   000000000               00000000                  000000000 
            0x7F, 0xC0, 0x00, 0xFF, 0x00, 0x00, 0x1F, 0xF0, ##   000000000              00000000                   000000000 
            0x7F, 0xC0, 0x01, 0xFE, 0x00, 0x00, 0x1F, 0xF0, ##   000000000             00000000                    000000000 
            0x7F, 0xC0, 0x03, 0xFC, 0x00, 0x00, 0x1F, 0xF0, ##   000000000            00000000                     000000000 
            0x7F, 0xC0, 0x07, 0xF8, 0x00, 0x00, 0x1F, 0xF0, ##   000000000           00000000                      000000000 
            0x7F, 0xE0, 0x0F, 0xF8, 0x00, 0x00, 0x3F, 0xE0, ##   0000000000         000000000                     000000000  
            0x3F, 0xE0, 0x0F, 0xF0, 0x00, 0x00, 0x3F, 0xE0, ##    000000000         00000000                      000000000  
            0x3F, 0xE0, 0x1F, 0xE0, 0x00, 0x00, 0x3F, 0xE0, ##    000000000        00000000                       000000000  
            0x3F, 0xE0, 0x3F, 0xC0, 0x00, 0x00, 0x3F, 0xE0, ##    000000000       00000000                        000000000  
            0x3F, 0xE0, 0x7F, 0x80, 0x00, 0x00, 0x3F, 0xE0, ##    000000000      00000000                         000000000  
            0x1F, 0xF0, 0xFF, 0x00, 0x00, 0x00, 0x7F, 0xC0, ##     000000000    00000000                         000000000   
            0x1F, 0xF0, 0xFE, 0x00, 0x00, 0x00, 0x7F, 0xC0, ##     000000000    0000000                          000000000   
            0x1F, 0xF1, 0xFE, 0x00, 0x00, 0x00, 0x7F, 0xC0, ##     000000000   00000000                          000000000   
            0x0F, 0xFB, 0xFC, 0x00, 0x00, 0x00, 0xFF, 0x80, ##      000000000 00000000                          000000000    
            0x0F, 0xFF, 0xF8, 0x00, 0x00, 0x00, 0xFF, 0x80, ##      00000000000000000                           000000000    
            0x0F, 0xFF, 0xF0, 0x00, 0x00, 0x01, 0xFF, 0x00, ##      0000000000000000                           000000000     
            0x07, 0xFF, 0xE0, 0x00, 0x00, 0x03, 0xFF, 0x00, ##       00000000000000                           0000000000     
            0x03, 0xFF, 0xC0, 0x00, 0x00, 0x03, 0xFE, 0x00, ##        000000000000                            000000000      
            0x03, 0xFF, 0xC0, 0x00, 0x00, 0x07, 0xFE, 0x00, ##        000000000000                           0000000000      
            0x01, 0xFF, 0x80, 0x00, 0x00, 0x0F, 0xFC, 0x00, ##         0000000000                           0000000000       
            0x00, 0xFF, 0xC0, 0x00, 0x00, 0x1F, 0xF8, 0x00, ##          0000000000                         0000000000        
            0x01, 0xFF, 0xE0, 0x00, 0x00, 0x3F, 0xF0, 0x00, ##         000000000000                       0000000000         
            0x03, 0xFF, 0xF8, 0x00, 0x00, 0xFF, 0xE0, 0x00, ##        000000000000000                   00000000000          
            0x07, 0xFF, 0xFE, 0x00, 0x03, 0xFF, 0xC0, 0x00, ##       000000000000000000               000000000000           
            0x0F, 0xFF, 0xFF, 0xC0, 0x1F, 0xFF, 0x80, 0x00, ##      0000000000000000000000         00000000000000            
            0x0F, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x00, 0x00, ##      00000000000000000000000000000000000000000000             
            0x1F, 0xE7, 0xFF, 0xFF, 0xFF, 0xFE, 0x00, 0x00, ##     00000000  0000000000000000000000000000000000              
            0x3F, 0xC1, 0xFF, 0xFF, 0xFF, 0xF8, 0x00, 0x00, ##    00000000     000000000000000000000000000000                
            0x7F, 0x80, 0x7F, 0xFF, 0xFF, 0xE0, 0x00, 0x00, ##   00000000        00000000000000000000000000                  
            0x7F, 0x00, 0x0F, 0xFF, 0xFF, 0x80, 0x00, 0x00, ##   0000000            000000000000000000000                    
            0x3E, 0x00, 0x00, 0xFF, 0xF0, 0x00, 0x00, 0x00, ##    00000                 000000000000                         
            0x1C, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##     000                                                       
            0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##      0                                                        
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '217' => {    # 'Ù'
        'width'    => 48, 
        'xoffset'  => 8, 
        'xadvance' => 64, 
        'bitmap'   => [ 
            0x00, 0x07, 0xFC, 0x00, 0x00, 0x00, ##               000000000                          
            0x00, 0x03, 0xFC, 0x00, 0x00, 0x00, ##                00000000                          
            0x00, 0x01, 0xFE, 0x00, 0x00, 0x00, ##                 00000000                         
            0x00, 0x00, 0xFF, 0x00, 0x00, 0x00, ##                  00000000                        
            0x00, 0x00, 0x7F, 0x80, 0x00, 0x00, ##                   00000000                       
            0x00, 0x00, 0x3F, 0x80, 0x00, 0x00, ##                    0000000                       
            0x00, 0x00, 0x1F, 0xC0, 0x00, 0x00, ##                     0000000                      
            0x00, 0x00, 0x1F, 0xE0, 0x00, 0x00, ##                     00000000                     
            0x00, 0x00, 0x0F, 0xE0, 0x00, 0x00, ##                      0000000                     
            0x00, 0x00, 0x07, 0xF0, 0x00, 0x00, ##                       0000000                    
            0x00, 0x00, 0x03, 0xF8, 0x00, 0x00, ##                        0000000                   
            0x00, 0x00, 0x01, 0xFC, 0x00, 0x00, ##                         0000000                  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                  
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x80, 0x00, 0x00, 0x01, 0xFE, ##  000000000                              00000000 
            0x7F, 0x80, 0x00, 0x00, 0x01, 0xFE, ##   00000000                              00000000 
            0x7F, 0x80, 0x00, 0x00, 0x01, 0xFE, ##   00000000                              00000000 
            0x7F, 0x80, 0x00, 0x00, 0x01, 0xFE, ##   00000000                              00000000 
            0x7F, 0xC0, 0x00, 0x00, 0x03, 0xFE, ##   000000000                            000000000 
            0x3F, 0xC0, 0x00, 0x00, 0x03, 0xFC, ##    00000000                            00000000  
            0x3F, 0xC0, 0x00, 0x00, 0x07, 0xFC, ##    00000000                           000000000  
            0x1F, 0xE0, 0x00, 0x00, 0x07, 0xF8, ##     00000000                          00000000   
            0x1F, 0xF0, 0x00, 0x00, 0x0F, 0xF8, ##     000000000                        000000000   
            0x0F, 0xF8, 0x00, 0x00, 0x1F, 0xF0, ##      000000000                      000000000    
            0x0F, 0xFC, 0x00, 0x00, 0x3F, 0xF0, ##      0000000000                    0000000000    
            0x07, 0xFF, 0x00, 0x00, 0xFF, 0xE0, ##       00000000000                00000000000     
            0x03, 0xFF, 0xE0, 0x07, 0xFF, 0xC0, ##        0000000000000          0000000000000      
            0x01, 0xFF, 0xFF, 0xFF, 0xFF, 0x80, ##         0000000000000000000000000000000000       
            0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0x00, ##          00000000000000000000000000000000        
            0x00, 0x3F, 0xFF, 0xFF, 0xFC, 0x00, ##            0000000000000000000000000000          
            0x00, 0x1F, 0xFF, 0xFF, 0xF8, 0x00, ##             00000000000000000000000000           
            0x00, 0x03, 0xFF, 0xFF, 0xC0, 0x00, ##                00000000000000000000              
            0x00, 0x00, 0x3F, 0xFC, 0x00, 0x00, ##                    000000000000                  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '218' => {    # 'Ú'
        'width'    => 48, 
        'xoffset'  => 8, 
        'xadvance' => 64, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x3F, 0xC0, 0x00, ##                            00000000              
            0x00, 0x00, 0x00, 0x3F, 0xC0, 0x00, ##                            00000000              
            0x00, 0x00, 0x00, 0x7F, 0x80, 0x00, ##                           00000000               
            0x00, 0x00, 0x00, 0xFF, 0x00, 0x00, ##                          00000000                
            0x00, 0x00, 0x01, 0xFE, 0x00, 0x00, ##                         00000000                 
            0x00, 0x00, 0x01, 0xFC, 0x00, 0x00, ##                         0000000                  
            0x00, 0x00, 0x03, 0xF8, 0x00, 0x00, ##                        0000000                   
            0x00, 0x00, 0x07, 0xF0, 0x00, 0x00, ##                       0000000                    
            0x00, 0x00, 0x0F, 0xF0, 0x00, 0x00, ##                      00000000                    
            0x00, 0x00, 0x0F, 0xE0, 0x00, 0x00, ##                      0000000                     
            0x00, 0x00, 0x1F, 0xC0, 0x00, 0x00, ##                     0000000                      
            0x00, 0x00, 0x3F, 0x80, 0x00, 0x00, ##                    0000000                       
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                  
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x80, 0x00, 0x00, 0x01, 0xFE, ##  000000000                              00000000 
            0x7F, 0x80, 0x00, 0x00, 0x01, 0xFE, ##   00000000                              00000000 
            0x7F, 0x80, 0x00, 0x00, 0x01, 0xFE, ##   00000000                              00000000 
            0x7F, 0x80, 0x00, 0x00, 0x01, 0xFE, ##   00000000                              00000000 
            0x7F, 0xC0, 0x00, 0x00, 0x03, 0xFE, ##   000000000                            000000000 
            0x3F, 0xC0, 0x00, 0x00, 0x03, 0xFC, ##    00000000                            00000000  
            0x3F, 0xC0, 0x00, 0x00, 0x07, 0xFC, ##    00000000                           000000000  
            0x1F, 0xE0, 0x00, 0x00, 0x07, 0xF8, ##     00000000                          00000000   
            0x1F, 0xF0, 0x00, 0x00, 0x0F, 0xF8, ##     000000000                        000000000   
            0x0F, 0xF8, 0x00, 0x00, 0x1F, 0xF0, ##      000000000                      000000000    
            0x0F, 0xFC, 0x00, 0x00, 0x3F, 0xF0, ##      0000000000                    0000000000    
            0x07, 0xFF, 0x00, 0x00, 0xFF, 0xE0, ##       00000000000                00000000000     
            0x03, 0xFF, 0xE0, 0x07, 0xFF, 0xC0, ##        0000000000000          0000000000000      
            0x01, 0xFF, 0xFF, 0xFF, 0xFF, 0x80, ##         0000000000000000000000000000000000       
            0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0x00, ##          00000000000000000000000000000000        
            0x00, 0x3F, 0xFF, 0xFF, 0xFC, 0x00, ##            0000000000000000000000000000          
            0x00, 0x1F, 0xFF, 0xFF, 0xF8, 0x00, ##             00000000000000000000000000           
            0x00, 0x03, 0xFF, 0xFF, 0xC0, 0x00, ##                00000000000000000000              
            0x00, 0x00, 0x3F, 0xFC, 0x00, 0x00, ##                    000000000000                  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '219' => {    # 'Û'
        'width'    => 48, 
        'xoffset'  => 8, 
        'xadvance' => 64, 
        'bitmap'   => [ 
            0x00, 0x00, 0x0F, 0xF0, 0x00, 0x00, ##                      00000000                    
            0x00, 0x00, 0x1F, 0xF8, 0x00, 0x00, ##                     0000000000                   
            0x00, 0x00, 0x3F, 0xFC, 0x00, 0x00, ##                    000000000000                  
            0x00, 0x00, 0x3F, 0xFC, 0x00, 0x00, ##                    000000000000                  
            0x00, 0x00, 0x7F, 0xFE, 0x00, 0x00, ##                   00000000000000                 
            0x00, 0x00, 0xFE, 0x7F, 0x00, 0x00, ##                  0000000  0000000                
            0x00, 0x01, 0xFC, 0x3F, 0x80, 0x00, ##                 0000000    0000000               
            0x00, 0x03, 0xF8, 0x1F, 0xC0, 0x00, ##                0000000      0000000              
            0x00, 0x03, 0xF0, 0x0F, 0xC0, 0x00, ##                000000        000000              
            0x00, 0x07, 0xE0, 0x07, 0xE0, 0x00, ##               000000          000000             
            0x00, 0x0F, 0xC0, 0x03, 0xF0, 0x00, ##              000000            000000            
            0x00, 0x1F, 0x80, 0x01, 0xF8, 0x00, ##             000000              000000           
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                  
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x80, 0x00, 0x00, 0x01, 0xFE, ##  000000000                              00000000 
            0x7F, 0x80, 0x00, 0x00, 0x01, 0xFE, ##   00000000                              00000000 
            0x7F, 0x80, 0x00, 0x00, 0x01, 0xFE, ##   00000000                              00000000 
            0x7F, 0x80, 0x00, 0x00, 0x01, 0xFE, ##   00000000                              00000000 
            0x7F, 0xC0, 0x00, 0x00, 0x03, 0xFE, ##   000000000                            000000000 
            0x3F, 0xC0, 0x00, 0x00, 0x03, 0xFC, ##    00000000                            00000000  
            0x3F, 0xC0, 0x00, 0x00, 0x07, 0xFC, ##    00000000                           000000000  
            0x1F, 0xE0, 0x00, 0x00, 0x07, 0xF8, ##     00000000                          00000000   
            0x1F, 0xF0, 0x00, 0x00, 0x0F, 0xF8, ##     000000000                        000000000   
            0x0F, 0xF8, 0x00, 0x00, 0x1F, 0xF0, ##      000000000                      000000000    
            0x0F, 0xFC, 0x00, 0x00, 0x3F, 0xF0, ##      0000000000                    0000000000    
            0x07, 0xFF, 0x00, 0x00, 0xFF, 0xE0, ##       00000000000                00000000000     
            0x03, 0xFF, 0xE0, 0x07, 0xFF, 0xC0, ##        0000000000000          0000000000000      
            0x01, 0xFF, 0xFF, 0xFF, 0xFF, 0x80, ##         0000000000000000000000000000000000       
            0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0x00, ##          00000000000000000000000000000000        
            0x00, 0x3F, 0xFF, 0xFF, 0xFC, 0x00, ##            0000000000000000000000000000          
            0x00, 0x1F, 0xFF, 0xFF, 0xF8, 0x00, ##             00000000000000000000000000           
            0x00, 0x03, 0xFF, 0xFF, 0xC0, 0x00, ##                00000000000000000000              
            0x00, 0x00, 0x3F, 0xFC, 0x00, 0x00, ##                    000000000000                  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '220' => {    # 'Ü'
        'width'    => 48, 
        'xoffset'  => 8, 
        'xadvance' => 64, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x0F, 0xF0, 0x07, 0xF8, 0x00, ##              00000000         00000000           
            0x00, 0x0F, 0xF0, 0x07, 0xF8, 0x00, ##              00000000         00000000           
            0x00, 0x0F, 0xF0, 0x07, 0xF8, 0x00, ##              00000000         00000000           
            0x00, 0x0F, 0xF0, 0x07, 0xF8, 0x00, ##              00000000         00000000           
            0x00, 0x0F, 0xF0, 0x07, 0xF8, 0x00, ##              00000000         00000000           
            0x00, 0x0F, 0xF0, 0x07, 0xF8, 0x00, ##              00000000         00000000           
            0x00, 0x0F, 0xF0, 0x07, 0xF8, 0x00, ##              00000000         00000000           
            0x00, 0x0F, 0xF0, 0x07, 0xF8, 0x00, ##              00000000         00000000           
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                  
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, ##  00000000                                00000000
            0x7F, 0x80, 0x00, 0x00, 0x01, 0xFE, ##   00000000                              00000000 
            0x7F, 0x80, 0x00, 0x00, 0x01, 0xFE, ##   00000000                              00000000 
            0x7F, 0x80, 0x00, 0x00, 0x01, 0xFE, ##   00000000                              00000000 
            0x7F, 0x80, 0x00, 0x00, 0x01, 0xFE, ##   00000000                              00000000 
            0x7F, 0xC0, 0x00, 0x00, 0x03, 0xFE, ##   000000000                            000000000 
            0x3F, 0xC0, 0x00, 0x00, 0x03, 0xFC, ##    00000000                            00000000  
            0x3F, 0xC0, 0x00, 0x00, 0x07, 0xFC, ##    00000000                           000000000  
            0x1F, 0xE0, 0x00, 0x00, 0x07, 0xF8, ##     00000000                          00000000   
            0x1F, 0xF0, 0x00, 0x00, 0x0F, 0xF8, ##     000000000                        000000000   
            0x0F, 0xF8, 0x00, 0x00, 0x1F, 0xF0, ##      000000000                      000000000    
            0x0F, 0xFC, 0x00, 0x00, 0x3F, 0xF0, ##      0000000000                    0000000000    
            0x07, 0xFF, 0x00, 0x00, 0xFF, 0xE0, ##       00000000000                00000000000     
            0x03, 0xFF, 0xE0, 0x07, 0xFF, 0xC0, ##        0000000000000          0000000000000      
            0x01, 0xFF, 0xFF, 0xFF, 0xFF, 0x80, ##         0000000000000000000000000000000000       
            0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0x00, ##          00000000000000000000000000000000        
            0x00, 0x3F, 0xFF, 0xFF, 0xFC, 0x00, ##            0000000000000000000000000000          
            0x00, 0x1F, 0xFF, 0xFF, 0xF8, 0x00, ##             00000000000000000000000000           
            0x00, 0x03, 0xFF, 0xFF, 0xC0, 0x00, ##                00000000000000000000              
            0x00, 0x00, 0x3F, 0xFC, 0x00, 0x00, ##                    000000000000                  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '221' => {    # 'Ý'
        'width'    => 52, 
        'xoffset'  => 0, 
        'xadvance' => 52, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x0F, 0xF0, 0x00, 0x00, ##                              00000000                
            0x00, 0x00, 0x00, 0x1F, 0xE0, 0x00, 0x00, ##                             00000000                 
            0x00, 0x00, 0x00, 0x3F, 0xC0, 0x00, 0x00, ##                            00000000                  
            0x00, 0x00, 0x00, 0x3F, 0x80, 0x00, 0x00, ##                            0000000                   
            0x00, 0x00, 0x00, 0x7F, 0x00, 0x00, 0x00, ##                           0000000                    
            0x00, 0x00, 0x00, 0xFE, 0x00, 0x00, 0x00, ##                          0000000                     
            0x00, 0x00, 0x00, 0xFC, 0x00, 0x00, 0x00, ##                          000000                      
            0x00, 0x00, 0x01, 0xFC, 0x00, 0x00, 0x00, ##                         0000000                      
            0x00, 0x00, 0x03, 0xF8, 0x00, 0x00, 0x00, ##                        0000000                       
            0x00, 0x00, 0x07, 0xF0, 0x00, 0x00, 0x00, ##                       0000000                        
            0x00, 0x00, 0x07, 0xE0, 0x00, 0x00, 0x00, ##                       000000                         
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                      
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                      
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                      
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                      
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                      
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                      
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x1F, 0xF0, ##  000000000                                  000000000
            0x7F, 0xC0, 0x00, 0x00, 0x00, 0x3F, 0xE0, ##   000000000                                000000000 
            0x7F, 0xC0, 0x00, 0x00, 0x00, 0x3F, 0xE0, ##   000000000                                000000000 
            0x3F, 0xE0, 0x00, 0x00, 0x00, 0x7F, 0xC0, ##    000000000                              000000000  
            0x1F, 0xF0, 0x00, 0x00, 0x00, 0xFF, 0x80, ##     000000000                            000000000   
            0x1F, 0xF0, 0x00, 0x00, 0x00, 0xFF, 0x80, ##     000000000                            000000000   
            0x0F, 0xF8, 0x00, 0x00, 0x01, 0xFF, 0x00, ##      000000000                          000000000    
            0x07, 0xFC, 0x00, 0x00, 0x03, 0xFE, 0x00, ##       000000000                        000000000     
            0x07, 0xFC, 0x00, 0x00, 0x03, 0xFE, 0x00, ##       000000000                        000000000     
            0x03, 0xFE, 0x00, 0x00, 0x07, 0xFC, 0x00, ##        000000000                      000000000      
            0x01, 0xFF, 0x00, 0x00, 0x0F, 0xF8, 0x00, ##         000000000                    000000000       
            0x01, 0xFF, 0x00, 0x00, 0x0F, 0xF8, 0x00, ##         000000000                    000000000       
            0x00, 0xFF, 0x80, 0x00, 0x1F, 0xF0, 0x00, ##          000000000                  000000000        
            0x00, 0x7F, 0xC0, 0x00, 0x3F, 0xE0, 0x00, ##           000000000                000000000         
            0x00, 0x7F, 0xC0, 0x00, 0x3F, 0xE0, 0x00, ##           000000000                000000000         
            0x00, 0x3F, 0xE0, 0x00, 0x7F, 0xC0, 0x00, ##            000000000              000000000          
            0x00, 0x1F, 0xF0, 0x00, 0xFF, 0x80, 0x00, ##             000000000            000000000           
            0x00, 0x1F, 0xF0, 0x00, 0xFF, 0x80, 0x00, ##             000000000            000000000           
            0x00, 0x0F, 0xF8, 0x01, 0xFF, 0x00, 0x00, ##              000000000          000000000            
            0x00, 0x07, 0xFC, 0x03, 0xFE, 0x00, 0x00, ##               000000000        000000000             
            0x00, 0x07, 0xFC, 0x03, 0xFE, 0x00, 0x00, ##               000000000        000000000             
            0x00, 0x03, 0xFE, 0x07, 0xFC, 0x00, 0x00, ##                000000000      000000000              
            0x00, 0x01, 0xFF, 0x07, 0xF8, 0x00, 0x00, ##                 000000000     00000000               
            0x00, 0x01, 0xFF, 0x0F, 0xF8, 0x00, 0x00, ##                 000000000    000000000               
            0x00, 0x00, 0xFF, 0x9F, 0xF0, 0x00, 0x00, ##                  000000000  000000000                
            0x00, 0x00, 0x7F, 0xDF, 0xE0, 0x00, 0x00, ##                   000000000 00000000                 
            0x00, 0x00, 0x7F, 0xFF, 0xE0, 0x00, 0x00, ##                   000000000000000000                 
            0x00, 0x00, 0x3F, 0xFF, 0xC0, 0x00, 0x00, ##                    0000000000000000                  
            0x00, 0x00, 0x1F, 0xFF, 0x80, 0x00, 0x00, ##                     00000000000000                   
            0x00, 0x00, 0x1F, 0xFF, 0x80, 0x00, 0x00, ##                     00000000000000                   
            0x00, 0x00, 0x0F, 0xFF, 0x00, 0x00, 0x00, ##                      000000000000                    
            0x00, 0x00, 0x07, 0xFE, 0x00, 0x00, 0x00, ##                       0000000000                     
            0x00, 0x00, 0x07, 0xFE, 0x00, 0x00, 0x00, ##                       0000000000                     
            0x00, 0x00, 0x03, 0xFC, 0x00, 0x00, 0x00, ##                        00000000                      
            0x00, 0x00, 0x03, 0xFC, 0x00, 0x00, 0x00, ##                        00000000                      
            0x00, 0x00, 0x03, 0xFC, 0x00, 0x00, 0x00, ##                        00000000                      
            0x00, 0x00, 0x03, 0xFC, 0x00, 0x00, 0x00, ##                        00000000                      
            0x00, 0x00, 0x03, 0xFC, 0x00, 0x00, 0x00, ##                        00000000                      
            0x00, 0x00, 0x03, 0xFC, 0x00, 0x00, 0x00, ##                        00000000                      
            0x00, 0x00, 0x03, 0xFC, 0x00, 0x00, 0x00, ##                        00000000                      
            0x00, 0x00, 0x03, 0xFC, 0x00, 0x00, 0x00, ##                        00000000                      
            0x00, 0x00, 0x03, 0xFC, 0x00, 0x00, 0x00, ##                        00000000                      
            0x00, 0x00, 0x03, 0xFC, 0x00, 0x00, 0x00, ##                        00000000                      
            0x00, 0x00, 0x03, 0xFC, 0x00, 0x00, 0x00, ##                        00000000                      
            0x00, 0x00, 0x03, 0xFC, 0x00, 0x00, 0x00, ##                        00000000                      
            0x00, 0x00, 0x03, 0xFC, 0x00, 0x00, 0x00, ##                        00000000                      
            0x00, 0x00, 0x03, 0xFC, 0x00, 0x00, 0x00, ##                        00000000                      
            0x00, 0x00, 0x03, 0xFC, 0x00, 0x00, 0x00, ##                        00000000                      
            0x00, 0x00, 0x03, 0xFC, 0x00, 0x00, 0x00, ##                        00000000                      
            0x00, 0x00, 0x03, 0xFC, 0x00, 0x00, 0x00, ##                        00000000                      
            0x00, 0x00, 0x03, 0xFC, 0x00, 0x00, 0x00, ##                        00000000                      
            0x00, 0x00, 0x03, 0xFC, 0x00, 0x00, 0x00, ##                        00000000                      
            0x00, 0x00, 0x03, 0xFC, 0x00, 0x00, 0x00, ##                        00000000                      
            0x00, 0x00, 0x03, 0xFC, 0x00, 0x00, 0x00, ##                        00000000                      
            0x00, 0x00, 0x03, 0xFC, 0x00, 0x00, 0x00, ##                        00000000                      
            0x00, 0x00, 0x03, 0xFC, 0x00, 0x00, 0x00, ##                        00000000                      
            0x00, 0x00, 0x03, 0xFC, 0x00, 0x00, 0x00, ##                        00000000                      
            0x00, 0x00, 0x03, 0xFC, 0x00, 0x00, 0x00, ##                        00000000                      
            0x00, 0x00, 0x03, 0xFC, 0x00, 0x00, 0x00, ##                        00000000                      
            0x00, 0x00, 0x03, 0xFC, 0x00, 0x00, 0x00, ##                        00000000                      
            0x00, 0x00, 0x03, 0xFC, 0x00, 0x00, 0x00, ##                        00000000                      
            0x00, 0x00, 0x03, 0xFC, 0x00, 0x00, 0x00, ##                        00000000                      
            0x00, 0x00, 0x03, 0xFC, 0x00, 0x00, 0x00, ##                        00000000                      
            0x00, 0x00, 0x03, 0xFC, 0x00, 0x00, 0x00, ##                        00000000                      
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '222' => {    # 'Þ'
        'width'    => 41, 
        'xoffset'  => 9, 
        'xadvance' => 53, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0xFF, 0xFF, 0x80, 0x00, 0x00, ##  0000000000000000000000000                
            0xFF, 0xFF, 0xFF, 0xFC, 0x00, 0x00, ##  000000000000000000000000000000           
            0xFF, 0xFF, 0xFF, 0xFF, 0x00, 0x00, ##  00000000000000000000000000000000         
            0xFF, 0xFF, 0xFF, 0xFF, 0xC0, 0x00, ##  0000000000000000000000000000000000       
            0xFF, 0xFF, 0xFF, 0xFF, 0xE0, 0x00, ##  00000000000000000000000000000000000      
            0xFF, 0xFF, 0xFF, 0xFF, 0xF0, 0x00, ##  000000000000000000000000000000000000     
            0xFF, 0x00, 0x01, 0xFF, 0xF8, 0x00, ##  00000000               00000000000000    
            0xFF, 0x00, 0x00, 0x3F, 0xFC, 0x00, ##  00000000                  000000000000   
            0xFF, 0x00, 0x00, 0x0F, 0xFE, 0x00, ##  00000000                    00000000000  
            0xFF, 0x00, 0x00, 0x07, 0xFE, 0x00, ##  00000000                     0000000000  
            0xFF, 0x00, 0x00, 0x03, 0xFF, 0x00, ##  00000000                      0000000000 
            0xFF, 0x00, 0x00, 0x03, 0xFF, 0x00, ##  00000000                      0000000000 
            0xFF, 0x00, 0x00, 0x01, 0xFF, 0x00, ##  00000000                       000000000 
            0xFF, 0x00, 0x00, 0x01, 0xFF, 0x00, ##  00000000                       000000000 
            0xFF, 0x00, 0x00, 0x00, 0xFF, 0x80, ##  00000000                        000000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, 0x80, ##  00000000                        000000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, 0x80, ##  00000000                        000000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, 0x80, ##  00000000                        000000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, 0x80, ##  00000000                        000000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, 0x80, ##  00000000                        000000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, 0x80, ##  00000000                        000000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, 0x80, ##  00000000                        000000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, 0x80, ##  00000000                        000000000
            0xFF, 0x00, 0x00, 0x01, 0xFF, 0x80, ##  00000000                       0000000000
            0xFF, 0x00, 0x00, 0x01, 0xFF, 0x00, ##  00000000                       000000000 
            0xFF, 0x00, 0x00, 0x03, 0xFF, 0x00, ##  00000000                      0000000000 
            0xFF, 0x00, 0x00, 0x03, 0xFF, 0x00, ##  00000000                      0000000000 
            0xFF, 0x00, 0x00, 0x07, 0xFE, 0x00, ##  00000000                     0000000000  
            0xFF, 0x00, 0x00, 0x0F, 0xFE, 0x00, ##  00000000                    00000000000  
            0xFF, 0x00, 0x00, 0x3F, 0xFC, 0x00, ##  00000000                  000000000000   
            0xFF, 0x00, 0x01, 0xFF, 0xF8, 0x00, ##  00000000               00000000000000    
            0xFF, 0xFF, 0xFF, 0xFF, 0xF0, 0x00, ##  000000000000000000000000000000000000     
            0xFF, 0xFF, 0xFF, 0xFF, 0xE0, 0x00, ##  00000000000000000000000000000000000      
            0xFF, 0xFF, 0xFF, 0xFF, 0xC0, 0x00, ##  0000000000000000000000000000000000       
            0xFF, 0xFF, 0xFF, 0xFF, 0x00, 0x00, ##  00000000000000000000000000000000         
            0xFF, 0xFF, 0xFF, 0xFC, 0x00, 0x00, ##  000000000000000000000000000000           
            0xFF, 0xFF, 0xFF, 0xC0, 0x00, 0x00, ##  00000000000000000000000000               
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '223' => {    # 'ß'
        'width'    => 43, 
        'xoffset'  => 8, 
        'xadvance' => 55, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x03, 0xFF, 0x80, 0x00, 0x00, ##                00000000000                  
            0x00, 0x3F, 0xFF, 0xF0, 0x00, 0x00, ##            000000000000000000               
            0x00, 0xFF, 0xFF, 0xFC, 0x00, 0x00, ##          0000000000000000000000             
            0x03, 0xFF, 0xFF, 0xFE, 0x00, 0x00, ##        0000000000000000000000000            
            0x07, 0xFF, 0xFF, 0xFF, 0x80, 0x00, ##       0000000000000000000000000000          
            0x0F, 0xFF, 0xFF, 0xFF, 0xC0, 0x00, ##      000000000000000000000000000000         
            0x1F, 0xFE, 0x01, 0xFF, 0xC0, 0x00, ##     000000000000        00000000000         
            0x1F, 0xF8, 0x00, 0x7F, 0xE0, 0x00, ##     0000000000            0000000000        
            0x3F, 0xE0, 0x00, 0x1F, 0xE0, 0x00, ##    000000000                00000000        
            0x3F, 0xC0, 0x00, 0x0F, 0xF0, 0x00, ##    00000000                  00000000       
            0x7F, 0xC0, 0x00, 0x07, 0xF0, 0x00, ##   000000000                   0000000       
            0x7F, 0x80, 0x00, 0x07, 0xF8, 0x00, ##   00000000                    00000000      
            0x7F, 0x80, 0x00, 0x07, 0xF8, 0x00, ##   00000000                    00000000      
            0xFF, 0x00, 0x00, 0x03, 0xF8, 0x00, ##  00000000                      0000000      
            0xFF, 0x00, 0x00, 0x03, 0xF8, 0x00, ##  00000000                      0000000      
            0xFF, 0x00, 0x00, 0x07, 0xF8, 0x00, ##  00000000                     00000000      
            0xFF, 0x00, 0x00, 0x3F, 0xFC, 0x00, ##  00000000                  000000000000     
            0xFF, 0x00, 0x01, 0xFF, 0xFC, 0x00, ##  00000000               000000000000000     
            0xFF, 0x00, 0x03, 0xFF, 0xFC, 0x00, ##  00000000              0000000000000000     
            0xFF, 0x00, 0x0F, 0xFF, 0xC0, 0x00, ##  00000000            00000000000000         
            0xFF, 0x00, 0x1F, 0xFC, 0x00, 0x00, ##  00000000           00000000000             
            0xFF, 0x00, 0x1F, 0xF0, 0x00, 0x00, ##  00000000           000000000               
            0xFF, 0x00, 0x3F, 0xE0, 0x00, 0x00, ##  00000000          000000000                
            0xFF, 0x00, 0x7F, 0xC0, 0x00, 0x00, ##  00000000         000000000                 
            0xFF, 0x00, 0x7F, 0x80, 0x00, 0x00, ##  00000000         00000000                  
            0xFF, 0x00, 0xFF, 0x00, 0x00, 0x00, ##  00000000        00000000                   
            0xFF, 0x00, 0xFF, 0x00, 0x00, 0x00, ##  00000000        00000000                   
            0xFF, 0x00, 0xFF, 0x00, 0x00, 0x00, ##  00000000        00000000                   
            0xFF, 0x00, 0xFF, 0x00, 0x00, 0x00, ##  00000000        00000000                   
            0xFF, 0x00, 0xFF, 0x00, 0x00, 0x00, ##  00000000        00000000                   
            0xFF, 0x00, 0xFF, 0x00, 0x00, 0x00, ##  00000000        00000000                   
            0xFF, 0x00, 0xFF, 0x80, 0x00, 0x00, ##  00000000        000000000                  
            0xFF, 0x00, 0xFF, 0xC0, 0x00, 0x00, ##  00000000        0000000000                 
            0xFF, 0x00, 0x7F, 0xE0, 0x00, 0x00, ##  00000000         0000000000                
            0xFF, 0x00, 0x7F, 0xF0, 0x00, 0x00, ##  00000000         00000000000               
            0xFF, 0x00, 0x7F, 0xF8, 0x00, 0x00, ##  00000000         000000000000              
            0xFF, 0x00, 0x3F, 0xFE, 0x00, 0x00, ##  00000000          0000000000000            
            0xFF, 0x00, 0x1F, 0xFF, 0x00, 0x00, ##  00000000           0000000000000           
            0xFF, 0x00, 0x0F, 0xFF, 0xC0, 0x00, ##  00000000            00000000000000         
            0xFF, 0x00, 0x07, 0xFF, 0xE0, 0x00, ##  00000000             00000000000000        
            0xFF, 0x00, 0x03, 0xFF, 0xF8, 0x00, ##  00000000              000000000000000      
            0xFF, 0x00, 0x00, 0xFF, 0xFC, 0x00, ##  00000000                00000000000000     
            0xFF, 0x00, 0x00, 0x7F, 0xFE, 0x00, ##  00000000                 00000000000000    
            0xFF, 0x00, 0x00, 0x1F, 0xFF, 0x00, ##  00000000                   0000000000000   
            0xFF, 0x00, 0x00, 0x07, 0xFF, 0x80, ##  00000000                     000000000000  
            0xFF, 0x00, 0x00, 0x03, 0xFF, 0x80, ##  00000000                      00000000000  
            0xFF, 0x00, 0x00, 0x00, 0xFF, 0xC0, ##  00000000                        0000000000 
            0xFF, 0x00, 0x00, 0x00, 0x7F, 0xC0, ##  00000000                         000000000 
            0xFF, 0x00, 0x00, 0x00, 0x3F, 0xE0, ##  00000000                          000000000
            0xFF, 0x00, 0x00, 0x00, 0x3F, 0xE0, ##  00000000                          000000000
            0xFF, 0x00, 0x00, 0x00, 0x1F, 0xE0, ##  00000000                           00000000
            0xFF, 0x00, 0x00, 0x00, 0x1F, 0xE0, ##  00000000                           00000000
            0xFF, 0x00, 0x00, 0x00, 0x1F, 0xE0, ##  00000000                           00000000
            0xFF, 0x00, 0x00, 0x00, 0x1F, 0xE0, ##  00000000                           00000000
            0xFF, 0x00, 0x00, 0x00, 0x1F, 0xE0, ##  00000000                           00000000
            0xFF, 0x00, 0x00, 0x00, 0x1F, 0xE0, ##  00000000                           00000000
            0xFF, 0x00, 0x00, 0x00, 0x3F, 0xC0, ##  00000000                          00000000 
            0xFF, 0x00, 0x00, 0x00, 0x3F, 0xC0, ##  00000000                          00000000 
            0xFF, 0x00, 0x00, 0x00, 0x7F, 0xC0, ##  00000000                         000000000 
            0xFF, 0x07, 0x00, 0x00, 0xFF, 0x80, ##  00000000     000                000000000  
            0xFF, 0x07, 0xF0, 0x07, 0xFF, 0x80, ##  00000000     0000000         000000000000  
            0xFF, 0x07, 0xFF, 0xFF, 0xFF, 0x00, ##  00000000     000000000000000000000000000   
            0xFF, 0x07, 0xFF, 0xFF, 0xFE, 0x00, ##  00000000     00000000000000000000000000    
            0xFF, 0x07, 0xFF, 0xFF, 0xFC, 0x00, ##  00000000     0000000000000000000000000     
            0xFF, 0x07, 0xFF, 0xFF, 0xF0, 0x00, ##  00000000     00000000000000000000000       
            0xFF, 0x03, 0xFF, 0xFF, 0xC0, 0x00, ##  00000000      00000000000000000000         
            0x00, 0x00, 0x1F, 0xFC, 0x00, 0x00, ##                     00000000000             
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '224' => {    # 'à'
        'width'    => 40, 
        'xoffset'  => 5, 
        'xadvance' => 53, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x03, 0xFC, 0x00, 0x00, 0x00, ##        00000000                          
            0x01, 0xFE, 0x00, 0x00, 0x00, ##         00000000                         
            0x00, 0xFF, 0x00, 0x00, 0x00, ##          00000000                        
            0x00, 0x7F, 0x00, 0x00, 0x00, ##           0000000                        
            0x00, 0x7F, 0x80, 0x00, 0x00, ##           00000000                       
            0x00, 0x3F, 0xC0, 0x00, 0x00, ##            00000000                      
            0x00, 0x1F, 0xE0, 0x00, 0x00, ##             00000000                     
            0x00, 0x0F, 0xE0, 0x00, 0x00, ##              0000000                     
            0x00, 0x07, 0xF0, 0x00, 0x00, ##               0000000                    
            0x00, 0x03, 0xF8, 0x00, 0x00, ##                0000000                   
            0x00, 0x01, 0xFC, 0x00, 0x00, ##                 0000000                  
            0x00, 0x01, 0xFC, 0x00, 0x00, ##                 0000000                  
            0x00, 0x00, 0xFE, 0x00, 0x00, ##                  0000000                 
            0x00, 0x00, 0x7F, 0x00, 0x00, ##                   0000000                
            0x00, 0x00, 0x3F, 0x80, 0x00, ##                    0000000               
            0x00, 0x00, 0x1F, 0x80, 0x00, ##                     000000               
            0x00, 0x00, 0x00, 0x00, 0x00, ##                                          
            0x00, 0x00, 0x00, 0x00, 0x00, ##                                          
            0x00, 0x00, 0x00, 0x00, 0x00, ##                                          
            0x00, 0x00, 0x00, 0x00, 0x00, ##                                          
            0x00, 0x00, 0x00, 0x00, 0x00, ##                                          
            0x00, 0x07, 0xFF, 0x80, 0x00, ##               000000000000               
            0x00, 0xFF, 0xFF, 0xF8, 0x00, ##          000000000000000000000           
            0x07, 0xFF, 0xFF, 0xFE, 0x00, ##       00000000000000000000000000         
            0x0F, 0xFF, 0xFF, 0xFF, 0x80, ##      00000000000000000000000000000       
            0x0F, 0xFF, 0xFF, 0xFF, 0xC0, ##      000000000000000000000000000000      
            0x0F, 0xFF, 0xFF, 0xFF, 0xE0, ##      0000000000000000000000000000000     
            0x0F, 0xF8, 0x01, 0xFF, 0xF0, ##      000000000          0000000000000    
            0x0F, 0xC0, 0x00, 0x3F, 0xF8, ##      000000                00000000000   
            0x0E, 0x00, 0x00, 0x0F, 0xF8, ##      000                     000000000   
            0x08, 0x00, 0x00, 0x07, 0xFC, ##      0                        000000000  
            0x00, 0x00, 0x00, 0x03, 0xFC, ##                                00000000  
            0x00, 0x00, 0x00, 0x03, 0xFC, ##                                00000000  
            0x00, 0x00, 0x00, 0x01, 0xFE, ##                                 00000000 
            0x00, 0x00, 0x00, 0x01, 0xFE, ##                                 00000000 
            0x00, 0x00, 0x00, 0x00, 0xFE, ##                                  0000000 
            0x00, 0x00, 0x00, 0x00, 0xFE, ##                                  0000000 
            0x00, 0x00, 0x00, 0x00, 0xFF, ##                                  00000000
            0x00, 0x00, 0x00, 0x00, 0xFF, ##                                  00000000
            0x00, 0x00, 0x00, 0x00, 0xFF, ##                                  00000000
            0x00, 0x01, 0xFF, 0xFF, 0xFF, ##                 0000000000000000000000000
            0x00, 0x3F, 0xFF, 0xFF, 0xFF, ##            000000000000000000000000000000
            0x00, 0xFF, 0xFF, 0xFF, 0xFF, ##          00000000000000000000000000000000
            0x03, 0xFF, 0xFF, 0xFF, 0xFF, ##        0000000000000000000000000000000000
            0x07, 0xFF, 0xFF, 0xFF, 0xFF, ##       00000000000000000000000000000000000
            0x0F, 0xFF, 0xFF, 0xFF, 0xFF, ##      000000000000000000000000000000000000
            0x1F, 0xFF, 0x80, 0x00, 0xFF, ##     00000000000000               00000000
            0x3F, 0xF8, 0x00, 0x00, 0xFF, ##    00000000000                   00000000
            0x3F, 0xE0, 0x00, 0x00, 0xFF, ##    000000000                     00000000
            0x7F, 0xC0, 0x00, 0x00, 0xFF, ##   000000000                      00000000
            0x7F, 0x80, 0x00, 0x00, 0xFF, ##   00000000                       00000000
            0xFF, 0x80, 0x00, 0x00, 0xFF, ##  000000000                       00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x01, 0xFF, ##  00000000                       000000000
            0xFF, 0x00, 0x00, 0x01, 0xFF, ##  00000000                       000000000
            0xFF, 0x00, 0x00, 0x01, 0xFF, ##  00000000                       000000000
            0xFF, 0x00, 0x00, 0x03, 0xFF, ##  00000000                      0000000000
            0xFF, 0x00, 0x00, 0x03, 0xFF, ##  00000000                      0000000000
            0xFF, 0x00, 0x00, 0x07, 0xFF, ##  00000000                     00000000000
            0xFF, 0x80, 0x00, 0x07, 0xFF, ##  000000000                    00000000000
            0x7F, 0x80, 0x00, 0x0F, 0xFF, ##   00000000                   000000000000
            0x7F, 0xC0, 0x00, 0x1F, 0xFF, ##   000000000                 0000000000000
            0x7F, 0xE0, 0x00, 0x3F, 0xFF, ##   0000000000               00000000000000
            0x3F, 0xF0, 0x00, 0xFF, 0xFF, ##    0000000000            0000000000000000
            0x3F, 0xFC, 0x03, 0xFE, 0xFF, ##    000000000000        000000000 00000000
            0x1F, 0xFF, 0xFF, 0xFC, 0xFF, ##     000000000000000000000000000  00000000
            0x0F, 0xFF, 0xFF, 0xF8, 0xFF, ##      0000000000000000000000000   00000000
            0x07, 0xFF, 0xFF, 0xF0, 0xFF, ##       00000000000000000000000    00000000
            0x03, 0xFF, 0xFF, 0xC0, 0xFF, ##        00000000000000000000      00000000
            0x00, 0xFF, 0xFF, 0x00, 0xFF, ##          0000000000000000        00000000
            0x00, 0x1F, 0xF8, 0x00, 0x00, ##             0000000000                   
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '225' => {    # 'á'
        'width'    => 40, 
        'xoffset'  => 5, 
        'xadvance' => 53, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x7F, 0xC0, ##                           000000000      
            0x00, 0x00, 0x00, 0x7F, 0x80, ##                           00000000       
            0x00, 0x00, 0x00, 0xFF, 0x00, ##                          00000000        
            0x00, 0x00, 0x01, 0xFE, 0x00, ##                         00000000         
            0x00, 0x00, 0x03, 0xFC, 0x00, ##                        00000000          
            0x00, 0x00, 0x03, 0xF8, 0x00, ##                        0000000           
            0x00, 0x00, 0x07, 0xF8, 0x00, ##                       00000000           
            0x00, 0x00, 0x0F, 0xF0, 0x00, ##                      00000000            
            0x00, 0x00, 0x1F, 0xE0, 0x00, ##                     00000000             
            0x00, 0x00, 0x1F, 0xC0, 0x00, ##                     0000000              
            0x00, 0x00, 0x3F, 0x80, 0x00, ##                    0000000               
            0x00, 0x00, 0x7F, 0x00, 0x00, ##                   0000000                
            0x00, 0x00, 0x7E, 0x00, 0x00, ##                   000000                 
            0x00, 0x00, 0xFE, 0x00, 0x00, ##                  0000000                 
            0x00, 0x01, 0xFC, 0x00, 0x00, ##                 0000000                  
            0x00, 0x03, 0xF8, 0x00, 0x00, ##                0000000                   
            0x00, 0x00, 0x00, 0x00, 0x00, ##                                          
            0x00, 0x00, 0x00, 0x00, 0x00, ##                                          
            0x00, 0x00, 0x00, 0x00, 0x00, ##                                          
            0x00, 0x00, 0x00, 0x00, 0x00, ##                                          
            0x00, 0x00, 0x00, 0x00, 0x00, ##                                          
            0x00, 0x07, 0xFF, 0x80, 0x00, ##               000000000000               
            0x00, 0xFF, 0xFF, 0xF8, 0x00, ##          000000000000000000000           
            0x07, 0xFF, 0xFF, 0xFE, 0x00, ##       00000000000000000000000000         
            0x0F, 0xFF, 0xFF, 0xFF, 0x80, ##      00000000000000000000000000000       
            0x0F, 0xFF, 0xFF, 0xFF, 0xC0, ##      000000000000000000000000000000      
            0x0F, 0xFF, 0xFF, 0xFF, 0xE0, ##      0000000000000000000000000000000     
            0x0F, 0xF8, 0x01, 0xFF, 0xF0, ##      000000000          0000000000000    
            0x0F, 0xC0, 0x00, 0x3F, 0xF8, ##      000000                00000000000   
            0x0E, 0x00, 0x00, 0x0F, 0xF8, ##      000                     000000000   
            0x08, 0x00, 0x00, 0x07, 0xFC, ##      0                        000000000  
            0x00, 0x00, 0x00, 0x03, 0xFC, ##                                00000000  
            0x00, 0x00, 0x00, 0x03, 0xFC, ##                                00000000  
            0x00, 0x00, 0x00, 0x01, 0xFE, ##                                 00000000 
            0x00, 0x00, 0x00, 0x01, 0xFE, ##                                 00000000 
            0x00, 0x00, 0x00, 0x00, 0xFE, ##                                  0000000 
            0x00, 0x00, 0x00, 0x00, 0xFE, ##                                  0000000 
            0x00, 0x00, 0x00, 0x00, 0xFF, ##                                  00000000
            0x00, 0x00, 0x00, 0x00, 0xFF, ##                                  00000000
            0x00, 0x00, 0x00, 0x00, 0xFF, ##                                  00000000
            0x00, 0x01, 0xFF, 0xFF, 0xFF, ##                 0000000000000000000000000
            0x00, 0x3F, 0xFF, 0xFF, 0xFF, ##            000000000000000000000000000000
            0x00, 0xFF, 0xFF, 0xFF, 0xFF, ##          00000000000000000000000000000000
            0x03, 0xFF, 0xFF, 0xFF, 0xFF, ##        0000000000000000000000000000000000
            0x07, 0xFF, 0xFF, 0xFF, 0xFF, ##       00000000000000000000000000000000000
            0x0F, 0xFF, 0xFF, 0xFF, 0xFF, ##      000000000000000000000000000000000000
            0x1F, 0xFF, 0x80, 0x00, 0xFF, ##     00000000000000               00000000
            0x3F, 0xF8, 0x00, 0x00, 0xFF, ##    00000000000                   00000000
            0x3F, 0xE0, 0x00, 0x00, 0xFF, ##    000000000                     00000000
            0x7F, 0xC0, 0x00, 0x00, 0xFF, ##   000000000                      00000000
            0x7F, 0x80, 0x00, 0x00, 0xFF, ##   00000000                       00000000
            0xFF, 0x80, 0x00, 0x00, 0xFF, ##  000000000                       00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x01, 0xFF, ##  00000000                       000000000
            0xFF, 0x00, 0x00, 0x01, 0xFF, ##  00000000                       000000000
            0xFF, 0x00, 0x00, 0x01, 0xFF, ##  00000000                       000000000
            0xFF, 0x00, 0x00, 0x03, 0xFF, ##  00000000                      0000000000
            0xFF, 0x00, 0x00, 0x03, 0xFF, ##  00000000                      0000000000
            0xFF, 0x00, 0x00, 0x07, 0xFF, ##  00000000                     00000000000
            0xFF, 0x80, 0x00, 0x07, 0xFF, ##  000000000                    00000000000
            0x7F, 0x80, 0x00, 0x0F, 0xFF, ##   00000000                   000000000000
            0x7F, 0xC0, 0x00, 0x1F, 0xFF, ##   000000000                 0000000000000
            0x7F, 0xE0, 0x00, 0x3F, 0xFF, ##   0000000000               00000000000000
            0x3F, 0xF0, 0x00, 0xFF, 0xFF, ##    0000000000            0000000000000000
            0x3F, 0xFC, 0x03, 0xFE, 0xFF, ##    000000000000        000000000 00000000
            0x1F, 0xFF, 0xFF, 0xFC, 0xFF, ##     000000000000000000000000000  00000000
            0x0F, 0xFF, 0xFF, 0xF8, 0xFF, ##      0000000000000000000000000   00000000
            0x07, 0xFF, 0xFF, 0xF0, 0xFF, ##       00000000000000000000000    00000000
            0x03, 0xFF, 0xFF, 0xC0, 0xFF, ##        00000000000000000000      00000000
            0x00, 0xFF, 0xFF, 0x00, 0xFF, ##          0000000000000000        00000000
            0x00, 0x1F, 0xF8, 0x00, 0x00, ##             0000000000                   
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '226' => {    # 'â'
        'width'    => 40, 
        'xoffset'  => 5, 
        'xadvance' => 53, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x7E, 0x00, 0x00, ##                   000000                 
            0x00, 0x00, 0xFF, 0x00, 0x00, ##                  00000000                
            0x00, 0x01, 0xFF, 0x80, 0x00, ##                 0000000000               
            0x00, 0x01, 0xFF, 0x80, 0x00, ##                 0000000000               
            0x00, 0x03, 0xFF, 0xC0, 0x00, ##                000000000000              
            0x00, 0x07, 0xFF, 0xC0, 0x00, ##               0000000000000              
            0x00, 0x07, 0xE7, 0xE0, 0x00, ##               000000  000000             
            0x00, 0x0F, 0xE7, 0xF0, 0x00, ##              0000000  0000000            
            0x00, 0x1F, 0xC3, 0xF0, 0x00, ##             0000000    000000            
            0x00, 0x1F, 0x81, 0xF8, 0x00, ##             000000      000000           
            0x00, 0x3F, 0x01, 0xFC, 0x00, ##            000000       0000000          
            0x00, 0x7F, 0x00, 0xFC, 0x00, ##           0000000        000000          
            0x00, 0x7E, 0x00, 0x7E, 0x00, ##           000000          000000         
            0x00, 0xFC, 0x00, 0x3F, 0x00, ##          000000            000000        
            0x00, 0xFC, 0x00, 0x3F, 0x00, ##          000000            000000        
            0x01, 0xF8, 0x00, 0x1F, 0x80, ##         000000              000000       
            0x00, 0x00, 0x00, 0x00, 0x00, ##                                          
            0x00, 0x00, 0x00, 0x00, 0x00, ##                                          
            0x00, 0x00, 0x00, 0x00, 0x00, ##                                          
            0x00, 0x00, 0x00, 0x00, 0x00, ##                                          
            0x00, 0x00, 0x00, 0x00, 0x00, ##                                          
            0x00, 0x07, 0xFF, 0x80, 0x00, ##               000000000000               
            0x00, 0xFF, 0xFF, 0xF8, 0x00, ##          000000000000000000000           
            0x07, 0xFF, 0xFF, 0xFE, 0x00, ##       00000000000000000000000000         
            0x0F, 0xFF, 0xFF, 0xFF, 0x80, ##      00000000000000000000000000000       
            0x0F, 0xFF, 0xFF, 0xFF, 0xC0, ##      000000000000000000000000000000      
            0x0F, 0xFF, 0xFF, 0xFF, 0xE0, ##      0000000000000000000000000000000     
            0x0F, 0xF8, 0x01, 0xFF, 0xF0, ##      000000000          0000000000000    
            0x0F, 0xC0, 0x00, 0x3F, 0xF8, ##      000000                00000000000   
            0x0E, 0x00, 0x00, 0x0F, 0xF8, ##      000                     000000000   
            0x08, 0x00, 0x00, 0x07, 0xFC, ##      0                        000000000  
            0x00, 0x00, 0x00, 0x03, 0xFC, ##                                00000000  
            0x00, 0x00, 0x00, 0x03, 0xFC, ##                                00000000  
            0x00, 0x00, 0x00, 0x01, 0xFE, ##                                 00000000 
            0x00, 0x00, 0x00, 0x01, 0xFE, ##                                 00000000 
            0x00, 0x00, 0x00, 0x00, 0xFE, ##                                  0000000 
            0x00, 0x00, 0x00, 0x00, 0xFE, ##                                  0000000 
            0x00, 0x00, 0x00, 0x00, 0xFF, ##                                  00000000
            0x00, 0x00, 0x00, 0x00, 0xFF, ##                                  00000000
            0x00, 0x00, 0x00, 0x00, 0xFF, ##                                  00000000
            0x00, 0x01, 0xFF, 0xFF, 0xFF, ##                 0000000000000000000000000
            0x00, 0x3F, 0xFF, 0xFF, 0xFF, ##            000000000000000000000000000000
            0x00, 0xFF, 0xFF, 0xFF, 0xFF, ##          00000000000000000000000000000000
            0x03, 0xFF, 0xFF, 0xFF, 0xFF, ##        0000000000000000000000000000000000
            0x07, 0xFF, 0xFF, 0xFF, 0xFF, ##       00000000000000000000000000000000000
            0x0F, 0xFF, 0xFF, 0xFF, 0xFF, ##      000000000000000000000000000000000000
            0x1F, 0xFF, 0x80, 0x00, 0xFF, ##     00000000000000               00000000
            0x3F, 0xF8, 0x00, 0x00, 0xFF, ##    00000000000                   00000000
            0x3F, 0xE0, 0x00, 0x00, 0xFF, ##    000000000                     00000000
            0x7F, 0xC0, 0x00, 0x00, 0xFF, ##   000000000                      00000000
            0x7F, 0x80, 0x00, 0x00, 0xFF, ##   00000000                       00000000
            0xFF, 0x80, 0x00, 0x00, 0xFF, ##  000000000                       00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x01, 0xFF, ##  00000000                       000000000
            0xFF, 0x00, 0x00, 0x01, 0xFF, ##  00000000                       000000000
            0xFF, 0x00, 0x00, 0x01, 0xFF, ##  00000000                       000000000
            0xFF, 0x00, 0x00, 0x03, 0xFF, ##  00000000                      0000000000
            0xFF, 0x00, 0x00, 0x03, 0xFF, ##  00000000                      0000000000
            0xFF, 0x00, 0x00, 0x07, 0xFF, ##  00000000                     00000000000
            0xFF, 0x80, 0x00, 0x07, 0xFF, ##  000000000                    00000000000
            0x7F, 0x80, 0x00, 0x0F, 0xFF, ##   00000000                   000000000000
            0x7F, 0xC0, 0x00, 0x1F, 0xFF, ##   000000000                 0000000000000
            0x7F, 0xE0, 0x00, 0x3F, 0xFF, ##   0000000000               00000000000000
            0x3F, 0xF0, 0x00, 0xFF, 0xFF, ##    0000000000            0000000000000000
            0x3F, 0xFC, 0x03, 0xFE, 0xFF, ##    000000000000        000000000 00000000
            0x1F, 0xFF, 0xFF, 0xFC, 0xFF, ##     000000000000000000000000000  00000000
            0x0F, 0xFF, 0xFF, 0xF8, 0xFF, ##      0000000000000000000000000   00000000
            0x07, 0xFF, 0xFF, 0xF0, 0xFF, ##       00000000000000000000000    00000000
            0x03, 0xFF, 0xFF, 0xC0, 0xFF, ##        00000000000000000000      00000000
            0x00, 0xFF, 0xFF, 0x00, 0xFF, ##          0000000000000000        00000000
            0x00, 0x1F, 0xF8, 0x00, 0x00, ##             0000000000                   
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '227' => {    # 'ã'
        'width'    => 40, 
        'xoffset'  => 5, 
        'xadvance' => 53, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x1F, 0x80, 0x07, 0xC0, ##             000000            00000      
            0x00, 0x3F, 0xE0, 0x07, 0xC0, ##            000000000          00000      
            0x00, 0x7F, 0xF0, 0x07, 0xC0, ##           00000000000         00000      
            0x00, 0xFF, 0xF8, 0x07, 0xC0, ##          0000000000000        00000      
            0x01, 0xFF, 0xFC, 0x07, 0xC0, ##         000000000000000       00000      
            0x01, 0xF8, 0xFE, 0x0F, 0x80, ##         000000   0000000     00000       
            0x01, 0xF0, 0x7F, 0x1F, 0x80, ##         00000     0000000   000000       
            0x03, 0xE0, 0x3F, 0xFF, 0x80, ##        00000       000000000000000       
            0x03, 0xE0, 0x1F, 0xFF, 0x00, ##        00000        0000000000000        
            0x03, 0xE0, 0x0F, 0xFE, 0x00, ##        00000         00000000000         
            0x03, 0xE0, 0x07, 0xFC, 0x00, ##        00000          000000000          
            0x03, 0xE0, 0x01, 0xF8, 0x00, ##        00000            000000           
            0x00, 0x00, 0x00, 0x00, 0x00, ##                                          
            0x00, 0x00, 0x00, 0x00, 0x00, ##                                          
            0x00, 0x00, 0x00, 0x00, 0x00, ##                                          
            0x00, 0x00, 0x00, 0x00, 0x00, ##                                          
            0x00, 0x00, 0x00, 0x00, 0x00, ##                                          
            0x00, 0x00, 0x00, 0x00, 0x00, ##                                          
            0x00, 0x00, 0x00, 0x00, 0x00, ##                                          
            0x00, 0x07, 0xFF, 0x80, 0x00, ##               000000000000               
            0x00, 0xFF, 0xFF, 0xF8, 0x00, ##          000000000000000000000           
            0x07, 0xFF, 0xFF, 0xFE, 0x00, ##       00000000000000000000000000         
            0x1F, 0xFF, 0xFF, 0xFF, 0x80, ##     000000000000000000000000000000       
            0x1F, 0xFF, 0xFF, 0xFF, 0xC0, ##     0000000000000000000000000000000      
            0x1F, 0xFF, 0xFF, 0xFF, 0xE0, ##     00000000000000000000000000000000     
            0x1F, 0xF8, 0x01, 0xFF, 0xF0, ##     0000000000          0000000000000    
            0x1F, 0x80, 0x00, 0x3F, 0xF8, ##     000000                 00000000000   
            0x1E, 0x00, 0x00, 0x0F, 0xF8, ##     0000                     000000000   
            0x18, 0x00, 0x00, 0x07, 0xFC, ##     00                        000000000  
            0x00, 0x00, 0x00, 0x03, 0xFC, ##                                00000000  
            0x00, 0x00, 0x00, 0x03, 0xFC, ##                                00000000  
            0x00, 0x00, 0x00, 0x01, 0xFE, ##                                 00000000 
            0x00, 0x00, 0x00, 0x01, 0xFE, ##                                 00000000 
            0x00, 0x00, 0x00, 0x00, 0xFE, ##                                  0000000 
            0x00, 0x00, 0x00, 0x00, 0xFE, ##                                  0000000 
            0x00, 0x00, 0x00, 0x00, 0xFF, ##                                  00000000
            0x00, 0x00, 0x00, 0x00, 0xFF, ##                                  00000000
            0x00, 0x00, 0x00, 0x00, 0xFF, ##                                  00000000
            0x00, 0x01, 0xFF, 0xFF, 0xFF, ##                 0000000000000000000000000
            0x00, 0x3F, 0xFF, 0xFF, 0xFF, ##            000000000000000000000000000000
            0x00, 0xFF, 0xFF, 0xFF, 0xFF, ##          00000000000000000000000000000000
            0x03, 0xFF, 0xFF, 0xFF, 0xFF, ##        0000000000000000000000000000000000
            0x07, 0xFF, 0xFF, 0xFF, 0xFF, ##       00000000000000000000000000000000000
            0x0F, 0xFF, 0xFF, 0xFF, 0xFF, ##      000000000000000000000000000000000000
            0x1F, 0xFF, 0x80, 0x00, 0xFF, ##     00000000000000               00000000
            0x3F, 0xF8, 0x00, 0x00, 0xFF, ##    00000000000                   00000000
            0x3F, 0xE0, 0x00, 0x00, 0xFF, ##    000000000                     00000000
            0x7F, 0xC0, 0x00, 0x00, 0xFF, ##   000000000                      00000000
            0x7F, 0x80, 0x00, 0x00, 0xFF, ##   00000000                       00000000
            0xFF, 0x80, 0x00, 0x00, 0xFF, ##  000000000                       00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x01, 0xFF, ##  00000000                       000000000
            0xFF, 0x00, 0x00, 0x01, 0xFF, ##  00000000                       000000000
            0xFF, 0x00, 0x00, 0x01, 0xFF, ##  00000000                       000000000
            0xFF, 0x00, 0x00, 0x03, 0xFF, ##  00000000                      0000000000
            0xFF, 0x00, 0x00, 0x03, 0xFF, ##  00000000                      0000000000
            0xFF, 0x00, 0x00, 0x07, 0xFF, ##  00000000                     00000000000
            0xFF, 0x80, 0x00, 0x07, 0xFF, ##  000000000                    00000000000
            0x7F, 0x80, 0x00, 0x0F, 0xFF, ##   00000000                   000000000000
            0x7F, 0xC0, 0x00, 0x1F, 0xFF, ##   000000000                 0000000000000
            0x7F, 0xE0, 0x00, 0x3F, 0xFF, ##   0000000000               00000000000000
            0x3F, 0xF0, 0x00, 0xFF, 0xFF, ##    0000000000            0000000000000000
            0x3F, 0xFC, 0x03, 0xFE, 0xFF, ##    000000000000        000000000 00000000
            0x1F, 0xFF, 0xFF, 0xFC, 0xFF, ##     000000000000000000000000000  00000000
            0x0F, 0xFF, 0xFF, 0xF8, 0xFF, ##      0000000000000000000000000   00000000
            0x07, 0xFF, 0xFF, 0xF0, 0xFF, ##       00000000000000000000000    00000000
            0x03, 0xFF, 0xFF, 0xC0, 0xFF, ##        00000000000000000000      00000000
            0x00, 0xFF, 0xFF, 0x00, 0xFF, ##          0000000000000000        00000000
            0x00, 0x1F, 0xF8, 0x00, 0x00, ##             0000000000                   
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '228' => {    # 'ä'
        'width'    => 40, 
        'xoffset'  => 5, 
        'xadvance' => 53, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0xFF, 0x00, 0xFF, 0x00, ##          00000000        00000000        
            0x00, 0xFF, 0x00, 0xFF, 0x00, ##          00000000        00000000        
            0x00, 0xFF, 0x00, 0xFF, 0x00, ##          00000000        00000000        
            0x00, 0xFF, 0x00, 0xFF, 0x00, ##          00000000        00000000        
            0x00, 0xFF, 0x00, 0xFF, 0x00, ##          00000000        00000000        
            0x00, 0xFF, 0x00, 0xFF, 0x00, ##          00000000        00000000        
            0x00, 0xFF, 0x00, 0xFF, 0x00, ##          00000000        00000000        
            0x00, 0xFF, 0x00, 0xFF, 0x00, ##          00000000        00000000        
            0x00, 0x00, 0x00, 0x00, 0x00, ##                                          
            0x00, 0x00, 0x00, 0x00, 0x00, ##                                          
            0x00, 0x00, 0x00, 0x00, 0x00, ##                                          
            0x00, 0x00, 0x00, 0x00, 0x00, ##                                          
            0x00, 0x00, 0x00, 0x00, 0x00, ##                                          
            0x00, 0x00, 0x00, 0x00, 0x00, ##                                          
            0x00, 0x00, 0x00, 0x00, 0x00, ##                                          
            0x00, 0x00, 0x00, 0x00, 0x00, ##                                          
            0x00, 0x00, 0x00, 0x00, 0x00, ##                                          
            0x00, 0x07, 0xFF, 0x80, 0x00, ##               000000000000               
            0x00, 0x7F, 0xFF, 0xF8, 0x00, ##           00000000000000000000           
            0x07, 0xFF, 0xFF, 0xFE, 0x00, ##       00000000000000000000000000         
            0x0F, 0xFF, 0xFF, 0xFF, 0x80, ##      00000000000000000000000000000       
            0x0F, 0xFF, 0xFF, 0xFF, 0xC0, ##      000000000000000000000000000000      
            0x0F, 0xFF, 0xFF, 0xFF, 0xE0, ##      0000000000000000000000000000000     
            0x0F, 0xFC, 0x01, 0xFF, 0xF0, ##      0000000000         0000000000000    
            0x0F, 0xC0, 0x00, 0x3F, 0xF8, ##      000000                00000000000   
            0x0E, 0x00, 0x00, 0x0F, 0xF8, ##      000                     000000000   
            0x08, 0x00, 0x00, 0x07, 0xFC, ##      0                        000000000  
            0x00, 0x00, 0x00, 0x03, 0xFC, ##                                00000000  
            0x00, 0x00, 0x00, 0x03, 0xFE, ##                                000000000 
            0x00, 0x00, 0x00, 0x01, 0xFE, ##                                 00000000 
            0x00, 0x00, 0x00, 0x01, 0xFE, ##                                 00000000 
            0x00, 0x00, 0x00, 0x00, 0xFE, ##                                  0000000 
            0x00, 0x00, 0x00, 0x00, 0xFE, ##                                  0000000 
            0x00, 0x00, 0x00, 0x00, 0xFF, ##                                  00000000
            0x00, 0x00, 0x00, 0x00, 0xFF, ##                                  00000000
            0x00, 0x00, 0x00, 0x00, 0xFF, ##                                  00000000
            0x00, 0x01, 0xFF, 0xFF, 0xFF, ##                 0000000000000000000000000
            0x00, 0x3F, 0xFF, 0xFF, 0xFF, ##            000000000000000000000000000000
            0x00, 0xFF, 0xFF, 0xFF, 0xFF, ##          00000000000000000000000000000000
            0x03, 0xFF, 0xFF, 0xFF, 0xFF, ##        0000000000000000000000000000000000
            0x07, 0xFF, 0xFF, 0xFF, 0xFF, ##       00000000000000000000000000000000000
            0x0F, 0xFF, 0xFF, 0xFF, 0xFF, ##      000000000000000000000000000000000000
            0x1F, 0xFF, 0x80, 0x00, 0xFF, ##     00000000000000               00000000
            0x3F, 0xF8, 0x00, 0x00, 0xFF, ##    00000000000                   00000000
            0x3F, 0xE0, 0x00, 0x00, 0xFF, ##    000000000                     00000000
            0x7F, 0xC0, 0x00, 0x00, 0xFF, ##   000000000                      00000000
            0x7F, 0x80, 0x00, 0x00, 0xFF, ##   00000000                       00000000
            0xFF, 0x80, 0x00, 0x00, 0xFF, ##  000000000                       00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x01, 0xFF, ##  00000000                       000000000
            0xFF, 0x00, 0x00, 0x01, 0xFF, ##  00000000                       000000000
            0xFF, 0x00, 0x00, 0x01, 0xFF, ##  00000000                       000000000
            0xFF, 0x00, 0x00, 0x03, 0xFF, ##  00000000                      0000000000
            0xFF, 0x00, 0x00, 0x03, 0xFF, ##  00000000                      0000000000
            0xFF, 0x00, 0x00, 0x07, 0xFF, ##  00000000                     00000000000
            0xFF, 0x80, 0x00, 0x07, 0xFF, ##  000000000                    00000000000
            0x7F, 0x80, 0x00, 0x0F, 0xFF, ##   00000000                   000000000000
            0x7F, 0xC0, 0x00, 0x1F, 0xFF, ##   000000000                 0000000000000
            0x7F, 0xE0, 0x00, 0x3F, 0xFF, ##   0000000000               00000000000000
            0x3F, 0xF0, 0x00, 0xFF, 0xFF, ##    0000000000            0000000000000000
            0x3F, 0xFC, 0x03, 0xFE, 0xFF, ##    000000000000        000000000 00000000
            0x1F, 0xFF, 0xFF, 0xFC, 0xFF, ##     000000000000000000000000000  00000000
            0x0F, 0xFF, 0xFF, 0xF8, 0xFF, ##      0000000000000000000000000   00000000
            0x07, 0xFF, 0xFF, 0xF0, 0xFF, ##       00000000000000000000000    00000000
            0x03, 0xFF, 0xFF, 0xC0, 0xFF, ##        00000000000000000000      00000000
            0x00, 0xFF, 0xFF, 0x00, 0xFF, ##          0000000000000000        00000000
            0x00, 0x1F, 0xF8, 0x00, 0x00, ##             0000000000                   
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '229' => {    # 'å'
        'width'    => 40, 
        'xoffset'  => 5, 
        'xadvance' => 53, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0xFF, 0x00, 0x00, ##                  00000000                
            0x00, 0x03, 0xFF, 0xC0, 0x00, ##                000000000000              
            0x00, 0x0F, 0xFF, 0xF0, 0x00, ##              0000000000000000            
            0x00, 0x1F, 0xFF, 0xF8, 0x00, ##             000000000000000000           
            0x00, 0x3F, 0xFF, 0xFC, 0x00, ##            00000000000000000000          
            0x00, 0x3F, 0x81, 0xFC, 0x00, ##            0000000      0000000          
            0x00, 0x7E, 0x00, 0xFE, 0x00, ##           000000         0000000         
            0x00, 0x7C, 0x00, 0x3E, 0x00, ##           00000            00000         
            0x00, 0xFC, 0x00, 0x3F, 0x00, ##          000000            000000        
            0x00, 0xF8, 0x00, 0x1F, 0x00, ##          00000              00000        
            0x00, 0xF8, 0x00, 0x1F, 0x00, ##          00000              00000        
            0x00, 0xF8, 0x00, 0x1F, 0x00, ##          00000              00000        
            0x00, 0xF8, 0x00, 0x1F, 0x00, ##          00000              00000        
            0x00, 0xF8, 0x00, 0x1F, 0x00, ##          00000              00000        
            0x00, 0xFC, 0x00, 0x3F, 0x00, ##          000000            000000        
            0x00, 0x7C, 0x00, 0x3E, 0x00, ##           00000            00000         
            0x00, 0x7E, 0x00, 0x7E, 0x00, ##           000000          000000         
            0x00, 0x3F, 0x81, 0xFC, 0x00, ##            0000000      0000000          
            0x00, 0x3F, 0xFF, 0xFC, 0x00, ##            00000000000000000000          
            0x00, 0x1F, 0xFF, 0xF8, 0x00, ##             000000000000000000           
            0x00, 0x0F, 0xFF, 0xF0, 0x00, ##              0000000000000000            
            0x00, 0x03, 0xFF, 0xC0, 0x00, ##                000000000000              
            0x00, 0x00, 0xFF, 0x00, 0x00, ##                  00000000                
            0x00, 0x00, 0x00, 0x00, 0x00, ##                                          
            0x00, 0x00, 0x00, 0x00, 0x00, ##                                          
            0x00, 0x00, 0x00, 0x00, 0x00, ##                                          
            0x00, 0x00, 0x00, 0x00, 0x00, ##                                          
            0x00, 0x00, 0x00, 0x00, 0x00, ##                                          
            0x00, 0x07, 0xFF, 0x80, 0x00, ##               000000000000               
            0x00, 0xFF, 0xFF, 0xF8, 0x00, ##          000000000000000000000           
            0x07, 0xFF, 0xFF, 0xFE, 0x00, ##       00000000000000000000000000         
            0x0F, 0xFF, 0xFF, 0xFF, 0x80, ##      00000000000000000000000000000       
            0x0F, 0xFF, 0xFF, 0xFF, 0xC0, ##      000000000000000000000000000000      
            0x0F, 0xFF, 0xFF, 0xFF, 0xE0, ##      0000000000000000000000000000000     
            0x0F, 0xF8, 0x01, 0xFF, 0xF0, ##      000000000          0000000000000    
            0x0F, 0xC0, 0x00, 0x3F, 0xF8, ##      000000                00000000000   
            0x0E, 0x00, 0x00, 0x0F, 0xF8, ##      000                     000000000   
            0x08, 0x00, 0x00, 0x07, 0xFC, ##      0                        000000000  
            0x00, 0x00, 0x00, 0x03, 0xFC, ##                                00000000  
            0x00, 0x00, 0x00, 0x03, 0xFC, ##                                00000000  
            0x00, 0x00, 0x00, 0x01, 0xFE, ##                                 00000000 
            0x00, 0x00, 0x00, 0x01, 0xFE, ##                                 00000000 
            0x00, 0x00, 0x00, 0x00, 0xFE, ##                                  0000000 
            0x00, 0x00, 0x00, 0x00, 0xFE, ##                                  0000000 
            0x00, 0x00, 0x00, 0x00, 0xFF, ##                                  00000000
            0x00, 0x00, 0x00, 0x00, 0xFF, ##                                  00000000
            0x00, 0x00, 0x00, 0x00, 0xFF, ##                                  00000000
            0x00, 0x01, 0xFF, 0xFF, 0xFF, ##                 0000000000000000000000000
            0x00, 0x3F, 0xFF, 0xFF, 0xFF, ##            000000000000000000000000000000
            0x00, 0xFF, 0xFF, 0xFF, 0xFF, ##          00000000000000000000000000000000
            0x03, 0xFF, 0xFF, 0xFF, 0xFF, ##        0000000000000000000000000000000000
            0x07, 0xFF, 0xFF, 0xFF, 0xFF, ##       00000000000000000000000000000000000
            0x0F, 0xFF, 0xFF, 0xFF, 0xFF, ##      000000000000000000000000000000000000
            0x1F, 0xFF, 0x80, 0x00, 0xFF, ##     00000000000000               00000000
            0x3F, 0xF8, 0x00, 0x00, 0xFF, ##    00000000000                   00000000
            0x3F, 0xE0, 0x00, 0x00, 0xFF, ##    000000000                     00000000
            0x7F, 0xC0, 0x00, 0x00, 0xFF, ##   000000000                      00000000
            0x7F, 0x80, 0x00, 0x00, 0xFF, ##   00000000                       00000000
            0xFF, 0x80, 0x00, 0x00, 0xFF, ##  000000000                       00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x01, 0xFF, ##  00000000                       000000000
            0xFF, 0x00, 0x00, 0x01, 0xFF, ##  00000000                       000000000
            0xFF, 0x00, 0x00, 0x01, 0xFF, ##  00000000                       000000000
            0xFF, 0x00, 0x00, 0x03, 0xFF, ##  00000000                      0000000000
            0xFF, 0x00, 0x00, 0x03, 0xFF, ##  00000000                      0000000000
            0xFF, 0x00, 0x00, 0x07, 0xFF, ##  00000000                     00000000000
            0xFF, 0x80, 0x00, 0x07, 0xFF, ##  000000000                    00000000000
            0x7F, 0x80, 0x00, 0x0F, 0xFF, ##   00000000                   000000000000
            0x7F, 0xC0, 0x00, 0x1F, 0xFF, ##   000000000                 0000000000000
            0x7F, 0xE0, 0x00, 0x3F, 0xFF, ##   0000000000               00000000000000
            0x3F, 0xF0, 0x00, 0xFF, 0xFF, ##    0000000000            0000000000000000
            0x3F, 0xFC, 0x03, 0xFE, 0xFF, ##    000000000000        000000000 00000000
            0x1F, 0xFF, 0xFF, 0xFC, 0xFF, ##     000000000000000000000000000  00000000
            0x0F, 0xFF, 0xFF, 0xF8, 0xFF, ##      0000000000000000000000000   00000000
            0x07, 0xFF, 0xFF, 0xF0, 0xFF, ##       00000000000000000000000    00000000
            0x03, 0xFF, 0xFF, 0xC0, 0xFF, ##        00000000000000000000      00000000
            0x00, 0xFF, 0xFF, 0x00, 0xFF, ##          0000000000000000        00000000
            0x00, 0x1F, 0xF8, 0x00, 0x00, ##             0000000000                   
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '230' => {    # 'æ'
        'width'    => 76, 
        'xoffset'  => 5, 
        'xadvance' => 86, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0xFF, 0x80, 0x00, 0x00, 0x3F, 0xF0, 0x00, 0x00, ##               000000000000                         0000000000                
            0x00, 0x00, 0xFF, 0xF8, 0x00, 0x03, 0xFF, 0xFF, 0x00, 0x00, ##           00000000000000000000                 000000000000000000            
            0x00, 0x00, 0xFF, 0xFE, 0x00, 0x0F, 0xFF, 0xFF, 0xC0, 0x00, ##       00000000000000000000000000             0000000000000000000000          
            0x00, 0x00, 0xFF, 0xFF, 0x80, 0x3F, 0xFF, 0xFF, 0xE0, 0x00, ##      00000000000000000000000000000         0000000000000000000000000         
            0x00, 0x00, 0xFF, 0xFF, 0xC0, 0x7F, 0xFF, 0xFF, 0xF8, 0x00, ##      000000000000000000000000000000       0000000000000000000000000000       
            0x00, 0x00, 0xFF, 0xFF, 0xE0, 0xFF, 0xFF, 0xFF, 0xFC, 0x00, ##      0000000000000000000000000000000     000000000000000000000000000000      
            0x00, 0x00, 0x01, 0xFF, 0xF3, 0xFF, 0xE0, 0x1F, 0xFE, 0x00, ##      000000000          0000000000000  0000000000000        000000000000     
            0x00, 0x00, 0x00, 0x3F, 0xFB, 0xFF, 0x00, 0x07, 0xFE, 0x00, ##      000000                00000000000 0000000000             0000000000     
            0x00, 0x00, 0x00, 0x0F, 0xFF, 0xFC, 0x00, 0x01, 0xFF, 0x00, ##      000                     000000000000000000                 000000000    
            0x00, 0x00, 0x00, 0x07, 0xFF, 0xF8, 0x00, 0x00, 0xFF, 0x80, ##      0                        0000000000000000                   000000000   
            0x00, 0x00, 0x00, 0x03, 0xFF, 0xF0, 0x00, 0x00, 0x7F, 0x80, ##                                00000000000000                     00000000   
            0x00, 0x00, 0x00, 0x03, 0xFF, 0xE0, 0x00, 0x00, 0x7F, 0xC0, ##                                0000000000000                      000000000  
            0x00, 0x00, 0x00, 0x01, 0xFF, 0xE0, 0x00, 0x00, 0x3F, 0xC0, ##                                 000000000000                       00000000  
            0x00, 0x00, 0x00, 0x01, 0xFF, 0xC0, 0x00, 0x00, 0x1F, 0xE0, ##                                 00000000000                         00000000 
            0x00, 0x00, 0x00, 0x00, 0xFF, 0xC0, 0x00, 0x00, 0x1F, 0xE0, ##                                  0000000000                         00000000 
            0x00, 0x00, 0x00, 0x00, 0xFF, 0x80, 0x00, 0x00, 0x1F, 0xE0, ##                                  000000000                          00000000 
            0x00, 0x00, 0x00, 0x00, 0xFF, 0x80, 0x00, 0x00, 0x0F, 0xE0, ##                                  000000000                           0000000 
            0x00, 0x00, 0x00, 0x00, 0xFF, 0x80, 0x00, 0x00, 0x0F, 0xF0, ##                                  000000000                           00000000
            0x00, 0x00, 0x00, 0x00, 0xFF, 0x00, 0x00, 0x00, 0x0F, 0xF0, ##                                  00000000                            00000000
            0x00, 0x00, 0xFF, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x0F, 0xF0, ##                 0000000000000000000000000                            00000000
            0x00, 0x00, 0xFF, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x0F, 0xF0, ##            000000000000000000000000000000                            00000000
            0x00, 0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF0, ##          00000000000000000000000000000000000000000000000000000000000000000000
            0x00, 0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF0, ##        0000000000000000000000000000000000000000000000000000000000000000000000
            0x00, 0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF0, ##       00000000000000000000000000000000000000000000000000000000000000000000000
            0x00, 0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF0, ##      000000000000000000000000000000000000000000000000000000000000000000000000
            0x00, 0x00, 0x80, 0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF0, ##     00000000000000               00000000000000000000000000000000000000000000
            0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF0, ##    00000000000                   00000000000000000000000000000000000000000000
            0x00, 0x00, 0x00, 0x00, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##    000000000                     00000000                                    
            0x00, 0x00, 0x00, 0x00, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##   000000000                      00000000                                    
            0x00, 0x00, 0x00, 0x00, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##   00000000                       00000000                                    
            0x00, 0x00, 0x00, 0x00, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  000000000                       00000000                                    
            0x00, 0x00, 0x00, 0x00, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                        00000000                                    
            0x00, 0x00, 0x00, 0x01, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##  00000000                       0000000000                                   
            0x00, 0x00, 0x00, 0x01, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##  00000000                       0000000000                                   
            0x00, 0x00, 0x00, 0x01, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##  00000000                       0000000000                                   
            0x00, 0x00, 0x00, 0x03, 0xFF, 0xC0, 0x00, 0x00, 0x00, 0x00, ##  00000000                      000000000000                                  
            0x00, 0x00, 0x00, 0x03, 0xFF, 0xC0, 0x00, 0x00, 0x00, 0x00, ##  00000000                      000000000000                                  
            0x00, 0x00, 0x00, 0x07, 0xFF, 0xE0, 0x00, 0x00, 0x00, 0x00, ##  00000000                     00000000000000                                 
            0x00, 0x00, 0x00, 0x07, 0xFF, 0xE0, 0x00, 0x00, 0x00, 0x00, ##  000000000                    00000000000000                                 
            0x00, 0x00, 0x00, 0x0F, 0xFF, 0xF0, 0x00, 0x00, 0x00, 0x00, ##   00000000                   0000000000000000                                
            0x00, 0x00, 0x00, 0x1F, 0xFF, 0xF8, 0x00, 0x00, 0x00, 0xC0, ##   000000000                 000000000000000000                           00  
            0x00, 0x00, 0x00, 0x3F, 0xCF, 0xFE, 0x00, 0x00, 0x03, 0xC0, ##   0000000000               00000000  00000000000                       0000  
            0x00, 0x00, 0x00, 0xFF, 0xC7, 0xFF, 0x80, 0x00, 0x1F, 0xC0, ##    0000000000            0000000000   000000000000                  0000000  
            0x00, 0x00, 0x03, 0xFF, 0x83, 0xFF, 0xF0, 0x03, 0xFF, 0xC0, ##    000000000000        00000000000     00000000000000          000000000000  
            0x00, 0x00, 0xFF, 0xFF, 0x01, 0xFF, 0xFF, 0xFF, 0xFF, 0xC0, ##     00000000000000000000000000000       00000000000000000000000000000000000  
            0x00, 0x00, 0xFF, 0xFE, 0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0xC0, ##      000000000000000000000000000         0000000000000000000000000000000000  
            0x00, 0x00, 0xFF, 0xF8, 0x00, 0x3F, 0xFF, 0xFF, 0xFF, 0xC0, ##       000000000000000000000000             00000000000000000000000000000000  
            0x00, 0x00, 0xFF, 0xF0, 0x00, 0x0F, 0xFF, 0xFF, 0xFF, 0x00, ##        0000000000000000000000                0000000000000000000000000000    
            0x00, 0x00, 0xFF, 0x80, 0x00, 0x03, 0xFF, 0xFF, 0xF0, 0x00, ##          00000000000000000                     0000000000000000000000        
            0x00, 0x00, 0xFC, 0x00, 0x00, 0x00, 0x3F, 0xFE, 0x00, 0x00, ##              0000000000                            0000000000000             
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '231' => {    # 'ç'
        'width'    => 38, 
        'xoffset'  => 5, 
        'xadvance' => 48, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x3F, 0xFC, 0x00, ##                    000000000000        
            0x00, 0x03, 0xFF, 0xFF, 0xC0, ##                00000000000000000000    
            0x00, 0x0F, 0xFF, 0xFF, 0xF8, ##              0000000000000000000000000 
            0x00, 0x3F, 0xFF, 0xFF, 0xFC, ##            0000000000000000000000000000
            0x00, 0x7F, 0xFF, 0xFF, 0xFC, ##           00000000000000000000000000000
            0x00, 0xFF, 0xFF, 0xFF, 0xFC, ##          000000000000000000000000000000
            0x01, 0xFF, 0xF0, 0x07, 0xFC, ##         0000000000000         000000000
            0x03, 0xFF, 0x80, 0x00, 0xFC, ##        00000000000               000000
            0x07, 0xFE, 0x00, 0x00, 0x1C, ##       0000000000                    000
            0x0F, 0xFC, 0x00, 0x00, 0x04, ##      0000000000                       0
            0x1F, 0xF8, 0x00, 0x00, 0x00, ##     0000000000                         
            0x1F, 0xF0, 0x00, 0x00, 0x00, ##     000000000                          
            0x3F, 0xE0, 0x00, 0x00, 0x00, ##    000000000                           
            0x3F, 0xE0, 0x00, 0x00, 0x00, ##    000000000                           
            0x3F, 0xC0, 0x00, 0x00, 0x00, ##    00000000                            
            0x7F, 0xC0, 0x00, 0x00, 0x00, ##   000000000                            
            0x7F, 0x80, 0x00, 0x00, 0x00, ##   00000000                             
            0x7F, 0x80, 0x00, 0x00, 0x00, ##   00000000                             
            0x7F, 0x80, 0x00, 0x00, 0x00, ##   00000000                             
            0xFF, 0x00, 0x00, 0x00, 0x00, ##  00000000                              
            0xFF, 0x00, 0x00, 0x00, 0x00, ##  00000000                              
            0xFF, 0x00, 0x00, 0x00, 0x00, ##  00000000                              
            0xFF, 0x00, 0x00, 0x00, 0x00, ##  00000000                              
            0xFF, 0x00, 0x00, 0x00, 0x00, ##  00000000                              
            0xFF, 0x00, 0x00, 0x00, 0x00, ##  00000000                              
            0xFF, 0x00, 0x00, 0x00, 0x00, ##  00000000                              
            0xFF, 0x00, 0x00, 0x00, 0x00, ##  00000000                              
            0xFF, 0x00, 0x00, 0x00, 0x00, ##  00000000                              
            0xFF, 0x00, 0x00, 0x00, 0x00, ##  00000000                              
            0xFF, 0x00, 0x00, 0x00, 0x00, ##  00000000                              
            0xFF, 0x00, 0x00, 0x00, 0x00, ##  00000000                              
            0x7F, 0x80, 0x00, 0x00, 0x00, ##   00000000                             
            0x7F, 0x80, 0x00, 0x00, 0x00, ##   00000000                             
            0x7F, 0x80, 0x00, 0x00, 0x00, ##   00000000                             
            0x7F, 0xC0, 0x00, 0x00, 0x00, ##   000000000                            
            0x3F, 0xC0, 0x00, 0x00, 0x00, ##    00000000                            
            0x3F, 0xC0, 0x00, 0x00, 0x00, ##    00000000                            
            0x3F, 0xE0, 0x00, 0x00, 0x00, ##    000000000                           
            0x1F, 0xF0, 0x00, 0x00, 0x00, ##     000000000                          
            0x1F, 0xF8, 0x00, 0x00, 0x00, ##     0000000000                         
            0x0F, 0xFC, 0x00, 0x00, 0x04, ##      0000000000                       0
            0x07, 0xFE, 0x00, 0x00, 0x1C, ##       0000000000                    000
            0x03, 0xFF, 0x80, 0x00, 0x7C, ##        00000000000                00000
            0x01, 0xFF, 0xF0, 0x07, 0xFC, ##         0000000000000         000000000
            0x00, 0xFF, 0xFF, 0xFF, 0xFC, ##          000000000000000000000000000000
            0x00, 0x7F, 0xFF, 0xFF, 0xFC, ##           00000000000000000000000000000
            0x00, 0x3F, 0xFF, 0xFF, 0xFC, ##            0000000000000000000000000000
            0x00, 0x0F, 0xFF, 0xFF, 0xF8, ##              0000000000000000000000000 
            0x00, 0x03, 0xFF, 0xFF, 0xC0, ##                00000000000000000000    
            0x00, 0x00, 0x3F, 0xFC, 0x00, ##                    000000000000        
            0x00, 0x00, 0x03, 0xF0, 0x00, ##                        000000          
            0x00, 0x00, 0x01, 0xF0, 0x00, ##                         00000          
            0x00, 0x00, 0x00, 0xF8, 0x00, ##                          00000         
            0x00, 0x00, 0x00, 0xFC, 0x00, ##                          000000        
            0x00, 0x00, 0x00, 0xFC, 0x00, ##                          000000        
            0x00, 0x00, 0x00, 0x7E, 0x00, ##                           000000       
            0x00, 0x00, 0x00, 0x7E, 0x00, ##                           000000       
            0x00, 0x00, 0x00, 0x7E, 0x00, ##                           000000       
            0x00, 0x00, 0x00, 0x7E, 0x00, ##                           000000       
            0x00, 0x00, 0x00, 0xFE, 0x00, ##                          0000000       
            0x00, 0x07, 0x01, 0xFE, 0x00, ##               000       00000000       
            0x00, 0x07, 0xFF, 0xFC, 0x00, ##               00000000000000000        
            0x00, 0x07, 0xFF, 0xFC, 0x00, ##               00000000000000000        
            0x00, 0x07, 0xFF, 0xF8, 0x00, ##               0000000000000000         
            0x00, 0x07, 0xFF, 0xF0, 0x00, ##               000000000000000          
            0x00, 0x01, 0xFF, 0x80, 0x00, ##                 0000000000             
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '232' => {    # 'è'
        'width'    => 44, 
        'xoffset'  => 5, 
        'xadvance' => 54, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, ##          000000000                           
            0x00, 0x7F, 0x80, 0x00, 0x00, 0x00, ##           00000000                           
            0x00, 0x3F, 0xC0, 0x00, 0x00, 0x00, ##            00000000                          
            0x00, 0x1F, 0xE0, 0x00, 0x00, 0x00, ##             00000000                         
            0x00, 0x0F, 0xF0, 0x00, 0x00, 0x00, ##              00000000                        
            0x00, 0x07, 0xF0, 0x00, 0x00, 0x00, ##               0000000                        
            0x00, 0x03, 0xF8, 0x00, 0x00, 0x00, ##                0000000                       
            0x00, 0x03, 0xFC, 0x00, 0x00, 0x00, ##                00000000                      
            0x00, 0x01, 0xFE, 0x00, 0x00, 0x00, ##                 00000000                     
            0x00, 0x00, 0xFE, 0x00, 0x00, 0x00, ##                  0000000                     
            0x00, 0x00, 0x7F, 0x00, 0x00, 0x00, ##                   0000000                    
            0x00, 0x00, 0x3F, 0x80, 0x00, 0x00, ##                    0000000                   
            0x00, 0x00, 0x1F, 0xC0, 0x00, 0x00, ##                     0000000                  
            0x00, 0x00, 0x0F, 0xE0, 0x00, 0x00, ##                      0000000                 
            0x00, 0x00, 0x07, 0xE0, 0x00, 0x00, ##                       000000                 
            0x00, 0x00, 0x07, 0xF0, 0x00, 0x00, ##                       0000000                
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                              
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                              
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                              
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                              
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                              
            0x00, 0x00, 0x3F, 0xF0, 0x00, 0x00, ##                    0000000000                
            0x00, 0x03, 0xFF, 0xFF, 0x00, 0x00, ##                000000000000000000            
            0x00, 0x0F, 0xFF, 0xFF, 0xC0, 0x00, ##              0000000000000000000000          
            0x00, 0x3F, 0xFF, 0xFF, 0xE0, 0x00, ##            0000000000000000000000000         
            0x00, 0x7F, 0xFF, 0xFF, 0xF8, 0x00, ##           0000000000000000000000000000       
            0x00, 0xFF, 0xFF, 0xFF, 0xFC, 0x00, ##          000000000000000000000000000000      
            0x01, 0xFF, 0xE0, 0x1F, 0xFE, 0x00, ##         000000000000        000000000000     
            0x03, 0xFF, 0x00, 0x07, 0xFE, 0x00, ##        0000000000             0000000000     
            0x07, 0xFC, 0x00, 0x01, 0xFF, 0x00, ##       000000000                 000000000    
            0x0F, 0xF8, 0x00, 0x00, 0xFF, 0x80, ##      000000000                   000000000   
            0x0F, 0xF0, 0x00, 0x00, 0x7F, 0x80, ##      00000000                     00000000   
            0x1F, 0xE0, 0x00, 0x00, 0x7F, 0xC0, ##     00000000                      000000000  
            0x1F, 0xE0, 0x00, 0x00, 0x3F, 0xC0, ##     00000000                       00000000  
            0x3F, 0xC0, 0x00, 0x00, 0x1F, 0xE0, ##    00000000                         00000000 
            0x3F, 0xC0, 0x00, 0x00, 0x1F, 0xE0, ##    00000000                         00000000 
            0x7F, 0x80, 0x00, 0x00, 0x1F, 0xE0, ##   00000000                          00000000 
            0x7F, 0x80, 0x00, 0x00, 0x0F, 0xE0, ##   00000000                           0000000 
            0x7F, 0x80, 0x00, 0x00, 0x0F, 0xF0, ##   00000000                           00000000
            0x7F, 0x00, 0x00, 0x00, 0x0F, 0xF0, ##   0000000                            00000000
            0xFF, 0x00, 0x00, 0x00, 0x0F, 0xF0, ##  00000000                            00000000
            0xFF, 0x00, 0x00, 0x00, 0x0F, 0xF0, ##  00000000                            00000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF0, ##  00000000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF0, ##  00000000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF0, ##  00000000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF0, ##  00000000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF0, ##  00000000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF0, ##  00000000000000000000000000000000000000000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                    
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                    
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                    
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                    
            0x7F, 0x00, 0x00, 0x00, 0x00, 0x00, ##   0000000                                    
            0x7F, 0x80, 0x00, 0x00, 0x00, 0x00, ##   00000000                                   
            0x7F, 0x80, 0x00, 0x00, 0x00, 0x00, ##   00000000                                   
            0x7F, 0x80, 0x00, 0x00, 0x00, 0x00, ##   00000000                                   
            0x3F, 0xC0, 0x00, 0x00, 0x00, 0x00, ##    00000000                                  
            0x3F, 0xC0, 0x00, 0x00, 0x00, 0x00, ##    00000000                                  
            0x3F, 0xE0, 0x00, 0x00, 0x00, 0x00, ##    000000000                                 
            0x1F, 0xE0, 0x00, 0x00, 0x00, 0x00, ##     00000000                                 
            0x0F, 0xF0, 0x00, 0x00, 0x00, 0x00, ##      00000000                                
            0x0F, 0xF8, 0x00, 0x00, 0x00, 0xC0, ##      000000000                           00  
            0x07, 0xFE, 0x00, 0x00, 0x03, 0xC0, ##       0000000000                       0000  
            0x03, 0xFF, 0x80, 0x00, 0x1F, 0xC0, ##        00000000000                  0000000  
            0x01, 0xFF, 0xF0, 0x01, 0xFF, 0xC0, ##         0000000000000           00000000000  
            0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0xC0, ##          0000000000000000000000000000000000  
            0x00, 0x7F, 0xFF, 0xFF, 0xFF, 0xC0, ##           000000000000000000000000000000000  
            0x00, 0x1F, 0xFF, 0xFF, 0xFF, 0xC0, ##             0000000000000000000000000000000  
            0x00, 0x0F, 0xFF, 0xFF, 0xFF, 0x00, ##              0000000000000000000000000000    
            0x00, 0x01, 0xFF, 0xFF, 0xF8, 0x00, ##                 0000000000000000000000       
            0x00, 0x00, 0x1F, 0xFE, 0x00, 0x00, ##                     000000000000             
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '233' => {    # 'é'
        'width'    => 44, 
        'xoffset'  => 5, 
        'xadvance' => 54, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x0F, 0xF8, 0x00, ##                              000000000       
            0x00, 0x00, 0x00, 0x1F, 0xF0, 0x00, ##                             000000000        
            0x00, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##                             00000000         
            0x00, 0x00, 0x00, 0x3F, 0xC0, 0x00, ##                            00000000          
            0x00, 0x00, 0x00, 0x7F, 0x80, 0x00, ##                           00000000           
            0x00, 0x00, 0x00, 0xFF, 0x00, 0x00, ##                          00000000            
            0x00, 0x00, 0x00, 0xFE, 0x00, 0x00, ##                          0000000             
            0x00, 0x00, 0x01, 0xFC, 0x00, 0x00, ##                         0000000              
            0x00, 0x00, 0x03, 0xFC, 0x00, 0x00, ##                        00000000              
            0x00, 0x00, 0x07, 0xF8, 0x00, 0x00, ##                       00000000               
            0x00, 0x00, 0x07, 0xF0, 0x00, 0x00, ##                       0000000                
            0x00, 0x00, 0x0F, 0xE0, 0x00, 0x00, ##                      0000000                 
            0x00, 0x00, 0x1F, 0xC0, 0x00, 0x00, ##                     0000000                  
            0x00, 0x00, 0x3F, 0x80, 0x00, 0x00, ##                    0000000                   
            0x00, 0x00, 0x3F, 0x00, 0x00, 0x00, ##                    000000                    
            0x00, 0x00, 0x7E, 0x00, 0x00, 0x00, ##                   000000                     
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                              
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                              
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                              
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                              
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                              
            0x00, 0x00, 0x3F, 0xF0, 0x00, 0x00, ##                    0000000000                
            0x00, 0x03, 0xFF, 0xFF, 0x00, 0x00, ##                000000000000000000            
            0x00, 0x0F, 0xFF, 0xFF, 0xC0, 0x00, ##              0000000000000000000000          
            0x00, 0x3F, 0xFF, 0xFF, 0xE0, 0x00, ##            0000000000000000000000000         
            0x00, 0x7F, 0xFF, 0xFF, 0xF8, 0x00, ##           0000000000000000000000000000       
            0x00, 0xFF, 0xFF, 0xFF, 0xFC, 0x00, ##          000000000000000000000000000000      
            0x01, 0xFF, 0xE0, 0x1F, 0xFE, 0x00, ##         000000000000        000000000000     
            0x03, 0xFF, 0x00, 0x07, 0xFE, 0x00, ##        0000000000             0000000000     
            0x07, 0xFC, 0x00, 0x01, 0xFF, 0x00, ##       000000000                 000000000    
            0x0F, 0xF8, 0x00, 0x00, 0xFF, 0x80, ##      000000000                   000000000   
            0x0F, 0xF0, 0x00, 0x00, 0x7F, 0x80, ##      00000000                     00000000   
            0x1F, 0xE0, 0x00, 0x00, 0x7F, 0xC0, ##     00000000                      000000000  
            0x1F, 0xE0, 0x00, 0x00, 0x3F, 0xC0, ##     00000000                       00000000  
            0x3F, 0xC0, 0x00, 0x00, 0x1F, 0xE0, ##    00000000                         00000000 
            0x3F, 0xC0, 0x00, 0x00, 0x1F, 0xE0, ##    00000000                         00000000 
            0x7F, 0x80, 0x00, 0x00, 0x1F, 0xE0, ##   00000000                          00000000 
            0x7F, 0x80, 0x00, 0x00, 0x0F, 0xE0, ##   00000000                           0000000 
            0x7F, 0x80, 0x00, 0x00, 0x0F, 0xF0, ##   00000000                           00000000
            0x7F, 0x00, 0x00, 0x00, 0x0F, 0xF0, ##   0000000                            00000000
            0xFF, 0x00, 0x00, 0x00, 0x0F, 0xF0, ##  00000000                            00000000
            0xFF, 0x00, 0x00, 0x00, 0x0F, 0xF0, ##  00000000                            00000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF0, ##  00000000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF0, ##  00000000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF0, ##  00000000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF0, ##  00000000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF0, ##  00000000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF0, ##  00000000000000000000000000000000000000000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                    
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                    
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                    
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                    
            0x7F, 0x00, 0x00, 0x00, 0x00, 0x00, ##   0000000                                    
            0x7F, 0x80, 0x00, 0x00, 0x00, 0x00, ##   00000000                                   
            0x7F, 0x80, 0x00, 0x00, 0x00, 0x00, ##   00000000                                   
            0x7F, 0x80, 0x00, 0x00, 0x00, 0x00, ##   00000000                                   
            0x3F, 0xC0, 0x00, 0x00, 0x00, 0x00, ##    00000000                                  
            0x3F, 0xC0, 0x00, 0x00, 0x00, 0x00, ##    00000000                                  
            0x3F, 0xE0, 0x00, 0x00, 0x00, 0x00, ##    000000000                                 
            0x1F, 0xE0, 0x00, 0x00, 0x00, 0x00, ##     00000000                                 
            0x0F, 0xF0, 0x00, 0x00, 0x00, 0x00, ##      00000000                                
            0x0F, 0xF8, 0x00, 0x00, 0x00, 0xC0, ##      000000000                           00  
            0x07, 0xFE, 0x00, 0x00, 0x03, 0xC0, ##       0000000000                       0000  
            0x03, 0xFF, 0x80, 0x00, 0x1F, 0xC0, ##        00000000000                  0000000  
            0x01, 0xFF, 0xF0, 0x01, 0xFF, 0xC0, ##         0000000000000           00000000000  
            0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0xC0, ##          0000000000000000000000000000000000  
            0x00, 0x7F, 0xFF, 0xFF, 0xFF, 0xC0, ##           000000000000000000000000000000000  
            0x00, 0x1F, 0xFF, 0xFF, 0xFF, 0xC0, ##             0000000000000000000000000000000  
            0x00, 0x0F, 0xFF, 0xFF, 0xFF, 0x00, ##              0000000000000000000000000000    
            0x00, 0x01, 0xFF, 0xFF, 0xF8, 0x00, ##                 0000000000000000000000       
            0x00, 0x00, 0x1F, 0xFE, 0x00, 0x00, ##                     000000000000             
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '234' => {    # 'ê'
        'width'    => 44, 
        'xoffset'  => 5, 
        'xadvance' => 54, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x1F, 0xC0, 0x00, 0x00, ##                     0000000                  
            0x00, 0x00, 0x3F, 0xE0, 0x00, 0x00, ##                    000000000                 
            0x00, 0x00, 0x3F, 0xE0, 0x00, 0x00, ##                    000000000                 
            0x00, 0x00, 0x7F, 0xF0, 0x00, 0x00, ##                   00000000000                
            0x00, 0x00, 0xFF, 0xF8, 0x00, 0x00, ##                  0000000000000               
            0x00, 0x00, 0xFF, 0xF8, 0x00, 0x00, ##                  0000000000000               
            0x00, 0x01, 0xFD, 0xFC, 0x00, 0x00, ##                 0000000 0000000              
            0x00, 0x03, 0xF8, 0xFE, 0x00, 0x00, ##                0000000   0000000             
            0x00, 0x03, 0xF0, 0x7E, 0x00, 0x00, ##                000000     000000             
            0x00, 0x07, 0xF0, 0x7F, 0x00, 0x00, ##               0000000     0000000            
            0x00, 0x0F, 0xE0, 0x3F, 0x80, 0x00, ##              0000000       0000000           
            0x00, 0x0F, 0xC0, 0x1F, 0x80, 0x00, ##              000000         000000           
            0x00, 0x1F, 0x80, 0x0F, 0xC0, 0x00, ##             000000           000000          
            0x00, 0x1F, 0x80, 0x0F, 0xE0, 0x00, ##             000000           0000000         
            0x00, 0x3F, 0x00, 0x07, 0xE0, 0x00, ##            000000             000000         
            0x00, 0x7E, 0x00, 0x03, 0xF0, 0x00, ##           000000               000000        
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                              
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                              
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                              
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                              
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                              
            0x00, 0x00, 0x3F, 0xF0, 0x00, 0x00, ##                    0000000000                
            0x00, 0x03, 0xFF, 0xFF, 0x00, 0x00, ##                000000000000000000            
            0x00, 0x0F, 0xFF, 0xFF, 0xC0, 0x00, ##              0000000000000000000000          
            0x00, 0x3F, 0xFF, 0xFF, 0xE0, 0x00, ##            0000000000000000000000000         
            0x00, 0x7F, 0xFF, 0xFF, 0xF8, 0x00, ##           0000000000000000000000000000       
            0x00, 0xFF, 0xFF, 0xFF, 0xFC, 0x00, ##          000000000000000000000000000000      
            0x01, 0xFF, 0xE0, 0x1F, 0xFE, 0x00, ##         000000000000        000000000000     
            0x03, 0xFF, 0x00, 0x07, 0xFE, 0x00, ##        0000000000             0000000000     
            0x07, 0xFC, 0x00, 0x01, 0xFF, 0x00, ##       000000000                 000000000    
            0x0F, 0xF8, 0x00, 0x00, 0xFF, 0x80, ##      000000000                   000000000   
            0x0F, 0xF0, 0x00, 0x00, 0x7F, 0x80, ##      00000000                     00000000   
            0x1F, 0xE0, 0x00, 0x00, 0x7F, 0xC0, ##     00000000                      000000000  
            0x1F, 0xE0, 0x00, 0x00, 0x3F, 0xC0, ##     00000000                       00000000  
            0x3F, 0xC0, 0x00, 0x00, 0x1F, 0xE0, ##    00000000                         00000000 
            0x3F, 0xC0, 0x00, 0x00, 0x1F, 0xE0, ##    00000000                         00000000 
            0x7F, 0x80, 0x00, 0x00, 0x1F, 0xE0, ##   00000000                          00000000 
            0x7F, 0x80, 0x00, 0x00, 0x0F, 0xE0, ##   00000000                           0000000 
            0x7F, 0x80, 0x00, 0x00, 0x0F, 0xF0, ##   00000000                           00000000
            0x7F, 0x00, 0x00, 0x00, 0x0F, 0xF0, ##   0000000                            00000000
            0xFF, 0x00, 0x00, 0x00, 0x0F, 0xF0, ##  00000000                            00000000
            0xFF, 0x00, 0x00, 0x00, 0x0F, 0xF0, ##  00000000                            00000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF0, ##  00000000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF0, ##  00000000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF0, ##  00000000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF0, ##  00000000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF0, ##  00000000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF0, ##  00000000000000000000000000000000000000000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                    
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                    
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                    
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                    
            0x7F, 0x00, 0x00, 0x00, 0x00, 0x00, ##   0000000                                    
            0x7F, 0x80, 0x00, 0x00, 0x00, 0x00, ##   00000000                                   
            0x7F, 0x80, 0x00, 0x00, 0x00, 0x00, ##   00000000                                   
            0x7F, 0x80, 0x00, 0x00, 0x00, 0x00, ##   00000000                                   
            0x3F, 0xC0, 0x00, 0x00, 0x00, 0x00, ##    00000000                                  
            0x3F, 0xC0, 0x00, 0x00, 0x00, 0x00, ##    00000000                                  
            0x3F, 0xE0, 0x00, 0x00, 0x00, 0x00, ##    000000000                                 
            0x1F, 0xE0, 0x00, 0x00, 0x00, 0x00, ##     00000000                                 
            0x0F, 0xF0, 0x00, 0x00, 0x00, 0x00, ##      00000000                                
            0x0F, 0xF8, 0x00, 0x00, 0x00, 0xC0, ##      000000000                           00  
            0x07, 0xFE, 0x00, 0x00, 0x03, 0xC0, ##       0000000000                       0000  
            0x03, 0xFF, 0x80, 0x00, 0x1F, 0xC0, ##        00000000000                  0000000  
            0x01, 0xFF, 0xF0, 0x01, 0xFF, 0xC0, ##         0000000000000           00000000000  
            0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0xC0, ##          0000000000000000000000000000000000  
            0x00, 0x7F, 0xFF, 0xFF, 0xFF, 0xC0, ##           000000000000000000000000000000000  
            0x00, 0x1F, 0xFF, 0xFF, 0xFF, 0xC0, ##             0000000000000000000000000000000  
            0x00, 0x0F, 0xFF, 0xFF, 0xFF, 0x00, ##              0000000000000000000000000000    
            0x00, 0x01, 0xFF, 0xFF, 0xF8, 0x00, ##                 0000000000000000000000       
            0x00, 0x00, 0x1F, 0xFE, 0x00, 0x00, ##                     000000000000             
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '235' => {    # 'ë'
        'width'    => 44, 
        'xoffset'  => 5, 
        'xadvance' => 54, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x1F, 0xE0, 0x1F, 0xE0, 0x00, ##             00000000        00000000         
            0x00, 0x1F, 0xE0, 0x1F, 0xE0, 0x00, ##             00000000        00000000         
            0x00, 0x1F, 0xE0, 0x1F, 0xE0, 0x00, ##             00000000        00000000         
            0x00, 0x1F, 0xE0, 0x1F, 0xE0, 0x00, ##             00000000        00000000         
            0x00, 0x1F, 0xE0, 0x1F, 0xE0, 0x00, ##             00000000        00000000         
            0x00, 0x1F, 0xE0, 0x1F, 0xE0, 0x00, ##             00000000        00000000         
            0x00, 0x1F, 0xE0, 0x1F, 0xE0, 0x00, ##             00000000        00000000         
            0x00, 0x1F, 0xE0, 0x1F, 0xE0, 0x00, ##             00000000        00000000         
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                              
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                              
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                              
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                              
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                              
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                              
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                              
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                              
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                              
            0x00, 0x00, 0x3F, 0xF0, 0x00, 0x00, ##                    0000000000                
            0x00, 0x03, 0xFF, 0xFF, 0x00, 0x00, ##                000000000000000000            
            0x00, 0x0F, 0xFF, 0xFF, 0xC0, 0x00, ##              0000000000000000000000          
            0x00, 0x3F, 0xFF, 0xFF, 0xE0, 0x00, ##            0000000000000000000000000         
            0x00, 0x7F, 0xFF, 0xFF, 0xF8, 0x00, ##           0000000000000000000000000000       
            0x00, 0xFF, 0xFF, 0xFF, 0xFC, 0x00, ##          000000000000000000000000000000      
            0x01, 0xFF, 0xE0, 0x1F, 0xFE, 0x00, ##         000000000000        000000000000     
            0x03, 0xFF, 0x00, 0x07, 0xFE, 0x00, ##        0000000000             0000000000     
            0x07, 0xFC, 0x00, 0x01, 0xFF, 0x00, ##       000000000                 000000000    
            0x0F, 0xF8, 0x00, 0x00, 0xFF, 0x80, ##      000000000                   000000000   
            0x0F, 0xF0, 0x00, 0x00, 0x7F, 0x80, ##      00000000                     00000000   
            0x1F, 0xE0, 0x00, 0x00, 0x7F, 0xC0, ##     00000000                      000000000  
            0x1F, 0xE0, 0x00, 0x00, 0x3F, 0xC0, ##     00000000                       00000000  
            0x3F, 0xC0, 0x00, 0x00, 0x1F, 0xE0, ##    00000000                         00000000 
            0x3F, 0xC0, 0x00, 0x00, 0x1F, 0xE0, ##    00000000                         00000000 
            0x7F, 0x80, 0x00, 0x00, 0x1F, 0xE0, ##   00000000                          00000000 
            0x7F, 0x80, 0x00, 0x00, 0x0F, 0xE0, ##   00000000                           0000000 
            0x7F, 0x80, 0x00, 0x00, 0x0F, 0xF0, ##   00000000                           00000000
            0x7F, 0x00, 0x00, 0x00, 0x0F, 0xF0, ##   0000000                            00000000
            0xFF, 0x00, 0x00, 0x00, 0x0F, 0xF0, ##  00000000                            00000000
            0xFF, 0x00, 0x00, 0x00, 0x0F, 0xF0, ##  00000000                            00000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF0, ##  00000000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF0, ##  00000000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF0, ##  00000000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF0, ##  00000000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF0, ##  00000000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF0, ##  00000000000000000000000000000000000000000000
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                    
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                    
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                    
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                    
            0x7F, 0x00, 0x00, 0x00, 0x00, 0x00, ##   0000000                                    
            0x7F, 0x80, 0x00, 0x00, 0x00, 0x00, ##   00000000                                   
            0x7F, 0x80, 0x00, 0x00, 0x00, 0x00, ##   00000000                                   
            0x7F, 0x80, 0x00, 0x00, 0x00, 0x00, ##   00000000                                   
            0x3F, 0xC0, 0x00, 0x00, 0x00, 0x00, ##    00000000                                  
            0x3F, 0xC0, 0x00, 0x00, 0x00, 0x00, ##    00000000                                  
            0x3F, 0xE0, 0x00, 0x00, 0x00, 0x00, ##    000000000                                 
            0x1F, 0xE0, 0x00, 0x00, 0x00, 0x00, ##     00000000                                 
            0x0F, 0xF0, 0x00, 0x00, 0x00, 0x00, ##      00000000                                
            0x0F, 0xF8, 0x00, 0x00, 0x00, 0xC0, ##      000000000                           00  
            0x07, 0xFE, 0x00, 0x00, 0x03, 0xC0, ##       0000000000                       0000  
            0x03, 0xFF, 0x80, 0x00, 0x1F, 0xC0, ##        00000000000                  0000000  
            0x01, 0xFF, 0xF0, 0x01, 0xFF, 0xC0, ##         0000000000000           00000000000  
            0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0xC0, ##          0000000000000000000000000000000000  
            0x00, 0x7F, 0xFF, 0xFF, 0xFF, 0xC0, ##           000000000000000000000000000000000  
            0x00, 0x1F, 0xFF, 0xFF, 0xFF, 0xC0, ##             0000000000000000000000000000000  
            0x00, 0x0F, 0xFF, 0xFF, 0xFF, 0x00, ##              0000000000000000000000000000    
            0x00, 0x01, 0xFF, 0xFF, 0xF8, 0x00, ##                 0000000000000000000000       
            0x00, 0x00, 0x1F, 0xFE, 0x00, 0x00, ##                     000000000000             
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '236' => {    # 'ì'
        'width'    => 21, 
        'xoffset'  => -3, 
        'xadvance' => 24, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x7F, 0x80, 0x00, ##   00000000            
            0x3F, 0xC0, 0x00, ##    00000000           
            0x1F, 0xE0, 0x00, ##     00000000          
            0x1F, 0xE0, 0x00, ##     00000000          
            0x0F, 0xF0, 0x00, ##      00000000         
            0x07, 0xF8, 0x00, ##       00000000        
            0x03, 0xFC, 0x00, ##        00000000       
            0x01, 0xFC, 0x00, ##         0000000       
            0x00, 0xFE, 0x00, ##          0000000      
            0x00, 0x7F, 0x00, ##           0000000     
            0x00, 0x3F, 0x80, ##            0000000    
            0x00, 0x3F, 0x80, ##            0000000    
            0x00, 0x1F, 0xC0, ##             0000000   
            0x00, 0x0F, 0xE0, ##              0000000  
            0x00, 0x07, 0xF0, ##               0000000 
            0x00, 0x03, 0xF8, ##                0000000
            0x00, 0x00, 0x00, ##                       
            0x00, 0x00, 0x00, ##                       
            0x00, 0x00, 0x00, ##                       
            0x00, 0x00, 0x00, ##                       
            0x00, 0x00, 0x00, ##                       
            0x00, 0x00, 0x00, ##                       
            0x00, 0x1F, 0xE0, ##             00000000  
            0x00, 0x1F, 0xE0, ##             00000000  
            0x00, 0x1F, 0xE0, ##             00000000  
            0x00, 0x1F, 0xE0, ##             00000000  
            0x00, 0x1F, 0xE0, ##             00000000  
            0x00, 0x1F, 0xE0, ##             00000000  
            0x00, 0x1F, 0xE0, ##             00000000  
            0x00, 0x1F, 0xE0, ##             00000000  
            0x00, 0x1F, 0xE0, ##             00000000  
            0x00, 0x1F, 0xE0, ##             00000000  
            0x00, 0x1F, 0xE0, ##             00000000  
            0x00, 0x1F, 0xE0, ##             00000000  
            0x00, 0x1F, 0xE0, ##             00000000  
            0x00, 0x1F, 0xE0, ##             00000000  
            0x00, 0x1F, 0xE0, ##             00000000  
            0x00, 0x1F, 0xE0, ##             00000000  
            0x00, 0x1F, 0xE0, ##             00000000  
            0x00, 0x1F, 0xE0, ##             00000000  
            0x00, 0x1F, 0xE0, ##             00000000  
            0x00, 0x1F, 0xE0, ##             00000000  
            0x00, 0x1F, 0xE0, ##             00000000  
            0x00, 0x1F, 0xE0, ##             00000000  
            0x00, 0x1F, 0xE0, ##             00000000  
            0x00, 0x1F, 0xE0, ##             00000000  
            0x00, 0x1F, 0xE0, ##             00000000  
            0x00, 0x1F, 0xE0, ##             00000000  
            0x00, 0x1F, 0xE0, ##             00000000  
            0x00, 0x1F, 0xE0, ##             00000000  
            0x00, 0x1F, 0xE0, ##             00000000  
            0x00, 0x1F, 0xE0, ##             00000000  
            0x00, 0x1F, 0xE0, ##             00000000  
            0x00, 0x1F, 0xE0, ##             00000000  
            0x00, 0x1F, 0xE0, ##             00000000  
            0x00, 0x1F, 0xE0, ##             00000000  
            0x00, 0x1F, 0xE0, ##             00000000  
            0x00, 0x1F, 0xE0, ##             00000000  
            0x00, 0x1F, 0xE0, ##             00000000  
            0x00, 0x1F, 0xE0, ##             00000000  
            0x00, 0x1F, 0xE0, ##             00000000  
            0x00, 0x1F, 0xE0, ##             00000000  
            0x00, 0x1F, 0xE0, ##             00000000  
            0x00, 0x1F, 0xE0, ##             00000000  
            0x00, 0x1F, 0xE0, ##             00000000  
            0x00, 0x1F, 0xE0, ##             00000000  
            0x00, 0x1F, 0xE0, ##             00000000  
            0x00, 0x1F, 0xE0, ##             00000000  
            0x00, 0x1F, 0xE0, ##             00000000  
            0x00, 0x1F, 0xE0, ##             00000000  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '237' => {    # 'í'
        'width'    => 20, 
        'xoffset'  => 6, 
        'xadvance' => 24, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x0F, 0xF0, ##              00000000
            0x00, 0x1F, 0xE0, ##             00000000 
            0x00, 0x3F, 0xC0, ##            00000000  
            0x00, 0x7F, 0x80, ##           00000000   
            0x00, 0x7F, 0x80, ##           00000000   
            0x00, 0xFF, 0x00, ##          00000000    
            0x01, 0xFE, 0x00, ##         00000000     
            0x03, 0xFC, 0x00, ##        00000000      
            0x03, 0xF8, 0x00, ##        0000000       
            0x07, 0xF0, 0x00, ##       0000000        
            0x0F, 0xE0, 0x00, ##      0000000         
            0x1F, 0xC0, 0x00, ##     0000000          
            0x1F, 0xC0, 0x00, ##     0000000          
            0x3F, 0x80, 0x00, ##    0000000           
            0x7F, 0x00, 0x00, ##   0000000            
            0xFE, 0x00, 0x00, ##  0000000             
            0x00, 0x00, 0x00, ##                      
            0x00, 0x00, 0x00, ##                      
            0x00, 0x00, 0x00, ##                      
            0x00, 0x00, 0x00, ##                      
            0x00, 0x00, 0x00, ##                      
            0x00, 0x00, 0x00, ##                      
            0x3F, 0xC0, 0x00, ##    00000000          
            0x3F, 0xC0, 0x00, ##    00000000          
            0x3F, 0xC0, 0x00, ##    00000000          
            0x3F, 0xC0, 0x00, ##    00000000          
            0x3F, 0xC0, 0x00, ##    00000000          
            0x3F, 0xC0, 0x00, ##    00000000          
            0x3F, 0xC0, 0x00, ##    00000000          
            0x3F, 0xC0, 0x00, ##    00000000          
            0x3F, 0xC0, 0x00, ##    00000000          
            0x3F, 0xC0, 0x00, ##    00000000          
            0x3F, 0xC0, 0x00, ##    00000000          
            0x3F, 0xC0, 0x00, ##    00000000          
            0x3F, 0xC0, 0x00, ##    00000000          
            0x3F, 0xC0, 0x00, ##    00000000          
            0x3F, 0xC0, 0x00, ##    00000000          
            0x3F, 0xC0, 0x00, ##    00000000          
            0x3F, 0xC0, 0x00, ##    00000000          
            0x3F, 0xC0, 0x00, ##    00000000          
            0x3F, 0xC0, 0x00, ##    00000000          
            0x3F, 0xC0, 0x00, ##    00000000          
            0x3F, 0xC0, 0x00, ##    00000000          
            0x3F, 0xC0, 0x00, ##    00000000          
            0x3F, 0xC0, 0x00, ##    00000000          
            0x3F, 0xC0, 0x00, ##    00000000          
            0x3F, 0xC0, 0x00, ##    00000000          
            0x3F, 0xC0, 0x00, ##    00000000          
            0x3F, 0xC0, 0x00, ##    00000000          
            0x3F, 0xC0, 0x00, ##    00000000          
            0x3F, 0xC0, 0x00, ##    00000000          
            0x3F, 0xC0, 0x00, ##    00000000          
            0x3F, 0xC0, 0x00, ##    00000000          
            0x3F, 0xC0, 0x00, ##    00000000          
            0x3F, 0xC0, 0x00, ##    00000000          
            0x3F, 0xC0, 0x00, ##    00000000          
            0x3F, 0xC0, 0x00, ##    00000000          
            0x3F, 0xC0, 0x00, ##    00000000          
            0x3F, 0xC0, 0x00, ##    00000000          
            0x3F, 0xC0, 0x00, ##    00000000          
            0x3F, 0xC0, 0x00, ##    00000000          
            0x3F, 0xC0, 0x00, ##    00000000          
            0x3F, 0xC0, 0x00, ##    00000000          
            0x3F, 0xC0, 0x00, ##    00000000          
            0x3F, 0xC0, 0x00, ##    00000000          
            0x3F, 0xC0, 0x00, ##    00000000          
            0x3F, 0xC0, 0x00, ##    00000000          
            0x3F, 0xC0, 0x00, ##    00000000          
            0x3F, 0xC0, 0x00, ##    00000000          
            0x3F, 0xC0, 0x00, ##    00000000          
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '238' => {    # 'î'
        'width'    => 28, 
        'xoffset'  => -2, 
        'xadvance' => 24, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x3F, 0xC0, 0x00, ##            00000000          
            0x00, 0x3F, 0xC0, 0x00, ##            00000000          
            0x00, 0x7F, 0xE0, 0x00, ##           0000000000         
            0x00, 0xFF, 0xF0, 0x00, ##          000000000000        
            0x00, 0xFF, 0xF0, 0x00, ##          000000000000        
            0x01, 0xFF, 0xF8, 0x00, ##         00000000000000       
            0x01, 0xF9, 0xF8, 0x00, ##         000000  000000       
            0x03, 0xF9, 0xFC, 0x00, ##        0000000  0000000      
            0x07, 0xF0, 0xFE, 0x00, ##       0000000    0000000     
            0x07, 0xE0, 0x7E, 0x00, ##       000000      000000     
            0x0F, 0xC0, 0x3F, 0x00, ##      000000        000000    
            0x1F, 0xC0, 0x3F, 0x80, ##     0000000        0000000   
            0x1F, 0x80, 0x1F, 0x80, ##     000000          000000   
            0x3F, 0x00, 0x0F, 0xC0, ##    000000            000000  
            0x7E, 0x00, 0x07, 0xE0, ##   000000              000000 
            0x7E, 0x00, 0x07, 0xE0, ##   000000              000000 
            0x00, 0x00, 0x00, 0x00, ##                              
            0x00, 0x00, 0x00, 0x00, ##                              
            0x00, 0x00, 0x00, 0x00, ##                              
            0x00, 0x00, 0x00, 0x00, ##                              
            0x00, 0x00, 0x00, 0x00, ##                              
            0x00, 0x00, 0x00, 0x00, ##                              
            0x00, 0x3F, 0xC0, 0x00, ##            00000000          
            0x00, 0x3F, 0xC0, 0x00, ##            00000000          
            0x00, 0x3F, 0xC0, 0x00, ##            00000000          
            0x00, 0x3F, 0xC0, 0x00, ##            00000000          
            0x00, 0x3F, 0xC0, 0x00, ##            00000000          
            0x00, 0x3F, 0xC0, 0x00, ##            00000000          
            0x00, 0x3F, 0xC0, 0x00, ##            00000000          
            0x00, 0x3F, 0xC0, 0x00, ##            00000000          
            0x00, 0x3F, 0xC0, 0x00, ##            00000000          
            0x00, 0x3F, 0xC0, 0x00, ##            00000000          
            0x00, 0x3F, 0xC0, 0x00, ##            00000000          
            0x00, 0x3F, 0xC0, 0x00, ##            00000000          
            0x00, 0x3F, 0xC0, 0x00, ##            00000000          
            0x00, 0x3F, 0xC0, 0x00, ##            00000000          
            0x00, 0x3F, 0xC0, 0x00, ##            00000000          
            0x00, 0x3F, 0xC0, 0x00, ##            00000000          
            0x00, 0x3F, 0xC0, 0x00, ##            00000000          
            0x00, 0x3F, 0xC0, 0x00, ##            00000000          
            0x00, 0x3F, 0xC0, 0x00, ##            00000000          
            0x00, 0x3F, 0xC0, 0x00, ##            00000000          
            0x00, 0x3F, 0xC0, 0x00, ##            00000000          
            0x00, 0x3F, 0xC0, 0x00, ##            00000000          
            0x00, 0x3F, 0xC0, 0x00, ##            00000000          
            0x00, 0x3F, 0xC0, 0x00, ##            00000000          
            0x00, 0x3F, 0xC0, 0x00, ##            00000000          
            0x00, 0x3F, 0xC0, 0x00, ##            00000000          
            0x00, 0x3F, 0xC0, 0x00, ##            00000000          
            0x00, 0x3F, 0xC0, 0x00, ##            00000000          
            0x00, 0x3F, 0xC0, 0x00, ##            00000000          
            0x00, 0x3F, 0xC0, 0x00, ##            00000000          
            0x00, 0x3F, 0xC0, 0x00, ##            00000000          
            0x00, 0x3F, 0xC0, 0x00, ##            00000000          
            0x00, 0x3F, 0xC0, 0x00, ##            00000000          
            0x00, 0x3F, 0xC0, 0x00, ##            00000000          
            0x00, 0x3F, 0xC0, 0x00, ##            00000000          
            0x00, 0x3F, 0xC0, 0x00, ##            00000000          
            0x00, 0x3F, 0xC0, 0x00, ##            00000000          
            0x00, 0x3F, 0xC0, 0x00, ##            00000000          
            0x00, 0x3F, 0xC0, 0x00, ##            00000000          
            0x00, 0x3F, 0xC0, 0x00, ##            00000000          
            0x00, 0x3F, 0xC0, 0x00, ##            00000000          
            0x00, 0x3F, 0xC0, 0x00, ##            00000000          
            0x00, 0x3F, 0xC0, 0x00, ##            00000000          
            0x00, 0x3F, 0xC0, 0x00, ##            00000000          
            0x00, 0x3F, 0xC0, 0x00, ##            00000000          
            0x00, 0x3F, 0xC0, 0x00, ##            00000000          
            0x00, 0x3F, 0xC0, 0x00, ##            00000000          
            0x00, 0x3F, 0xC0, 0x00, ##            00000000          
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '239' => {    # 'ï'
        'width'    => 25, 
        'xoffset'  => 0, 
        'xadvance' => 25, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0xFF, 0x00, 0x7F, 0x80, ##  00000000         00000000
            0xFF, 0x00, 0x7F, 0x80, ##  00000000         00000000
            0xFF, 0x00, 0x7F, 0x80, ##  00000000         00000000
            0xFF, 0x00, 0x7F, 0x80, ##  00000000         00000000
            0xFF, 0x00, 0x7F, 0x80, ##  00000000         00000000
            0xFF, 0x00, 0x7F, 0x80, ##  00000000         00000000
            0xFF, 0x00, 0x7F, 0x80, ##  00000000         00000000
            0xFF, 0x00, 0x7F, 0x80, ##  00000000         00000000
            0x00, 0x00, 0x00, 0x00, ##                           
            0x00, 0x00, 0x00, 0x00, ##                           
            0x00, 0x00, 0x00, 0x00, ##                           
            0x00, 0x00, 0x00, 0x00, ##                           
            0x00, 0x00, 0x00, 0x00, ##                           
            0x00, 0x00, 0x00, 0x00, ##                           
            0x00, 0x00, 0x00, 0x00, ##                           
            0x00, 0x00, 0x00, 0x00, ##                           
            0x00, 0x00, 0x00, 0x00, ##                           
            0x00, 0x00, 0x00, 0x00, ##                           
            0x00, 0x7F, 0x80, 0x00, ##           00000000        
            0x00, 0x7F, 0x80, 0x00, ##           00000000        
            0x00, 0x7F, 0x80, 0x00, ##           00000000        
            0x00, 0x7F, 0x80, 0x00, ##           00000000        
            0x00, 0x7F, 0x80, 0x00, ##           00000000        
            0x00, 0x7F, 0x80, 0x00, ##           00000000        
            0x00, 0x7F, 0x80, 0x00, ##           00000000        
            0x00, 0x7F, 0x80, 0x00, ##           00000000        
            0x00, 0x7F, 0x80, 0x00, ##           00000000        
            0x00, 0x7F, 0x80, 0x00, ##           00000000        
            0x00, 0x7F, 0x80, 0x00, ##           00000000        
            0x00, 0x7F, 0x80, 0x00, ##           00000000        
            0x00, 0x7F, 0x80, 0x00, ##           00000000        
            0x00, 0x7F, 0x80, 0x00, ##           00000000        
            0x00, 0x7F, 0x80, 0x00, ##           00000000        
            0x00, 0x7F, 0x80, 0x00, ##           00000000        
            0x00, 0x7F, 0x80, 0x00, ##           00000000        
            0x00, 0x7F, 0x80, 0x00, ##           00000000        
            0x00, 0x7F, 0x80, 0x00, ##           00000000        
            0x00, 0x7F, 0x80, 0x00, ##           00000000        
            0x00, 0x7F, 0x80, 0x00, ##           00000000        
            0x00, 0x7F, 0x80, 0x00, ##           00000000        
            0x00, 0x7F, 0x80, 0x00, ##           00000000        
            0x00, 0x7F, 0x80, 0x00, ##           00000000        
            0x00, 0x7F, 0x80, 0x00, ##           00000000        
            0x00, 0x7F, 0x80, 0x00, ##           00000000        
            0x00, 0x7F, 0x80, 0x00, ##           00000000        
            0x00, 0x7F, 0x80, 0x00, ##           00000000        
            0x00, 0x7F, 0x80, 0x00, ##           00000000        
            0x00, 0x7F, 0x80, 0x00, ##           00000000        
            0x00, 0x7F, 0x80, 0x00, ##           00000000        
            0x00, 0x7F, 0x80, 0x00, ##           00000000        
            0x00, 0x7F, 0x80, 0x00, ##           00000000        
            0x00, 0x7F, 0x80, 0x00, ##           00000000        
            0x00, 0x7F, 0x80, 0x00, ##           00000000        
            0x00, 0x7F, 0x80, 0x00, ##           00000000        
            0x00, 0x7F, 0x80, 0x00, ##           00000000        
            0x00, 0x7F, 0x80, 0x00, ##           00000000        
            0x00, 0x7F, 0x80, 0x00, ##           00000000        
            0x00, 0x7F, 0x80, 0x00, ##           00000000        
            0x00, 0x7F, 0x80, 0x00, ##           00000000        
            0x00, 0x7F, 0x80, 0x00, ##           00000000        
            0x00, 0x7F, 0x80, 0x00, ##           00000000        
            0x00, 0x7F, 0x80, 0x00, ##           00000000        
            0x00, 0x7F, 0x80, 0x00, ##           00000000        
            0x00, 0x7F, 0x80, 0x00, ##           00000000        
            0x00, 0x7F, 0x80, 0x00, ##           00000000        
            0x00, 0x7F, 0x80, 0x00, ##           00000000        
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '240' => {    # 'ð'
        'width'    => 44, 
        'xoffset'  => 5, 
        'xadvance' => 54, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x7F, 0xE0, 0x00, 0x00, 0x00, ##           0000000000                         
            0x00, 0x3F, 0xE0, 0x00, 0x00, 0x00, ##            000000000                         
            0x00, 0x3F, 0xF0, 0x00, 0x1C, 0x00, ##            0000000000               000      
            0x00, 0x1F, 0xF8, 0x00, 0xFE, 0x00, ##             0000000000           0000000     
            0x00, 0x0F, 0xFC, 0x07, 0xFE, 0x00, ##              0000000000       0000000000     
            0x00, 0x07, 0xFE, 0x3F, 0xFE, 0x00, ##               0000000000   0000000000000     
            0x00, 0x03, 0xFF, 0xFF, 0xF8, 0x00, ##                00000000000000000000000       
            0x00, 0x01, 0xFF, 0xFF, 0xC0, 0x00, ##                 0000000000000000000          
            0x00, 0x00, 0xFF, 0xFE, 0x00, 0x00, ##                  000000000000000             
            0x00, 0x03, 0xFF, 0xF0, 0x00, 0x00, ##                00000000000000                
            0x00, 0x1F, 0xFF, 0xE0, 0x00, 0x00, ##             0000000000000000                 
            0x00, 0xFF, 0xFF, 0xF0, 0x00, 0x00, ##          00000000000000000000                
            0x07, 0xFF, 0xFF, 0xF8, 0x00, 0x00, ##       000000000000000000000000               
            0x0F, 0xFF, 0x8F, 0xFC, 0x00, 0x00, ##      0000000000000   0000000000              
            0x07, 0xFC, 0x07, 0xFE, 0x00, 0x00, ##       000000000       0000000000             
            0x07, 0xE0, 0x03, 0xFF, 0x00, 0x00, ##       000000           0000000000            
            0x07, 0x00, 0x01, 0xFF, 0x80, 0x00, ##       000               0000000000           
            0x00, 0x00, 0x00, 0xFF, 0xC0, 0x00, ##                          0000000000          
            0x00, 0x00, 0x00, 0xFF, 0xC0, 0x00, ##                          0000000000          
            0x00, 0x00, 0x00, 0x7F, 0xE0, 0x00, ##                           0000000000         
            0x00, 0x00, 0xFF, 0xFF, 0xF0, 0x00, ##                  00000000000000000000        
            0x00, 0x07, 0xFF, 0xFF, 0xF8, 0x00, ##               000000000000000000000000       
            0x00, 0x1F, 0xFF, 0xFF, 0xFC, 0x00, ##             000000000000000000000000000      
            0x00, 0x7F, 0xFF, 0xFF, 0xFC, 0x00, ##           00000000000000000000000000000      
            0x00, 0xFF, 0xFF, 0xFF, 0xFE, 0x00, ##          0000000000000000000000000000000     
            0x01, 0xFF, 0xFF, 0xFF, 0xFE, 0x00, ##         00000000000000000000000000000000     
            0x03, 0xFF, 0xE0, 0x0F, 0xFF, 0x00, ##        0000000000000         000000000000    
            0x07, 0xFF, 0x00, 0x01, 0xFF, 0x00, ##       00000000000               000000000    
            0x0F, 0xFC, 0x00, 0x00, 0xFF, 0x80, ##      0000000000                  000000000   
            0x0F, 0xF8, 0x00, 0x00, 0x7F, 0x80, ##      000000000                    00000000   
            0x1F, 0xF0, 0x00, 0x00, 0x7F, 0xC0, ##     000000000                     000000000  
            0x3F, 0xE0, 0x00, 0x00, 0x3F, 0xC0, ##    000000000                       00000000  
            0x3F, 0xE0, 0x00, 0x00, 0x3F, 0xC0, ##    000000000                       00000000  
            0x3F, 0xC0, 0x00, 0x00, 0x1F, 0xE0, ##    00000000                         00000000 
            0x7F, 0xC0, 0x00, 0x00, 0x1F, 0xE0, ##   000000000                         00000000 
            0x7F, 0x80, 0x00, 0x00, 0x1F, 0xE0, ##   00000000                          00000000 
            0x7F, 0x80, 0x00, 0x00, 0x1F, 0xE0, ##   00000000                          00000000 
            0x7F, 0x80, 0x00, 0x00, 0x0F, 0xF0, ##   00000000                           00000000
            0xFF, 0x00, 0x00, 0x00, 0x0F, 0xF0, ##  00000000                            00000000
            0xFF, 0x00, 0x00, 0x00, 0x0F, 0xF0, ##  00000000                            00000000
            0xFF, 0x00, 0x00, 0x00, 0x0F, 0xF0, ##  00000000                            00000000
            0xFF, 0x00, 0x00, 0x00, 0x0F, 0xF0, ##  00000000                            00000000
            0xFF, 0x00, 0x00, 0x00, 0x0F, 0xF0, ##  00000000                            00000000
            0xFF, 0x00, 0x00, 0x00, 0x0F, 0xF0, ##  00000000                            00000000
            0xFF, 0x00, 0x00, 0x00, 0x0F, 0xF0, ##  00000000                            00000000
            0xFF, 0x00, 0x00, 0x00, 0x0F, 0xF0, ##  00000000                            00000000
            0xFF, 0x00, 0x00, 0x00, 0x0F, 0xF0, ##  00000000                            00000000
            0xFF, 0x00, 0x00, 0x00, 0x0F, 0xF0, ##  00000000                            00000000
            0xFF, 0x00, 0x00, 0x00, 0x0F, 0xF0, ##  00000000                            00000000
            0x7F, 0x80, 0x00, 0x00, 0x1F, 0xE0, ##   00000000                          00000000 
            0x7F, 0x80, 0x00, 0x00, 0x1F, 0xE0, ##   00000000                          00000000 
            0x7F, 0x80, 0x00, 0x00, 0x1F, 0xE0, ##   00000000                          00000000 
            0x7F, 0xC0, 0x00, 0x00, 0x3F, 0xE0, ##   000000000                        000000000 
            0x3F, 0xC0, 0x00, 0x00, 0x3F, 0xC0, ##    00000000                        00000000  
            0x3F, 0xE0, 0x00, 0x00, 0x7F, 0xC0, ##    000000000                      000000000  
            0x1F, 0xE0, 0x00, 0x00, 0x7F, 0x80, ##     00000000                      00000000   
            0x1F, 0xF0, 0x00, 0x00, 0xFF, 0x80, ##     000000000                    000000000   
            0x0F, 0xF8, 0x00, 0x01, 0xFF, 0x00, ##      000000000                  000000000    
            0x0F, 0xFC, 0x00, 0x03, 0xFF, 0x00, ##      0000000000                0000000000    
            0x07, 0xFF, 0x00, 0x0F, 0xFE, 0x00, ##       00000000000            00000000000     
            0x03, 0xFF, 0xC0, 0x3F, 0xFC, 0x00, ##        000000000000        000000000000      
            0x01, 0xFF, 0xFF, 0xFF, 0xF8, 0x00, ##         000000000000000000000000000000       
            0x00, 0xFF, 0xFF, 0xFF, 0xF0, 0x00, ##          0000000000000000000000000000        
            0x00, 0x3F, 0xFF, 0xFF, 0xC0, 0x00, ##            000000000000000000000000          
            0x00, 0x1F, 0xFF, 0xFF, 0x80, 0x00, ##             0000000000000000000000           
            0x00, 0x07, 0xFF, 0xFE, 0x00, 0x00, ##               000000000000000000             
            0x00, 0x00, 0x7F, 0xE0, 0x00, 0x00, ##                   0000000000                 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '241' => {    # 'ñ'
        'width'    => 40, 
        'xoffset'  => 8, 
        'xadvance' => 55, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x1F, 0x80, 0x07, 0xC0, ##             000000            00000      
            0x00, 0x3F, 0xE0, 0x07, 0xC0, ##            000000000          00000      
            0x00, 0x7F, 0xF0, 0x07, 0xC0, ##           00000000000         00000      
            0x00, 0xFF, 0xF8, 0x07, 0xC0, ##          0000000000000        00000      
            0x01, 0xFF, 0xFC, 0x07, 0xC0, ##         000000000000000       00000      
            0x01, 0xF8, 0xFE, 0x0F, 0x80, ##         000000   0000000     00000       
            0x01, 0xF0, 0x7F, 0x1F, 0x80, ##         00000     0000000   000000       
            0x03, 0xE0, 0x3F, 0xFF, 0x80, ##        00000       000000000000000       
            0x03, 0xE0, 0x1F, 0xFF, 0x00, ##        00000        0000000000000        
            0x03, 0xE0, 0x0F, 0xFE, 0x00, ##        00000         00000000000         
            0x03, 0xE0, 0x07, 0xFC, 0x00, ##        00000          000000000          
            0x03, 0xE0, 0x01, 0xF8, 0x00, ##        00000            000000           
            0x00, 0x00, 0x00, 0x00, 0x00, ##                                          
            0x00, 0x00, 0x00, 0x00, 0x00, ##                                          
            0x00, 0x00, 0x00, 0x00, 0x00, ##                                          
            0x00, 0x00, 0x00, 0x00, 0x00, ##                                          
            0x00, 0x00, 0x00, 0x00, 0x00, ##                                          
            0x00, 0x00, 0x00, 0x00, 0x00, ##                                          
            0x00, 0x00, 0x00, 0x00, 0x00, ##                                          
            0x00, 0x00, 0x1F, 0xF0, 0x00, ##                     000000000            
            0xFF, 0x00, 0xFF, 0xFE, 0x00, ##  00000000        000000000000000         
            0xFF, 0x03, 0xFF, 0xFF, 0x80, ##  00000000      0000000000000000000       
            0xFF, 0x0F, 0xFF, 0xFF, 0xC0, ##  00000000    0000000000000000000000      
            0xFF, 0x1F, 0xFF, 0xFF, 0xE0, ##  00000000   000000000000000000000000     
            0xFF, 0x3F, 0xFF, 0xFF, 0xF0, ##  00000000  00000000000000000000000000    
            0xFF, 0x7F, 0xC0, 0x7F, 0xF8, ##  00000000 000000000       000000000000   
            0xFF, 0xFE, 0x00, 0x1F, 0xF8, ##  000000000000000            0000000000   
            0xFF, 0xF8, 0x00, 0x07, 0xFC, ##  0000000000000                000000000  
            0xFF, 0xF0, 0x00, 0x07, 0xFC, ##  000000000000                 000000000  
            0xFF, 0xE0, 0x00, 0x03, 0xFE, ##  00000000000                   000000000 
            0xFF, 0xE0, 0x00, 0x01, 0xFE, ##  00000000000                    00000000 
            0xFF, 0xC0, 0x00, 0x01, 0xFE, ##  0000000000                     00000000 
            0xFF, 0xC0, 0x00, 0x01, 0xFE, ##  0000000000                     00000000 
            0xFF, 0x80, 0x00, 0x01, 0xFF, ##  000000000                      000000000
            0xFF, 0x80, 0x00, 0x00, 0xFF, ##  000000000                       00000000
            0xFF, 0x80, 0x00, 0x00, 0xFF, ##  000000000                       00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '242' => {    # 'ò'
        'width'    => 44, 
        'xoffset'  => 5, 
        'xadvance' => 54, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0xFF, 0x00, 0x00, 0x00, 0x00, ##          00000000                            
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, ##          000000000                           
            0x00, 0x7F, 0xC0, 0x00, 0x00, 0x00, ##           000000000                          
            0x00, 0x3F, 0xC0, 0x00, 0x00, 0x00, ##            00000000                          
            0x00, 0x1F, 0xE0, 0x00, 0x00, 0x00, ##             00000000                         
            0x00, 0x0F, 0xF0, 0x00, 0x00, 0x00, ##              00000000                        
            0x00, 0x07, 0xF8, 0x00, 0x00, 0x00, ##               00000000                       
            0x00, 0x03, 0xF8, 0x00, 0x00, 0x00, ##                0000000                       
            0x00, 0x01, 0xFC, 0x00, 0x00, 0x00, ##                 0000000                      
            0x00, 0x00, 0xFE, 0x00, 0x00, 0x00, ##                  0000000                     
            0x00, 0x00, 0xFF, 0x00, 0x00, 0x00, ##                  00000000                    
            0x00, 0x00, 0x7F, 0x80, 0x00, 0x00, ##                   00000000                   
            0x00, 0x00, 0x3F, 0x80, 0x00, 0x00, ##                    0000000                   
            0x00, 0x00, 0x1F, 0xC0, 0x00, 0x00, ##                     0000000                  
            0x00, 0x00, 0x0F, 0xE0, 0x00, 0x00, ##                      0000000                 
            0x00, 0x00, 0x07, 0xF0, 0x00, 0x00, ##                       0000000                
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                              
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                              
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                              
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                              
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                              
            0x00, 0x00, 0x7F, 0xE0, 0x00, 0x00, ##                   0000000000                 
            0x00, 0x07, 0xFF, 0xFE, 0x00, 0x00, ##               000000000000000000             
            0x00, 0x1F, 0xFF, 0xFF, 0x80, 0x00, ##             0000000000000000000000           
            0x00, 0x7F, 0xFF, 0xFF, 0xE0, 0x00, ##           00000000000000000000000000         
            0x00, 0xFF, 0xFF, 0xFF, 0xF0, 0x00, ##          0000000000000000000000000000        
            0x01, 0xFF, 0xFF, 0xFF, 0xF8, 0x00, ##         000000000000000000000000000000       
            0x03, 0xFF, 0xC0, 0x3F, 0xFC, 0x00, ##        000000000000        000000000000      
            0x07, 0xFF, 0x00, 0x0F, 0xFE, 0x00, ##       00000000000            00000000000     
            0x0F, 0xFC, 0x00, 0x03, 0xFF, 0x00, ##      0000000000                0000000000    
            0x0F, 0xF8, 0x00, 0x01, 0xFF, 0x00, ##      000000000                  000000000    
            0x1F, 0xF0, 0x00, 0x00, 0xFF, 0x80, ##     000000000                    000000000   
            0x1F, 0xE0, 0x00, 0x00, 0xFF, 0x80, ##     00000000                     000000000   
            0x3F, 0xE0, 0x00, 0x00, 0x7F, 0xC0, ##    000000000                      000000000  
            0x3F, 0xC0, 0x00, 0x00, 0x3F, 0xC0, ##    00000000                        00000000  
            0x7F, 0xC0, 0x00, 0x00, 0x3F, 0xE0, ##   000000000                        000000000 
            0x7F, 0x80, 0x00, 0x00, 0x1F, 0xE0, ##   00000000                          00000000 
            0x7F, 0x80, 0x00, 0x00, 0x1F, 0xE0, ##   00000000                          00000000 
            0x7F, 0x80, 0x00, 0x00, 0x1F, 0xE0, ##   00000000                          00000000 
            0xFF, 0x80, 0x00, 0x00, 0x1F, 0xE0, ##  000000000                          00000000 
            0xFF, 0x00, 0x00, 0x00, 0x0F, 0xF0, ##  00000000                            00000000
            0xFF, 0x00, 0x00, 0x00, 0x0F, 0xF0, ##  00000000                            00000000
            0xFF, 0x00, 0x00, 0x00, 0x0F, 0xF0, ##  00000000                            00000000
            0xFF, 0x00, 0x00, 0x00, 0x0F, 0xF0, ##  00000000                            00000000
            0xFF, 0x00, 0x00, 0x00, 0x0F, 0xF0, ##  00000000                            00000000
            0xFF, 0x00, 0x00, 0x00, 0x0F, 0xF0, ##  00000000                            00000000
            0xFF, 0x00, 0x00, 0x00, 0x0F, 0xF0, ##  00000000                            00000000
            0xFF, 0x00, 0x00, 0x00, 0x0F, 0xF0, ##  00000000                            00000000
            0xFF, 0x00, 0x00, 0x00, 0x0F, 0xF0, ##  00000000                            00000000
            0xFF, 0x00, 0x00, 0x00, 0x0F, 0xF0, ##  00000000                            00000000
            0xFF, 0x00, 0x00, 0x00, 0x0F, 0xF0, ##  00000000                            00000000
            0xFF, 0x00, 0x00, 0x00, 0x0F, 0xF0, ##  00000000                            00000000
            0xFF, 0x80, 0x00, 0x00, 0x1F, 0xE0, ##  000000000                          00000000 
            0x7F, 0x80, 0x00, 0x00, 0x1F, 0xE0, ##   00000000                          00000000 
            0x7F, 0x80, 0x00, 0x00, 0x1F, 0xE0, ##   00000000                          00000000 
            0x7F, 0x80, 0x00, 0x00, 0x1F, 0xE0, ##   00000000                          00000000 
            0x7F, 0xC0, 0x00, 0x00, 0x3F, 0xE0, ##   000000000                        000000000 
            0x3F, 0xC0, 0x00, 0x00, 0x3F, 0xC0, ##    00000000                        00000000  
            0x3F, 0xE0, 0x00, 0x00, 0x7F, 0xC0, ##    000000000                      000000000  
            0x1F, 0xE0, 0x00, 0x00, 0xFF, 0x80, ##     00000000                     000000000   
            0x1F, 0xF0, 0x00, 0x00, 0xFF, 0x80, ##     000000000                    000000000   
            0x0F, 0xF8, 0x00, 0x01, 0xFF, 0x00, ##      000000000                  000000000    
            0x0F, 0xFC, 0x00, 0x03, 0xFF, 0x00, ##      0000000000                0000000000    
            0x07, 0xFF, 0x00, 0x0F, 0xFE, 0x00, ##       00000000000            00000000000     
            0x03, 0xFF, 0xC0, 0x3F, 0xFC, 0x00, ##        000000000000        000000000000      
            0x01, 0xFF, 0xFF, 0xFF, 0xF8, 0x00, ##         000000000000000000000000000000       
            0x00, 0xFF, 0xFF, 0xFF, 0xF0, 0x00, ##          0000000000000000000000000000        
            0x00, 0x7F, 0xFF, 0xFF, 0xE0, 0x00, ##           00000000000000000000000000         
            0x00, 0x1F, 0xFF, 0xFF, 0x80, 0x00, ##             0000000000000000000000           
            0x00, 0x07, 0xFF, 0xFE, 0x00, 0x00, ##               000000000000000000             
            0x00, 0x00, 0x7F, 0xE0, 0x00, 0x00, ##                   0000000000                 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '243' => {    # 'ó'
        'width'    => 44, 
        'xoffset'  => 5, 
        'xadvance' => 54, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x0F, 0xF0, 0x00, ##                              00000000        
            0x00, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##                             00000000         
            0x00, 0x00, 0x00, 0x3F, 0xE0, 0x00, ##                            000000000         
            0x00, 0x00, 0x00, 0x7F, 0xC0, 0x00, ##                           000000000          
            0x00, 0x00, 0x00, 0x7F, 0x80, 0x00, ##                           00000000           
            0x00, 0x00, 0x00, 0xFF, 0x00, 0x00, ##                          00000000            
            0x00, 0x00, 0x01, 0xFE, 0x00, 0x00, ##                         00000000             
            0x00, 0x00, 0x03, 0xFC, 0x00, 0x00, ##                        00000000              
            0x00, 0x00, 0x03, 0xF8, 0x00, 0x00, ##                        0000000               
            0x00, 0x00, 0x07, 0xF0, 0x00, 0x00, ##                       0000000                
            0x00, 0x00, 0x0F, 0xE0, 0x00, 0x00, ##                      0000000                 
            0x00, 0x00, 0x1F, 0xE0, 0x00, 0x00, ##                     00000000                 
            0x00, 0x00, 0x1F, 0xC0, 0x00, 0x00, ##                     0000000                  
            0x00, 0x00, 0x3F, 0x80, 0x00, 0x00, ##                    0000000                   
            0x00, 0x00, 0x7F, 0x00, 0x00, 0x00, ##                   0000000                    
            0x00, 0x00, 0xFE, 0x00, 0x00, 0x00, ##                  0000000                     
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                              
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                              
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                              
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                              
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                              
            0x00, 0x00, 0x7F, 0xE0, 0x00, 0x00, ##                   0000000000                 
            0x00, 0x07, 0xFF, 0xFE, 0x00, 0x00, ##               000000000000000000             
            0x00, 0x1F, 0xFF, 0xFF, 0x80, 0x00, ##             0000000000000000000000           
            0x00, 0x7F, 0xFF, 0xFF, 0xE0, 0x00, ##           00000000000000000000000000         
            0x00, 0xFF, 0xFF, 0xFF, 0xF0, 0x00, ##          0000000000000000000000000000        
            0x01, 0xFF, 0xFF, 0xFF, 0xF8, 0x00, ##         000000000000000000000000000000       
            0x03, 0xFF, 0xC0, 0x3F, 0xFC, 0x00, ##        000000000000        000000000000      
            0x07, 0xFF, 0x00, 0x0F, 0xFE, 0x00, ##       00000000000            00000000000     
            0x0F, 0xFC, 0x00, 0x03, 0xFF, 0x00, ##      0000000000                0000000000    
            0x0F, 0xF8, 0x00, 0x01, 0xFF, 0x00, ##      000000000                  000000000    
            0x1F, 0xF0, 0x00, 0x00, 0xFF, 0x80, ##     000000000                    000000000   
            0x1F, 0xE0, 0x00, 0x00, 0xFF, 0x80, ##     00000000                     000000000   
            0x3F, 0xE0, 0x00, 0x00, 0x7F, 0xC0, ##    000000000                      000000000  
            0x3F, 0xC0, 0x00, 0x00, 0x3F, 0xC0, ##    00000000                        00000000  
            0x7F, 0xC0, 0x00, 0x00, 0x3F, 0xE0, ##   000000000                        000000000 
            0x7F, 0x80, 0x00, 0x00, 0x1F, 0xE0, ##   00000000                          00000000 
            0x7F, 0x80, 0x00, 0x00, 0x1F, 0xE0, ##   00000000                          00000000 
            0x7F, 0x80, 0x00, 0x00, 0x1F, 0xE0, ##   00000000                          00000000 
            0xFF, 0x80, 0x00, 0x00, 0x1F, 0xE0, ##  000000000                          00000000 
            0xFF, 0x00, 0x00, 0x00, 0x0F, 0xF0, ##  00000000                            00000000
            0xFF, 0x00, 0x00, 0x00, 0x0F, 0xF0, ##  00000000                            00000000
            0xFF, 0x00, 0x00, 0x00, 0x0F, 0xF0, ##  00000000                            00000000
            0xFF, 0x00, 0x00, 0x00, 0x0F, 0xF0, ##  00000000                            00000000
            0xFF, 0x00, 0x00, 0x00, 0x0F, 0xF0, ##  00000000                            00000000
            0xFF, 0x00, 0x00, 0x00, 0x0F, 0xF0, ##  00000000                            00000000
            0xFF, 0x00, 0x00, 0x00, 0x0F, 0xF0, ##  00000000                            00000000
            0xFF, 0x00, 0x00, 0x00, 0x0F, 0xF0, ##  00000000                            00000000
            0xFF, 0x00, 0x00, 0x00, 0x0F, 0xF0, ##  00000000                            00000000
            0xFF, 0x00, 0x00, 0x00, 0x0F, 0xF0, ##  00000000                            00000000
            0xFF, 0x00, 0x00, 0x00, 0x0F, 0xF0, ##  00000000                            00000000
            0xFF, 0x00, 0x00, 0x00, 0x0F, 0xF0, ##  00000000                            00000000
            0xFF, 0x80, 0x00, 0x00, 0x1F, 0xE0, ##  000000000                          00000000 
            0x7F, 0x80, 0x00, 0x00, 0x1F, 0xE0, ##   00000000                          00000000 
            0x7F, 0x80, 0x00, 0x00, 0x1F, 0xE0, ##   00000000                          00000000 
            0x7F, 0x80, 0x00, 0x00, 0x1F, 0xE0, ##   00000000                          00000000 
            0x7F, 0xC0, 0x00, 0x00, 0x3F, 0xE0, ##   000000000                        000000000 
            0x3F, 0xC0, 0x00, 0x00, 0x3F, 0xC0, ##    00000000                        00000000  
            0x3F, 0xE0, 0x00, 0x00, 0x7F, 0xC0, ##    000000000                      000000000  
            0x1F, 0xE0, 0x00, 0x00, 0xFF, 0x80, ##     00000000                     000000000   
            0x1F, 0xF0, 0x00, 0x00, 0xFF, 0x80, ##     000000000                    000000000   
            0x0F, 0xF8, 0x00, 0x01, 0xFF, 0x00, ##      000000000                  000000000    
            0x0F, 0xFC, 0x00, 0x03, 0xFF, 0x00, ##      0000000000                0000000000    
            0x07, 0xFF, 0x00, 0x0F, 0xFE, 0x00, ##       00000000000            00000000000     
            0x03, 0xFF, 0xC0, 0x3F, 0xFC, 0x00, ##        000000000000        000000000000      
            0x01, 0xFF, 0xFF, 0xFF, 0xF8, 0x00, ##         000000000000000000000000000000       
            0x00, 0xFF, 0xFF, 0xFF, 0xF0, 0x00, ##          0000000000000000000000000000        
            0x00, 0x7F, 0xFF, 0xFF, 0xE0, 0x00, ##           00000000000000000000000000         
            0x00, 0x1F, 0xFF, 0xFF, 0x80, 0x00, ##             0000000000000000000000           
            0x00, 0x07, 0xFF, 0xFE, 0x00, 0x00, ##               000000000000000000             
            0x00, 0x00, 0x7F, 0xE0, 0x00, 0x00, ##                   0000000000                 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '244' => {    # 'ô'
        'width'    => 44, 
        'xoffset'  => 5, 
        'xadvance' => 54, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x3F, 0xC0, 0x00, 0x00, ##                    00000000                  
            0x00, 0x00, 0x3F, 0xC0, 0x00, 0x00, ##                    00000000                  
            0x00, 0x00, 0x7F, 0xE0, 0x00, 0x00, ##                   0000000000                 
            0x00, 0x00, 0xFF, 0xF0, 0x00, 0x00, ##                  000000000000                
            0x00, 0x00, 0xFF, 0xF0, 0x00, 0x00, ##                  000000000000                
            0x00, 0x01, 0xFF, 0xF8, 0x00, 0x00, ##                 00000000000000               
            0x00, 0x03, 0xF9, 0xFC, 0x00, 0x00, ##                0000000  0000000              
            0x00, 0x03, 0xF9, 0xFC, 0x00, 0x00, ##                0000000  0000000              
            0x00, 0x07, 0xF0, 0xFE, 0x00, 0x00, ##               0000000    0000000             
            0x00, 0x0F, 0xE0, 0x7F, 0x00, 0x00, ##              0000000      0000000            
            0x00, 0x0F, 0xC0, 0x3F, 0x00, 0x00, ##              000000        000000            
            0x00, 0x1F, 0xC0, 0x1F, 0x80, 0x00, ##             0000000         000000           
            0x00, 0x3F, 0x80, 0x1F, 0xC0, 0x00, ##            0000000          0000000          
            0x00, 0x3F, 0x00, 0x0F, 0xC0, 0x00, ##            000000            000000          
            0x00, 0x7E, 0x00, 0x07, 0xE0, 0x00, ##           000000              000000         
            0x00, 0xFE, 0x00, 0x03, 0xF0, 0x00, ##          0000000               000000        
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                              
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                              
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                              
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                              
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                              
            0x00, 0x00, 0x7F, 0xE0, 0x00, 0x00, ##                   0000000000                 
            0x00, 0x07, 0xFF, 0xFE, 0x00, 0x00, ##               000000000000000000             
            0x00, 0x1F, 0xFF, 0xFF, 0x80, 0x00, ##             0000000000000000000000           
            0x00, 0x7F, 0xFF, 0xFF, 0xE0, 0x00, ##           00000000000000000000000000         
            0x00, 0xFF, 0xFF, 0xFF, 0xF0, 0x00, ##          0000000000000000000000000000        
            0x01, 0xFF, 0xFF, 0xFF, 0xF8, 0x00, ##         000000000000000000000000000000       
            0x03, 0xFF, 0xC0, 0x3F, 0xFC, 0x00, ##        000000000000        000000000000      
            0x07, 0xFF, 0x00, 0x0F, 0xFE, 0x00, ##       00000000000            00000000000     
            0x0F, 0xFC, 0x00, 0x03, 0xFF, 0x00, ##      0000000000                0000000000    
            0x0F, 0xF8, 0x00, 0x01, 0xFF, 0x00, ##      000000000                  000000000    
            0x1F, 0xF0, 0x00, 0x00, 0xFF, 0x80, ##     000000000                    000000000   
            0x1F, 0xE0, 0x00, 0x00, 0xFF, 0x80, ##     00000000                     000000000   
            0x3F, 0xE0, 0x00, 0x00, 0x7F, 0xC0, ##    000000000                      000000000  
            0x3F, 0xC0, 0x00, 0x00, 0x3F, 0xC0, ##    00000000                        00000000  
            0x7F, 0xC0, 0x00, 0x00, 0x3F, 0xE0, ##   000000000                        000000000 
            0x7F, 0x80, 0x00, 0x00, 0x1F, 0xE0, ##   00000000                          00000000 
            0x7F, 0x80, 0x00, 0x00, 0x1F, 0xE0, ##   00000000                          00000000 
            0x7F, 0x80, 0x00, 0x00, 0x1F, 0xE0, ##   00000000                          00000000 
            0xFF, 0x80, 0x00, 0x00, 0x1F, 0xE0, ##  000000000                          00000000 
            0xFF, 0x00, 0x00, 0x00, 0x0F, 0xF0, ##  00000000                            00000000
            0xFF, 0x00, 0x00, 0x00, 0x0F, 0xF0, ##  00000000                            00000000
            0xFF, 0x00, 0x00, 0x00, 0x0F, 0xF0, ##  00000000                            00000000
            0xFF, 0x00, 0x00, 0x00, 0x0F, 0xF0, ##  00000000                            00000000
            0xFF, 0x00, 0x00, 0x00, 0x0F, 0xF0, ##  00000000                            00000000
            0xFF, 0x00, 0x00, 0x00, 0x0F, 0xF0, ##  00000000                            00000000
            0xFF, 0x00, 0x00, 0x00, 0x0F, 0xF0, ##  00000000                            00000000
            0xFF, 0x00, 0x00, 0x00, 0x0F, 0xF0, ##  00000000                            00000000
            0xFF, 0x00, 0x00, 0x00, 0x0F, 0xF0, ##  00000000                            00000000
            0xFF, 0x00, 0x00, 0x00, 0x0F, 0xF0, ##  00000000                            00000000
            0xFF, 0x00, 0x00, 0x00, 0x0F, 0xF0, ##  00000000                            00000000
            0xFF, 0x00, 0x00, 0x00, 0x0F, 0xF0, ##  00000000                            00000000
            0xFF, 0x80, 0x00, 0x00, 0x1F, 0xE0, ##  000000000                          00000000 
            0x7F, 0x80, 0x00, 0x00, 0x1F, 0xE0, ##   00000000                          00000000 
            0x7F, 0x80, 0x00, 0x00, 0x1F, 0xE0, ##   00000000                          00000000 
            0x7F, 0x80, 0x00, 0x00, 0x1F, 0xE0, ##   00000000                          00000000 
            0x7F, 0xC0, 0x00, 0x00, 0x3F, 0xE0, ##   000000000                        000000000 
            0x3F, 0xC0, 0x00, 0x00, 0x3F, 0xC0, ##    00000000                        00000000  
            0x3F, 0xE0, 0x00, 0x00, 0x7F, 0xC0, ##    000000000                      000000000  
            0x1F, 0xE0, 0x00, 0x00, 0xFF, 0x80, ##     00000000                     000000000   
            0x1F, 0xF0, 0x00, 0x00, 0xFF, 0x80, ##     000000000                    000000000   
            0x0F, 0xF8, 0x00, 0x01, 0xFF, 0x00, ##      000000000                  000000000    
            0x0F, 0xFC, 0x00, 0x03, 0xFF, 0x00, ##      0000000000                0000000000    
            0x07, 0xFF, 0x00, 0x0F, 0xFE, 0x00, ##       00000000000            00000000000     
            0x03, 0xFF, 0xC0, 0x3F, 0xFC, 0x00, ##        000000000000        000000000000      
            0x01, 0xFF, 0xFF, 0xFF, 0xF8, 0x00, ##         000000000000000000000000000000       
            0x00, 0xFF, 0xFF, 0xFF, 0xF0, 0x00, ##          0000000000000000000000000000        
            0x00, 0x7F, 0xFF, 0xFF, 0xE0, 0x00, ##           00000000000000000000000000         
            0x00, 0x1F, 0xFF, 0xFF, 0x80, 0x00, ##             0000000000000000000000           
            0x00, 0x07, 0xFF, 0xFE, 0x00, 0x00, ##               000000000000000000             
            0x00, 0x00, 0x7F, 0xE0, 0x00, 0x00, ##                   0000000000                 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '245' => {    # 'õ'
        'width'    => 44, 
        'xoffset'  => 5, 
        'xadvance' => 54, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x07, 0xE0, 0x01, 0xF0, 0x00, ##               000000            00000        
            0x00, 0x0F, 0xF8, 0x01, 0xF0, 0x00, ##              000000000          00000        
            0x00, 0x1F, 0xFC, 0x01, 0xF0, 0x00, ##             00000000000         00000        
            0x00, 0x3F, 0xFE, 0x01, 0xF0, 0x00, ##            0000000000000        00000        
            0x00, 0x7F, 0xFF, 0x01, 0xF0, 0x00, ##           000000000000000       00000        
            0x00, 0x7E, 0x3F, 0x83, 0xE0, 0x00, ##           000000   0000000     00000         
            0x00, 0x7C, 0x1F, 0xC7, 0xE0, 0x00, ##           00000     0000000   000000         
            0x00, 0xF8, 0x0F, 0xFF, 0xE0, 0x00, ##          00000       000000000000000         
            0x00, 0xF8, 0x07, 0xFF, 0xC0, 0x00, ##          00000        0000000000000          
            0x00, 0xF8, 0x03, 0xFF, 0x80, 0x00, ##          00000         00000000000           
            0x00, 0xF8, 0x01, 0xFF, 0x00, 0x00, ##          00000          000000000            
            0x00, 0xF8, 0x00, 0x7E, 0x00, 0x00, ##          00000            000000             
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                              
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                              
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                              
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                              
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                              
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                              
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                              
            0x00, 0x00, 0x7F, 0xE0, 0x00, 0x00, ##                   0000000000                 
            0x00, 0x07, 0xFF, 0xFE, 0x00, 0x00, ##               000000000000000000             
            0x00, 0x1F, 0xFF, 0xFF, 0x80, 0x00, ##             0000000000000000000000           
            0x00, 0x7F, 0xFF, 0xFF, 0xE0, 0x00, ##           00000000000000000000000000         
            0x00, 0xFF, 0xFF, 0xFF, 0xF0, 0x00, ##          0000000000000000000000000000        
            0x01, 0xFF, 0xFF, 0xFF, 0xF8, 0x00, ##         000000000000000000000000000000       
            0x03, 0xFF, 0xC0, 0x3F, 0xFC, 0x00, ##        000000000000        000000000000      
            0x07, 0xFF, 0x00, 0x0F, 0xFE, 0x00, ##       00000000000            00000000000     
            0x0F, 0xFC, 0x00, 0x03, 0xFF, 0x00, ##      0000000000                0000000000    
            0x0F, 0xF8, 0x00, 0x01, 0xFF, 0x00, ##      000000000                  000000000    
            0x1F, 0xF0, 0x00, 0x00, 0xFF, 0x80, ##     000000000                    000000000   
            0x1F, 0xE0, 0x00, 0x00, 0xFF, 0x80, ##     00000000                     000000000   
            0x3F, 0xE0, 0x00, 0x00, 0x7F, 0xC0, ##    000000000                      000000000  
            0x3F, 0xC0, 0x00, 0x00, 0x3F, 0xC0, ##    00000000                        00000000  
            0x7F, 0xC0, 0x00, 0x00, 0x3F, 0xE0, ##   000000000                        000000000 
            0x7F, 0x80, 0x00, 0x00, 0x1F, 0xE0, ##   00000000                          00000000 
            0x7F, 0x80, 0x00, 0x00, 0x1F, 0xE0, ##   00000000                          00000000 
            0x7F, 0x80, 0x00, 0x00, 0x1F, 0xE0, ##   00000000                          00000000 
            0xFF, 0x80, 0x00, 0x00, 0x1F, 0xE0, ##  000000000                          00000000 
            0xFF, 0x00, 0x00, 0x00, 0x0F, 0xF0, ##  00000000                            00000000
            0xFF, 0x00, 0x00, 0x00, 0x0F, 0xF0, ##  00000000                            00000000
            0xFF, 0x00, 0x00, 0x00, 0x0F, 0xF0, ##  00000000                            00000000
            0xFF, 0x00, 0x00, 0x00, 0x0F, 0xF0, ##  00000000                            00000000
            0xFF, 0x00, 0x00, 0x00, 0x0F, 0xF0, ##  00000000                            00000000
            0xFF, 0x00, 0x00, 0x00, 0x0F, 0xF0, ##  00000000                            00000000
            0xFF, 0x00, 0x00, 0x00, 0x0F, 0xF0, ##  00000000                            00000000
            0xFF, 0x00, 0x00, 0x00, 0x0F, 0xF0, ##  00000000                            00000000
            0xFF, 0x00, 0x00, 0x00, 0x0F, 0xF0, ##  00000000                            00000000
            0xFF, 0x00, 0x00, 0x00, 0x0F, 0xF0, ##  00000000                            00000000
            0xFF, 0x00, 0x00, 0x00, 0x0F, 0xF0, ##  00000000                            00000000
            0xFF, 0x00, 0x00, 0x00, 0x0F, 0xF0, ##  00000000                            00000000
            0xFF, 0x80, 0x00, 0x00, 0x1F, 0xE0, ##  000000000                          00000000 
            0x7F, 0x80, 0x00, 0x00, 0x1F, 0xE0, ##   00000000                          00000000 
            0x7F, 0x80, 0x00, 0x00, 0x1F, 0xE0, ##   00000000                          00000000 
            0x7F, 0x80, 0x00, 0x00, 0x1F, 0xE0, ##   00000000                          00000000 
            0x7F, 0xC0, 0x00, 0x00, 0x3F, 0xE0, ##   000000000                        000000000 
            0x3F, 0xC0, 0x00, 0x00, 0x3F, 0xC0, ##    00000000                        00000000  
            0x3F, 0xE0, 0x00, 0x00, 0x7F, 0xC0, ##    000000000                      000000000  
            0x1F, 0xE0, 0x00, 0x00, 0xFF, 0x80, ##     00000000                     000000000   
            0x1F, 0xF0, 0x00, 0x00, 0xFF, 0x80, ##     000000000                    000000000   
            0x0F, 0xF8, 0x00, 0x01, 0xFF, 0x00, ##      000000000                  000000000    
            0x0F, 0xFC, 0x00, 0x03, 0xFF, 0x00, ##      0000000000                0000000000    
            0x07, 0xFF, 0x00, 0x0F, 0xFE, 0x00, ##       00000000000            00000000000     
            0x03, 0xFF, 0xC0, 0x3F, 0xFC, 0x00, ##        000000000000        000000000000      
            0x01, 0xFF, 0xFF, 0xFF, 0xF8, 0x00, ##         000000000000000000000000000000       
            0x00, 0xFF, 0xFF, 0xFF, 0xF0, 0x00, ##          0000000000000000000000000000        
            0x00, 0x7F, 0xFF, 0xFF, 0xE0, 0x00, ##           00000000000000000000000000         
            0x00, 0x1F, 0xFF, 0xFF, 0x80, 0x00, ##             0000000000000000000000           
            0x00, 0x07, 0xFF, 0xFE, 0x00, 0x00, ##               000000000000000000             
            0x00, 0x00, 0x7F, 0xE0, 0x00, 0x00, ##                   0000000000                 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '246' => {    # 'ö'
        'width'    => 44, 
        'xoffset'  => 5, 
        'xadvance' => 54, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x3F, 0xC0, 0x3F, 0xC0, 0x00, ##            00000000        00000000          
            0x00, 0x3F, 0xC0, 0x3F, 0xC0, 0x00, ##            00000000        00000000          
            0x00, 0x3F, 0xC0, 0x3F, 0xC0, 0x00, ##            00000000        00000000          
            0x00, 0x3F, 0xC0, 0x3F, 0xC0, 0x00, ##            00000000        00000000          
            0x00, 0x3F, 0xC0, 0x3F, 0xC0, 0x00, ##            00000000        00000000          
            0x00, 0x3F, 0xC0, 0x3F, 0xC0, 0x00, ##            00000000        00000000          
            0x00, 0x3F, 0xC0, 0x3F, 0xC0, 0x00, ##            00000000        00000000          
            0x00, 0x3F, 0xC0, 0x3F, 0xC0, 0x00, ##            00000000        00000000          
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                              
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                              
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                              
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                              
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                              
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                              
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                              
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                              
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                              
            0x00, 0x00, 0x7F, 0xE0, 0x00, 0x00, ##                   0000000000                 
            0x00, 0x07, 0xFF, 0xFE, 0x00, 0x00, ##               000000000000000000             
            0x00, 0x1F, 0xFF, 0xFF, 0x80, 0x00, ##             0000000000000000000000           
            0x00, 0x7F, 0xFF, 0xFF, 0xE0, 0x00, ##           00000000000000000000000000         
            0x00, 0xFF, 0xFF, 0xFF, 0xF0, 0x00, ##          0000000000000000000000000000        
            0x01, 0xFF, 0xFF, 0xFF, 0xF8, 0x00, ##         000000000000000000000000000000       
            0x03, 0xFF, 0xC0, 0x3F, 0xFC, 0x00, ##        000000000000        000000000000      
            0x07, 0xFF, 0x00, 0x0F, 0xFE, 0x00, ##       00000000000            00000000000     
            0x0F, 0xFC, 0x00, 0x03, 0xFF, 0x00, ##      0000000000                0000000000    
            0x0F, 0xF8, 0x00, 0x01, 0xFF, 0x00, ##      000000000                  000000000    
            0x1F, 0xF0, 0x00, 0x00, 0xFF, 0x80, ##     000000000                    000000000   
            0x1F, 0xE0, 0x00, 0x00, 0xFF, 0x80, ##     00000000                     000000000   
            0x3F, 0xE0, 0x00, 0x00, 0x7F, 0xC0, ##    000000000                      000000000  
            0x3F, 0xC0, 0x00, 0x00, 0x3F, 0xC0, ##    00000000                        00000000  
            0x7F, 0xC0, 0x00, 0x00, 0x3F, 0xE0, ##   000000000                        000000000 
            0x7F, 0x80, 0x00, 0x00, 0x1F, 0xE0, ##   00000000                          00000000 
            0x7F, 0x80, 0x00, 0x00, 0x1F, 0xE0, ##   00000000                          00000000 
            0x7F, 0x80, 0x00, 0x00, 0x1F, 0xE0, ##   00000000                          00000000 
            0xFF, 0x80, 0x00, 0x00, 0x1F, 0xE0, ##  000000000                          00000000 
            0xFF, 0x00, 0x00, 0x00, 0x0F, 0xF0, ##  00000000                            00000000
            0xFF, 0x00, 0x00, 0x00, 0x0F, 0xF0, ##  00000000                            00000000
            0xFF, 0x00, 0x00, 0x00, 0x0F, 0xF0, ##  00000000                            00000000
            0xFF, 0x00, 0x00, 0x00, 0x0F, 0xF0, ##  00000000                            00000000
            0xFF, 0x00, 0x00, 0x00, 0x0F, 0xF0, ##  00000000                            00000000
            0xFF, 0x00, 0x00, 0x00, 0x0F, 0xF0, ##  00000000                            00000000
            0xFF, 0x00, 0x00, 0x00, 0x0F, 0xF0, ##  00000000                            00000000
            0xFF, 0x00, 0x00, 0x00, 0x0F, 0xF0, ##  00000000                            00000000
            0xFF, 0x00, 0x00, 0x00, 0x0F, 0xF0, ##  00000000                            00000000
            0xFF, 0x00, 0x00, 0x00, 0x0F, 0xF0, ##  00000000                            00000000
            0xFF, 0x00, 0x00, 0x00, 0x0F, 0xF0, ##  00000000                            00000000
            0xFF, 0x00, 0x00, 0x00, 0x0F, 0xF0, ##  00000000                            00000000
            0xFF, 0x80, 0x00, 0x00, 0x1F, 0xE0, ##  000000000                          00000000 
            0x7F, 0x80, 0x00, 0x00, 0x1F, 0xE0, ##   00000000                          00000000 
            0x7F, 0x80, 0x00, 0x00, 0x1F, 0xE0, ##   00000000                          00000000 
            0x7F, 0x80, 0x00, 0x00, 0x1F, 0xE0, ##   00000000                          00000000 
            0x7F, 0xC0, 0x00, 0x00, 0x3F, 0xE0, ##   000000000                        000000000 
            0x3F, 0xC0, 0x00, 0x00, 0x3F, 0xC0, ##    00000000                        00000000  
            0x3F, 0xE0, 0x00, 0x00, 0x7F, 0xC0, ##    000000000                      000000000  
            0x1F, 0xE0, 0x00, 0x00, 0xFF, 0x80, ##     00000000                     000000000   
            0x1F, 0xF0, 0x00, 0x00, 0xFF, 0x80, ##     000000000                    000000000   
            0x0F, 0xF8, 0x00, 0x01, 0xFF, 0x00, ##      000000000                  000000000    
            0x0F, 0xFC, 0x00, 0x03, 0xFF, 0x00, ##      0000000000                0000000000    
            0x07, 0xFF, 0x00, 0x0F, 0xFE, 0x00, ##       00000000000            00000000000     
            0x03, 0xFF, 0xC0, 0x3F, 0xFC, 0x00, ##        000000000000        000000000000      
            0x01, 0xFF, 0xFF, 0xFF, 0xF8, 0x00, ##         000000000000000000000000000000       
            0x00, 0xFF, 0xFF, 0xFF, 0xF0, 0x00, ##          0000000000000000000000000000        
            0x00, 0x7F, 0xFF, 0xFF, 0xE0, 0x00, ##           00000000000000000000000000         
            0x00, 0x1F, 0xFF, 0xFF, 0x80, 0x00, ##             0000000000000000000000           
            0x00, 0x07, 0xFF, 0xFE, 0x00, 0x00, ##               000000000000000000             
            0x00, 0x00, 0x7F, 0xE0, 0x00, 0x00, ##                   0000000000                 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '247' => {    # '÷'
        'width'    => 54, 
        'xoffset'  => 9, 
        'xadvance' => 72, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x03, 0xFF, 0x00, 0x00, 0x00, ##                        0000000000                      
            0x00, 0x00, 0x03, 0xFF, 0x00, 0x00, 0x00, ##                        0000000000                      
            0x00, 0x00, 0x03, 0xFF, 0x00, 0x00, 0x00, ##                        0000000000                      
            0x00, 0x00, 0x03, 0xFF, 0x00, 0x00, 0x00, ##                        0000000000                      
            0x00, 0x00, 0x03, 0xFF, 0x00, 0x00, 0x00, ##                        0000000000                      
            0x00, 0x00, 0x03, 0xFF, 0x00, 0x00, 0x00, ##                        0000000000                      
            0x00, 0x00, 0x03, 0xFF, 0x00, 0x00, 0x00, ##                        0000000000                      
            0x00, 0x00, 0x03, 0xFF, 0x00, 0x00, 0x00, ##                        0000000000                      
            0x00, 0x00, 0x03, 0xFF, 0x00, 0x00, 0x00, ##                        0000000000                      
            0x00, 0x00, 0x03, 0xFF, 0x00, 0x00, 0x00, ##                        0000000000                      
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                        
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                        
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                        
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                        
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                        
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                        
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                        
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFC, ##  000000000000000000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFC, ##  000000000000000000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFC, ##  000000000000000000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFC, ##  000000000000000000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFC, ##  000000000000000000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFC, ##  000000000000000000000000000000000000000000000000000000
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                        
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                        
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                        
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                        
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                        
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                        
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                        
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                        
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                        
            0x00, 0x00, 0x03, 0xFF, 0x00, 0x00, 0x00, ##                        0000000000                      
            0x00, 0x00, 0x03, 0xFF, 0x00, 0x00, 0x00, ##                        0000000000                      
            0x00, 0x00, 0x03, 0xFF, 0x00, 0x00, 0x00, ##                        0000000000                      
            0x00, 0x00, 0x03, 0xFF, 0x00, 0x00, 0x00, ##                        0000000000                      
            0x00, 0x00, 0x03, 0xFF, 0x00, 0x00, 0x00, ##                        0000000000                      
            0x00, 0x00, 0x03, 0xFF, 0x00, 0x00, 0x00, ##                        0000000000                      
            0x00, 0x00, 0x03, 0xFF, 0x00, 0x00, 0x00, ##                        0000000000                      
            0x00, 0x00, 0x03, 0xFF, 0x00, 0x00, 0x00, ##                        0000000000                      
            0x00, 0x00, 0x03, 0xFF, 0x00, 0x00, 0x00, ##                        0000000000                      
            0x00, 0x00, 0x03, 0xFF, 0x00, 0x00, 0x00, ##                        0000000000                      
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '248' => {    # 'ø'
        'width'    => 48, 
        'xoffset'  => 3, 
        'xadvance' => 54, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x10, ##                                             0    
            0x00, 0x00, 0x00, 0x00, 0x00, 0x18, ##                                             00   
            0x00, 0x00, 0x00, 0x00, 0x00, 0x3C, ##                                            0000  
            0x00, 0x00, 0x1F, 0xFC, 0x00, 0x7F, ##                     00000000000           0000000
            0x00, 0x01, 0xFF, 0xFF, 0x80, 0xFE, ##                 000000000000000000       0000000 
            0x00, 0x07, 0xFF, 0xFF, 0xE1, 0xFC, ##               0000000000000000000000    0000000  
            0x00, 0x1F, 0xFF, 0xFF, 0xFB, 0xF8, ##             00000000000000000000000000 0000000   
            0x00, 0x3F, 0xFF, 0xFF, 0xFF, 0xF0, ##            0000000000000000000000000000000000    
            0x00, 0x7F, 0xFF, 0xFF, 0xFF, 0xE0, ##           0000000000000000000000000000000000     
            0x00, 0xFF, 0xF0, 0x1F, 0xFF, 0xE0, ##          000000000000       0000000000000000     
            0x01, 0xFF, 0xC0, 0x03, 0xFF, 0xC0, ##         00000000000            000000000000      
            0x03, 0xFF, 0x00, 0x01, 0xFF, 0xC0, ##        0000000000               00000000000      
            0x03, 0xFE, 0x00, 0x00, 0xFF, 0xE0, ##        000000000                 00000000000     
            0x07, 0xFC, 0x00, 0x00, 0xFF, 0xE0, ##       000000000                  00000000000     
            0x07, 0xF8, 0x00, 0x01, 0xFF, 0xF0, ##       00000000                  0000000000000    
            0x0F, 0xF8, 0x00, 0x03, 0xFF, 0xF0, ##      000000000                 00000000000000    
            0x0F, 0xF0, 0x00, 0x07, 0xFF, 0xF0, ##      00000000                 000000000000000    
            0x1F, 0xF0, 0x00, 0x07, 0xFF, 0xF8, ##     000000000                 0000000000000000   
            0x1F, 0xE0, 0x00, 0x0F, 0xFF, 0xF8, ##     00000000                 00000000000000000   
            0x1F, 0xE0, 0x00, 0x1F, 0xE7, 0xF8, ##     00000000                00000000  00000000   
            0x1F, 0xE0, 0x00, 0x3F, 0xC7, 0xF8, ##     00000000               00000000   00000000   
            0x3F, 0xE0, 0x00, 0x7F, 0x87, 0xFC, ##    000000000              00000000    000000000  
            0x3F, 0xC0, 0x00, 0x7F, 0x83, 0xFC, ##    00000000               00000000     00000000  
            0x3F, 0xC0, 0x00, 0xFF, 0x03, 0xFC, ##    00000000              00000000      00000000  
            0x3F, 0xC0, 0x01, 0xFE, 0x03, 0xFC, ##    00000000             00000000       00000000  
            0x3F, 0xC0, 0x03, 0xFC, 0x03, 0xFC, ##    00000000            00000000        00000000  
            0x3F, 0xC0, 0x07, 0xF8, 0x03, 0xFC, ##    00000000           00000000         00000000  
            0x3F, 0xC0, 0x07, 0xF0, 0x03, 0xFC, ##    00000000           0000000          00000000  
            0x3F, 0xC0, 0x0F, 0xE0, 0x03, 0xFC, ##    00000000          0000000           00000000  
            0x3F, 0xC0, 0x1F, 0xE0, 0x03, 0xFC, ##    00000000         00000000           00000000  
            0x3F, 0xC0, 0x3F, 0xC0, 0x03, 0xFC, ##    00000000        00000000            00000000  
            0x3F, 0xC0, 0x7F, 0x80, 0x03, 0xFC, ##    00000000       00000000             00000000  
            0x3F, 0xC0, 0x7F, 0x00, 0x03, 0xFC, ##    00000000       0000000              00000000  
            0x3F, 0xC0, 0xFE, 0x00, 0x03, 0xFC, ##    00000000      0000000               00000000  
            0x3F, 0xC1, 0xFC, 0x00, 0x07, 0xF8, ##    00000000     0000000               00000000   
            0x1F, 0xE3, 0xFC, 0x00, 0x07, 0xF8, ##     00000000   00000000               00000000   
            0x1F, 0xE7, 0xF8, 0x00, 0x07, 0xF8, ##     00000000  00000000                00000000   
            0x1F, 0xE7, 0xF0, 0x00, 0x07, 0xF8, ##     00000000  0000000                 00000000   
            0x1F, 0xFF, 0xE0, 0x00, 0x0F, 0xF0, ##     0000000000000000                 00000000    
            0x0F, 0xFF, 0xC0, 0x00, 0x0F, 0xF0, ##      00000000000000                  00000000    
            0x0F, 0xFF, 0x80, 0x00, 0x1F, 0xF0, ##      0000000000000                  000000000    
            0x07, 0xFF, 0x00, 0x00, 0x1F, 0xE0, ##       00000000000                   00000000     
            0x07, 0xFF, 0x00, 0x00, 0x3F, 0xE0, ##       00000000000                  000000000     
            0x03, 0xFE, 0x00, 0x00, 0x7F, 0xC0, ##        000000000                  000000000      
            0x03, 0xFF, 0x00, 0x00, 0xFF, 0x80, ##        0000000000                000000000       
            0x03, 0xFF, 0xC0, 0x03, 0xFF, 0x80, ##        000000000000            00000000000       
            0x07, 0xFF, 0xF0, 0x0F, 0xFF, 0x00, ##       000000000000000        000000000000        
            0x0F, 0xFF, 0xFF, 0xFF, 0xFE, 0x00, ##      00000000000000000000000000000000000         
            0x0F, 0xFF, 0xFF, 0xFF, 0xFC, 0x00, ##      0000000000000000000000000000000000          
            0x1F, 0xDF, 0xFF, 0xFF, 0xF0, 0x00, ##     0000000 0000000000000000000000000            
            0x3F, 0x8F, 0xFF, 0xFF, 0xE0, 0x00, ##    0000000   00000000000000000000000             
            0x7F, 0x01, 0xFF, 0xFF, 0x80, 0x00, ##   0000000       000000000000000000               
            0xFE, 0x00, 0x3F, 0xF8, 0x00, 0x00, ##  0000000           00000000000                   
            0x7C, 0x00, 0x00, 0x00, 0x00, 0x00, ##   00000                                          
            0x18, 0x00, 0x00, 0x00, 0x00, 0x00, ##     00                                           
            0x08, 0x00, 0x00, 0x00, 0x00, 0x00, ##      0                                           
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '249' => {    # 'ù'
        'width'    => 40, 
        'xoffset'  => 7, 
        'xadvance' => 55, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x03, 0xFC, 0x00, 0x00, 0x00, ##        00000000                          
            0x03, 0xFE, 0x00, 0x00, 0x00, ##        000000000                         
            0x01, 0xFE, 0x00, 0x00, 0x00, ##         00000000                         
            0x00, 0xFF, 0x00, 0x00, 0x00, ##          00000000                        
            0x00, 0x7F, 0x80, 0x00, 0x00, ##           00000000                       
            0x00, 0x3F, 0xC0, 0x00, 0x00, ##            00000000                      
            0x00, 0x1F, 0xC0, 0x00, 0x00, ##             0000000                      
            0x00, 0x0F, 0xE0, 0x00, 0x00, ##              0000000                     
            0x00, 0x07, 0xF0, 0x00, 0x00, ##               0000000                    
            0x00, 0x07, 0xF8, 0x00, 0x00, ##               00000000                   
            0x00, 0x03, 0xF8, 0x00, 0x00, ##                0000000                   
            0x00, 0x01, 0xFC, 0x00, 0x00, ##                 0000000                  
            0x00, 0x00, 0xFE, 0x00, 0x00, ##                  0000000                 
            0x00, 0x00, 0x7F, 0x00, 0x00, ##                   0000000                
            0x00, 0x00, 0x3F, 0x00, 0x00, ##                    000000                
            0x00, 0x00, 0x1F, 0x80, 0x00, ##                     000000               
            0x00, 0x00, 0x00, 0x00, 0x00, ##                                          
            0x00, 0x00, 0x00, 0x00, 0x00, ##                                          
            0x00, 0x00, 0x00, 0x00, 0x00, ##                                          
            0x00, 0x00, 0x00, 0x00, 0x00, ##                                          
            0x00, 0x00, 0x00, 0x00, 0x00, ##                                          
            0x00, 0x00, 0x00, 0x00, 0x00, ##                                          
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x01, 0xFF, ##  00000000                       000000000
            0xFF, 0x00, 0x00, 0x01, 0xFF, ##  00000000                       000000000
            0xFF, 0x00, 0x00, 0x01, 0xFF, ##  00000000                       000000000
            0x7F, 0x80, 0x00, 0x03, 0xFF, ##   00000000                     0000000000
            0x7F, 0x80, 0x00, 0x03, 0xFF, ##   00000000                     0000000000
            0x7F, 0x80, 0x00, 0x07, 0xFF, ##   00000000                    00000000000
            0x7F, 0xC0, 0x00, 0x07, 0xFF, ##   000000000                   00000000000
            0x3F, 0xE0, 0x00, 0x0F, 0xFF, ##    000000000                 000000000000
            0x3F, 0xE0, 0x00, 0x1F, 0xFF, ##    000000000                0000000000000
            0x1F, 0xF8, 0x00, 0x7F, 0xFF, ##     0000000000            000000000000000
            0x1F, 0xFE, 0x03, 0xFE, 0xFF, ##     000000000000       000000000 00000000
            0x0F, 0xFF, 0xFF, 0xFC, 0xFF, ##      00000000000000000000000000  00000000
            0x07, 0xFF, 0xFF, 0xF8, 0xFF, ##       000000000000000000000000   00000000
            0x03, 0xFF, 0xFF, 0xF0, 0xFF, ##        0000000000000000000000    00000000
            0x01, 0xFF, 0xFF, 0xC0, 0xFF, ##         0000000000000000000      00000000
            0x00, 0x7F, 0xFF, 0x80, 0xFF, ##           0000000000000000       00000000
            0x00, 0x0F, 0xF8, 0x00, 0x00, ##              000000000                   
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '250' => {    # 'ú'
        'width'    => 40, 
        'xoffset'  => 7, 
        'xadvance' => 55, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x7F, 0xC0, ##                           000000000      
            0x00, 0x00, 0x00, 0xFF, 0x80, ##                          000000000       
            0x00, 0x00, 0x00, 0xFF, 0x00, ##                          00000000        
            0x00, 0x00, 0x01, 0xFE, 0x00, ##                         00000000         
            0x00, 0x00, 0x03, 0xFC, 0x00, ##                        00000000          
            0x00, 0x00, 0x07, 0xF8, 0x00, ##                       00000000           
            0x00, 0x00, 0x07, 0xF0, 0x00, ##                       0000000            
            0x00, 0x00, 0x0F, 0xF0, 0x00, ##                      00000000            
            0x00, 0x00, 0x1F, 0xE0, 0x00, ##                     00000000             
            0x00, 0x00, 0x1F, 0xC0, 0x00, ##                     0000000              
            0x00, 0x00, 0x3F, 0x80, 0x00, ##                    0000000               
            0x00, 0x00, 0x7F, 0x00, 0x00, ##                   0000000                
            0x00, 0x00, 0xFE, 0x00, 0x00, ##                  0000000                 
            0x00, 0x00, 0xFC, 0x00, 0x00, ##                  000000                  
            0x00, 0x01, 0xF8, 0x00, 0x00, ##                 000000                   
            0x00, 0x03, 0xF8, 0x00, 0x00, ##                0000000                   
            0x00, 0x00, 0x00, 0x00, 0x00, ##                                          
            0x00, 0x00, 0x00, 0x00, 0x00, ##                                          
            0x00, 0x00, 0x00, 0x00, 0x00, ##                                          
            0x00, 0x00, 0x00, 0x00, 0x00, ##                                          
            0x00, 0x00, 0x00, 0x00, 0x00, ##                                          
            0x00, 0x00, 0x00, 0x00, 0x00, ##                                          
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x01, 0xFF, ##  00000000                       000000000
            0xFF, 0x00, 0x00, 0x01, 0xFF, ##  00000000                       000000000
            0xFF, 0x00, 0x00, 0x01, 0xFF, ##  00000000                       000000000
            0x7F, 0x80, 0x00, 0x03, 0xFF, ##   00000000                     0000000000
            0x7F, 0x80, 0x00, 0x03, 0xFF, ##   00000000                     0000000000
            0x7F, 0x80, 0x00, 0x07, 0xFF, ##   00000000                    00000000000
            0x7F, 0xC0, 0x00, 0x07, 0xFF, ##   000000000                   00000000000
            0x3F, 0xE0, 0x00, 0x0F, 0xFF, ##    000000000                 000000000000
            0x3F, 0xE0, 0x00, 0x1F, 0xFF, ##    000000000                0000000000000
            0x1F, 0xF8, 0x00, 0x7F, 0xFF, ##     0000000000            000000000000000
            0x1F, 0xFE, 0x03, 0xFE, 0xFF, ##     000000000000       000000000 00000000
            0x0F, 0xFF, 0xFF, 0xFC, 0xFF, ##      00000000000000000000000000  00000000
            0x07, 0xFF, 0xFF, 0xF8, 0xFF, ##       000000000000000000000000   00000000
            0x03, 0xFF, 0xFF, 0xF0, 0xFF, ##        0000000000000000000000    00000000
            0x01, 0xFF, 0xFF, 0xC0, 0xFF, ##         0000000000000000000      00000000
            0x00, 0x7F, 0xFF, 0x80, 0xFF, ##           0000000000000000       00000000
            0x00, 0x0F, 0xF8, 0x00, 0x00, ##              000000000                   
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '251' => {    # 'û'
        'width'    => 40, 
        'xoffset'  => 7, 
        'xadvance' => 55, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0xFE, 0x00, 0x00, ##                  0000000                 
            0x00, 0x00, 0xFF, 0x00, 0x00, ##                  00000000                
            0x00, 0x01, 0xFF, 0x00, 0x00, ##                 000000000                
            0x00, 0x03, 0xFF, 0x80, 0x00, ##                00000000000               
            0x00, 0x03, 0xFF, 0xC0, 0x00, ##                000000000000              
            0x00, 0x07, 0xFF, 0xC0, 0x00, ##               0000000000000              
            0x00, 0x0F, 0xEF, 0xE0, 0x00, ##              0000000 0000000             
            0x00, 0x0F, 0xC7, 0xF0, 0x00, ##              000000   0000000            
            0x00, 0x1F, 0xC3, 0xF0, 0x00, ##             0000000    000000            
            0x00, 0x3F, 0x81, 0xF8, 0x00, ##            0000000      000000           
            0x00, 0x3F, 0x01, 0xFC, 0x00, ##            000000       0000000          
            0x00, 0x7E, 0x00, 0xFC, 0x00, ##           000000         000000          
            0x00, 0xFE, 0x00, 0x7E, 0x00, ##          0000000          000000         
            0x00, 0xFC, 0x00, 0x7F, 0x00, ##          000000           0000000        
            0x01, 0xF8, 0x00, 0x3F, 0x00, ##         000000             000000        
            0x03, 0xF0, 0x00, 0x1F, 0x80, ##        000000               000000       
            0x00, 0x00, 0x00, 0x00, 0x00, ##                                          
            0x00, 0x00, 0x00, 0x00, 0x00, ##                                          
            0x00, 0x00, 0x00, 0x00, 0x00, ##                                          
            0x00, 0x00, 0x00, 0x00, 0x00, ##                                          
            0x00, 0x00, 0x00, 0x00, 0x00, ##                                          
            0x00, 0x00, 0x00, 0x00, 0x00, ##                                          
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x01, 0xFF, ##  00000000                       000000000
            0xFF, 0x00, 0x00, 0x01, 0xFF, ##  00000000                       000000000
            0xFF, 0x00, 0x00, 0x01, 0xFF, ##  00000000                       000000000
            0x7F, 0x80, 0x00, 0x03, 0xFF, ##   00000000                     0000000000
            0x7F, 0x80, 0x00, 0x03, 0xFF, ##   00000000                     0000000000
            0x7F, 0x80, 0x00, 0x07, 0xFF, ##   00000000                    00000000000
            0x7F, 0xC0, 0x00, 0x07, 0xFF, ##   000000000                   00000000000
            0x3F, 0xE0, 0x00, 0x0F, 0xFF, ##    000000000                 000000000000
            0x3F, 0xE0, 0x00, 0x1F, 0xFF, ##    000000000                0000000000000
            0x1F, 0xF8, 0x00, 0x7F, 0xFF, ##     0000000000            000000000000000
            0x1F, 0xFE, 0x03, 0xFE, 0xFF, ##     000000000000       000000000 00000000
            0x0F, 0xFF, 0xFF, 0xFC, 0xFF, ##      00000000000000000000000000  00000000
            0x07, 0xFF, 0xFF, 0xF8, 0xFF, ##       000000000000000000000000   00000000
            0x03, 0xFF, 0xFF, 0xF0, 0xFF, ##        0000000000000000000000    00000000
            0x01, 0xFF, 0xFF, 0xC0, 0xFF, ##         0000000000000000000      00000000
            0x00, 0x7F, 0xFF, 0x80, 0xFF, ##           0000000000000000       00000000
            0x00, 0x0F, 0xF8, 0x00, 0x00, ##              000000000                   
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '252' => {    # 'ü'
        'width'    => 40, 
        'xoffset'  => 7, 
        'xadvance' => 55, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x01, 0xFE, 0x00, 0xFF, 0x00, ##         00000000         00000000        
            0x01, 0xFE, 0x00, 0xFF, 0x00, ##         00000000         00000000        
            0x01, 0xFE, 0x00, 0xFF, 0x00, ##         00000000         00000000        
            0x01, 0xFE, 0x00, 0xFF, 0x00, ##         00000000         00000000        
            0x01, 0xFE, 0x00, 0xFF, 0x00, ##         00000000         00000000        
            0x01, 0xFE, 0x00, 0xFF, 0x00, ##         00000000         00000000        
            0x01, 0xFE, 0x00, 0xFF, 0x00, ##         00000000         00000000        
            0x01, 0xFE, 0x00, 0xFF, 0x00, ##         00000000         00000000        
            0x00, 0x00, 0x00, 0x00, 0x00, ##                                          
            0x00, 0x00, 0x00, 0x00, 0x00, ##                                          
            0x00, 0x00, 0x00, 0x00, 0x00, ##                                          
            0x00, 0x00, 0x00, 0x00, 0x00, ##                                          
            0x00, 0x00, 0x00, 0x00, 0x00, ##                                          
            0x00, 0x00, 0x00, 0x00, 0x00, ##                                          
            0x00, 0x00, 0x00, 0x00, 0x00, ##                                          
            0x00, 0x00, 0x00, 0x00, 0x00, ##                                          
            0x00, 0x00, 0x00, 0x00, 0x00, ##                                          
            0x00, 0x00, 0x00, 0x00, 0x00, ##                                          
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x00, 0xFF, ##  00000000                        00000000
            0xFF, 0x00, 0x00, 0x01, 0xFF, ##  00000000                       000000000
            0xFF, 0x00, 0x00, 0x01, 0xFF, ##  00000000                       000000000
            0xFF, 0x00, 0x00, 0x01, 0xFF, ##  00000000                       000000000
            0x7F, 0x80, 0x00, 0x03, 0xFF, ##   00000000                     0000000000
            0x7F, 0x80, 0x00, 0x03, 0xFF, ##   00000000                     0000000000
            0x7F, 0x80, 0x00, 0x07, 0xFF, ##   00000000                    00000000000
            0x7F, 0xC0, 0x00, 0x07, 0xFF, ##   000000000                   00000000000
            0x3F, 0xE0, 0x00, 0x0F, 0xFF, ##    000000000                 000000000000
            0x3F, 0xE0, 0x00, 0x1F, 0xFF, ##    000000000                0000000000000
            0x1F, 0xF8, 0x00, 0x7F, 0xFF, ##     0000000000            000000000000000
            0x1F, 0xFE, 0x03, 0xFE, 0xFF, ##     000000000000       000000000 00000000
            0x0F, 0xFF, 0xFF, 0xFC, 0xFF, ##      00000000000000000000000000  00000000
            0x07, 0xFF, 0xFF, 0xF8, 0xFF, ##       000000000000000000000000   00000000
            0x03, 0xFF, 0xFF, 0xF0, 0xFF, ##        0000000000000000000000    00000000
            0x01, 0xFF, 0xFF, 0xC0, 0xFF, ##         0000000000000000000      00000000
            0x00, 0x7F, 0xFF, 0x80, 0xFF, ##           0000000000000000       00000000
            0x00, 0x0F, 0xF8, 0x00, 0x00, ##              000000000                   
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '253' => {    # 'ý'
        'width'    => 46, 
        'xoffset'  => 3, 
        'xadvance' => 51, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x0F, 0xF8, 0x00, ##                              000000000         
            0x00, 0x00, 0x00, 0x0F, 0xF0, 0x00, ##                              00000000          
            0x00, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##                             00000000           
            0x00, 0x00, 0x00, 0x3F, 0xC0, 0x00, ##                            00000000            
            0x00, 0x00, 0x00, 0x7F, 0x80, 0x00, ##                           00000000             
            0x00, 0x00, 0x00, 0x7F, 0x00, 0x00, ##                           0000000              
            0x00, 0x00, 0x00, 0xFF, 0x00, 0x00, ##                          00000000              
            0x00, 0x00, 0x01, 0xFE, 0x00, 0x00, ##                         00000000               
            0x00, 0x00, 0x03, 0xFC, 0x00, 0x00, ##                        00000000                
            0x00, 0x00, 0x03, 0xF8, 0x00, 0x00, ##                        0000000                 
            0x00, 0x00, 0x07, 0xF0, 0x00, 0x00, ##                       0000000                  
            0x00, 0x00, 0x0F, 0xE0, 0x00, 0x00, ##                      0000000                   
            0x00, 0x00, 0x1F, 0xC0, 0x00, 0x00, ##                     0000000                    
            0x00, 0x00, 0x1F, 0xC0, 0x00, 0x00, ##                     0000000                    
            0x00, 0x00, 0x3F, 0x80, 0x00, 0x00, ##                    0000000                     
            0x00, 0x00, 0x7F, 0x00, 0x00, 0x00, ##                   0000000                      
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                
            0xFF, 0x00, 0x00, 0x00, 0x03, 0xFC, ##  00000000                              00000000
            0xFF, 0x80, 0x00, 0x00, 0x07, 0xF8, ##  000000000                            00000000 
            0x7F, 0x80, 0x00, 0x00, 0x07, 0xF8, ##   00000000                            00000000 
            0x7F, 0x80, 0x00, 0x00, 0x0F, 0xF8, ##   00000000                           000000000 
            0x3F, 0xC0, 0x00, 0x00, 0x0F, 0xF0, ##    00000000                          00000000  
            0x3F, 0xC0, 0x00, 0x00, 0x0F, 0xF0, ##    00000000                          00000000  
            0x3F, 0xE0, 0x00, 0x00, 0x1F, 0xE0, ##    000000000                        00000000   
            0x1F, 0xE0, 0x00, 0x00, 0x1F, 0xE0, ##     00000000                        00000000   
            0x1F, 0xE0, 0x00, 0x00, 0x3F, 0xE0, ##     00000000                       000000000   
            0x0F, 0xF0, 0x00, 0x00, 0x3F, 0xC0, ##      00000000                      00000000    
            0x0F, 0xF0, 0x00, 0x00, 0x3F, 0xC0, ##      00000000                      00000000    
            0x0F, 0xF8, 0x00, 0x00, 0x7F, 0x80, ##      000000000                    00000000     
            0x07, 0xF8, 0x00, 0x00, 0x7F, 0x80, ##       00000000                    00000000     
            0x07, 0xF8, 0x00, 0x00, 0xFF, 0x80, ##       00000000                   000000000     
            0x03, 0xFC, 0x00, 0x00, 0xFF, 0x00, ##        00000000                  00000000      
            0x03, 0xFC, 0x00, 0x00, 0xFF, 0x00, ##        00000000                  00000000      
            0x03, 0xFE, 0x00, 0x01, 0xFE, 0x00, ##        000000000                00000000       
            0x01, 0xFE, 0x00, 0x01, 0xFE, 0x00, ##         00000000                00000000       
            0x01, 0xFE, 0x00, 0x03, 0xFE, 0x00, ##         00000000               000000000       
            0x00, 0xFF, 0x00, 0x03, 0xFC, 0x00, ##          00000000              00000000        
            0x00, 0xFF, 0x00, 0x03, 0xFC, 0x00, ##          00000000              00000000        
            0x00, 0xFF, 0x00, 0x07, 0xF8, 0x00, ##          00000000             00000000         
            0x00, 0x7F, 0x80, 0x07, 0xF8, 0x00, ##           00000000            00000000         
            0x00, 0x7F, 0x80, 0x0F, 0xF8, 0x00, ##           00000000           000000000         
            0x00, 0x3F, 0xC0, 0x0F, 0xF0, 0x00, ##            00000000          00000000          
            0x00, 0x3F, 0xC0, 0x0F, 0xF0, 0x00, ##            00000000          00000000          
            0x00, 0x3F, 0xC0, 0x1F, 0xE0, 0x00, ##            00000000         00000000           
            0x00, 0x1F, 0xE0, 0x1F, 0xE0, 0x00, ##             00000000        00000000           
            0x00, 0x1F, 0xE0, 0x1F, 0xE0, 0x00, ##             00000000        00000000           
            0x00, 0x0F, 0xF0, 0x3F, 0xC0, 0x00, ##              00000000      00000000            
            0x00, 0x0F, 0xF0, 0x3F, 0xC0, 0x00, ##              00000000      00000000            
            0x00, 0x0F, 0xF0, 0x7F, 0x80, 0x00, ##              00000000     00000000             
            0x00, 0x07, 0xF8, 0x7F, 0x80, 0x00, ##               00000000    00000000             
            0x00, 0x07, 0xF8, 0x7F, 0x80, 0x00, ##               00000000    00000000             
            0x00, 0x03, 0xFC, 0xFF, 0x00, 0x00, ##                00000000  00000000              
            0x00, 0x03, 0xFC, 0xFF, 0x00, 0x00, ##                00000000  00000000              
            0x00, 0x03, 0xFD, 0xFE, 0x00, 0x00, ##                00000000 00000000               
            0x00, 0x01, 0xFF, 0xFE, 0x00, 0x00, ##                 0000000000000000               
            0x00, 0x01, 0xFF, 0xFE, 0x00, 0x00, ##                 0000000000000000               
            0x00, 0x00, 0xFF, 0xFC, 0x00, 0x00, ##                  00000000000000                
            0x00, 0x00, 0xFF, 0xFC, 0x00, 0x00, ##                  00000000000000                
            0x00, 0x00, 0x7F, 0xF8, 0x00, 0x00, ##                   000000000000                 
            0x00, 0x00, 0x7F, 0xF8, 0x00, 0x00, ##                   000000000000                 
            0x00, 0x00, 0x7F, 0xF8, 0x00, 0x00, ##                   000000000000                 
            0x00, 0x00, 0x3F, 0xF0, 0x00, 0x00, ##                    0000000000                  
            0x00, 0x00, 0x3F, 0xF0, 0x00, 0x00, ##                    0000000000                  
            0x00, 0x00, 0x1F, 0xE0, 0x00, 0x00, ##                     00000000                   
            0x00, 0x00, 0x1F, 0xE0, 0x00, 0x00, ##                     00000000                   
            0x00, 0x00, 0x1F, 0xE0, 0x00, 0x00, ##                     00000000                   
            0x00, 0x00, 0x3F, 0xC0, 0x00, 0x00, ##                    00000000                    
            0x00, 0x00, 0x3F, 0xC0, 0x00, 0x00, ##                    00000000                    
            0x00, 0x00, 0x7F, 0x80, 0x00, 0x00, ##                   00000000                     
            0x00, 0x00, 0x7F, 0x80, 0x00, 0x00, ##                   00000000                     
            0x00, 0x00, 0x7F, 0x80, 0x00, 0x00, ##                   00000000                     
            0x00, 0x00, 0xFF, 0x00, 0x00, 0x00, ##                  00000000                      
            0x00, 0x00, 0xFF, 0x00, 0x00, 0x00, ##                  00000000                      
            0x00, 0x01, 0xFE, 0x00, 0x00, 0x00, ##                 00000000                       
            0x00, 0x03, 0xFE, 0x00, 0x00, 0x00, ##                000000000                       
            0x00, 0x03, 0xFC, 0x00, 0x00, 0x00, ##                00000000                        
            0x00, 0x0F, 0xFC, 0x00, 0x00, 0x00, ##              0000000000                        
            0x0F, 0xFF, 0xF8, 0x00, 0x00, 0x00, ##      00000000000000000                         
            0x0F, 0xFF, 0xF0, 0x00, 0x00, 0x00, ##      0000000000000000                          
            0x0F, 0xFF, 0xF0, 0x00, 0x00, 0x00, ##      0000000000000000                          
            0x0F, 0xFF, 0xE0, 0x00, 0x00, 0x00, ##      000000000000000                           
            0x0F, 0xFF, 0x80, 0x00, 0x00, 0x00, ##      0000000000000                             
            0x0F, 0xFC, 0x00, 0x00, 0x00, 0x00, ##      0000000000                                
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '254' => {    # 'þ'
        'width'    => 43, 
        'xoffset'  => 8, 
        'xadvance' => 56, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                   
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                   
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                   
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                   
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                   
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                   
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                   
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                   
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                   
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                   
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                   
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                   
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                   
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                   
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                   
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                   
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                   
            0xFF, 0x00, 0x3F, 0xF0, 0x00, 0x00, ##  00000000          0000000000               
            0xFF, 0x01, 0xFF, 0xFE, 0x00, 0x00, ##  00000000       0000000000000000            
            0xFF, 0x07, 0xFF, 0xFF, 0x80, 0x00, ##  00000000     00000000000000000000          
            0xFF, 0x0F, 0xFF, 0xFF, 0xC0, 0x00, ##  00000000    0000000000000000000000         
            0xFF, 0x1F, 0xFF, 0xFF, 0xE0, 0x00, ##  00000000   000000000000000000000000        
            0xFF, 0x3F, 0xFF, 0xFF, 0xF0, 0x00, ##  00000000  00000000000000000000000000       
            0xFF, 0x7F, 0xC0, 0x7F, 0xF8, 0x00, ##  00000000 000000000       000000000000      
            0xFF, 0xFE, 0x00, 0x1F, 0xFC, 0x00, ##  000000000000000            00000000000     
            0xFF, 0xFC, 0x00, 0x07, 0xFE, 0x00, ##  00000000000000               0000000000    
            0xFF, 0xF8, 0x00, 0x03, 0xFE, 0x00, ##  0000000000000                 000000000    
            0xFF, 0xF0, 0x00, 0x01, 0xFF, 0x00, ##  000000000000                   000000000   
            0xFF, 0xE0, 0x00, 0x00, 0xFF, 0x00, ##  00000000000                     00000000   
            0xFF, 0xE0, 0x00, 0x00, 0xFF, 0x80, ##  00000000000                     000000000  
            0xFF, 0xC0, 0x00, 0x00, 0x7F, 0x80, ##  0000000000                       00000000  
            0xFF, 0xC0, 0x00, 0x00, 0x7F, 0x80, ##  0000000000                       00000000  
            0xFF, 0x80, 0x00, 0x00, 0x3F, 0xC0, ##  000000000                         00000000 
            0xFF, 0x80, 0x00, 0x00, 0x3F, 0xC0, ##  000000000                         00000000 
            0xFF, 0x80, 0x00, 0x00, 0x3F, 0xC0, ##  000000000                         00000000 
            0xFF, 0x80, 0x00, 0x00, 0x3F, 0xC0, ##  000000000                         00000000 
            0xFF, 0x00, 0x00, 0x00, 0x1F, 0xE0, ##  00000000                           00000000
            0xFF, 0x00, 0x00, 0x00, 0x1F, 0xE0, ##  00000000                           00000000
            0xFF, 0x00, 0x00, 0x00, 0x1F, 0xE0, ##  00000000                           00000000
            0xFF, 0x00, 0x00, 0x00, 0x1F, 0xE0, ##  00000000                           00000000
            0xFF, 0x00, 0x00, 0x00, 0x1F, 0xE0, ##  00000000                           00000000
            0xFF, 0x00, 0x00, 0x00, 0x1F, 0xE0, ##  00000000                           00000000
            0xFF, 0x00, 0x00, 0x00, 0x1F, 0xE0, ##  00000000                           00000000
            0xFF, 0x00, 0x00, 0x00, 0x1F, 0xE0, ##  00000000                           00000000
            0xFF, 0x00, 0x00, 0x00, 0x1F, 0xE0, ##  00000000                           00000000
            0xFF, 0x00, 0x00, 0x00, 0x1F, 0xE0, ##  00000000                           00000000
            0xFF, 0x00, 0x00, 0x00, 0x1F, 0xE0, ##  00000000                           00000000
            0xFF, 0x00, 0x00, 0x00, 0x1F, 0xE0, ##  00000000                           00000000
            0xFF, 0x80, 0x00, 0x00, 0x3F, 0xC0, ##  000000000                         00000000 
            0xFF, 0x80, 0x00, 0x00, 0x3F, 0xC0, ##  000000000                         00000000 
            0xFF, 0x80, 0x00, 0x00, 0x3F, 0xC0, ##  000000000                         00000000 
            0xFF, 0x80, 0x00, 0x00, 0x3F, 0xC0, ##  000000000                         00000000 
            0xFF, 0xC0, 0x00, 0x00, 0x7F, 0xC0, ##  0000000000                       000000000 
            0xFF, 0xC0, 0x00, 0x00, 0x7F, 0x80, ##  0000000000                       00000000  
            0xFF, 0xE0, 0x00, 0x00, 0xFF, 0x80, ##  00000000000                     000000000  
            0xFF, 0xE0, 0x00, 0x00, 0xFF, 0x00, ##  00000000000                     00000000   
            0xFF, 0xF0, 0x00, 0x01, 0xFF, 0x00, ##  000000000000                   000000000   
            0xFF, 0xF8, 0x00, 0x03, 0xFE, 0x00, ##  0000000000000                 000000000    
            0xFF, 0xFC, 0x00, 0x07, 0xFE, 0x00, ##  00000000000000               0000000000    
            0xFF, 0xFE, 0x00, 0x0F, 0xFC, 0x00, ##  000000000000000             0000000000     
            0xFF, 0x7F, 0xC0, 0x7F, 0xF8, 0x00, ##  00000000 000000000       000000000000      
            0xFF, 0x3F, 0xFF, 0xFF, 0xF0, 0x00, ##  00000000  00000000000000000000000000       
            0xFF, 0x1F, 0xFF, 0xFF, 0xE0, 0x00, ##  00000000   000000000000000000000000        
            0xFF, 0x0F, 0xFF, 0xFF, 0xC0, 0x00, ##  00000000    0000000000000000000000         
            0xFF, 0x07, 0xFF, 0xFF, 0x80, 0x00, ##  00000000     00000000000000000000          
            0xFF, 0x01, 0xFF, 0xFE, 0x00, 0x00, ##  00000000       0000000000000000            
            0xFF, 0x00, 0x3F, 0xF0, 0x00, 0x00, ##  00000000          0000000000               
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                   
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                   
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                   
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                   
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                   
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                   
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                   
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                   
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                   
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                   
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                   
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                   
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                   
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                   
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                   
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                   
            0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000                                   
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '255' => {    # 'ÿ'
        'width'    => 46, 
        'xoffset'  => 3, 
        'xadvance' => 51, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x3F, 0xC0, 0x1F, 0xE0, 0x00, ##            00000000         00000000           
            0x00, 0x3F, 0xC0, 0x1F, 0xE0, 0x00, ##            00000000         00000000           
            0x00, 0x3F, 0xC0, 0x1F, 0xE0, 0x00, ##            00000000         00000000           
            0x00, 0x3F, 0xC0, 0x1F, 0xE0, 0x00, ##            00000000         00000000           
            0x00, 0x3F, 0xC0, 0x1F, 0xE0, 0x00, ##            00000000         00000000           
            0x00, 0x3F, 0xC0, 0x1F, 0xE0, 0x00, ##            00000000         00000000           
            0x00, 0x3F, 0xC0, 0x1F, 0xE0, 0x00, ##            00000000         00000000           
            0x00, 0x3F, 0xC0, 0x1F, 0xE0, 0x00, ##            00000000         00000000           
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                
            0xFF, 0x00, 0x00, 0x00, 0x07, 0xF8, ##  00000000                             00000000 
            0xFF, 0x00, 0x00, 0x00, 0x07, 0xF8, ##  00000000                             00000000 
            0x7F, 0x80, 0x00, 0x00, 0x0F, 0xF8, ##   00000000                           000000000 
            0x7F, 0x80, 0x00, 0x00, 0x0F, 0xF0, ##   00000000                           00000000  
            0x7F, 0xC0, 0x00, 0x00, 0x1F, 0xF0, ##   000000000                         000000000  
            0x3F, 0xC0, 0x00, 0x00, 0x1F, 0xE0, ##    00000000                         00000000   
            0x3F, 0xC0, 0x00, 0x00, 0x1F, 0xE0, ##    00000000                         00000000   
            0x1F, 0xE0, 0x00, 0x00, 0x3F, 0xE0, ##     00000000                       000000000   
            0x1F, 0xE0, 0x00, 0x00, 0x3F, 0xC0, ##     00000000                       00000000    
            0x1F, 0xF0, 0x00, 0x00, 0x3F, 0xC0, ##     000000000                      00000000    
            0x0F, 0xF0, 0x00, 0x00, 0x7F, 0x80, ##      00000000                     00000000     
            0x0F, 0xF0, 0x00, 0x00, 0x7F, 0x80, ##      00000000                     00000000     
            0x07, 0xF8, 0x00, 0x00, 0xFF, 0x80, ##       00000000                   000000000     
            0x07, 0xF8, 0x00, 0x00, 0xFF, 0x00, ##       00000000                   00000000      
            0x07, 0xF8, 0x00, 0x00, 0xFF, 0x00, ##       00000000                   00000000      
            0x03, 0xFC, 0x00, 0x01, 0xFE, 0x00, ##        00000000                 00000000       
            0x03, 0xFC, 0x00, 0x01, 0xFE, 0x00, ##        00000000                 00000000       
            0x01, 0xFE, 0x00, 0x03, 0xFE, 0x00, ##         00000000               000000000       
            0x01, 0xFE, 0x00, 0x03, 0xFC, 0x00, ##         00000000               00000000        
            0x01, 0xFE, 0x00, 0x03, 0xFC, 0x00, ##         00000000               00000000        
            0x00, 0xFF, 0x00, 0x07, 0xF8, 0x00, ##          00000000             00000000         
            0x00, 0xFF, 0x00, 0x07, 0xF8, 0x00, ##          00000000             00000000         
            0x00, 0xFF, 0x80, 0x0F, 0xF8, 0x00, ##          000000000           000000000         
            0x00, 0x7F, 0x80, 0x0F, 0xF0, 0x00, ##           00000000           00000000          
            0x00, 0x7F, 0x80, 0x0F, 0xF0, 0x00, ##           00000000           00000000          
            0x00, 0x3F, 0xC0, 0x1F, 0xE0, 0x00, ##            00000000         00000000           
            0x00, 0x3F, 0xC0, 0x1F, 0xE0, 0x00, ##            00000000         00000000           
            0x00, 0x3F, 0xE0, 0x3F, 0xE0, 0x00, ##            000000000       000000000           
            0x00, 0x1F, 0xE0, 0x3F, 0xC0, 0x00, ##             00000000       00000000            
            0x00, 0x1F, 0xE0, 0x3F, 0xC0, 0x00, ##             00000000       00000000            
            0x00, 0x0F, 0xF0, 0x7F, 0x80, 0x00, ##              00000000     00000000             
            0x00, 0x0F, 0xF0, 0x7F, 0x80, 0x00, ##              00000000     00000000             
            0x00, 0x0F, 0xF0, 0x7F, 0x80, 0x00, ##              00000000     00000000             
            0x00, 0x07, 0xF8, 0xFF, 0x00, 0x00, ##               00000000   00000000              
            0x00, 0x07, 0xF8, 0xFF, 0x00, 0x00, ##               00000000   00000000              
            0x00, 0x07, 0xFD, 0xFE, 0x00, 0x00, ##               000000000 00000000               
            0x00, 0x03, 0xFD, 0xFE, 0x00, 0x00, ##                00000000 00000000               
            0x00, 0x03, 0xFD, 0xFE, 0x00, 0x00, ##                00000000 00000000               
            0x00, 0x01, 0xFF, 0xFC, 0x00, 0x00, ##                 000000000000000                
            0x00, 0x01, 0xFF, 0xFC, 0x00, 0x00, ##                 000000000000000                
            0x00, 0x01, 0xFF, 0xFC, 0x00, 0x00, ##                 000000000000000                
            0x00, 0x00, 0xFF, 0xF8, 0x00, 0x00, ##                  0000000000000                 
            0x00, 0x00, 0xFF, 0xF8, 0x00, 0x00, ##                  0000000000000                 
            0x00, 0x00, 0x7F, 0xF0, 0x00, 0x00, ##                   00000000000                  
            0x00, 0x00, 0x7F, 0xF0, 0x00, 0x00, ##                   00000000000                  
            0x00, 0x00, 0x7F, 0xF0, 0x00, 0x00, ##                   00000000000                  
            0x00, 0x00, 0x3F, 0xE0, 0x00, 0x00, ##                    000000000                   
            0x00, 0x00, 0x3F, 0xE0, 0x00, 0x00, ##                    000000000                   
            0x00, 0x00, 0x3F, 0xC0, 0x00, 0x00, ##                    00000000                    
            0x00, 0x00, 0x7F, 0xC0, 0x00, 0x00, ##                   000000000                    
            0x00, 0x00, 0x7F, 0xC0, 0x00, 0x00, ##                   000000000                    
            0x00, 0x00, 0x7F, 0x80, 0x00, 0x00, ##                   00000000                     
            0x00, 0x00, 0xFF, 0x80, 0x00, 0x00, ##                  000000000                     
            0x00, 0x00, 0xFF, 0x00, 0x00, 0x00, ##                  00000000                      
            0x00, 0x01, 0xFF, 0x00, 0x00, 0x00, ##                 000000000                      
            0x00, 0x01, 0xFF, 0x00, 0x00, 0x00, ##                 000000000                      
            0x00, 0x03, 0xFE, 0x00, 0x00, 0x00, ##                000000000                       
            0x00, 0x03, 0xFE, 0x00, 0x00, 0x00, ##                000000000                       
            0x00, 0x07, 0xFC, 0x00, 0x00, 0x00, ##               000000000                        
            0x00, 0x1F, 0xFC, 0x00, 0x00, 0x00, ##             00000000000                        
            0x0F, 0xFF, 0xF8, 0x00, 0x00, 0x00, ##      00000000000000000                         
            0x0F, 0xFF, 0xF0, 0x00, 0x00, 0x00, ##      0000000000000000                          
            0x0F, 0xFF, 0xE0, 0x00, 0x00, 0x00, ##      000000000000000                           
            0x0F, 0xFF, 0xC0, 0x00, 0x00, 0x00, ##      00000000000000                            
            0x0F, 0xFF, 0x80, 0x00, 0x00, 0x00, ##      0000000000000                             
            0x0F, 0xFC, 0x00, 0x00, 0x00, 0x00, ##      0000000000                                
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
};
 
my $kerning = {
    '33' => { },  # !
    '34' => { },  # "
    '35' => { },  # #
    '36' => { },  # $
    '37' => { },  # %
    '38' => { },  # &
    '39' => { },  # '
    '40' => { },  # (
    '41' => { },  # )
    '42' => { },  # *
    '43' => { },  # +
    '44' => { },  # ,
    '45' => { '65' => -2, '66' => -3, '71' => 3, '74' => 5, '79' => 2, '81' => 3, '84' => -8, '86' => -5, '87' => -4, '88' => -4, '89' => -10, '111' => 2, '118' => -2, '121' => -2, '192' => -2, '193' => -2, '194' => -2, '195' => -2, '196' => -2, '210' => 2, '211' => 2, '212' => 2, '213' => 2, '214' => 2, '221' => -10, '242' => 2, '243' => 2, '244' => 2, '245' => 2, '246' => 2, '253' => -2, '255' => -2, },  # -
    '46' => { },  # .
    '47' => { },  # /
    '48' => { },  # 0
    '49' => { },  # 1
    '50' => { },  # 2
    '51' => { },  # 3
    '52' => { },  # 4
    '53' => { },  # 5
    '54' => { },  # 6
    '55' => { },  # 7
    '56' => { },  # 8
    '57' => { },  # 9
    '58' => { },  # :
    '59' => { },  # ;
    '60' => { },  # <
    '61' => { },  # =
    '62' => { },  # >
    '63' => { },  # ?
    '64' => { },  # @
    '65' => { '45' => -2, '46' => -2, '58' => -2, '67' => -2, '71' => -2, '79' => -2, '81' => -2, '84' => -7, '86' => -6, '87' => -5, '89' => -7, '99' => -2, '100' => -2, '101' => -2, '102' => -3, '111' => -2, '113' => -2, '116' => -2, '118' => -5, '119' => -4, '121' => -6, '171' => -3, '192' => 2, '193' => 2, '194' => 2, '195' => 2, '196' => 2, '199' => -2, '210' => -2, '211' => -2, '212' => -2, '213' => -2, '214' => -2, '221' => -7, '231' => -2, '232' => -2, '233' => -2, '234' => -2, '235' => -2, '242' => -2, '243' => -2, '244' => -2, '245' => -2, '246' => -2, '253' => -6, '255' => -6, },  # A
    '66' => { '67' => -2, '71' => -2, '79' => -2, '83' => -2, '86' => -3, '87' => -3, '89' => -5, '171' => -3, '187' => -2, '199' => -2, '210' => -2, '211' => -2, '212' => -2, '213' => -2, '214' => -2, '221' => -5, },  # B
    '67' => { '89' => -2, '171' => -2, '187' => -2, '221' => -2, },  # C
    '68' => { '65' => -2, '86' => -2, '89' => -5, '171' => -2, '187' => -2, '192' => -2, '193' => -2, '194' => -2, '195' => -2, '196' => -2, '221' => -5, },  # D
    '69' => { },  # E
    '70' => { '46' => -14, '58' => -7, '65' => -8, '83' => -2, '84' => -2, '97' => -8, '101' => -5, '105' => -6, '111' => -3, '114' => -6, '117' => -5, '121' => -8, '192' => -8, '193' => -8, '194' => -8, '195' => -8, '196' => -8, '224' => -8, '225' => -8, '226' => -8, '227' => -8, '228' => -8, '229' => -8, '232' => -5, '233' => -5, '234' => -5, '235' => -5, '242' => -3, '243' => -3, '244' => -3, '245' => -3, '246' => -3, '249' => -5, '250' => -5, '251' => -5, '252' => -5, '253' => -8, '255' => -8, },  # F
    '71' => { '84' => -3, '89' => -4, '171' => -2, '187' => -2, '221' => -4, },  # G
    '72' => { '46' => -2, },  # H
    '73' => { },  # I
    '74' => { '45' => -3, '65' => -2, '171' => -2, '187' => -2, '192' => -2, '193' => -2, '194' => -2, '195' => -2, '196' => -2, },  # J
    '75' => { '45' => -9, '65' => -2, '67' => -5, '79' => -5, '84' => -7, '85' => -2, '87' => -3, '89' => -3, '97' => -2, '101' => -4, '111' => -4, '117' => -4, '121' => -6, '171' => -6, '192' => -2, '193' => -2, '194' => -2, '195' => -2, '196' => -2, '199' => -5, '210' => -5, '211' => -5, '212' => -5, '213' => -5, '214' => -5, '217' => -2, '218' => -2, '219' => -2, '220' => -2, '221' => -3, '224' => -2, '225' => -2, '226' => -2, '227' => -2, '228' => -2, '229' => -2, '232' => -4, '233' => -4, '234' => -4, '235' => -4, '242' => -4, '243' => -4, '244' => -4, '245' => -4, '246' => -4, '249' => -4, '250' => -4, '251' => -4, '252' => -4, '253' => -6, '255' => -6, },  # K
    '76' => { '45' => -2, '65' => 2, '79' => -3, '84' => -12, '85' => -4, '86' => -10, '87' => -8, '89' => -12, '101' => -2, '111' => -2, '117' => -2, '121' => -8, '192' => 2, '193' => 2, '194' => 2, '195' => 2, '196' => 2, '210' => -3, '211' => -3, '212' => -3, '213' => -3, '214' => -3, '217' => -4, '218' => -4, '219' => -4, '220' => -4, '221' => -12, '232' => -2, '233' => -2, '234' => -2, '235' => -2, '242' => -2, '243' => -2, '244' => -2, '245' => -2, '246' => -2, '249' => -2, '250' => -2, '251' => -2, '252' => -2, '253' => -8, '255' => -8, },  # L
    '77' => { },  # M
    '78' => { },  # N
    '79' => { '45' => 2, '46' => -4, '58' => -2, '65' => -2, '86' => -2, '88' => -6, '89' => -5, '171' => -2, '192' => -2, '193' => -2, '194' => -2, '195' => -2, '196' => -2, '221' => -5, },  # O
    '80' => { '45' => -2, '46' => -14, '65' => -6, '89' => -2, '97' => -4, '101' => -3, '105' => -2, '110' => -2, '111' => -3, '114' => -2, '115' => -2, '117' => -2, '171' => -2, '192' => -6, '193' => -6, '194' => -6, '195' => -6, '196' => -6, '221' => -2, '224' => -4, '225' => -4, '226' => -4, '227' => -4, '228' => -4, '229' => -4, '232' => -3, '233' => -3, '234' => -3, '235' => -3, '241' => -2, '242' => -3, '243' => -3, '244' => -3, '245' => -3, '246' => -3, '249' => -2, '250' => -2, '251' => -2, '252' => -2, },  # P
    '81' => { '45' => 2, },  # Q
    '82' => { '45' => -4, '46' => -3, '58' => -3, '65' => -4, '67' => -4, '84' => -6, '86' => -5, '87' => -4, '89' => -6, '97' => -2, '101' => -4, '111' => -4, '117' => -4, '121' => -5, '171' => -5, '187' => -2, '192' => -4, '193' => -4, '194' => -4, '195' => -4, '196' => -4, '199' => -4, '221' => -6, '224' => -2, '225' => -2, '226' => -2, '227' => -2, '228' => -2, '229' => -2, '232' => -4, '233' => -4, '234' => -4, '235' => -4, '242' => -4, '243' => -4, '244' => -4, '245' => -4, '246' => -4, '249' => -4, '250' => -4, '251' => -4, '252' => -4, '253' => -5, '255' => -5, },  # R
    '83' => { '65' => 2, '192' => 2, '193' => 2, '194' => 2, '195' => 2, '196' => 2, },  # S
    '84' => { '45' => -8, '46' => -10, '58' => -10, '65' => -7, '67' => -5, '97' => -14, '99' => -15, '101' => -15, '105' => -3, '111' => -15, '114' => -13, '115' => -14, '117' => -13, '119' => -14, '121' => -14, '171' => -8, '187' => -5, '192' => -7, '193' => -7, '194' => -7, '195' => -7, '196' => -7, '199' => -5, '224' => -14, '225' => -14, '226' => -14, '227' => -14, '228' => -14, '229' => -14, '231' => -15, '232' => -15, '233' => -15, '234' => -15, '235' => -15, '242' => -15, '243' => -15, '244' => -15, '245' => -15, '246' => -15, '249' => -13, '250' => -13, '251' => -13, '252' => -13, '253' => -14, '255' => -14, },  # T
    '85' => { '90' => -2, },  # U
    '86' => { '45' => -5, '46' => -11, '58' => -7, '65' => -6, '79' => -2, '97' => -7, '101' => -7, '105' => -2, '111' => -7, '117' => -6, '121' => -2, '171' => -8, '187' => -5, '192' => -6, '193' => -6, '194' => -6, '195' => -6, '196' => -6, '210' => -2, '211' => -2, '212' => -2, '213' => -2, '214' => -2, '224' => -7, '225' => -7, '226' => -7, '227' => -7, '228' => -7, '229' => -7, '232' => -7, '233' => -7, '234' => -7, '235' => -7, '242' => -7, '243' => -7, '244' => -7, '245' => -7, '246' => -7, '249' => -6, '250' => -6, '251' => -6, '252' => -6, '253' => -2, '255' => -2, },  # V
    '87' => { '45' => -4, '46' => -10, '58' => -5, '65' => -5, '97' => -6, '101' => -5, '105' => -2, '111' => -5, '114' => -4, '117' => -3, '121' => -2, '171' => -5, '187' => -2, '192' => -5, '193' => -5, '194' => -5, '195' => -5, '196' => -5, '224' => -6, '225' => -6, '226' => -6, '227' => -6, '228' => -6, '229' => -6, '232' => -5, '233' => -5, '234' => -5, '235' => -5, '242' => -5, '243' => -5, '244' => -5, '245' => -5, '246' => -5, '249' => -3, '250' => -3, '251' => -3, '252' => -3, '253' => -2, '255' => -2, },  # W
    '88' => { '45' => -4, '67' => -6, '79' => -6, '84' => -2, '101' => -4, '171' => -5, '199' => -6, '210' => -6, '211' => -6, '212' => -6, '213' => -6, '214' => -6, '232' => -4, '233' => -4, '234' => -4, '235' => -4, },  # X
    '89' => { '45' => -10, '46' => -18, '58' => -12, '65' => -7, '67' => -5, '79' => -5, '97' => -12, '101' => -12, '105' => -3, '111' => -12, '117' => -10, '171' => -10, '187' => -6, '192' => -7, '193' => -7, '194' => -7, '195' => -7, '196' => -7, '199' => -5, '210' => -5, '211' => -5, '212' => -5, '213' => -5, '214' => -5, '224' => -12, '225' => -12, '226' => -12, '227' => -12, '228' => -12, '229' => -12, '232' => -12, '233' => -12, '234' => -12, '235' => -12, '242' => -12, '243' => -12, '244' => -12, '245' => -12, '246' => -12, '249' => -10, '250' => -10, '251' => -10, '252' => -10, },  # Y
    '90' => { '45' => -2, },  # Z
    '91' => { },  # [
    '92' => { },  # \
    '93' => { },  # ]
    '94' => { },  # ^
    '95' => { },  # _
    '96' => { },  # `
    '97' => { },  # a
    '98' => { },  # b
    '99' => { },  # c
    '100' => { },  # d
    '101' => { '120' => -2, },  # e
    '102' => { '45' => -5, '46' => -6, '58' => -3, '116' => -2, '119' => -2, '121' => -2, '171' => -3, '187' => -2, '253' => -2, '255' => -2, },  # f
    '103' => { },  # g
    '104' => { },  # h
    '105' => { },  # i
    '106' => { },  # j
    '107' => { '97' => -2, '101' => -3, '111' => -3, '117' => -3, '121' => -3, '224' => -2, '225' => -2, '226' => -2, '227' => -2, '228' => -2, '229' => -2, '232' => -3, '233' => -3, '234' => -3, '235' => -3, '242' => -3, '243' => -3, '244' => -3, '245' => -3, '246' => -3, '249' => -3, '250' => -3, '251' => -3, '252' => -3, '253' => -3, '255' => -3, },  # k
    '108' => { },  # l
    '109' => { },  # m
    '110' => { },  # n
    '111' => { '45' => 2, '46' => -2, '120' => -3, },  # o
    '112' => { },  # p
    '113' => { },  # q
    '114' => { '45' => -6, '46' => -8, '58' => -2, '99' => -2, '100' => -2, '101' => -2, '103' => -2, '104' => -2, '109' => -2, '110' => -2, '111' => -2, '113' => -2, '120' => -2, '171' => -3, '231' => -2, '232' => -2, '233' => -2, '234' => -2, '235' => -2, '241' => -2, '242' => -2, '243' => -2, '244' => -2, '245' => -2, '246' => -2, },  # r
    '115' => { },  # s
    '116' => { },  # t
    '117' => { },  # u
    '118' => { '45' => -2, '46' => -7, '58' => -5, '171' => -2, '187' => -2, },  # v
    '119' => { '46' => -8, '58' => -5, '171' => -2, '187' => -2, },  # w
    '120' => { '99' => -2, '101' => -3, '111' => -3, '231' => -2, '232' => -3, '233' => -3, '234' => -3, '235' => -3, '242' => -3, '243' => -3, '244' => -3, '245' => -3, '246' => -3, },  # x
    '121' => { '45' => -2, '46' => -12, '58' => -6, '171' => -2, '187' => -2, },  # y
    '122' => { },  # z
    '123' => { },  # {
    '124' => { },  # |
    '125' => { },  # }
    '126' => { },  # ~
    '160' => { },  #  
    '161' => { },  # ¡
    '162' => { },  # ¢
    '163' => { },  # £
    '164' => { },  # ¤
    '165' => { },  # ¥
    '166' => { },  # ¦
    '167' => { },  # §
    '168' => { },  # ¨
    '169' => { },  # ©
    '170' => { },  # ª
    '171' => { '66' => -2, '67' => -2, '68' => -2, '71' => -2, '74' => -2, '84' => -5, '86' => -5, '87' => -2, '89' => -6, '118' => -2, '119' => -2, '121' => -2, '198' => 6, '199' => -2, '221' => -6, '253' => -2, '255' => -2, },  # «
    '172' => { },  # ¬
    '173' => { },  # ­
    '174' => { },  # ®
    '175' => { },  # ¯
    '176' => { },  # °
    '177' => { },  # ±
    '178' => { },  # ²
    '179' => { },  # ³
    '180' => { },  # ´
    '181' => { },  # µ
    '182' => { },  # ¶
    '183' => { },  # ·
    '184' => { },  # ¸
    '185' => { },  # ¹
    '186' => { },  # º
    '187' => { '65' => -3, '66' => -3, '67' => -2, '68' => -2, '74' => -2, '79' => -2, '84' => -8, '86' => -8, '87' => -5, '88' => -5, '89' => -10, '118' => -2, '119' => -2, '121' => -2, '192' => -3, '193' => -3, '194' => -3, '195' => -3, '196' => -3, '199' => -2, '210' => -2, '211' => -2, '212' => -2, '213' => -2, '214' => -2, '221' => -10, '253' => -2, '255' => -2, },  # »
    '188' => { },  # ¼
    '189' => { },  # ½
    '190' => { },  # ¾
    '191' => { },  # ¿
    '192' => { '45' => -2, '46' => -2, '58' => -2, '65' => 2, '67' => -2, '71' => -2, '79' => -2, '81' => -2, '84' => -7, '86' => -6, '87' => -5, '89' => -7, '99' => -2, '100' => -2, '101' => -2, '102' => -3, '111' => -2, '113' => -2, '116' => -2, '118' => -5, '119' => -4, '121' => -6, '171' => -3, '193' => 2, '194' => 2, '195' => 2, '196' => 2, '199' => -2, '210' => -2, '211' => -2, '212' => -2, '213' => -2, '214' => -2, '221' => -7, '231' => -2, '232' => -2, '233' => -2, '234' => -2, '235' => -2, '242' => -2, '243' => -2, '244' => -2, '245' => -2, '246' => -2, '253' => -6, '255' => -6, },  # À
    '193' => { '45' => -2, '46' => -2, '58' => -2, '65' => 2, '67' => -2, '71' => -2, '79' => -2, '81' => -2, '84' => -7, '86' => -6, '87' => -5, '89' => -7, '99' => -2, '100' => -2, '101' => -2, '102' => -3, '111' => -2, '113' => -2, '116' => -2, '118' => -5, '119' => -4, '121' => -6, '171' => -3, '192' => 2, '194' => 2, '195' => 2, '196' => 2, '199' => -2, '210' => -2, '211' => -2, '212' => -2, '213' => -2, '214' => -2, '221' => -7, '231' => -2, '232' => -2, '233' => -2, '234' => -2, '235' => -2, '242' => -2, '243' => -2, '244' => -2, '245' => -2, '246' => -2, '253' => -6, '255' => -6, },  # Á
    '194' => { '45' => -2, '46' => -2, '58' => -2, '65' => 2, '67' => -2, '71' => -2, '79' => -2, '81' => -2, '84' => -7, '86' => -6, '87' => -5, '89' => -7, '99' => -2, '100' => -2, '101' => -2, '102' => -3, '111' => -2, '113' => -2, '116' => -2, '118' => -5, '119' => -4, '121' => -6, '171' => -3, '192' => 2, '193' => 2, '195' => 2, '196' => 2, '199' => -2, '210' => -2, '211' => -2, '212' => -2, '213' => -2, '214' => -2, '221' => -7, '231' => -2, '232' => -2, '233' => -2, '234' => -2, '235' => -2, '242' => -2, '243' => -2, '244' => -2, '245' => -2, '246' => -2, '253' => -6, '255' => -6, },  # Â
    '195' => { '45' => -2, '46' => -2, '58' => -2, '65' => 2, '67' => -2, '71' => -2, '79' => -2, '81' => -2, '84' => -7, '86' => -6, '87' => -5, '89' => -7, '99' => -2, '100' => -2, '101' => -2, '102' => -3, '111' => -2, '113' => -2, '116' => -2, '118' => -5, '119' => -4, '121' => -6, '171' => -3, '192' => 2, '193' => 2, '194' => 2, '196' => 2, '199' => -2, '210' => -2, '211' => -2, '212' => -2, '213' => -2, '214' => -2, '221' => -7, '231' => -2, '232' => -2, '233' => -2, '234' => -2, '235' => -2, '242' => -2, '243' => -2, '244' => -2, '245' => -2, '246' => -2, '253' => -6, '255' => -6, },  # Ã
    '196' => { '45' => -2, '46' => -2, '58' => -2, '65' => 2, '67' => -2, '71' => -2, '79' => -2, '81' => -2, '84' => -7, '86' => -6, '87' => -5, '89' => -7, '99' => -2, '100' => -2, '101' => -2, '102' => -3, '111' => -2, '113' => -2, '116' => -2, '118' => -5, '119' => -4, '121' => -6, '171' => -3, '192' => 2, '193' => 2, '194' => 2, '195' => 2, '199' => -2, '210' => -2, '211' => -2, '212' => -2, '213' => -2, '214' => -2, '221' => -7, '231' => -2, '232' => -2, '233' => -2, '234' => -2, '235' => -2, '242' => -2, '243' => -2, '244' => -2, '245' => -2, '246' => -2, '253' => -6, '255' => -6, },  # Ä
    '197' => { },  # Å
    '198' => { },  # Æ
    '199' => { '89' => -2, '171' => -2, '187' => -2, '221' => -2, },  # Ç
    '200' => { },  # È
    '201' => { },  # É
    '202' => { },  # Ê
    '203' => { },  # Ë
    '204' => { },  # Ì
    '205' => { },  # Í
    '206' => { },  # Î
    '207' => { },  # Ï
    '208' => { },  # Ð
    '209' => { },  # Ñ
    '210' => { '45' => 2, '46' => -4, '58' => -2, '65' => -2, '86' => -2, '88' => -6, '89' => -5, '171' => -2, '192' => -2, '193' => -2, '194' => -2, '195' => -2, '196' => -2, '221' => -5, },  # Ò
    '211' => { '45' => 2, '46' => -4, '58' => -2, '65' => -2, '86' => -2, '88' => -6, '89' => -5, '171' => -2, '192' => -2, '193' => -2, '194' => -2, '195' => -2, '196' => -2, '221' => -5, },  # Ó
    '212' => { '45' => 2, '46' => -4, '58' => -2, '65' => -2, '86' => -2, '88' => -6, '89' => -5, '171' => -2, '192' => -2, '193' => -2, '194' => -2, '195' => -2, '196' => -2, '221' => -5, },  # Ô
    '213' => { '45' => 2, '46' => -4, '58' => -2, '65' => -2, '86' => -2, '88' => -6, '89' => -5, '171' => -2, '192' => -2, '193' => -2, '194' => -2, '195' => -2, '196' => -2, '221' => -5, },  # Õ
    '214' => { '45' => 2, '46' => -4, '58' => -2, '65' => -2, '86' => -2, '88' => -6, '89' => -5, '171' => -2, '192' => -2, '193' => -2, '194' => -2, '195' => -2, '196' => -2, '221' => -5, },  # Ö
    '215' => { },  # ×
    '216' => { },  # Ø
    '217' => { '90' => -2, },  # Ù
    '218' => { '90' => -2, },  # Ú
    '219' => { '90' => -2, },  # Û
    '220' => { '90' => -2, },  # Ü
    '221' => { '45' => -10, '46' => -18, '58' => -12, '65' => -7, '67' => -5, '79' => -5, '97' => -12, '101' => -12, '105' => -3, '111' => -12, '117' => -10, '171' => -10, '187' => -6, '192' => -7, '193' => -7, '194' => -7, '195' => -7, '196' => -7, '199' => -5, '210' => -5, '211' => -5, '212' => -5, '213' => -5, '214' => -5, '224' => -12, '225' => -12, '226' => -12, '227' => -12, '228' => -12, '229' => -12, '232' => -12, '233' => -12, '234' => -12, '235' => -12, '242' => -12, '243' => -12, '244' => -12, '245' => -12, '246' => -12, '249' => -10, '250' => -10, '251' => -10, '252' => -10, },  # Ý
    '222' => { '46' => -6, '58' => -3, },  # Þ
    '223' => { '45' => 2, },  # ß
    '224' => { },  # à
    '225' => { },  # á
    '226' => { },  # â
    '227' => { },  # ã
    '228' => { },  # ä
    '229' => { },  # å
    '230' => { },  # æ
    '231' => { },  # ç
    '232' => { '120' => -2, },  # è
    '233' => { '120' => -2, },  # é
    '234' => { '120' => -2, },  # ê
    '235' => { '120' => -2, },  # ë
    '236' => { },  # ì
    '237' => { },  # í
    '238' => { },  # î
    '239' => { },  # ï
    '240' => { },  # ð
    '241' => { },  # ñ
    '242' => { '45' => 2, '46' => -2, '120' => -3, },  # ò
    '243' => { '45' => 2, '46' => -2, '120' => -3, },  # ó
    '244' => { '45' => 2, '46' => -2, '120' => -3, },  # ô
    '245' => { '45' => 2, '46' => -2, '120' => -3, },  # õ
    '246' => { '45' => 2, '46' => -2, '120' => -3, },  # ö
    '247' => { },  # ÷
    '248' => { },  # ø
    '249' => { },  # ù
    '250' => { },  # ú
    '251' => { },  # û
    '252' => { },  # ü
    '253' => { '45' => -2, '46' => -12, '58' => -6, '171' => -2, '187' => -2, },  # ý
    '254' => { },  # þ
    '255' => { '45' => -2, '46' => -12, '58' => -6, '171' => -2, '187' => -2, },  # ÿ
};


sub new {
    my($class) = @_;
    
    my $self = $class->SUPER::new(
        name        => $name,
        char_height => $char_height,
        space_width => $space_width,
        gap_width   => $gap_width,
        symbols     => $symbols,
        kerning     => $kerning,
        line_spacing => $line_spacing,
        class       => 'hipi_2',
    );
    
    return $self;
}

1;

__END__
