#########################################################################################
# Package        HiPi::Graphics::BitmapFont::SerifEPD103
# Description  : Monochrome OLED Font
# License      : This is free software; you can redistribute it and/or modify it under
#                the same terms as the Perl 5 programming language system itself.
#########################################################################################

package HiPi::Graphics::BitmapFont::SerifEPD103;

#########################################################################################

use utf8;
use strict;
use warnings;
use parent qw( HiPi::Graphics::BitmapFont);

our $VERSION ='0.01';

my $gap_width = 0;
my $char_height = 103;
my $line_spacing = 0;
my $name = 'Serif 103';
my $space_width = 28;
 
my $symbols = {
    '33' => {    # '!'
        'width'    => 11, 
        'xoffset'  => 12, 
        'xadvance' => 35, 
        'bitmap'   => [ 
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0xFF, 0xE0, ##  00000000000
            0xFF, 0xE0, ##  00000000000
            0xFF, 0xE0, ##  00000000000
            0xFF, 0xE0, ##  00000000000
            0xFF, 0xE0, ##  00000000000
            0x7F, 0xC0, ##   000000000 
            0x7F, 0xC0, ##   000000000 
            0x7F, 0xC0, ##   000000000 
            0x7F, 0xC0, ##   000000000 
            0x7F, 0xC0, ##   000000000 
            0x7F, 0xC0, ##   000000000 
            0x7F, 0xC0, ##   000000000 
            0x7F, 0xC0, ##   000000000 
            0x7F, 0xC0, ##   000000000 
            0x7F, 0xC0, ##   000000000 
            0x7F, 0xC0, ##   000000000 
            0x7F, 0xC0, ##   000000000 
            0x3F, 0x80, ##    0000000  
            0x3F, 0x80, ##    0000000  
            0x3F, 0x80, ##    0000000  
            0x3F, 0x80, ##    0000000  
            0x3F, 0x80, ##    0000000  
            0x3F, 0x80, ##    0000000  
            0x3F, 0x80, ##    0000000  
            0x3F, 0x80, ##    0000000  
            0x3F, 0x80, ##    0000000  
            0x3F, 0x80, ##    0000000  
            0x3F, 0x80, ##    0000000  
            0x3F, 0x80, ##    0000000  
            0x1F, 0x80, ##     000000  
            0x1F, 0x00, ##     00000   
            0x1F, 0x00, ##     00000   
            0x1F, 0x00, ##     00000   
            0x1F, 0x00, ##     00000   
            0x1F, 0x00, ##     00000   
            0x1F, 0x00, ##     00000   
            0x1F, 0x00, ##     00000   
            0x1F, 0x00, ##     00000   
            0x1F, 0x00, ##     00000   
            0x1F, 0x00, ##     00000   
            0x1F, 0x00, ##     00000   
            0x1F, 0x00, ##     00000   
            0x1F, 0x00, ##     00000   
            0x1F, 0x00, ##     00000   
            0x1F, 0x00, ##     00000   
            0x1F, 0x00, ##     00000   
            0x1F, 0x00, ##     00000   
            0x00, 0x00, ##             
            0x00, 0x00, ##             
            0x00, 0x00, ##             
            0x00, 0x00, ##             
            0x00, 0x00, ##             
            0x00, 0x00, ##             
            0x00, 0x00, ##             
            0x00, 0x00, ##             
            0x1F, 0x00, ##     00000   
            0x3F, 0x80, ##    0000000  
            0x7F, 0xC0, ##   000000000 
            0xFF, 0xE0, ##  00000000000
            0xFF, 0xE0, ##  00000000000
            0xFF, 0xE0, ##  00000000000
            0xFF, 0xE0, ##  00000000000
            0xFF, 0xE0, ##  00000000000
            0x7F, 0xC0, ##   000000000 
            0x3F, 0x80, ##    0000000  
            0x1F, 0x00, ##     00000   
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
        ], 
    }, 
    '34' => {    # '"'
        'width'    => 23, 
        'xoffset'  => 9, 
        'xadvance' => 41, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0xFE, 0x00, 0xFE, ##  0000000         0000000
            0xFE, 0x00, 0xFE, ##  0000000         0000000
            0xFE, 0x00, 0xFE, ##  0000000         0000000
            0xFE, 0x00, 0xFE, ##  0000000         0000000
            0xFE, 0x00, 0xFE, ##  0000000         0000000
            0xFE, 0x00, 0xFE, ##  0000000         0000000
            0xFE, 0x00, 0xFE, ##  0000000         0000000
            0xFE, 0x00, 0xFE, ##  0000000         0000000
            0xFE, 0x00, 0xFE, ##  0000000         0000000
            0xFE, 0x00, 0xFE, ##  0000000         0000000
            0xFE, 0x00, 0xFE, ##  0000000         0000000
            0xFE, 0x00, 0xFE, ##  0000000         0000000
            0xFE, 0x00, 0xFE, ##  0000000         0000000
            0xFE, 0x00, 0xFE, ##  0000000         0000000
            0xFE, 0x00, 0xFE, ##  0000000         0000000
            0xFE, 0x00, 0xFE, ##  0000000         0000000
            0xFE, 0x00, 0xFE, ##  0000000         0000000
            0xFE, 0x00, 0xFE, ##  0000000         0000000
            0xFE, 0x00, 0xFE, ##  0000000         0000000
            0xFE, 0x00, 0xFE, ##  0000000         0000000
            0xFE, 0x00, 0xFE, ##  0000000         0000000
            0xFE, 0x00, 0xFE, ##  0000000         0000000
            0xFE, 0x00, 0xFE, ##  0000000         0000000
            0xFE, 0x00, 0xFE, ##  0000000         0000000
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '35' => {    # '#'
        'width'    => 60, 
        'xoffset'  => 7, 
        'xadvance' => 74, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x7F, 0x00, 0x0F, 0xE0, 0x00, ##                           0000000            0000000         
            0x00, 0x00, 0x00, 0xFF, 0x00, 0x0F, 0xE0, 0x00, ##                          00000000            0000000         
            0x00, 0x00, 0x00, 0xFE, 0x00, 0x1F, 0xE0, 0x00, ##                          0000000            00000000         
            0x00, 0x00, 0x00, 0xFE, 0x00, 0x1F, 0xE0, 0x00, ##                          0000000            00000000         
            0x00, 0x00, 0x00, 0xFE, 0x00, 0x1F, 0xC0, 0x00, ##                          0000000            0000000          
            0x00, 0x00, 0x01, 0xFE, 0x00, 0x1F, 0xC0, 0x00, ##                         00000000            0000000          
            0x00, 0x00, 0x01, 0xFC, 0x00, 0x3F, 0xC0, 0x00, ##                         0000000            00000000          
            0x00, 0x00, 0x01, 0xFC, 0x00, 0x3F, 0xC0, 0x00, ##                         0000000            00000000          
            0x00, 0x00, 0x01, 0xFC, 0x00, 0x3F, 0x80, 0x00, ##                         0000000            0000000           
            0x00, 0x00, 0x03, 0xFC, 0x00, 0x3F, 0x80, 0x00, ##                        00000000            0000000           
            0x00, 0x00, 0x03, 0xF8, 0x00, 0x3F, 0x80, 0x00, ##                        0000000             0000000           
            0x00, 0x00, 0x03, 0xF8, 0x00, 0x7F, 0x80, 0x00, ##                        0000000            00000000           
            0x00, 0x00, 0x03, 0xF8, 0x00, 0x7F, 0x00, 0x00, ##                        0000000            0000000            
            0x00, 0x00, 0x07, 0xF8, 0x00, 0x7F, 0x00, 0x00, ##                       00000000            0000000            
            0x00, 0x00, 0x07, 0xF8, 0x00, 0x7F, 0x00, 0x00, ##                       00000000            0000000            
            0x00, 0x00, 0x07, 0xF0, 0x00, 0xFF, 0x00, 0x00, ##                       0000000            00000000            
            0x00, 0x00, 0x07, 0xF0, 0x00, 0xFE, 0x00, 0x00, ##                       0000000            0000000             
            0x00, 0x00, 0x0F, 0xF0, 0x00, 0xFE, 0x00, 0x00, ##                      00000000            0000000             
            0x00, 0x00, 0x0F, 0xF0, 0x00, 0xFE, 0x00, 0x00, ##                      00000000            0000000             
            0x07, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF0, ##       0000000000000000000000000000000000000000000000000000000
            0x07, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF0, ##       0000000000000000000000000000000000000000000000000000000
            0x07, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF0, ##       0000000000000000000000000000000000000000000000000000000
            0x07, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF0, ##       0000000000000000000000000000000000000000000000000000000
            0x07, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF0, ##       0000000000000000000000000000000000000000000000000000000
            0x07, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF0, ##       0000000000000000000000000000000000000000000000000000000
            0x00, 0x00, 0x3F, 0xC0, 0x03, 0xF8, 0x00, 0x00, ##                    00000000            0000000               
            0x00, 0x00, 0x3F, 0x80, 0x07, 0xF8, 0x00, 0x00, ##                    0000000            00000000               
            0x00, 0x00, 0x3F, 0x80, 0x07, 0xF8, 0x00, 0x00, ##                    0000000            00000000               
            0x00, 0x00, 0x3F, 0x80, 0x07, 0xF0, 0x00, 0x00, ##                    0000000            0000000                
            0x00, 0x00, 0x7F, 0x80, 0x07, 0xF0, 0x00, 0x00, ##                   00000000            0000000                
            0x00, 0x00, 0x7F, 0x80, 0x07, 0xF0, 0x00, 0x00, ##                   00000000            0000000                
            0x00, 0x00, 0x7F, 0x00, 0x0F, 0xF0, 0x00, 0x00, ##                   0000000            00000000                
            0x00, 0x00, 0x7F, 0x00, 0x0F, 0xE0, 0x00, 0x00, ##                   0000000            0000000                 
            0x00, 0x00, 0xFF, 0x00, 0x0F, 0xE0, 0x00, 0x00, ##                  00000000            0000000                 
            0x00, 0x00, 0xFF, 0x00, 0x0F, 0xE0, 0x00, 0x00, ##                  00000000            0000000                 
            0x00, 0x00, 0xFE, 0x00, 0x1F, 0xE0, 0x00, 0x00, ##                  0000000            00000000                 
            0x00, 0x00, 0xFE, 0x00, 0x1F, 0xC0, 0x00, 0x00, ##                  0000000            0000000                  
            0x00, 0x00, 0xFE, 0x00, 0x1F, 0xC0, 0x00, 0x00, ##                  0000000            0000000                  
            0x00, 0x01, 0xFE, 0x00, 0x1F, 0xC0, 0x00, 0x00, ##                 00000000            0000000                  
            0x00, 0x01, 0xFC, 0x00, 0x3F, 0xC0, 0x00, 0x00, ##                 0000000            00000000                  
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFE, 0x00, ##  0000000000000000000000000000000000000000000000000000000     
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFE, 0x00, ##  0000000000000000000000000000000000000000000000000000000     
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFE, 0x00, ##  0000000000000000000000000000000000000000000000000000000     
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFE, 0x00, ##  0000000000000000000000000000000000000000000000000000000     
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFE, 0x00, ##  0000000000000000000000000000000000000000000000000000000     
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFE, 0x00, ##  0000000000000000000000000000000000000000000000000000000     
            0x00, 0x07, 0xF8, 0x00, 0x7F, 0x00, 0x00, 0x00, ##               00000000            0000000                    
            0x00, 0x07, 0xF0, 0x00, 0xFF, 0x00, 0x00, 0x00, ##               0000000            00000000                    
            0x00, 0x07, 0xF0, 0x00, 0xFE, 0x00, 0x00, 0x00, ##               0000000            0000000                     
            0x00, 0x0F, 0xF0, 0x00, 0xFE, 0x00, 0x00, 0x00, ##              00000000            0000000                     
            0x00, 0x0F, 0xF0, 0x00, 0xFE, 0x00, 0x00, 0x00, ##              00000000            0000000                     
            0x00, 0x0F, 0xE0, 0x01, 0xFE, 0x00, 0x00, 0x00, ##              0000000            00000000                     
            0x00, 0x0F, 0xE0, 0x01, 0xFC, 0x00, 0x00, 0x00, ##              0000000            0000000                      
            0x00, 0x1F, 0xE0, 0x01, 0xFC, 0x00, 0x00, 0x00, ##             00000000            0000000                      
            0x00, 0x1F, 0xE0, 0x01, 0xFC, 0x00, 0x00, 0x00, ##             00000000            0000000                      
            0x00, 0x1F, 0xC0, 0x03, 0xFC, 0x00, 0x00, 0x00, ##             0000000            00000000                      
            0x00, 0x1F, 0xC0, 0x03, 0xF8, 0x00, 0x00, 0x00, ##             0000000            0000000                       
            0x00, 0x1F, 0xC0, 0x03, 0xF8, 0x00, 0x00, 0x00, ##             0000000            0000000                       
            0x00, 0x3F, 0xC0, 0x03, 0xF8, 0x00, 0x00, 0x00, ##            00000000            0000000                       
            0x00, 0x3F, 0x80, 0x07, 0xF8, 0x00, 0x00, 0x00, ##            0000000            00000000                       
            0x00, 0x3F, 0x80, 0x07, 0xF0, 0x00, 0x00, 0x00, ##            0000000            0000000                        
            0x00, 0x3F, 0x80, 0x07, 0xF0, 0x00, 0x00, 0x00, ##            0000000            0000000                        
            0x00, 0x7F, 0x80, 0x07, 0xF0, 0x00, 0x00, 0x00, ##           00000000            0000000                        
            0x00, 0x7F, 0x00, 0x0F, 0xF0, 0x00, 0x00, 0x00, ##           0000000            00000000                        
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '36' => {    # '$'
        'width'    => 41, 
        'xoffset'  => 7, 
        'xadvance' => 55, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x3C, 0x00, 0x00, 0x00, ##                    0000                   
            0x00, 0x00, 0x3C, 0x00, 0x00, 0x00, ##                    0000                   
            0x00, 0x00, 0x3C, 0x00, 0x00, 0x00, ##                    0000                   
            0x00, 0x00, 0x3C, 0x00, 0x00, 0x00, ##                    0000                   
            0x00, 0x00, 0x3C, 0x00, 0x00, 0x00, ##                    0000                   
            0x00, 0x00, 0x3C, 0x00, 0x00, 0x00, ##                    0000                   
            0x00, 0x00, 0x3C, 0x00, 0x00, 0x00, ##                    0000                   
            0x00, 0x00, 0x3C, 0x00, 0x00, 0x00, ##                    0000                   
            0x00, 0x00, 0x3C, 0x00, 0x00, 0x00, ##                    0000                   
            0x00, 0x00, 0x3C, 0x00, 0x00, 0x00, ##                    0000                   
            0x00, 0x00, 0x3C, 0x00, 0x00, 0x00, ##                    0000                   
            0x00, 0x00, 0x3C, 0x00, 0x00, 0x00, ##                    0000                   
            0x00, 0x00, 0x3C, 0x00, 0x00, 0x00, ##                    0000                   
            0x00, 0x07, 0xFF, 0xF0, 0x00, 0x00, ##               000000000000000             
            0x00, 0x7F, 0xFF, 0xFF, 0x00, 0x00, ##           00000000000000000000000         
            0x01, 0xFF, 0xFF, 0xFF, 0xE0, 0x00, ##         0000000000000000000000000000      
            0x03, 0xFF, 0xFF, 0xFF, 0xFC, 0x00, ##        00000000000000000000000000000000   
            0x0F, 0xFE, 0x3C, 0x7F, 0xFC, 0x00, ##      00000000000   0000   0000000000000   
            0x1F, 0xF0, 0x3C, 0x0F, 0xFC, 0x00, ##     000000000      0000      0000000000   
            0x1F, 0xE0, 0x3C, 0x07, 0xFC, 0x00, ##     00000000       0000       000000000   
            0x3F, 0xC0, 0x3C, 0x03, 0xFC, 0x00, ##    00000000        0000        00000000   
            0x7F, 0xC0, 0x3C, 0x01, 0xFC, 0x00, ##   000000000        0000         0000000   
            0x7F, 0x80, 0x3C, 0x00, 0xFC, 0x00, ##   00000000         0000          000000   
            0x7F, 0x80, 0x3C, 0x00, 0xFC, 0x00, ##   00000000         0000          000000   
            0xFF, 0x80, 0x3C, 0x00, 0x7C, 0x00, ##  000000000         0000           00000   
            0xFF, 0x80, 0x3C, 0x00, 0x7C, 0x00, ##  000000000         0000           00000   
            0xFF, 0x80, 0x3C, 0x00, 0x7C, 0x00, ##  000000000         0000           00000   
            0xFF, 0x80, 0x3C, 0x00, 0x7C, 0x00, ##  000000000         0000           00000   
            0xFF, 0xC0, 0x3C, 0x00, 0x00, 0x00, ##  0000000000        0000                   
            0xFF, 0xC0, 0x3C, 0x00, 0x00, 0x00, ##  0000000000        0000                   
            0xFF, 0xE0, 0x3C, 0x00, 0x00, 0x00, ##  00000000000       0000                   
            0xFF, 0xE0, 0x3C, 0x00, 0x00, 0x00, ##  00000000000       0000                   
            0x7F, 0xF8, 0x3C, 0x00, 0x00, 0x00, ##   000000000000     0000                   
            0x7F, 0xFC, 0x3C, 0x00, 0x00, 0x00, ##   0000000000000    0000                   
            0x7F, 0xFF, 0xBC, 0x00, 0x00, 0x00, ##   0000000000000000 0000                   
            0x3F, 0xFF, 0xFC, 0x00, 0x00, 0x00, ##    00000000000000000000                   
            0x1F, 0xFF, 0xFE, 0x00, 0x00, 0x00, ##     00000000000000000000                  
            0x0F, 0xFF, 0xFF, 0xC0, 0x00, 0x00, ##      0000000000000000000000               
            0x07, 0xFF, 0xFF, 0xF8, 0x00, 0x00, ##       000000000000000000000000            
            0x03, 0xFF, 0xFF, 0xFE, 0x00, 0x00, ##        0000000000000000000000000          
            0x00, 0xFF, 0xFF, 0xFF, 0x80, 0x00, ##          0000000000000000000000000        
            0x00, 0x3F, 0xFF, 0xFF, 0xE0, 0x00, ##            0000000000000000000000000      
            0x00, 0x07, 0xFF, 0xFF, 0xF0, 0x00, ##               00000000000000000000000     
            0x00, 0x00, 0xFF, 0xFF, 0xF8, 0x00, ##                  000000000000000000000    
            0x00, 0x00, 0x3F, 0xFF, 0xFC, 0x00, ##                    00000000000000000000   
            0x00, 0x00, 0x3F, 0xFF, 0xFE, 0x00, ##                    000000000000000000000  
            0x00, 0x00, 0x3C, 0x7F, 0xFF, 0x00, ##                    0000   000000000000000 
            0x00, 0x00, 0x3C, 0x1F, 0xFF, 0x00, ##                    0000     0000000000000 
            0x00, 0x00, 0x3C, 0x0F, 0xFF, 0x00, ##                    0000      000000000000 
            0x00, 0x00, 0x3C, 0x07, 0xFF, 0x80, ##                    0000       000000000000
            0x00, 0x00, 0x3C, 0x03, 0xFF, 0x80, ##                    0000        00000000000
            0x00, 0x00, 0x3C, 0x01, 0xFF, 0x80, ##                    0000         0000000000
            0x00, 0x00, 0x3C, 0x01, 0xFF, 0x80, ##                    0000         0000000000
            0xF8, 0x00, 0x3C, 0x00, 0xFF, 0x80, ##  00000             0000          000000000
            0xF8, 0x00, 0x3C, 0x00, 0xFF, 0x80, ##  00000             0000          000000000
            0xF8, 0x00, 0x3C, 0x00, 0xFF, 0x80, ##  00000             0000          000000000
            0xF8, 0x00, 0x3C, 0x00, 0xFF, 0x80, ##  00000             0000          000000000
            0xFC, 0x00, 0x3C, 0x00, 0xFF, 0x00, ##  000000            0000          00000000 
            0xFC, 0x00, 0x3C, 0x00, 0xFF, 0x00, ##  000000            0000          00000000 
            0xFC, 0x00, 0x3C, 0x01, 0xFF, 0x00, ##  000000            0000         000000000 
            0xFE, 0x00, 0x3C, 0x01, 0xFE, 0x00, ##  0000000           0000         00000000  
            0xFF, 0x00, 0x3C, 0x03, 0xFE, 0x00, ##  00000000          0000        000000000  
            0xFF, 0x80, 0x3C, 0x07, 0xFC, 0x00, ##  000000000         0000       000000000   
            0xFF, 0xC0, 0x3C, 0x0F, 0xF8, 0x00, ##  0000000000        0000      000000000    
            0xFF, 0xF8, 0x3C, 0x7F, 0xF0, 0x00, ##  0000000000000     0000   00000000000     
            0x7F, 0xFF, 0xFF, 0xFF, 0xE0, 0x00, ##   0000000000000000000000000000000000      
            0x0F, 0xFF, 0xFF, 0xFF, 0x80, 0x00, ##      00000000000000000000000000000        
            0x01, 0xFF, 0xFF, 0xFE, 0x00, 0x00, ##         000000000000000000000000          
            0x00, 0x0F, 0xFF, 0xC0, 0x00, 0x00, ##              00000000000000               
            0x00, 0x00, 0x3C, 0x00, 0x00, 0x00, ##                    0000                   
            0x00, 0x00, 0x3C, 0x00, 0x00, 0x00, ##                    0000                   
            0x00, 0x00, 0x3C, 0x00, 0x00, 0x00, ##                    0000                   
            0x00, 0x00, 0x3C, 0x00, 0x00, 0x00, ##                    0000                   
            0x00, 0x00, 0x3C, 0x00, 0x00, 0x00, ##                    0000                   
            0x00, 0x00, 0x3C, 0x00, 0x00, 0x00, ##                    0000                   
            0x00, 0x00, 0x3C, 0x00, 0x00, 0x00, ##                    0000                   
            0x00, 0x00, 0x3C, 0x00, 0x00, 0x00, ##                    0000                   
            0x00, 0x00, 0x3C, 0x00, 0x00, 0x00, ##                    0000                   
            0x00, 0x00, 0x3C, 0x00, 0x00, 0x00, ##                    0000                   
            0x00, 0x00, 0x3C, 0x00, 0x00, 0x00, ##                    0000                   
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '37' => {    # '%'
        'width'    => 73, 
        'xoffset'  => 5, 
        'xadvance' => 83, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0xC0, 0x00, 0x00, 0x00, 0x07, 0xE0, 0x00, 0x00, ##            00000000                                   000000              
            0x00, 0x00, 0xF8, 0x00, 0x00, 0x00, 0x07, 0xE0, 0x00, 0x00, ##          0000000000000                                000000              
            0x00, 0x00, 0xFE, 0x00, 0x00, 0x00, 0x0F, 0xC0, 0x00, 0x00, ##        00000000000000000                             000000               
            0x00, 0x00, 0xFF, 0x00, 0x00, 0x00, 0x1F, 0xC0, 0x00, 0x00, ##       0000000000000000000                           0000000               
            0x00, 0x00, 0x7F, 0x80, 0x00, 0x00, 0x1F, 0x80, 0x00, 0x00, ##      00000000     00000000                          000000                
            0x00, 0x00, 0x3F, 0xC0, 0x00, 0x00, 0x3F, 0x00, 0x00, 0x00, ##     00000000       00000000                        000000                 
            0x00, 0x00, 0x1F, 0xC0, 0x00, 0x00, 0x3F, 0x00, 0x00, 0x00, ##     0000000         0000000                        000000                 
            0x00, 0x00, 0x0F, 0xE0, 0x00, 0x00, 0x7E, 0x00, 0x00, 0x00, ##    0000000           0000000                      000000                  
            0x00, 0x00, 0x0F, 0xE0, 0x00, 0x00, 0xFE, 0x00, 0x00, 0x00, ##    0000000           0000000                     0000000                  
            0x00, 0x00, 0x07, 0xF0, 0x00, 0x00, 0xFC, 0x00, 0x00, 0x00, ##   0000000             0000000                    000000                   
            0x00, 0x00, 0x07, 0xF0, 0x00, 0x01, 0xF8, 0x00, 0x00, 0x00, ##   0000000             0000000                   000000                    
            0x00, 0x00, 0x07, 0xF0, 0x00, 0x01, 0xF8, 0x00, 0x00, 0x00, ##   0000000             0000000                   000000                    
            0x00, 0x00, 0x03, 0xF8, 0x00, 0x03, 0xF0, 0x00, 0x00, 0x00, ##  0000000               0000000                 000000                     
            0x00, 0x00, 0x03, 0xF8, 0x00, 0x07, 0xF0, 0x00, 0x00, 0x00, ##  0000000               0000000                0000000                     
            0x00, 0x00, 0x03, 0xF8, 0x00, 0x07, 0xE0, 0x00, 0x00, 0x00, ##  0000000               0000000                000000                      
            0x00, 0x00, 0x03, 0xF8, 0x00, 0x0F, 0xC0, 0x00, 0x00, 0x00, ##  0000000               0000000               000000                       
            0x00, 0x00, 0x03, 0xF8, 0x00, 0x0F, 0xC0, 0x00, 0x00, 0x00, ##  0000000               0000000               000000                       
            0x00, 0x00, 0x03, 0xF8, 0x00, 0x1F, 0x80, 0x00, 0x00, 0x00, ##  0000000               0000000              000000                        
            0x00, 0x00, 0x03, 0xF8, 0x00, 0x3F, 0x80, 0x00, 0x00, 0x00, ##  0000000               0000000             0000000                        
            0x00, 0x00, 0x03, 0xF8, 0x00, 0x3F, 0x00, 0x00, 0x00, 0x00, ##  0000000               0000000             000000                         
            0x00, 0x00, 0x03, 0xF8, 0x00, 0x7E, 0x00, 0x00, 0x00, 0x00, ##  0000000               0000000            000000                          
            0x00, 0x00, 0x03, 0xF8, 0x00, 0x7E, 0x00, 0x00, 0x00, 0x00, ##  0000000               0000000            000000                          
            0x00, 0x00, 0x03, 0xF8, 0x00, 0xFC, 0x00, 0x00, 0x00, 0x00, ##  0000000               0000000           000000                           
            0x00, 0x00, 0x07, 0xF0, 0x01, 0xFC, 0x00, 0x00, 0x00, 0x00, ##   0000000             0000000           0000000                           
            0x00, 0x00, 0x07, 0xF0, 0x01, 0xF8, 0x00, 0x00, 0x00, 0x00, ##   0000000             0000000           000000                            
            0x00, 0x00, 0x07, 0xF0, 0x03, 0xF0, 0x00, 0x00, 0x00, 0x00, ##   0000000             0000000          000000                             
            0x00, 0x00, 0x0F, 0xE0, 0x03, 0xF0, 0x00, 0x00, 0x00, 0x00, ##    0000000           0000000           000000                             
            0x00, 0x00, 0x0F, 0xE0, 0x07, 0xE0, 0x00, 0x00, 0x00, 0x00, ##    0000000           0000000          000000                              
            0x00, 0x00, 0x1F, 0xC0, 0x0F, 0xE0, 0x00, 0x00, 0x00, 0x00, ##     0000000         0000000          0000000                              
            0x00, 0x00, 0x3F, 0xC0, 0x0F, 0xC0, 0x00, 0x00, 0x00, 0x00, ##     00000000       00000000          000000                               
            0x00, 0x00, 0x7F, 0x80, 0x1F, 0x80, 0x00, 0x00, 0x00, 0x00, ##      00000000     00000000          000000                                
            0x00, 0x00, 0xFF, 0x00, 0x1F, 0x80, 0x00, 0x00, 0x00, 0x00, ##       0000000000000000000           000000                                
            0x00, 0x00, 0xFE, 0x00, 0x3F, 0x00, 0x01, 0xFC, 0x00, 0x00, ##        00000000000000000           000000               0000000           
            0x00, 0x00, 0xF8, 0x00, 0x7F, 0x00, 0x0F, 0xFF, 0x80, 0x00, ##          0000000000000            0000000            0000000000000        
            0x00, 0x00, 0xE0, 0x00, 0x7E, 0x00, 0x3F, 0xFF, 0xE0, 0x00, ##            000000000              000000           00000000000000000      
            0x00, 0x00, 0x00, 0x00, 0xFC, 0x00, 0x7F, 0xFF, 0xF0, 0x00, ##                                  000000           0000000000000000000     
            0x00, 0x00, 0x00, 0x00, 0xFC, 0x00, 0xFF, 0x07, 0xF8, 0x00, ##                                  000000          00000000     00000000    
            0x00, 0x00, 0x00, 0x01, 0xF8, 0x01, 0xFE, 0x03, 0xFC, 0x00, ##                                 000000          00000000       00000000   
            0x00, 0x00, 0x00, 0x03, 0xF8, 0x01, 0xFC, 0x01, 0xFC, 0x00, ##                                0000000          0000000         0000000   
            0x00, 0x00, 0x00, 0x03, 0xF0, 0x03, 0xF8, 0x00, 0xFE, 0x00, ##                                000000          0000000           0000000  
            0x00, 0x00, 0x00, 0x07, 0xE0, 0x03, 0xF8, 0x00, 0xFE, 0x00, ##                               000000           0000000           0000000  
            0x00, 0x00, 0x00, 0x07, 0xE0, 0x07, 0xF0, 0x00, 0x7F, 0x00, ##                               000000          0000000             0000000 
            0x00, 0x00, 0x00, 0x0F, 0xC0, 0x07, 0xF0, 0x00, 0x7F, 0x00, ##                              000000           0000000             0000000 
            0x00, 0x00, 0x00, 0x1F, 0xC0, 0x07, 0xF0, 0x00, 0x7F, 0x00, ##                             0000000           0000000             0000000 
            0x00, 0x00, 0x00, 0x1F, 0x80, 0x0F, 0xE0, 0x00, 0x3F, 0x80, ##                             000000           0000000               0000000
            0x00, 0x00, 0x00, 0x3F, 0x00, 0x0F, 0xE0, 0x00, 0x3F, 0x80, ##                            000000            0000000               0000000
            0x00, 0x00, 0x00, 0x3F, 0x00, 0x0F, 0xE0, 0x00, 0x3F, 0x80, ##                            000000            0000000               0000000
            0x00, 0x00, 0x00, 0x7E, 0x00, 0x0F, 0xE0, 0x00, 0x3F, 0x80, ##                           000000             0000000               0000000
            0x00, 0x00, 0x00, 0xFE, 0x00, 0x0F, 0xE0, 0x00, 0x3F, 0x80, ##                          0000000             0000000               0000000
            0x00, 0x00, 0x00, 0xFC, 0x00, 0x0F, 0xE0, 0x00, 0x3F, 0x80, ##                          000000              0000000               0000000
            0x00, 0x00, 0x01, 0xF8, 0x00, 0x0F, 0xE0, 0x00, 0x3F, 0x80, ##                         000000               0000000               0000000
            0x00, 0x00, 0x01, 0xF8, 0x00, 0x0F, 0xE0, 0x00, 0x3F, 0x80, ##                         000000               0000000               0000000
            0x00, 0x00, 0x03, 0xF0, 0x00, 0x0F, 0xE0, 0x00, 0x3F, 0x80, ##                        000000                0000000               0000000
            0x00, 0x00, 0x07, 0xF0, 0x00, 0x0F, 0xE0, 0x00, 0x3F, 0x80, ##                       0000000                0000000               0000000
            0x00, 0x00, 0x07, 0xE0, 0x00, 0x0F, 0xE0, 0x00, 0x3F, 0x80, ##                       000000                 0000000               0000000
            0x00, 0x00, 0x0F, 0xC0, 0x00, 0x07, 0xF0, 0x00, 0x7F, 0x00, ##                      000000                   0000000             0000000 
            0x00, 0x00, 0x0F, 0xC0, 0x00, 0x07, 0xF0, 0x00, 0x7F, 0x00, ##                      000000                   0000000             0000000 
            0x00, 0x00, 0x1F, 0x80, 0x00, 0x07, 0xF0, 0x00, 0x7F, 0x00, ##                     000000                    0000000             0000000 
            0x00, 0x00, 0x3F, 0x80, 0x00, 0x03, 0xF8, 0x00, 0xFE, 0x00, ##                    0000000                     0000000           0000000  
            0x00, 0x00, 0x3F, 0x00, 0x00, 0x03, 0xF8, 0x00, 0xFE, 0x00, ##                    000000                      0000000           0000000  
            0x00, 0x00, 0x7E, 0x00, 0x00, 0x01, 0xFC, 0x01, 0xFC, 0x00, ##                   000000                        0000000         0000000   
            0x00, 0x00, 0x7E, 0x00, 0x00, 0x01, 0xFE, 0x03, 0xFC, 0x00, ##                   000000                        00000000       00000000   
            0x00, 0x00, 0xFC, 0x00, 0x00, 0x00, 0xFF, 0x07, 0xF8, 0x00, ##                  000000                          00000000     00000000    
            0x00, 0x00, 0xFC, 0x00, 0x00, 0x00, 0x7F, 0xFF, 0xF0, 0x00, ##                 0000000                           0000000000000000000     
            0x00, 0x00, 0xF8, 0x00, 0x00, 0x00, 0x3F, 0xFF, 0xE0, 0x00, ##                 000000                             00000000000000000      
            0x00, 0x00, 0xF0, 0x00, 0x00, 0x00, 0x0F, 0xFF, 0x80, 0x00, ##                000000                                0000000000000        
            0x00, 0x00, 0xF0, 0x00, 0x00, 0x00, 0x01, 0xFC, 0x00, 0x00, ##                000000                                   0000000           
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '38' => {    # '&'
        'width'    => 67, 
        'xoffset'  => 6, 
        'xadvance' => 77, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x03, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##                        00000000000                                  
            0x00, 0x00, 0x3F, 0xFF, 0xFC, 0x00, 0x00, 0x00, 0x00, ##                    00000000000000000000                             
            0x00, 0x00, 0xFF, 0xFF, 0xFF, 0xE0, 0x00, 0x00, 0x00, ##                  000000000000000000000000000                        
            0x00, 0x01, 0xFF, 0xFF, 0xFF, 0xE0, 0x00, 0x00, 0x00, ##                 0000000000000000000000000000                        
            0x00, 0x07, 0xFE, 0x01, 0xFF, 0xE0, 0x00, 0x00, 0x00, ##               0000000000        000000000000                        
            0x00, 0x0F, 0xF8, 0x00, 0x7F, 0xE0, 0x00, 0x00, 0x00, ##              000000000            0000000000                        
            0x00, 0x0F, 0xF0, 0x00, 0x1F, 0xE0, 0x00, 0x00, 0x00, ##              00000000               00000000                        
            0x00, 0x1F, 0xE0, 0x00, 0x1F, 0xE0, 0x00, 0x00, 0x00, ##             00000000                00000000                        
            0x00, 0x3F, 0xC0, 0x00, 0x0F, 0xE0, 0x00, 0x00, 0x00, ##            00000000                  0000000                        
            0x00, 0x3F, 0xC0, 0x00, 0x07, 0xE0, 0x00, 0x00, 0x00, ##            00000000                   000000                        
            0x00, 0x3F, 0x80, 0x00, 0x07, 0xE0, 0x00, 0x00, 0x00, ##            0000000                    000000                        
            0x00, 0x7F, 0x80, 0x00, 0x07, 0xE0, 0x00, 0x00, 0x00, ##           00000000                    000000                        
            0x00, 0x7F, 0x80, 0x00, 0x03, 0xE0, 0x00, 0x00, 0x00, ##           00000000                     00000                        
            0x00, 0x7F, 0x80, 0x00, 0x03, 0xE0, 0x00, 0x00, 0x00, ##           00000000                     00000                        
            0x00, 0x7F, 0x80, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##           00000000                                                  
            0x00, 0x7F, 0x80, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##           00000000                                                  
            0x00, 0x7F, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##           000000000                                                 
            0x00, 0x7F, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##           000000000                                                 
            0x00, 0x7F, 0xE0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##           0000000000                                                
            0x00, 0x3F, 0xE0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##            000000000                                                
            0x00, 0x3F, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##            0000000000                                               
            0x00, 0x3F, 0xF8, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##            00000000000                                              
            0x00, 0x1F, 0xFC, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##             00000000000                                             
            0x00, 0x0F, 0xFE, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##              00000000000                                            
            0x00, 0x0F, 0xFE, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##              00000000000                                            
            0x00, 0x07, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##               00000000000                                           
            0x00, 0x0F, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x00, ##              0000000000000                                          
            0x00, 0x3F, 0xFF, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x00, ##            0000000000000000                                         
            0x00, 0x7F, 0xFF, 0xE0, 0x00, 0x00, 0x00, 0x00, 0x00, ##           000000000000000000                                        
            0x00, 0xFF, 0xFF, 0xF0, 0x00, 0x03, 0xFF, 0xFF, 0xC0, ##          00000000000000000000                  00000000000000000000 
            0x00, 0xFE, 0x7F, 0xF8, 0x00, 0x03, 0xFF, 0xFF, 0xC0, ##         00000000  000000000000                 00000000000000000000 
            0x00, 0xFC, 0x3F, 0xFC, 0x00, 0x03, 0xFF, 0xFF, 0xC0, ##        00000000    000000000000                00000000000000000000 
            0x00, 0xF8, 0x1F, 0xFE, 0x00, 0x03, 0xFF, 0xFF, 0xC0, ##       00000000      000000000000               00000000000000000000 
            0x00, 0xF0, 0x0F, 0xFF, 0x00, 0x00, 0x03, 0xE0, 0x00, ##      00000000        000000000000                      00000        
            0x00, 0xF0, 0x07, 0xFF, 0x80, 0x00, 0x07, 0xE0, 0x00, ##     000000000         000000000000                    000000        
            0x00, 0xE0, 0x03, 0xFF, 0xC0, 0x00, 0x07, 0xC0, 0x00, ##     00000000           000000000000                   00000         
            0x00, 0xE0, 0x01, 0xFF, 0xE0, 0x00, 0x07, 0xC0, 0x00, ##    000000000            000000000000                  00000         
            0x00, 0xC0, 0x00, 0xFF, 0xF0, 0x00, 0x07, 0xC0, 0x00, ##    00000000              000000000000                 00000         
            0x00, 0xC0, 0x00, 0x7F, 0xF8, 0x00, 0x07, 0xC0, 0x00, ##   000000000               000000000000                00000         
            0x00, 0xC0, 0x00, 0x3F, 0xFC, 0x00, 0x0F, 0x80, 0x00, ##   000000000                000000000000              00000          
            0x00, 0x80, 0x00, 0x1F, 0xFE, 0x00, 0x0F, 0x80, 0x00, ##   00000000                  000000000000             00000          
            0x00, 0x80, 0x00, 0x0F, 0xFF, 0x00, 0x0F, 0x80, 0x00, ##  000000000                   000000000000            00000          
            0x00, 0x80, 0x00, 0x07, 0xFF, 0x80, 0x1F, 0x00, 0x00, ##  000000000                    000000000000          00000           
            0x00, 0x80, 0x00, 0x03, 0xFF, 0x80, 0x1F, 0x00, 0x00, ##  000000000                     00000000000          00000           
            0x00, 0x80, 0x00, 0x01, 0xFF, 0xC0, 0x3F, 0x00, 0x00, ##  000000000                      00000000000        000000           
            0x00, 0x80, 0x00, 0x00, 0xFF, 0xE0, 0x3E, 0x00, 0x00, ##  000000000                       00000000000       00000            
            0x00, 0x80, 0x00, 0x00, 0x7F, 0xF0, 0x7E, 0x00, 0x00, ##  000000000                        00000000000     000000            
            0x00, 0x80, 0x00, 0x00, 0x3F, 0xF8, 0xFC, 0x00, 0x00, ##  000000000                         00000000000   000000             
            0x00, 0x80, 0x00, 0x00, 0x3F, 0xFC, 0xFC, 0x00, 0x00, ##  000000000                         000000000000  000000             
            0x00, 0xC0, 0x00, 0x00, 0x1F, 0xFF, 0xF8, 0x00, 0x00, ##  0000000000                         000000000000000000              
            0x00, 0xC0, 0x00, 0x00, 0x0F, 0xFF, 0xF0, 0x00, 0x00, ##   000000000                          0000000000000000               
            0x00, 0xC0, 0x00, 0x00, 0x07, 0xFF, 0xE0, 0x00, 0x00, ##   000000000                           00000000000000                
            0x00, 0xE0, 0x00, 0x00, 0x03, 0xFF, 0xE0, 0x00, 0x00, ##   0000000000                           0000000000000                
            0x00, 0xE0, 0x00, 0x00, 0x01, 0xFF, 0xE0, 0x00, 0x00, ##   0000000000                            000000000000                
            0x00, 0xF0, 0x00, 0x00, 0x00, 0xFF, 0xF0, 0x00, 0x00, ##    0000000000                            000000000000               
            0x00, 0xF8, 0x00, 0x00, 0x00, 0xFF, 0xF8, 0x00, 0x00, ##    00000000000                           0000000000000              
            0x00, 0xFC, 0x00, 0x00, 0x01, 0xFF, 0xFC, 0x00, 0x00, ##     00000000000                         000000000000000             
            0x00, 0xFE, 0x00, 0x00, 0x03, 0xFF, 0xFC, 0x00, 0x00, ##      00000000000                       0000000000000000             
            0x00, 0xFF, 0x00, 0x00, 0x0F, 0xFF, 0xFE, 0x00, 0x00, ##       00000000000                    0000000000000000000            
            0x00, 0xFF, 0xC0, 0x00, 0x3F, 0xF7, 0xFF, 0x00, 0x00, ##       0000000000000                0000000000 00000000000           
            0x00, 0xFF, 0xF8, 0x03, 0xFF, 0xE3, 0xFF, 0x80, 0x00, ##         00000000000000         0000000000000   00000000000          
            0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0x81, 0xFF, 0xFF, 0xE0, ##          000000000000000000000000000000000      00000000000000000000
            0x00, 0x7F, 0xFF, 0xFF, 0xFF, 0x00, 0xFF, 0xFF, 0xE0, ##           0000000000000000000000000000000        0000000000000000000
            0x00, 0x1F, 0xFF, 0xFF, 0xF8, 0x00, 0x7F, 0xFF, 0xE0, ##             00000000000000000000000000            000000000000000000
            0x00, 0x03, 0xFF, 0xFF, 0xE0, 0x00, 0x3F, 0xFF, 0xE0, ##                000000000000000000000               00000000000000000
            0x00, 0x00, 0x3F, 0xFC, 0x00, 0x00, 0x00, 0x00, 0x00, ##                    000000000000                                     
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '39' => {    # '''
        'width'    => 7, 
        'xoffset'  => 9, 
        'xadvance' => 25, 
        'bitmap'   => [ 
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
        ], 
    }, 
    '40' => {    # '('
        'width'    => 21, 
        'xoffset'  => 7, 
        'xadvance' => 34, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x08, ##                      0
            0x00, 0x00, 0x38, ##                    000
            0x00, 0x00, 0xF8, ##                  00000
            0x00, 0x01, 0xF8, ##                 000000
            0x00, 0x03, 0xF8, ##                0000000
            0x00, 0x07, 0xE0, ##               000000  
            0x00, 0x1F, 0xC0, ##             0000000   
            0x00, 0x3F, 0x80, ##            0000000    
            0x00, 0x3F, 0x00, ##            000000     
            0x00, 0x7F, 0x00, ##           0000000     
            0x00, 0xFE, 0x00, ##          0000000      
            0x01, 0xFC, 0x00, ##         0000000       
            0x01, 0xFC, 0x00, ##         0000000       
            0x03, 0xF8, 0x00, ##        0000000        
            0x03, 0xF8, 0x00, ##        0000000        
            0x07, 0xF0, 0x00, ##       0000000         
            0x07, 0xF0, 0x00, ##       0000000         
            0x0F, 0xF0, 0x00, ##      00000000         
            0x0F, 0xE0, 0x00, ##      0000000          
            0x1F, 0xE0, 0x00, ##     00000000          
            0x1F, 0xE0, 0x00, ##     00000000          
            0x1F, 0xE0, 0x00, ##     00000000          
            0x3F, 0xC0, 0x00, ##    00000000           
            0x3F, 0xC0, 0x00, ##    00000000           
            0x3F, 0xC0, 0x00, ##    00000000           
            0x7F, 0xC0, 0x00, ##   000000000           
            0x7F, 0xC0, 0x00, ##   000000000           
            0x7F, 0xC0, 0x00, ##   000000000           
            0x7F, 0xC0, 0x00, ##   000000000           
            0x7F, 0x80, 0x00, ##   00000000            
            0x7F, 0x80, 0x00, ##   00000000            
            0xFF, 0x80, 0x00, ##  000000000            
            0xFF, 0x80, 0x00, ##  000000000            
            0xFF, 0x80, 0x00, ##  000000000            
            0xFF, 0x80, 0x00, ##  000000000            
            0xFF, 0x80, 0x00, ##  000000000            
            0xFF, 0x80, 0x00, ##  000000000            
            0xFF, 0x80, 0x00, ##  000000000            
            0xFF, 0x80, 0x00, ##  000000000            
            0xFF, 0x80, 0x00, ##  000000000            
            0xFF, 0x80, 0x00, ##  000000000            
            0xFF, 0x80, 0x00, ##  000000000            
            0xFF, 0x80, 0x00, ##  000000000            
            0xFF, 0x80, 0x00, ##  000000000            
            0xFF, 0x80, 0x00, ##  000000000            
            0xFF, 0x80, 0x00, ##  000000000            
            0xFF, 0x80, 0x00, ##  000000000            
            0xFF, 0x80, 0x00, ##  000000000            
            0xFF, 0x80, 0x00, ##  000000000            
            0x7F, 0x80, 0x00, ##   00000000            
            0x7F, 0x80, 0x00, ##   00000000            
            0x7F, 0x80, 0x00, ##   00000000            
            0x7F, 0xC0, 0x00, ##   000000000           
            0x7F, 0xC0, 0x00, ##   000000000           
            0x7F, 0xC0, 0x00, ##   000000000           
            0x3F, 0xC0, 0x00, ##    00000000           
            0x3F, 0xC0, 0x00, ##    00000000           
            0x3F, 0xC0, 0x00, ##    00000000           
            0x3F, 0xC0, 0x00, ##    00000000           
            0x1F, 0xE0, 0x00, ##     00000000          
            0x1F, 0xE0, 0x00, ##     00000000          
            0x1F, 0xE0, 0x00, ##     00000000          
            0x0F, 0xE0, 0x00, ##      0000000          
            0x0F, 0xF0, 0x00, ##      00000000         
            0x07, 0xF0, 0x00, ##       0000000         
            0x07, 0xF0, 0x00, ##       0000000         
            0x03, 0xF8, 0x00, ##        0000000        
            0x03, 0xF8, 0x00, ##        0000000        
            0x01, 0xFC, 0x00, ##         0000000       
            0x01, 0xFC, 0x00, ##         0000000       
            0x00, 0xFE, 0x00, ##          0000000      
            0x00, 0x7F, 0x00, ##           0000000     
            0x00, 0x3F, 0x80, ##            0000000    
            0x00, 0x1F, 0xC0, ##             0000000   
            0x00, 0x0F, 0xE0, ##              0000000  
            0x00, 0x07, 0xF0, ##               0000000 
            0x00, 0x03, 0xF8, ##                0000000
            0x00, 0x01, 0xF8, ##                 000000
            0x00, 0x00, 0x78, ##                   0000
            0x00, 0x00, 0x18, ##                     00
            0x00, 0x00, 0x08, ##                      0
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '41' => {    # ')'
        'width'    => 21, 
        'xoffset'  => 7, 
        'xadvance' => 35, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##                       
            0xC0, 0x00, 0x00, ##  00                   
            0xF0, 0x00, 0x00, ##  0000                 
            0xFC, 0x00, 0x00, ##  000000               
            0xFE, 0x00, 0x00, ##  0000000              
            0x7F, 0x00, 0x00, ##   0000000             
            0x3F, 0x80, 0x00, ##    0000000            
            0x1F, 0xC0, 0x00, ##     0000000           
            0x0F, 0xE0, 0x00, ##      0000000          
            0x07, 0xF0, 0x00, ##       0000000         
            0x03, 0xF8, 0x00, ##        0000000        
            0x03, 0xF8, 0x00, ##        0000000        
            0x01, 0xFC, 0x00, ##         0000000       
            0x00, 0xFE, 0x00, ##          0000000      
            0x00, 0xFE, 0x00, ##          0000000      
            0x00, 0xFF, 0x00, ##          00000000     
            0x00, 0x7F, 0x00, ##           0000000     
            0x00, 0x7F, 0x80, ##           00000000    
            0x00, 0x7F, 0x80, ##           00000000    
            0x00, 0x3F, 0xC0, ##            00000000   
            0x00, 0x3F, 0xC0, ##            00000000   
            0x00, 0x3F, 0xC0, ##            00000000   
            0x00, 0x1F, 0xE0, ##             00000000  
            0x00, 0x1F, 0xE0, ##             00000000  
            0x00, 0x1F, 0xE0, ##             00000000  
            0x00, 0x1F, 0xE0, ##             00000000  
            0x00, 0x1F, 0xF0, ##             000000000 
            0x00, 0x1F, 0xF0, ##             000000000 
            0x00, 0x1F, 0xF0, ##             000000000 
            0x00, 0x1F, 0xF0, ##             000000000 
            0x00, 0x0F, 0xF0, ##              00000000 
            0x00, 0x0F, 0xF0, ##              00000000 
            0x00, 0x0F, 0xF8, ##              000000000
            0x00, 0x0F, 0xF8, ##              000000000
            0x00, 0x0F, 0xF8, ##              000000000
            0x00, 0x0F, 0xF8, ##              000000000
            0x00, 0x0F, 0xF8, ##              000000000
            0x00, 0x0F, 0xF8, ##              000000000
            0x00, 0x0F, 0xF8, ##              000000000
            0x00, 0x0F, 0xF8, ##              000000000
            0x00, 0x0F, 0xF8, ##              000000000
            0x00, 0x0F, 0xF8, ##              000000000
            0x00, 0x0F, 0xF8, ##              000000000
            0x00, 0x0F, 0xF8, ##              000000000
            0x00, 0x0F, 0xF8, ##              000000000
            0x00, 0x0F, 0xF8, ##              000000000
            0x00, 0x0F, 0xF8, ##              000000000
            0x00, 0x0F, 0xF8, ##              000000000
            0x00, 0x0F, 0xF8, ##              000000000
            0x00, 0x0F, 0xF0, ##              00000000 
            0x00, 0x0F, 0xF0, ##              00000000 
            0x00, 0x1F, 0xF0, ##             000000000 
            0x00, 0x1F, 0xF0, ##             000000000 
            0x00, 0x1F, 0xF0, ##             000000000 
            0x00, 0x1F, 0xF0, ##             000000000 
            0x00, 0x1F, 0xE0, ##             00000000  
            0x00, 0x1F, 0xE0, ##             00000000  
            0x00, 0x1F, 0xE0, ##             00000000  
            0x00, 0x3F, 0xE0, ##            000000000  
            0x00, 0x3F, 0xC0, ##            00000000   
            0x00, 0x3F, 0xC0, ##            00000000   
            0x00, 0x3F, 0xC0, ##            00000000   
            0x00, 0x7F, 0x80, ##           00000000    
            0x00, 0x7F, 0x80, ##           00000000    
            0x00, 0x7F, 0x00, ##           0000000     
            0x00, 0xFF, 0x00, ##          00000000     
            0x00, 0xFE, 0x00, ##          0000000      
            0x01, 0xFE, 0x00, ##         00000000      
            0x01, 0xFC, 0x00, ##         0000000       
            0x03, 0xF8, 0x00, ##        0000000        
            0x03, 0xF8, 0x00, ##        0000000        
            0x07, 0xF0, 0x00, ##       0000000         
            0x0F, 0xE0, 0x00, ##      0000000          
            0x1F, 0xC0, 0x00, ##     0000000           
            0x3F, 0x80, 0x00, ##    0000000            
            0x7F, 0x00, 0x00, ##   0000000             
            0xFE, 0x00, 0x00, ##  0000000              
            0xF8, 0x00, 0x00, ##  00000                
            0xF0, 0x00, 0x00, ##  0000                 
            0xC0, 0x00, 0x00, ##  00                   
            0x00, 0x00, 0x00, ##                       
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '42' => {    # '*'
        'width'    => 41, 
        'xoffset'  => 1, 
        'xadvance' => 43, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x3E, 0x00, 0x00, 0x00, ##                    00000                  
            0x00, 0x00, 0x3E, 0x00, 0x00, 0x00, ##                    00000                  
            0x00, 0x00, 0x3E, 0x00, 0x00, 0x00, ##                    00000                  
            0x00, 0x00, 0x3E, 0x00, 0x00, 0x00, ##                    00000                  
            0x00, 0x00, 0x3E, 0x00, 0x00, 0x00, ##                    00000                  
            0x00, 0x00, 0x3E, 0x00, 0x00, 0x00, ##                    00000                  
            0x00, 0x00, 0x3E, 0x00, 0x00, 0x00, ##                    00000                  
            0x10, 0x00, 0x3E, 0x00, 0x04, 0x00, ##     0              00000              0   
            0x1C, 0x00, 0x3E, 0x00, 0x1C, 0x00, ##     000            00000            000   
            0x3E, 0x00, 0x3E, 0x00, 0x3E, 0x00, ##    00000           00000           00000  
            0x7F, 0x80, 0x3E, 0x00, 0xFF, 0x00, ##   00000000         00000         00000000 
            0x7F, 0xC0, 0x3E, 0x01, 0xFF, 0x00, ##   000000000        00000        000000000 
            0x7F, 0xF0, 0x3E, 0x07, 0xFF, 0x00, ##   00000000000      00000      00000000000 
            0x1F, 0xFC, 0x3E, 0x1F, 0xFC, 0x00, ##     00000000000    00000    00000000000   
            0x07, 0xFE, 0x3E, 0x3F, 0xF0, 0x00, ##       0000000000   00000   0000000000     
            0x01, 0xFF, 0xBE, 0xFF, 0xC0, 0x00, ##         0000000000 00000 0000000000       
            0x00, 0x7F, 0xFF, 0xFE, 0x00, 0x00, ##           0000000000000000000000          
            0x00, 0x0F, 0xFF, 0xF8, 0x00, 0x00, ##              00000000000000000            
            0x00, 0x03, 0xFF, 0xE0, 0x00, 0x00, ##                0000000000000              
            0x00, 0x00, 0xFF, 0x80, 0x00, 0x00, ##                  000000000                
            0x00, 0x00, 0xFF, 0x80, 0x00, 0x00, ##                  000000000                
            0x00, 0x03, 0xFF, 0xE0, 0x00, 0x00, ##                0000000000000              
            0x00, 0x0F, 0xFF, 0xF8, 0x00, 0x00, ##              00000000000000000            
            0x00, 0x3F, 0xFF, 0xFF, 0x00, 0x00, ##            0000000000000000000000         
            0x01, 0xFF, 0xBE, 0xFF, 0xC0, 0x00, ##         0000000000 00000 0000000000       
            0x07, 0xFE, 0x3E, 0x3F, 0xF0, 0x00, ##       0000000000   00000   0000000000     
            0x1F, 0xFC, 0x3E, 0x1F, 0xFC, 0x00, ##     00000000000    00000    00000000000   
            0x7F, 0xF0, 0x3E, 0x07, 0xFF, 0x00, ##   00000000000      00000      00000000000 
            0x7F, 0xC0, 0x3E, 0x01, 0xFF, 0x00, ##   000000000        00000        000000000 
            0x7F, 0x80, 0x3E, 0x00, 0xFF, 0x00, ##   00000000         00000         00000000 
            0x3E, 0x00, 0x3E, 0x00, 0x3E, 0x00, ##    00000           00000           00000  
            0x1C, 0x00, 0x3E, 0x00, 0x1C, 0x00, ##     000            00000            000   
            0x10, 0x00, 0x3E, 0x00, 0x04, 0x00, ##     0              00000              0   
            0x00, 0x00, 0x3E, 0x00, 0x00, 0x00, ##                    00000                  
            0x00, 0x00, 0x3E, 0x00, 0x00, 0x00, ##                    00000                  
            0x00, 0x00, 0x3E, 0x00, 0x00, 0x00, ##                    00000                  
            0x00, 0x00, 0x3E, 0x00, 0x00, 0x00, ##                    00000                  
            0x00, 0x00, 0x3E, 0x00, 0x00, 0x00, ##                    00000                  
            0x00, 0x00, 0x3E, 0x00, 0x00, 0x00, ##                    00000                  
            0x00, 0x00, 0x3E, 0x00, 0x00, 0x00, ##                    00000                  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '43' => {    # '+'
        'width'    => 54, 
        'xoffset'  => 9, 
        'xadvance' => 72, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0xFE, 0x00, 0x00, 0x00, ##                          0000000                       
            0x00, 0x00, 0x00, 0xFE, 0x00, 0x00, 0x00, ##                          0000000                       
            0x00, 0x00, 0x00, 0xFE, 0x00, 0x00, 0x00, ##                          0000000                       
            0x00, 0x00, 0x00, 0xFE, 0x00, 0x00, 0x00, ##                          0000000                       
            0x00, 0x00, 0x00, 0xFE, 0x00, 0x00, 0x00, ##                          0000000                       
            0x00, 0x00, 0x00, 0xFE, 0x00, 0x00, 0x00, ##                          0000000                       
            0x00, 0x00, 0x00, 0xFE, 0x00, 0x00, 0x00, ##                          0000000                       
            0x00, 0x00, 0x00, 0xFE, 0x00, 0x00, 0x00, ##                          0000000                       
            0x00, 0x00, 0x00, 0xFE, 0x00, 0x00, 0x00, ##                          0000000                       
            0x00, 0x00, 0x00, 0xFE, 0x00, 0x00, 0x00, ##                          0000000                       
            0x00, 0x00, 0x00, 0xFE, 0x00, 0x00, 0x00, ##                          0000000                       
            0x00, 0x00, 0x00, 0xFE, 0x00, 0x00, 0x00, ##                          0000000                       
            0x00, 0x00, 0x00, 0xFE, 0x00, 0x00, 0x00, ##                          0000000                       
            0x00, 0x00, 0x00, 0xFE, 0x00, 0x00, 0x00, ##                          0000000                       
            0x00, 0x00, 0x00, 0xFE, 0x00, 0x00, 0x00, ##                          0000000                       
            0x00, 0x00, 0x00, 0xFE, 0x00, 0x00, 0x00, ##                          0000000                       
            0x00, 0x00, 0x00, 0xFE, 0x00, 0x00, 0x00, ##                          0000000                       
            0x00, 0x00, 0x00, 0xFE, 0x00, 0x00, 0x00, ##                          0000000                       
            0x00, 0x00, 0x00, 0xFE, 0x00, 0x00, 0x00, ##                          0000000                       
            0x00, 0x00, 0x00, 0xFE, 0x00, 0x00, 0x00, ##                          0000000                       
            0x00, 0x00, 0x00, 0xFE, 0x00, 0x00, 0x00, ##                          0000000                       
            0x00, 0x00, 0x00, 0xFE, 0x00, 0x00, 0x00, ##                          0000000                       
            0x00, 0x00, 0x00, 0xFE, 0x00, 0x00, 0x00, ##                          0000000                       
            0x00, 0x00, 0x00, 0xFE, 0x00, 0x00, 0x00, ##                          0000000                       
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFC, ##  000000000000000000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFC, ##  000000000000000000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFC, ##  000000000000000000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFC, ##  000000000000000000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFC, ##  000000000000000000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFC, ##  000000000000000000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFC, ##  000000000000000000000000000000000000000000000000000000
            0x00, 0x00, 0x00, 0xFE, 0x00, 0x00, 0x00, ##                          0000000                       
            0x00, 0x00, 0x00, 0xFE, 0x00, 0x00, 0x00, ##                          0000000                       
            0x00, 0x00, 0x00, 0xFE, 0x00, 0x00, 0x00, ##                          0000000                       
            0x00, 0x00, 0x00, 0xFE, 0x00, 0x00, 0x00, ##                          0000000                       
            0x00, 0x00, 0x00, 0xFE, 0x00, 0x00, 0x00, ##                          0000000                       
            0x00, 0x00, 0x00, 0xFE, 0x00, 0x00, 0x00, ##                          0000000                       
            0x00, 0x00, 0x00, 0xFE, 0x00, 0x00, 0x00, ##                          0000000                       
            0x00, 0x00, 0x00, 0xFE, 0x00, 0x00, 0x00, ##                          0000000                       
            0x00, 0x00, 0x00, 0xFE, 0x00, 0x00, 0x00, ##                          0000000                       
            0x00, 0x00, 0x00, 0xFE, 0x00, 0x00, 0x00, ##                          0000000                       
            0x00, 0x00, 0x00, 0xFE, 0x00, 0x00, 0x00, ##                          0000000                       
            0x00, 0x00, 0x00, 0xFE, 0x00, 0x00, 0x00, ##                          0000000                       
            0x00, 0x00, 0x00, 0xFE, 0x00, 0x00, 0x00, ##                          0000000                       
            0x00, 0x00, 0x00, 0xFE, 0x00, 0x00, 0x00, ##                          0000000                       
            0x00, 0x00, 0x00, 0xFE, 0x00, 0x00, 0x00, ##                          0000000                       
            0x00, 0x00, 0x00, 0xFE, 0x00, 0x00, 0x00, ##                          0000000                       
            0x00, 0x00, 0x00, 0xFE, 0x00, 0x00, 0x00, ##                          0000000                       
            0x00, 0x00, 0x00, 0xFE, 0x00, 0x00, 0x00, ##                          0000000                       
            0x00, 0x00, 0x00, 0xFE, 0x00, 0x00, 0x00, ##                          0000000                       
            0x00, 0x00, 0x00, 0xFE, 0x00, 0x00, 0x00, ##                          0000000                       
            0x00, 0x00, 0x00, 0xFE, 0x00, 0x00, 0x00, ##                          0000000                       
            0x00, 0x00, 0x00, 0xFE, 0x00, 0x00, 0x00, ##                          0000000                       
            0x00, 0x00, 0x00, 0xFE, 0x00, 0x00, 0x00, ##                          0000000                       
            0x00, 0x00, 0x00, 0xFE, 0x00, 0x00, 0x00, ##                          0000000                       
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '44' => {    # ','
        'width'    => 16, 
        'xoffset'  => 3, 
        'xadvance' => 28, 
        'bitmap'   => [ 
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0xFF, ##          00000000
            0x00, 0xFF, ##          00000000
            0x00, 0xFF, ##          00000000
            0x00, 0xFF, ##          00000000
            0x00, 0xFF, ##          00000000
            0x00, 0xFF, ##          00000000
            0x00, 0xFE, ##          0000000 
            0x01, 0xFE, ##         00000000 
            0x01, 0xFE, ##         00000000 
            0x01, 0xFC, ##         0000000  
            0x03, 0xFC, ##        00000000  
            0x03, 0xFC, ##        00000000  
            0x03, 0xF8, ##        0000000   
            0x07, 0xF0, ##       0000000    
            0x0F, 0xF0, ##      00000000    
            0x1F, 0xE0, ##     00000000     
            0x3F, 0xC0, ##    00000000      
            0x7F, 0x80, ##   00000000       
            0xFF, 0x00, ##  00000000        
            0x7E, 0x00, ##   000000         
            0x3C, 0x00, ##    0000          
            0x10, 0x00, ##     0            
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
        ], 
    }, 
    '45' => {    # '-'
        'width'    => 22, 
        'xoffset'  => 4, 
        'xadvance' => 30, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0xFF, 0xFF, 0xFC, ##  0000000000000000000000
            0xFF, 0xFF, 0xFC, ##  0000000000000000000000
            0xFF, 0xFF, 0xFC, ##  0000000000000000000000
            0xFF, 0xFF, 0xFC, ##  0000000000000000000000
            0xFF, 0xFF, 0xFC, ##  0000000000000000000000
            0xFF, 0xFF, 0xFC, ##  0000000000000000000000
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '46' => {    # '.'
        'width'    => 11, 
        'xoffset'  => 8, 
        'xadvance' => 27, 
        'bitmap'   => [ 
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x1F, 0x00, ##     00000   
            0x3F, 0x80, ##    0000000  
            0x7F, 0xC0, ##   000000000 
            0xFF, 0xE0, ##  00000000000
            0xFF, 0xE0, ##  00000000000
            0xFF, 0xE0, ##  00000000000
            0xFF, 0xE0, ##  00000000000
            0xFF, 0xE0, ##  00000000000
            0x7F, 0xC0, ##   000000000 
            0x3F, 0x80, ##    0000000  
            0x1F, 0x00, ##     00000   
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
        ], 
    }, 
    '47' => {    # '/'
        'width'    => 29, 
        'xoffset'  => 0, 
        'xadvance' => 29, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x01, 0xF8, ##                         000000
            0x00, 0x00, 0x03, 0xF8, ##                        0000000
            0x00, 0x00, 0x03, 0xF8, ##                        0000000
            0x00, 0x00, 0x03, 0xF0, ##                        000000 
            0x00, 0x00, 0x07, 0xF0, ##                       0000000 
            0x00, 0x00, 0x07, 0xF0, ##                       0000000 
            0x00, 0x00, 0x07, 0xE0, ##                       000000  
            0x00, 0x00, 0x0F, 0xE0, ##                      0000000  
            0x00, 0x00, 0x0F, 0xE0, ##                      0000000  
            0x00, 0x00, 0x0F, 0xE0, ##                      0000000  
            0x00, 0x00, 0x1F, 0xC0, ##                     0000000   
            0x00, 0x00, 0x1F, 0xC0, ##                     0000000   
            0x00, 0x00, 0x1F, 0xC0, ##                     0000000   
            0x00, 0x00, 0x3F, 0x80, ##                    0000000    
            0x00, 0x00, 0x3F, 0x80, ##                    0000000    
            0x00, 0x00, 0x3F, 0x80, ##                    0000000    
            0x00, 0x00, 0x3F, 0x00, ##                    000000     
            0x00, 0x00, 0x7F, 0x00, ##                   0000000     
            0x00, 0x00, 0x7F, 0x00, ##                   0000000     
            0x00, 0x00, 0x7E, 0x00, ##                   000000      
            0x00, 0x00, 0xFE, 0x00, ##                  0000000      
            0x00, 0x00, 0xFE, 0x00, ##                  0000000      
            0x00, 0x00, 0xFC, 0x00, ##                  000000       
            0x00, 0x01, 0xFC, 0x00, ##                 0000000       
            0x00, 0x01, 0xFC, 0x00, ##                 0000000       
            0x00, 0x01, 0xFC, 0x00, ##                 0000000       
            0x00, 0x03, 0xF8, 0x00, ##                0000000        
            0x00, 0x03, 0xF8, 0x00, ##                0000000        
            0x00, 0x03, 0xF8, 0x00, ##                0000000        
            0x00, 0x07, 0xF0, 0x00, ##               0000000         
            0x00, 0x07, 0xF0, 0x00, ##               0000000         
            0x00, 0x07, 0xF0, 0x00, ##               0000000         
            0x00, 0x07, 0xE0, 0x00, ##               000000          
            0x00, 0x0F, 0xE0, 0x00, ##              0000000          
            0x00, 0x0F, 0xE0, 0x00, ##              0000000          
            0x00, 0x0F, 0xC0, 0x00, ##              000000           
            0x00, 0x1F, 0xC0, 0x00, ##             0000000           
            0x00, 0x1F, 0xC0, 0x00, ##             0000000           
            0x00, 0x1F, 0xC0, 0x00, ##             0000000           
            0x00, 0x3F, 0x80, 0x00, ##            0000000            
            0x00, 0x3F, 0x80, 0x00, ##            0000000            
            0x00, 0x3F, 0x80, 0x00, ##            0000000            
            0x00, 0x7F, 0x00, 0x00, ##           0000000             
            0x00, 0x7F, 0x00, 0x00, ##           0000000             
            0x00, 0x7F, 0x00, 0x00, ##           0000000             
            0x00, 0x7E, 0x00, 0x00, ##           000000              
            0x00, 0xFE, 0x00, 0x00, ##          0000000              
            0x00, 0xFE, 0x00, 0x00, ##          0000000              
            0x00, 0xFC, 0x00, 0x00, ##          000000               
            0x01, 0xFC, 0x00, 0x00, ##         0000000               
            0x01, 0xFC, 0x00, 0x00, ##         0000000               
            0x01, 0xF8, 0x00, 0x00, ##         000000                
            0x03, 0xF8, 0x00, 0x00, ##        0000000                
            0x03, 0xF8, 0x00, 0x00, ##        0000000                
            0x03, 0xF8, 0x00, 0x00, ##        0000000                
            0x07, 0xF0, 0x00, 0x00, ##       0000000                 
            0x07, 0xF0, 0x00, 0x00, ##       0000000                 
            0x07, 0xF0, 0x00, 0x00, ##       0000000                 
            0x0F, 0xE0, 0x00, 0x00, ##      0000000                  
            0x0F, 0xE0, 0x00, 0x00, ##      0000000                  
            0x0F, 0xE0, 0x00, 0x00, ##      0000000                  
            0x0F, 0xC0, 0x00, 0x00, ##      000000                   
            0x1F, 0xC0, 0x00, 0x00, ##     0000000                   
            0x1F, 0xC0, 0x00, 0x00, ##     0000000                   
            0x1F, 0x80, 0x00, 0x00, ##     000000                    
            0x3F, 0x80, 0x00, 0x00, ##    0000000                    
            0x3F, 0x80, 0x00, 0x00, ##    0000000                    
            0x3F, 0x80, 0x00, 0x00, ##    0000000                    
            0x7F, 0x00, 0x00, 0x00, ##   0000000                     
            0x7F, 0x00, 0x00, 0x00, ##   0000000                     
            0x7F, 0x00, 0x00, 0x00, ##   0000000                     
            0xFE, 0x00, 0x00, 0x00, ##  0000000                      
            0xFE, 0x00, 0x00, 0x00, ##  0000000                      
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '48' => {    # '0'
        'width'    => 44, 
        'xoffset'  => 6, 
        'xadvance' => 56, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x7F, 0xE0, 0x00, 0x00, ##                   0000000000                 
            0x00, 0x03, 0xFF, 0xFC, 0x00, 0x00, ##                0000000000000000              
            0x00, 0x0F, 0xFF, 0xFF, 0x00, 0x00, ##              00000000000000000000            
            0x00, 0x1F, 0xFF, 0xFF, 0x80, 0x00, ##             0000000000000000000000           
            0x00, 0x7F, 0xE0, 0x7F, 0xE0, 0x00, ##           0000000000      0000000000         
            0x00, 0xFF, 0x80, 0x1F, 0xF0, 0x00, ##          000000000          000000000        
            0x01, 0xFE, 0x00, 0x0F, 0xF0, 0x00, ##         00000000             00000000        
            0x01, 0xFE, 0x00, 0x07, 0xF8, 0x00, ##         00000000              00000000       
            0x03, 0xFC, 0x00, 0x03, 0xFC, 0x00, ##        00000000                00000000      
            0x07, 0xF8, 0x00, 0x01, 0xFE, 0x00, ##       00000000                  00000000     
            0x07, 0xF8, 0x00, 0x01, 0xFE, 0x00, ##       00000000                  00000000     
            0x0F, 0xF0, 0x00, 0x00, 0xFF, 0x00, ##      00000000                    00000000    
            0x0F, 0xF0, 0x00, 0x00, 0xFF, 0x00, ##      00000000                    00000000    
            0x1F, 0xE0, 0x00, 0x00, 0x7F, 0x80, ##     00000000                      00000000   
            0x1F, 0xE0, 0x00, 0x00, 0x7F, 0x80, ##     00000000                      00000000   
            0x3F, 0xE0, 0x00, 0x00, 0x7F, 0x80, ##    000000000                      00000000   
            0x3F, 0xE0, 0x00, 0x00, 0x7F, 0xC0, ##    000000000                      000000000  
            0x3F, 0xC0, 0x00, 0x00, 0x3F, 0xC0, ##    00000000                        00000000  
            0x3F, 0xC0, 0x00, 0x00, 0x3F, 0xC0, ##    00000000                        00000000  
            0x7F, 0xC0, 0x00, 0x00, 0x3F, 0xE0, ##   000000000                        000000000 
            0x7F, 0xC0, 0x00, 0x00, 0x3F, 0xE0, ##   000000000                        000000000 
            0x7F, 0xC0, 0x00, 0x00, 0x3F, 0xE0, ##   000000000                        000000000 
            0x7F, 0xC0, 0x00, 0x00, 0x3F, 0xE0, ##   000000000                        000000000 
            0x7F, 0x80, 0x00, 0x00, 0x1F, 0xE0, ##   00000000                          00000000 
            0xFF, 0x80, 0x00, 0x00, 0x1F, 0xE0, ##  000000000                          00000000 
            0xFF, 0x80, 0x00, 0x00, 0x1F, 0xF0, ##  000000000                          000000000
            0xFF, 0x80, 0x00, 0x00, 0x1F, 0xF0, ##  000000000                          000000000
            0xFF, 0x80, 0x00, 0x00, 0x1F, 0xF0, ##  000000000                          000000000
            0xFF, 0x80, 0x00, 0x00, 0x1F, 0xF0, ##  000000000                          000000000
            0xFF, 0x80, 0x00, 0x00, 0x1F, 0xF0, ##  000000000                          000000000
            0xFF, 0x80, 0x00, 0x00, 0x1F, 0xF0, ##  000000000                          000000000
            0xFF, 0x80, 0x00, 0x00, 0x1F, 0xF0, ##  000000000                          000000000
            0xFF, 0x80, 0x00, 0x00, 0x1F, 0xF0, ##  000000000                          000000000
            0xFF, 0x80, 0x00, 0x00, 0x1F, 0xF0, ##  000000000                          000000000
            0xFF, 0x80, 0x00, 0x00, 0x1F, 0xF0, ##  000000000                          000000000
            0xFF, 0x80, 0x00, 0x00, 0x1F, 0xF0, ##  000000000                          000000000
            0xFF, 0x80, 0x00, 0x00, 0x1F, 0xF0, ##  000000000                          000000000
            0xFF, 0x80, 0x00, 0x00, 0x1F, 0xF0, ##  000000000                          000000000
            0xFF, 0x80, 0x00, 0x00, 0x1F, 0xF0, ##  000000000                          000000000
            0xFF, 0x80, 0x00, 0x00, 0x1F, 0xF0, ##  000000000                          000000000
            0xFF, 0x80, 0x00, 0x00, 0x1F, 0xF0, ##  000000000                          000000000
            0xFF, 0x80, 0x00, 0x00, 0x1F, 0xE0, ##  000000000                          00000000 
            0x7F, 0x80, 0x00, 0x00, 0x1F, 0xE0, ##   00000000                          00000000 
            0x7F, 0x80, 0x00, 0x00, 0x3F, 0xE0, ##   00000000                         000000000 
            0x7F, 0xC0, 0x00, 0x00, 0x3F, 0xE0, ##   000000000                        000000000 
            0x7F, 0xC0, 0x00, 0x00, 0x3F, 0xE0, ##   000000000                        000000000 
            0x7F, 0xC0, 0x00, 0x00, 0x3F, 0xE0, ##   000000000                        000000000 
            0x3F, 0xC0, 0x00, 0x00, 0x3F, 0xC0, ##    00000000                        00000000  
            0x3F, 0xC0, 0x00, 0x00, 0x3F, 0xC0, ##    00000000                        00000000  
            0x3F, 0xC0, 0x00, 0x00, 0x7F, 0xC0, ##    00000000                       000000000  
            0x3F, 0xE0, 0x00, 0x00, 0x7F, 0xC0, ##    000000000                      000000000  
            0x1F, 0xE0, 0x00, 0x00, 0x7F, 0x80, ##     00000000                      00000000   
            0x1F, 0xE0, 0x00, 0x00, 0x7F, 0x80, ##     00000000                      00000000   
            0x0F, 0xF0, 0x00, 0x00, 0xFF, 0x00, ##      00000000                    00000000    
            0x0F, 0xF0, 0x00, 0x00, 0xFF, 0x00, ##      00000000                    00000000    
            0x07, 0xF8, 0x00, 0x01, 0xFE, 0x00, ##       00000000                  00000000     
            0x07, 0xF8, 0x00, 0x01, 0xFE, 0x00, ##       00000000                  00000000     
            0x03, 0xFC, 0x00, 0x03, 0xFC, 0x00, ##        00000000                00000000      
            0x01, 0xFC, 0x00, 0x07, 0xF8, 0x00, ##         0000000               00000000       
            0x01, 0xFE, 0x00, 0x07, 0xF8, 0x00, ##         00000000              00000000       
            0x00, 0xFF, 0x80, 0x1F, 0xF0, 0x00, ##          000000000          000000000        
            0x00, 0x7F, 0xE0, 0x7F, 0xE0, 0x00, ##           0000000000      0000000000         
            0x00, 0x1F, 0xFF, 0xFF, 0x80, 0x00, ##             0000000000000000000000           
            0x00, 0x0F, 0xFF, 0xFF, 0x00, 0x00, ##              00000000000000000000            
            0x00, 0x03, 0xFF, 0xFC, 0x00, 0x00, ##                0000000000000000              
            0x00, 0x00, 0x7F, 0xE0, 0x00, 0x00, ##                   0000000000                 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '49' => {    # '1'
        'width'    => 32, 
        'xoffset'  => 11, 
        'xadvance' => 55, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x03, 0xF8, 0x00, ##                0000000           
            0x00, 0x07, 0xF8, 0x00, ##               00000000           
            0x00, 0x1F, 0xF8, 0x00, ##             0000000000           
            0x00, 0x3F, 0xF8, 0x00, ##            00000000000           
            0x00, 0xFF, 0xF8, 0x00, ##          0000000000000           
            0x01, 0xFF, 0xF8, 0x00, ##         00000000000000           
            0x07, 0xFF, 0xF8, 0x00, ##       0000000000000000           
            0x0F, 0xFF, 0xF8, 0x00, ##      00000000000000000           
            0x3F, 0xCF, 0xF8, 0x00, ##    00000000  000000000           
            0x7F, 0x8F, 0xF8, 0x00, ##   00000000   000000000           
            0xFE, 0x0F, 0xF8, 0x00, ##  0000000     000000000           
            0xFC, 0x0F, 0xF8, 0x00, ##  000000      000000000           
            0xF0, 0x0F, 0xF8, 0x00, ##  0000        000000000           
            0xE0, 0x0F, 0xF8, 0x00, ##  000         000000000           
            0x80, 0x0F, 0xF8, 0x00, ##  0           000000000           
            0x00, 0x0F, 0xF8, 0x00, ##              000000000           
            0x00, 0x0F, 0xF8, 0x00, ##              000000000           
            0x00, 0x0F, 0xF8, 0x00, ##              000000000           
            0x00, 0x0F, 0xF8, 0x00, ##              000000000           
            0x00, 0x0F, 0xF8, 0x00, ##              000000000           
            0x00, 0x0F, 0xF8, 0x00, ##              000000000           
            0x00, 0x0F, 0xF8, 0x00, ##              000000000           
            0x00, 0x0F, 0xF8, 0x00, ##              000000000           
            0x00, 0x0F, 0xF8, 0x00, ##              000000000           
            0x00, 0x0F, 0xF8, 0x00, ##              000000000           
            0x00, 0x0F, 0xF8, 0x00, ##              000000000           
            0x00, 0x0F, 0xF8, 0x00, ##              000000000           
            0x00, 0x0F, 0xF8, 0x00, ##              000000000           
            0x00, 0x0F, 0xF8, 0x00, ##              000000000           
            0x00, 0x0F, 0xF8, 0x00, ##              000000000           
            0x00, 0x0F, 0xF8, 0x00, ##              000000000           
            0x00, 0x0F, 0xF8, 0x00, ##              000000000           
            0x00, 0x0F, 0xF8, 0x00, ##              000000000           
            0x00, 0x0F, 0xF8, 0x00, ##              000000000           
            0x00, 0x0F, 0xF8, 0x00, ##              000000000           
            0x00, 0x0F, 0xF8, 0x00, ##              000000000           
            0x00, 0x0F, 0xF8, 0x00, ##              000000000           
            0x00, 0x0F, 0xF8, 0x00, ##              000000000           
            0x00, 0x0F, 0xF8, 0x00, ##              000000000           
            0x00, 0x0F, 0xF8, 0x00, ##              000000000           
            0x00, 0x0F, 0xF8, 0x00, ##              000000000           
            0x00, 0x0F, 0xF8, 0x00, ##              000000000           
            0x00, 0x0F, 0xF8, 0x00, ##              000000000           
            0x00, 0x0F, 0xF8, 0x00, ##              000000000           
            0x00, 0x0F, 0xF8, 0x00, ##              000000000           
            0x00, 0x0F, 0xF8, 0x00, ##              000000000           
            0x00, 0x0F, 0xF8, 0x00, ##              000000000           
            0x00, 0x0F, 0xF8, 0x00, ##              000000000           
            0x00, 0x0F, 0xF8, 0x00, ##              000000000           
            0x00, 0x0F, 0xF8, 0x00, ##              000000000           
            0x00, 0x0F, 0xF8, 0x00, ##              000000000           
            0x00, 0x0F, 0xF8, 0x00, ##              000000000           
            0x00, 0x0F, 0xF8, 0x00, ##              000000000           
            0x00, 0x0F, 0xF8, 0x00, ##              000000000           
            0x00, 0x0F, 0xF8, 0x00, ##              000000000           
            0x00, 0x0F, 0xF8, 0x00, ##              000000000           
            0x00, 0x0F, 0xF8, 0x00, ##              000000000           
            0x00, 0x0F, 0xF8, 0x00, ##              000000000           
            0x00, 0x0F, 0xF8, 0x00, ##              000000000           
            0x00, 0x0F, 0xF8, 0x00, ##              000000000           
            0x00, 0x0F, 0xF8, 0x00, ##              000000000           
            0x7F, 0xFF, 0xFF, 0xFF, ##   0000000000000000000000000000000
            0x7F, 0xFF, 0xFF, 0xFF, ##   0000000000000000000000000000000
            0x7F, 0xFF, 0xFF, 0xFF, ##   0000000000000000000000000000000
            0x7F, 0xFF, 0xFF, 0xFF, ##   0000000000000000000000000000000
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '50' => {    # '2'
        'width'    => 41, 
        'xoffset'  => 6, 
        'xadvance' => 56, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x07, 0xFF, 0x00, 0x00, 0x00, ##               00000000000                 
            0x00, 0x7F, 0xFF, 0xF0, 0x00, 0x00, ##           0000000000000000000             
            0x03, 0xFF, 0xFF, 0xFE, 0x00, 0x00, ##        0000000000000000000000000          
            0x1F, 0xFF, 0xFF, 0xFF, 0x00, 0x00, ##     00000000000000000000000000000         
            0x7F, 0xFC, 0x03, 0xFF, 0xC0, 0x00, ##   0000000000000        000000000000       
            0xFF, 0xE0, 0x00, 0x7F, 0xE0, 0x00, ##  00000000000              0000000000      
            0xFF, 0xC0, 0x00, 0x3F, 0xF0, 0x00, ##  0000000000                0000000000     
            0xFF, 0x80, 0x00, 0x0F, 0xF8, 0x00, ##  000000000                   000000000    
            0xFF, 0x00, 0x00, 0x0F, 0xF8, 0x00, ##  00000000                    000000000    
            0xFE, 0x00, 0x00, 0x07, 0xFC, 0x00, ##  0000000                      000000000   
            0xFE, 0x00, 0x00, 0x03, 0xFE, 0x00, ##  0000000                       000000000  
            0xFC, 0x00, 0x00, 0x03, 0xFE, 0x00, ##  000000                        000000000  
            0xFC, 0x00, 0x00, 0x03, 0xFE, 0x00, ##  000000                        000000000  
            0xFC, 0x00, 0x00, 0x01, 0xFF, 0x00, ##  000000                         000000000 
            0xF8, 0x00, 0x00, 0x01, 0xFF, 0x00, ##  00000                          000000000 
            0xF8, 0x00, 0x00, 0x01, 0xFF, 0x00, ##  00000                          000000000 
            0x00, 0x00, 0x00, 0x01, 0xFF, 0x00, ##                                 000000000 
            0x00, 0x00, 0x00, 0x01, 0xFF, 0x00, ##                                 000000000 
            0x00, 0x00, 0x00, 0x01, 0xFF, 0x00, ##                                 000000000 
            0x00, 0x00, 0x00, 0x01, 0xFF, 0x00, ##                                 000000000 
            0x00, 0x00, 0x00, 0x01, 0xFF, 0x00, ##                                 000000000 
            0x00, 0x00, 0x00, 0x01, 0xFF, 0x00, ##                                 000000000 
            0x00, 0x00, 0x00, 0x01, 0xFE, 0x00, ##                                 00000000  
            0x00, 0x00, 0x00, 0x03, 0xFE, 0x00, ##                                000000000  
            0x00, 0x00, 0x00, 0x03, 0xFE, 0x00, ##                                000000000  
            0x00, 0x00, 0x00, 0x03, 0xFC, 0x00, ##                                00000000   
            0x00, 0x00, 0x00, 0x07, 0xFC, 0x00, ##                               000000000   
            0x00, 0x00, 0x00, 0x07, 0xF8, 0x00, ##                               00000000    
            0x00, 0x00, 0x00, 0x07, 0xF8, 0x00, ##                               00000000    
            0x00, 0x00, 0x00, 0x0F, 0xF0, 0x00, ##                              00000000     
            0x00, 0x00, 0x00, 0x0F, 0xE0, 0x00, ##                              0000000      
            0x00, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##                             00000000      
            0x00, 0x00, 0x00, 0x3F, 0xC0, 0x00, ##                            00000000       
            0x00, 0x00, 0x00, 0x3F, 0x80, 0x00, ##                            0000000        
            0x00, 0x00, 0x00, 0x7F, 0x00, 0x00, ##                           0000000         
            0x00, 0x00, 0x00, 0xFF, 0x00, 0x00, ##                          00000000         
            0x00, 0x00, 0x01, 0xFE, 0x00, 0x00, ##                         00000000          
            0x00, 0x00, 0x03, 0xFC, 0x00, 0x00, ##                        00000000           
            0x00, 0x00, 0x03, 0xF8, 0x00, 0x00, ##                        0000000            
            0x00, 0x00, 0x07, 0xF0, 0x00, 0x00, ##                       0000000             
            0x00, 0x00, 0x0F, 0xE0, 0x00, 0x00, ##                      0000000              
            0x00, 0x00, 0x1F, 0xC0, 0x00, 0x00, ##                     0000000               
            0x00, 0x00, 0x3F, 0x80, 0x00, 0x00, ##                    0000000                
            0x00, 0x00, 0x7F, 0x00, 0x00, 0x00, ##                   0000000                 
            0x00, 0x00, 0xFE, 0x00, 0x00, 0x00, ##                  0000000                  
            0x00, 0x01, 0xFC, 0x00, 0x00, 0x00, ##                 0000000                   
            0x00, 0x03, 0xF8, 0x00, 0x00, 0x00, ##                0000000                    
            0x00, 0x07, 0xF0, 0x00, 0x00, 0x00, ##               0000000                     
            0x00, 0x0F, 0xE0, 0x00, 0x00, 0x00, ##              0000000                      
            0x00, 0x1F, 0xC0, 0x00, 0x00, 0x00, ##             0000000                       
            0x00, 0x3F, 0x80, 0x00, 0x0F, 0x80, ##            0000000                   00000
            0x00, 0x7F, 0x00, 0x00, 0x0F, 0x80, ##           0000000                    00000
            0x00, 0xFE, 0x00, 0x00, 0x0F, 0x80, ##          0000000                     00000
            0x01, 0xFC, 0x00, 0x00, 0x0F, 0x80, ##         0000000                      00000
            0x03, 0xF8, 0x00, 0x00, 0x0F, 0x80, ##        0000000                       00000
            0x07, 0xF0, 0x00, 0x00, 0x0F, 0x80, ##       0000000                        00000
            0x0F, 0xE0, 0x00, 0x00, 0x0F, 0x80, ##      0000000                         00000
            0x1F, 0xC0, 0x00, 0x00, 0x0F, 0x80, ##     0000000                          00000
            0x3F, 0xFF, 0xFF, 0xFF, 0xFF, 0x80, ##    000000000000000000000000000000000000000
            0x7F, 0xFF, 0xFF, 0xFF, 0xFF, 0x80, ##   0000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x80, ##  00000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x80, ##  00000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x80, ##  00000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x80, ##  00000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x80, ##  00000000000000000000000000000000000000000
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '51' => {    # '3'
        'width'    => 42, 
        'xoffset'  => 7, 
        'xadvance' => 55, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x03, 0xFF, 0xC0, 0x00, 0x00, ##                000000000000                
            0x00, 0x7F, 0xFF, 0xFC, 0x00, 0x00, ##           000000000000000000000            
            0x07, 0xFF, 0xFF, 0xFF, 0x00, 0x00, ##       000000000000000000000000000          
            0x3F, 0xFF, 0xFF, 0xFF, 0xC0, 0x00, ##    00000000000000000000000000000000        
            0x3F, 0xFE, 0x01, 0xFF, 0xE0, 0x00, ##    0000000000000        000000000000       
            0x3F, 0xF0, 0x00, 0x3F, 0xF0, 0x00, ##    0000000000              0000000000      
            0x3F, 0xE0, 0x00, 0x1F, 0xF8, 0x00, ##    000000000                0000000000     
            0x3F, 0xC0, 0x00, 0x0F, 0xFC, 0x00, ##    00000000                  0000000000    
            0x3F, 0x80, 0x00, 0x07, 0xFE, 0x00, ##    0000000                    0000000000   
            0x3F, 0x00, 0x00, 0x03, 0xFE, 0x00, ##    000000                      000000000   
            0x3F, 0x00, 0x00, 0x03, 0xFE, 0x00, ##    000000                      000000000   
            0x3E, 0x00, 0x00, 0x03, 0xFF, 0x00, ##    00000                       0000000000  
            0x3E, 0x00, 0x00, 0x01, 0xFF, 0x00, ##    00000                        000000000  
            0x3E, 0x00, 0x00, 0x01, 0xFF, 0x00, ##    00000                        000000000  
            0x3E, 0x00, 0x00, 0x01, 0xFF, 0x00, ##    00000                        000000000  
            0x00, 0x00, 0x00, 0x01, 0xFF, 0x00, ##                                 000000000  
            0x00, 0x00, 0x00, 0x01, 0xFF, 0x00, ##                                 000000000  
            0x00, 0x00, 0x00, 0x01, 0xFF, 0x00, ##                                 000000000  
            0x00, 0x00, 0x00, 0x01, 0xFF, 0x00, ##                                 000000000  
            0x00, 0x00, 0x00, 0x01, 0xFE, 0x00, ##                                 00000000   
            0x00, 0x00, 0x00, 0x03, 0xFE, 0x00, ##                                000000000   
            0x00, 0x00, 0x00, 0x03, 0xFE, 0x00, ##                                000000000   
            0x00, 0x00, 0x00, 0x07, 0xFC, 0x00, ##                               000000000    
            0x00, 0x00, 0x00, 0x07, 0xF8, 0x00, ##                               00000000     
            0x00, 0x00, 0x00, 0x0F, 0xF0, 0x00, ##                              00000000      
            0x00, 0x00, 0x00, 0x3F, 0xE0, 0x00, ##                            000000000       
            0x00, 0x00, 0x00, 0x7F, 0xC0, 0x00, ##                           000000000        
            0x00, 0x00, 0x03, 0xFF, 0x00, 0x00, ##                        0000000000          
            0x00, 0x03, 0xFF, 0xFC, 0x00, 0x00, ##                0000000000000000            
            0x00, 0x03, 0xFF, 0xE0, 0x00, 0x00, ##                0000000000000               
            0x00, 0x03, 0xFF, 0xF8, 0x00, 0x00, ##                000000000000000             
            0x00, 0x03, 0xFF, 0xFF, 0x00, 0x00, ##                000000000000000000          
            0x00, 0x00, 0x01, 0xFF, 0xC0, 0x00, ##                         00000000000        
            0x00, 0x00, 0x00, 0x3F, 0xF0, 0x00, ##                            0000000000      
            0x00, 0x00, 0x00, 0x1F, 0xF8, 0x00, ##                             0000000000     
            0x00, 0x00, 0x00, 0x07, 0xFC, 0x00, ##                               000000000    
            0x00, 0x00, 0x00, 0x03, 0xFE, 0x00, ##                                000000000   
            0x00, 0x00, 0x00, 0x03, 0xFE, 0x00, ##                                000000000   
            0x00, 0x00, 0x00, 0x01, 0xFF, 0x00, ##                                 000000000  
            0x00, 0x00, 0x00, 0x00, 0xFF, 0x00, ##                                  00000000  
            0x00, 0x00, 0x00, 0x00, 0xFF, 0x80, ##                                  000000000 
            0x00, 0x00, 0x00, 0x00, 0xFF, 0x80, ##                                  000000000 
            0x00, 0x00, 0x00, 0x00, 0xFF, 0x80, ##                                  000000000 
            0x00, 0x00, 0x00, 0x00, 0x7F, 0xC0, ##                                   000000000
            0x00, 0x00, 0x00, 0x00, 0x7F, 0xC0, ##                                   000000000
            0x00, 0x00, 0x00, 0x00, 0x7F, 0xC0, ##                                   000000000
            0x00, 0x00, 0x00, 0x00, 0x7F, 0xC0, ##                                   000000000
            0x00, 0x00, 0x00, 0x00, 0x7F, 0xC0, ##                                   000000000
            0x00, 0x00, 0x00, 0x00, 0x7F, 0xC0, ##                                   000000000
            0xF8, 0x00, 0x00, 0x00, 0x7F, 0xC0, ##  00000                            000000000
            0xF8, 0x00, 0x00, 0x00, 0x7F, 0xC0, ##  00000                            000000000
            0xF8, 0x00, 0x00, 0x00, 0x7F, 0xC0, ##  00000                            000000000
            0xF8, 0x00, 0x00, 0x00, 0xFF, 0x80, ##  00000                           000000000 
            0xF8, 0x00, 0x00, 0x00, 0xFF, 0x80, ##  00000                           000000000 
            0xFC, 0x00, 0x00, 0x00, 0xFF, 0x80, ##  000000                          000000000 
            0xFC, 0x00, 0x00, 0x01, 0xFF, 0x00, ##  000000                         000000000  
            0xFE, 0x00, 0x00, 0x01, 0xFF, 0x00, ##  0000000                        000000000  
            0xFE, 0x00, 0x00, 0x03, 0xFE, 0x00, ##  0000000                       000000000   
            0xFF, 0x00, 0x00, 0x07, 0xFE, 0x00, ##  00000000                     0000000000   
            0xFF, 0xC0, 0x00, 0x0F, 0xFC, 0x00, ##  0000000000                  0000000000    
            0xFF, 0xE0, 0x00, 0x3F, 0xF8, 0x00, ##  00000000000               00000000000     
            0xFF, 0xFC, 0x01, 0xFF, 0xF0, 0x00, ##  00000000000000         0000000000000      
            0x7F, 0xFF, 0xFF, 0xFF, 0xC0, 0x00, ##   000000000000000000000000000000000        
            0x0F, 0xFF, 0xFF, 0xFF, 0x00, 0x00, ##      0000000000000000000000000000          
            0x01, 0xFF, 0xFF, 0xFC, 0x00, 0x00, ##         00000000000000000000000            
            0x00, 0x0F, 0xFF, 0xC0, 0x00, 0x00, ##              00000000000000                
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '52' => {    # '4'
        'width'    => 48, 
        'xoffset'  => 3, 
        'xadvance' => 55, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x1F, 0xF0, 0x00, ##                             000000000            
            0x00, 0x00, 0x00, 0x3F, 0xF0, 0x00, ##                            0000000000            
            0x00, 0x00, 0x00, 0x3F, 0xF0, 0x00, ##                            0000000000            
            0x00, 0x00, 0x00, 0x7F, 0xF0, 0x00, ##                           00000000000            
            0x00, 0x00, 0x00, 0xFF, 0xF0, 0x00, ##                          000000000000            
            0x00, 0x00, 0x00, 0xFF, 0xF0, 0x00, ##                          000000000000            
            0x00, 0x00, 0x01, 0xFF, 0xF0, 0x00, ##                         0000000000000            
            0x00, 0x00, 0x03, 0xFF, 0xF0, 0x00, ##                        00000000000000            
            0x00, 0x00, 0x03, 0xFF, 0xF0, 0x00, ##                        00000000000000            
            0x00, 0x00, 0x07, 0xFF, 0xF0, 0x00, ##                       000000000000000            
            0x00, 0x00, 0x07, 0xDF, 0xF0, 0x00, ##                       00000 000000000            
            0x00, 0x00, 0x0F, 0xDF, 0xF0, 0x00, ##                      000000 000000000            
            0x00, 0x00, 0x1F, 0x9F, 0xF0, 0x00, ##                     000000  000000000            
            0x00, 0x00, 0x1F, 0x9F, 0xF0, 0x00, ##                     000000  000000000            
            0x00, 0x00, 0x3F, 0x1F, 0xF0, 0x00, ##                    000000   000000000            
            0x00, 0x00, 0x3E, 0x1F, 0xF0, 0x00, ##                    00000    000000000            
            0x00, 0x00, 0x7E, 0x1F, 0xF0, 0x00, ##                   000000    000000000            
            0x00, 0x00, 0xFC, 0x1F, 0xF0, 0x00, ##                  000000     000000000            
            0x00, 0x00, 0xFC, 0x1F, 0xF0, 0x00, ##                  000000     000000000            
            0x00, 0x01, 0xF8, 0x1F, 0xF0, 0x00, ##                 000000      000000000            
            0x00, 0x03, 0xF0, 0x1F, 0xF0, 0x00, ##                000000       000000000            
            0x00, 0x03, 0xF0, 0x1F, 0xF0, 0x00, ##                000000       000000000            
            0x00, 0x07, 0xE0, 0x1F, 0xF0, 0x00, ##               000000        000000000            
            0x00, 0x07, 0xC0, 0x1F, 0xF0, 0x00, ##               00000         000000000            
            0x00, 0x0F, 0xC0, 0x1F, 0xF0, 0x00, ##              000000         000000000            
            0x00, 0x1F, 0x80, 0x1F, 0xF0, 0x00, ##             000000          000000000            
            0x00, 0x1F, 0x80, 0x1F, 0xF0, 0x00, ##             000000          000000000            
            0x00, 0x3F, 0x00, 0x1F, 0xF0, 0x00, ##            000000           000000000            
            0x00, 0x7E, 0x00, 0x1F, 0xF0, 0x00, ##           000000            000000000            
            0x00, 0x7E, 0x00, 0x1F, 0xF0, 0x00, ##           000000            000000000            
            0x00, 0xFC, 0x00, 0x1F, 0xF0, 0x00, ##          000000             000000000            
            0x00, 0xFC, 0x00, 0x1F, 0xF0, 0x00, ##          000000             000000000            
            0x01, 0xF8, 0x00, 0x1F, 0xF0, 0x00, ##         000000              000000000            
            0x03, 0xF0, 0x00, 0x1F, 0xF0, 0x00, ##        000000               000000000            
            0x03, 0xF0, 0x00, 0x1F, 0xF0, 0x00, ##        000000               000000000            
            0x07, 0xE0, 0x00, 0x1F, 0xF0, 0x00, ##       000000                000000000            
            0x07, 0xC0, 0x00, 0x1F, 0xF0, 0x00, ##       00000                 000000000            
            0x0F, 0xC0, 0x00, 0x1F, 0xF0, 0x00, ##      000000                 000000000            
            0x1F, 0x80, 0x00, 0x1F, 0xF0, 0x00, ##     000000                  000000000            
            0x1F, 0x80, 0x00, 0x1F, 0xF0, 0x00, ##     000000                  000000000            
            0x3F, 0x00, 0x00, 0x1F, 0xF0, 0x00, ##    000000                   000000000            
            0x7E, 0x00, 0x00, 0x1F, 0xF0, 0x00, ##   000000                    000000000            
            0x7E, 0x00, 0x00, 0x1F, 0xF0, 0x00, ##   000000                    000000000            
            0xFC, 0x00, 0x00, 0x1F, 0xF0, 0x00, ##  000000                     000000000            
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, ##  000000000000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, ##  000000000000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, ##  000000000000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, ##  000000000000000000000000000000000000000000000000
            0x00, 0x00, 0x00, 0x1F, 0xF0, 0x00, ##                             000000000            
            0x00, 0x00, 0x00, 0x1F, 0xF0, 0x00, ##                             000000000            
            0x00, 0x00, 0x00, 0x1F, 0xF0, 0x00, ##                             000000000            
            0x00, 0x00, 0x00, 0x1F, 0xF0, 0x00, ##                             000000000            
            0x00, 0x00, 0x00, 0x1F, 0xF0, 0x00, ##                             000000000            
            0x00, 0x00, 0x00, 0x1F, 0xF0, 0x00, ##                             000000000            
            0x00, 0x00, 0x00, 0x1F, 0xF0, 0x00, ##                             000000000            
            0x00, 0x00, 0x00, 0x1F, 0xF0, 0x00, ##                             000000000            
            0x00, 0x00, 0x00, 0x1F, 0xF0, 0x00, ##                             000000000            
            0x00, 0x00, 0x00, 0x1F, 0xF0, 0x00, ##                             000000000            
            0x00, 0x00, 0x00, 0x1F, 0xF0, 0x00, ##                             000000000            
            0x00, 0x00, 0x00, 0x1F, 0xF0, 0x00, ##                             000000000            
            0x00, 0x00, 0x00, 0x1F, 0xF0, 0x00, ##                             000000000            
            0x00, 0x00, 0x7F, 0xFF, 0xFF, 0xFC, ##                   00000000000000000000000000000  
            0x00, 0x00, 0x7F, 0xFF, 0xFF, 0xFC, ##                   00000000000000000000000000000  
            0x00, 0x00, 0x7F, 0xFF, 0xFF, 0xFC, ##                   00000000000000000000000000000  
            0x00, 0x00, 0x7F, 0xFF, 0xFF, 0xFC, ##                   00000000000000000000000000000  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '53' => {    # '5'
        'width'    => 41, 
        'xoffset'  => 7, 
        'xadvance' => 55, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x1F, 0xFF, 0xFF, 0xFF, 0xF0, 0x00, ##     000000000000000000000000000000000     
            0x1F, 0xFF, 0xFF, 0xFF, 0xF0, 0x00, ##     000000000000000000000000000000000     
            0x1F, 0xFF, 0xFF, 0xFF, 0xF0, 0x00, ##     000000000000000000000000000000000     
            0x1F, 0xFF, 0xFF, 0xFF, 0xF0, 0x00, ##     000000000000000000000000000000000     
            0x1F, 0xFF, 0xFF, 0xFF, 0xF0, 0x00, ##     000000000000000000000000000000000     
            0x1F, 0xFF, 0xFF, 0xFF, 0xF0, 0x00, ##     000000000000000000000000000000000     
            0x1F, 0xFF, 0xFF, 0xFF, 0xF0, 0x00, ##     000000000000000000000000000000000     
            0x1F, 0x00, 0x00, 0x00, 0x00, 0x00, ##     00000                                 
            0x1F, 0x00, 0x00, 0x00, 0x00, 0x00, ##     00000                                 
            0x1F, 0x00, 0x00, 0x00, 0x00, 0x00, ##     00000                                 
            0x1F, 0x00, 0x00, 0x00, 0x00, 0x00, ##     00000                                 
            0x1F, 0x00, 0x00, 0x00, 0x00, 0x00, ##     00000                                 
            0x1F, 0x00, 0x00, 0x00, 0x00, 0x00, ##     00000                                 
            0x1F, 0x00, 0x00, 0x00, 0x00, 0x00, ##     00000                                 
            0x1F, 0x00, 0x00, 0x00, 0x00, 0x00, ##     00000                                 
            0x1F, 0x00, 0x00, 0x00, 0x00, 0x00, ##     00000                                 
            0x1F, 0x00, 0x00, 0x00, 0x00, 0x00, ##     00000                                 
            0x1F, 0x00, 0x00, 0x00, 0x00, 0x00, ##     00000                                 
            0x1F, 0x00, 0x00, 0x00, 0x00, 0x00, ##     00000                                 
            0x1F, 0x00, 0x00, 0x00, 0x00, 0x00, ##     00000                                 
            0x1F, 0x00, 0x00, 0x00, 0x00, 0x00, ##     00000                                 
            0x1F, 0x00, 0x00, 0x00, 0x00, 0x00, ##     00000                                 
            0x1F, 0x03, 0xFF, 0x80, 0x00, 0x00, ##     00000      00000000000                
            0x1F, 0x1F, 0xFF, 0xF8, 0x00, 0x00, ##     00000   000000000000000000            
            0x1F, 0x7F, 0xFF, 0xFE, 0x00, 0x00, ##     00000 0000000000000000000000          
            0x1F, 0xFF, 0xFF, 0xFF, 0x00, 0x00, ##     00000000000000000000000000000         
            0x1F, 0xFC, 0x03, 0xFF, 0xC0, 0x00, ##     00000000000        000000000000       
            0x1F, 0xF0, 0x00, 0x7F, 0xE0, 0x00, ##     000000000             0000000000      
            0x1F, 0xC0, 0x00, 0x3F, 0xF0, 0x00, ##     0000000                0000000000     
            0x1F, 0x80, 0x00, 0x0F, 0xF8, 0x00, ##     000000                   000000000    
            0x1F, 0x00, 0x00, 0x07, 0xF8, 0x00, ##     00000                     00000000    
            0x1E, 0x00, 0x00, 0x07, 0xFC, 0x00, ##     0000                      000000000   
            0x00, 0x00, 0x00, 0x03, 0xFE, 0x00, ##                                000000000  
            0x00, 0x00, 0x00, 0x03, 0xFE, 0x00, ##                                000000000  
            0x00, 0x00, 0x00, 0x01, 0xFF, 0x00, ##                                 000000000 
            0x00, 0x00, 0x00, 0x01, 0xFF, 0x00, ##                                 000000000 
            0x00, 0x00, 0x00, 0x01, 0xFF, 0x00, ##                                 000000000 
            0x00, 0x00, 0x00, 0x01, 0xFF, 0x00, ##                                 000000000 
            0x00, 0x00, 0x00, 0x00, 0xFF, 0x80, ##                                  000000000
            0x00, 0x00, 0x00, 0x00, 0xFF, 0x80, ##                                  000000000
            0x00, 0x00, 0x00, 0x00, 0xFF, 0x80, ##                                  000000000
            0x00, 0x00, 0x00, 0x00, 0xFF, 0x80, ##                                  000000000
            0x00, 0x00, 0x00, 0x00, 0xFF, 0x80, ##                                  000000000
            0x00, 0x00, 0x00, 0x00, 0xFF, 0x80, ##                                  000000000
            0x00, 0x00, 0x00, 0x00, 0xFF, 0x80, ##                                  000000000
            0x00, 0x00, 0x00, 0x00, 0xFF, 0x80, ##                                  000000000
            0x00, 0x00, 0x00, 0x00, 0xFF, 0x80, ##                                  000000000
            0x00, 0x00, 0x00, 0x00, 0xFF, 0x80, ##                                  000000000
            0xF8, 0x00, 0x00, 0x00, 0xFF, 0x80, ##  00000                           000000000
            0xF8, 0x00, 0x00, 0x01, 0xFF, 0x00, ##  00000                          000000000 
            0xF8, 0x00, 0x00, 0x01, 0xFF, 0x00, ##  00000                          000000000 
            0xF8, 0x00, 0x00, 0x01, 0xFF, 0x00, ##  00000                          000000000 
            0xF8, 0x00, 0x00, 0x01, 0xFF, 0x00, ##  00000                          000000000 
            0xFC, 0x00, 0x00, 0x03, 0xFE, 0x00, ##  000000                        000000000  
            0xFC, 0x00, 0x00, 0x03, 0xFE, 0x00, ##  000000                        000000000  
            0xFE, 0x00, 0x00, 0x07, 0xFC, 0x00, ##  0000000                      000000000   
            0xFE, 0x00, 0x00, 0x0F, 0xF8, 0x00, ##  0000000                     000000000    
            0xFF, 0x00, 0x00, 0x1F, 0xF8, 0x00, ##  00000000                   0000000000    
            0xFF, 0x80, 0x00, 0x3F, 0xF0, 0x00, ##  000000000                 0000000000     
            0xFF, 0xE0, 0x00, 0x7F, 0xE0, 0x00, ##  00000000000              0000000000      
            0xFF, 0xFC, 0x03, 0xFF, 0xC0, 0x00, ##  00000000000000        000000000000       
            0x7F, 0xFF, 0xFF, 0xFF, 0x00, 0x00, ##   0000000000000000000000000000000         
            0x0F, 0xFF, 0xFF, 0xFC, 0x00, 0x00, ##      00000000000000000000000000           
            0x01, 0xFF, 0xFF, 0xF0, 0x00, 0x00, ##         000000000000000000000             
            0x00, 0x0F, 0xFF, 0x00, 0x00, 0x00, ##              000000000000                 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '54' => {    # '6'
        'width'    => 44, 
        'xoffset'  => 6, 
        'xadvance' => 55, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x07, 0xFF, 0x00, 0x00, ##                       00000000000            
            0x00, 0x00, 0x7F, 0xFF, 0xF8, 0x00, ##                   00000000000000000000       
            0x00, 0x01, 0xFF, 0xFF, 0xFF, 0x80, ##                 00000000000000000000000000   
            0x00, 0x07, 0xFF, 0xFF, 0xFF, 0x80, ##               0000000000000000000000000000   
            0x00, 0x1F, 0xF8, 0x07, 0xFF, 0x80, ##             0000000000        000000000000   
            0x00, 0x3F, 0xC0, 0x01, 0xFF, 0x80, ##            00000000             0000000000   
            0x00, 0x7F, 0x00, 0x00, 0x7F, 0x80, ##           0000000                 00000000   
            0x00, 0xFE, 0x00, 0x00, 0x3F, 0x80, ##          0000000                   0000000   
            0x01, 0xFC, 0x00, 0x00, 0x3F, 0x80, ##         0000000                    0000000   
            0x01, 0xF8, 0x00, 0x00, 0x1F, 0x80, ##         000000                      000000   
            0x03, 0xF8, 0x00, 0x00, 0x1F, 0x80, ##        0000000                      000000   
            0x07, 0xF0, 0x00, 0x00, 0x0F, 0x80, ##       0000000                        00000   
            0x07, 0xE0, 0x00, 0x00, 0x0F, 0x80, ##       000000                         00000   
            0x0F, 0xE0, 0x00, 0x00, 0x00, 0x00, ##      0000000                                 
            0x0F, 0xE0, 0x00, 0x00, 0x00, 0x00, ##      0000000                                 
            0x1F, 0xC0, 0x00, 0x00, 0x00, 0x00, ##     0000000                                  
            0x1F, 0xC0, 0x00, 0x00, 0x00, 0x00, ##     0000000                                  
            0x1F, 0xC0, 0x00, 0x00, 0x00, 0x00, ##     0000000                                  
            0x3F, 0xC0, 0x00, 0x00, 0x00, 0x00, ##    00000000                                  
            0x3F, 0x80, 0x00, 0x00, 0x00, 0x00, ##    0000000                                   
            0x3F, 0x80, 0x00, 0x00, 0x00, 0x00, ##    0000000                                   
            0x7F, 0x80, 0x00, 0x00, 0x00, 0x00, ##   00000000                                   
            0x7F, 0x80, 0x00, 0x00, 0x00, 0x00, ##   00000000                                   
            0x7F, 0x80, 0x1F, 0xF8, 0x00, 0x00, ##   00000000          0000000000               
            0x7F, 0x81, 0xFF, 0xFF, 0x00, 0x00, ##   00000000      00000000000000000            
            0x7F, 0x87, 0xFF, 0xFF, 0xC0, 0x00, ##   00000000    000000000000000000000          
            0xFF, 0x8F, 0xFF, 0xFF, 0xF0, 0x00, ##  000000000   000000000000000000000000        
            0xFF, 0xBF, 0xE0, 0x3F, 0xF8, 0x00, ##  000000000 000000000       00000000000       
            0xFF, 0xFF, 0x00, 0x0F, 0xFC, 0x00, ##  0000000000000000            0000000000      
            0xFF, 0xFE, 0x00, 0x03, 0xFE, 0x00, ##  000000000000000               000000000     
            0xFF, 0xFC, 0x00, 0x01, 0xFF, 0x00, ##  00000000000000                 000000000    
            0xFF, 0xF8, 0x00, 0x00, 0xFF, 0x80, ##  0000000000000                   000000000   
            0xFF, 0xF0, 0x00, 0x00, 0xFF, 0x80, ##  000000000000                    000000000   
            0xFF, 0xF0, 0x00, 0x00, 0x7F, 0xC0, ##  000000000000                     000000000  
            0xFF, 0xF0, 0x00, 0x00, 0x7F, 0xC0, ##  000000000000                     000000000  
            0xFF, 0xE0, 0x00, 0x00, 0x3F, 0xE0, ##  00000000000                       000000000 
            0xFF, 0xE0, 0x00, 0x00, 0x3F, 0xE0, ##  00000000000                       000000000 
            0xFF, 0xE0, 0x00, 0x00, 0x3F, 0xE0, ##  00000000000                       000000000 
            0xFF, 0xC0, 0x00, 0x00, 0x3F, 0xE0, ##  0000000000                        000000000 
            0xFF, 0xC0, 0x00, 0x00, 0x1F, 0xF0, ##  0000000000                         000000000
            0xFF, 0xC0, 0x00, 0x00, 0x1F, 0xF0, ##  0000000000                         000000000
            0xFF, 0xC0, 0x00, 0x00, 0x1F, 0xF0, ##  0000000000                         000000000
            0xFF, 0xC0, 0x00, 0x00, 0x1F, 0xF0, ##  0000000000                         000000000
            0x7F, 0xC0, 0x00, 0x00, 0x1F, 0xF0, ##   000000000                         000000000
            0x7F, 0xC0, 0x00, 0x00, 0x1F, 0xF0, ##   000000000                         000000000
            0x7F, 0xC0, 0x00, 0x00, 0x1F, 0xF0, ##   000000000                         000000000
            0x7F, 0xC0, 0x00, 0x00, 0x1F, 0xF0, ##   000000000                         000000000
            0x7F, 0xC0, 0x00, 0x00, 0x1F, 0xF0, ##   000000000                         000000000
            0x7F, 0xC0, 0x00, 0x00, 0x1F, 0xF0, ##   000000000                         000000000
            0x3F, 0xC0, 0x00, 0x00, 0x1F, 0xF0, ##    00000000                         000000000
            0x3F, 0xE0, 0x00, 0x00, 0x3F, 0xE0, ##    000000000                       000000000 
            0x3F, 0xE0, 0x00, 0x00, 0x3F, 0xE0, ##    000000000                       000000000 
            0x1F, 0xE0, 0x00, 0x00, 0x3F, 0xE0, ##     00000000                       000000000 
            0x1F, 0xE0, 0x00, 0x00, 0x3F, 0xC0, ##     00000000                       00000000  
            0x0F, 0xF0, 0x00, 0x00, 0x7F, 0xC0, ##      00000000                     000000000  
            0x0F, 0xF0, 0x00, 0x00, 0x7F, 0xC0, ##      00000000                     000000000  
            0x07, 0xF8, 0x00, 0x00, 0xFF, 0x80, ##       00000000                   000000000   
            0x07, 0xF8, 0x00, 0x00, 0xFF, 0x00, ##       00000000                   00000000    
            0x03, 0xFC, 0x00, 0x01, 0xFF, 0x00, ##        00000000                 000000000    
            0x01, 0xFE, 0x00, 0x03, 0xFE, 0x00, ##         00000000               000000000     
            0x00, 0xFF, 0x80, 0x0F, 0xFC, 0x00, ##          000000000           0000000000      
            0x00, 0x7F, 0xE0, 0x3F, 0xF8, 0x00, ##           0000000000       00000000000       
            0x00, 0x3F, 0xFF, 0xFF, 0xE0, 0x00, ##            0000000000000000000000000         
            0x00, 0x0F, 0xFF, 0xFF, 0xC0, 0x00, ##              0000000000000000000000          
            0x00, 0x03, 0xFF, 0xFE, 0x00, 0x00, ##                00000000000000000             
            0x00, 0x00, 0x7F, 0xF0, 0x00, 0x00, ##                   00000000000                
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '55' => {    # '7'
        'width'    => 42, 
        'xoffset'  => 7, 
        'xadvance' => 55, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xC0, ##  000000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xC0, ##  000000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xC0, ##  000000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xC0, ##  000000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xC0, ##  000000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xC0, ##  000000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x80, ##  00000000000000000000000000000000000000000 
            0xF8, 0x00, 0x00, 0x00, 0x3F, 0x80, ##  00000                             0000000 
            0xF8, 0x00, 0x00, 0x00, 0x3F, 0x00, ##  00000                             000000  
            0xF8, 0x00, 0x00, 0x00, 0x7F, 0x00, ##  00000                            0000000  
            0xF8, 0x00, 0x00, 0x00, 0x7E, 0x00, ##  00000                            000000   
            0xF8, 0x00, 0x00, 0x00, 0x7E, 0x00, ##  00000                            000000   
            0xF8, 0x00, 0x00, 0x00, 0xFE, 0x00, ##  00000                           0000000   
            0xF8, 0x00, 0x00, 0x00, 0xFC, 0x00, ##  00000                           000000    
            0xF8, 0x00, 0x00, 0x01, 0xFC, 0x00, ##  00000                          0000000    
            0x00, 0x00, 0x00, 0x01, 0xF8, 0x00, ##                                 000000     
            0x00, 0x00, 0x00, 0x03, 0xF8, 0x00, ##                                0000000     
            0x00, 0x00, 0x00, 0x03, 0xF8, 0x00, ##                                0000000     
            0x00, 0x00, 0x00, 0x03, 0xF0, 0x00, ##                                000000      
            0x00, 0x00, 0x00, 0x07, 0xF0, 0x00, ##                               0000000      
            0x00, 0x00, 0x00, 0x07, 0xE0, 0x00, ##                               000000       
            0x00, 0x00, 0x00, 0x0F, 0xE0, 0x00, ##                              0000000       
            0x00, 0x00, 0x00, 0x0F, 0xC0, 0x00, ##                              000000        
            0x00, 0x00, 0x00, 0x0F, 0xC0, 0x00, ##                              000000        
            0x00, 0x00, 0x00, 0x1F, 0xC0, 0x00, ##                             0000000        
            0x00, 0x00, 0x00, 0x1F, 0x80, 0x00, ##                             000000         
            0x00, 0x00, 0x00, 0x3F, 0x80, 0x00, ##                            0000000         
            0x00, 0x00, 0x00, 0x3F, 0x00, 0x00, ##                            000000          
            0x00, 0x00, 0x00, 0x7F, 0x00, 0x00, ##                           0000000          
            0x00, 0x00, 0x00, 0x7E, 0x00, 0x00, ##                           000000           
            0x00, 0x00, 0x00, 0x7E, 0x00, 0x00, ##                           000000           
            0x00, 0x00, 0x00, 0xFE, 0x00, 0x00, ##                          0000000           
            0x00, 0x00, 0x00, 0xFC, 0x00, 0x00, ##                          000000            
            0x00, 0x00, 0x01, 0xFC, 0x00, 0x00, ##                         0000000            
            0x00, 0x00, 0x01, 0xF8, 0x00, 0x00, ##                         000000             
            0x00, 0x00, 0x01, 0xF8, 0x00, 0x00, ##                         000000             
            0x00, 0x00, 0x03, 0xF8, 0x00, 0x00, ##                        0000000             
            0x00, 0x00, 0x03, 0xF0, 0x00, 0x00, ##                        000000              
            0x00, 0x00, 0x07, 0xF0, 0x00, 0x00, ##                       0000000              
            0x00, 0x00, 0x07, 0xE0, 0x00, 0x00, ##                       000000               
            0x00, 0x00, 0x0F, 0xE0, 0x00, 0x00, ##                      0000000               
            0x00, 0x00, 0x0F, 0xC0, 0x00, 0x00, ##                      000000                
            0x00, 0x00, 0x0F, 0xC0, 0x00, 0x00, ##                      000000                
            0x00, 0x00, 0x1F, 0xC0, 0x00, 0x00, ##                     0000000                
            0x00, 0x00, 0x1F, 0x80, 0x00, 0x00, ##                     000000                 
            0x00, 0x00, 0x3F, 0x80, 0x00, 0x00, ##                    0000000                 
            0x00, 0x00, 0x3F, 0x00, 0x00, 0x00, ##                    000000                  
            0x00, 0x00, 0x3F, 0x00, 0x00, 0x00, ##                    000000                  
            0x00, 0x00, 0x7F, 0x00, 0x00, 0x00, ##                   0000000                  
            0x00, 0x00, 0x7E, 0x00, 0x00, 0x00, ##                   000000                   
            0x00, 0x00, 0xFE, 0x00, 0x00, 0x00, ##                  0000000                   
            0x00, 0x00, 0xFC, 0x00, 0x00, 0x00, ##                  000000                    
            0x00, 0x01, 0xFC, 0x00, 0x00, 0x00, ##                 0000000                    
            0x00, 0x01, 0xF8, 0x00, 0x00, 0x00, ##                 000000                     
            0x00, 0x01, 0xF8, 0x00, 0x00, 0x00, ##                 000000                     
            0x00, 0x03, 0xF8, 0x00, 0x00, 0x00, ##                0000000                     
            0x00, 0x03, 0xF0, 0x00, 0x00, 0x00, ##                000000                      
            0x00, 0x07, 0xF0, 0x00, 0x00, 0x00, ##               0000000                      
            0x00, 0x07, 0xE0, 0x00, 0x00, 0x00, ##               000000                       
            0x00, 0x07, 0xE0, 0x00, 0x00, 0x00, ##               000000                       
            0x00, 0x0F, 0xE0, 0x00, 0x00, 0x00, ##              0000000                       
            0x00, 0x0F, 0xC0, 0x00, 0x00, 0x00, ##              000000                        
            0x00, 0x1F, 0xC0, 0x00, 0x00, 0x00, ##             0000000                        
            0x00, 0x1F, 0x80, 0x00, 0x00, 0x00, ##             000000                         
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '56' => {    # '8'
        'width'    => 44, 
        'xoffset'  => 6, 
        'xadvance' => 56, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0xFF, 0xF0, 0x00, 0x00, ##                  000000000000                
            0x00, 0x07, 0xFF, 0xFE, 0x00, 0x00, ##               000000000000000000             
            0x00, 0x3F, 0xFF, 0xFF, 0xC0, 0x00, ##            000000000000000000000000          
            0x00, 0x7F, 0xFF, 0xFF, 0xE0, 0x00, ##           00000000000000000000000000         
            0x01, 0xFF, 0xC0, 0x3F, 0xF8, 0x00, ##         00000000000        00000000000       
            0x03, 0xFF, 0x00, 0x0F, 0xFC, 0x00, ##        0000000000            0000000000      
            0x07, 0xFE, 0x00, 0x07, 0xFE, 0x00, ##       0000000000              0000000000     
            0x0F, 0xFC, 0x00, 0x03, 0xFE, 0x00, ##      0000000000                000000000     
            0x0F, 0xF8, 0x00, 0x01, 0xFF, 0x00, ##      000000000                  000000000    
            0x1F, 0xF0, 0x00, 0x00, 0xFF, 0x80, ##     000000000                    000000000   
            0x1F, 0xF0, 0x00, 0x00, 0xFF, 0x80, ##     000000000                    000000000   
            0x1F, 0xF0, 0x00, 0x00, 0xFF, 0x80, ##     000000000                    000000000   
            0x3F, 0xE0, 0x00, 0x00, 0x7F, 0xC0, ##    000000000                      000000000  
            0x3F, 0xE0, 0x00, 0x00, 0x7F, 0xC0, ##    000000000                      000000000  
            0x3F, 0xE0, 0x00, 0x00, 0x7F, 0xC0, ##    000000000                      000000000  
            0x3F, 0xE0, 0x00, 0x00, 0x7F, 0xC0, ##    000000000                      000000000  
            0x3F, 0xE0, 0x00, 0x00, 0x7F, 0xC0, ##    000000000                      000000000  
            0x3F, 0xE0, 0x00, 0x00, 0x7F, 0xC0, ##    000000000                      000000000  
            0x3F, 0xE0, 0x00, 0x00, 0x7F, 0xC0, ##    000000000                      000000000  
            0x3F, 0xE0, 0x00, 0x00, 0x7F, 0xC0, ##    000000000                      000000000  
            0x3F, 0xE0, 0x00, 0x00, 0x7F, 0xC0, ##    000000000                      000000000  
            0x1F, 0xF0, 0x00, 0x00, 0xFF, 0x80, ##     000000000                    000000000   
            0x1F, 0xF0, 0x00, 0x00, 0xFF, 0x80, ##     000000000                    000000000   
            0x0F, 0xF0, 0x00, 0x00, 0xFF, 0x00, ##      00000000                    00000000    
            0x0F, 0xF8, 0x00, 0x01, 0xFF, 0x00, ##      000000000                  000000000    
            0x07, 0xFC, 0x00, 0x03, 0xFE, 0x00, ##       000000000                000000000     
            0x03, 0xFE, 0x00, 0x07, 0xFC, 0x00, ##        000000000              000000000      
            0x01, 0xFF, 0x00, 0x0F, 0xF8, 0x00, ##         000000000            000000000       
            0x00, 0xFF, 0xC0, 0x3F, 0xF0, 0x00, ##          0000000000        0000000000        
            0x00, 0x3F, 0xFF, 0xFF, 0xC0, 0x00, ##            000000000000000000000000          
            0x00, 0x07, 0xFF, 0xFE, 0x00, 0x00, ##               000000000000000000             
            0x00, 0x07, 0xFF, 0xFF, 0x00, 0x00, ##               0000000000000000000            
            0x00, 0x3F, 0xFF, 0xFF, 0xE0, 0x00, ##            0000000000000000000000000         
            0x00, 0xFF, 0xC0, 0x3F, 0xF8, 0x00, ##          0000000000        00000000000       
            0x03, 0xFE, 0x00, 0x07, 0xFC, 0x00, ##        000000000              000000000      
            0x07, 0xFC, 0x00, 0x03, 0xFE, 0x00, ##       000000000                000000000     
            0x0F, 0xF8, 0x00, 0x01, 0xFF, 0x00, ##      000000000                  000000000    
            0x1F, 0xF0, 0x00, 0x00, 0xFF, 0x80, ##     000000000                    000000000   
            0x3F, 0xE0, 0x00, 0x00, 0x7F, 0xC0, ##    000000000                      000000000  
            0x3F, 0xE0, 0x00, 0x00, 0x7F, 0xC0, ##    000000000                      000000000  
            0x7F, 0xC0, 0x00, 0x00, 0x3F, 0xE0, ##   000000000                        000000000 
            0x7F, 0xC0, 0x00, 0x00, 0x3F, 0xE0, ##   000000000                        000000000 
            0x7F, 0xC0, 0x00, 0x00, 0x3F, 0xE0, ##   000000000                        000000000 
            0xFF, 0x80, 0x00, 0x00, 0x1F, 0xF0, ##  000000000                          000000000
            0xFF, 0x80, 0x00, 0x00, 0x1F, 0xF0, ##  000000000                          000000000
            0xFF, 0x80, 0x00, 0x00, 0x1F, 0xF0, ##  000000000                          000000000
            0xFF, 0x80, 0x00, 0x00, 0x1F, 0xF0, ##  000000000                          000000000
            0xFF, 0x80, 0x00, 0x00, 0x1F, 0xF0, ##  000000000                          000000000
            0xFF, 0x80, 0x00, 0x00, 0x1F, 0xF0, ##  000000000                          000000000
            0xFF, 0x80, 0x00, 0x00, 0x1F, 0xF0, ##  000000000                          000000000
            0xFF, 0x80, 0x00, 0x00, 0x1F, 0xF0, ##  000000000                          000000000
            0xFF, 0x80, 0x00, 0x00, 0x1F, 0xF0, ##  000000000                          000000000
            0x7F, 0xC0, 0x00, 0x00, 0x3F, 0xE0, ##   000000000                        000000000 
            0x7F, 0xC0, 0x00, 0x00, 0x3F, 0xE0, ##   000000000                        000000000 
            0x7F, 0xC0, 0x00, 0x00, 0x3F, 0xE0, ##   000000000                        000000000 
            0x7F, 0xE0, 0x00, 0x00, 0x7F, 0xE0, ##   0000000000                      0000000000 
            0x3F, 0xE0, 0x00, 0x00, 0x7F, 0xC0, ##    000000000                      000000000  
            0x3F, 0xF0, 0x00, 0x00, 0xFF, 0x80, ##    0000000000                    000000000   
            0x1F, 0xF8, 0x00, 0x01, 0xFF, 0x80, ##     0000000000                  0000000000   
            0x0F, 0xFC, 0x00, 0x03, 0xFF, 0x00, ##      0000000000                0000000000    
            0x07, 0xFE, 0x00, 0x07, 0xFE, 0x00, ##       0000000000              0000000000     
            0x03, 0xFF, 0xC0, 0x3F, 0xFC, 0x00, ##        000000000000        000000000000      
            0x01, 0xFF, 0xFF, 0xFF, 0xF8, 0x00, ##         000000000000000000000000000000       
            0x00, 0x7F, 0xFF, 0xFF, 0xE0, 0x00, ##           00000000000000000000000000         
            0x00, 0x0F, 0xFF, 0xFF, 0x00, 0x00, ##              00000000000000000000            
            0x00, 0x00, 0xFF, 0xF0, 0x00, 0x00, ##                  000000000000                
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '57' => {    # '9'
        'width'    => 44, 
        'xoffset'  => 5, 
        'xadvance' => 55, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0xFF, 0xE0, 0x00, 0x00, ##                  00000000000                 
            0x00, 0x07, 0xFF, 0xFC, 0x00, 0x00, ##               00000000000000000              
            0x00, 0x1F, 0xFF, 0xFF, 0x00, 0x00, ##             000000000000000000000            
            0x00, 0x7F, 0xFF, 0xFF, 0xC0, 0x00, ##           0000000000000000000000000          
            0x01, 0xFF, 0xC0, 0x7F, 0xE0, 0x00, ##         00000000000       0000000000         
            0x03, 0xFE, 0x00, 0x1F, 0xF0, 0x00, ##        000000000            000000000        
            0x07, 0xFC, 0x00, 0x07, 0xF8, 0x00, ##       000000000               00000000       
            0x0F, 0xF8, 0x00, 0x03, 0xFC, 0x00, ##      000000000                 00000000      
            0x0F, 0xF0, 0x00, 0x03, 0xFE, 0x00, ##      00000000                  000000000     
            0x1F, 0xF0, 0x00, 0x01, 0xFE, 0x00, ##     000000000                   00000000     
            0x3F, 0xE0, 0x00, 0x00, 0xFF, 0x00, ##    000000000                     00000000    
            0x3F, 0xE0, 0x00, 0x00, 0xFF, 0x00, ##    000000000                     00000000    
            0x3F, 0xC0, 0x00, 0x00, 0xFF, 0x80, ##    00000000                      000000000   
            0x7F, 0xC0, 0x00, 0x00, 0x7F, 0x80, ##   000000000                       00000000   
            0x7F, 0xC0, 0x00, 0x00, 0x7F, 0xC0, ##   000000000                       000000000  
            0x7F, 0x80, 0x00, 0x00, 0x7F, 0xC0, ##   00000000                        000000000  
            0xFF, 0x80, 0x00, 0x00, 0x7F, 0xC0, ##  000000000                        000000000  
            0xFF, 0x80, 0x00, 0x00, 0x7F, 0xC0, ##  000000000                        000000000  
            0xFF, 0x80, 0x00, 0x00, 0x3F, 0xE0, ##  000000000                         000000000 
            0xFF, 0x80, 0x00, 0x00, 0x3F, 0xE0, ##  000000000                         000000000 
            0xFF, 0x80, 0x00, 0x00, 0x3F, 0xE0, ##  000000000                         000000000 
            0xFF, 0x80, 0x00, 0x00, 0x3F, 0xE0, ##  000000000                         000000000 
            0xFF, 0x80, 0x00, 0x00, 0x3F, 0xE0, ##  000000000                         000000000 
            0xFF, 0x80, 0x00, 0x00, 0x3F, 0xF0, ##  000000000                         0000000000
            0xFF, 0x80, 0x00, 0x00, 0x3F, 0xF0, ##  000000000                         0000000000
            0xFF, 0x80, 0x00, 0x00, 0x3F, 0xF0, ##  000000000                         0000000000
            0xFF, 0x80, 0x00, 0x00, 0x7F, 0xF0, ##  000000000                        00000000000
            0x7F, 0x80, 0x00, 0x00, 0x7F, 0xF0, ##   00000000                        00000000000
            0x7F, 0xC0, 0x00, 0x00, 0x7F, 0xF0, ##   000000000                       00000000000
            0x7F, 0xC0, 0x00, 0x00, 0x7F, 0xF0, ##   000000000                       00000000000
            0x7F, 0xC0, 0x00, 0x00, 0x7F, 0xF0, ##   000000000                       00000000000
            0x3F, 0xE0, 0x00, 0x00, 0xFF, 0xF0, ##    000000000                     000000000000
            0x3F, 0xE0, 0x00, 0x00, 0xFF, 0xF0, ##    000000000                     000000000000
            0x1F, 0xF0, 0x00, 0x01, 0xFF, 0xF0, ##     000000000                   0000000000000
            0x1F, 0xF0, 0x00, 0x01, 0xFF, 0xF0, ##     000000000                   0000000000000
            0x0F, 0xF8, 0x00, 0x03, 0xFF, 0xF0, ##      000000000                 00000000000000
            0x07, 0xFC, 0x00, 0x07, 0xFF, 0xF0, ##       000000000               000000000000000
            0x03, 0xFE, 0x00, 0x1F, 0xDF, 0xF0, ##        000000000            0000000 000000000
            0x01, 0xFF, 0xC0, 0x7F, 0x9F, 0xF0, ##         00000000000       00000000  000000000
            0x00, 0xFF, 0xFF, 0xFF, 0x1F, 0xE0, ##          000000000000000000000000   00000000 
            0x00, 0x3F, 0xFF, 0xFC, 0x1F, 0xE0, ##            00000000000000000000     00000000 
            0x00, 0x0F, 0xFF, 0xF0, 0x1F, 0xE0, ##              0000000000000000       00000000 
            0x00, 0x01, 0xFF, 0x80, 0x1F, 0xE0, ##                 0000000000          00000000 
            0x00, 0x00, 0x00, 0x00, 0x1F, 0xE0, ##                                     00000000 
            0x00, 0x00, 0x00, 0x00, 0x1F, 0xE0, ##                                     00000000 
            0x00, 0x00, 0x00, 0x00, 0x3F, 0xC0, ##                                    00000000  
            0x00, 0x00, 0x00, 0x00, 0x3F, 0xC0, ##                                    00000000  
            0x00, 0x00, 0x00, 0x00, 0x3F, 0xC0, ##                                    00000000  
            0x00, 0x00, 0x00, 0x00, 0x3F, 0x80, ##                                    0000000   
            0x00, 0x00, 0x00, 0x00, 0x3F, 0x80, ##                                    0000000   
            0x00, 0x00, 0x00, 0x00, 0x7F, 0x80, ##                                   00000000   
            0x00, 0x00, 0x00, 0x00, 0x7F, 0x00, ##                                   0000000    
            0x00, 0x00, 0x00, 0x00, 0x7F, 0x00, ##                                   0000000    
            0x1F, 0x00, 0x00, 0x00, 0xFE, 0x00, ##     00000                        0000000     
            0x1F, 0x00, 0x00, 0x00, 0xFE, 0x00, ##     00000                        0000000     
            0x1F, 0x80, 0x00, 0x01, 0xFC, 0x00, ##     000000                      0000000      
            0x1F, 0x80, 0x00, 0x03, 0xF8, 0x00, ##     000000                     0000000       
            0x1F, 0x80, 0x00, 0x03, 0xF8, 0x00, ##     000000                     0000000       
            0x1F, 0xC0, 0x00, 0x07, 0xF0, 0x00, ##     0000000                   0000000        
            0x1F, 0xE0, 0x00, 0x1F, 0xE0, 0x00, ##     00000000                00000000         
            0x1F, 0xF0, 0x00, 0x3F, 0xC0, 0x00, ##     000000000              00000000          
            0x1F, 0xFE, 0x01, 0xFF, 0x80, 0x00, ##     000000000000        0000000000           
            0x1F, 0xFF, 0xFF, 0xFE, 0x00, 0x00, ##     0000000000000000000000000000             
            0x1F, 0xFF, 0xFF, 0xF8, 0x00, 0x00, ##     00000000000000000000000000               
            0x01, 0xFF, 0xFF, 0xE0, 0x00, 0x00, ##         00000000000000000000                 
            0x00, 0x0F, 0xFE, 0x00, 0x00, 0x00, ##              00000000000                     
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '58' => {    # ':'
        'width'    => 11, 
        'xoffset'  => 9, 
        'xadvance' => 29, 
        'bitmap'   => [ 
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x1F, 0x00, ##     00000   
            0x3F, 0x80, ##    0000000  
            0x7F, 0xC0, ##   000000000 
            0xFF, 0xE0, ##  00000000000
            0xFF, 0xE0, ##  00000000000
            0xFF, 0xE0, ##  00000000000
            0xFF, 0xE0, ##  00000000000
            0xFF, 0xE0, ##  00000000000
            0x7F, 0xC0, ##   000000000 
            0x3F, 0x80, ##    0000000  
            0x1F, 0x00, ##     00000   
            0x00, 0x00, ##             
            0x00, 0x00, ##             
            0x00, 0x00, ##             
            0x00, 0x00, ##             
            0x00, 0x00, ##             
            0x00, 0x00, ##             
            0x00, 0x00, ##             
            0x00, 0x00, ##             
            0x00, 0x00, ##             
            0x00, 0x00, ##             
            0x00, 0x00, ##             
            0x00, 0x00, ##             
            0x00, 0x00, ##             
            0x00, 0x00, ##             
            0x00, 0x00, ##             
            0x00, 0x00, ##             
            0x00, 0x00, ##             
            0x1F, 0x00, ##     00000   
            0x3F, 0x80, ##    0000000  
            0x7F, 0xC0, ##   000000000 
            0xFF, 0xE0, ##  00000000000
            0xFF, 0xE0, ##  00000000000
            0xFF, 0xE0, ##  00000000000
            0xFF, 0xE0, ##  00000000000
            0xFF, 0xE0, ##  00000000000
            0x7F, 0xC0, ##   000000000 
            0x3F, 0x80, ##    0000000  
            0x1F, 0x00, ##     00000   
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
        ], 
    }, 
    '59' => {    # ';'
        'width'    => 17, 
        'xoffset'  => 3, 
        'xadvance' => 29, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x7C, 0x00, ##           00000   
            0x00, 0xFE, 0x00, ##          0000000  
            0x01, 0xFF, 0x00, ##         000000000 
            0x03, 0xFF, 0x80, ##        00000000000
            0x03, 0xFF, 0x80, ##        00000000000
            0x03, 0xFF, 0x80, ##        00000000000
            0x03, 0xFF, 0x80, ##        00000000000
            0x03, 0xFF, 0x80, ##        00000000000
            0x01, 0xFF, 0x00, ##         000000000 
            0x00, 0xFE, 0x00, ##          0000000  
            0x00, 0x7C, 0x00, ##           00000   
            0x00, 0x00, 0x00, ##                   
            0x00, 0x00, 0x00, ##                   
            0x00, 0x00, 0x00, ##                   
            0x00, 0x00, 0x00, ##                   
            0x00, 0x00, 0x00, ##                   
            0x00, 0x00, 0x00, ##                   
            0x00, 0x00, 0x00, ##                   
            0x00, 0x00, 0x00, ##                   
            0x00, 0x00, 0x00, ##                   
            0x00, 0x00, 0x00, ##                   
            0x00, 0x00, 0x00, ##                   
            0x00, 0x00, 0x00, ##                   
            0x00, 0x00, 0x00, ##                   
            0x00, 0x00, 0x00, ##                   
            0x00, 0x00, 0x00, ##                   
            0x00, 0x00, 0x00, ##                   
            0x00, 0x00, 0x00, ##                   
            0x00, 0xFF, 0x00, ##          00000000 
            0x00, 0xFF, 0x00, ##          00000000 
            0x00, 0xFF, 0x00, ##          00000000 
            0x00, 0xFF, 0x00, ##          00000000 
            0x00, 0xFF, 0x00, ##          00000000 
            0x00, 0xFE, 0x00, ##          0000000  
            0x00, 0xFE, 0x00, ##          0000000  
            0x01, 0xFE, 0x00, ##         00000000  
            0x01, 0xFE, 0x00, ##         00000000  
            0x01, 0xFC, 0x00, ##         0000000   
            0x03, 0xFC, 0x00, ##        00000000   
            0x03, 0xF8, 0x00, ##        0000000    
            0x07, 0xF8, 0x00, ##       00000000    
            0x07, 0xF0, 0x00, ##       0000000     
            0x0F, 0xF0, 0x00, ##      00000000     
            0x1F, 0xE0, 0x00, ##     00000000      
            0x3F, 0xC0, 0x00, ##    00000000       
            0x7F, 0x80, 0x00, ##   00000000        
            0xFF, 0x00, 0x00, ##  00000000         
            0x7E, 0x00, 0x00, ##   000000          
            0x38, 0x00, 0x00, ##    000            
            0x10, 0x00, 0x00, ##     0             
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '60' => {    # '<'
        'width'    => 55, 
        'xoffset'  => 9, 
        'xadvance' => 73, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x06, ##                                                       00
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x3E, ##                                                    00000
            0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xFE, ##                                                 00000000
            0x00, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xFE, ##                                              00000000000
            0x00, 0x00, 0x00, 0x00, 0x00, 0x3F, 0xFE, ##                                            0000000000000
            0x00, 0x00, 0x00, 0x00, 0x01, 0xFF, 0xFE, ##                                         0000000000000000
            0x00, 0x00, 0x00, 0x00, 0x0F, 0xFF, 0xFE, ##                                      0000000000000000000
            0x00, 0x00, 0x00, 0x00, 0x7F, 0xFF, 0xF8, ##                                   00000000000000000000  
            0x00, 0x00, 0x00, 0x01, 0xFF, 0xFF, 0xE0, ##                                 00000000000000000000    
            0x00, 0x00, 0x00, 0x0F, 0xFF, 0xFF, 0x00, ##                              00000000000000000000       
            0x00, 0x00, 0x00, 0x7F, 0xFF, 0xF8, 0x00, ##                           00000000000000000000          
            0x00, 0x00, 0x01, 0xFF, 0xFF, 0xE0, 0x00, ##                         00000000000000000000            
            0x00, 0x00, 0x0F, 0xFF, 0xFF, 0x00, 0x00, ##                      00000000000000000000               
            0x00, 0x00, 0x7F, 0xFF, 0xF8, 0x00, 0x00, ##                   00000000000000000000                  
            0x00, 0x03, 0xFF, 0xFF, 0xC0, 0x00, 0x00, ##                00000000000000000000                     
            0x00, 0x0F, 0xFF, 0xFF, 0x00, 0x00, 0x00, ##              00000000000000000000                       
            0x00, 0x7F, 0xFF, 0xF8, 0x00, 0x00, 0x00, ##           00000000000000000000                          
            0x03, 0xFF, 0xFF, 0xC0, 0x00, 0x00, 0x00, ##        00000000000000000000                             
            0x0F, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, ##      00000000000000000000                               
            0x7F, 0xFF, 0xF8, 0x00, 0x00, 0x00, 0x00, ##   00000000000000000000                                  
            0xFF, 0xFF, 0xC0, 0x00, 0x00, 0x00, 0x00, ##  000000000000000000                                     
            0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  0000000000000000                                       
            0xFF, 0xF8, 0x00, 0x00, 0x00, 0x00, 0x00, ##  0000000000000                                          
            0xFF, 0xE0, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000000000                                            
            0xFF, 0xF8, 0x00, 0x00, 0x00, 0x00, 0x00, ##  0000000000000                                          
            0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  0000000000000000                                       
            0xFF, 0xFF, 0xE0, 0x00, 0x00, 0x00, 0x00, ##  0000000000000000000                                    
            0x3F, 0xFF, 0xF8, 0x00, 0x00, 0x00, 0x00, ##    0000000000000000000                                  
            0x0F, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, ##      00000000000000000000                               
            0x01, 0xFF, 0xFF, 0xE0, 0x00, 0x00, 0x00, ##         00000000000000000000                            
            0x00, 0x3F, 0xFF, 0xFC, 0x00, 0x00, 0x00, ##            00000000000000000000                         
            0x00, 0x0F, 0xFF, 0xFF, 0x00, 0x00, 0x00, ##              00000000000000000000                       
            0x00, 0x01, 0xFF, 0xFF, 0xE0, 0x00, 0x00, ##                 00000000000000000000                    
            0x00, 0x00, 0x3F, 0xFF, 0xFC, 0x00, 0x00, ##                    00000000000000000000                 
            0x00, 0x00, 0x07, 0xFF, 0xFF, 0x80, 0x00, ##                       00000000000000000000              
            0x00, 0x00, 0x01, 0xFF, 0xFF, 0xE0, 0x00, ##                         00000000000000000000            
            0x00, 0x00, 0x00, 0x3F, 0xFF, 0xFC, 0x00, ##                            00000000000000000000         
            0x00, 0x00, 0x00, 0x07, 0xFF, 0xFF, 0x80, ##                               00000000000000000000      
            0x00, 0x00, 0x00, 0x01, 0xFF, 0xFF, 0xE0, ##                                 00000000000000000000    
            0x00, 0x00, 0x00, 0x00, 0x3F, 0xFF, 0xFC, ##                                    00000000000000000000 
            0x00, 0x00, 0x00, 0x00, 0x07, 0xFF, 0xFE, ##                                       000000000000000000
            0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFE, ##                                          000000000000000
            0x00, 0x00, 0x00, 0x00, 0x00, 0x3F, 0xFE, ##                                            0000000000000
            0x00, 0x00, 0x00, 0x00, 0x00, 0x07, 0xFE, ##                                               0000000000
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFE, ##                                                  0000000
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x1E, ##                                                     0000
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x06, ##                                                       00
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '61' => {    # '='
        'width'    => 54, 
        'xoffset'  => 9, 
        'xadvance' => 72, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFC, ##  000000000000000000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFC, ##  000000000000000000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFC, ##  000000000000000000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFC, ##  000000000000000000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFC, ##  000000000000000000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFC, ##  000000000000000000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFC, ##  000000000000000000000000000000000000000000000000000000
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                        
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                        
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                        
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                        
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                        
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                        
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                        
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                        
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                        
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                        
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFC, ##  000000000000000000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFC, ##  000000000000000000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFC, ##  000000000000000000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFC, ##  000000000000000000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFC, ##  000000000000000000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFC, ##  000000000000000000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFC, ##  000000000000000000000000000000000000000000000000000000
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '62' => {    # '>'
        'width'    => 55, 
        'xoffset'  => 9, 
        'xadvance' => 73, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0xC0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00                                                     
            0xF8, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000                                                  
            0xFE, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  0000000                                                
            0xFF, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x00, ##  0000000000                                             
            0xFF, 0xF8, 0x00, 0x00, 0x00, 0x00, 0x00, ##  0000000000000                                          
            0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  0000000000000000                                       
            0xFF, 0xFF, 0xC0, 0x00, 0x00, 0x00, 0x00, ##  000000000000000000                                     
            0x7F, 0xFF, 0xF8, 0x00, 0x00, 0x00, 0x00, ##   00000000000000000000                                  
            0x0F, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, ##      00000000000000000000                               
            0x01, 0xFF, 0xFF, 0xC0, 0x00, 0x00, 0x00, ##         0000000000000000000                             
            0x00, 0x7F, 0xFF, 0xF8, 0x00, 0x00, 0x00, ##           00000000000000000000                          
            0x00, 0x0F, 0xFF, 0xFF, 0x00, 0x00, 0x00, ##              00000000000000000000                       
            0x00, 0x01, 0xFF, 0xFF, 0xE0, 0x00, 0x00, ##                 00000000000000000000                    
            0x00, 0x00, 0x7F, 0xFF, 0xF8, 0x00, 0x00, ##                   00000000000000000000                  
            0x00, 0x00, 0x0F, 0xFF, 0xFF, 0x00, 0x00, ##                      00000000000000000000               
            0x00, 0x00, 0x01, 0xFF, 0xFF, 0xE0, 0x00, ##                         00000000000000000000            
            0x00, 0x00, 0x00, 0x7F, 0xFF, 0xFC, 0x00, ##                           000000000000000000000         
            0x00, 0x00, 0x00, 0x0F, 0xFF, 0xFF, 0x00, ##                              00000000000000000000       
            0x00, 0x00, 0x00, 0x01, 0xFF, 0xFF, 0xE0, ##                                 00000000000000000000    
            0x00, 0x00, 0x00, 0x00, 0x3F, 0xFF, 0xFC, ##                                    00000000000000000000 
            0x00, 0x00, 0x00, 0x00, 0x0F, 0xFF, 0xFE, ##                                      0000000000000000000
            0x00, 0x00, 0x00, 0x00, 0x01, 0xFF, 0xFE, ##                                         0000000000000000
            0x00, 0x00, 0x00, 0x00, 0x00, 0x3F, 0xFE, ##                                            0000000000000
            0x00, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xFE, ##                                              00000000000
            0x00, 0x00, 0x00, 0x00, 0x00, 0x7F, 0xFE, ##                                           00000000000000
            0x00, 0x00, 0x00, 0x00, 0x03, 0xFF, 0xFE, ##                                        00000000000000000
            0x00, 0x00, 0x00, 0x00, 0x0F, 0xFF, 0xFE, ##                                      0000000000000000000
            0x00, 0x00, 0x00, 0x00, 0x7F, 0xFF, 0xF8, ##                                   00000000000000000000  
            0x00, 0x00, 0x00, 0x03, 0xFF, 0xFF, 0xC0, ##                                00000000000000000000     
            0x00, 0x00, 0x00, 0x0F, 0xFF, 0xFF, 0x00, ##                              00000000000000000000       
            0x00, 0x00, 0x00, 0x7F, 0xFF, 0xF8, 0x00, ##                           00000000000000000000          
            0x00, 0x00, 0x03, 0xFF, 0xFF, 0xC0, 0x00, ##                        00000000000000000000             
            0x00, 0x00, 0x1F, 0xFF, 0xFE, 0x00, 0x00, ##                     00000000000000000000                
            0x00, 0x00, 0x7F, 0xFF, 0xF8, 0x00, 0x00, ##                   00000000000000000000                  
            0x00, 0x03, 0xFF, 0xFF, 0xC0, 0x00, 0x00, ##                00000000000000000000                     
            0x00, 0x1F, 0xFF, 0xFE, 0x00, 0x00, 0x00, ##             00000000000000000000                        
            0x00, 0x7F, 0xFF, 0xF0, 0x00, 0x00, 0x00, ##           0000000000000000000                           
            0x03, 0xFF, 0xFF, 0xC0, 0x00, 0x00, 0x00, ##        00000000000000000000                             
            0x1F, 0xFF, 0xFE, 0x00, 0x00, 0x00, 0x00, ##     00000000000000000000                                
            0xFF, 0xFF, 0xF0, 0x00, 0x00, 0x00, 0x00, ##  00000000000000000000                                   
            0xFF, 0xFF, 0xC0, 0x00, 0x00, 0x00, 0x00, ##  000000000000000000                                     
            0xFF, 0xFE, 0x00, 0x00, 0x00, 0x00, 0x00, ##  000000000000000                                        
            0xFF, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x00, ##  000000000000                                           
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x00, ##  000000000                                              
            0xFE, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  0000000                                                
            0xF0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  0000                                                   
            0x80, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  0                                                      
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '63' => {    # '?'
        'width'    => 36, 
        'xoffset'  => 6, 
        'xadvance' => 46, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x3F, 0xF8, 0x00, 0x00, ##            00000000000               
            0x03, 0xFF, 0xFF, 0x80, 0x00, ##        0000000000000000000           
            0x1F, 0xFF, 0xFF, 0xE0, 0x00, ##     000000000000000000000000         
            0xFF, 0xFF, 0xFF, 0xF8, 0x00, ##  00000000000000000000000000000       
            0xFF, 0xF0, 0x1F, 0xFC, 0x00, ##  000000000000       00000000000      
            0xFF, 0x80, 0x03, 0xFF, 0x00, ##  000000000             0000000000    
            0xFF, 0x00, 0x01, 0xFF, 0x00, ##  00000000               000000000    
            0xFE, 0x00, 0x00, 0xFF, 0x80, ##  0000000                 000000000   
            0xFC, 0x00, 0x00, 0x7F, 0xC0, ##  000000                   000000000  
            0xFC, 0x00, 0x00, 0x7F, 0xC0, ##  000000                   000000000  
            0xF8, 0x00, 0x00, 0x3F, 0xE0, ##  00000                     000000000 
            0xF8, 0x00, 0x00, 0x3F, 0xE0, ##  00000                     000000000 
            0xF0, 0x00, 0x00, 0x3F, 0xE0, ##  0000                      000000000 
            0xF0, 0x00, 0x00, 0x1F, 0xF0, ##  0000                       000000000
            0xF0, 0x00, 0x00, 0x1F, 0xF0, ##  0000                       000000000
            0x00, 0x00, 0x00, 0x1F, 0xF0, ##                             000000000
            0x00, 0x00, 0x00, 0x1F, 0xF0, ##                             000000000
            0x00, 0x00, 0x00, 0x1F, 0xF0, ##                             000000000
            0x00, 0x00, 0x00, 0x1F, 0xF0, ##                             000000000
            0x00, 0x00, 0x00, 0x1F, 0xF0, ##                             000000000
            0x00, 0x00, 0x00, 0x1F, 0xF0, ##                             000000000
            0x00, 0x00, 0x00, 0x3F, 0xF0, ##                            0000000000
            0x00, 0x00, 0x00, 0x3F, 0xE0, ##                            000000000 
            0x00, 0x00, 0x00, 0x3F, 0xE0, ##                            000000000 
            0x00, 0x00, 0x00, 0x7F, 0xE0, ##                           0000000000 
            0x00, 0x00, 0x00, 0x7F, 0xC0, ##                           000000000  
            0x00, 0x00, 0x00, 0xFF, 0xC0, ##                          0000000000  
            0x00, 0x00, 0x01, 0xFF, 0x80, ##                         0000000000   
            0x00, 0x00, 0x01, 0xFF, 0x00, ##                         000000000    
            0x00, 0x00, 0x07, 0xFF, 0x00, ##                       00000000000    
            0x00, 0x00, 0x0F, 0xFE, 0x00, ##                      00000000000     
            0x00, 0x00, 0x1F, 0xFC, 0x00, ##                     00000000000      
            0x00, 0x00, 0x7F, 0xF0, 0x00, ##                   00000000000        
            0x00, 0x03, 0xFF, 0xE0, 0x00, ##                0000000000000         
            0x00, 0x0F, 0xFF, 0x80, 0x00, ##              0000000000000           
            0x00, 0x0F, 0xFE, 0x00, 0x00, ##              00000000000             
            0x00, 0x0F, 0xF0, 0x00, 0x00, ##              00000000                
            0x00, 0x0F, 0x80, 0x00, 0x00, ##              00000                   
            0x00, 0x0F, 0x80, 0x00, 0x00, ##              00000                   
            0x00, 0x0F, 0x80, 0x00, 0x00, ##              00000                   
            0x00, 0x0F, 0x80, 0x00, 0x00, ##              00000                   
            0x00, 0x0F, 0x80, 0x00, 0x00, ##              00000                   
            0x00, 0x0F, 0x80, 0x00, 0x00, ##              00000                   
            0x00, 0x0F, 0x80, 0x00, 0x00, ##              00000                   
            0x00, 0x0F, 0x80, 0x00, 0x00, ##              00000                   
            0x00, 0x0F, 0x80, 0x00, 0x00, ##              00000                   
            0x00, 0x0F, 0x80, 0x00, 0x00, ##              00000                   
            0x00, 0x0F, 0x80, 0x00, 0x00, ##              00000                   
            0x00, 0x00, 0x00, 0x00, 0x00, ##                                      
            0x00, 0x00, 0x00, 0x00, 0x00, ##                                      
            0x00, 0x00, 0x00, 0x00, 0x00, ##                                      
            0x00, 0x00, 0x00, 0x00, 0x00, ##                                      
            0x00, 0x00, 0x00, 0x00, 0x00, ##                                      
            0x00, 0x00, 0x00, 0x00, 0x00, ##                                      
            0x00, 0x00, 0x00, 0x00, 0x00, ##                                      
            0x00, 0x0F, 0x80, 0x00, 0x00, ##              00000                   
            0x00, 0x1F, 0xC0, 0x00, 0x00, ##             0000000                  
            0x00, 0x3F, 0xE0, 0x00, 0x00, ##            000000000                 
            0x00, 0x7F, 0xF0, 0x00, 0x00, ##           00000000000                
            0x00, 0x7F, 0xF0, 0x00, 0x00, ##           00000000000                
            0x00, 0x7F, 0xF0, 0x00, 0x00, ##           00000000000                
            0x00, 0x7F, 0xF0, 0x00, 0x00, ##           00000000000                
            0x00, 0x7F, 0xF0, 0x00, 0x00, ##           00000000000                
            0x00, 0x3F, 0xE0, 0x00, 0x00, ##            000000000                 
            0x00, 0x1F, 0xC0, 0x00, 0x00, ##             0000000                  
            0x00, 0x0F, 0x80, 0x00, 0x00, ##              00000                   
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '64' => {    # '@'
        'width'    => 75, 
        'xoffset'  => 6, 
        'xadvance' => 87, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x7F, 0xFC, 0x00, 0x00, 0x00, 0x00, ##                                   0000000000000                             
            0x00, 0x00, 0x00, 0x0F, 0xFF, 0xFF, 0xC0, 0x00, 0x00, 0x00, ##                              0000000000000000000000                         
            0x00, 0x00, 0x00, 0x7F, 0xFF, 0xFF, 0xF8, 0x00, 0x00, 0x00, ##                           0000000000000000000000000000                      
            0x00, 0x00, 0x03, 0xFF, 0xFF, 0xFF, 0xFF, 0x00, 0x00, 0x00, ##                        0000000000000000000000000000000000                   
            0x00, 0x00, 0x0F, 0xFF, 0xC0, 0x03, 0xFF, 0xC0, 0x00, 0x00, ##                      00000000000000            000000000000                 
            0x00, 0x00, 0x1F, 0xFC, 0x00, 0x00, 0x3F, 0xE0, 0x00, 0x00, ##                     00000000000                    000000000                
            0x00, 0x00, 0x7F, 0xE0, 0x00, 0x00, 0x07, 0xF8, 0x00, 0x00, ##                   0000000000                          00000000              
            0x00, 0x00, 0xFF, 0x80, 0x00, 0x00, 0x01, 0xFC, 0x00, 0x00, ##                 0000000000                              0000000             
            0x00, 0x00, 0xFE, 0x00, 0x00, 0x00, 0x00, 0x7E, 0x00, 0x00, ##                000000000                                  000000            
            0x00, 0x00, 0xF8, 0x00, 0x00, 0x00, 0x00, 0x3F, 0x80, 0x00, ##               00000000                                     0000000          
            0x00, 0x00, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xC0, 0x00, ##              00000000                                        000000         
            0x00, 0x00, 0xE0, 0x00, 0x00, 0x00, 0x00, 0x07, 0xE0, 0x00, ##             00000000                                          000000        
            0x00, 0x00, 0x80, 0x00, 0x00, 0x00, 0x00, 0x03, 0xE0, 0x00, ##            0000000                                             00000        
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xF0, 0x00, ##           0000000                                               00000       
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xF8, 0x00, ##          0000000                                                 00000      
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x7C, 0x00, ##         00000000                                                  00000     
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x3C, 0x00, ##         0000000                                                    0000     
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x3E, 0x00, ##        0000000                                                     00000    
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x1E, 0x00, ##       0000000                                                       0000    
            0x00, 0x00, 0x00, 0x00, 0xFF, 0x00, 0x00, 0x00, 0x0F, 0x00, ##       0000000                    00000000                            0000   
            0x00, 0x00, 0x00, 0x03, 0xFF, 0xE0, 0x7F, 0x00, 0x0F, 0x00, ##      0000000                   0000000000000      0000000            0000   
            0x00, 0x00, 0x00, 0x0F, 0xFF, 0xF8, 0x7F, 0x00, 0x07, 0x80, ##      0000000                 00000000000000000    0000000             0000  
            0x00, 0x00, 0x00, 0x3F, 0xFF, 0xFC, 0x7F, 0x00, 0x07, 0x80, ##     0000000                00000000000000000000   0000000             0000  
            0x00, 0x00, 0x00, 0x7F, 0xFF, 0xFE, 0x7F, 0x00, 0x07, 0xC0, ##     0000000               0000000000000000000000  0000000             00000 
            0x00, 0x00, 0x00, 0xFF, 0xE0, 0x3F, 0x7F, 0x00, 0x03, 0xC0, ##    0000000               00000000000       000000 0000000              0000 
            0x00, 0x00, 0x00, 0xFF, 0x80, 0x0F, 0xFF, 0x00, 0x03, 0xC0, ##    0000000               000000000           000000000000              0000 
            0x00, 0x00, 0x01, 0xFF, 0x00, 0x07, 0xFF, 0x00, 0x03, 0xC0, ##    0000000              000000000             00000000000              0000 
            0x00, 0x00, 0x03, 0xFE, 0x00, 0x03, 0xFF, 0x00, 0x03, 0xC0, ##   0000000              000000000               0000000000              0000 
            0x00, 0x00, 0x03, 0xFC, 0x00, 0x01, 0xFF, 0x00, 0x01, 0xE0, ##   0000000              00000000                 000000000               0000
            0x00, 0x00, 0x03, 0xFC, 0x00, 0x01, 0xFF, 0x00, 0x01, 0xE0, ##   0000000              00000000                 000000000               0000
            0x00, 0x00, 0x07, 0xF8, 0x00, 0x00, 0xFF, 0x00, 0x01, 0xE0, ##   0000000             00000000                   00000000               0000
            0x00, 0x00, 0x07, 0xF8, 0x00, 0x00, 0xFF, 0x00, 0x01, 0xE0, ##   0000000             00000000                   00000000               0000
            0x00, 0x00, 0x07, 0xF8, 0x00, 0x00, 0x7F, 0x00, 0x01, 0xE0, ##  0000000              00000000                    0000000               0000
            0x00, 0x00, 0x0F, 0xF0, 0x00, 0x00, 0x7F, 0x00, 0x01, 0xE0, ##  0000000             00000000                     0000000               0000
            0x00, 0x00, 0x0F, 0xF0, 0x00, 0x00, 0x7F, 0x00, 0x01, 0xE0, ##  0000000             00000000                     0000000               0000
            0x00, 0x00, 0x0F, 0xF0, 0x00, 0x00, 0x7F, 0x00, 0x01, 0xE0, ##  0000000             00000000                     0000000               0000
            0x00, 0x00, 0x0F, 0xF0, 0x00, 0x00, 0x7F, 0x00, 0x01, 0xE0, ##  0000000             00000000                     0000000               0000
            0x00, 0x00, 0x0F, 0xF0, 0x00, 0x00, 0x7F, 0x00, 0x01, 0xE0, ##  0000000             00000000                     0000000               0000
            0x00, 0x00, 0x0F, 0xF0, 0x00, 0x00, 0x7F, 0x00, 0x03, 0xE0, ##  0000000             00000000                     0000000              00000
            0x00, 0x00, 0x0F, 0xF0, 0x00, 0x00, 0x7F, 0x00, 0x03, 0xC0, ##  0000000             00000000                     0000000              0000 
            0x00, 0x00, 0x0F, 0xF0, 0x00, 0x00, 0x7F, 0x00, 0x03, 0xC0, ##  0000000             00000000                     0000000              0000 
            0x00, 0x00, 0x0F, 0xF0, 0x00, 0x00, 0x7F, 0x00, 0x03, 0xC0, ##  0000000             00000000                     0000000              0000 
            0x00, 0x00, 0x0F, 0xF0, 0x00, 0x00, 0x7F, 0x00, 0x07, 0xC0, ##  0000000             00000000                     0000000             00000 
            0x00, 0x00, 0x0F, 0xF0, 0x00, 0x00, 0x7F, 0x00, 0x07, 0x80, ##  0000000             00000000                     0000000             0000  
            0x00, 0x00, 0x07, 0xF8, 0x00, 0x00, 0x7F, 0x00, 0x0F, 0x80, ##  0000000              00000000                    0000000            00000  
            0x00, 0x00, 0x07, 0xF8, 0x00, 0x00, 0xFF, 0x00, 0x0F, 0x00, ##   0000000             00000000                   00000000            0000   
            0x00, 0x00, 0x07, 0xF8, 0x00, 0x00, 0xFF, 0x00, 0x1F, 0x00, ##   0000000             00000000                   00000000           00000   
            0x00, 0x00, 0x03, 0xFC, 0x00, 0x01, 0xFF, 0x00, 0x3E, 0x00, ##   0000000              00000000                 000000000          00000    
            0x00, 0x00, 0x03, 0xFC, 0x00, 0x01, 0xFF, 0x00, 0x7E, 0x00, ##   0000000              00000000                 000000000         000000    
            0x00, 0x00, 0x03, 0xFE, 0x00, 0x03, 0xFF, 0x00, 0xFC, 0x00, ##   0000000              000000000               0000000000        000000     
            0x00, 0x00, 0x01, 0xFF, 0x00, 0x07, 0xFF, 0x01, 0xF8, 0x00, ##    0000000              000000000             00000000000       000000      
            0x00, 0x00, 0x00, 0xFF, 0x80, 0x0F, 0xFF, 0x07, 0xF0, 0x00, ##    0000000               000000000           000000000000     0000000       
            0x00, 0x00, 0x00, 0xFF, 0xE0, 0x3F, 0x7F, 0x1F, 0xE0, 0x00, ##    0000000               00000000000       000000 0000000   00000000        
            0x00, 0x00, 0x00, 0x7F, 0xFF, 0xFE, 0x7F, 0xFF, 0x80, 0x00, ##     0000000               0000000000000000000000  0000000000000000          
            0x00, 0x00, 0x00, 0x3F, 0xFF, 0xFC, 0x7F, 0xFF, 0x00, 0x00, ##     0000000                00000000000000000000   000000000000000           
            0x00, 0x00, 0x00, 0x0F, 0xFF, 0xF8, 0x7F, 0xFC, 0x00, 0x00, ##      0000000                 00000000000000000    0000000000000             
            0x00, 0x00, 0x00, 0x07, 0xFF, 0xE0, 0x7F, 0xE0, 0x00, 0x00, ##      0000000                  00000000000000      0000000000                
            0x00, 0x00, 0x00, 0x00, 0xFF, 0x00, 0x7E, 0x00, 0x00, 0x00, ##       0000000                    00000000         000000                    
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##       0000000                                                               
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##        0000000                                                              
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##        00000000                                                             
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##         00000000                                                            
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##          0000000                                                            
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##           0000000                                                           
            0x00, 0x00, 0x80, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##            0000000                                                          
            0x00, 0x00, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##             0000000                                                         
            0x00, 0x00, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x10, 0x00, 0x00, ##              00000000                                       0               
            0x00, 0x00, 0xF8, 0x00, 0x00, 0x00, 0x00, 0x30, 0x00, 0x00, ##               00000000                                     00               
            0x00, 0x00, 0xFE, 0x00, 0x00, 0x00, 0x00, 0xF8, 0x00, 0x00, ##                000000000                                 00000              
            0x00, 0x00, 0xFF, 0x80, 0x00, 0x00, 0x01, 0xF8, 0x00, 0x00, ##                 0000000000                              000000              
            0x00, 0x00, 0x7F, 0xE0, 0x00, 0x00, 0x07, 0xF0, 0x00, 0x00, ##                   0000000000                          0000000               
            0x00, 0x00, 0x3F, 0xFC, 0x00, 0x00, 0x3F, 0xE0, 0x00, 0x00, ##                    000000000000                    000000000                
            0x00, 0x00, 0x0F, 0xFF, 0xC0, 0x03, 0xFF, 0x80, 0x00, 0x00, ##                      00000000000000            00000000000                  
            0x00, 0x00, 0x03, 0xFF, 0xFF, 0xFF, 0xFE, 0x00, 0x00, 0x00, ##                        000000000000000000000000000000000                    
            0x00, 0x00, 0x00, 0xFF, 0xFF, 0xFF, 0xF8, 0x00, 0x00, 0x00, ##                          00000000000000000000000000000                      
            0x00, 0x00, 0x00, 0x1F, 0xFF, 0xFF, 0xC0, 0x00, 0x00, 0x00, ##                             00000000000000000000000                         
            0x00, 0x00, 0x00, 0x00, 0xFF, 0xF8, 0x00, 0x00, 0x00, 0x00, ##                                  0000000000000                              
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '65' => {    # 'A'
        'width'    => 64, 
        'xoffset'  => 0, 
        'xadvance' => 63, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x0F, 0xE0, 0x00, 0x00, 0x00, ##                              0000000                             
            0x00, 0x00, 0x00, 0x0F, 0xF0, 0x00, 0x00, 0x00, ##                              00000000                            
            0x00, 0x00, 0x00, 0x1F, 0xF0, 0x00, 0x00, 0x00, ##                             000000000                            
            0x00, 0x00, 0x00, 0x1F, 0xF0, 0x00, 0x00, 0x00, ##                             000000000                            
            0x00, 0x00, 0x00, 0x1F, 0xF8, 0x00, 0x00, 0x00, ##                             0000000000                           
            0x00, 0x00, 0x00, 0x3F, 0xF8, 0x00, 0x00, 0x00, ##                            00000000000                           
            0x00, 0x00, 0x00, 0x3F, 0xF8, 0x00, 0x00, 0x00, ##                            00000000000                           
            0x00, 0x00, 0x00, 0x3F, 0xFC, 0x00, 0x00, 0x00, ##                            000000000000                          
            0x00, 0x00, 0x00, 0x7F, 0xFC, 0x00, 0x00, 0x00, ##                           0000000000000                          
            0x00, 0x00, 0x00, 0x7F, 0xFE, 0x00, 0x00, 0x00, ##                           00000000000000                         
            0x00, 0x00, 0x00, 0xFF, 0xFE, 0x00, 0x00, 0x00, ##                          000000000000000                         
            0x00, 0x00, 0x00, 0xFB, 0xFE, 0x00, 0x00, 0x00, ##                          00000 000000000                         
            0x00, 0x00, 0x00, 0xFB, 0xFF, 0x00, 0x00, 0x00, ##                          00000 0000000000                        
            0x00, 0x00, 0x01, 0xFB, 0xFF, 0x00, 0x00, 0x00, ##                         000000 0000000000                        
            0x00, 0x00, 0x01, 0xF1, 0xFF, 0x00, 0x00, 0x00, ##                         00000   000000000                        
            0x00, 0x00, 0x01, 0xF1, 0xFF, 0x80, 0x00, 0x00, ##                         00000   0000000000                       
            0x00, 0x00, 0x03, 0xF0, 0xFF, 0x80, 0x00, 0x00, ##                        000000    000000000                       
            0x00, 0x00, 0x03, 0xE0, 0xFF, 0xC0, 0x00, 0x00, ##                        00000     0000000000                      
            0x00, 0x00, 0x07, 0xE0, 0xFF, 0xC0, 0x00, 0x00, ##                       000000     0000000000                      
            0x00, 0x00, 0x07, 0xC0, 0x7F, 0xC0, 0x00, 0x00, ##                       00000       000000000                      
            0x00, 0x00, 0x07, 0xC0, 0x7F, 0xE0, 0x00, 0x00, ##                       00000       0000000000                     
            0x00, 0x00, 0x0F, 0xC0, 0x7F, 0xE0, 0x00, 0x00, ##                      000000       0000000000                     
            0x00, 0x00, 0x0F, 0x80, 0x3F, 0xE0, 0x00, 0x00, ##                      00000         000000000                     
            0x00, 0x00, 0x0F, 0x80, 0x3F, 0xF0, 0x00, 0x00, ##                      00000         0000000000                    
            0x00, 0x00, 0x1F, 0x80, 0x1F, 0xF0, 0x00, 0x00, ##                     000000          000000000                    
            0x00, 0x00, 0x1F, 0x00, 0x1F, 0xF8, 0x00, 0x00, ##                     00000           0000000000                   
            0x00, 0x00, 0x3F, 0x00, 0x1F, 0xF8, 0x00, 0x00, ##                    000000           0000000000                   
            0x00, 0x00, 0x3E, 0x00, 0x0F, 0xF8, 0x00, 0x00, ##                    00000             000000000                   
            0x00, 0x00, 0x3E, 0x00, 0x0F, 0xFC, 0x00, 0x00, ##                    00000             0000000000                  
            0x00, 0x00, 0x7E, 0x00, 0x0F, 0xFC, 0x00, 0x00, ##                   000000             0000000000                  
            0x00, 0x00, 0x7C, 0x00, 0x07, 0xFC, 0x00, 0x00, ##                   00000               000000000                  
            0x00, 0x00, 0x7C, 0x00, 0x07, 0xFE, 0x00, 0x00, ##                   00000               0000000000                 
            0x00, 0x00, 0xFC, 0x00, 0x03, 0xFE, 0x00, 0x00, ##                  000000                000000000                 
            0x00, 0x00, 0xF8, 0x00, 0x03, 0xFF, 0x00, 0x00, ##                  00000                 0000000000                
            0x00, 0x01, 0xF8, 0x00, 0x03, 0xFF, 0x00, 0x00, ##                 000000                 0000000000                
            0x00, 0x01, 0xF8, 0x00, 0x01, 0xFF, 0x00, 0x00, ##                 000000                  000000000                
            0x00, 0x01, 0xF0, 0x00, 0x01, 0xFF, 0x80, 0x00, ##                 00000                   0000000000               
            0x00, 0x03, 0xF0, 0x00, 0x01, 0xFF, 0x80, 0x00, ##                000000                   0000000000               
            0x00, 0x03, 0xE0, 0x00, 0x00, 0xFF, 0x80, 0x00, ##                00000                     000000000               
            0x00, 0x03, 0xE0, 0x00, 0x00, 0xFF, 0xC0, 0x00, ##                00000                     0000000000              
            0x00, 0x07, 0xE0, 0x00, 0x00, 0x7F, 0xC0, 0x00, ##               000000                      000000000              
            0x00, 0x07, 0xC0, 0x00, 0x00, 0x7F, 0xE0, 0x00, ##               00000                       0000000000             
            0x00, 0x07, 0xFF, 0xFF, 0xFF, 0xFF, 0xE0, 0x00, ##               00000000000000000000000000000000000000             
            0x00, 0x0F, 0xFF, 0xFF, 0xFF, 0xFF, 0xE0, 0x00, ##              000000000000000000000000000000000000000             
            0x00, 0x0F, 0xFF, 0xFF, 0xFF, 0xFF, 0xF0, 0x00, ##              0000000000000000000000000000000000000000            
            0x00, 0x1F, 0xFF, 0xFF, 0xFF, 0xFF, 0xF0, 0x00, ##             00000000000000000000000000000000000000000            
            0x00, 0x1F, 0x00, 0x00, 0x00, 0x1F, 0xF0, 0x00, ##             00000                           000000000            
            0x00, 0x1F, 0x00, 0x00, 0x00, 0x1F, 0xF8, 0x00, ##             00000                           0000000000           
            0x00, 0x3E, 0x00, 0x00, 0x00, 0x0F, 0xF8, 0x00, ##            00000                             000000000           
            0x00, 0x3E, 0x00, 0x00, 0x00, 0x0F, 0xF8, 0x00, ##            00000                             000000000           
            0x00, 0x3E, 0x00, 0x00, 0x00, 0x0F, 0xFC, 0x00, ##            00000                             0000000000          
            0x00, 0x7C, 0x00, 0x00, 0x00, 0x07, 0xFC, 0x00, ##           00000                               000000000          
            0x00, 0x7C, 0x00, 0x00, 0x00, 0x07, 0xFE, 0x00, ##           00000                               0000000000         
            0x00, 0xFC, 0x00, 0x00, 0x00, 0x07, 0xFE, 0x00, ##          000000                               0000000000         
            0x00, 0xF8, 0x00, 0x00, 0x00, 0x03, 0xFE, 0x00, ##          00000                                 000000000         
            0x00, 0xF8, 0x00, 0x00, 0x00, 0x03, 0xFF, 0x00, ##          00000                                 0000000000        
            0x01, 0xF8, 0x00, 0x00, 0x00, 0x03, 0xFF, 0x00, ##         000000                                 0000000000        
            0x01, 0xF0, 0x00, 0x00, 0x00, 0x01, 0xFF, 0x00, ##         00000                                   000000000        
            0x01, 0xF0, 0x00, 0x00, 0x00, 0x01, 0xFF, 0x80, ##         00000                                   0000000000       
            0x03, 0xF0, 0x00, 0x00, 0x00, 0x00, 0xFF, 0x80, ##        000000                                    000000000       
            0x03, 0xE0, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xC0, ##        00000                                     0000000000      
            0xFF, 0xFF, 0xC0, 0x00, 0x00, 0x7F, 0xFF, 0xFF, ##  000000000000000000                       00000000000000000000000
            0xFF, 0xFF, 0xC0, 0x00, 0x00, 0x7F, 0xFF, 0xFF, ##  000000000000000000                       00000000000000000000000
            0xFF, 0xFF, 0xC0, 0x00, 0x00, 0x7F, 0xFF, 0xFF, ##  000000000000000000                       00000000000000000000000
            0xFF, 0xFF, 0xC0, 0x00, 0x00, 0x7F, 0xFF, 0xFF, ##  000000000000000000                       00000000000000000000000
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '66' => {    # 'B'
        'width'    => 53, 
        'xoffset'  => 5, 
        'xadvance' => 63, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0xFF, 0xFF, 0xFF, 0xFF, 0xFC, 0x00, 0x00, ##  00000000000000000000000000000000000000               
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xC0, 0x00, ##  000000000000000000000000000000000000000000           
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF0, 0x00, ##  00000000000000000000000000000000000000000000         
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF8, 0x00, ##  000000000000000000000000000000000000000000000        
            0x00, 0xFF, 0x80, 0x00, 0x7F, 0xFE, 0x00, ##          000000000                00000000000000      
            0x00, 0xFF, 0x80, 0x00, 0x0F, 0xFF, 0x00, ##          000000000                   000000000000     
            0x00, 0xFF, 0x80, 0x00, 0x07, 0xFF, 0x00, ##          000000000                    00000000000     
            0x00, 0xFF, 0x80, 0x00, 0x01, 0xFF, 0x80, ##          000000000                      0000000000    
            0x00, 0xFF, 0x80, 0x00, 0x01, 0xFF, 0xC0, ##          000000000                      00000000000   
            0x00, 0xFF, 0x80, 0x00, 0x00, 0xFF, 0xC0, ##          000000000                       0000000000   
            0x00, 0xFF, 0x80, 0x00, 0x00, 0xFF, 0xC0, ##          000000000                       0000000000   
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x7F, 0xE0, ##          000000000                        0000000000  
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x7F, 0xE0, ##          000000000                        0000000000  
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x7F, 0xE0, ##          000000000                        0000000000  
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x7F, 0xE0, ##          000000000                        0000000000  
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x7F, 0xE0, ##          000000000                        0000000000  
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x7F, 0xE0, ##          000000000                        0000000000  
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x7F, 0xE0, ##          000000000                        0000000000  
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x7F, 0xE0, ##          000000000                        0000000000  
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x7F, 0xE0, ##          000000000                        0000000000  
            0x00, 0xFF, 0x80, 0x00, 0x00, 0xFF, 0xC0, ##          000000000                       0000000000   
            0x00, 0xFF, 0x80, 0x00, 0x00, 0xFF, 0xC0, ##          000000000                       0000000000   
            0x00, 0xFF, 0x80, 0x00, 0x01, 0xFF, 0x80, ##          000000000                      0000000000    
            0x00, 0xFF, 0x80, 0x00, 0x01, 0xFF, 0x80, ##          000000000                      0000000000    
            0x00, 0xFF, 0x80, 0x00, 0x07, 0xFF, 0x00, ##          000000000                    00000000000     
            0x00, 0xFF, 0x80, 0x00, 0x0F, 0xFE, 0x00, ##          000000000                   00000000000      
            0x00, 0xFF, 0x80, 0x00, 0x7F, 0xF8, 0x00, ##          000000000                000000000000        
            0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0xE0, 0x00, ##          00000000000000000000000000000000000          
            0x00, 0xFF, 0xFF, 0xFF, 0xFE, 0x00, 0x00, ##          0000000000000000000000000000000              
            0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0x80, 0x00, ##          000000000000000000000000000000000            
            0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0xF0, 0x00, ##          000000000000000000000000000000000000         
            0x00, 0xFF, 0x80, 0x00, 0x1F, 0xFC, 0x00, ##          000000000                  00000000000       
            0x00, 0xFF, 0x80, 0x00, 0x03, 0xFE, 0x00, ##          000000000                     000000000      
            0x00, 0xFF, 0x80, 0x00, 0x01, 0xFF, 0x80, ##          000000000                      0000000000    
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x7F, 0x80, ##          000000000                        00000000    
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x7F, 0xC0, ##          000000000                        000000000   
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x3F, 0xE0, ##          000000000                         000000000  
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x1F, 0xE0, ##          000000000                          00000000  
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x1F, 0xF0, ##          000000000                          000000000 
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x1F, 0xF0, ##          000000000                          000000000 
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x0F, 0xF0, ##          000000000                           00000000 
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x0F, 0xF8, ##          000000000                           000000000
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x0F, 0xF8, ##          000000000                           000000000
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x0F, 0xF8, ##          000000000                           000000000
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x0F, 0xF8, ##          000000000                           000000000
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x0F, 0xF8, ##          000000000                           000000000
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x0F, 0xF8, ##          000000000                           000000000
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x0F, 0xF8, ##          000000000                           000000000
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x0F, 0xF8, ##          000000000                           000000000
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x0F, 0xF8, ##          000000000                           000000000
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x1F, 0xF0, ##          000000000                          000000000 
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x1F, 0xF0, ##          000000000                          000000000 
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x1F, 0xF0, ##          000000000                          000000000 
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x1F, 0xF0, ##          000000000                          000000000 
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x3F, 0xE0, ##          000000000                         000000000  
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x7F, 0xE0, ##          000000000                        0000000000  
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x7F, 0xC0, ##          000000000                        000000000   
            0x00, 0xFF, 0x80, 0x00, 0x01, 0xFF, 0x80, ##          000000000                      0000000000    
            0x00, 0xFF, 0x80, 0x00, 0x03, 0xFF, 0x00, ##          000000000                     0000000000     
            0x00, 0xFF, 0x80, 0x00, 0x1F, 0xFE, 0x00, ##          000000000                  000000000000      
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFC, 0x00, ##  0000000000000000000000000000000000000000000000       
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF0, 0x00, ##  00000000000000000000000000000000000000000000         
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x80, 0x00, ##  00000000000000000000000000000000000000000            
            0xFF, 0xFF, 0xFF, 0xFF, 0xF0, 0x00, 0x00, ##  000000000000000000000000000000000000                 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '67' => {    # 'C'
        'width'    => 56, 
        'xoffset'  => 5, 
        'xadvance' => 66, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x7F, 0xFC, 0x00, 0x00, ##                           0000000000000                  
            0x00, 0x00, 0x07, 0xFF, 0xFF, 0xE0, 0x00, ##                       0000000000000000000000             
            0x00, 0x00, 0x3F, 0xFF, 0xFF, 0xFE, 0x00, ##                    00000000000000000000000000000         
            0x00, 0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0xC0, ##                  0000000000000000000000000000000000      
            0x00, 0x03, 0xFF, 0x80, 0x1F, 0xFF, 0xF8, ##                00000000000          000000000000000000   
            0x00, 0x07, 0xFC, 0x00, 0x01, 0xFF, 0xFE, ##               000000000                 0000000000000000 
            0x00, 0x1F, 0xF0, 0x00, 0x00, 0x7F, 0xFE, ##             000000000                     00000000000000 
            0x00, 0x3F, 0xC0, 0x00, 0x00, 0x1F, 0xFE, ##            00000000                         000000000000 
            0x00, 0x7F, 0x80, 0x00, 0x00, 0x0F, 0xFE, ##           00000000                           00000000000 
            0x00, 0xFF, 0x00, 0x00, 0x00, 0x07, 0xFE, ##          00000000                             0000000000 
            0x01, 0xFE, 0x00, 0x00, 0x00, 0x03, 0xFE, ##         00000000                               000000000 
            0x03, 0xFC, 0x00, 0x00, 0x00, 0x03, 0xFE, ##        00000000                                000000000 
            0x03, 0xFC, 0x00, 0x00, 0x00, 0x01, 0xFE, ##        00000000                                 00000000 
            0x07, 0xF8, 0x00, 0x00, 0x00, 0x00, 0xFE, ##       00000000                                   0000000 
            0x0F, 0xF0, 0x00, 0x00, 0x00, 0x00, 0xFE, ##      00000000                                    0000000 
            0x0F, 0xF0, 0x00, 0x00, 0x00, 0x00, 0xFE, ##      00000000                                    0000000 
            0x1F, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x7E, ##     000000000                                     000000 
            0x1F, 0xE0, 0x00, 0x00, 0x00, 0x00, 0x7E, ##     00000000                                      000000 
            0x1F, 0xE0, 0x00, 0x00, 0x00, 0x00, 0x7E, ##     00000000                                      000000 
            0x3F, 0xE0, 0x00, 0x00, 0x00, 0x00, 0x3E, ##    000000000                                       00000 
            0x3F, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x00, ##    00000000                                              
            0x3F, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x00, ##    00000000                                              
            0x7F, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x00, ##   000000000                                              
            0x7F, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x00, ##   000000000                                              
            0x7F, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x00, ##   000000000                                              
            0x7F, 0x80, 0x00, 0x00, 0x00, 0x00, 0x00, ##   00000000                                               
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x00, ##  000000000                                               
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x00, ##  000000000                                               
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x00, ##  000000000                                               
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x00, ##  000000000                                               
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x00, ##  000000000                                               
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x00, ##  000000000                                               
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x00, ##  000000000                                               
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x00, ##  000000000                                               
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x00, ##  000000000                                               
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x00, ##  000000000                                               
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x00, ##  000000000                                               
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x00, ##  000000000                                               
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x00, ##  000000000                                               
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x00, ##  000000000                                               
            0x7F, 0x80, 0x00, 0x00, 0x00, 0x00, 0x00, ##   00000000                                               
            0x7F, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x00, ##   000000000                                              
            0x7F, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x00, ##   000000000                                              
            0x7F, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x00, ##   000000000                                              
            0x3F, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x00, ##    00000000                                              
            0x3F, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x00, ##    00000000                                              
            0x3F, 0xE0, 0x00, 0x00, 0x00, 0x00, 0x00, ##    000000000                                             
            0x1F, 0xE0, 0x00, 0x00, 0x00, 0x00, 0x00, ##     00000000                                             
            0x1F, 0xE0, 0x00, 0x00, 0x00, 0x00, 0xFF, ##     00000000                                     00000000
            0x1F, 0xF0, 0x00, 0x00, 0x00, 0x00, 0xFF, ##     000000000                                    00000000
            0x0F, 0xF0, 0x00, 0x00, 0x00, 0x00, 0xFE, ##      00000000                                    0000000 
            0x07, 0xF0, 0x00, 0x00, 0x00, 0x01, 0xFE, ##       0000000                                   00000000 
            0x07, 0xF8, 0x00, 0x00, 0x00, 0x01, 0xFE, ##       00000000                                  00000000 
            0x03, 0xF8, 0x00, 0x00, 0x00, 0x03, 0xFC, ##        0000000                                 00000000  
            0x01, 0xFC, 0x00, 0x00, 0x00, 0x07, 0xF8, ##         0000000                               00000000   
            0x01, 0xFE, 0x00, 0x00, 0x00, 0x07, 0xF8, ##         00000000                              00000000   
            0x00, 0xFF, 0x00, 0x00, 0x00, 0x0F, 0xF0, ##          00000000                            00000000    
            0x00, 0x7F, 0x80, 0x00, 0x00, 0x1F, 0xE0, ##           00000000                          00000000     
            0x00, 0x3F, 0xC0, 0x00, 0x00, 0x3F, 0xC0, ##            00000000                        00000000      
            0x00, 0x1F, 0xE0, 0x00, 0x00, 0xFF, 0x80, ##             00000000                     000000000       
            0x00, 0x07, 0xFC, 0x00, 0x03, 0xFF, 0x00, ##               000000000                0000000000        
            0x00, 0x03, 0xFF, 0x80, 0x1F, 0xFE, 0x00, ##                00000000000          000000000000         
            0x00, 0x00, 0xFF, 0xFF, 0xFF, 0xF8, 0x00, ##                  00000000000000000000000000000           
            0x00, 0x00, 0x3F, 0xFF, 0xFF, 0xE0, 0x00, ##                    0000000000000000000000000             
            0x00, 0x00, 0x0F, 0xFF, 0xFF, 0x80, 0x00, ##                      000000000000000000000               
            0x00, 0x00, 0x00, 0xFF, 0xF0, 0x00, 0x00, ##                          000000000000                    
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '68' => {    # 'D'
        'width'    => 60, 
        'xoffset'  => 5, 
        'xadvance' => 70, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0xFF, 0xFF, 0xFF, 0xFF, 0x80, 0x00, 0x00, 0x00, ##  000000000000000000000000000000000                           
            0xFF, 0xFF, 0xFF, 0xFF, 0xFC, 0x00, 0x00, 0x00, ##  00000000000000000000000000000000000000                      
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x80, 0x00, 0x00, ##  00000000000000000000000000000000000000000                   
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xE0, 0x00, 0x00, ##  0000000000000000000000000000000000000000000                 
            0x00, 0xFF, 0x80, 0x01, 0xFF, 0xF8, 0x00, 0x00, ##          000000000              00000000000000               
            0x00, 0xFF, 0x80, 0x00, 0x1F, 0xFE, 0x00, 0x00, ##          000000000                  000000000000             
            0x00, 0xFF, 0x80, 0x00, 0x07, 0xFF, 0x00, 0x00, ##          000000000                    00000000000            
            0x00, 0xFF, 0x80, 0x00, 0x01, 0xFF, 0xC0, 0x00, ##          000000000                      00000000000          
            0x00, 0xFF, 0x80, 0x00, 0x00, 0xFF, 0xE0, 0x00, ##          000000000                       00000000000         
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x3F, 0xF0, 0x00, ##          000000000                         0000000000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x1F, 0xF8, 0x00, ##          000000000                          0000000000       
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x0F, 0xFC, 0x00, ##          000000000                           0000000000      
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x07, 0xFC, 0x00, ##          000000000                            000000000      
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x07, 0xFE, 0x00, ##          000000000                            0000000000     
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x03, 0xFF, 0x00, ##          000000000                             0000000000    
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x03, 0xFF, 0x00, ##          000000000                             0000000000    
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x01, 0xFF, 0x80, ##          000000000                              0000000000   
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x01, 0xFF, 0x80, ##          000000000                              0000000000   
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0xFF, 0xC0, ##          000000000                               0000000000  
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0xFF, 0xC0, ##          000000000                               0000000000  
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x7F, 0xC0, ##          000000000                                000000000  
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x7F, 0xE0, ##          000000000                                0000000000 
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x7F, 0xE0, ##          000000000                                0000000000 
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x7F, 0xE0, ##          000000000                                0000000000 
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x7F, 0xE0, ##          000000000                                0000000000 
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x3F, 0xF0, ##          000000000                                 0000000000
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x3F, 0xF0, ##          000000000                                 0000000000
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x3F, 0xF0, ##          000000000                                 0000000000
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x3F, 0xF0, ##          000000000                                 0000000000
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x3F, 0xF0, ##          000000000                                 0000000000
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x3F, 0xF0, ##          000000000                                 0000000000
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x3F, 0xF0, ##          000000000                                 0000000000
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x3F, 0xF0, ##          000000000                                 0000000000
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x3F, 0xF0, ##          000000000                                 0000000000
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x3F, 0xF0, ##          000000000                                 0000000000
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x3F, 0xF0, ##          000000000                                 0000000000
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x3F, 0xF0, ##          000000000                                 0000000000
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x3F, 0xF0, ##          000000000                                 0000000000
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x3F, 0xF0, ##          000000000                                 0000000000
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x7F, 0xE0, ##          000000000                                0000000000 
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x7F, 0xE0, ##          000000000                                0000000000 
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x7F, 0xE0, ##          000000000                                0000000000 
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x7F, 0xE0, ##          000000000                                0000000000 
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0xFF, 0xC0, ##          000000000                               0000000000  
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0xFF, 0xC0, ##          000000000                               0000000000  
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0xFF, 0xC0, ##          000000000                               0000000000  
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x01, 0xFF, 0x80, ##          000000000                              0000000000   
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x01, 0xFF, 0x80, ##          000000000                              0000000000   
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x03, 0xFF, 0x00, ##          000000000                             0000000000    
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x03, 0xFF, 0x00, ##          000000000                             0000000000    
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x07, 0xFE, 0x00, ##          000000000                            0000000000     
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x0F, 0xFC, 0x00, ##          000000000                           0000000000      
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x0F, 0xFC, 0x00, ##          000000000                           0000000000      
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x1F, 0xF8, 0x00, ##          000000000                          0000000000       
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x3F, 0xF0, 0x00, ##          000000000                         0000000000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0xFF, 0xE0, 0x00, ##          000000000                       00000000000         
            0x00, 0xFF, 0x80, 0x00, 0x01, 0xFF, 0xC0, 0x00, ##          000000000                      00000000000          
            0x00, 0xFF, 0x80, 0x00, 0x07, 0xFF, 0x00, 0x00, ##          000000000                    00000000000            
            0x00, 0xFF, 0x80, 0x00, 0x1F, 0xFE, 0x00, 0x00, ##          000000000                  000000000000             
            0x00, 0xFF, 0x80, 0x01, 0xFF, 0xF8, 0x00, 0x00, ##          000000000              00000000000000               
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xE0, 0x00, 0x00, ##  0000000000000000000000000000000000000000000                 
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x80, 0x00, 0x00, ##  00000000000000000000000000000000000000000                   
            0xFF, 0xFF, 0xFF, 0xFF, 0xFC, 0x00, 0x00, 0x00, ##  00000000000000000000000000000000000000                      
            0xFF, 0xFF, 0xFF, 0xFF, 0x80, 0x00, 0x00, 0x00, ##  000000000000000000000000000000000                           
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '69' => {    # 'E'
        'width'    => 52, 
        'xoffset'  => 5, 
        'xadvance' => 64, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xE0, ##  000000000000000000000000000000000000000000000000000 
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xE0, ##  000000000000000000000000000000000000000000000000000 
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xE0, ##  000000000000000000000000000000000000000000000000000 
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xE0, ##  000000000000000000000000000000000000000000000000000 
            0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xE0, ##          0000000000000000000000000000000000000000000 
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x03, 0xE0, ##          000000000                             00000 
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x03, 0xE0, ##          000000000                             00000 
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x03, 0xE0, ##          000000000                             00000 
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x03, 0xE0, ##          000000000                             00000 
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x03, 0xE0, ##          000000000                             00000 
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x03, 0xE0, ##          000000000                             00000 
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x03, 0xE0, ##          000000000                             00000 
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x03, 0xE0, ##          000000000                             00000 
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x03, 0xE0, ##          000000000                             00000 
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##          000000000                                   
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##          000000000                                   
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##          000000000                                   
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##          000000000                                   
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##          000000000                                   
            0x00, 0xFF, 0x80, 0x00, 0x03, 0xE0, 0x00, ##          000000000                     00000         
            0x00, 0xFF, 0x80, 0x00, 0x03, 0xE0, 0x00, ##          000000000                     00000         
            0x00, 0xFF, 0x80, 0x00, 0x03, 0xE0, 0x00, ##          000000000                     00000         
            0x00, 0xFF, 0x80, 0x00, 0x03, 0xE0, 0x00, ##          000000000                     00000         
            0x00, 0xFF, 0x80, 0x00, 0x03, 0xE0, 0x00, ##          000000000                     00000         
            0x00, 0xFF, 0x80, 0x00, 0x03, 0xE0, 0x00, ##          000000000                     00000         
            0x00, 0xFF, 0x80, 0x00, 0x03, 0xE0, 0x00, ##          000000000                     00000         
            0x00, 0xFF, 0x80, 0x00, 0x03, 0xE0, 0x00, ##          000000000                     00000         
            0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0xE0, 0x00, ##          00000000000000000000000000000000000         
            0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0xE0, 0x00, ##          00000000000000000000000000000000000         
            0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0xE0, 0x00, ##          00000000000000000000000000000000000         
            0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0xE0, 0x00, ##          00000000000000000000000000000000000         
            0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0xE0, 0x00, ##          00000000000000000000000000000000000         
            0x00, 0xFF, 0x80, 0x00, 0x03, 0xE0, 0x00, ##          000000000                     00000         
            0x00, 0xFF, 0x80, 0x00, 0x03, 0xE0, 0x00, ##          000000000                     00000         
            0x00, 0xFF, 0x80, 0x00, 0x03, 0xE0, 0x00, ##          000000000                     00000         
            0x00, 0xFF, 0x80, 0x00, 0x03, 0xE0, 0x00, ##          000000000                     00000         
            0x00, 0xFF, 0x80, 0x00, 0x03, 0xE0, 0x00, ##          000000000                     00000         
            0x00, 0xFF, 0x80, 0x00, 0x03, 0xE0, 0x00, ##          000000000                     00000         
            0x00, 0xFF, 0x80, 0x00, 0x03, 0xE0, 0x00, ##          000000000                     00000         
            0x00, 0xFF, 0x80, 0x00, 0x03, 0xE0, 0x00, ##          000000000                     00000         
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##          000000000                                   
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##          000000000                                   
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##          000000000                                   
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##          000000000                                   
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##          000000000                                   
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##          000000000                                   
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##          000000000                                   
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##          000000000                                   
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##          000000000                                   
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##          000000000                                   
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x01, 0xF0, ##          000000000                              00000
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x01, 0xF0, ##          000000000                              00000
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x01, 0xF0, ##          000000000                              00000
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x01, 0xF0, ##          000000000                              00000
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x01, 0xF0, ##          000000000                              00000
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x01, 0xF0, ##          000000000                              00000
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x01, 0xF0, ##          000000000                              00000
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x01, 0xF0, ##          000000000                              00000
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x01, 0xF0, ##          000000000                              00000
            0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF0, ##          00000000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF0, ##  0000000000000000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF0, ##  0000000000000000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF0, ##  0000000000000000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF0, ##  0000000000000000000000000000000000000000000000000000
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '70' => {    # 'F'
        'width'    => 52, 
        'xoffset'  => 5, 
        'xadvance' => 61, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF0, ##  0000000000000000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF0, ##  0000000000000000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF0, ##  0000000000000000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF0, ##  0000000000000000000000000000000000000000000000000000
            0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF0, ##          00000000000000000000000000000000000000000000
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x01, 0xF0, ##          000000000                              00000
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x01, 0xF0, ##          000000000                              00000
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x01, 0xF0, ##          000000000                              00000
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x01, 0xF0, ##          000000000                              00000
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x01, 0xF0, ##          000000000                              00000
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x01, 0xF0, ##          000000000                              00000
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x01, 0xF0, ##          000000000                              00000
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x01, 0xF0, ##          000000000                              00000
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x01, 0xF0, ##          000000000                              00000
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##          000000000                                   
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##          000000000                                   
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##          000000000                                   
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##          000000000                                   
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##          000000000                                   
            0x00, 0xFF, 0x80, 0x00, 0x03, 0xE0, 0x00, ##          000000000                     00000         
            0x00, 0xFF, 0x80, 0x00, 0x03, 0xE0, 0x00, ##          000000000                     00000         
            0x00, 0xFF, 0x80, 0x00, 0x03, 0xE0, 0x00, ##          000000000                     00000         
            0x00, 0xFF, 0x80, 0x00, 0x03, 0xE0, 0x00, ##          000000000                     00000         
            0x00, 0xFF, 0x80, 0x00, 0x03, 0xE0, 0x00, ##          000000000                     00000         
            0x00, 0xFF, 0x80, 0x00, 0x03, 0xE0, 0x00, ##          000000000                     00000         
            0x00, 0xFF, 0x80, 0x00, 0x03, 0xE0, 0x00, ##          000000000                     00000         
            0x00, 0xFF, 0x80, 0x00, 0x03, 0xE0, 0x00, ##          000000000                     00000         
            0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0xE0, 0x00, ##          00000000000000000000000000000000000         
            0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0xE0, 0x00, ##          00000000000000000000000000000000000         
            0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0xE0, 0x00, ##          00000000000000000000000000000000000         
            0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0xE0, 0x00, ##          00000000000000000000000000000000000         
            0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0xE0, 0x00, ##          00000000000000000000000000000000000         
            0x00, 0xFF, 0x80, 0x00, 0x03, 0xE0, 0x00, ##          000000000                     00000         
            0x00, 0xFF, 0x80, 0x00, 0x03, 0xE0, 0x00, ##          000000000                     00000         
            0x00, 0xFF, 0x80, 0x00, 0x03, 0xE0, 0x00, ##          000000000                     00000         
            0x00, 0xFF, 0x80, 0x00, 0x03, 0xE0, 0x00, ##          000000000                     00000         
            0x00, 0xFF, 0x80, 0x00, 0x03, 0xE0, 0x00, ##          000000000                     00000         
            0x00, 0xFF, 0x80, 0x00, 0x03, 0xE0, 0x00, ##          000000000                     00000         
            0x00, 0xFF, 0x80, 0x00, 0x03, 0xE0, 0x00, ##          000000000                     00000         
            0x00, 0xFF, 0x80, 0x00, 0x03, 0xE0, 0x00, ##          000000000                     00000         
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##          000000000                                   
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##          000000000                                   
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##          000000000                                   
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##          000000000                                   
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##          000000000                                   
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##          000000000                                   
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##          000000000                                   
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##          000000000                                   
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##          000000000                                   
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##          000000000                                   
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##          000000000                                   
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##          000000000                                   
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##          000000000                                   
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##          000000000                                   
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##          000000000                                   
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##          000000000                                   
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##          000000000                                   
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##          000000000                                   
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##          000000000                                   
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##          000000000                                   
            0xFF, 0xFF, 0xFF, 0xE0, 0x00, 0x00, 0x00, ##  000000000000000000000000000                         
            0xFF, 0xFF, 0xFF, 0xE0, 0x00, 0x00, 0x00, ##  000000000000000000000000000                         
            0xFF, 0xFF, 0xFF, 0xE0, 0x00, 0x00, 0x00, ##  000000000000000000000000000                         
            0xFF, 0xFF, 0xFF, 0xE0, 0x00, 0x00, 0x00, ##  000000000000000000000000000                         
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '71' => {    # 'G'
        'width'    => 58, 
        'xoffset'  => 5, 
        'xadvance' => 70, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x3F, 0xFE, 0x00, 0x00, 0x00, ##                            0000000000000                   
            0x00, 0x00, 0x07, 0xFF, 0xFF, 0xF8, 0x00, 0x00, ##                       000000000000000000000000             
            0x00, 0x00, 0x3F, 0xFF, 0xFF, 0xFF, 0x80, 0x00, ##                    0000000000000000000000000000000         
            0x00, 0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0xF8, 0x00, ##                  0000000000000000000000000000000000000     
            0x00, 0x03, 0xFF, 0xC0, 0x07, 0xFF, 0xFF, 0x00, ##                000000000000           0000000000000000000  
            0x00, 0x07, 0xFC, 0x00, 0x00, 0xFF, 0xFF, 0x00, ##               000000000                  0000000000000000  
            0x00, 0x1F, 0xF0, 0x00, 0x00, 0x3F, 0xFF, 0x00, ##             000000000                      00000000000000  
            0x00, 0x3F, 0xC0, 0x00, 0x00, 0x0F, 0xFF, 0x00, ##            00000000                          000000000000  
            0x00, 0x7F, 0x80, 0x00, 0x00, 0x07, 0xFF, 0x00, ##           00000000                            00000000000  
            0x00, 0xFF, 0x00, 0x00, 0x00, 0x03, 0xFF, 0x00, ##          00000000                              0000000000  
            0x01, 0xFE, 0x00, 0x00, 0x00, 0x01, 0xFF, 0x00, ##         00000000                                000000000  
            0x03, 0xFC, 0x00, 0x00, 0x00, 0x00, 0xFF, 0x00, ##        00000000                                  00000000  
            0x03, 0xFC, 0x00, 0x00, 0x00, 0x00, 0xFF, 0x00, ##        00000000                                  00000000  
            0x07, 0xF8, 0x00, 0x00, 0x00, 0x00, 0x7F, 0x00, ##       00000000                                    0000000  
            0x0F, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x7F, 0x00, ##      00000000                                     0000000  
            0x0F, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x7F, 0x00, ##      00000000                                     0000000  
            0x1F, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x3F, 0x00, ##     000000000                                      000000  
            0x1F, 0xE0, 0x00, 0x00, 0x00, 0x00, 0x3F, 0x00, ##     00000000                                       000000  
            0x1F, 0xE0, 0x00, 0x00, 0x00, 0x00, 0x3F, 0x00, ##     00000000                                       000000  
            0x3F, 0xE0, 0x00, 0x00, 0x00, 0x00, 0x1F, 0x00, ##    000000000                                        00000  
            0x3F, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##    00000000                                                
            0x7F, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##   000000000                                                
            0x7F, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##   000000000                                                
            0x7F, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##   000000000                                                
            0x7F, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##   000000000                                                
            0x7F, 0x80, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##   00000000                                                 
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  000000000                                                 
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  000000000                                                 
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  000000000                                                 
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  000000000                                                 
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  000000000                                                 
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  000000000                                                 
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  000000000                                                 
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  000000000                                                 
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  000000000                                                 
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  000000000                                                 
            0xFF, 0x80, 0x00, 0x00, 0x07, 0xFF, 0xFF, 0xC0, ##  000000000                            000000000000000000000
            0xFF, 0x80, 0x00, 0x00, 0x07, 0xFF, 0xFF, 0xC0, ##  000000000                            000000000000000000000
            0xFF, 0x80, 0x00, 0x00, 0x07, 0xFF, 0xFF, 0xC0, ##  000000000                            000000000000000000000
            0xFF, 0x80, 0x00, 0x00, 0x07, 0xFF, 0xFF, 0xC0, ##  000000000                            000000000000000000000
            0x7F, 0x80, 0x00, 0x00, 0x00, 0x00, 0x7F, 0xC0, ##   00000000                                        000000000
            0x7F, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x7F, 0xC0, ##   000000000                                       000000000
            0x7F, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x7F, 0xC0, ##   000000000                                       000000000
            0x7F, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x7F, 0xC0, ##   000000000                                       000000000
            0x7F, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x7F, 0xC0, ##   000000000                                       000000000
            0x3F, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x7F, 0xC0, ##    00000000                                       000000000
            0x3F, 0xE0, 0x00, 0x00, 0x00, 0x00, 0x7F, 0xC0, ##    000000000                                      000000000
            0x1F, 0xE0, 0x00, 0x00, 0x00, 0x00, 0x7F, 0xC0, ##     00000000                                      000000000
            0x1F, 0xE0, 0x00, 0x00, 0x00, 0x00, 0x7F, 0xC0, ##     00000000                                      000000000
            0x1F, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x7F, 0xC0, ##     000000000                                     000000000
            0x0F, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x7F, 0xC0, ##      00000000                                     000000000
            0x0F, 0xF8, 0x00, 0x00, 0x00, 0x00, 0x7F, 0xC0, ##      000000000                                    000000000
            0x07, 0xF8, 0x00, 0x00, 0x00, 0x00, 0x7F, 0xC0, ##       00000000                                    000000000
            0x03, 0xFC, 0x00, 0x00, 0x00, 0x00, 0x7F, 0xC0, ##        00000000                                   000000000
            0x03, 0xFE, 0x00, 0x00, 0x00, 0x00, 0x7F, 0xC0, ##        000000000                                  000000000
            0x01, 0xFE, 0x00, 0x00, 0x00, 0x00, 0x7F, 0xC0, ##         00000000                                  000000000
            0x00, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x7F, 0xC0, ##          00000000                                 000000000
            0x00, 0x7F, 0x80, 0x00, 0x00, 0x00, 0xFF, 0xC0, ##           00000000                               0000000000
            0x00, 0x3F, 0xE0, 0x00, 0x00, 0x03, 0xFF, 0xC0, ##            000000000                           000000000000
            0x00, 0x1F, 0xF0, 0x00, 0x00, 0x0F, 0xFF, 0xC0, ##             000000000                        00000000000000
            0x00, 0x07, 0xFC, 0x00, 0x00, 0x7F, 0xFF, 0x80, ##               000000000                   0000000000000000 
            0x00, 0x03, 0xFF, 0xC0, 0x07, 0xFF, 0xFE, 0x00, ##                000000000000           000000000000000000   
            0x00, 0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0xF0, 0x00, ##                  000000000000000000000000000000000000      
            0x00, 0x00, 0x3F, 0xFF, 0xFF, 0xFF, 0x80, 0x00, ##                    0000000000000000000000000000000         
            0x00, 0x00, 0x07, 0xFF, 0xFF, 0xFC, 0x00, 0x00, ##                       0000000000000000000000000            
            0x00, 0x00, 0x00, 0x7F, 0xFF, 0x00, 0x00, 0x00, ##                           000000000000000                  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '72' => {    # 'H'
        'width'    => 66, 
        'xoffset'  => 5, 
        'xadvance' => 76, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0xFF, 0xFF, 0x80, 0x00, 0x7F, 0xFF, 0xFF, 0xC0, ##  0000000000000000000000000                0000000000000000000000000
            0x00, 0xFF, 0xFF, 0x80, 0x00, 0x7F, 0xFF, 0xFF, 0xC0, ##  0000000000000000000000000                0000000000000000000000000
            0x00, 0xFF, 0xFF, 0x80, 0x00, 0x7F, 0xFF, 0xFF, 0xC0, ##  0000000000000000000000000                0000000000000000000000000
            0x00, 0xFF, 0xFF, 0x80, 0x00, 0x7F, 0xFF, 0xFF, 0xC0, ##  0000000000000000000000000                0000000000000000000000000
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x7F, 0xC0, 0x00, ##          000000000                                000000000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x7F, 0xC0, 0x00, ##          000000000                                000000000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x7F, 0xC0, 0x00, ##          000000000                                000000000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x7F, 0xC0, 0x00, ##          000000000                                000000000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x7F, 0xC0, 0x00, ##          000000000                                000000000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x7F, 0xC0, 0x00, ##          000000000                                000000000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x7F, 0xC0, 0x00, ##          000000000                                000000000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x7F, 0xC0, 0x00, ##          000000000                                000000000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x7F, 0xC0, 0x00, ##          000000000                                000000000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x7F, 0xC0, 0x00, ##          000000000                                000000000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x7F, 0xC0, 0x00, ##          000000000                                000000000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x7F, 0xC0, 0x00, ##          000000000                                000000000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x7F, 0xC0, 0x00, ##          000000000                                000000000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x7F, 0xC0, 0x00, ##          000000000                                000000000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x7F, 0xC0, 0x00, ##          000000000                                000000000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x7F, 0xC0, 0x00, ##          000000000                                000000000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x7F, 0xC0, 0x00, ##          000000000                                000000000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x7F, 0xC0, 0x00, ##          000000000                                000000000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x7F, 0xC0, 0x00, ##          000000000                                000000000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x7F, 0xC0, 0x00, ##          000000000                                000000000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x7F, 0xC0, 0x00, ##          000000000                                000000000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x7F, 0xC0, 0x00, ##          000000000                                000000000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x7F, 0xC0, 0x00, ##          000000000                                000000000        
            0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xC0, 0x00, ##          00000000000000000000000000000000000000000000000000        
            0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xC0, 0x00, ##          00000000000000000000000000000000000000000000000000        
            0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xC0, 0x00, ##          00000000000000000000000000000000000000000000000000        
            0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xC0, 0x00, ##          00000000000000000000000000000000000000000000000000        
            0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xC0, 0x00, ##          00000000000000000000000000000000000000000000000000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x7F, 0xC0, 0x00, ##          000000000                                000000000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x7F, 0xC0, 0x00, ##          000000000                                000000000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x7F, 0xC0, 0x00, ##          000000000                                000000000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x7F, 0xC0, 0x00, ##          000000000                                000000000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x7F, 0xC0, 0x00, ##          000000000                                000000000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x7F, 0xC0, 0x00, ##          000000000                                000000000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x7F, 0xC0, 0x00, ##          000000000                                000000000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x7F, 0xC0, 0x00, ##          000000000                                000000000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x7F, 0xC0, 0x00, ##          000000000                                000000000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x7F, 0xC0, 0x00, ##          000000000                                000000000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x7F, 0xC0, 0x00, ##          000000000                                000000000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x7F, 0xC0, 0x00, ##          000000000                                000000000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x7F, 0xC0, 0x00, ##          000000000                                000000000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x7F, 0xC0, 0x00, ##          000000000                                000000000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x7F, 0xC0, 0x00, ##          000000000                                000000000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x7F, 0xC0, 0x00, ##          000000000                                000000000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x7F, 0xC0, 0x00, ##          000000000                                000000000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x7F, 0xC0, 0x00, ##          000000000                                000000000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x7F, 0xC0, 0x00, ##          000000000                                000000000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x7F, 0xC0, 0x00, ##          000000000                                000000000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x7F, 0xC0, 0x00, ##          000000000                                000000000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x7F, 0xC0, 0x00, ##          000000000                                000000000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x7F, 0xC0, 0x00, ##          000000000                                000000000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x7F, 0xC0, 0x00, ##          000000000                                000000000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x7F, 0xC0, 0x00, ##          000000000                                000000000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x7F, 0xC0, 0x00, ##          000000000                                000000000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x7F, 0xC0, 0x00, ##          000000000                                000000000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x7F, 0xC0, 0x00, ##          000000000                                000000000        
            0x00, 0xFF, 0xFF, 0x80, 0x00, 0x7F, 0xFF, 0xFF, 0xC0, ##  0000000000000000000000000                0000000000000000000000000
            0x00, 0xFF, 0xFF, 0x80, 0x00, 0x7F, 0xFF, 0xFF, 0xC0, ##  0000000000000000000000000                0000000000000000000000000
            0x00, 0xFF, 0xFF, 0x80, 0x00, 0x7F, 0xFF, 0xFF, 0xC0, ##  0000000000000000000000000                0000000000000000000000000
            0x00, 0xFF, 0xFF, 0x80, 0x00, 0x7F, 0xFF, 0xFF, 0xC0, ##  0000000000000000000000000                0000000000000000000000000
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '73' => {    # 'I'
        'width'    => 25, 
        'xoffset'  => 5, 
        'xadvance' => 35, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0xFF, 0xFF, 0xFF, 0x80, ##  0000000000000000000000000
            0xFF, 0xFF, 0xFF, 0x80, ##  0000000000000000000000000
            0xFF, 0xFF, 0xFF, 0x80, ##  0000000000000000000000000
            0xFF, 0xFF, 0xFF, 0x80, ##  0000000000000000000000000
            0x00, 0xFF, 0x80, 0x00, ##          000000000        
            0x00, 0xFF, 0x80, 0x00, ##          000000000        
            0x00, 0xFF, 0x80, 0x00, ##          000000000        
            0x00, 0xFF, 0x80, 0x00, ##          000000000        
            0x00, 0xFF, 0x80, 0x00, ##          000000000        
            0x00, 0xFF, 0x80, 0x00, ##          000000000        
            0x00, 0xFF, 0x80, 0x00, ##          000000000        
            0x00, 0xFF, 0x80, 0x00, ##          000000000        
            0x00, 0xFF, 0x80, 0x00, ##          000000000        
            0x00, 0xFF, 0x80, 0x00, ##          000000000        
            0x00, 0xFF, 0x80, 0x00, ##          000000000        
            0x00, 0xFF, 0x80, 0x00, ##          000000000        
            0x00, 0xFF, 0x80, 0x00, ##          000000000        
            0x00, 0xFF, 0x80, 0x00, ##          000000000        
            0x00, 0xFF, 0x80, 0x00, ##          000000000        
            0x00, 0xFF, 0x80, 0x00, ##          000000000        
            0x00, 0xFF, 0x80, 0x00, ##          000000000        
            0x00, 0xFF, 0x80, 0x00, ##          000000000        
            0x00, 0xFF, 0x80, 0x00, ##          000000000        
            0x00, 0xFF, 0x80, 0x00, ##          000000000        
            0x00, 0xFF, 0x80, 0x00, ##          000000000        
            0x00, 0xFF, 0x80, 0x00, ##          000000000        
            0x00, 0xFF, 0x80, 0x00, ##          000000000        
            0x00, 0xFF, 0x80, 0x00, ##          000000000        
            0x00, 0xFF, 0x80, 0x00, ##          000000000        
            0x00, 0xFF, 0x80, 0x00, ##          000000000        
            0x00, 0xFF, 0x80, 0x00, ##          000000000        
            0x00, 0xFF, 0x80, 0x00, ##          000000000        
            0x00, 0xFF, 0x80, 0x00, ##          000000000        
            0x00, 0xFF, 0x80, 0x00, ##          000000000        
            0x00, 0xFF, 0x80, 0x00, ##          000000000        
            0x00, 0xFF, 0x80, 0x00, ##          000000000        
            0x00, 0xFF, 0x80, 0x00, ##          000000000        
            0x00, 0xFF, 0x80, 0x00, ##          000000000        
            0x00, 0xFF, 0x80, 0x00, ##          000000000        
            0x00, 0xFF, 0x80, 0x00, ##          000000000        
            0x00, 0xFF, 0x80, 0x00, ##          000000000        
            0x00, 0xFF, 0x80, 0x00, ##          000000000        
            0x00, 0xFF, 0x80, 0x00, ##          000000000        
            0x00, 0xFF, 0x80, 0x00, ##          000000000        
            0x00, 0xFF, 0x80, 0x00, ##          000000000        
            0x00, 0xFF, 0x80, 0x00, ##          000000000        
            0x00, 0xFF, 0x80, 0x00, ##          000000000        
            0x00, 0xFF, 0x80, 0x00, ##          000000000        
            0x00, 0xFF, 0x80, 0x00, ##          000000000        
            0x00, 0xFF, 0x80, 0x00, ##          000000000        
            0x00, 0xFF, 0x80, 0x00, ##          000000000        
            0x00, 0xFF, 0x80, 0x00, ##          000000000        
            0x00, 0xFF, 0x80, 0x00, ##          000000000        
            0x00, 0xFF, 0x80, 0x00, ##          000000000        
            0x00, 0xFF, 0x80, 0x00, ##          000000000        
            0x00, 0xFF, 0x80, 0x00, ##          000000000        
            0x00, 0xFF, 0x80, 0x00, ##          000000000        
            0x00, 0xFF, 0x80, 0x00, ##          000000000        
            0x00, 0xFF, 0x80, 0x00, ##          000000000        
            0x00, 0xFF, 0x80, 0x00, ##          000000000        
            0xFF, 0xFF, 0xFF, 0x80, ##  0000000000000000000000000
            0xFF, 0xFF, 0xFF, 0x80, ##  0000000000000000000000000
            0xFF, 0xFF, 0xFF, 0x80, ##  0000000000000000000000000
            0xFF, 0xFF, 0xFF, 0x80, ##  0000000000000000000000000
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '74' => {    # 'J'
        'width'    => 38, 
        'xoffset'  => -7, 
        'xadvance' => 35, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x1F, 0xFF, 0xFF, 0xFC, ##             000000000000000000000000000
            0x00, 0x1F, 0xFF, 0xFF, 0xFC, ##             000000000000000000000000000
            0x00, 0x1F, 0xFF, 0xFF, 0xFC, ##             000000000000000000000000000
            0x00, 0x1F, 0xFF, 0xFF, 0xFC, ##             000000000000000000000000000
            0x00, 0x00, 0x07, 0xFC, 0x00, ##                       000000000        
            0x00, 0x00, 0x07, 0xFC, 0x00, ##                       000000000        
            0x00, 0x00, 0x07, 0xFC, 0x00, ##                       000000000        
            0x00, 0x00, 0x07, 0xFC, 0x00, ##                       000000000        
            0x00, 0x00, 0x07, 0xFC, 0x00, ##                       000000000        
            0x00, 0x00, 0x07, 0xFC, 0x00, ##                       000000000        
            0x00, 0x00, 0x07, 0xFC, 0x00, ##                       000000000        
            0x00, 0x00, 0x07, 0xFC, 0x00, ##                       000000000        
            0x00, 0x00, 0x07, 0xFC, 0x00, ##                       000000000        
            0x00, 0x00, 0x07, 0xFC, 0x00, ##                       000000000        
            0x00, 0x00, 0x07, 0xFC, 0x00, ##                       000000000        
            0x00, 0x00, 0x07, 0xFC, 0x00, ##                       000000000        
            0x00, 0x00, 0x07, 0xFC, 0x00, ##                       000000000        
            0x00, 0x00, 0x07, 0xFC, 0x00, ##                       000000000        
            0x00, 0x00, 0x07, 0xFC, 0x00, ##                       000000000        
            0x00, 0x00, 0x07, 0xFC, 0x00, ##                       000000000        
            0x00, 0x00, 0x07, 0xFC, 0x00, ##                       000000000        
            0x00, 0x00, 0x07, 0xFC, 0x00, ##                       000000000        
            0x00, 0x00, 0x07, 0xFC, 0x00, ##                       000000000        
            0x00, 0x00, 0x07, 0xFC, 0x00, ##                       000000000        
            0x00, 0x00, 0x07, 0xFC, 0x00, ##                       000000000        
            0x00, 0x00, 0x07, 0xFC, 0x00, ##                       000000000        
            0x00, 0x00, 0x07, 0xFC, 0x00, ##                       000000000        
            0x00, 0x00, 0x07, 0xFC, 0x00, ##                       000000000        
            0x00, 0x00, 0x07, 0xFC, 0x00, ##                       000000000        
            0x00, 0x00, 0x07, 0xFC, 0x00, ##                       000000000        
            0x00, 0x00, 0x07, 0xFC, 0x00, ##                       000000000        
            0x00, 0x00, 0x07, 0xFC, 0x00, ##                       000000000        
            0x00, 0x00, 0x07, 0xFC, 0x00, ##                       000000000        
            0x00, 0x00, 0x07, 0xFC, 0x00, ##                       000000000        
            0x00, 0x00, 0x07, 0xFC, 0x00, ##                       000000000        
            0x00, 0x00, 0x07, 0xFC, 0x00, ##                       000000000        
            0x00, 0x00, 0x07, 0xFC, 0x00, ##                       000000000        
            0x00, 0x00, 0x07, 0xFC, 0x00, ##                       000000000        
            0x00, 0x00, 0x07, 0xFC, 0x00, ##                       000000000        
            0x00, 0x00, 0x07, 0xFC, 0x00, ##                       000000000        
            0x00, 0x00, 0x07, 0xFC, 0x00, ##                       000000000        
            0x00, 0x00, 0x07, 0xFC, 0x00, ##                       000000000        
            0x00, 0x00, 0x07, 0xFC, 0x00, ##                       000000000        
            0x00, 0x00, 0x07, 0xFC, 0x00, ##                       000000000        
            0x00, 0x00, 0x07, 0xFC, 0x00, ##                       000000000        
            0x00, 0x00, 0x07, 0xFC, 0x00, ##                       000000000        
            0x00, 0x00, 0x07, 0xFC, 0x00, ##                       000000000        
            0x00, 0x00, 0x07, 0xFC, 0x00, ##                       000000000        
            0x00, 0x00, 0x07, 0xFC, 0x00, ##                       000000000        
            0x00, 0x00, 0x07, 0xFC, 0x00, ##                       000000000        
            0x00, 0x00, 0x07, 0xFC, 0x00, ##                       000000000        
            0x00, 0x00, 0x07, 0xFC, 0x00, ##                       000000000        
            0x00, 0x00, 0x07, 0xFC, 0x00, ##                       000000000        
            0x00, 0x00, 0x07, 0xFC, 0x00, ##                       000000000        
            0x00, 0x00, 0x07, 0xFC, 0x00, ##                       000000000        
            0x00, 0x00, 0x07, 0xFC, 0x00, ##                       000000000        
            0x00, 0x00, 0x07, 0xFC, 0x00, ##                       000000000        
            0x00, 0x00, 0x07, 0xFC, 0x00, ##                       000000000        
            0x00, 0x00, 0x07, 0xFC, 0x00, ##                       000000000        
            0x00, 0x00, 0x07, 0xFC, 0x00, ##                       000000000        
            0x00, 0x00, 0x07, 0xFC, 0x00, ##                       000000000        
            0x00, 0x00, 0x07, 0xFC, 0x00, ##                       000000000        
            0x00, 0x00, 0x07, 0xFC, 0x00, ##                       000000000        
            0x00, 0x00, 0x07, 0xFC, 0x00, ##                       000000000        
            0x00, 0x00, 0x07, 0xFC, 0x00, ##                       000000000        
            0x00, 0x00, 0x07, 0xFC, 0x00, ##                       000000000        
            0x00, 0x00, 0x07, 0xFC, 0x00, ##                       000000000        
            0x00, 0x00, 0x07, 0xFC, 0x00, ##                       000000000        
            0x00, 0x00, 0x07, 0xF8, 0x00, ##                       00000000         
            0xF8, 0x00, 0x07, 0xF8, 0x00, ##  00000                00000000         
            0xF8, 0x00, 0x0F, 0xF8, 0x00, ##  00000               000000000         
            0xF8, 0x00, 0x0F, 0xF8, 0x00, ##  00000               000000000         
            0xF8, 0x00, 0x0F, 0xF8, 0x00, ##  00000               000000000         
            0xFC, 0x00, 0x0F, 0xF0, 0x00, ##  000000              00000000          
            0xFC, 0x00, 0x1F, 0xF0, 0x00, ##  000000             000000000          
            0xFC, 0x00, 0x1F, 0xE0, 0x00, ##  000000             00000000           
            0xFE, 0x00, 0x7F, 0xC0, 0x00, ##  0000000          000000000            
            0xFF, 0x80, 0xFF, 0xC0, 0x00, ##  000000000       0000000000            
            0xFF, 0xFF, 0xFF, 0x80, 0x00, ##  0000000000000000000000000             
            0xFF, 0xFF, 0xFE, 0x00, 0x00, ##  00000000000000000000000               
            0x1F, 0xFF, 0xF8, 0x00, 0x00, ##     000000000000000000                 
            0x01, 0xFF, 0xC0, 0x00, 0x00, ##         00000000000                    
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '75' => {    # 'K'
        'width'    => 62, 
        'xoffset'  => 5, 
        'xadvance' => 65, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0xFF, 0xFF, 0xFF, 0x80, 0x07, 0xFF, 0xFF, 0xC0, ##  0000000000000000000000000            000000000000000000000    
            0xFF, 0xFF, 0xFF, 0x80, 0x07, 0xFF, 0xFF, 0xC0, ##  0000000000000000000000000            000000000000000000000    
            0xFF, 0xFF, 0xFF, 0x80, 0x07, 0xFF, 0xFF, 0xC0, ##  0000000000000000000000000            000000000000000000000    
            0xFF, 0xFF, 0xFF, 0x80, 0x07, 0xFF, 0xFF, 0xC0, ##  0000000000000000000000000            000000000000000000000    
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x1F, 0xC0, 0x00, ##          000000000                          0000000            
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x3F, 0x80, 0x00, ##          000000000                         0000000             
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x7F, 0x00, 0x00, ##          000000000                        0000000              
            0x00, 0xFF, 0x80, 0x00, 0x00, 0xFE, 0x00, 0x00, ##          000000000                       0000000               
            0x00, 0xFF, 0x80, 0x00, 0x01, 0xFC, 0x00, 0x00, ##          000000000                      0000000                
            0x00, 0xFF, 0x80, 0x00, 0x03, 0xF8, 0x00, 0x00, ##          000000000                     0000000                 
            0x00, 0xFF, 0x80, 0x00, 0x07, 0xF0, 0x00, 0x00, ##          000000000                    0000000                  
            0x00, 0xFF, 0x80, 0x00, 0x0F, 0xE0, 0x00, 0x00, ##          000000000                   0000000                   
            0x00, 0xFF, 0x80, 0x00, 0x1F, 0xC0, 0x00, 0x00, ##          000000000                  0000000                    
            0x00, 0xFF, 0x80, 0x00, 0x3F, 0x80, 0x00, 0x00, ##          000000000                 0000000                     
            0x00, 0xFF, 0x80, 0x00, 0xFE, 0x00, 0x00, 0x00, ##          000000000               0000000                       
            0x00, 0xFF, 0x80, 0x01, 0xFC, 0x00, 0x00, 0x00, ##          000000000              0000000                        
            0x00, 0xFF, 0x80, 0x03, 0xF8, 0x00, 0x00, 0x00, ##          000000000             0000000                         
            0x00, 0xFF, 0x80, 0x07, 0xF0, 0x00, 0x00, 0x00, ##          000000000            0000000                          
            0x00, 0xFF, 0x80, 0x0F, 0xE0, 0x00, 0x00, 0x00, ##          000000000           0000000                           
            0x00, 0xFF, 0x80, 0x1F, 0xC0, 0x00, 0x00, 0x00, ##          000000000          0000000                            
            0x00, 0xFF, 0x80, 0x3F, 0x80, 0x00, 0x00, 0x00, ##          000000000         0000000                             
            0x00, 0xFF, 0x80, 0x7F, 0x00, 0x00, 0x00, 0x00, ##          000000000        0000000                              
            0x00, 0xFF, 0x80, 0xFE, 0x00, 0x00, 0x00, 0x00, ##          000000000       0000000                               
            0x00, 0xFF, 0x81, 0xFC, 0x00, 0x00, 0x00, 0x00, ##          000000000      0000000                                
            0x00, 0xFF, 0x83, 0xF8, 0x00, 0x00, 0x00, 0x00, ##          000000000     0000000                                 
            0x00, 0xFF, 0x8F, 0xE0, 0x00, 0x00, 0x00, 0x00, ##          000000000   0000000                                   
            0x00, 0xFF, 0x9F, 0xC0, 0x00, 0x00, 0x00, 0x00, ##          000000000  0000000                                    
            0x00, 0xFF, 0xBF, 0x80, 0x00, 0x00, 0x00, 0x00, ##          000000000 0000000                                     
            0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##          0000000000000000                                      
            0x00, 0xFF, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##          00000000000000000                                     
            0x00, 0xFF, 0xFF, 0xC0, 0x00, 0x00, 0x00, 0x00, ##          000000000000000000                                    
            0x00, 0xFF, 0xFF, 0xE0, 0x00, 0x00, 0x00, 0x00, ##          0000000000000000000                                   
            0x00, 0xFF, 0xFF, 0xF0, 0x00, 0x00, 0x00, 0x00, ##          00000000000000000000                                  
            0x00, 0xFF, 0xFF, 0xF8, 0x00, 0x00, 0x00, 0x00, ##          000000000000000000000                                 
            0x00, 0xFF, 0xBF, 0xFC, 0x00, 0x00, 0x00, 0x00, ##          000000000 000000000000                                
            0x00, 0xFF, 0x9F, 0xFE, 0x00, 0x00, 0x00, 0x00, ##          000000000  000000000000                               
            0x00, 0xFF, 0x8F, 0xFF, 0x00, 0x00, 0x00, 0x00, ##          000000000   000000000000                              
            0x00, 0xFF, 0x87, 0xFF, 0x80, 0x00, 0x00, 0x00, ##          000000000    000000000000                             
            0x00, 0xFF, 0x83, 0xFF, 0xC0, 0x00, 0x00, 0x00, ##          000000000     000000000000                            
            0x00, 0xFF, 0x81, 0xFF, 0xC0, 0x00, 0x00, 0x00, ##          000000000      00000000000                            
            0x00, 0xFF, 0x80, 0xFF, 0xE0, 0x00, 0x00, 0x00, ##          000000000       00000000000                           
            0x00, 0xFF, 0x80, 0x7F, 0xF0, 0x00, 0x00, 0x00, ##          000000000        00000000000                          
            0x00, 0xFF, 0x80, 0x3F, 0xF8, 0x00, 0x00, 0x00, ##          000000000         00000000000                         
            0x00, 0xFF, 0x80, 0x1F, 0xFC, 0x00, 0x00, 0x00, ##          000000000          00000000000                        
            0x00, 0xFF, 0x80, 0x0F, 0xFE, 0x00, 0x00, 0x00, ##          000000000           00000000000                       
            0x00, 0xFF, 0x80, 0x07, 0xFF, 0x00, 0x00, 0x00, ##          000000000            00000000000                      
            0x00, 0xFF, 0x80, 0x03, 0xFF, 0x80, 0x00, 0x00, ##          000000000             00000000000                     
            0x00, 0xFF, 0x80, 0x01, 0xFF, 0xC0, 0x00, 0x00, ##          000000000              00000000000                    
            0x00, 0xFF, 0x80, 0x00, 0xFF, 0xE0, 0x00, 0x00, ##          000000000               00000000000                   
            0x00, 0xFF, 0x80, 0x00, 0xFF, 0xF0, 0x00, 0x00, ##          000000000               000000000000                  
            0x00, 0xFF, 0x80, 0x00, 0x7F, 0xF8, 0x00, 0x00, ##          000000000                000000000000                 
            0x00, 0xFF, 0x80, 0x00, 0x3F, 0xFC, 0x00, 0x00, ##          000000000                 000000000000                
            0x00, 0xFF, 0x80, 0x00, 0x1F, 0xFE, 0x00, 0x00, ##          000000000                  000000000000               
            0x00, 0xFF, 0x80, 0x00, 0x0F, 0xFF, 0x00, 0x00, ##          000000000                   000000000000              
            0x00, 0xFF, 0x80, 0x00, 0x07, 0xFF, 0x80, 0x00, ##          000000000                    000000000000             
            0x00, 0xFF, 0x80, 0x00, 0x03, 0xFF, 0xC0, 0x00, ##          000000000                     000000000000            
            0x00, 0xFF, 0x80, 0x00, 0x01, 0xFF, 0xE0, 0x00, ##          000000000                      000000000000           
            0x00, 0xFF, 0x80, 0x00, 0x00, 0xFF, 0xF0, 0x00, ##          000000000                       000000000000          
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x7F, 0xF8, 0x00, ##          000000000                        000000000000         
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x3F, 0xFC, 0x00, ##          000000000                         000000000000        
            0xFF, 0xFF, 0xFF, 0x80, 0x00, 0x1F, 0xFF, 0xFC, ##  0000000000000000000000000                  0000000000000000000
            0xFF, 0xFF, 0xFF, 0x80, 0x00, 0x0F, 0xFF, 0xFC, ##  0000000000000000000000000                   000000000000000000
            0xFF, 0xFF, 0xFF, 0x80, 0x00, 0x07, 0xFF, 0xFC, ##  0000000000000000000000000                    00000000000000000
            0xFF, 0xFF, 0xFF, 0x80, 0x00, 0x03, 0xFF, 0xFC, ##  0000000000000000000000000                     0000000000000000
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '76' => {    # 'L'
        'width'    => 51, 
        'xoffset'  => 5, 
        'xadvance' => 58, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0xFF, 0xFF, 0xFF, 0x80, 0x00, 0x00, 0x00, ##  0000000000000000000000000                          
            0xFF, 0xFF, 0xFF, 0x80, 0x00, 0x00, 0x00, ##  0000000000000000000000000                          
            0xFF, 0xFF, 0xFF, 0x80, 0x00, 0x00, 0x00, ##  0000000000000000000000000                          
            0xFF, 0xFF, 0xFF, 0x80, 0x00, 0x00, 0x00, ##  0000000000000000000000000                          
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##          000000000                                  
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##          000000000                                  
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##          000000000                                  
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##          000000000                                  
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##          000000000                                  
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##          000000000                                  
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##          000000000                                  
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##          000000000                                  
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##          000000000                                  
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##          000000000                                  
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##          000000000                                  
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##          000000000                                  
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##          000000000                                  
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##          000000000                                  
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##          000000000                                  
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##          000000000                                  
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##          000000000                                  
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##          000000000                                  
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##          000000000                                  
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##          000000000                                  
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##          000000000                                  
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##          000000000                                  
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##          000000000                                  
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##          000000000                                  
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##          000000000                                  
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##          000000000                                  
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##          000000000                                  
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##          000000000                                  
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##          000000000                                  
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##          000000000                                  
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##          000000000                                  
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##          000000000                                  
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##          000000000                                  
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##          000000000                                  
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##          000000000                                  
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##          000000000                                  
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##          000000000                                  
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##          000000000                                  
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##          000000000                                  
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##          000000000                                  
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##          000000000                                  
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##          000000000                                  
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##          000000000                                  
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##          000000000                                  
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x03, 0xE0, ##          000000000                             00000
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x03, 0xE0, ##          000000000                             00000
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x03, 0xE0, ##          000000000                             00000
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x03, 0xE0, ##          000000000                             00000
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x03, 0xE0, ##          000000000                             00000
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x03, 0xE0, ##          000000000                             00000
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x03, 0xE0, ##          000000000                             00000
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x03, 0xE0, ##          000000000                             00000
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x03, 0xE0, ##          000000000                             00000
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x03, 0xE0, ##          000000000                             00000
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x03, 0xE0, ##          000000000                             00000
            0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xE0, ##          0000000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xE0, ##  000000000000000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xE0, ##  000000000000000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xE0, ##  000000000000000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xE0, ##  000000000000000000000000000000000000000000000000000
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '77' => {    # 'M'
        'width'    => 80, 
        'xoffset'  => 4, 
        'xadvance' => 88, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0xE0, 0x00, 0x00, 0x00, 0x00, 0x03, 0xFF, 0xFF, ##  0000000000000000000                                           000000000000000000
            0x00, 0x00, 0xE0, 0x00, 0x00, 0x00, 0x00, 0x03, 0xFF, 0xFF, ##  0000000000000000000                                           000000000000000000
            0x00, 0x00, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x03, 0xFF, 0xFF, ##  00000000000000000000                                          000000000000000000
            0x00, 0x00, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x07, 0xFF, 0xFF, ##  00000000000000000000                                         0000000000000000000
            0x00, 0x00, 0xF8, 0x00, 0x00, 0x00, 0x00, 0x07, 0xFF, 0x00, ##           000000000000                                        00000000000        
            0x00, 0x00, 0xF8, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xFF, 0x00, ##           000000000000                                       000000000000        
            0x00, 0x00, 0xFC, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xFF, 0x00, ##           0000000000000                                      000000000000        
            0x00, 0x00, 0xFC, 0x00, 0x00, 0x00, 0x00, 0x1F, 0xFF, 0x00, ##           0000000000000                                     0000000000000        
            0x00, 0x00, 0xFE, 0x00, 0x00, 0x00, 0x00, 0x1F, 0xFF, 0x00, ##           00000000000000                                    0000000000000        
            0x00, 0x00, 0xFE, 0x00, 0x00, 0x00, 0x00, 0x3F, 0xFF, 0x00, ##           00000000000000                                   00000000000000        
            0x00, 0x00, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x3F, 0xFF, 0x00, ##           000000000000000                                  00000000000000        
            0x00, 0x00, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x7D, 0xFF, 0x00, ##           00000 000000000                                 00000 000000000        
            0x00, 0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x7D, 0xFF, 0x00, ##           00000 0000000000                                00000 000000000        
            0x00, 0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0xF9, 0xFF, 0x00, ##           00000  000000000                               00000  000000000        
            0x00, 0x00, 0xFF, 0xC0, 0x00, 0x00, 0x00, 0xF9, 0xFF, 0x00, ##           00000  0000000000                              00000  000000000        
            0x00, 0x00, 0x7F, 0xC0, 0x00, 0x00, 0x01, 0xF1, 0xFF, 0x00, ##           00000   000000000                             00000   000000000        
            0x00, 0x00, 0x7F, 0xE0, 0x00, 0x00, 0x01, 0xF1, 0xFF, 0x00, ##           00000   0000000000                            00000   000000000        
            0x00, 0x00, 0x3F, 0xE0, 0x00, 0x00, 0x03, 0xE1, 0xFF, 0x00, ##           00000    000000000                           00000    000000000        
            0x00, 0x00, 0x3F, 0xF0, 0x00, 0x00, 0x03, 0xE1, 0xFF, 0x00, ##           00000    0000000000                          00000    000000000        
            0x00, 0x00, 0x1F, 0xF0, 0x00, 0x00, 0x07, 0xC1, 0xFF, 0x00, ##           00000     000000000                         00000     000000000        
            0x00, 0x00, 0x1F, 0xF8, 0x00, 0x00, 0x07, 0xC1, 0xFF, 0x00, ##           00000     0000000000                        00000     000000000        
            0x00, 0x00, 0x0F, 0xF8, 0x00, 0x00, 0x0F, 0x81, 0xFF, 0x00, ##           00000      000000000                       00000      000000000        
            0x00, 0x00, 0x0F, 0xF8, 0x00, 0x00, 0x0F, 0x81, 0xFF, 0x00, ##           00000      000000000                       00000      000000000        
            0x00, 0x00, 0x07, 0xFC, 0x00, 0x00, 0x1F, 0x01, 0xFF, 0x00, ##           00000       000000000                     00000       000000000        
            0x00, 0x00, 0x07, 0xFC, 0x00, 0x00, 0x1F, 0x01, 0xFF, 0x00, ##           00000       000000000                     00000       000000000        
            0x00, 0x00, 0x03, 0xFE, 0x00, 0x00, 0x3E, 0x01, 0xFF, 0x00, ##           00000        000000000                   00000        000000000        
            0x00, 0x00, 0x03, 0xFE, 0x00, 0x00, 0x3E, 0x01, 0xFF, 0x00, ##           00000        000000000                   00000        000000000        
            0x00, 0x00, 0x01, 0xFF, 0x00, 0x00, 0x3E, 0x01, 0xFF, 0x00, ##           00000         000000000                  00000        000000000        
            0x00, 0x00, 0x01, 0xFF, 0x00, 0x00, 0x7C, 0x01, 0xFF, 0x00, ##           00000         000000000                 00000         000000000        
            0x00, 0x00, 0x01, 0xFF, 0x80, 0x00, 0x7C, 0x01, 0xFF, 0x00, ##           00000         0000000000                00000         000000000        
            0x00, 0x00, 0x00, 0xFF, 0x80, 0x00, 0xF8, 0x01, 0xFF, 0x00, ##           00000          000000000               00000          000000000        
            0x00, 0x00, 0x00, 0xFF, 0xC0, 0x00, 0xF8, 0x01, 0xFF, 0x00, ##           00000          0000000000              00000          000000000        
            0x00, 0x00, 0x00, 0x7F, 0xC0, 0x01, 0xF0, 0x01, 0xFF, 0x00, ##           00000           000000000             00000           000000000        
            0x00, 0x00, 0x00, 0x7F, 0xE0, 0x01, 0xF0, 0x01, 0xFF, 0x00, ##           00000           0000000000            00000           000000000        
            0x00, 0x00, 0x00, 0x3F, 0xE0, 0x03, 0xE0, 0x01, 0xFF, 0x00, ##           00000            000000000           00000            000000000        
            0x00, 0x00, 0x00, 0x3F, 0xF0, 0x03, 0xE0, 0x01, 0xFF, 0x00, ##           00000            0000000000          00000            000000000        
            0x00, 0x00, 0x00, 0x1F, 0xF0, 0x07, 0xC0, 0x01, 0xFF, 0x00, ##           00000             000000000         00000             000000000        
            0x00, 0x00, 0x00, 0x1F, 0xF8, 0x07, 0xC0, 0x01, 0xFF, 0x00, ##           00000             0000000000        00000             000000000        
            0x00, 0x00, 0x00, 0x0F, 0xF8, 0x0F, 0x80, 0x01, 0xFF, 0x00, ##           00000              000000000       00000              000000000        
            0x00, 0x00, 0x00, 0x0F, 0xFC, 0x0F, 0x80, 0x01, 0xFF, 0x00, ##           00000              0000000000      00000              000000000        
            0x00, 0x00, 0x00, 0x07, 0xFC, 0x1F, 0x00, 0x01, 0xFF, 0x00, ##           00000               000000000     00000               000000000        
            0x00, 0x00, 0x00, 0x07, 0xFE, 0x1F, 0x00, 0x01, 0xFF, 0x00, ##           00000               0000000000    00000               000000000        
            0x00, 0x00, 0x00, 0x03, 0xFE, 0x3E, 0x00, 0x01, 0xFF, 0x00, ##           00000                000000000   00000                000000000        
            0x00, 0x00, 0x00, 0x03, 0xFF, 0x3E, 0x00, 0x01, 0xFF, 0x00, ##           00000                0000000000  00000                000000000        
            0x00, 0x00, 0x00, 0x01, 0xFF, 0x7C, 0x00, 0x01, 0xFF, 0x00, ##           00000                 000000000 00000                 000000000        
            0x00, 0x00, 0x00, 0x01, 0xFF, 0xFC, 0x00, 0x01, 0xFF, 0x00, ##           00000                 000000000000000                 000000000        
            0x00, 0x00, 0x00, 0x01, 0xFF, 0xFC, 0x00, 0x01, 0xFF, 0x00, ##           00000                 000000000000000                 000000000        
            0x00, 0x00, 0x00, 0x00, 0xFF, 0xF8, 0x00, 0x01, 0xFF, 0x00, ##           00000                  0000000000000                  000000000        
            0x00, 0x00, 0x00, 0x00, 0xFF, 0xF8, 0x00, 0x01, 0xFF, 0x00, ##           00000                  0000000000000                  000000000        
            0x00, 0x00, 0x00, 0x00, 0x7F, 0xF0, 0x00, 0x01, 0xFF, 0x00, ##           00000                   00000000000                   000000000        
            0x00, 0x00, 0x00, 0x00, 0x7F, 0xF0, 0x00, 0x01, 0xFF, 0x00, ##           00000                   00000000000                   000000000        
            0x00, 0x00, 0x00, 0x00, 0x3F, 0xE0, 0x00, 0x01, 0xFF, 0x00, ##           00000                    000000000                    000000000        
            0x00, 0x00, 0x00, 0x00, 0x3F, 0xE0, 0x00, 0x01, 0xFF, 0x00, ##           00000                    000000000                    000000000        
            0x00, 0x00, 0x00, 0x00, 0x1F, 0xC0, 0x00, 0x01, 0xFF, 0x00, ##           00000                     0000000                     000000000        
            0x00, 0x00, 0x00, 0x00, 0x1F, 0xC0, 0x00, 0x01, 0xFF, 0x00, ##           00000                     0000000                     000000000        
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xFF, 0x00, ##           00000                                                 000000000        
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xFF, 0x00, ##           00000                                                 000000000        
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xFF, 0x00, ##           00000                                                 000000000        
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xFF, 0x00, ##           00000                                                 000000000        
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xFF, 0x00, ##           00000                                                 000000000        
            0x00, 0x00, 0xFC, 0x00, 0x00, 0x00, 0x01, 0xFF, 0xFF, 0xFF, ##   000000000000000000000                                 0000000000000000000000000
            0x00, 0x00, 0xFC, 0x00, 0x00, 0x00, 0x01, 0xFF, 0xFF, 0xFF, ##   000000000000000000000                                 0000000000000000000000000
            0x00, 0x00, 0xFC, 0x00, 0x00, 0x00, 0x01, 0xFF, 0xFF, 0xFF, ##   000000000000000000000                                 0000000000000000000000000
            0x00, 0x00, 0xFC, 0x00, 0x00, 0x00, 0x01, 0xFF, 0xFF, 0xFF, ##   000000000000000000000                                 0000000000000000000000000
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '78' => {    # 'N'
        'width'    => 68, 
        'xoffset'  => 4, 
        'xadvance' => 76, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x03, 0xFF, 0xFF, 0xF0, ##  00000000000000000                             0000000000000000000000
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x03, 0xFF, 0xFF, 0xF0, ##  00000000000000000                             0000000000000000000000
            0x00, 0xFF, 0xC0, 0x00, 0x00, 0x03, 0xFF, 0xFF, 0xF0, ##  000000000000000000                            0000000000000000000000
            0x00, 0xFF, 0xE0, 0x00, 0x00, 0x03, 0xFF, 0xFF, 0xF0, ##  0000000000000000000                           0000000000000000000000
            0x00, 0x7F, 0xF0, 0x00, 0x00, 0x00, 0x03, 0xE0, 0x00, ##           00000000000                                  00000         
            0x00, 0x7F, 0xF0, 0x00, 0x00, 0x00, 0x03, 0xE0, 0x00, ##           00000000000                                  00000         
            0x00, 0x7F, 0xF8, 0x00, 0x00, 0x00, 0x03, 0xE0, 0x00, ##           000000000000                                 00000         
            0x00, 0x7F, 0xFC, 0x00, 0x00, 0x00, 0x03, 0xE0, 0x00, ##           0000000000000                                00000         
            0x00, 0x7F, 0xFE, 0x00, 0x00, 0x00, 0x03, 0xE0, 0x00, ##           00000000000000                               00000         
            0x00, 0x7F, 0xFE, 0x00, 0x00, 0x00, 0x03, 0xE0, 0x00, ##           00000000000000                               00000         
            0x00, 0x7F, 0xFF, 0x00, 0x00, 0x00, 0x03, 0xE0, 0x00, ##           000000000000000                              00000         
            0x00, 0x7F, 0xFF, 0x80, 0x00, 0x00, 0x03, 0xE0, 0x00, ##           0000000000000000                             00000         
            0x00, 0x7D, 0xFF, 0xC0, 0x00, 0x00, 0x03, 0xE0, 0x00, ##           00000 00000000000                            00000         
            0x00, 0x7C, 0xFF, 0xC0, 0x00, 0x00, 0x03, 0xE0, 0x00, ##           00000  0000000000                            00000         
            0x00, 0x7C, 0x7F, 0xE0, 0x00, 0x00, 0x03, 0xE0, 0x00, ##           00000   0000000000                           00000         
            0x00, 0x7C, 0x7F, 0xF0, 0x00, 0x00, 0x03, 0xE0, 0x00, ##           00000   00000000000                          00000         
            0x00, 0x7C, 0x3F, 0xF8, 0x00, 0x00, 0x03, 0xE0, 0x00, ##           00000    00000000000                         00000         
            0x00, 0x7C, 0x1F, 0xF8, 0x00, 0x00, 0x03, 0xE0, 0x00, ##           00000     0000000000                         00000         
            0x00, 0x7C, 0x0F, 0xFC, 0x00, 0x00, 0x03, 0xE0, 0x00, ##           00000      0000000000                        00000         
            0x00, 0x7C, 0x0F, 0xFE, 0x00, 0x00, 0x03, 0xE0, 0x00, ##           00000      00000000000                       00000         
            0x00, 0x7C, 0x07, 0xFF, 0x00, 0x00, 0x03, 0xE0, 0x00, ##           00000       00000000000                      00000         
            0x00, 0x7C, 0x03, 0xFF, 0x00, 0x00, 0x03, 0xE0, 0x00, ##           00000        0000000000                      00000         
            0x00, 0x7C, 0x01, 0xFF, 0x80, 0x00, 0x03, 0xE0, 0x00, ##           00000         0000000000                     00000         
            0x00, 0x7C, 0x01, 0xFF, 0xC0, 0x00, 0x03, 0xE0, 0x00, ##           00000         00000000000                    00000         
            0x00, 0x7C, 0x00, 0xFF, 0xC0, 0x00, 0x03, 0xE0, 0x00, ##           00000          0000000000                    00000         
            0x00, 0x7C, 0x00, 0x7F, 0xE0, 0x00, 0x03, 0xE0, 0x00, ##           00000           0000000000                   00000         
            0x00, 0x7C, 0x00, 0x3F, 0xF0, 0x00, 0x03, 0xE0, 0x00, ##           00000            0000000000                  00000         
            0x00, 0x7C, 0x00, 0x3F, 0xF8, 0x00, 0x03, 0xE0, 0x00, ##           00000            00000000000                 00000         
            0x00, 0x7C, 0x00, 0x1F, 0xF8, 0x00, 0x03, 0xE0, 0x00, ##           00000             0000000000                 00000         
            0x00, 0x7C, 0x00, 0x0F, 0xFC, 0x00, 0x03, 0xE0, 0x00, ##           00000              0000000000                00000         
            0x00, 0x7C, 0x00, 0x07, 0xFE, 0x00, 0x03, 0xE0, 0x00, ##           00000               0000000000               00000         
            0x00, 0x7C, 0x00, 0x07, 0xFF, 0x00, 0x03, 0xE0, 0x00, ##           00000               00000000000              00000         
            0x00, 0x7C, 0x00, 0x03, 0xFF, 0x00, 0x03, 0xE0, 0x00, ##           00000                0000000000              00000         
            0x00, 0x7C, 0x00, 0x01, 0xFF, 0x80, 0x03, 0xE0, 0x00, ##           00000                 0000000000             00000         
            0x00, 0x7C, 0x00, 0x01, 0xFF, 0xC0, 0x03, 0xE0, 0x00, ##           00000                 00000000000            00000         
            0x00, 0x7C, 0x00, 0x00, 0xFF, 0xE0, 0x03, 0xE0, 0x00, ##           00000                  00000000000           00000         
            0x00, 0x7C, 0x00, 0x00, 0x7F, 0xE0, 0x03, 0xE0, 0x00, ##           00000                   0000000000           00000         
            0x00, 0x7C, 0x00, 0x00, 0x3F, 0xF0, 0x03, 0xE0, 0x00, ##           00000                    0000000000          00000         
            0x00, 0x7C, 0x00, 0x00, 0x3F, 0xF8, 0x03, 0xE0, 0x00, ##           00000                    00000000000         00000         
            0x00, 0x7C, 0x00, 0x00, 0x1F, 0xFC, 0x03, 0xE0, 0x00, ##           00000                     00000000000        00000         
            0x00, 0x7C, 0x00, 0x00, 0x0F, 0xFC, 0x03, 0xE0, 0x00, ##           00000                      0000000000        00000         
            0x00, 0x7C, 0x00, 0x00, 0x07, 0xFE, 0x03, 0xE0, 0x00, ##           00000                       0000000000       00000         
            0x00, 0x7C, 0x00, 0x00, 0x07, 0xFF, 0x03, 0xE0, 0x00, ##           00000                       00000000000      00000         
            0x00, 0x7C, 0x00, 0x00, 0x03, 0xFF, 0x83, 0xE0, 0x00, ##           00000                        00000000000     00000         
            0x00, 0x7C, 0x00, 0x00, 0x01, 0xFF, 0x83, 0xE0, 0x00, ##           00000                         0000000000     00000         
            0x00, 0x7C, 0x00, 0x00, 0x00, 0xFF, 0xC3, 0xE0, 0x00, ##           00000                          0000000000    00000         
            0x00, 0x7C, 0x00, 0x00, 0x00, 0xFF, 0xE3, 0xE0, 0x00, ##           00000                          00000000000   00000         
            0x00, 0x7C, 0x00, 0x00, 0x00, 0x7F, 0xF3, 0xE0, 0x00, ##           00000                           00000000000  00000         
            0x00, 0x7C, 0x00, 0x00, 0x00, 0x3F, 0xF3, 0xE0, 0x00, ##           00000                            0000000000  00000         
            0x00, 0x7C, 0x00, 0x00, 0x00, 0x1F, 0xFB, 0xE0, 0x00, ##           00000                             0000000000 00000         
            0x00, 0x7C, 0x00, 0x00, 0x00, 0x1F, 0xFF, 0xE0, 0x00, ##           00000                             0000000000000000         
            0x00, 0x7C, 0x00, 0x00, 0x00, 0x0F, 0xFF, 0xE0, 0x00, ##           00000                              000000000000000         
            0x00, 0x7C, 0x00, 0x00, 0x00, 0x07, 0xFF, 0xE0, 0x00, ##           00000                               00000000000000         
            0x00, 0x7C, 0x00, 0x00, 0x00, 0x03, 0xFF, 0xE0, 0x00, ##           00000                                0000000000000         
            0x00, 0x7C, 0x00, 0x00, 0x00, 0x03, 0xFF, 0xE0, 0x00, ##           00000                                0000000000000         
            0x00, 0x7C, 0x00, 0x00, 0x00, 0x01, 0xFF, 0xE0, 0x00, ##           00000                                 000000000000         
            0x00, 0x7C, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xE0, 0x00, ##           00000                                  00000000000         
            0x00, 0x7C, 0x00, 0x00, 0x00, 0x00, 0x7F, 0xE0, 0x00, ##           00000                                   0000000000         
            0x00, 0x7C, 0x00, 0x00, 0x00, 0x00, 0x7F, 0xE0, 0x00, ##           00000                                   0000000000         
            0x00, 0x7C, 0x00, 0x00, 0x00, 0x00, 0x3F, 0xE0, 0x00, ##           00000                                    000000000         
            0x00, 0xFF, 0xFC, 0x00, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##  0000000000000000000000                             00000000         
            0x00, 0xFF, 0xFC, 0x00, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##  0000000000000000000000                             00000000         
            0x00, 0xFF, 0xFC, 0x00, 0x00, 0x00, 0x0F, 0xE0, 0x00, ##  0000000000000000000000                              0000000         
            0x00, 0xFF, 0xFC, 0x00, 0x00, 0x00, 0x07, 0xE0, 0x00, ##  0000000000000000000000                               000000         
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x03, 0xE0, 0x00, ##                                                        00000         
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '79' => {    # 'O'
        'width'    => 62, 
        'xoffset'  => 5, 
        'xadvance' => 72, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x7F, 0xF8, 0x00, 0x00, 0x00, ##                           000000000000                         
            0x00, 0x00, 0x07, 0xFF, 0xFF, 0x80, 0x00, 0x00, ##                       00000000000000000000                     
            0x00, 0x00, 0x3F, 0xFF, 0xFF, 0xF0, 0x00, 0x00, ##                    00000000000000000000000000                  
            0x00, 0x00, 0xFF, 0xFF, 0xFF, 0xFC, 0x00, 0x00, ##                  000000000000000000000000000000                
            0x00, 0x03, 0xFF, 0x80, 0x0F, 0xFF, 0x00, 0x00, ##                00000000000           000000000000              
            0x00, 0x07, 0xFC, 0x00, 0x01, 0xFF, 0x80, 0x00, ##               000000000                 0000000000             
            0x00, 0x0F, 0xF0, 0x00, 0x00, 0x7F, 0xE0, 0x00, ##              00000000                     0000000000           
            0x00, 0x3F, 0xC0, 0x00, 0x00, 0x1F, 0xF0, 0x00, ##            00000000                         000000000          
            0x00, 0x7F, 0x80, 0x00, 0x00, 0x0F, 0xF8, 0x00, ##           00000000                           000000000         
            0x00, 0xFF, 0x00, 0x00, 0x00, 0x07, 0xFC, 0x00, ##          00000000                             000000000        
            0x01, 0xFE, 0x00, 0x00, 0x00, 0x03, 0xFE, 0x00, ##         00000000                               000000000       
            0x01, 0xFC, 0x00, 0x00, 0x00, 0x01, 0xFE, 0x00, ##         0000000                                 00000000       
            0x03, 0xFC, 0x00, 0x00, 0x00, 0x01, 0xFF, 0x00, ##        00000000                                 000000000      
            0x07, 0xF8, 0x00, 0x00, 0x00, 0x00, 0xFF, 0x80, ##       00000000                                   000000000     
            0x07, 0xF0, 0x00, 0x00, 0x00, 0x00, 0xFF, 0x80, ##       0000000                                    000000000     
            0x0F, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x7F, 0xC0, ##      00000000                                     000000000    
            0x0F, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x7F, 0xE0, ##      00000000                                     0000000000   
            0x1F, 0xE0, 0x00, 0x00, 0x00, 0x00, 0x3F, 0xE0, ##     00000000                                       000000000   
            0x1F, 0xE0, 0x00, 0x00, 0x00, 0x00, 0x3F, 0xE0, ##     00000000                                       000000000   
            0x3F, 0xE0, 0x00, 0x00, 0x00, 0x00, 0x3F, 0xF0, ##    000000000                                       0000000000  
            0x3F, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x1F, 0xF0, ##    00000000                                         000000000  
            0x3F, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x1F, 0xF0, ##    00000000                                         000000000  
            0x7F, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x1F, 0xF8, ##   000000000                                         0000000000 
            0x7F, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x1F, 0xF8, ##   000000000                                         0000000000 
            0x7F, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x1F, 0xF8, ##   000000000                                         0000000000 
            0x7F, 0x80, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xF8, ##   00000000                                           000000000 
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xFC, ##  000000000                                           0000000000
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xFC, ##  000000000                                           0000000000
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xFC, ##  000000000                                           0000000000
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xFC, ##  000000000                                           0000000000
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xFC, ##  000000000                                           0000000000
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xFC, ##  000000000                                           0000000000
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xFC, ##  000000000                                           0000000000
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xFC, ##  000000000                                           0000000000
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xFC, ##  000000000                                           0000000000
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xFC, ##  000000000                                           0000000000
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xFC, ##  000000000                                           0000000000
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xFC, ##  000000000                                           0000000000
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xFC, ##  000000000                                           0000000000
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xFC, ##  000000000                                           0000000000
            0x7F, 0x80, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xF8, ##   00000000                                           000000000 
            0x7F, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x1F, 0xF8, ##   000000000                                         0000000000 
            0x7F, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x1F, 0xF8, ##   000000000                                         0000000000 
            0x7F, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x1F, 0xF8, ##   000000000                                         0000000000 
            0x3F, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x1F, 0xF0, ##    00000000                                         000000000  
            0x3F, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x1F, 0xF0, ##    00000000                                         000000000  
            0x3F, 0xE0, 0x00, 0x00, 0x00, 0x00, 0x3F, 0xF0, ##    000000000                                       0000000000  
            0x1F, 0xE0, 0x00, 0x00, 0x00, 0x00, 0x3F, 0xE0, ##     00000000                                       000000000   
            0x1F, 0xE0, 0x00, 0x00, 0x00, 0x00, 0x3F, 0xE0, ##     00000000                                       000000000   
            0x0F, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x7F, 0xC0, ##      00000000                                     000000000    
            0x0F, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x7F, 0xC0, ##      00000000                                     000000000    
            0x07, 0xF0, 0x00, 0x00, 0x00, 0x00, 0xFF, 0x80, ##       0000000                                    000000000     
            0x07, 0xF8, 0x00, 0x00, 0x00, 0x00, 0xFF, 0x80, ##       00000000                                   000000000     
            0x03, 0xFC, 0x00, 0x00, 0x00, 0x01, 0xFF, 0x00, ##        00000000                                 000000000      
            0x01, 0xFC, 0x00, 0x00, 0x00, 0x01, 0xFE, 0x00, ##         0000000                                 00000000       
            0x01, 0xFE, 0x00, 0x00, 0x00, 0x03, 0xFC, 0x00, ##         00000000                               00000000        
            0x00, 0xFF, 0x00, 0x00, 0x00, 0x07, 0xFC, 0x00, ##          00000000                             000000000        
            0x00, 0x7F, 0x80, 0x00, 0x00, 0x0F, 0xF8, 0x00, ##           00000000                           000000000         
            0x00, 0x3F, 0xC0, 0x00, 0x00, 0x1F, 0xF0, 0x00, ##            00000000                         000000000          
            0x00, 0x0F, 0xF0, 0x00, 0x00, 0x7F, 0xC0, 0x00, ##              00000000                     000000000            
            0x00, 0x07, 0xFC, 0x00, 0x01, 0xFF, 0x80, 0x00, ##               000000000                 0000000000             
            0x00, 0x03, 0xFF, 0x80, 0x0F, 0xFF, 0x00, 0x00, ##                00000000000           000000000000              
            0x00, 0x00, 0xFF, 0xFF, 0xFF, 0xFC, 0x00, 0x00, ##                  000000000000000000000000000000                
            0x00, 0x00, 0x3F, 0xFF, 0xFF, 0xF0, 0x00, 0x00, ##                    00000000000000000000000000                  
            0x00, 0x00, 0x07, 0xFF, 0xFF, 0x80, 0x00, 0x00, ##                       00000000000000000000                     
            0x00, 0x00, 0x00, 0x7F, 0xF8, 0x00, 0x00, 0x00, ##                           000000000000                         
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '80' => {    # 'P'
        'width'    => 51, 
        'xoffset'  => 5, 
        'xadvance' => 59, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0xFF, 0xFF, 0xFF, 0xFF, 0xF0, 0x00, 0x00, ##  000000000000000000000000000000000000               
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x00, 0x00, ##  0000000000000000000000000000000000000000           
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xC0, 0x00, ##  000000000000000000000000000000000000000000         
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF0, 0x00, ##  00000000000000000000000000000000000000000000       
            0x00, 0xFF, 0x80, 0x00, 0xFF, 0xF8, 0x00, ##          000000000               0000000000000      
            0x00, 0xFF, 0x80, 0x00, 0x1F, 0xFC, 0x00, ##          000000000                  00000000000     
            0x00, 0xFF, 0x80, 0x00, 0x0F, 0xFE, 0x00, ##          000000000                   00000000000    
            0x00, 0xFF, 0x80, 0x00, 0x03, 0xFF, 0x00, ##          000000000                     0000000000   
            0x00, 0xFF, 0x80, 0x00, 0x03, 0xFF, 0x00, ##          000000000                     0000000000   
            0x00, 0xFF, 0x80, 0x00, 0x01, 0xFF, 0x80, ##          000000000                      0000000000  
            0x00, 0xFF, 0x80, 0x00, 0x00, 0xFF, 0xC0, ##          000000000                       0000000000 
            0x00, 0xFF, 0x80, 0x00, 0x00, 0xFF, 0xC0, ##          000000000                       0000000000 
            0x00, 0xFF, 0x80, 0x00, 0x00, 0xFF, 0xC0, ##          000000000                       0000000000 
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x7F, 0xE0, ##          000000000                        0000000000
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x7F, 0xE0, ##          000000000                        0000000000
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x7F, 0xE0, ##          000000000                        0000000000
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x7F, 0xE0, ##          000000000                        0000000000
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x7F, 0xE0, ##          000000000                        0000000000
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x7F, 0xE0, ##          000000000                        0000000000
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x7F, 0xE0, ##          000000000                        0000000000
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x7F, 0xE0, ##          000000000                        0000000000
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x7F, 0xE0, ##          000000000                        0000000000
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x7F, 0xE0, ##          000000000                        0000000000
            0x00, 0xFF, 0x80, 0x00, 0x00, 0xFF, 0xC0, ##          000000000                       0000000000 
            0x00, 0xFF, 0x80, 0x00, 0x00, 0xFF, 0xC0, ##          000000000                       0000000000 
            0x00, 0xFF, 0x80, 0x00, 0x00, 0xFF, 0xC0, ##          000000000                       0000000000 
            0x00, 0xFF, 0x80, 0x00, 0x01, 0xFF, 0x80, ##          000000000                      0000000000  
            0x00, 0xFF, 0x80, 0x00, 0x03, 0xFF, 0x00, ##          000000000                     0000000000   
            0x00, 0xFF, 0x80, 0x00, 0x03, 0xFF, 0x00, ##          000000000                     0000000000   
            0x00, 0xFF, 0x80, 0x00, 0x07, 0xFE, 0x00, ##          000000000                    0000000000    
            0x00, 0xFF, 0x80, 0x00, 0x1F, 0xFC, 0x00, ##          000000000                  00000000000     
            0x00, 0xFF, 0x80, 0x00, 0xFF, 0xF8, 0x00, ##          000000000               0000000000000      
            0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0xF0, 0x00, ##          000000000000000000000000000000000000       
            0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0xC0, 0x00, ##          0000000000000000000000000000000000         
            0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0x00, 0x00, ##          00000000000000000000000000000000           
            0x00, 0xFF, 0xFF, 0xFF, 0xF0, 0x00, 0x00, ##          0000000000000000000000000000               
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##          000000000                                  
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##          000000000                                  
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##          000000000                                  
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##          000000000                                  
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##          000000000                                  
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##          000000000                                  
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##          000000000                                  
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##          000000000                                  
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##          000000000                                  
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##          000000000                                  
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##          000000000                                  
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##          000000000                                  
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##          000000000                                  
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##          000000000                                  
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##          000000000                                  
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##          000000000                                  
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##          000000000                                  
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##          000000000                                  
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##          000000000                                  
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##          000000000                                  
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##          000000000                                  
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##          000000000                                  
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##          000000000                                  
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##          000000000                                  
            0xFF, 0xFF, 0xFF, 0xE0, 0x00, 0x00, 0x00, ##  000000000000000000000000000                        
            0xFF, 0xFF, 0xFF, 0xE0, 0x00, 0x00, 0x00, ##  000000000000000000000000000                        
            0xFF, 0xFF, 0xFF, 0xE0, 0x00, 0x00, 0x00, ##  000000000000000000000000000                        
            0xFF, 0xFF, 0xFF, 0xE0, 0x00, 0x00, 0x00, ##  000000000000000000000000000                        
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '81' => {    # 'Q'
        'width'    => 62, 
        'xoffset'  => 5, 
        'xadvance' => 72, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x7F, 0xF8, 0x00, 0x00, 0x00, ##                           000000000000                         
            0x00, 0x00, 0x07, 0xFF, 0xFF, 0x80, 0x00, 0x00, ##                       00000000000000000000                     
            0x00, 0x00, 0x3F, 0xFF, 0xFF, 0xF0, 0x00, 0x00, ##                    00000000000000000000000000                  
            0x00, 0x00, 0xFF, 0xFF, 0xFF, 0xFC, 0x00, 0x00, ##                  000000000000000000000000000000                
            0x00, 0x03, 0xFF, 0x80, 0x0F, 0xFF, 0x00, 0x00, ##                00000000000           000000000000              
            0x00, 0x07, 0xFC, 0x00, 0x01, 0xFF, 0x80, 0x00, ##               000000000                 0000000000             
            0x00, 0x0F, 0xF0, 0x00, 0x00, 0x7F, 0xE0, 0x00, ##              00000000                     0000000000           
            0x00, 0x3F, 0xC0, 0x00, 0x00, 0x1F, 0xF0, 0x00, ##            00000000                         000000000          
            0x00, 0x7F, 0x80, 0x00, 0x00, 0x0F, 0xF8, 0x00, ##           00000000                           000000000         
            0x00, 0xFF, 0x00, 0x00, 0x00, 0x07, 0xFC, 0x00, ##          00000000                             000000000        
            0x01, 0xFE, 0x00, 0x00, 0x00, 0x03, 0xFE, 0x00, ##         00000000                               000000000       
            0x01, 0xFC, 0x00, 0x00, 0x00, 0x01, 0xFE, 0x00, ##         0000000                                 00000000       
            0x03, 0xFC, 0x00, 0x00, 0x00, 0x01, 0xFF, 0x00, ##        00000000                                 000000000      
            0x07, 0xF8, 0x00, 0x00, 0x00, 0x00, 0xFF, 0x80, ##       00000000                                   000000000     
            0x07, 0xF0, 0x00, 0x00, 0x00, 0x00, 0xFF, 0x80, ##       0000000                                    000000000     
            0x0F, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x7F, 0xC0, ##      00000000                                     000000000    
            0x0F, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x7F, 0xE0, ##      00000000                                     0000000000   
            0x1F, 0xE0, 0x00, 0x00, 0x00, 0x00, 0x3F, 0xE0, ##     00000000                                       000000000   
            0x1F, 0xE0, 0x00, 0x00, 0x00, 0x00, 0x3F, 0xE0, ##     00000000                                       000000000   
            0x3F, 0xE0, 0x00, 0x00, 0x00, 0x00, 0x3F, 0xF0, ##    000000000                                       0000000000  
            0x3F, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x1F, 0xF0, ##    00000000                                         000000000  
            0x3F, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x1F, 0xF0, ##    00000000                                         000000000  
            0x7F, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x1F, 0xF8, ##   000000000                                         0000000000 
            0x7F, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x1F, 0xF8, ##   000000000                                         0000000000 
            0x7F, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x1F, 0xF8, ##   000000000                                         0000000000 
            0x7F, 0x80, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xF8, ##   00000000                                           000000000 
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xFC, ##  000000000                                           0000000000
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xFC, ##  000000000                                           0000000000
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xFC, ##  000000000                                           0000000000
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xFC, ##  000000000                                           0000000000
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xFC, ##  000000000                                           0000000000
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xFC, ##  000000000                                           0000000000
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xFC, ##  000000000                                           0000000000
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xFC, ##  000000000                                           0000000000
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xFC, ##  000000000                                           0000000000
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xFC, ##  000000000                                           0000000000
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xFC, ##  000000000                                           0000000000
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xFC, ##  000000000                                           0000000000
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xFC, ##  000000000                                           0000000000
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xFC, ##  000000000                                           0000000000
            0x7F, 0x80, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xF8, ##   00000000                                           000000000 
            0x7F, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x1F, 0xF8, ##   000000000                                         0000000000 
            0x7F, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x1F, 0xF8, ##   000000000                                         0000000000 
            0x7F, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x1F, 0xF8, ##   000000000                                         0000000000 
            0x7F, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x1F, 0xF0, ##   000000000                                         000000000  
            0x3F, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x1F, 0xF0, ##    00000000                                         000000000  
            0x3F, 0xE0, 0x00, 0x00, 0x00, 0x00, 0x3F, 0xF0, ##    000000000                                       0000000000  
            0x3F, 0xE0, 0x00, 0x00, 0x00, 0x00, 0x3F, 0xE0, ##    000000000                                       000000000   
            0x1F, 0xE0, 0x00, 0x00, 0x00, 0x00, 0x3F, 0xE0, ##     00000000                                       000000000   
            0x1F, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x7F, 0xC0, ##     000000000                                     000000000    
            0x0F, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x7F, 0xC0, ##      00000000                                     000000000    
            0x0F, 0xF0, 0x00, 0x00, 0x00, 0x00, 0xFF, 0x80, ##      00000000                                    000000000     
            0x07, 0xF8, 0x00, 0x00, 0x00, 0x00, 0xFF, 0x80, ##       00000000                                   000000000     
            0x03, 0xFC, 0x00, 0x00, 0x00, 0x01, 0xFF, 0x00, ##        00000000                                 000000000      
            0x03, 0xFC, 0x00, 0x00, 0x00, 0x01, 0xFE, 0x00, ##        00000000                                 00000000       
            0x01, 0xFE, 0x00, 0x00, 0x00, 0x03, 0xFE, 0x00, ##         00000000                               000000000       
            0x00, 0xFF, 0x00, 0x00, 0x00, 0x07, 0xFC, 0x00, ##          00000000                             000000000        
            0x00, 0x7F, 0x80, 0x00, 0x00, 0x0F, 0xF8, 0x00, ##           00000000                           000000000         
            0x00, 0x3F, 0xC0, 0x00, 0x00, 0x1F, 0xF0, 0x00, ##            00000000                         000000000          
            0x00, 0x1F, 0xF0, 0x00, 0x00, 0x7F, 0xC0, 0x00, ##             000000000                     000000000            
            0x00, 0x0F, 0xFC, 0x00, 0x01, 0xFF, 0x80, 0x00, ##              0000000000                 0000000000             
            0x00, 0x03, 0xFF, 0x80, 0x0F, 0xFF, 0x00, 0x00, ##                00000000000           000000000000              
            0x00, 0x00, 0xFF, 0xFF, 0xFF, 0xFC, 0x00, 0x00, ##                  000000000000000000000000000000                
            0x00, 0x00, 0x3F, 0xFF, 0xFF, 0xF0, 0x00, 0x00, ##                    00000000000000000000000000                  
            0x00, 0x00, 0x07, 0xFF, 0xFF, 0x80, 0x00, 0x00, ##                       00000000000000000000                     
            0x00, 0x00, 0x00, 0x7F, 0xFC, 0x00, 0x00, 0x00, ##                           0000000000000                        
            0x00, 0x00, 0x00, 0x00, 0xFC, 0x00, 0x00, 0x00, ##                                  000000                        
            0x00, 0x00, 0x00, 0x00, 0xFF, 0x00, 0x00, 0x00, ##                                  00000000                      
            0x00, 0x00, 0x00, 0x00, 0x7F, 0x80, 0x00, 0x00, ##                                   00000000                     
            0x00, 0x00, 0x00, 0x00, 0x3F, 0xE0, 0x00, 0x00, ##                                    000000000                   
            0x00, 0x00, 0x00, 0x00, 0x3F, 0xFC, 0x00, 0x00, ##                                    000000000000                
            0x00, 0x00, 0x00, 0x00, 0x1F, 0xFF, 0xF8, 0x00, ##                                     000000000000000000         
            0x00, 0x00, 0x00, 0x00, 0x0F, 0xFF, 0xF8, 0x00, ##                                      00000000000000000         
            0x00, 0x00, 0x00, 0x00, 0x07, 0xFF, 0xF8, 0x00, ##                                       0000000000000000         
            0x00, 0x00, 0x00, 0x00, 0x03, 0xFF, 0xF8, 0x00, ##                                        000000000000000         
            0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xF8, 0x00, ##                                          0000000000000         
            0x00, 0x00, 0x00, 0x00, 0x00, 0x7F, 0xF8, 0x00, ##                                           000000000000         
            0x00, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xF8, 0x00, ##                                              000000000         
            0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xF8, 0x00, ##                                                 000000         
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '82' => {    # 'R'
        'width'    => 63, 
        'xoffset'  => 5, 
        'xadvance' => 66, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0xFF, 0xFF, 0xFF, 0xFF, 0xF8, 0x00, 0x00, 0x00, ##  0000000000000000000000000000000000000                          
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x80, 0x00, 0x00, ##  00000000000000000000000000000000000000000                      
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xE0, 0x00, 0x00, ##  0000000000000000000000000000000000000000000                    
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF8, 0x00, 0x00, ##  000000000000000000000000000000000000000000000                  
            0x00, 0xFF, 0x80, 0x00, 0x3F, 0xFC, 0x00, 0x00, ##          000000000                 000000000000                 
            0x00, 0xFF, 0x80, 0x00, 0x07, 0xFE, 0x00, 0x00, ##          000000000                    0000000000                
            0x00, 0xFF, 0x80, 0x00, 0x03, 0xFF, 0x00, 0x00, ##          000000000                     0000000000               
            0x00, 0xFF, 0x80, 0x00, 0x01, 0xFF, 0x00, 0x00, ##          000000000                      000000000               
            0x00, 0xFF, 0x80, 0x00, 0x00, 0xFF, 0x80, 0x00, ##          000000000                       000000000              
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x7F, 0xC0, 0x00, ##          000000000                        000000000             
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x7F, 0xC0, 0x00, ##          000000000                        000000000             
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x7F, 0xC0, 0x00, ##          000000000                        000000000             
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x3F, 0xE0, 0x00, ##          000000000                         000000000            
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x3F, 0xE0, 0x00, ##          000000000                         000000000            
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x3F, 0xE0, 0x00, ##          000000000                         000000000            
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x3F, 0xE0, 0x00, ##          000000000                         000000000            
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x3F, 0xE0, 0x00, ##          000000000                         000000000            
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x3F, 0xE0, 0x00, ##          000000000                         000000000            
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x3F, 0xE0, 0x00, ##          000000000                         000000000            
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x3F, 0xE0, 0x00, ##          000000000                         000000000            
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x3F, 0xE0, 0x00, ##          000000000                         000000000            
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x3F, 0xE0, 0x00, ##          000000000                         000000000            
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x7F, 0xC0, 0x00, ##          000000000                        000000000             
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x7F, 0xC0, 0x00, ##          000000000                        000000000             
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x7F, 0xC0, 0x00, ##          000000000                        000000000             
            0x00, 0xFF, 0x80, 0x00, 0x00, 0xFF, 0x80, 0x00, ##          000000000                       000000000              
            0x00, 0xFF, 0x80, 0x00, 0x01, 0xFF, 0x00, 0x00, ##          000000000                      000000000               
            0x00, 0xFF, 0x80, 0x00, 0x03, 0xFF, 0x00, 0x00, ##          000000000                     0000000000               
            0x00, 0xFF, 0x80, 0x00, 0x07, 0xFE, 0x00, 0x00, ##          000000000                    0000000000                
            0x00, 0xFF, 0x80, 0x00, 0x3F, 0xF8, 0x00, 0x00, ##          000000000                 00000000000                  
            0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0xF0, 0x00, 0x00, ##          000000000000000000000000000000000000                   
            0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0x80, 0x00, 0x00, ##          000000000000000000000000000000000                      
            0x00, 0xFF, 0xFF, 0xFF, 0xF8, 0x00, 0x00, 0x00, ##          00000000000000000000000000000                          
            0x00, 0xFF, 0xFF, 0xFF, 0xFE, 0x00, 0x00, 0x00, ##          0000000000000000000000000000000                        
            0x00, 0xFF, 0x80, 0x03, 0xFF, 0x00, 0x00, 0x00, ##          000000000             0000000000                       
            0x00, 0xFF, 0x80, 0x00, 0xFF, 0xC0, 0x00, 0x00, ##          000000000               0000000000                     
            0x00, 0xFF, 0x80, 0x00, 0x3F, 0xE0, 0x00, 0x00, ##          000000000                 000000000                    
            0x00, 0xFF, 0x80, 0x00, 0x3F, 0xE0, 0x00, 0x00, ##          000000000                 000000000                    
            0x00, 0xFF, 0x80, 0x00, 0x1F, 0xF0, 0x00, 0x00, ##          000000000                  000000000                   
            0x00, 0xFF, 0x80, 0x00, 0x0F, 0xF8, 0x00, 0x00, ##          000000000                   000000000                  
            0x00, 0xFF, 0x80, 0x00, 0x0F, 0xF8, 0x00, 0x00, ##          000000000                   000000000                  
            0x00, 0xFF, 0x80, 0x00, 0x07, 0xFC, 0x00, 0x00, ##          000000000                    000000000                 
            0x00, 0xFF, 0x80, 0x00, 0x07, 0xFC, 0x00, 0x00, ##          000000000                    000000000                 
            0x00, 0xFF, 0x80, 0x00, 0x03, 0xFE, 0x00, 0x00, ##          000000000                     000000000                
            0x00, 0xFF, 0x80, 0x00, 0x03, 0xFE, 0x00, 0x00, ##          000000000                     000000000                
            0x00, 0xFF, 0x80, 0x00, 0x01, 0xFF, 0x00, 0x00, ##          000000000                      000000000               
            0x00, 0xFF, 0x80, 0x00, 0x01, 0xFF, 0x00, 0x00, ##          000000000                      000000000               
            0x00, 0xFF, 0x80, 0x00, 0x00, 0xFF, 0x80, 0x00, ##          000000000                       000000000              
            0x00, 0xFF, 0x80, 0x00, 0x00, 0xFF, 0x80, 0x00, ##          000000000                       000000000              
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x7F, 0xC0, 0x00, ##          000000000                        000000000             
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x7F, 0xC0, 0x00, ##          000000000                        000000000             
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x3F, 0xE0, 0x00, ##          000000000                         000000000            
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x3F, 0xE0, 0x00, ##          000000000                         000000000            
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x1F, 0xF0, 0x00, ##          000000000                          000000000           
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x1F, 0xF0, 0x00, ##          000000000                          000000000           
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x0F, 0xF8, 0x00, ##          000000000                           000000000          
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x0F, 0xF8, 0x00, ##          000000000                           000000000          
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x07, 0xFC, 0x00, ##          000000000                            000000000         
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x07, 0xFC, 0x00, ##          000000000                            000000000         
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x07, 0xFE, 0x00, ##          000000000                            0000000000        
            0xFF, 0xFF, 0xFF, 0xC0, 0x00, 0x03, 0xFF, 0xFE, ##  00000000000000000000000000                    00000000000000000
            0xFF, 0xFF, 0xFF, 0xC0, 0x00, 0x03, 0xFF, 0xFE, ##  00000000000000000000000000                    00000000000000000
            0xFF, 0xFF, 0xFF, 0xC0, 0x00, 0x01, 0xFF, 0xFE, ##  00000000000000000000000000                     0000000000000000
            0xFF, 0xFF, 0xFF, 0xC0, 0x00, 0x01, 0xFF, 0xFE, ##  00000000000000000000000000                     0000000000000000
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '83' => {    # 'S'
        'width'    => 46, 
        'xoffset'  => 7, 
        'xadvance' => 59, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0xFF, 0xF8, 0x00, 0x00, ##                  0000000000000                 
            0x00, 0x1F, 0xFF, 0xFF, 0xE0, 0x00, ##             000000000000000000000000           
            0x00, 0x7F, 0xFF, 0xFF, 0xFE, 0x00, ##           000000000000000000000000000000       
            0x01, 0xFF, 0xFF, 0xFF, 0xFF, 0xE0, ##         000000000000000000000000000000000000   
            0x03, 0xFF, 0x80, 0x1F, 0xFF, 0xE0, ##        00000000000          0000000000000000   
            0x07, 0xFC, 0x00, 0x01, 0xFF, 0xE0, ##       000000000                 000000000000   
            0x0F, 0xF8, 0x00, 0x00, 0xFF, 0xE0, ##      000000000                   00000000000   
            0x1F, 0xF0, 0x00, 0x00, 0x3F, 0xE0, ##     000000000                      000000000   
            0x3F, 0xE0, 0x00, 0x00, 0x1F, 0xE0, ##    000000000                        00000000   
            0x3F, 0xC0, 0x00, 0x00, 0x1F, 0xE0, ##    00000000                         00000000   
            0x7F, 0xC0, 0x00, 0x00, 0x0F, 0xE0, ##   000000000                          0000000   
            0x7F, 0x80, 0x00, 0x00, 0x0F, 0xE0, ##   00000000                           0000000   
            0x7F, 0x80, 0x00, 0x00, 0x07, 0xE0, ##   00000000                            000000   
            0xFF, 0x80, 0x00, 0x00, 0x07, 0xE0, ##  000000000                            000000   
            0xFF, 0x80, 0x00, 0x00, 0x07, 0xE0, ##  000000000                            000000   
            0xFF, 0x80, 0x00, 0x00, 0x07, 0xE0, ##  000000000                            000000   
            0xFF, 0x80, 0x00, 0x00, 0x07, 0xE0, ##  000000000                            000000   
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##  000000000                                     
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##  000000000                                     
            0xFF, 0xC0, 0x00, 0x00, 0x00, 0x00, ##  0000000000                                    
            0xFF, 0xC0, 0x00, 0x00, 0x00, 0x00, ##  0000000000                                    
            0xFF, 0xE0, 0x00, 0x00, 0x00, 0x00, ##  00000000000                                   
            0x7F, 0xF0, 0x00, 0x00, 0x00, 0x00, ##   00000000000                                  
            0x7F, 0xF8, 0x00, 0x00, 0x00, 0x00, ##   000000000000                                 
            0x7F, 0xFE, 0x00, 0x00, 0x00, 0x00, ##   00000000000000                               
            0x3F, 0xFF, 0x80, 0x00, 0x00, 0x00, ##    000000000000000                             
            0x3F, 0xFF, 0xF0, 0x00, 0x00, 0x00, ##    000000000000000000                          
            0x1F, 0xFF, 0xFE, 0x00, 0x00, 0x00, ##     00000000000000000000                       
            0x0F, 0xFF, 0xFF, 0xE0, 0x00, 0x00, ##      00000000000000000000000                   
            0x0F, 0xFF, 0xFF, 0xFC, 0x00, 0x00, ##      00000000000000000000000000                
            0x03, 0xFF, 0xFF, 0xFF, 0x80, 0x00, ##        000000000000000000000000000             
            0x01, 0xFF, 0xFF, 0xFF, 0xE0, 0x00, ##         0000000000000000000000000000           
            0x00, 0x7F, 0xFF, 0xFF, 0xF8, 0x00, ##           0000000000000000000000000000         
            0x00, 0x1F, 0xFF, 0xFF, 0xFE, 0x00, ##             0000000000000000000000000000       
            0x00, 0x07, 0xFF, 0xFF, 0xFF, 0x00, ##               000000000000000000000000000      
            0x00, 0x00, 0xFF, 0xFF, 0xFF, 0xC0, ##                  00000000000000000000000000    
            0x00, 0x00, 0x1F, 0xFF, 0xFF, 0xE0, ##                     000000000000000000000000   
            0x00, 0x00, 0x01, 0xFF, 0xFF, 0xE0, ##                         00000000000000000000   
            0x00, 0x00, 0x00, 0x3F, 0xFF, 0xF0, ##                            000000000000000000  
            0x00, 0x00, 0x00, 0x0F, 0xFF, 0xF0, ##                              0000000000000000  
            0x00, 0x00, 0x00, 0x01, 0xFF, 0xF8, ##                                 00000000000000 
            0x00, 0x00, 0x00, 0x00, 0x7F, 0xF8, ##                                   000000000000 
            0x00, 0x00, 0x00, 0x00, 0x3F, 0xF8, ##                                    00000000000 
            0x00, 0x00, 0x00, 0x00, 0x1F, 0xFC, ##                                     00000000000
            0x00, 0x00, 0x00, 0x00, 0x0F, 0xFC, ##                                      0000000000
            0x00, 0x00, 0x00, 0x00, 0x0F, 0xFC, ##                                      0000000000
            0x00, 0x00, 0x00, 0x00, 0x07, 0xFC, ##                                       000000000
            0x00, 0x00, 0x00, 0x00, 0x07, 0xFC, ##                                       000000000
            0x7C, 0x00, 0x00, 0x00, 0x07, 0xFC, ##   00000                               000000000
            0x7C, 0x00, 0x00, 0x00, 0x07, 0xFC, ##   00000                               000000000
            0x7C, 0x00, 0x00, 0x00, 0x07, 0xFC, ##   00000                               000000000
            0x7C, 0x00, 0x00, 0x00, 0x07, 0xFC, ##   00000                               000000000
            0x7E, 0x00, 0x00, 0x00, 0x07, 0xF8, ##   000000                              00000000 
            0x7E, 0x00, 0x00, 0x00, 0x07, 0xF8, ##   000000                              00000000 
            0x7E, 0x00, 0x00, 0x00, 0x0F, 0xF8, ##   000000                             000000000 
            0x7F, 0x00, 0x00, 0x00, 0x0F, 0xF0, ##   0000000                            00000000  
            0x7F, 0x00, 0x00, 0x00, 0x1F, 0xF0, ##   0000000                           000000000  
            0x7F, 0x80, 0x00, 0x00, 0x1F, 0xE0, ##   00000000                          00000000   
            0x7F, 0xC0, 0x00, 0x00, 0x3F, 0xE0, ##   000000000                        000000000   
            0x7F, 0xE0, 0x00, 0x00, 0xFF, 0xC0, ##   0000000000                     0000000000    
            0x7F, 0xF8, 0x00, 0x03, 0xFF, 0x80, ##   000000000000                 00000000000     
            0x7F, 0xFF, 0x00, 0x1F, 0xFF, 0x00, ##   000000000000000           0000000000000      
            0x3F, 0xFF, 0xFF, 0xFF, 0xFC, 0x00, ##    000000000000000000000000000000000000        
            0x07, 0xFF, 0xFF, 0xFF, 0xF0, 0x00, ##       0000000000000000000000000000000          
            0x00, 0x7F, 0xFF, 0xFF, 0xC0, 0x00, ##           0000000000000000000000000            
            0x00, 0x01, 0xFF, 0xF8, 0x00, 0x00, ##                 00000000000000                 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '84' => {    # 'T'
        'width'    => 56, 
        'xoffset'  => 1, 
        'xadvance' => 58, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, ##  00000000000000000000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, ##  00000000000000000000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, ##  00000000000000000000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, ##  00000000000000000000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, ##  00000000000000000000000000000000000000000000000000000000
            0xF8, 0x00, 0x00, 0xFF, 0x80, 0x00, 0x1F, ##  00000                   000000000                  00000
            0xF8, 0x00, 0x00, 0xFF, 0x80, 0x00, 0x1F, ##  00000                   000000000                  00000
            0xF8, 0x00, 0x00, 0xFF, 0x80, 0x00, 0x1F, ##  00000                   000000000                  00000
            0xF8, 0x00, 0x00, 0xFF, 0x80, 0x00, 0x1F, ##  00000                   000000000                  00000
            0xF8, 0x00, 0x00, 0xFF, 0x80, 0x00, 0x1F, ##  00000                   000000000                  00000
            0xF8, 0x00, 0x00, 0xFF, 0x80, 0x00, 0x1F, ##  00000                   000000000                  00000
            0xF8, 0x00, 0x00, 0xFF, 0x80, 0x00, 0x1F, ##  00000                   000000000                  00000
            0xF8, 0x00, 0x00, 0xFF, 0x80, 0x00, 0x1F, ##  00000                   000000000                  00000
            0xF8, 0x00, 0x00, 0xFF, 0x80, 0x00, 0x1F, ##  00000                   000000000                  00000
            0xF8, 0x00, 0x00, 0xFF, 0x80, 0x00, 0x1F, ##  00000                   000000000                  00000
            0x00, 0x00, 0x00, 0xFF, 0x80, 0x00, 0x00, ##                          000000000                       
            0x00, 0x00, 0x00, 0xFF, 0x80, 0x00, 0x00, ##                          000000000                       
            0x00, 0x00, 0x00, 0xFF, 0x80, 0x00, 0x00, ##                          000000000                       
            0x00, 0x00, 0x00, 0xFF, 0x80, 0x00, 0x00, ##                          000000000                       
            0x00, 0x00, 0x00, 0xFF, 0x80, 0x00, 0x00, ##                          000000000                       
            0x00, 0x00, 0x00, 0xFF, 0x80, 0x00, 0x00, ##                          000000000                       
            0x00, 0x00, 0x00, 0xFF, 0x80, 0x00, 0x00, ##                          000000000                       
            0x00, 0x00, 0x00, 0xFF, 0x80, 0x00, 0x00, ##                          000000000                       
            0x00, 0x00, 0x00, 0xFF, 0x80, 0x00, 0x00, ##                          000000000                       
            0x00, 0x00, 0x00, 0xFF, 0x80, 0x00, 0x00, ##                          000000000                       
            0x00, 0x00, 0x00, 0xFF, 0x80, 0x00, 0x00, ##                          000000000                       
            0x00, 0x00, 0x00, 0xFF, 0x80, 0x00, 0x00, ##                          000000000                       
            0x00, 0x00, 0x00, 0xFF, 0x80, 0x00, 0x00, ##                          000000000                       
            0x00, 0x00, 0x00, 0xFF, 0x80, 0x00, 0x00, ##                          000000000                       
            0x00, 0x00, 0x00, 0xFF, 0x80, 0x00, 0x00, ##                          000000000                       
            0x00, 0x00, 0x00, 0xFF, 0x80, 0x00, 0x00, ##                          000000000                       
            0x00, 0x00, 0x00, 0xFF, 0x80, 0x00, 0x00, ##                          000000000                       
            0x00, 0x00, 0x00, 0xFF, 0x80, 0x00, 0x00, ##                          000000000                       
            0x00, 0x00, 0x00, 0xFF, 0x80, 0x00, 0x00, ##                          000000000                       
            0x00, 0x00, 0x00, 0xFF, 0x80, 0x00, 0x00, ##                          000000000                       
            0x00, 0x00, 0x00, 0xFF, 0x80, 0x00, 0x00, ##                          000000000                       
            0x00, 0x00, 0x00, 0xFF, 0x80, 0x00, 0x00, ##                          000000000                       
            0x00, 0x00, 0x00, 0xFF, 0x80, 0x00, 0x00, ##                          000000000                       
            0x00, 0x00, 0x00, 0xFF, 0x80, 0x00, 0x00, ##                          000000000                       
            0x00, 0x00, 0x00, 0xFF, 0x80, 0x00, 0x00, ##                          000000000                       
            0x00, 0x00, 0x00, 0xFF, 0x80, 0x00, 0x00, ##                          000000000                       
            0x00, 0x00, 0x00, 0xFF, 0x80, 0x00, 0x00, ##                          000000000                       
            0x00, 0x00, 0x00, 0xFF, 0x80, 0x00, 0x00, ##                          000000000                       
            0x00, 0x00, 0x00, 0xFF, 0x80, 0x00, 0x00, ##                          000000000                       
            0x00, 0x00, 0x00, 0xFF, 0x80, 0x00, 0x00, ##                          000000000                       
            0x00, 0x00, 0x00, 0xFF, 0x80, 0x00, 0x00, ##                          000000000                       
            0x00, 0x00, 0x00, 0xFF, 0x80, 0x00, 0x00, ##                          000000000                       
            0x00, 0x00, 0x00, 0xFF, 0x80, 0x00, 0x00, ##                          000000000                       
            0x00, 0x00, 0x00, 0xFF, 0x80, 0x00, 0x00, ##                          000000000                       
            0x00, 0x00, 0x00, 0xFF, 0x80, 0x00, 0x00, ##                          000000000                       
            0x00, 0x00, 0x00, 0xFF, 0x80, 0x00, 0x00, ##                          000000000                       
            0x00, 0x00, 0x00, 0xFF, 0x80, 0x00, 0x00, ##                          000000000                       
            0x00, 0x00, 0x00, 0xFF, 0x80, 0x00, 0x00, ##                          000000000                       
            0x00, 0x00, 0x00, 0xFF, 0x80, 0x00, 0x00, ##                          000000000                       
            0x00, 0x00, 0x00, 0xFF, 0x80, 0x00, 0x00, ##                          000000000                       
            0x00, 0x00, 0x00, 0xFF, 0x80, 0x00, 0x00, ##                          000000000                       
            0x00, 0x00, 0x00, 0xFF, 0x80, 0x00, 0x00, ##                          000000000                       
            0x00, 0x00, 0x00, 0xFF, 0x80, 0x00, 0x00, ##                          000000000                       
            0x00, 0x00, 0x00, 0xFF, 0x80, 0x00, 0x00, ##                          000000000                       
            0x00, 0x00, 0x00, 0xFF, 0x80, 0x00, 0x00, ##                          000000000                       
            0x00, 0x00, 0xFF, 0xFF, 0xFF, 0x80, 0x00, ##                  0000000000000000000000000               
            0x00, 0x00, 0xFF, 0xFF, 0xFF, 0x80, 0x00, ##                  0000000000000000000000000               
            0x00, 0x00, 0xFF, 0xFF, 0xFF, 0x80, 0x00, ##                  0000000000000000000000000               
            0x00, 0x00, 0xFF, 0xFF, 0xFF, 0x80, 0x00, ##                  0000000000000000000000000               
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '85' => {    # 'U'
        'width'    => 65, 
        'xoffset'  => 4, 
        'xadvance' => 73, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0xFF, 0xFF, 0x80, 0x00, 0x0F, 0xFF, 0xFF, 0x80, ##  0000000000000000000000000                   000000000000000000000
            0x00, 0xFF, 0xFF, 0x80, 0x00, 0x0F, 0xFF, 0xFF, 0x80, ##  0000000000000000000000000                   000000000000000000000
            0x00, 0xFF, 0xFF, 0x80, 0x00, 0x0F, 0xFF, 0xFF, 0x80, ##  0000000000000000000000000                   000000000000000000000
            0x00, 0xFF, 0xFF, 0x80, 0x00, 0x0F, 0xFF, 0xFF, 0x80, ##  0000000000000000000000000                   000000000000000000000
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x0F, 0x80, 0x00, ##          000000000                                   00000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x0F, 0x80, 0x00, ##          000000000                                   00000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x0F, 0x80, 0x00, ##          000000000                                   00000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x0F, 0x80, 0x00, ##          000000000                                   00000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x0F, 0x80, 0x00, ##          000000000                                   00000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x0F, 0x80, 0x00, ##          000000000                                   00000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x0F, 0x80, 0x00, ##          000000000                                   00000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x0F, 0x80, 0x00, ##          000000000                                   00000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x0F, 0x80, 0x00, ##          000000000                                   00000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x0F, 0x80, 0x00, ##          000000000                                   00000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x0F, 0x80, 0x00, ##          000000000                                   00000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x0F, 0x80, 0x00, ##          000000000                                   00000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x0F, 0x80, 0x00, ##          000000000                                   00000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x0F, 0x80, 0x00, ##          000000000                                   00000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x0F, 0x80, 0x00, ##          000000000                                   00000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x0F, 0x80, 0x00, ##          000000000                                   00000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x0F, 0x80, 0x00, ##          000000000                                   00000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x0F, 0x80, 0x00, ##          000000000                                   00000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x0F, 0x80, 0x00, ##          000000000                                   00000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x0F, 0x80, 0x00, ##          000000000                                   00000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x0F, 0x80, 0x00, ##          000000000                                   00000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x0F, 0x80, 0x00, ##          000000000                                   00000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x0F, 0x80, 0x00, ##          000000000                                   00000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x0F, 0x80, 0x00, ##          000000000                                   00000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x0F, 0x80, 0x00, ##          000000000                                   00000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x0F, 0x80, 0x00, ##          000000000                                   00000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x0F, 0x80, 0x00, ##          000000000                                   00000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x0F, 0x80, 0x00, ##          000000000                                   00000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x0F, 0x80, 0x00, ##          000000000                                   00000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x0F, 0x80, 0x00, ##          000000000                                   00000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x0F, 0x80, 0x00, ##          000000000                                   00000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x0F, 0x80, 0x00, ##          000000000                                   00000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x0F, 0x80, 0x00, ##          000000000                                   00000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x0F, 0x80, 0x00, ##          000000000                                   00000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x0F, 0x80, 0x00, ##          000000000                                   00000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x0F, 0x80, 0x00, ##          000000000                                   00000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x0F, 0x80, 0x00, ##          000000000                                   00000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x0F, 0x80, 0x00, ##          000000000                                   00000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x0F, 0x80, 0x00, ##          000000000                                   00000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x0F, 0x80, 0x00, ##          000000000                                   00000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x0F, 0x80, 0x00, ##          000000000                                   00000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x1F, 0x80, 0x00, ##          000000000                                  000000        
            0x00, 0x7F, 0xC0, 0x00, 0x00, 0x00, 0x1F, 0x00, 0x00, ##           000000000                                 00000         
            0x00, 0x7F, 0xC0, 0x00, 0x00, 0x00, 0x1F, 0x00, 0x00, ##           000000000                                 00000         
            0x00, 0x7F, 0xC0, 0x00, 0x00, 0x00, 0x1F, 0x00, 0x00, ##           000000000                                 00000         
            0x00, 0x7F, 0xC0, 0x00, 0x00, 0x00, 0x1F, 0x00, 0x00, ##           000000000                                 00000         
            0x00, 0x7F, 0xE0, 0x00, 0x00, 0x00, 0x3F, 0x00, 0x00, ##           0000000000                               000000         
            0x00, 0x3F, 0xE0, 0x00, 0x00, 0x00, 0x3E, 0x00, 0x00, ##            000000000                               00000          
            0x00, 0x3F, 0xE0, 0x00, 0x00, 0x00, 0x3E, 0x00, 0x00, ##            000000000                               00000          
            0x00, 0x3F, 0xF0, 0x00, 0x00, 0x00, 0x7E, 0x00, 0x00, ##            0000000000                             000000          
            0x00, 0x1F, 0xF0, 0x00, 0x00, 0x00, 0xFC, 0x00, 0x00, ##             000000000                            000000           
            0x00, 0x1F, 0xF8, 0x00, 0x00, 0x00, 0xFC, 0x00, 0x00, ##             0000000000                           000000           
            0x00, 0x0F, 0xFC, 0x00, 0x00, 0x01, 0xF8, 0x00, 0x00, ##              0000000000                         000000            
            0x00, 0x0F, 0xFF, 0x00, 0x00, 0x07, 0xF8, 0x00, 0x00, ##              000000000000                     00000000            
            0x00, 0x07, 0xFF, 0xC0, 0x00, 0x1F, 0xF0, 0x00, 0x00, ##               0000000000000                 000000000             
            0x00, 0x03, 0xFF, 0xF8, 0x00, 0xFF, 0xE0, 0x00, 0x00, ##                000000000000000           00000000000              
            0x00, 0x01, 0xFF, 0xFF, 0xFF, 0xFF, 0xC0, 0x00, 0x00, ##                 00000000000000000000000000000000000               
            0x00, 0x00, 0x7F, 0xFF, 0xFF, 0xFF, 0x00, 0x00, 0x00, ##                   0000000000000000000000000000000                 
            0x00, 0x00, 0x1F, 0xFF, 0xFF, 0xFE, 0x00, 0x00, 0x00, ##                     0000000000000000000000000000                  
            0x00, 0x00, 0x07, 0xFF, 0xFF, 0xF0, 0x00, 0x00, 0x00, ##                       00000000000000000000000                     
            0x00, 0x00, 0x00, 0x3F, 0xFE, 0x00, 0x00, 0x00, 0x00, ##                            0000000000000                          
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '86' => {    # 'V'
        'width'    => 65, 
        'xoffset'  => -1, 
        'xadvance' => 63, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0xFF, 0xFE, 0x00, 0x00, 0x03, 0xFF, 0xFF, 0x80, ##  00000000000000000000000                       0000000000000000000
            0x00, 0xFF, 0xFE, 0x00, 0x00, 0x03, 0xFF, 0xFF, 0x80, ##  00000000000000000000000                       0000000000000000000
            0x00, 0xFF, 0xFE, 0x00, 0x00, 0x03, 0xFF, 0xFF, 0x80, ##  00000000000000000000000                       0000000000000000000
            0x00, 0xFF, 0xFE, 0x00, 0x00, 0x03, 0xFF, 0xFF, 0x80, ##  00000000000000000000000                       0000000000000000000
            0x00, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x07, 0xE0, 0x00, ##        0000000000                                     000000      
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x07, 0xC0, 0x00, ##         0000000000                                    00000       
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x0F, 0xC0, 0x00, ##         0000000000                                   000000       
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x0F, 0x80, 0x00, ##          000000000                                   00000        
            0x00, 0xFF, 0xC0, 0x00, 0x00, 0x00, 0x0F, 0x80, 0x00, ##          0000000000                                  00000        
            0x00, 0xFF, 0xC0, 0x00, 0x00, 0x00, 0x1F, 0x80, 0x00, ##          0000000000                                 000000        
            0x00, 0x7F, 0xC0, 0x00, 0x00, 0x00, 0x1F, 0x00, 0x00, ##           000000000                                 00000         
            0x00, 0x7F, 0xE0, 0x00, 0x00, 0x00, 0x3F, 0x00, 0x00, ##           0000000000                               000000         
            0x00, 0x7F, 0xE0, 0x00, 0x00, 0x00, 0x3E, 0x00, 0x00, ##           0000000000                               00000          
            0x00, 0x3F, 0xF0, 0x00, 0x00, 0x00, 0x3E, 0x00, 0x00, ##            0000000000                              00000          
            0x00, 0x3F, 0xF0, 0x00, 0x00, 0x00, 0x7E, 0x00, 0x00, ##            0000000000                             000000          
            0x00, 0x1F, 0xF0, 0x00, 0x00, 0x00, 0x7C, 0x00, 0x00, ##             000000000                             00000           
            0x00, 0x1F, 0xF8, 0x00, 0x00, 0x00, 0x7C, 0x00, 0x00, ##             0000000000                            00000           
            0x00, 0x1F, 0xF8, 0x00, 0x00, 0x00, 0xFC, 0x00, 0x00, ##             0000000000                           000000           
            0x00, 0x0F, 0xF8, 0x00, 0x00, 0x00, 0xF8, 0x00, 0x00, ##              000000000                           00000            
            0x00, 0x0F, 0xFC, 0x00, 0x00, 0x01, 0xF8, 0x00, 0x00, ##              0000000000                         000000            
            0x00, 0x07, 0xFC, 0x00, 0x00, 0x01, 0xF0, 0x00, 0x00, ##               000000000                         00000             
            0x00, 0x07, 0xFE, 0x00, 0x00, 0x01, 0xF0, 0x00, 0x00, ##               0000000000                        00000             
            0x00, 0x07, 0xFE, 0x00, 0x00, 0x03, 0xF0, 0x00, 0x00, ##               0000000000                       000000             
            0x00, 0x03, 0xFE, 0x00, 0x00, 0x03, 0xE0, 0x00, 0x00, ##                000000000                       00000              
            0x00, 0x03, 0xFF, 0x00, 0x00, 0x07, 0xE0, 0x00, 0x00, ##                0000000000                     000000              
            0x00, 0x03, 0xFF, 0x00, 0x00, 0x07, 0xC0, 0x00, 0x00, ##                0000000000                     00000               
            0x00, 0x01, 0xFF, 0x00, 0x00, 0x07, 0xC0, 0x00, 0x00, ##                 000000000                     00000               
            0x00, 0x01, 0xFF, 0x80, 0x00, 0x0F, 0xC0, 0x00, 0x00, ##                 0000000000                   000000               
            0x00, 0x00, 0xFF, 0x80, 0x00, 0x0F, 0x80, 0x00, 0x00, ##                  000000000                   00000                
            0x00, 0x00, 0xFF, 0xC0, 0x00, 0x0F, 0x80, 0x00, 0x00, ##                  0000000000                  00000                
            0x00, 0x00, 0xFF, 0xC0, 0x00, 0x1F, 0x80, 0x00, 0x00, ##                  0000000000                 000000                
            0x00, 0x00, 0x7F, 0xC0, 0x00, 0x1F, 0x00, 0x00, 0x00, ##                   000000000                 00000                 
            0x00, 0x00, 0x7F, 0xE0, 0x00, 0x3F, 0x00, 0x00, 0x00, ##                   0000000000               000000                 
            0x00, 0x00, 0x7F, 0xE0, 0x00, 0x3E, 0x00, 0x00, 0x00, ##                   0000000000               00000                  
            0x00, 0x00, 0x3F, 0xE0, 0x00, 0x3E, 0x00, 0x00, 0x00, ##                    000000000               00000                  
            0x00, 0x00, 0x3F, 0xF0, 0x00, 0x7E, 0x00, 0x00, 0x00, ##                    0000000000             000000                  
            0x00, 0x00, 0x1F, 0xF0, 0x00, 0x7C, 0x00, 0x00, 0x00, ##                     000000000             00000                   
            0x00, 0x00, 0x1F, 0xF8, 0x00, 0x7C, 0x00, 0x00, 0x00, ##                     0000000000            00000                   
            0x00, 0x00, 0x1F, 0xF8, 0x00, 0xFC, 0x00, 0x00, 0x00, ##                     0000000000           000000                   
            0x00, 0x00, 0x0F, 0xF8, 0x00, 0xF8, 0x00, 0x00, 0x00, ##                      000000000           00000                    
            0x00, 0x00, 0x0F, 0xFC, 0x01, 0xF8, 0x00, 0x00, 0x00, ##                      0000000000         000000                    
            0x00, 0x00, 0x0F, 0xFC, 0x01, 0xF0, 0x00, 0x00, 0x00, ##                      0000000000         00000                     
            0x00, 0x00, 0x07, 0xFE, 0x01, 0xF0, 0x00, 0x00, 0x00, ##                       0000000000        00000                     
            0x00, 0x00, 0x07, 0xFE, 0x03, 0xF0, 0x00, 0x00, 0x00, ##                       0000000000       000000                     
            0x00, 0x00, 0x03, 0xFE, 0x03, 0xE0, 0x00, 0x00, 0x00, ##                        000000000       00000                      
            0x00, 0x00, 0x03, 0xFF, 0x07, 0xE0, 0x00, 0x00, 0x00, ##                        0000000000     000000                      
            0x00, 0x00, 0x03, 0xFF, 0x07, 0xC0, 0x00, 0x00, 0x00, ##                        0000000000     00000                       
            0x00, 0x00, 0x01, 0xFF, 0x07, 0xC0, 0x00, 0x00, 0x00, ##                         000000000     00000                       
            0x00, 0x00, 0x01, 0xFF, 0x8F, 0xC0, 0x00, 0x00, 0x00, ##                         0000000000   000000                       
            0x00, 0x00, 0x01, 0xFF, 0x8F, 0x80, 0x00, 0x00, 0x00, ##                         0000000000   00000                        
            0x00, 0x00, 0x00, 0xFF, 0xCF, 0x80, 0x00, 0x00, 0x00, ##                          0000000000  00000                        
            0x00, 0x00, 0x00, 0xFF, 0xDF, 0x80, 0x00, 0x00, 0x00, ##                          0000000000 000000                        
            0x00, 0x00, 0x00, 0x7F, 0xDF, 0x00, 0x00, 0x00, 0x00, ##                           000000000 00000                         
            0x00, 0x00, 0x00, 0x7F, 0xFF, 0x00, 0x00, 0x00, 0x00, ##                           000000000000000                         
            0x00, 0x00, 0x00, 0x7F, 0xFE, 0x00, 0x00, 0x00, 0x00, ##                           00000000000000                          
            0x00, 0x00, 0x00, 0x3F, 0xFE, 0x00, 0x00, 0x00, 0x00, ##                            0000000000000                          
            0x00, 0x00, 0x00, 0x3F, 0xFE, 0x00, 0x00, 0x00, 0x00, ##                            0000000000000                          
            0x00, 0x00, 0x00, 0x3F, 0xFC, 0x00, 0x00, 0x00, 0x00, ##                            000000000000                           
            0x00, 0x00, 0x00, 0x1F, 0xFC, 0x00, 0x00, 0x00, 0x00, ##                             00000000000                           
            0x00, 0x00, 0x00, 0x1F, 0xF8, 0x00, 0x00, 0x00, 0x00, ##                             0000000000                            
            0x00, 0x00, 0x00, 0x0F, 0xF8, 0x00, 0x00, 0x00, 0x00, ##                              000000000                            
            0x00, 0x00, 0x00, 0x0F, 0xF8, 0x00, 0x00, 0x00, 0x00, ##                              000000000                            
            0x00, 0x00, 0x00, 0x0F, 0xF0, 0x00, 0x00, 0x00, 0x00, ##                              00000000                             
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '87' => {    # 'W'
        'width'    => 89, 
        'xoffset'  => 1, 
        'xadvance' => 91, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x1F, 0xC0, 0x00, 0x01, 0xFF, 0xFF, 0x80, ##  00000000000000000000000                    0000000                     000000000000000000
            0x00, 0x00, 0x00, 0x00, 0x00, 0x1F, 0xC0, 0x00, 0x01, 0xFF, 0xFF, 0x80, ##  00000000000000000000000                    0000000                     000000000000000000
            0x00, 0x00, 0x00, 0x00, 0x00, 0x3F, 0xE0, 0x00, 0x01, 0xFF, 0xFF, 0x80, ##  00000000000000000000000                   000000000                    000000000000000000
            0x00, 0x00, 0x00, 0x00, 0x00, 0x3F, 0xE0, 0x00, 0x01, 0xFF, 0xFF, 0x80, ##  00000000000000000000000                   000000000                    000000000000000000
            0x00, 0x00, 0x00, 0x00, 0x00, 0x3F, 0xE0, 0x00, 0x00, 0x03, 0xE0, 0x00, ##        000000000                           000000000                           00000      
            0x00, 0x00, 0x00, 0x00, 0x00, 0x7F, 0xF0, 0x00, 0x00, 0x03, 0xC0, 0x00, ##         000000000                         00000000000                          0000       
            0x00, 0x00, 0x00, 0x00, 0x00, 0x7F, 0xF0, 0x00, 0x00, 0x07, 0xC0, 0x00, ##         000000000                         00000000000                         00000       
            0x00, 0x00, 0x00, 0x00, 0x00, 0x7F, 0xF0, 0x00, 0x00, 0x07, 0xC0, 0x00, ##         000000000                         00000000000                         00000       
            0x00, 0x00, 0x00, 0x00, 0x00, 0x7F, 0xF0, 0x00, 0x00, 0x07, 0xC0, 0x00, ##         000000000                         00000000000                         00000       
            0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xF8, 0x00, 0x00, 0x07, 0x80, 0x00, ##          000000000                       0000000000000                        0000        
            0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xF8, 0x00, 0x00, 0x0F, 0x80, 0x00, ##          000000000                       0000000000000                       00000        
            0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xF8, 0x00, 0x00, 0x0F, 0x80, 0x00, ##          000000000                       0000000000000                       00000        
            0x00, 0x00, 0x00, 0x00, 0x01, 0xF7, 0xFC, 0x00, 0x00, 0x0F, 0x80, 0x00, ##           000000000                     00000 000000000                      00000        
            0x00, 0x00, 0x00, 0x00, 0x01, 0xF7, 0xFC, 0x00, 0x00, 0x0F, 0x00, 0x00, ##           000000000                     00000 000000000                      0000         
            0x00, 0x00, 0x00, 0x00, 0x01, 0xF7, 0xFC, 0x00, 0x00, 0x1F, 0x00, 0x00, ##           000000000                     00000 000000000                     00000         
            0x00, 0x00, 0x00, 0x00, 0x01, 0xE3, 0xFC, 0x00, 0x00, 0x1F, 0x00, 0x00, ##           000000000                     0000   00000000                     00000         
            0x00, 0x00, 0x00, 0x00, 0x03, 0xE3, 0xFE, 0x00, 0x00, 0x1E, 0x00, 0x00, ##            000000000                   00000   000000000                    0000          
            0x00, 0x00, 0x00, 0x00, 0x03, 0xE3, 0xFE, 0x00, 0x00, 0x3E, 0x00, 0x00, ##            000000000                   00000   000000000                   00000          
            0x00, 0x00, 0x00, 0x00, 0x03, 0xE1, 0xFE, 0x00, 0x00, 0x3E, 0x00, 0x00, ##            000000000                   00000    00000000                   00000          
            0x00, 0x00, 0x00, 0x00, 0x07, 0xC1, 0xFF, 0x00, 0x00, 0x3E, 0x00, 0x00, ##             00000000                  00000     000000000                  00000          
            0x00, 0x00, 0x00, 0x00, 0x07, 0xC1, 0xFF, 0x00, 0x00, 0x3C, 0x00, 0x00, ##             000000000                 00000     000000000                  0000           
            0x00, 0x00, 0x00, 0x00, 0x07, 0xC1, 0xFF, 0x00, 0x00, 0x7C, 0x00, 0x00, ##             000000000                 00000     000000000                 00000           
            0x00, 0x00, 0x00, 0x00, 0x07, 0x80, 0xFF, 0x00, 0x00, 0x7C, 0x00, 0x00, ##             000000000                 0000       00000000                 00000           
            0x00, 0x00, 0x00, 0x00, 0x0F, 0x80, 0xFF, 0x80, 0x00, 0x78, 0x00, 0x00, ##              000000000               00000       000000000                0000            
            0x00, 0x00, 0x00, 0x00, 0x0F, 0x80, 0xFF, 0x80, 0x00, 0x78, 0x00, 0x00, ##              000000000               00000       000000000                0000            
            0x00, 0x00, 0x00, 0x00, 0x0F, 0x80, 0x7F, 0x80, 0x00, 0xF8, 0x00, 0x00, ##              000000000               00000        00000000               00000            
            0x00, 0x00, 0x00, 0x00, 0x1F, 0x00, 0x7F, 0xC0, 0x00, 0xF8, 0x00, 0x00, ##              000000000              00000         000000000              00000            
            0x00, 0x00, 0x00, 0x00, 0x1F, 0x00, 0x7F, 0xC0, 0x00, 0xF0, 0x00, 0x00, ##               000000000             00000         000000000              0000             
            0x00, 0x00, 0x00, 0x00, 0x1F, 0x00, 0x7F, 0xC0, 0x01, 0xF0, 0x00, 0x00, ##               000000000             00000         000000000             00000             
            0x00, 0x00, 0x00, 0x00, 0x1E, 0x00, 0x3F, 0xC0, 0x01, 0xF0, 0x00, 0x00, ##               000000000             0000           00000000             00000             
            0x00, 0x00, 0x00, 0x00, 0x3E, 0x00, 0x3F, 0xE0, 0x01, 0xF0, 0x00, 0x00, ##                000000000           00000           000000000            00000             
            0x00, 0x00, 0x00, 0x00, 0x3E, 0x00, 0x3F, 0xE0, 0x01, 0xE0, 0x00, 0x00, ##                000000000           00000           000000000            0000              
            0x00, 0x00, 0x00, 0x00, 0x3E, 0x00, 0x1F, 0xE0, 0x03, 0xE0, 0x00, 0x00, ##                000000000           00000            00000000           00000              
            0x00, 0x00, 0x00, 0x00, 0x7C, 0x00, 0x1F, 0xF0, 0x03, 0xE0, 0x00, 0x00, ##                000000000          00000             000000000          00000              
            0x00, 0x00, 0x00, 0x00, 0x7C, 0x00, 0x1F, 0xF0, 0x03, 0xC0, 0x00, 0x00, ##                 000000000         00000             000000000          0000               
            0x00, 0x00, 0x00, 0x00, 0x7C, 0x00, 0x1F, 0xF0, 0x07, 0xC0, 0x00, 0x00, ##                 000000000         00000             000000000         00000               
            0x00, 0x00, 0x00, 0x00, 0x78, 0x00, 0x0F, 0xF0, 0x07, 0xC0, 0x00, 0x00, ##                 000000000         0000               00000000         00000               
            0x00, 0x00, 0x00, 0x00, 0xF8, 0x00, 0x0F, 0xF8, 0x07, 0xC0, 0x00, 0x00, ##                  000000000       00000               000000000        00000               
            0x00, 0x00, 0x00, 0x00, 0xF8, 0x00, 0x0F, 0xF8, 0x07, 0x80, 0x00, 0x00, ##                  000000000       00000               000000000        0000                
            0x00, 0x00, 0x00, 0x00, 0xF8, 0x00, 0x0F, 0xF8, 0x0F, 0x80, 0x00, 0x00, ##                  000000000       00000               000000000       00000                
            0x00, 0x00, 0x00, 0x00, 0xF0, 0x00, 0x07, 0xFC, 0x0F, 0x80, 0x00, 0x00, ##                  000000000      00000                 000000000      00000                
            0x00, 0x00, 0x00, 0x00, 0xF0, 0x00, 0x07, 0xFC, 0x0F, 0x00, 0x00, 0x00, ##                   000000000     00000                 000000000      0000                 
            0x00, 0x00, 0x00, 0x00, 0xF0, 0x00, 0x07, 0xFC, 0x0F, 0x00, 0x00, 0x00, ##                   000000000     00000                 000000000      0000                 
            0x00, 0x00, 0x00, 0x00, 0xE0, 0x00, 0x03, 0xFE, 0x1F, 0x00, 0x00, 0x00, ##                   000000000     0000                   000000000    00000                 
            0x00, 0x00, 0x00, 0x00, 0xE0, 0x00, 0x03, 0xFE, 0x1F, 0x00, 0x00, 0x00, ##                   000000000    00000                   000000000    00000                 
            0x00, 0x00, 0x00, 0x00, 0xE0, 0x00, 0x03, 0xFE, 0x1E, 0x00, 0x00, 0x00, ##                    000000000   00000                   000000000    0000                  
            0x00, 0x00, 0x00, 0x00, 0xE0, 0x00, 0x03, 0xFE, 0x3E, 0x00, 0x00, 0x00, ##                    000000000   00000                   000000000   00000                  
            0x00, 0x00, 0x00, 0x00, 0xC0, 0x00, 0x01, 0xFF, 0x3E, 0x00, 0x00, 0x00, ##                    000000000  00000                     000000000  00000                  
            0x00, 0x00, 0x00, 0x00, 0xC0, 0x00, 0x01, 0xFF, 0x3E, 0x00, 0x00, 0x00, ##                     000000000 00000                     000000000  00000                  
            0x00, 0x00, 0x00, 0x00, 0xC0, 0x00, 0x01, 0xFF, 0x3C, 0x00, 0x00, 0x00, ##                     000000000 00000                     000000000  0000                   
            0x00, 0x00, 0x00, 0x00, 0xC0, 0x00, 0x00, 0xFF, 0xFC, 0x00, 0x00, 0x00, ##                     000000000 00000                      00000000000000                   
            0x00, 0x00, 0x00, 0x00, 0x80, 0x00, 0x00, 0xFF, 0xFC, 0x00, 0x00, 0x00, ##                     00000000000000                       00000000000000                   
            0x00, 0x00, 0x00, 0x00, 0x80, 0x00, 0x00, 0xFF, 0xF8, 0x00, 0x00, 0x00, ##                      0000000000000                       0000000000000                    
            0x00, 0x00, 0x00, 0x00, 0x80, 0x00, 0x00, 0xFF, 0xF8, 0x00, 0x00, 0x00, ##                      0000000000000                       0000000000000                    
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x7F, 0xF8, 0x00, 0x00, 0x00, ##                      000000000000                         000000000000                    
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x7F, 0xF8, 0x00, 0x00, 0x00, ##                       00000000000                         000000000000                    
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x7F, 0xF0, 0x00, 0x00, 0x00, ##                       00000000000                         00000000000                     
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x3F, 0xF0, 0x00, 0x00, 0x00, ##                       00000000000                          0000000000                     
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x3F, 0xF0, 0x00, 0x00, 0x00, ##                       0000000000                           0000000000                     
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x3F, 0xE0, 0x00, 0x00, 0x00, ##                        000000000                           000000000                      
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x3F, 0xE0, 0x00, 0x00, 0x00, ##                        000000000                           000000000                      
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x1F, 0xE0, 0x00, 0x00, 0x00, ##                        00000000                             00000000                      
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x1F, 0xE0, 0x00, 0x00, 0x00, ##                        00000000                             00000000                      
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '88' => {    # 'X'
        'width'    => 61, 
        'xoffset'  => 1, 
        'xadvance' => 63, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0xFF, 0xFF, 0xFF, 0x80, 0x07, 0xFF, 0xFF, 0xC0, ##  0000000000000000000000000            000000000000000000000   
            0xFF, 0xFF, 0xFF, 0x80, 0x07, 0xFF, 0xFF, 0xC0, ##  0000000000000000000000000            000000000000000000000   
            0xFF, 0xFF, 0xFF, 0x80, 0x07, 0xFF, 0xFF, 0xC0, ##  0000000000000000000000000            000000000000000000000   
            0xFF, 0xFF, 0xFF, 0x80, 0x07, 0xFF, 0xFF, 0xC0, ##  0000000000000000000000000            000000000000000000000   
            0x01, 0xFF, 0xC0, 0x00, 0x00, 0x07, 0xC0, 0x00, ##         00000000000                           00000           
            0x00, 0xFF, 0xE0, 0x00, 0x00, 0x0F, 0xC0, 0x00, ##          00000000000                         000000           
            0x00, 0xFF, 0xF0, 0x00, 0x00, 0x0F, 0x80, 0x00, ##          000000000000                        00000            
            0x00, 0x7F, 0xF0, 0x00, 0x00, 0x1F, 0x00, 0x00, ##           00000000000                       00000             
            0x00, 0x3F, 0xF8, 0x00, 0x00, 0x3F, 0x00, 0x00, ##            00000000000                     000000             
            0x00, 0x3F, 0xF8, 0x00, 0x00, 0x3E, 0x00, 0x00, ##            00000000000                     00000              
            0x00, 0x1F, 0xFC, 0x00, 0x00, 0x7E, 0x00, 0x00, ##             00000000000                   000000              
            0x00, 0x0F, 0xFE, 0x00, 0x00, 0xFC, 0x00, 0x00, ##              00000000000                 000000               
            0x00, 0x0F, 0xFE, 0x00, 0x00, 0xF8, 0x00, 0x00, ##              00000000000                 00000                
            0x00, 0x07, 0xFF, 0x00, 0x01, 0xF8, 0x00, 0x00, ##               00000000000               000000                
            0x00, 0x03, 0xFF, 0x80, 0x03, 0xF0, 0x00, 0x00, ##                00000000000             000000                 
            0x00, 0x03, 0xFF, 0x80, 0x03, 0xE0, 0x00, 0x00, ##                00000000000             00000                  
            0x00, 0x01, 0xFF, 0xC0, 0x07, 0xE0, 0x00, 0x00, ##                 00000000000           000000                  
            0x00, 0x00, 0xFF, 0xE0, 0x0F, 0xC0, 0x00, 0x00, ##                  00000000000         000000                   
            0x00, 0x00, 0xFF, 0xE0, 0x0F, 0x80, 0x00, 0x00, ##                  00000000000         00000                    
            0x00, 0x00, 0x7F, 0xF0, 0x1F, 0x80, 0x00, 0x00, ##                   00000000000       000000                    
            0x00, 0x00, 0x7F, 0xF8, 0x3F, 0x00, 0x00, 0x00, ##                   000000000000     000000                     
            0x00, 0x00, 0x3F, 0xF8, 0x3E, 0x00, 0x00, 0x00, ##                    00000000000     00000                      
            0x00, 0x00, 0x1F, 0xFC, 0x7E, 0x00, 0x00, 0x00, ##                     00000000000   000000                      
            0x00, 0x00, 0x1F, 0xFC, 0xFC, 0x00, 0x00, 0x00, ##                     00000000000  000000                       
            0x00, 0x00, 0x0F, 0xFE, 0xF8, 0x00, 0x00, 0x00, ##                      00000000000 00000                        
            0x00, 0x00, 0x07, 0xFF, 0xF8, 0x00, 0x00, 0x00, ##                       0000000000000000                        
            0x00, 0x00, 0x07, 0xFF, 0xF0, 0x00, 0x00, 0x00, ##                       000000000000000                         
            0x00, 0x00, 0x03, 0xFF, 0xE0, 0x00, 0x00, 0x00, ##                        0000000000000                          
            0x00, 0x00, 0x01, 0xFF, 0xE0, 0x00, 0x00, 0x00, ##                         000000000000                          
            0x00, 0x00, 0x01, 0xFF, 0xC0, 0x00, 0x00, 0x00, ##                         00000000000                           
            0x00, 0x00, 0x00, 0xFF, 0xE0, 0x00, 0x00, 0x00, ##                          00000000000                          
            0x00, 0x00, 0x00, 0xFF, 0xF0, 0x00, 0x00, 0x00, ##                          000000000000                         
            0x00, 0x00, 0x00, 0x7F, 0xF0, 0x00, 0x00, 0x00, ##                           00000000000                         
            0x00, 0x00, 0x00, 0x7F, 0xF8, 0x00, 0x00, 0x00, ##                           000000000000                        
            0x00, 0x00, 0x00, 0xFF, 0xFC, 0x00, 0x00, 0x00, ##                          00000000000000                       
            0x00, 0x00, 0x01, 0xFF, 0xFC, 0x00, 0x00, 0x00, ##                         000000000000000                       
            0x00, 0x00, 0x01, 0xFF, 0xFE, 0x00, 0x00, 0x00, ##                         0000000000000000                      
            0x00, 0x00, 0x03, 0xFF, 0xFF, 0x00, 0x00, 0x00, ##                        000000000000000000                     
            0x00, 0x00, 0x07, 0xE7, 0xFF, 0x00, 0x00, 0x00, ##                       000000  00000000000                     
            0x00, 0x00, 0x07, 0xC3, 0xFF, 0x80, 0x00, 0x00, ##                       00000    00000000000                    
            0x00, 0x00, 0x0F, 0xC3, 0xFF, 0xC0, 0x00, 0x00, ##                      000000    000000000000                   
            0x00, 0x00, 0x1F, 0x81, 0xFF, 0xC0, 0x00, 0x00, ##                     000000      00000000000                   
            0x00, 0x00, 0x1F, 0x00, 0xFF, 0xE0, 0x00, 0x00, ##                     00000        00000000000                  
            0x00, 0x00, 0x3F, 0x00, 0xFF, 0xE0, 0x00, 0x00, ##                    000000        00000000000                  
            0x00, 0x00, 0x7E, 0x00, 0x7F, 0xF0, 0x00, 0x00, ##                   000000          00000000000                 
            0x00, 0x00, 0x7C, 0x00, 0x3F, 0xF8, 0x00, 0x00, ##                   00000            00000000000                
            0x00, 0x00, 0xFC, 0x00, 0x3F, 0xF8, 0x00, 0x00, ##                  000000            00000000000                
            0x00, 0x01, 0xF8, 0x00, 0x1F, 0xFC, 0x00, 0x00, ##                 000000              00000000000               
            0x00, 0x01, 0xF0, 0x00, 0x0F, 0xFE, 0x00, 0x00, ##                 00000                00000000000              
            0x00, 0x03, 0xF0, 0x00, 0x0F, 0xFE, 0x00, 0x00, ##                000000                00000000000              
            0x00, 0x07, 0xE0, 0x00, 0x07, 0xFF, 0x00, 0x00, ##               000000                  00000000000             
            0x00, 0x07, 0xC0, 0x00, 0x03, 0xFF, 0x80, 0x00, ##               00000                    00000000000            
            0x00, 0x0F, 0xC0, 0x00, 0x03, 0xFF, 0x80, 0x00, ##              000000                    00000000000            
            0x00, 0x1F, 0x80, 0x00, 0x01, 0xFF, 0xC0, 0x00, ##             000000                      00000000000           
            0x00, 0x1F, 0x00, 0x00, 0x00, 0xFF, 0xE0, 0x00, ##             00000                        00000000000          
            0x00, 0x3F, 0x00, 0x00, 0x00, 0xFF, 0xE0, 0x00, ##            000000                        00000000000          
            0x00, 0x7E, 0x00, 0x00, 0x00, 0x7F, 0xF0, 0x00, ##           000000                          00000000000         
            0x00, 0x7C, 0x00, 0x00, 0x00, 0x3F, 0xF0, 0x00, ##           00000                            0000000000         
            0x00, 0xFC, 0x00, 0x00, 0x00, 0x3F, 0xF8, 0x00, ##          000000                            00000000000        
            0x01, 0xF8, 0x00, 0x00, 0x00, 0x1F, 0xFC, 0x00, ##         000000                              00000000000       
            0xFF, 0xFF, 0xF8, 0x00, 0x0F, 0xFF, 0xFF, 0xF8, ##  000000000000000000000               0000000000000000000000000
            0xFF, 0xFF, 0xF8, 0x00, 0x0F, 0xFF, 0xFF, 0xF8, ##  000000000000000000000               0000000000000000000000000
            0xFF, 0xFF, 0xF8, 0x00, 0x0F, 0xFF, 0xFF, 0xF8, ##  000000000000000000000               0000000000000000000000000
            0xFF, 0xFF, 0xF8, 0x00, 0x0F, 0xFF, 0xFF, 0xF8, ##  000000000000000000000               0000000000000000000000000
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '89' => {    # 'Y'
        'width'    => 59, 
        'xoffset'  => -1, 
        'xadvance' => 57, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0xFF, 0xFF, 0xFF, 0x00, 0x00, 0x7F, 0xFF, 0xE0, ##  000000000000000000000000                 000000000000000000
            0xFF, 0xFF, 0xFF, 0x00, 0x00, 0x7F, 0xFF, 0xE0, ##  000000000000000000000000                 000000000000000000
            0xFF, 0xFF, 0xFF, 0x00, 0x00, 0x7F, 0xFF, 0xE0, ##  000000000000000000000000                 000000000000000000
            0xFF, 0xFF, 0xFF, 0x00, 0x00, 0x7F, 0xFF, 0xE0, ##  000000000000000000000000                 000000000000000000
            0x03, 0xFF, 0x00, 0x00, 0x00, 0x01, 0xF8, 0x00, ##        0000000000                               000000      
            0x01, 0xFF, 0x80, 0x00, 0x00, 0x01, 0xF0, 0x00, ##         0000000000                              00000       
            0x01, 0xFF, 0x80, 0x00, 0x00, 0x03, 0xF0, 0x00, ##         0000000000                             000000       
            0x00, 0xFF, 0xC0, 0x00, 0x00, 0x03, 0xE0, 0x00, ##          0000000000                            00000        
            0x00, 0xFF, 0xE0, 0x00, 0x00, 0x07, 0xC0, 0x00, ##          00000000000                          00000         
            0x00, 0x7F, 0xE0, 0x00, 0x00, 0x0F, 0xC0, 0x00, ##           0000000000                         000000         
            0x00, 0x3F, 0xF0, 0x00, 0x00, 0x0F, 0x80, 0x00, ##            0000000000                        00000          
            0x00, 0x3F, 0xF0, 0x00, 0x00, 0x1F, 0x80, 0x00, ##            0000000000                       000000          
            0x00, 0x1F, 0xF8, 0x00, 0x00, 0x1F, 0x00, 0x00, ##             0000000000                      00000           
            0x00, 0x1F, 0xFC, 0x00, 0x00, 0x3E, 0x00, 0x00, ##             00000000000                    00000            
            0x00, 0x0F, 0xFC, 0x00, 0x00, 0x7E, 0x00, 0x00, ##              0000000000                   000000            
            0x00, 0x07, 0xFE, 0x00, 0x00, 0x7C, 0x00, 0x00, ##               0000000000                  00000             
            0x00, 0x07, 0xFE, 0x00, 0x00, 0xFC, 0x00, 0x00, ##               0000000000                 000000             
            0x00, 0x03, 0xFF, 0x00, 0x00, 0xF8, 0x00, 0x00, ##                0000000000                00000              
            0x00, 0x03, 0xFF, 0x80, 0x01, 0xF0, 0x00, 0x00, ##                00000000000              00000               
            0x00, 0x01, 0xFF, 0x80, 0x03, 0xF0, 0x00, 0x00, ##                 0000000000             000000               
            0x00, 0x00, 0xFF, 0xC0, 0x03, 0xE0, 0x00, 0x00, ##                  0000000000            00000                
            0x00, 0x00, 0xFF, 0xC0, 0x07, 0xE0, 0x00, 0x00, ##                  0000000000           000000                
            0x00, 0x00, 0x7F, 0xE0, 0x07, 0xC0, 0x00, 0x00, ##                   0000000000          00000                 
            0x00, 0x00, 0x7F, 0xF0, 0x0F, 0x80, 0x00, 0x00, ##                   00000000000        00000                  
            0x00, 0x00, 0x3F, 0xF0, 0x1F, 0x80, 0x00, 0x00, ##                    0000000000       000000                  
            0x00, 0x00, 0x1F, 0xF8, 0x1F, 0x00, 0x00, 0x00, ##                     0000000000      00000                   
            0x00, 0x00, 0x1F, 0xF8, 0x3F, 0x00, 0x00, 0x00, ##                     0000000000     000000                   
            0x00, 0x00, 0x0F, 0xFC, 0x3E, 0x00, 0x00, 0x00, ##                      0000000000    00000                    
            0x00, 0x00, 0x0F, 0xFE, 0x7C, 0x00, 0x00, 0x00, ##                      00000000000  00000                     
            0x00, 0x00, 0x07, 0xFE, 0xFC, 0x00, 0x00, 0x00, ##                       0000000000 000000                     
            0x00, 0x00, 0x07, 0xFF, 0xF8, 0x00, 0x00, 0x00, ##                       0000000000000000                      
            0x00, 0x00, 0x03, 0xFF, 0xF8, 0x00, 0x00, 0x00, ##                        000000000000000                      
            0x00, 0x00, 0x01, 0xFF, 0xF0, 0x00, 0x00, 0x00, ##                         0000000000000                       
            0x00, 0x00, 0x01, 0xFF, 0xE0, 0x00, 0x00, 0x00, ##                         000000000000                        
            0x00, 0x00, 0x00, 0xFF, 0xE0, 0x00, 0x00, 0x00, ##                          00000000000                        
            0x00, 0x00, 0x00, 0xFF, 0xC0, 0x00, 0x00, 0x00, ##                          0000000000                         
            0x00, 0x00, 0x00, 0x7F, 0xC0, 0x00, 0x00, 0x00, ##                           000000000                         
            0x00, 0x00, 0x00, 0x7F, 0xC0, 0x00, 0x00, 0x00, ##                           000000000                         
            0x00, 0x00, 0x00, 0x7F, 0xC0, 0x00, 0x00, 0x00, ##                           000000000                         
            0x00, 0x00, 0x00, 0x7F, 0xC0, 0x00, 0x00, 0x00, ##                           000000000                         
            0x00, 0x00, 0x00, 0x7F, 0xC0, 0x00, 0x00, 0x00, ##                           000000000                         
            0x00, 0x00, 0x00, 0x7F, 0xC0, 0x00, 0x00, 0x00, ##                           000000000                         
            0x00, 0x00, 0x00, 0x7F, 0xC0, 0x00, 0x00, 0x00, ##                           000000000                         
            0x00, 0x00, 0x00, 0x7F, 0xC0, 0x00, 0x00, 0x00, ##                           000000000                         
            0x00, 0x00, 0x00, 0x7F, 0xC0, 0x00, 0x00, 0x00, ##                           000000000                         
            0x00, 0x00, 0x00, 0x7F, 0xC0, 0x00, 0x00, 0x00, ##                           000000000                         
            0x00, 0x00, 0x00, 0x7F, 0xC0, 0x00, 0x00, 0x00, ##                           000000000                         
            0x00, 0x00, 0x00, 0x7F, 0xC0, 0x00, 0x00, 0x00, ##                           000000000                         
            0x00, 0x00, 0x00, 0x7F, 0xC0, 0x00, 0x00, 0x00, ##                           000000000                         
            0x00, 0x00, 0x00, 0x7F, 0xC0, 0x00, 0x00, 0x00, ##                           000000000                         
            0x00, 0x00, 0x00, 0x7F, 0xC0, 0x00, 0x00, 0x00, ##                           000000000                         
            0x00, 0x00, 0x00, 0x7F, 0xC0, 0x00, 0x00, 0x00, ##                           000000000                         
            0x00, 0x00, 0x00, 0x7F, 0xC0, 0x00, 0x00, 0x00, ##                           000000000                         
            0x00, 0x00, 0x00, 0x7F, 0xC0, 0x00, 0x00, 0x00, ##                           000000000                         
            0x00, 0x00, 0x00, 0x7F, 0xC0, 0x00, 0x00, 0x00, ##                           000000000                         
            0x00, 0x00, 0x00, 0x7F, 0xC0, 0x00, 0x00, 0x00, ##                           000000000                         
            0x00, 0x00, 0x00, 0x7F, 0xC0, 0x00, 0x00, 0x00, ##                           000000000                         
            0x00, 0x00, 0x00, 0x7F, 0xC0, 0x00, 0x00, 0x00, ##                           000000000                         
            0x00, 0x00, 0x00, 0x7F, 0xC0, 0x00, 0x00, 0x00, ##                           000000000                         
            0x00, 0x00, 0x00, 0x7F, 0xC0, 0x00, 0x00, 0x00, ##                           000000000                         
            0x00, 0x00, 0x7F, 0xFF, 0xFF, 0xC0, 0x00, 0x00, ##                   0000000000000000000000000                 
            0x00, 0x00, 0x7F, 0xFF, 0xFF, 0xC0, 0x00, 0x00, ##                   0000000000000000000000000                 
            0x00, 0x00, 0x7F, 0xFF, 0xFF, 0xC0, 0x00, 0x00, ##                   0000000000000000000000000                 
            0x00, 0x00, 0x7F, 0xFF, 0xFF, 0xC0, 0x00, 0x00, ##                   0000000000000000000000000                 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '90' => {    # 'Z'
        'width'    => 53, 
        'xoffset'  => 4, 
        'xadvance' => 60, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x7F, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF0, ##   000000000000000000000000000000000000000000000000000 
            0x7F, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF0, ##   000000000000000000000000000000000000000000000000000 
            0x7F, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF0, ##   000000000000000000000000000000000000000000000000000 
            0x7F, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xE0, ##   00000000000000000000000000000000000000000000000000  
            0x7F, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xC0, ##   0000000000000000000000000000000000000000000000000   
            0x7C, 0x00, 0x00, 0x00, 0x01, 0xFF, 0xC0, ##   00000                                 00000000000   
            0x7C, 0x00, 0x00, 0x00, 0x03, 0xFF, 0x80, ##   00000                                00000000000    
            0x7C, 0x00, 0x00, 0x00, 0x03, 0xFF, 0x00, ##   00000                                0000000000     
            0x7C, 0x00, 0x00, 0x00, 0x07, 0xFF, 0x00, ##   00000                               00000000000     
            0x7C, 0x00, 0x00, 0x00, 0x0F, 0xFE, 0x00, ##   00000                              00000000000      
            0x7C, 0x00, 0x00, 0x00, 0x1F, 0xFC, 0x00, ##   00000                             00000000000       
            0x7C, 0x00, 0x00, 0x00, 0x1F, 0xF8, 0x00, ##   00000                             0000000000        
            0x7C, 0x00, 0x00, 0x00, 0x3F, 0xF8, 0x00, ##   00000                            00000000000        
            0x7C, 0x00, 0x00, 0x00, 0x7F, 0xF0, 0x00, ##   00000                           00000000000         
            0x7C, 0x00, 0x00, 0x00, 0x7F, 0xE0, 0x00, ##   00000                           0000000000          
            0x00, 0x00, 0x00, 0x00, 0xFF, 0xE0, 0x00, ##                                  00000000000          
            0x00, 0x00, 0x00, 0x01, 0xFF, 0xC0, 0x00, ##                                 00000000000           
            0x00, 0x00, 0x00, 0x03, 0xFF, 0x80, 0x00, ##                                00000000000            
            0x00, 0x00, 0x00, 0x03, 0xFF, 0x00, 0x00, ##                                0000000000             
            0x00, 0x00, 0x00, 0x07, 0xFF, 0x00, 0x00, ##                               00000000000             
            0x00, 0x00, 0x00, 0x0F, 0xFE, 0x00, 0x00, ##                              00000000000              
            0x00, 0x00, 0x00, 0x0F, 0xFC, 0x00, 0x00, ##                              0000000000               
            0x00, 0x00, 0x00, 0x1F, 0xFC, 0x00, 0x00, ##                             00000000000               
            0x00, 0x00, 0x00, 0x3F, 0xF8, 0x00, 0x00, ##                            00000000000                
            0x00, 0x00, 0x00, 0x7F, 0xF0, 0x00, 0x00, ##                           00000000000                 
            0x00, 0x00, 0x00, 0x7F, 0xE0, 0x00, 0x00, ##                           0000000000                  
            0x00, 0x00, 0x00, 0xFF, 0xE0, 0x00, 0x00, ##                          00000000000                  
            0x00, 0x00, 0x01, 0xFF, 0xC0, 0x00, 0x00, ##                         00000000000                   
            0x00, 0x00, 0x01, 0xFF, 0x80, 0x00, 0x00, ##                         0000000000                    
            0x00, 0x00, 0x03, 0xFF, 0x80, 0x00, 0x00, ##                        00000000000                    
            0x00, 0x00, 0x07, 0xFF, 0x00, 0x00, 0x00, ##                       00000000000                     
            0x00, 0x00, 0x07, 0xFE, 0x00, 0x00, 0x00, ##                       0000000000                      
            0x00, 0x00, 0x0F, 0xFC, 0x00, 0x00, 0x00, ##                      0000000000                       
            0x00, 0x00, 0x1F, 0xFC, 0x00, 0x00, 0x00, ##                     00000000000                       
            0x00, 0x00, 0x3F, 0xF8, 0x00, 0x00, 0x00, ##                    00000000000                        
            0x00, 0x00, 0x3F, 0xF0, 0x00, 0x00, 0x00, ##                    0000000000                         
            0x00, 0x00, 0x7F, 0xF0, 0x00, 0x00, 0x00, ##                   00000000000                         
            0x00, 0x00, 0xFF, 0xE0, 0x00, 0x00, 0x00, ##                  00000000000                          
            0x00, 0x00, 0xFF, 0xC0, 0x00, 0x00, 0x00, ##                  0000000000                           
            0x00, 0x01, 0xFF, 0x80, 0x00, 0x00, 0x00, ##                 0000000000                            
            0x00, 0x03, 0xFF, 0x80, 0x00, 0x00, 0x00, ##                00000000000                            
            0x00, 0x07, 0xFF, 0x00, 0x00, 0x00, 0x00, ##               00000000000                             
            0x00, 0x07, 0xFE, 0x00, 0x00, 0x00, 0x00, ##               0000000000                              
            0x00, 0x0F, 0xFE, 0x00, 0x00, 0x00, 0x00, ##              00000000000                              
            0x00, 0x1F, 0xFC, 0x00, 0x00, 0x00, 0x00, ##             00000000000                               
            0x00, 0x1F, 0xF8, 0x00, 0x00, 0x00, 0x00, ##             0000000000                                
            0x00, 0x3F, 0xF0, 0x00, 0x00, 0x00, 0x00, ##            0000000000                                 
            0x00, 0x7F, 0xF0, 0x00, 0x00, 0x00, 0x00, ##           00000000000                                 
            0x00, 0xFF, 0xE0, 0x00, 0x00, 0x00, 0x00, ##          00000000000                                  
            0x00, 0xFF, 0xC0, 0x00, 0x00, 0x00, 0x00, ##          0000000000                                   
            0x01, 0xFF, 0xC0, 0x00, 0x00, 0x00, 0xF8, ##         00000000000                              00000
            0x03, 0xFF, 0x80, 0x00, 0x00, 0x00, 0xF8, ##        00000000000                               00000
            0x03, 0xFF, 0x00, 0x00, 0x00, 0x00, 0xF8, ##        0000000000                                00000
            0x07, 0xFE, 0x00, 0x00, 0x00, 0x00, 0xF8, ##       0000000000                                 00000
            0x0F, 0xFE, 0x00, 0x00, 0x00, 0x00, 0xF8, ##      00000000000                                 00000
            0x1F, 0xFC, 0x00, 0x00, 0x00, 0x00, 0xF8, ##     00000000000                                  00000
            0x1F, 0xF8, 0x00, 0x00, 0x00, 0x00, 0xF8, ##     0000000000                                   00000
            0x3F, 0xF8, 0x00, 0x00, 0x00, 0x00, 0xF8, ##    00000000000                                   00000
            0x7F, 0xF0, 0x00, 0x00, 0x00, 0x00, 0xF8, ##   00000000000                                    00000
            0x7F, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF8, ##   0000000000000000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF8, ##  00000000000000000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF8, ##  00000000000000000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF8, ##  00000000000000000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF8, ##  00000000000000000000000000000000000000000000000000000
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '91' => {    # '['
        'width'    => 20, 
        'xoffset'  => 7, 
        'xadvance' => 34, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0xFF, 0xFF, 0xF0, ##  00000000000000000000
            0xFF, 0xFF, 0xF0, ##  00000000000000000000
            0xFF, 0xFF, 0xF0, ##  00000000000000000000
            0xFF, 0xFF, 0xF0, ##  00000000000000000000
            0xFF, 0x00, 0x00, ##  00000000            
            0xFF, 0x00, 0x00, ##  00000000            
            0xFF, 0x00, 0x00, ##  00000000            
            0xFF, 0x00, 0x00, ##  00000000            
            0xFF, 0x00, 0x00, ##  00000000            
            0xFF, 0x00, 0x00, ##  00000000            
            0xFF, 0x00, 0x00, ##  00000000            
            0xFF, 0x00, 0x00, ##  00000000            
            0xFF, 0x00, 0x00, ##  00000000            
            0xFF, 0x00, 0x00, ##  00000000            
            0xFF, 0x00, 0x00, ##  00000000            
            0xFF, 0x00, 0x00, ##  00000000            
            0xFF, 0x00, 0x00, ##  00000000            
            0xFF, 0x00, 0x00, ##  00000000            
            0xFF, 0x00, 0x00, ##  00000000            
            0xFF, 0x00, 0x00, ##  00000000            
            0xFF, 0x00, 0x00, ##  00000000            
            0xFF, 0x00, 0x00, ##  00000000            
            0xFF, 0x00, 0x00, ##  00000000            
            0xFF, 0x00, 0x00, ##  00000000            
            0xFF, 0x00, 0x00, ##  00000000            
            0xFF, 0x00, 0x00, ##  00000000            
            0xFF, 0x00, 0x00, ##  00000000            
            0xFF, 0x00, 0x00, ##  00000000            
            0xFF, 0x00, 0x00, ##  00000000            
            0xFF, 0x00, 0x00, ##  00000000            
            0xFF, 0x00, 0x00, ##  00000000            
            0xFF, 0x00, 0x00, ##  00000000            
            0xFF, 0x00, 0x00, ##  00000000            
            0xFF, 0x00, 0x00, ##  00000000            
            0xFF, 0x00, 0x00, ##  00000000            
            0xFF, 0x00, 0x00, ##  00000000            
            0xFF, 0x00, 0x00, ##  00000000            
            0xFF, 0x00, 0x00, ##  00000000            
            0xFF, 0x00, 0x00, ##  00000000            
            0xFF, 0x00, 0x00, ##  00000000            
            0xFF, 0x00, 0x00, ##  00000000            
            0xFF, 0x00, 0x00, ##  00000000            
            0xFF, 0x00, 0x00, ##  00000000            
            0xFF, 0x00, 0x00, ##  00000000            
            0xFF, 0x00, 0x00, ##  00000000            
            0xFF, 0x00, 0x00, ##  00000000            
            0xFF, 0x00, 0x00, ##  00000000            
            0xFF, 0x00, 0x00, ##  00000000            
            0xFF, 0x00, 0x00, ##  00000000            
            0xFF, 0x00, 0x00, ##  00000000            
            0xFF, 0x00, 0x00, ##  00000000            
            0xFF, 0x00, 0x00, ##  00000000            
            0xFF, 0x00, 0x00, ##  00000000            
            0xFF, 0x00, 0x00, ##  00000000            
            0xFF, 0x00, 0x00, ##  00000000            
            0xFF, 0x00, 0x00, ##  00000000            
            0xFF, 0x00, 0x00, ##  00000000            
            0xFF, 0x00, 0x00, ##  00000000            
            0xFF, 0x00, 0x00, ##  00000000            
            0xFF, 0x00, 0x00, ##  00000000            
            0xFF, 0x00, 0x00, ##  00000000            
            0xFF, 0x00, 0x00, ##  00000000            
            0xFF, 0x00, 0x00, ##  00000000            
            0xFF, 0x00, 0x00, ##  00000000            
            0xFF, 0x00, 0x00, ##  00000000            
            0xFF, 0x00, 0x00, ##  00000000            
            0xFF, 0x00, 0x00, ##  00000000            
            0xFF, 0x00, 0x00, ##  00000000            
            0xFF, 0x00, 0x00, ##  00000000            
            0xFF, 0x00, 0x00, ##  00000000            
            0xFF, 0x00, 0x00, ##  00000000            
            0xFF, 0x00, 0x00, ##  00000000            
            0xFF, 0x00, 0x00, ##  00000000            
            0xFF, 0x00, 0x00, ##  00000000            
            0xFF, 0xFF, 0xF0, ##  00000000000000000000
            0xFF, 0xFF, 0xF0, ##  00000000000000000000
            0xFF, 0xFF, 0xF0, ##  00000000000000000000
            0xFF, 0xFF, 0xF0, ##  00000000000000000000
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '92' => {    # '\'
        'width'    => 29, 
        'xoffset'  => 0, 
        'xadvance' => 29, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0xFE, 0x00, 0x00, 0x00, ##  0000000                      
            0xFE, 0x00, 0x00, 0x00, ##  0000000                      
            0x7E, 0x00, 0x00, 0x00, ##   000000                      
            0x7F, 0x00, 0x00, 0x00, ##   0000000                     
            0x7F, 0x00, 0x00, 0x00, ##   0000000                     
            0x3F, 0x00, 0x00, 0x00, ##    000000                     
            0x3F, 0x80, 0x00, 0x00, ##    0000000                    
            0x3F, 0x80, 0x00, 0x00, ##    0000000                    
            0x3F, 0x80, 0x00, 0x00, ##    0000000                    
            0x1F, 0xC0, 0x00, 0x00, ##     0000000                   
            0x1F, 0xC0, 0x00, 0x00, ##     0000000                   
            0x1F, 0xC0, 0x00, 0x00, ##     0000000                   
            0x0F, 0xE0, 0x00, 0x00, ##      0000000                  
            0x0F, 0xE0, 0x00, 0x00, ##      0000000                  
            0x0F, 0xE0, 0x00, 0x00, ##      0000000                  
            0x07, 0xE0, 0x00, 0x00, ##       000000                  
            0x07, 0xF0, 0x00, 0x00, ##       0000000                 
            0x07, 0xF0, 0x00, 0x00, ##       0000000                 
            0x03, 0xF0, 0x00, 0x00, ##        000000                 
            0x03, 0xF8, 0x00, 0x00, ##        0000000                
            0x03, 0xF8, 0x00, 0x00, ##        0000000                
            0x01, 0xF8, 0x00, 0x00, ##         000000                
            0x01, 0xFC, 0x00, 0x00, ##         0000000               
            0x01, 0xFC, 0x00, 0x00, ##         0000000               
            0x01, 0xFC, 0x00, 0x00, ##         0000000               
            0x00, 0xFE, 0x00, 0x00, ##          0000000              
            0x00, 0xFE, 0x00, 0x00, ##          0000000              
            0x00, 0xFE, 0x00, 0x00, ##          0000000              
            0x00, 0x7E, 0x00, 0x00, ##           000000              
            0x00, 0x7F, 0x00, 0x00, ##           0000000             
            0x00, 0x7F, 0x00, 0x00, ##           0000000             
            0x00, 0x3F, 0x00, 0x00, ##            000000             
            0x00, 0x3F, 0x80, 0x00, ##            0000000            
            0x00, 0x3F, 0x80, 0x00, ##            0000000            
            0x00, 0x1F, 0x80, 0x00, ##             000000            
            0x00, 0x1F, 0xC0, 0x00, ##             0000000           
            0x00, 0x1F, 0xC0, 0x00, ##             0000000           
            0x00, 0x1F, 0xC0, 0x00, ##             0000000           
            0x00, 0x0F, 0xE0, 0x00, ##              0000000          
            0x00, 0x0F, 0xE0, 0x00, ##              0000000          
            0x00, 0x0F, 0xE0, 0x00, ##              0000000          
            0x00, 0x07, 0xF0, 0x00, ##               0000000         
            0x00, 0x07, 0xF0, 0x00, ##               0000000         
            0x00, 0x07, 0xF0, 0x00, ##               0000000         
            0x00, 0x03, 0xF0, 0x00, ##                000000         
            0x00, 0x03, 0xF8, 0x00, ##                0000000        
            0x00, 0x03, 0xF8, 0x00, ##                0000000        
            0x00, 0x01, 0xF8, 0x00, ##                 000000        
            0x00, 0x01, 0xFC, 0x00, ##                 0000000       
            0x00, 0x01, 0xFC, 0x00, ##                 0000000       
            0x00, 0x00, 0xFC, 0x00, ##                  000000       
            0x00, 0x00, 0xFE, 0x00, ##                  0000000      
            0x00, 0x00, 0xFE, 0x00, ##                  0000000      
            0x00, 0x00, 0xFE, 0x00, ##                  0000000      
            0x00, 0x00, 0x7F, 0x00, ##                   0000000     
            0x00, 0x00, 0x7F, 0x00, ##                   0000000     
            0x00, 0x00, 0x7F, 0x00, ##                   0000000     
            0x00, 0x00, 0x3F, 0x00, ##                    000000     
            0x00, 0x00, 0x3F, 0x80, ##                    0000000    
            0x00, 0x00, 0x3F, 0x80, ##                    0000000    
            0x00, 0x00, 0x1F, 0x80, ##                     000000    
            0x00, 0x00, 0x1F, 0xC0, ##                     0000000   
            0x00, 0x00, 0x1F, 0xC0, ##                     0000000   
            0x00, 0x00, 0x0F, 0xC0, ##                      000000   
            0x00, 0x00, 0x0F, 0xE0, ##                      0000000  
            0x00, 0x00, 0x0F, 0xE0, ##                      0000000  
            0x00, 0x00, 0x0F, 0xE0, ##                      0000000  
            0x00, 0x00, 0x07, 0xF0, ##                       0000000 
            0x00, 0x00, 0x07, 0xF0, ##                       0000000 
            0x00, 0x00, 0x07, 0xF0, ##                       0000000 
            0x00, 0x00, 0x03, 0xF8, ##                        0000000
            0x00, 0x00, 0x03, 0xF8, ##                        0000000
            0x00, 0x00, 0x03, 0xF8, ##                        0000000
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '93' => {    # ']'
        'width'    => 19, 
        'xoffset'  => 7, 
        'xadvance' => 33, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0xFF, 0xFF, 0xE0, ##  0000000000000000000
            0xFF, 0xFF, 0xE0, ##  0000000000000000000
            0xFF, 0xFF, 0xE0, ##  0000000000000000000
            0xFF, 0xFF, 0xE0, ##  0000000000000000000
            0x00, 0x1F, 0xE0, ##             00000000
            0x00, 0x1F, 0xE0, ##             00000000
            0x00, 0x1F, 0xE0, ##             00000000
            0x00, 0x1F, 0xE0, ##             00000000
            0x00, 0x1F, 0xE0, ##             00000000
            0x00, 0x1F, 0xE0, ##             00000000
            0x00, 0x1F, 0xE0, ##             00000000
            0x00, 0x1F, 0xE0, ##             00000000
            0x00, 0x1F, 0xE0, ##             00000000
            0x00, 0x1F, 0xE0, ##             00000000
            0x00, 0x1F, 0xE0, ##             00000000
            0x00, 0x1F, 0xE0, ##             00000000
            0x00, 0x1F, 0xE0, ##             00000000
            0x00, 0x1F, 0xE0, ##             00000000
            0x00, 0x1F, 0xE0, ##             00000000
            0x00, 0x1F, 0xE0, ##             00000000
            0x00, 0x1F, 0xE0, ##             00000000
            0x00, 0x1F, 0xE0, ##             00000000
            0x00, 0x1F, 0xE0, ##             00000000
            0x00, 0x1F, 0xE0, ##             00000000
            0x00, 0x1F, 0xE0, ##             00000000
            0x00, 0x1F, 0xE0, ##             00000000
            0x00, 0x1F, 0xE0, ##             00000000
            0x00, 0x1F, 0xE0, ##             00000000
            0x00, 0x1F, 0xE0, ##             00000000
            0x00, 0x1F, 0xE0, ##             00000000
            0x00, 0x1F, 0xE0, ##             00000000
            0x00, 0x1F, 0xE0, ##             00000000
            0x00, 0x1F, 0xE0, ##             00000000
            0x00, 0x1F, 0xE0, ##             00000000
            0x00, 0x1F, 0xE0, ##             00000000
            0x00, 0x1F, 0xE0, ##             00000000
            0x00, 0x1F, 0xE0, ##             00000000
            0x00, 0x1F, 0xE0, ##             00000000
            0x00, 0x1F, 0xE0, ##             00000000
            0x00, 0x1F, 0xE0, ##             00000000
            0x00, 0x1F, 0xE0, ##             00000000
            0x00, 0x1F, 0xE0, ##             00000000
            0x00, 0x1F, 0xE0, ##             00000000
            0x00, 0x1F, 0xE0, ##             00000000
            0x00, 0x1F, 0xE0, ##             00000000
            0x00, 0x1F, 0xE0, ##             00000000
            0x00, 0x1F, 0xE0, ##             00000000
            0x00, 0x1F, 0xE0, ##             00000000
            0x00, 0x1F, 0xE0, ##             00000000
            0x00, 0x1F, 0xE0, ##             00000000
            0x00, 0x1F, 0xE0, ##             00000000
            0x00, 0x1F, 0xE0, ##             00000000
            0x00, 0x1F, 0xE0, ##             00000000
            0x00, 0x1F, 0xE0, ##             00000000
            0x00, 0x1F, 0xE0, ##             00000000
            0x00, 0x1F, 0xE0, ##             00000000
            0x00, 0x1F, 0xE0, ##             00000000
            0x00, 0x1F, 0xE0, ##             00000000
            0x00, 0x1F, 0xE0, ##             00000000
            0x00, 0x1F, 0xE0, ##             00000000
            0x00, 0x1F, 0xE0, ##             00000000
            0x00, 0x1F, 0xE0, ##             00000000
            0x00, 0x1F, 0xE0, ##             00000000
            0x00, 0x1F, 0xE0, ##             00000000
            0x00, 0x1F, 0xE0, ##             00000000
            0x00, 0x1F, 0xE0, ##             00000000
            0x00, 0x1F, 0xE0, ##             00000000
            0x00, 0x1F, 0xE0, ##             00000000
            0x00, 0x1F, 0xE0, ##             00000000
            0x00, 0x1F, 0xE0, ##             00000000
            0x00, 0x1F, 0xE0, ##             00000000
            0x00, 0x1F, 0xE0, ##             00000000
            0x00, 0x1F, 0xE0, ##             00000000
            0x00, 0x1F, 0xE0, ##             00000000
            0xFF, 0xFF, 0xE0, ##  0000000000000000000
            0xFF, 0xFF, 0xE0, ##  0000000000000000000
            0xFF, 0xFF, 0xE0, ##  0000000000000000000
            0xFF, 0xFF, 0xE0, ##  0000000000000000000
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '94' => {    # '^'
        'width'    => 55, 
        'xoffset'  => 9, 
        'xadvance' => 73, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x01, 0xFF, 0x00, 0x00, 0x00, ##                         000000000                       
            0x00, 0x00, 0x03, 0xFF, 0x80, 0x00, 0x00, ##                        00000000000                      
            0x00, 0x00, 0x07, 0xFF, 0xC0, 0x00, 0x00, ##                       0000000000000                     
            0x00, 0x00, 0x0F, 0xFF, 0xE0, 0x00, 0x00, ##                      000000000000000                    
            0x00, 0x00, 0x1F, 0xFF, 0xF0, 0x00, 0x00, ##                     00000000000000000                   
            0x00, 0x00, 0x3F, 0xFF, 0xF8, 0x00, 0x00, ##                    0000000000000000000                  
            0x00, 0x00, 0x7F, 0xFF, 0xFC, 0x00, 0x00, ##                   000000000000000000000                 
            0x00, 0x00, 0xFF, 0xFF, 0xFE, 0x00, 0x00, ##                  00000000000000000000000                
            0x00, 0x01, 0xFF, 0xC7, 0xFF, 0x00, 0x00, ##                 00000000000   00000000000               
            0x00, 0x03, 0xFF, 0x83, 0xFF, 0x80, 0x00, ##                00000000000     00000000000              
            0x00, 0x07, 0xFF, 0x01, 0xFF, 0xC0, 0x00, ##               00000000000       00000000000             
            0x00, 0x0F, 0xFE, 0x00, 0xFF, 0xE0, 0x00, ##              00000000000         00000000000            
            0x00, 0x1F, 0xF8, 0x00, 0x3F, 0xF0, 0x00, ##             0000000000             0000000000           
            0x00, 0x3F, 0xF0, 0x00, 0x1F, 0xF8, 0x00, ##            0000000000               0000000000          
            0x00, 0x7F, 0xE0, 0x00, 0x0F, 0xFC, 0x00, ##           0000000000                 0000000000         
            0x00, 0xFF, 0x80, 0x00, 0x07, 0xFE, 0x00, ##          000000000                    0000000000        
            0x01, 0xFF, 0x00, 0x00, 0x01, 0xFE, 0x00, ##         000000000                       00000000        
            0x03, 0xFE, 0x00, 0x00, 0x00, 0xFF, 0x00, ##        000000000                         00000000       
            0x07, 0xFC, 0x00, 0x00, 0x00, 0x7F, 0x80, ##       000000000                           00000000      
            0x07, 0xF0, 0x00, 0x00, 0x00, 0x1F, 0xC0, ##       0000000                               0000000     
            0x0F, 0xE0, 0x00, 0x00, 0x00, 0x0F, 0xE0, ##      0000000                                 0000000    
            0x1F, 0xC0, 0x00, 0x00, 0x00, 0x07, 0xF0, ##     0000000                                   0000000   
            0x3F, 0x80, 0x00, 0x00, 0x00, 0x03, 0xF8, ##    0000000                                     0000000  
            0x7E, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFC, ##   000000                                         000000 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '95' => {    # '_'
        'width'    => 44, 
        'xoffset'  => 0, 
        'xadvance' => 44, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF0, ##  00000000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF0, ##  00000000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF0, ##  00000000000000000000000000000000000000000000
        ], 
    }, 
    '96' => {    # '`'
        'width'    => 20, 
        'xoffset'  => 7, 
        'xadvance' => 44, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x7F, 0x80, 0x00, ##   00000000           
            0x3F, 0xC0, 0x00, ##    00000000          
            0x3F, 0xC0, 0x00, ##    00000000          
            0x1F, 0xE0, 0x00, ##     00000000         
            0x0F, 0xF0, 0x00, ##      00000000        
            0x07, 0xF0, 0x00, ##       0000000        
            0x03, 0xF8, 0x00, ##        0000000       
            0x01, 0xFC, 0x00, ##         0000000      
            0x00, 0xFC, 0x00, ##          000000      
            0x00, 0x7E, 0x00, ##           000000     
            0x00, 0x3F, 0x00, ##            000000    
            0x00, 0x1F, 0x80, ##             000000   
            0x00, 0x0F, 0x80, ##              00000   
            0x00, 0x0F, 0xC0, ##              000000  
            0x00, 0x07, 0xE0, ##               000000 
            0x00, 0x03, 0xE0, ##                00000 
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '97' => {    # 'a'
        'width'    => 45, 
        'xoffset'  => 4, 
        'xadvance' => 51, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x07, 0xFF, 0x00, 0x00, 0x00, ##               00000000000                     
            0x00, 0x7F, 0xFF, 0xF0, 0x00, 0x00, ##           0000000000000000000                 
            0x03, 0xFF, 0xFF, 0xFC, 0x00, 0x00, ##        000000000000000000000000               
            0x0F, 0xFF, 0xFF, 0xFF, 0x00, 0x00, ##      0000000000000000000000000000             
            0x0F, 0xFE, 0x03, 0xFF, 0x80, 0x00, ##      00000000000       00000000000            
            0x0F, 0xF0, 0x00, 0x7F, 0xC0, 0x00, ##      00000000             000000000           
            0x0F, 0xE0, 0x00, 0x1F, 0xE0, 0x00, ##      0000000                00000000          
            0x0F, 0xC0, 0x00, 0x0F, 0xE0, 0x00, ##      000000                  0000000          
            0x0F, 0x80, 0x00, 0x0F, 0xF0, 0x00, ##      00000                   00000000         
            0x0F, 0x80, 0x00, 0x07, 0xF0, 0x00, ##      00000                    0000000         
            0x0F, 0x00, 0x00, 0x07, 0xF8, 0x00, ##      0000                     00000000        
            0x0F, 0x00, 0x00, 0x03, 0xF8, 0x00, ##      0000                      0000000        
            0x00, 0x00, 0x00, 0x03, 0xF8, 0x00, ##                                0000000        
            0x00, 0x00, 0x00, 0x03, 0xFC, 0x00, ##                                00000000       
            0x00, 0x00, 0x00, 0x03, 0xFC, 0x00, ##                                00000000       
            0x00, 0x00, 0x00, 0x03, 0xFC, 0x00, ##                                00000000       
            0x00, 0x00, 0x00, 0x03, 0xFC, 0x00, ##                                00000000       
            0x00, 0x00, 0x00, 0x03, 0xFC, 0x00, ##                                00000000       
            0x00, 0x07, 0xFF, 0xFF, 0xFC, 0x00, ##               0000000000000000000000000       
            0x00, 0x7F, 0xFF, 0xFF, 0xFC, 0x00, ##           00000000000000000000000000000       
            0x01, 0xFF, 0xFF, 0xFF, 0xFC, 0x00, ##         0000000000000000000000000000000       
            0x03, 0xFF, 0xFF, 0xFF, 0xFC, 0x00, ##        00000000000000000000000000000000       
            0x0F, 0xFF, 0x00, 0x03, 0xFC, 0x00, ##      000000000000              00000000       
            0x1F, 0xF8, 0x00, 0x03, 0xFC, 0x00, ##     0000000000                 00000000       
            0x1F, 0xF0, 0x00, 0x03, 0xFC, 0x00, ##     000000000                  00000000       
            0x3F, 0xE0, 0x00, 0x03, 0xFC, 0x00, ##    000000000                   00000000       
            0x7F, 0xC0, 0x00, 0x03, 0xFC, 0x00, ##   000000000                    00000000       
            0x7F, 0xC0, 0x00, 0x03, 0xFC, 0x00, ##   000000000                    00000000       
            0x7F, 0xC0, 0x00, 0x03, 0xFC, 0x00, ##   000000000                    00000000       
            0xFF, 0x80, 0x00, 0x03, 0xFC, 0x00, ##  000000000                     00000000       
            0xFF, 0x80, 0x00, 0x03, 0xFC, 0x00, ##  000000000                     00000000       
            0xFF, 0x80, 0x00, 0x03, 0xFC, 0x00, ##  000000000                     00000000       
            0xFF, 0x80, 0x00, 0x03, 0xFC, 0x00, ##  000000000                     00000000       
            0xFF, 0x80, 0x00, 0x03, 0xFC, 0x00, ##  000000000                     00000000       
            0xFF, 0x80, 0x00, 0x03, 0xFC, 0x00, ##  000000000                     00000000       
            0xFF, 0x80, 0x00, 0x03, 0xFC, 0x00, ##  000000000                     00000000       
            0xFF, 0x80, 0x00, 0x07, 0xFC, 0x00, ##  000000000                    000000000       
            0x7F, 0xC0, 0x00, 0x07, 0xFC, 0x00, ##   000000000                   000000000       
            0x7F, 0xC0, 0x00, 0x07, 0xFC, 0x00, ##   000000000                   000000000       
            0x7F, 0xE0, 0x00, 0x0F, 0xFC, 0x00, ##   0000000000                 0000000000       
            0x3F, 0xE0, 0x00, 0x1F, 0xFC, 0x00, ##    000000000                00000000000       
            0x3F, 0xF0, 0x00, 0x3F, 0xFC, 0x00, ##    0000000000              000000000000       
            0x1F, 0xFC, 0x00, 0x7B, 0xFF, 0xF8, ##     00000000000           0000 000000000000000
            0x0F, 0xFF, 0x01, 0xF3, 0xFF, 0xF8, ##      000000000000       00000  000000000000000
            0x07, 0xFF, 0xFF, 0xE3, 0xFF, 0xF8, ##       0000000000000000000000   000000000000000
            0x03, 0xFF, 0xFF, 0xC3, 0xFF, 0xF8, ##        00000000000000000000    000000000000000
            0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, ##          0000000000000000                     
            0x00, 0x1F, 0xF8, 0x00, 0x00, 0x00, ##             0000000000                        
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '98' => {    # 'b'
        'width'    => 48, 
        'xoffset'  => 3, 
        'xadvance' => 55, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0xFF, 0xFE, 0x00, 0x00, 0x00, 0x00, ##  000000000000000                                 
            0xFF, 0xFE, 0x00, 0x00, 0x00, 0x00, ##  000000000000000                                 
            0xFF, 0xFE, 0x00, 0x00, 0x00, 0x00, ##  000000000000000                                 
            0xFF, 0xFE, 0x00, 0x00, 0x00, 0x00, ##  000000000000000                                 
            0x01, 0xFE, 0x00, 0x00, 0x00, 0x00, ##         00000000                                 
            0x01, 0xFE, 0x00, 0x00, 0x00, 0x00, ##         00000000                                 
            0x01, 0xFE, 0x00, 0x00, 0x00, 0x00, ##         00000000                                 
            0x01, 0xFE, 0x00, 0x00, 0x00, 0x00, ##         00000000                                 
            0x01, 0xFE, 0x00, 0x00, 0x00, 0x00, ##         00000000                                 
            0x01, 0xFE, 0x00, 0x00, 0x00, 0x00, ##         00000000                                 
            0x01, 0xFE, 0x00, 0x00, 0x00, 0x00, ##         00000000                                 
            0x01, 0xFE, 0x00, 0x00, 0x00, 0x00, ##         00000000                                 
            0x01, 0xFE, 0x00, 0x00, 0x00, 0x00, ##         00000000                                 
            0x01, 0xFE, 0x00, 0x00, 0x00, 0x00, ##         00000000                                 
            0x01, 0xFE, 0x00, 0x00, 0x00, 0x00, ##         00000000                                 
            0x01, 0xFE, 0x00, 0x00, 0x00, 0x00, ##         00000000                                 
            0x01, 0xFE, 0x00, 0x00, 0x00, 0x00, ##         00000000                                 
            0x01, 0xFE, 0x00, 0x00, 0x00, 0x00, ##         00000000                                 
            0x01, 0xFE, 0x00, 0x00, 0x00, 0x00, ##         00000000                                 
            0x01, 0xFE, 0x00, 0x00, 0x00, 0x00, ##         00000000                                 
            0x01, 0xFE, 0x00, 0x7F, 0xC0, 0x00, ##         00000000          000000000              
            0x01, 0xFE, 0x03, 0xFF, 0xF0, 0x00, ##         00000000       00000000000000            
            0x01, 0xFE, 0x0F, 0xFF, 0xFC, 0x00, ##         00000000     000000000000000000          
            0x01, 0xFE, 0x1F, 0xFF, 0xFF, 0x00, ##         00000000    000000000000000000000        
            0x01, 0xFE, 0x3F, 0xFF, 0xFF, 0x80, ##         00000000   00000000000000000000000       
            0x01, 0xFE, 0x7E, 0x03, 0xFF, 0xC0, ##         00000000  000000       000000000000      
            0x01, 0xFE, 0xF8, 0x00, 0x7F, 0xE0, ##         00000000 00000            0000000000     
            0x01, 0xFF, 0xF0, 0x00, 0x3F, 0xE0, ##         0000000000000              000000000     
            0x01, 0xFF, 0xE0, 0x00, 0x1F, 0xF0, ##         000000000000                000000000    
            0x01, 0xFF, 0xC0, 0x00, 0x0F, 0xF8, ##         00000000000                  000000000   
            0x01, 0xFF, 0x80, 0x00, 0x0F, 0xF8, ##         0000000000                   000000000   
            0x01, 0xFF, 0x80, 0x00, 0x07, 0xFC, ##         0000000000                    000000000  
            0x01, 0xFF, 0x00, 0x00, 0x07, 0xFC, ##         000000000                     000000000  
            0x01, 0xFF, 0x00, 0x00, 0x03, 0xFC, ##         000000000                      00000000  
            0x01, 0xFF, 0x00, 0x00, 0x03, 0xFE, ##         000000000                      000000000 
            0x01, 0xFF, 0x00, 0x00, 0x03, 0xFE, ##         000000000                      000000000 
            0x01, 0xFE, 0x00, 0x00, 0x03, 0xFE, ##         00000000                       000000000 
            0x01, 0xFE, 0x00, 0x00, 0x01, 0xFE, ##         00000000                        00000000 
            0x01, 0xFE, 0x00, 0x00, 0x01, 0xFF, ##         00000000                        000000000
            0x01, 0xFE, 0x00, 0x00, 0x01, 0xFF, ##         00000000                        000000000
            0x01, 0xFE, 0x00, 0x00, 0x01, 0xFF, ##         00000000                        000000000
            0x01, 0xFE, 0x00, 0x00, 0x01, 0xFF, ##         00000000                        000000000
            0x01, 0xFE, 0x00, 0x00, 0x01, 0xFF, ##         00000000                        000000000
            0x01, 0xFE, 0x00, 0x00, 0x01, 0xFF, ##         00000000                        000000000
            0x01, 0xFE, 0x00, 0x00, 0x01, 0xFF, ##         00000000                        000000000
            0x01, 0xFE, 0x00, 0x00, 0x01, 0xFF, ##         00000000                        000000000
            0x01, 0xFE, 0x00, 0x00, 0x01, 0xFF, ##         00000000                        000000000
            0x01, 0xFE, 0x00, 0x00, 0x01, 0xFF, ##         00000000                        000000000
            0x01, 0xFE, 0x00, 0x00, 0x01, 0xFF, ##         00000000                        000000000
            0x01, 0xFE, 0x00, 0x00, 0x01, 0xFF, ##         00000000                        000000000
            0x01, 0xFE, 0x00, 0x00, 0x01, 0xFE, ##         00000000                        00000000 
            0x01, 0xFE, 0x00, 0x00, 0x03, 0xFE, ##         00000000                       000000000 
            0x01, 0xFF, 0x00, 0x00, 0x03, 0xFE, ##         000000000                      000000000 
            0x01, 0xFF, 0x00, 0x00, 0x03, 0xFE, ##         000000000                      000000000 
            0x01, 0xFF, 0x00, 0x00, 0x03, 0xFC, ##         000000000                      00000000  
            0x01, 0xFF, 0x00, 0x00, 0x07, 0xFC, ##         000000000                     000000000  
            0x01, 0xFF, 0x80, 0x00, 0x07, 0xFC, ##         0000000000                    000000000  
            0x01, 0xFF, 0x80, 0x00, 0x0F, 0xF8, ##         0000000000                   000000000   
            0x01, 0xFF, 0xC0, 0x00, 0x0F, 0xF8, ##         00000000000                  000000000   
            0x01, 0xFF, 0xE0, 0x00, 0x1F, 0xF0, ##         000000000000                000000000    
            0x01, 0xFE, 0xF0, 0x00, 0x3F, 0xE0, ##         00000000 0000              000000000     
            0x01, 0xFE, 0xF8, 0x00, 0x7F, 0xE0, ##         00000000 00000            0000000000     
            0xFF, 0xFE, 0x7E, 0x03, 0xFF, 0xC0, ##  000000000000000  000000       000000000000      
            0xFF, 0xFE, 0x3F, 0xFF, 0xFF, 0x80, ##  000000000000000   00000000000000000000000       
            0xFF, 0xFE, 0x1F, 0xFF, 0xFF, 0x00, ##  000000000000000    000000000000000000000        
            0xFF, 0xFE, 0x0F, 0xFF, 0xFC, 0x00, ##  000000000000000     000000000000000000          
            0x00, 0x00, 0x03, 0xFF, 0xF8, 0x00, ##                        000000000000000           
            0x00, 0x00, 0x00, 0x7F, 0xC0, 0x00, ##                           000000000              
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '99' => {    # 'c'
        'width'    => 40, 
        'xoffset'  => 4, 
        'xadvance' => 48, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x7F, 0xF0, 0x00, ##                   00000000000            
            0x00, 0x07, 0xFF, 0xFF, 0x80, ##               00000000000000000000       
            0x00, 0x1F, 0xFF, 0xFF, 0xF0, ##             0000000000000000000000000    
            0x00, 0x3F, 0xFF, 0xFF, 0xFC, ##            0000000000000000000000000000  
            0x00, 0xFF, 0xC0, 0x3F, 0xFE, ##          0000000000        0000000000000 
            0x01, 0xFF, 0x00, 0x07, 0xFE, ##         000000000             0000000000 
            0x03, 0xFC, 0x00, 0x03, 0xFE, ##        00000000                000000000 
            0x07, 0xF8, 0x00, 0x01, 0xFE, ##       00000000                  00000000 
            0x0F, 0xF8, 0x00, 0x00, 0xFE, ##      000000000                   0000000 
            0x0F, 0xF0, 0x00, 0x00, 0x7E, ##      00000000                     000000 
            0x1F, 0xE0, 0x00, 0x00, 0x7E, ##     00000000                      000000 
            0x1F, 0xE0, 0x00, 0x00, 0x7E, ##     00000000                      000000 
            0x3F, 0xE0, 0x00, 0x00, 0x3E, ##    000000000                       00000 
            0x3F, 0xC0, 0x00, 0x00, 0x3E, ##    00000000                        00000 
            0x7F, 0xC0, 0x00, 0x00, 0x3E, ##   000000000                        00000 
            0x7F, 0xC0, 0x00, 0x00, 0x3E, ##   000000000                        00000 
            0x7F, 0xC0, 0x00, 0x00, 0x00, ##   000000000                              
            0x7F, 0x80, 0x00, 0x00, 0x00, ##   00000000                               
            0xFF, 0x80, 0x00, 0x00, 0x00, ##  000000000                               
            0xFF, 0x80, 0x00, 0x00, 0x00, ##  000000000                               
            0xFF, 0x80, 0x00, 0x00, 0x00, ##  000000000                               
            0xFF, 0x80, 0x00, 0x00, 0x00, ##  000000000                               
            0xFF, 0x80, 0x00, 0x00, 0x00, ##  000000000                               
            0xFF, 0x80, 0x00, 0x00, 0x00, ##  000000000                               
            0xFF, 0x80, 0x00, 0x00, 0x00, ##  000000000                               
            0xFF, 0x80, 0x00, 0x00, 0x00, ##  000000000                               
            0xFF, 0x80, 0x00, 0x00, 0x00, ##  000000000                               
            0xFF, 0x80, 0x00, 0x00, 0x00, ##  000000000                               
            0xFF, 0x80, 0x00, 0x00, 0x00, ##  000000000                               
            0xFF, 0x80, 0x00, 0x00, 0x00, ##  000000000                               
            0x7F, 0x80, 0x00, 0x00, 0x00, ##   00000000                               
            0x7F, 0xC0, 0x00, 0x00, 0x00, ##   000000000                              
            0x7F, 0xC0, 0x00, 0x00, 0x00, ##   000000000                              
            0x7F, 0xC0, 0x00, 0x00, 0x3F, ##   000000000                        000000
            0x3F, 0xC0, 0x00, 0x00, 0x3F, ##    00000000                        000000
            0x3F, 0xE0, 0x00, 0x00, 0x3F, ##    000000000                       000000
            0x1F, 0xE0, 0x00, 0x00, 0x7F, ##     00000000                      0000000
            0x1F, 0xE0, 0x00, 0x00, 0x7E, ##     00000000                      000000 
            0x0F, 0xF0, 0x00, 0x00, 0xFE, ##      00000000                    0000000 
            0x0F, 0xF8, 0x00, 0x00, 0xFC, ##      000000000                   000000  
            0x07, 0xF8, 0x00, 0x01, 0xF8, ##       00000000                  000000   
            0x03, 0xFC, 0x00, 0x03, 0xF8, ##        00000000                0000000   
            0x01, 0xFF, 0x00, 0x0F, 0xF0, ##         000000000            00000000    
            0x00, 0xFF, 0xC0, 0x3F, 0xE0, ##          0000000000        000000000     
            0x00, 0x7F, 0xFF, 0xFF, 0xC0, ##           0000000000000000000000000      
            0x00, 0x1F, 0xFF, 0xFF, 0x00, ##             000000000000000000000        
            0x00, 0x07, 0xFF, 0xFC, 0x00, ##               00000000000000000          
            0x00, 0x00, 0x7F, 0xE0, 0x00, ##                   0000000000             
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '100' => {    # 'd'
        'width'    => 49, 
        'xoffset'  => 4, 
        'xadvance' => 56, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x3F, 0xFF, 0x80, 0x00, ##                            000000000000000        
            0x00, 0x00, 0x00, 0x3F, 0xFF, 0x80, 0x00, ##                            000000000000000        
            0x00, 0x00, 0x00, 0x3F, 0xFF, 0x80, 0x00, ##                            000000000000000        
            0x00, 0x00, 0x00, 0x3F, 0xFF, 0x80, 0x00, ##                            000000000000000        
            0x00, 0x00, 0x00, 0x00, 0x7F, 0x80, 0x00, ##                                   00000000        
            0x00, 0x00, 0x00, 0x00, 0x7F, 0x80, 0x00, ##                                   00000000        
            0x00, 0x00, 0x00, 0x00, 0x7F, 0x80, 0x00, ##                                   00000000        
            0x00, 0x00, 0x00, 0x00, 0x7F, 0x80, 0x00, ##                                   00000000        
            0x00, 0x00, 0x00, 0x00, 0x7F, 0x80, 0x00, ##                                   00000000        
            0x00, 0x00, 0x00, 0x00, 0x7F, 0x80, 0x00, ##                                   00000000        
            0x00, 0x00, 0x00, 0x00, 0x7F, 0x80, 0x00, ##                                   00000000        
            0x00, 0x00, 0x00, 0x00, 0x7F, 0x80, 0x00, ##                                   00000000        
            0x00, 0x00, 0x00, 0x00, 0x7F, 0x80, 0x00, ##                                   00000000        
            0x00, 0x00, 0x00, 0x00, 0x7F, 0x80, 0x00, ##                                   00000000        
            0x00, 0x00, 0x00, 0x00, 0x7F, 0x80, 0x00, ##                                   00000000        
            0x00, 0x00, 0x00, 0x00, 0x7F, 0x80, 0x00, ##                                   00000000        
            0x00, 0x00, 0x00, 0x00, 0x7F, 0x80, 0x00, ##                                   00000000        
            0x00, 0x00, 0x00, 0x00, 0x7F, 0x80, 0x00, ##                                   00000000        
            0x00, 0x00, 0x00, 0x00, 0x7F, 0x80, 0x00, ##                                   00000000        
            0x00, 0x00, 0x00, 0x00, 0x7F, 0x80, 0x00, ##                                   00000000        
            0x00, 0x03, 0xFE, 0x00, 0x7F, 0x80, 0x00, ##                000000000          00000000        
            0x00, 0x0F, 0xFF, 0xC0, 0x7F, 0x80, 0x00, ##              00000000000000       00000000        
            0x00, 0x3F, 0xFF, 0xF0, 0x7F, 0x80, 0x00, ##            000000000000000000     00000000        
            0x00, 0xFF, 0xFF, 0xF8, 0x7F, 0x80, 0x00, ##          000000000000000000000    00000000        
            0x01, 0xFF, 0xFF, 0xFC, 0x7F, 0x80, 0x00, ##         00000000000000000000000   00000000        
            0x03, 0xFF, 0xC0, 0x7E, 0x7F, 0x80, 0x00, ##        000000000000       000000  00000000        
            0x07, 0xFE, 0x00, 0x1F, 0x7F, 0x80, 0x00, ##       0000000000            00000 00000000        
            0x07, 0xFC, 0x00, 0x0F, 0x7F, 0x80, 0x00, ##       000000000              0000 00000000        
            0x0F, 0xF8, 0x00, 0x07, 0xFF, 0x80, 0x00, ##      000000000                000000000000        
            0x1F, 0xF0, 0x00, 0x03, 0xFF, 0x80, 0x00, ##     000000000                  00000000000        
            0x1F, 0xF0, 0x00, 0x01, 0xFF, 0x80, 0x00, ##     000000000                   0000000000        
            0x3F, 0xE0, 0x00, 0x01, 0xFF, 0x80, 0x00, ##    000000000                    0000000000        
            0x3F, 0xE0, 0x00, 0x00, 0xFF, 0x80, 0x00, ##    000000000                     000000000        
            0x3F, 0xC0, 0x00, 0x00, 0xFF, 0x80, 0x00, ##    00000000                      000000000        
            0x7F, 0xC0, 0x00, 0x00, 0xFF, 0x80, 0x00, ##   000000000                      000000000        
            0x7F, 0xC0, 0x00, 0x00, 0xFF, 0x80, 0x00, ##   000000000                      000000000        
            0x7F, 0xC0, 0x00, 0x00, 0x7F, 0x80, 0x00, ##   000000000                       00000000        
            0x7F, 0x80, 0x00, 0x00, 0x7F, 0x80, 0x00, ##   00000000                        00000000        
            0xFF, 0x80, 0x00, 0x00, 0x7F, 0x80, 0x00, ##  000000000                        00000000        
            0xFF, 0x80, 0x00, 0x00, 0x7F, 0x80, 0x00, ##  000000000                        00000000        
            0xFF, 0x80, 0x00, 0x00, 0x7F, 0x80, 0x00, ##  000000000                        00000000        
            0xFF, 0x80, 0x00, 0x00, 0x7F, 0x80, 0x00, ##  000000000                        00000000        
            0xFF, 0x80, 0x00, 0x00, 0x7F, 0x80, 0x00, ##  000000000                        00000000        
            0xFF, 0x80, 0x00, 0x00, 0x7F, 0x80, 0x00, ##  000000000                        00000000        
            0xFF, 0x80, 0x00, 0x00, 0x7F, 0x80, 0x00, ##  000000000                        00000000        
            0xFF, 0x80, 0x00, 0x00, 0x7F, 0x80, 0x00, ##  000000000                        00000000        
            0xFF, 0x80, 0x00, 0x00, 0x7F, 0x80, 0x00, ##  000000000                        00000000        
            0xFF, 0x80, 0x00, 0x00, 0x7F, 0x80, 0x00, ##  000000000                        00000000        
            0xFF, 0x80, 0x00, 0x00, 0x7F, 0x80, 0x00, ##  000000000                        00000000        
            0xFF, 0x80, 0x00, 0x00, 0x7F, 0x80, 0x00, ##  000000000                        00000000        
            0x7F, 0x80, 0x00, 0x00, 0x7F, 0x80, 0x00, ##   00000000                        00000000        
            0x7F, 0xC0, 0x00, 0x00, 0x7F, 0x80, 0x00, ##   000000000                       00000000        
            0x7F, 0xC0, 0x00, 0x00, 0xFF, 0x80, 0x00, ##   000000000                      000000000        
            0x7F, 0xC0, 0x00, 0x00, 0xFF, 0x80, 0x00, ##   000000000                      000000000        
            0x3F, 0xC0, 0x00, 0x00, 0xFF, 0x80, 0x00, ##    00000000                      000000000        
            0x3F, 0xE0, 0x00, 0x00, 0xFF, 0x80, 0x00, ##    000000000                     000000000        
            0x3F, 0xE0, 0x00, 0x01, 0xFF, 0x80, 0x00, ##    000000000                    0000000000        
            0x1F, 0xF0, 0x00, 0x01, 0xFF, 0x80, 0x00, ##     000000000                   0000000000        
            0x1F, 0xF0, 0x00, 0x03, 0xFF, 0x80, 0x00, ##     000000000                  00000000000        
            0x0F, 0xF8, 0x00, 0x07, 0xFF, 0x80, 0x00, ##      000000000                000000000000        
            0x07, 0xFC, 0x00, 0x0F, 0x7F, 0x80, 0x00, ##       000000000              0000 00000000        
            0x07, 0xFE, 0x00, 0x1F, 0x7F, 0x80, 0x00, ##       0000000000            00000 00000000        
            0x03, 0xFF, 0x80, 0x7E, 0x7F, 0xFF, 0x80, ##        00000000000        000000  0000000000000000
            0x01, 0xFF, 0xFF, 0xFC, 0x7F, 0xFF, 0x80, ##         00000000000000000000000   0000000000000000
            0x00, 0xFF, 0xFF, 0xF8, 0x7F, 0xFF, 0x80, ##          000000000000000000000    0000000000000000
            0x00, 0x3F, 0xFF, 0xF0, 0x7F, 0xFF, 0x80, ##            000000000000000000     0000000000000000
            0x00, 0x1F, 0xFF, 0xC0, 0x00, 0x00, 0x00, ##             000000000000000                       
            0x00, 0x03, 0xFE, 0x00, 0x00, 0x00, 0x00, ##                000000000                          
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '101' => {    # 'e'
        'width'    => 43, 
        'xoffset'  => 4, 
        'xadvance' => 51, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x7F, 0xE0, 0x00, 0x00, ##                   0000000000                
            0x00, 0x07, 0xFF, 0xFE, 0x00, 0x00, ##               000000000000000000            
            0x00, 0x1F, 0xFF, 0xFF, 0x80, 0x00, ##             0000000000000000000000          
            0x00, 0x7F, 0xFF, 0xFF, 0xC0, 0x00, ##           0000000000000000000000000         
            0x00, 0xFF, 0xC0, 0x7F, 0xF0, 0x00, ##          0000000000       00000000000       
            0x01, 0xFF, 0x00, 0x0F, 0xF8, 0x00, ##         000000000            000000000      
            0x03, 0xFC, 0x00, 0x07, 0xFC, 0x00, ##        00000000               000000000     
            0x07, 0xF8, 0x00, 0x03, 0xFE, 0x00, ##       00000000                 000000000    
            0x0F, 0xF8, 0x00, 0x01, 0xFE, 0x00, ##      000000000                  00000000    
            0x0F, 0xF0, 0x00, 0x00, 0xFF, 0x00, ##      00000000                    00000000   
            0x1F, 0xE0, 0x00, 0x00, 0xFF, 0x00, ##     00000000                     00000000   
            0x1F, 0xE0, 0x00, 0x00, 0x7F, 0x80, ##     00000000                      00000000  
            0x3F, 0xE0, 0x00, 0x00, 0x7F, 0x80, ##    000000000                      00000000  
            0x3F, 0xC0, 0x00, 0x00, 0x7F, 0xC0, ##    00000000                       000000000 
            0x7F, 0xC0, 0x00, 0x00, 0x3F, 0xC0, ##   000000000                        00000000 
            0x7F, 0xC0, 0x00, 0x00, 0x3F, 0xC0, ##   000000000                        00000000 
            0x7F, 0x80, 0x00, 0x00, 0x3F, 0xC0, ##   00000000                         00000000 
            0x7F, 0x80, 0x00, 0x00, 0x3F, 0xC0, ##   00000000                         00000000 
            0xFF, 0x80, 0x00, 0x00, 0x3F, 0xE0, ##  000000000                         000000000
            0xFF, 0x80, 0x00, 0x00, 0x3F, 0xE0, ##  000000000                         000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xE0, ##  0000000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xE0, ##  0000000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xE0, ##  0000000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xE0, ##  0000000000000000000000000000000000000000000
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##  000000000                                  
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##  000000000                                  
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##  000000000                                  
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##  000000000                                  
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##  000000000                                  
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##  000000000                                  
            0x7F, 0x80, 0x00, 0x00, 0x00, 0x00, ##   00000000                                  
            0x7F, 0xC0, 0x00, 0x00, 0x00, 0x00, ##   000000000                                 
            0x7F, 0xC0, 0x00, 0x00, 0x00, 0x00, ##   000000000                                 
            0x7F, 0xC0, 0x00, 0x00, 0x0F, 0xC0, ##   000000000                          000000 
            0x3F, 0xC0, 0x00, 0x00, 0x0F, 0xC0, ##    00000000                          000000 
            0x3F, 0xE0, 0x00, 0x00, 0x1F, 0x80, ##    000000000                        000000  
            0x1F, 0xE0, 0x00, 0x00, 0x1F, 0x80, ##     00000000                        000000  
            0x1F, 0xF0, 0x00, 0x00, 0x3F, 0x80, ##     000000000                      0000000  
            0x0F, 0xF0, 0x00, 0x00, 0x3F, 0x00, ##      00000000                      000000   
            0x0F, 0xF8, 0x00, 0x00, 0x7F, 0x00, ##      000000000                    0000000   
            0x07, 0xFC, 0x00, 0x00, 0xFE, 0x00, ##       000000000                  0000000    
            0x03, 0xFE, 0x00, 0x01, 0xFC, 0x00, ##        000000000                0000000     
            0x01, 0xFF, 0x00, 0x07, 0xF8, 0x00, ##         000000000             00000000      
            0x00, 0xFF, 0xE0, 0x1F, 0xF0, 0x00, ##          00000000000        000000000       
            0x00, 0x3F, 0xFF, 0xFF, 0xE0, 0x00, ##            0000000000000000000000000        
            0x00, 0x1F, 0xFF, 0xFF, 0x80, 0x00, ##             0000000000000000000000          
            0x00, 0x07, 0xFF, 0xFE, 0x00, 0x00, ##               000000000000000000            
            0x00, 0x00, 0x7F, 0xF0, 0x00, 0x00, ##                   00000000000               
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '102' => {    # 'f'
        'width'    => 34, 
        'xoffset'  => 3, 
        'xadvance' => 32, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x3F, 0xF0, 0x00, ##                    0000000000      
            0x00, 0x01, 0xFF, 0xFF, 0x00, ##                 00000000000000000  
            0x00, 0x07, 0xFF, 0xFF, 0xC0, ##               000000000000000000000
            0x00, 0x0F, 0xFF, 0xFF, 0xC0, ##              0000000000000000000000
            0x00, 0x1F, 0xF0, 0x3F, 0xC0, ##             000000000      00000000
            0x00, 0x3F, 0xC0, 0x0F, 0xC0, ##            00000000          000000
            0x00, 0x7F, 0x80, 0x07, 0xC0, ##           00000000            00000
            0x00, 0x7F, 0x00, 0x07, 0xC0, ##           0000000             00000
            0x00, 0xFF, 0x00, 0x03, 0xC0, ##          00000000              0000
            0x00, 0xFF, 0x00, 0x03, 0xC0, ##          00000000              0000
            0x00, 0xFE, 0x00, 0x03, 0xC0, ##          0000000               0000
            0x01, 0xFE, 0x00, 0x00, 0x00, ##         00000000                   
            0x01, 0xFE, 0x00, 0x00, 0x00, ##         00000000                   
            0x01, 0xFE, 0x00, 0x00, 0x00, ##         00000000                   
            0x01, 0xFE, 0x00, 0x00, 0x00, ##         00000000                   
            0x01, 0xFE, 0x00, 0x00, 0x00, ##         00000000                   
            0x01, 0xFE, 0x00, 0x00, 0x00, ##         00000000                   
            0x01, 0xFE, 0x00, 0x00, 0x00, ##         00000000                   
            0x01, 0xFE, 0x00, 0x00, 0x00, ##         00000000                   
            0x01, 0xFE, 0x00, 0x00, 0x00, ##         00000000                   
            0x01, 0xFE, 0x00, 0x00, 0x00, ##         00000000                   
            0x01, 0xFE, 0x00, 0x00, 0x00, ##         00000000                   
            0xFF, 0xFF, 0xFF, 0xF0, 0x00, ##  0000000000000000000000000000      
            0xFF, 0xFF, 0xFF, 0xF0, 0x00, ##  0000000000000000000000000000      
            0xFF, 0xFF, 0xFF, 0xF0, 0x00, ##  0000000000000000000000000000      
            0xFF, 0xFF, 0xFF, 0xF0, 0x00, ##  0000000000000000000000000000      
            0x01, 0xFE, 0x00, 0x00, 0x00, ##         00000000                   
            0x01, 0xFE, 0x00, 0x00, 0x00, ##         00000000                   
            0x01, 0xFE, 0x00, 0x00, 0x00, ##         00000000                   
            0x01, 0xFE, 0x00, 0x00, 0x00, ##         00000000                   
            0x01, 0xFE, 0x00, 0x00, 0x00, ##         00000000                   
            0x01, 0xFE, 0x00, 0x00, 0x00, ##         00000000                   
            0x01, 0xFE, 0x00, 0x00, 0x00, ##         00000000                   
            0x01, 0xFE, 0x00, 0x00, 0x00, ##         00000000                   
            0x01, 0xFE, 0x00, 0x00, 0x00, ##         00000000                   
            0x01, 0xFE, 0x00, 0x00, 0x00, ##         00000000                   
            0x01, 0xFE, 0x00, 0x00, 0x00, ##         00000000                   
            0x01, 0xFE, 0x00, 0x00, 0x00, ##         00000000                   
            0x01, 0xFE, 0x00, 0x00, 0x00, ##         00000000                   
            0x01, 0xFE, 0x00, 0x00, 0x00, ##         00000000                   
            0x01, 0xFE, 0x00, 0x00, 0x00, ##         00000000                   
            0x01, 0xFE, 0x00, 0x00, 0x00, ##         00000000                   
            0x01, 0xFE, 0x00, 0x00, 0x00, ##         00000000                   
            0x01, 0xFE, 0x00, 0x00, 0x00, ##         00000000                   
            0x01, 0xFE, 0x00, 0x00, 0x00, ##         00000000                   
            0x01, 0xFE, 0x00, 0x00, 0x00, ##         00000000                   
            0x01, 0xFE, 0x00, 0x00, 0x00, ##         00000000                   
            0x01, 0xFE, 0x00, 0x00, 0x00, ##         00000000                   
            0x01, 0xFE, 0x00, 0x00, 0x00, ##         00000000                   
            0x01, 0xFE, 0x00, 0x00, 0x00, ##         00000000                   
            0x01, 0xFE, 0x00, 0x00, 0x00, ##         00000000                   
            0x01, 0xFE, 0x00, 0x00, 0x00, ##         00000000                   
            0x01, 0xFE, 0x00, 0x00, 0x00, ##         00000000                   
            0x01, 0xFE, 0x00, 0x00, 0x00, ##         00000000                   
            0x01, 0xFE, 0x00, 0x00, 0x00, ##         00000000                   
            0x01, 0xFE, 0x00, 0x00, 0x00, ##         00000000                   
            0x01, 0xFE, 0x00, 0x00, 0x00, ##         00000000                   
            0x01, 0xFE, 0x00, 0x00, 0x00, ##         00000000                   
            0x01, 0xFE, 0x00, 0x00, 0x00, ##         00000000                   
            0x01, 0xFE, 0x00, 0x00, 0x00, ##         00000000                   
            0x01, 0xFE, 0x00, 0x00, 0x00, ##         00000000                   
            0x01, 0xFE, 0x00, 0x00, 0x00, ##         00000000                   
            0x01, 0xFE, 0x00, 0x00, 0x00, ##         00000000                   
            0xFF, 0xFF, 0xFF, 0x80, 0x00, ##  0000000000000000000000000         
            0xFF, 0xFF, 0xFF, 0x80, 0x00, ##  0000000000000000000000000         
            0xFF, 0xFF, 0xFF, 0x80, 0x00, ##  0000000000000000000000000         
            0xFF, 0xFF, 0xFF, 0x80, 0x00, ##  0000000000000000000000000         
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '103' => {    # 'g'
        'width'    => 49, 
        'xoffset'  => 4, 
        'xadvance' => 56, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x03, 0xFE, 0x00, 0x00, 0x00, 0x00, ##                000000000                          
            0x00, 0x0F, 0xFF, 0xC0, 0x00, 0x00, 0x00, ##              00000000000000                       
            0x00, 0x3F, 0xFF, 0xF0, 0x7F, 0xFF, 0x80, ##            000000000000000000     0000000000000000
            0x00, 0xFF, 0xFF, 0xF8, 0x7F, 0xFF, 0x80, ##          000000000000000000000    0000000000000000
            0x01, 0xFF, 0xFF, 0xFC, 0x7F, 0xFF, 0x80, ##         00000000000000000000000   0000000000000000
            0x03, 0xFF, 0xC0, 0xFE, 0x7F, 0xFF, 0x80, ##        000000000000      0000000  0000000000000000
            0x07, 0xFE, 0x00, 0x1F, 0x7F, 0x80, 0x00, ##       0000000000            00000 00000000        
            0x07, 0xFC, 0x00, 0x0F, 0x7F, 0x80, 0x00, ##       000000000              0000 00000000        
            0x0F, 0xF8, 0x00, 0x07, 0xFF, 0x80, 0x00, ##      000000000                000000000000        
            0x1F, 0xF0, 0x00, 0x03, 0xFF, 0x80, 0x00, ##     000000000                  00000000000        
            0x1F, 0xF0, 0x00, 0x01, 0xFF, 0x80, 0x00, ##     000000000                   0000000000        
            0x3F, 0xE0, 0x00, 0x01, 0xFF, 0x80, 0x00, ##    000000000                    0000000000        
            0x3F, 0xE0, 0x00, 0x01, 0xFF, 0x80, 0x00, ##    000000000                    0000000000        
            0x3F, 0xC0, 0x00, 0x00, 0xFF, 0x80, 0x00, ##    00000000                      000000000        
            0x7F, 0xC0, 0x00, 0x00, 0xFF, 0x80, 0x00, ##   000000000                      000000000        
            0x7F, 0xC0, 0x00, 0x00, 0xFF, 0x80, 0x00, ##   000000000                      000000000        
            0x7F, 0xC0, 0x00, 0x00, 0x7F, 0x80, 0x00, ##   000000000                       00000000        
            0x7F, 0x80, 0x00, 0x00, 0x7F, 0x80, 0x00, ##   00000000                        00000000        
            0xFF, 0x80, 0x00, 0x00, 0x7F, 0x80, 0x00, ##  000000000                        00000000        
            0xFF, 0x80, 0x00, 0x00, 0x7F, 0x80, 0x00, ##  000000000                        00000000        
            0xFF, 0x80, 0x00, 0x00, 0x7F, 0x80, 0x00, ##  000000000                        00000000        
            0xFF, 0x80, 0x00, 0x00, 0x7F, 0x80, 0x00, ##  000000000                        00000000        
            0xFF, 0x80, 0x00, 0x00, 0x7F, 0x80, 0x00, ##  000000000                        00000000        
            0xFF, 0x80, 0x00, 0x00, 0x7F, 0x80, 0x00, ##  000000000                        00000000        
            0xFF, 0x80, 0x00, 0x00, 0x7F, 0x80, 0x00, ##  000000000                        00000000        
            0xFF, 0x80, 0x00, 0x00, 0x7F, 0x80, 0x00, ##  000000000                        00000000        
            0xFF, 0x80, 0x00, 0x00, 0x7F, 0x80, 0x00, ##  000000000                        00000000        
            0xFF, 0x80, 0x00, 0x00, 0x7F, 0x80, 0x00, ##  000000000                        00000000        
            0xFF, 0x80, 0x00, 0x00, 0x7F, 0x80, 0x00, ##  000000000                        00000000        
            0xFF, 0x80, 0x00, 0x00, 0x7F, 0x80, 0x00, ##  000000000                        00000000        
            0xFF, 0x80, 0x00, 0x00, 0x7F, 0x80, 0x00, ##  000000000                        00000000        
            0x7F, 0x80, 0x00, 0x00, 0x7F, 0x80, 0x00, ##   00000000                        00000000        
            0x7F, 0xC0, 0x00, 0x00, 0x7F, 0x80, 0x00, ##   000000000                       00000000        
            0x7F, 0xC0, 0x00, 0x00, 0xFF, 0x80, 0x00, ##   000000000                      000000000        
            0x7F, 0xC0, 0x00, 0x00, 0xFF, 0x80, 0x00, ##   000000000                      000000000        
            0x3F, 0xC0, 0x00, 0x00, 0xFF, 0x80, 0x00, ##    00000000                      000000000        
            0x3F, 0xE0, 0x00, 0x00, 0xFF, 0x80, 0x00, ##    000000000                     000000000        
            0x3F, 0xE0, 0x00, 0x01, 0xFF, 0x80, 0x00, ##    000000000                    0000000000        
            0x1F, 0xF0, 0x00, 0x01, 0xFF, 0x80, 0x00, ##     000000000                   0000000000        
            0x1F, 0xF0, 0x00, 0x03, 0xFF, 0x80, 0x00, ##     000000000                  00000000000        
            0x0F, 0xF8, 0x00, 0x07, 0xFF, 0x80, 0x00, ##      000000000                000000000000        
            0x07, 0xFC, 0x00, 0x0F, 0x7F, 0x80, 0x00, ##       000000000              0000 00000000        
            0x07, 0xFE, 0x00, 0x1F, 0x7F, 0x80, 0x00, ##       0000000000            00000 00000000        
            0x03, 0xFF, 0xC0, 0x7E, 0x7F, 0x80, 0x00, ##        000000000000       000000  00000000        
            0x01, 0xFF, 0xFF, 0xFC, 0x7F, 0x80, 0x00, ##         00000000000000000000000   00000000        
            0x00, 0xFF, 0xFF, 0xF8, 0x7F, 0x80, 0x00, ##          000000000000000000000    00000000        
            0x00, 0x3F, 0xFF, 0xF0, 0x7F, 0x80, 0x00, ##            000000000000000000     00000000        
            0x00, 0x0F, 0xFF, 0xC0, 0x7F, 0x80, 0x00, ##              00000000000000       00000000        
            0x00, 0x03, 0xFE, 0x00, 0x7F, 0x80, 0x00, ##                000000000          00000000        
            0x00, 0x00, 0x00, 0x00, 0x7F, 0x80, 0x00, ##                                   00000000        
            0x00, 0x00, 0x00, 0x00, 0x7F, 0x80, 0x00, ##                                   00000000        
            0x00, 0x00, 0x00, 0x00, 0x7F, 0x80, 0x00, ##                                   00000000        
            0x00, 0x00, 0x00, 0x00, 0xFF, 0x00, 0x00, ##                                  00000000         
            0x00, 0x00, 0x00, 0x00, 0xFF, 0x00, 0x00, ##                                  00000000         
            0x0F, 0x00, 0x00, 0x00, 0xFF, 0x00, 0x00, ##      0000                        00000000         
            0x0F, 0x80, 0x00, 0x00, 0xFF, 0x00, 0x00, ##      00000                       00000000         
            0x0F, 0x80, 0x00, 0x01, 0xFE, 0x00, 0x00, ##      00000                      00000000          
            0x0F, 0x80, 0x00, 0x01, 0xFE, 0x00, 0x00, ##      00000                      00000000          
            0x0F, 0xC0, 0x00, 0x03, 0xFC, 0x00, 0x00, ##      000000                    00000000           
            0x0F, 0xC0, 0x00, 0x07, 0xF8, 0x00, 0x00, ##      000000                   00000000            
            0x0F, 0xE0, 0x00, 0x0F, 0xF8, 0x00, 0x00, ##      0000000                 000000000            
            0x0F, 0xF8, 0x00, 0x1F, 0xF0, 0x00, 0x00, ##      000000000              000000000             
            0x0F, 0xFE, 0x00, 0xFF, 0xE0, 0x00, 0x00, ##      00000000000         00000000000              
            0x0F, 0xFF, 0xFF, 0xFF, 0x80, 0x00, 0x00, ##      00000000000000000000000000000                
            0x03, 0xFF, 0xFF, 0xFF, 0x00, 0x00, 0x00, ##        00000000000000000000000000                 
            0x00, 0x7F, 0xFF, 0xFC, 0x00, 0x00, 0x00, ##           000000000000000000000                   
            0x00, 0x03, 0xFF, 0xC0, 0x00, 0x00, 0x00, ##                000000000000                       
        ], 
    }, 
    '104' => {    # 'h'
        'width'    => 50, 
        'xoffset'  => 4, 
        'xadvance' => 56, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0xFF, 0xFE, 0x00, 0x00, 0x00, 0x00, 0x00, ##  000000000000000                                   
            0xFF, 0xFE, 0x00, 0x00, 0x00, 0x00, 0x00, ##  000000000000000                                   
            0xFF, 0xFE, 0x00, 0x00, 0x00, 0x00, 0x00, ##  000000000000000                                   
            0xFF, 0xFE, 0x00, 0x00, 0x00, 0x00, 0x00, ##  000000000000000                                   
            0x01, 0xFE, 0x00, 0x00, 0x00, 0x00, 0x00, ##         00000000                                   
            0x01, 0xFE, 0x00, 0x00, 0x00, 0x00, 0x00, ##         00000000                                   
            0x01, 0xFE, 0x00, 0x00, 0x00, 0x00, 0x00, ##         00000000                                   
            0x01, 0xFE, 0x00, 0x00, 0x00, 0x00, 0x00, ##         00000000                                   
            0x01, 0xFE, 0x00, 0x00, 0x00, 0x00, 0x00, ##         00000000                                   
            0x01, 0xFE, 0x00, 0x00, 0x00, 0x00, 0x00, ##         00000000                                   
            0x01, 0xFE, 0x00, 0x00, 0x00, 0x00, 0x00, ##         00000000                                   
            0x01, 0xFE, 0x00, 0x00, 0x00, 0x00, 0x00, ##         00000000                                   
            0x01, 0xFE, 0x00, 0x00, 0x00, 0x00, 0x00, ##         00000000                                   
            0x01, 0xFE, 0x00, 0x00, 0x00, 0x00, 0x00, ##         00000000                                   
            0x01, 0xFE, 0x00, 0x00, 0x00, 0x00, 0x00, ##         00000000                                   
            0x01, 0xFE, 0x00, 0x00, 0x00, 0x00, 0x00, ##         00000000                                   
            0x01, 0xFE, 0x00, 0x00, 0x00, 0x00, 0x00, ##         00000000                                   
            0x01, 0xFE, 0x00, 0x00, 0x00, 0x00, 0x00, ##         00000000                                   
            0x01, 0xFE, 0x00, 0x00, 0x00, 0x00, 0x00, ##         00000000                                   
            0x01, 0xFE, 0x00, 0x00, 0x00, 0x00, 0x00, ##         00000000                                   
            0x01, 0xFE, 0x00, 0x7F, 0x80, 0x00, 0x00, ##         00000000          00000000                 
            0x01, 0xFE, 0x03, 0xFF, 0xF0, 0x00, 0x00, ##         00000000       00000000000000              
            0x01, 0xFE, 0x0F, 0xFF, 0xFC, 0x00, 0x00, ##         00000000     000000000000000000            
            0x01, 0xFE, 0x1F, 0xFF, 0xFE, 0x00, 0x00, ##         00000000    00000000000000000000           
            0x01, 0xFE, 0x3F, 0xFF, 0xFF, 0x00, 0x00, ##         00000000   0000000000000000000000          
            0x01, 0xFE, 0x7F, 0xFF, 0xFF, 0x00, 0x00, ##         00000000  00000000000000000000000          
            0x01, 0xFE, 0x7E, 0x07, 0xFF, 0x80, 0x00, ##         00000000  000000      000000000000         
            0x01, 0xFE, 0xF0, 0x01, 0xFF, 0x80, 0x00, ##         00000000 0000           0000000000         
            0x01, 0xFF, 0xE0, 0x00, 0x7F, 0xC0, 0x00, ##         000000000000              000000000        
            0x01, 0xFF, 0xC0, 0x00, 0x7F, 0xC0, 0x00, ##         00000000000               000000000        
            0x01, 0xFF, 0xC0, 0x00, 0x3F, 0xC0, 0x00, ##         00000000000                00000000        
            0x01, 0xFF, 0x80, 0x00, 0x3F, 0xC0, 0x00, ##         0000000000                 00000000        
            0x01, 0xFF, 0x00, 0x00, 0x3F, 0xE0, 0x00, ##         000000000                  000000000       
            0x01, 0xFF, 0x00, 0x00, 0x3F, 0xE0, 0x00, ##         000000000                  000000000       
            0x01, 0xFF, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##         000000000                   00000000       
            0x01, 0xFF, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##         000000000                   00000000       
            0x01, 0xFE, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##         00000000                    00000000       
            0x01, 0xFE, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##         00000000                    00000000       
            0x01, 0xFE, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##         00000000                    00000000       
            0x01, 0xFE, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##         00000000                    00000000       
            0x01, 0xFE, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##         00000000                    00000000       
            0x01, 0xFE, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##         00000000                    00000000       
            0x01, 0xFE, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##         00000000                    00000000       
            0x01, 0xFE, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##         00000000                    00000000       
            0x01, 0xFE, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##         00000000                    00000000       
            0x01, 0xFE, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##         00000000                    00000000       
            0x01, 0xFE, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##         00000000                    00000000       
            0x01, 0xFE, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##         00000000                    00000000       
            0x01, 0xFE, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##         00000000                    00000000       
            0x01, 0xFE, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##         00000000                    00000000       
            0x01, 0xFE, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##         00000000                    00000000       
            0x01, 0xFE, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##         00000000                    00000000       
            0x01, 0xFE, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##         00000000                    00000000       
            0x01, 0xFE, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##         00000000                    00000000       
            0x01, 0xFE, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##         00000000                    00000000       
            0x01, 0xFE, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##         00000000                    00000000       
            0x01, 0xFE, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##         00000000                    00000000       
            0x01, 0xFE, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##         00000000                    00000000       
            0x01, 0xFE, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##         00000000                    00000000       
            0x01, 0xFE, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##         00000000                    00000000       
            0x01, 0xFE, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##         00000000                    00000000       
            0x01, 0xFE, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##         00000000                    00000000       
            0x01, 0xFE, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##         00000000                    00000000       
            0xFF, 0xFF, 0xFC, 0x0F, 0xFF, 0xFF, 0xC0, ##  0000000000000000000000      0000000000000000000000
            0xFF, 0xFF, 0xFC, 0x0F, 0xFF, 0xFF, 0xC0, ##  0000000000000000000000      0000000000000000000000
            0xFF, 0xFF, 0xFC, 0x0F, 0xFF, 0xFF, 0xC0, ##  0000000000000000000000      0000000000000000000000
            0xFF, 0xFF, 0xFC, 0x0F, 0xFF, 0xFF, 0xC0, ##  0000000000000000000000      0000000000000000000000
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '105' => {    # 'i'
        'width'    => 23, 
        'xoffset'  => 3, 
        'xadvance' => 28, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x70, 0x00, ##           000           
            0x01, 0xFC, 0x00, ##         0000000         
            0x01, 0xFC, 0x00, ##         0000000         
            0x03, 0xFE, 0x00, ##        000000000        
            0x03, 0xFE, 0x00, ##        000000000        
            0x03, 0xFE, 0x00, ##        000000000        
            0x03, 0xFE, 0x00, ##        000000000        
            0x01, 0xFC, 0x00, ##         0000000         
            0x01, 0xFC, 0x00, ##         0000000         
            0x00, 0x70, 0x00, ##           000           
            0x00, 0x00, 0x00, ##                         
            0x00, 0x00, 0x00, ##                         
            0x00, 0x00, 0x00, ##                         
            0x00, 0x00, 0x00, ##                         
            0x00, 0x00, 0x00, ##                         
            0x00, 0x00, 0x00, ##                         
            0x00, 0x00, 0x00, ##                         
            0x00, 0x00, 0x00, ##                         
            0x00, 0x00, 0x00, ##                         
            0x00, 0x00, 0x00, ##                         
            0xFF, 0xFE, 0x00, ##  000000000000000        
            0xFF, 0xFE, 0x00, ##  000000000000000        
            0xFF, 0xFE, 0x00, ##  000000000000000        
            0xFF, 0xFE, 0x00, ##  000000000000000        
            0x01, 0xFE, 0x00, ##         00000000        
            0x01, 0xFE, 0x00, ##         00000000        
            0x01, 0xFE, 0x00, ##         00000000        
            0x01, 0xFE, 0x00, ##         00000000        
            0x01, 0xFE, 0x00, ##         00000000        
            0x01, 0xFE, 0x00, ##         00000000        
            0x01, 0xFE, 0x00, ##         00000000        
            0x01, 0xFE, 0x00, ##         00000000        
            0x01, 0xFE, 0x00, ##         00000000        
            0x01, 0xFE, 0x00, ##         00000000        
            0x01, 0xFE, 0x00, ##         00000000        
            0x01, 0xFE, 0x00, ##         00000000        
            0x01, 0xFE, 0x00, ##         00000000        
            0x01, 0xFE, 0x00, ##         00000000        
            0x01, 0xFE, 0x00, ##         00000000        
            0x01, 0xFE, 0x00, ##         00000000        
            0x01, 0xFE, 0x00, ##         00000000        
            0x01, 0xFE, 0x00, ##         00000000        
            0x01, 0xFE, 0x00, ##         00000000        
            0x01, 0xFE, 0x00, ##         00000000        
            0x01, 0xFE, 0x00, ##         00000000        
            0x01, 0xFE, 0x00, ##         00000000        
            0x01, 0xFE, 0x00, ##         00000000        
            0x01, 0xFE, 0x00, ##         00000000        
            0x01, 0xFE, 0x00, ##         00000000        
            0x01, 0xFE, 0x00, ##         00000000        
            0x01, 0xFE, 0x00, ##         00000000        
            0x01, 0xFE, 0x00, ##         00000000        
            0x01, 0xFE, 0x00, ##         00000000        
            0x01, 0xFE, 0x00, ##         00000000        
            0x01, 0xFE, 0x00, ##         00000000        
            0x01, 0xFE, 0x00, ##         00000000        
            0x01, 0xFE, 0x00, ##         00000000        
            0x01, 0xFE, 0x00, ##         00000000        
            0x01, 0xFE, 0x00, ##         00000000        
            0x01, 0xFE, 0x00, ##         00000000        
            0x01, 0xFE, 0x00, ##         00000000        
            0xFF, 0xFF, 0xFE, ##  00000000000000000000000
            0xFF, 0xFF, 0xFE, ##  00000000000000000000000
            0xFF, 0xFF, 0xFE, ##  00000000000000000000000
            0xFF, 0xFF, 0xFE, ##  00000000000000000000000
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '106' => {    # 'j'
        'width'    => 27, 
        'xoffset'  => -8, 
        'xadvance' => 28, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x0F, 0x00, ##                      0000   
            0x00, 0x00, 0x3F, 0xC0, ##                    00000000 
            0x00, 0x00, 0x3F, 0xC0, ##                    00000000 
            0x00, 0x00, 0x7F, 0xE0, ##                   0000000000
            0x00, 0x00, 0x7F, 0xE0, ##                   0000000000
            0x00, 0x00, 0x7F, 0xE0, ##                   0000000000
            0x00, 0x00, 0x7F, 0xE0, ##                   0000000000
            0x00, 0x00, 0x3F, 0xC0, ##                    00000000 
            0x00, 0x00, 0x3F, 0xC0, ##                    00000000 
            0x00, 0x00, 0x0F, 0x00, ##                      0000   
            0x00, 0x00, 0x00, 0x00, ##                             
            0x00, 0x00, 0x00, 0x00, ##                             
            0x00, 0x00, 0x00, 0x00, ##                             
            0x00, 0x00, 0x00, 0x00, ##                             
            0x00, 0x00, 0x00, 0x00, ##                             
            0x00, 0x00, 0x00, 0x00, ##                             
            0x00, 0x00, 0x00, 0x00, ##                             
            0x00, 0x00, 0x00, 0x00, ##                             
            0x00, 0x00, 0x00, 0x00, ##                             
            0x00, 0x00, 0x00, 0x00, ##                             
            0x00, 0x0F, 0xFF, 0xE0, ##              000000000000000
            0x00, 0x0F, 0xFF, 0xE0, ##              000000000000000
            0x00, 0x0F, 0xFF, 0xE0, ##              000000000000000
            0x00, 0x0F, 0xFF, 0xE0, ##              000000000000000
            0x00, 0x00, 0x1F, 0xE0, ##                     00000000
            0x00, 0x00, 0x1F, 0xE0, ##                     00000000
            0x00, 0x00, 0x1F, 0xE0, ##                     00000000
            0x00, 0x00, 0x1F, 0xE0, ##                     00000000
            0x00, 0x00, 0x1F, 0xE0, ##                     00000000
            0x00, 0x00, 0x1F, 0xE0, ##                     00000000
            0x00, 0x00, 0x1F, 0xE0, ##                     00000000
            0x00, 0x00, 0x1F, 0xE0, ##                     00000000
            0x00, 0x00, 0x1F, 0xE0, ##                     00000000
            0x00, 0x00, 0x1F, 0xE0, ##                     00000000
            0x00, 0x00, 0x1F, 0xE0, ##                     00000000
            0x00, 0x00, 0x1F, 0xE0, ##                     00000000
            0x00, 0x00, 0x1F, 0xE0, ##                     00000000
            0x00, 0x00, 0x1F, 0xE0, ##                     00000000
            0x00, 0x00, 0x1F, 0xE0, ##                     00000000
            0x00, 0x00, 0x1F, 0xE0, ##                     00000000
            0x00, 0x00, 0x1F, 0xE0, ##                     00000000
            0x00, 0x00, 0x1F, 0xE0, ##                     00000000
            0x00, 0x00, 0x1F, 0xE0, ##                     00000000
            0x00, 0x00, 0x1F, 0xE0, ##                     00000000
            0x00, 0x00, 0x1F, 0xE0, ##                     00000000
            0x00, 0x00, 0x1F, 0xE0, ##                     00000000
            0x00, 0x00, 0x1F, 0xE0, ##                     00000000
            0x00, 0x00, 0x1F, 0xE0, ##                     00000000
            0x00, 0x00, 0x1F, 0xE0, ##                     00000000
            0x00, 0x00, 0x1F, 0xE0, ##                     00000000
            0x00, 0x00, 0x1F, 0xE0, ##                     00000000
            0x00, 0x00, 0x1F, 0xE0, ##                     00000000
            0x00, 0x00, 0x1F, 0xE0, ##                     00000000
            0x00, 0x00, 0x1F, 0xE0, ##                     00000000
            0x00, 0x00, 0x1F, 0xE0, ##                     00000000
            0x00, 0x00, 0x1F, 0xE0, ##                     00000000
            0x00, 0x00, 0x1F, 0xE0, ##                     00000000
            0x00, 0x00, 0x1F, 0xE0, ##                     00000000
            0x00, 0x00, 0x1F, 0xE0, ##                     00000000
            0x00, 0x00, 0x1F, 0xE0, ##                     00000000
            0x00, 0x00, 0x1F, 0xE0, ##                     00000000
            0x00, 0x00, 0x1F, 0xE0, ##                     00000000
            0x00, 0x00, 0x1F, 0xE0, ##                     00000000
            0x00, 0x00, 0x1F, 0xE0, ##                     00000000
            0x00, 0x00, 0x1F, 0xE0, ##                     00000000
            0x00, 0x00, 0x1F, 0xE0, ##                     00000000
            0x00, 0x00, 0x1F, 0xE0, ##                     00000000
            0x00, 0x00, 0x1F, 0xE0, ##                     00000000
            0x00, 0x00, 0x1F, 0xE0, ##                     00000000
            0x00, 0x00, 0x1F, 0xE0, ##                     00000000
            0x00, 0x00, 0x1F, 0xE0, ##                     00000000
            0x00, 0x00, 0x1F, 0xE0, ##                     00000000
            0x00, 0x00, 0x1F, 0xE0, ##                     00000000
            0xF0, 0x00, 0x1F, 0xE0, ##  0000               00000000
            0xF0, 0x00, 0x1F, 0xC0, ##  0000               0000000 
            0xF0, 0x00, 0x3F, 0xC0, ##  0000              00000000 
            0xF8, 0x00, 0x3F, 0xC0, ##  00000             00000000 
            0xF8, 0x00, 0x3F, 0x80, ##  00000             0000000  
            0xFC, 0x00, 0x7F, 0x80, ##  000000           00000000  
            0xFE, 0x00, 0xFF, 0x00, ##  0000000         00000000   
            0xFF, 0x03, 0xFE, 0x00, ##  00000000      000000000    
            0xFF, 0xFF, 0xFC, 0x00, ##  0000000000000000000000     
            0xFF, 0xFF, 0xF8, 0x00, ##  000000000000000000000      
            0x1F, 0xFF, 0xE0, 0x00, ##     0000000000000000        
            0x03, 0xFF, 0x00, 0x00, ##        0000000000           
        ], 
    }, 
    '107' => {    # 'k'
        'width'    => 50, 
        'xoffset'  => 3, 
        'xadvance' => 53, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0xFF, 0xFE, 0x00, 0x00, 0x00, 0x00, 0x00, ##  000000000000000                                   
            0xFF, 0xFE, 0x00, 0x00, 0x00, 0x00, 0x00, ##  000000000000000                                   
            0xFF, 0xFE, 0x00, 0x00, 0x00, 0x00, 0x00, ##  000000000000000                                   
            0xFF, 0xFE, 0x00, 0x00, 0x00, 0x00, 0x00, ##  000000000000000                                   
            0x01, 0xFE, 0x00, 0x00, 0x00, 0x00, 0x00, ##         00000000                                   
            0x01, 0xFE, 0x00, 0x00, 0x00, 0x00, 0x00, ##         00000000                                   
            0x01, 0xFE, 0x00, 0x00, 0x00, 0x00, 0x00, ##         00000000                                   
            0x01, 0xFE, 0x00, 0x00, 0x00, 0x00, 0x00, ##         00000000                                   
            0x01, 0xFE, 0x00, 0x00, 0x00, 0x00, 0x00, ##         00000000                                   
            0x01, 0xFE, 0x00, 0x00, 0x00, 0x00, 0x00, ##         00000000                                   
            0x01, 0xFE, 0x00, 0x00, 0x00, 0x00, 0x00, ##         00000000                                   
            0x01, 0xFE, 0x00, 0x00, 0x00, 0x00, 0x00, ##         00000000                                   
            0x01, 0xFE, 0x00, 0x00, 0x00, 0x00, 0x00, ##         00000000                                   
            0x01, 0xFE, 0x00, 0x00, 0x00, 0x00, 0x00, ##         00000000                                   
            0x01, 0xFE, 0x00, 0x00, 0x00, 0x00, 0x00, ##         00000000                                   
            0x01, 0xFE, 0x00, 0x00, 0x00, 0x00, 0x00, ##         00000000                                   
            0x01, 0xFE, 0x00, 0x00, 0x00, 0x00, 0x00, ##         00000000                                   
            0x01, 0xFE, 0x00, 0x00, 0x00, 0x00, 0x00, ##         00000000                                   
            0x01, 0xFE, 0x00, 0x00, 0x00, 0x00, 0x00, ##         00000000                                   
            0x01, 0xFE, 0x00, 0x00, 0x00, 0x00, 0x00, ##         00000000                                   
            0x01, 0xFE, 0x00, 0x00, 0x00, 0x00, 0x00, ##         00000000                                   
            0x01, 0xFE, 0x00, 0x00, 0x00, 0x00, 0x00, ##         00000000                                   
            0x01, 0xFE, 0x00, 0x0F, 0xFF, 0xFF, 0x00, ##         00000000             00000000000000000000  
            0x01, 0xFE, 0x00, 0x0F, 0xFF, 0xFF, 0x00, ##         00000000             00000000000000000000  
            0x01, 0xFE, 0x00, 0x0F, 0xFF, 0xFF, 0x00, ##         00000000             00000000000000000000  
            0x01, 0xFE, 0x00, 0x0F, 0xFF, 0xFF, 0x00, ##         00000000             00000000000000000000  
            0x01, 0xFE, 0x00, 0x00, 0x7F, 0x00, 0x00, ##         00000000                  0000000          
            0x01, 0xFE, 0x00, 0x00, 0xFE, 0x00, 0x00, ##         00000000                 0000000           
            0x01, 0xFE, 0x00, 0x01, 0xFC, 0x00, 0x00, ##         00000000                0000000            
            0x01, 0xFE, 0x00, 0x03, 0xF8, 0x00, 0x00, ##         00000000               0000000             
            0x01, 0xFE, 0x00, 0x07, 0xF0, 0x00, 0x00, ##         00000000              0000000              
            0x01, 0xFE, 0x00, 0x0F, 0xE0, 0x00, 0x00, ##         00000000             0000000               
            0x01, 0xFE, 0x00, 0x1F, 0xC0, 0x00, 0x00, ##         00000000            0000000                
            0x01, 0xFE, 0x00, 0x3F, 0x80, 0x00, 0x00, ##         00000000           0000000                 
            0x01, 0xFE, 0x00, 0x7F, 0x00, 0x00, 0x00, ##         00000000          0000000                  
            0x01, 0xFE, 0x00, 0xFC, 0x00, 0x00, 0x00, ##         00000000         000000                    
            0x01, 0xFE, 0x01, 0xF8, 0x00, 0x00, 0x00, ##         00000000        000000                     
            0x01, 0xFE, 0x03, 0xF0, 0x00, 0x00, 0x00, ##         00000000       000000                      
            0x01, 0xFE, 0x07, 0xE0, 0x00, 0x00, 0x00, ##         00000000      000000                       
            0x01, 0xFE, 0x0F, 0xF0, 0x00, 0x00, 0x00, ##         00000000     00000000                      
            0x01, 0xFE, 0x1F, 0xF0, 0x00, 0x00, 0x00, ##         00000000    000000000                      
            0x01, 0xFE, 0x3F, 0xF8, 0x00, 0x00, 0x00, ##         00000000   00000000000                     
            0x01, 0xFE, 0x7F, 0xFC, 0x00, 0x00, 0x00, ##         00000000  0000000000000                    
            0x01, 0xFE, 0xFF, 0xFE, 0x00, 0x00, 0x00, ##         00000000 000000000000000                   
            0x01, 0xFF, 0xFF, 0xFE, 0x00, 0x00, 0x00, ##         000000000000000000000000                   
            0x01, 0xFF, 0xF3, 0xFF, 0x00, 0x00, 0x00, ##         0000000000000  0000000000                  
            0x01, 0xFF, 0xE1, 0xFF, 0x80, 0x00, 0x00, ##         000000000000    0000000000                 
            0x01, 0xFF, 0x80, 0xFF, 0x80, 0x00, 0x00, ##         0000000000       000000000                 
            0x01, 0xFF, 0x00, 0xFF, 0xC0, 0x00, 0x00, ##         000000000        0000000000                
            0x01, 0xFE, 0x00, 0x7F, 0xE0, 0x00, 0x00, ##         00000000          0000000000               
            0x01, 0xFE, 0x00, 0x3F, 0xE0, 0x00, 0x00, ##         00000000           000000000               
            0x01, 0xFE, 0x00, 0x3F, 0xF0, 0x00, 0x00, ##         00000000           0000000000              
            0x01, 0xFE, 0x00, 0x1F, 0xF8, 0x00, 0x00, ##         00000000            0000000000             
            0x01, 0xFE, 0x00, 0x0F, 0xF8, 0x00, 0x00, ##         00000000             000000000             
            0x01, 0xFE, 0x00, 0x07, 0xFC, 0x00, 0x00, ##         00000000              000000000            
            0x01, 0xFE, 0x00, 0x07, 0xFE, 0x00, 0x00, ##         00000000              0000000000           
            0x01, 0xFE, 0x00, 0x03, 0xFE, 0x00, 0x00, ##         00000000               000000000           
            0x01, 0xFE, 0x00, 0x01, 0xFF, 0x00, 0x00, ##         00000000                000000000          
            0x01, 0xFE, 0x00, 0x01, 0xFF, 0x80, 0x00, ##         00000000                0000000000         
            0x01, 0xFE, 0x00, 0x00, 0xFF, 0xC0, 0x00, ##         00000000                 0000000000        
            0x01, 0xFE, 0x00, 0x00, 0x7F, 0xC0, 0x00, ##         00000000                  000000000        
            0x01, 0xFE, 0x00, 0x00, 0x7F, 0xE0, 0x00, ##         00000000                  0000000000       
            0x01, 0xFE, 0x00, 0x00, 0x3F, 0xF0, 0x00, ##         00000000                   0000000000      
            0xFF, 0xFF, 0xFC, 0x0F, 0xFF, 0xFF, 0xC0, ##  0000000000000000000000      0000000000000000000000
            0xFF, 0xFF, 0xFC, 0x0F, 0xFF, 0xFF, 0xC0, ##  0000000000000000000000      0000000000000000000000
            0xFF, 0xFF, 0xFC, 0x0F, 0xFF, 0xFF, 0xC0, ##  0000000000000000000000      0000000000000000000000
            0xFF, 0xFF, 0xFC, 0x0F, 0xFF, 0xFF, 0xC0, ##  0000000000000000000000      0000000000000000000000
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '108' => {    # 'l'
        'width'    => 23, 
        'xoffset'  => 2, 
        'xadvance' => 28, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0xFF, 0xFE, 0x00, ##  000000000000000        
            0xFF, 0xFE, 0x00, ##  000000000000000        
            0xFF, 0xFE, 0x00, ##  000000000000000        
            0xFF, 0xFE, 0x00, ##  000000000000000        
            0x01, 0xFE, 0x00, ##         00000000        
            0x01, 0xFE, 0x00, ##         00000000        
            0x01, 0xFE, 0x00, ##         00000000        
            0x01, 0xFE, 0x00, ##         00000000        
            0x01, 0xFE, 0x00, ##         00000000        
            0x01, 0xFE, 0x00, ##         00000000        
            0x01, 0xFE, 0x00, ##         00000000        
            0x01, 0xFE, 0x00, ##         00000000        
            0x01, 0xFE, 0x00, ##         00000000        
            0x01, 0xFE, 0x00, ##         00000000        
            0x01, 0xFE, 0x00, ##         00000000        
            0x01, 0xFE, 0x00, ##         00000000        
            0x01, 0xFE, 0x00, ##         00000000        
            0x01, 0xFE, 0x00, ##         00000000        
            0x01, 0xFE, 0x00, ##         00000000        
            0x01, 0xFE, 0x00, ##         00000000        
            0x01, 0xFE, 0x00, ##         00000000        
            0x01, 0xFE, 0x00, ##         00000000        
            0x01, 0xFE, 0x00, ##         00000000        
            0x01, 0xFE, 0x00, ##         00000000        
            0x01, 0xFE, 0x00, ##         00000000        
            0x01, 0xFE, 0x00, ##         00000000        
            0x01, 0xFE, 0x00, ##         00000000        
            0x01, 0xFE, 0x00, ##         00000000        
            0x01, 0xFE, 0x00, ##         00000000        
            0x01, 0xFE, 0x00, ##         00000000        
            0x01, 0xFE, 0x00, ##         00000000        
            0x01, 0xFE, 0x00, ##         00000000        
            0x01, 0xFE, 0x00, ##         00000000        
            0x01, 0xFE, 0x00, ##         00000000        
            0x01, 0xFE, 0x00, ##         00000000        
            0x01, 0xFE, 0x00, ##         00000000        
            0x01, 0xFE, 0x00, ##         00000000        
            0x01, 0xFE, 0x00, ##         00000000        
            0x01, 0xFE, 0x00, ##         00000000        
            0x01, 0xFE, 0x00, ##         00000000        
            0x01, 0xFE, 0x00, ##         00000000        
            0x01, 0xFE, 0x00, ##         00000000        
            0x01, 0xFE, 0x00, ##         00000000        
            0x01, 0xFE, 0x00, ##         00000000        
            0x01, 0xFE, 0x00, ##         00000000        
            0x01, 0xFE, 0x00, ##         00000000        
            0x01, 0xFE, 0x00, ##         00000000        
            0x01, 0xFE, 0x00, ##         00000000        
            0x01, 0xFE, 0x00, ##         00000000        
            0x01, 0xFE, 0x00, ##         00000000        
            0x01, 0xFE, 0x00, ##         00000000        
            0x01, 0xFE, 0x00, ##         00000000        
            0x01, 0xFE, 0x00, ##         00000000        
            0x01, 0xFE, 0x00, ##         00000000        
            0x01, 0xFE, 0x00, ##         00000000        
            0x01, 0xFE, 0x00, ##         00000000        
            0x01, 0xFE, 0x00, ##         00000000        
            0x01, 0xFE, 0x00, ##         00000000        
            0x01, 0xFE, 0x00, ##         00000000        
            0x01, 0xFE, 0x00, ##         00000000        
            0x01, 0xFE, 0x00, ##         00000000        
            0x01, 0xFE, 0x00, ##         00000000        
            0x01, 0xFE, 0x00, ##         00000000        
            0xFF, 0xFF, 0xFE, ##  00000000000000000000000
            0xFF, 0xFF, 0xFE, ##  00000000000000000000000
            0xFF, 0xFF, 0xFE, ##  00000000000000000000000
            0xFF, 0xFF, 0xFE, ##  00000000000000000000000
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '109' => {    # 'm'
        'width'    => 77, 
        'xoffset'  => 4, 
        'xadvance' => 83, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x7F, 0x00, 0x00, 0x0F, 0xF0, 0x00, 0x00, ##                           0000000                    00000000                 
            0x00, 0x00, 0x03, 0xFF, 0xE0, 0x00, 0x7F, 0xFE, 0x00, 0x00, ##                        0000000000000              00000000000000              
            0x00, 0x00, 0x07, 0xFF, 0xF8, 0x00, 0xFF, 0xFF, 0x00, 0x00, ##  000000000000000      0000000000000000           0000000000000000             
            0x00, 0x00, 0x1F, 0xFF, 0xFC, 0x03, 0xFF, 0xFF, 0xC0, 0x00, ##  000000000000000    0000000000000000000        00000000000000000000           
            0x00, 0x00, 0x3F, 0xFF, 0xFE, 0x07, 0xFF, 0xFF, 0xC0, 0x00, ##  000000000000000   000000000000000000000      000000000000000000000           
            0x00, 0x00, 0x7F, 0xFF, 0xFF, 0x07, 0xFF, 0xFF, 0xE0, 0x00, ##  000000000000000  00000000000000000000000     0000000000000000000000          
            0x00, 0x00, 0x7C, 0x07, 0xFF, 0x0F, 0xC0, 0xFF, 0xF0, 0x00, ##         00000000  00000       00000000000    000000      000000000000         
            0x00, 0x00, 0xF0, 0x01, 0xFF, 0x9E, 0x00, 0x3F, 0xF0, 0x00, ##         00000000 0000           0000000000  0000           0000000000         
            0x00, 0x00, 0xE0, 0x00, 0xFF, 0x9C, 0x00, 0x0F, 0xF8, 0x00, ##         00000000 000             000000000  000              000000000        
            0x00, 0x00, 0xC0, 0x00, 0xFF, 0xF8, 0x00, 0x0F, 0xF8, 0x00, ##         00000000000              0000000000000               000000000        
            0x00, 0x00, 0x80, 0x00, 0x7F, 0xF8, 0x00, 0x07, 0xF8, 0x00, ##         0000000000                000000000000                00000000        
            0x00, 0x00, 0x80, 0x00, 0x7F, 0xF0, 0x00, 0x07, 0xF8, 0x00, ##         0000000000                00000000000                 00000000        
            0x00, 0x00, 0x00, 0x00, 0x7F, 0xF0, 0x00, 0x07, 0xFC, 0x00, ##         000000000                 00000000000                 000000000       
            0x00, 0x00, 0x00, 0x00, 0x3F, 0xE0, 0x00, 0x03, 0xFC, 0x00, ##         000000000                  000000000                   00000000       
            0x00, 0x00, 0x00, 0x00, 0x3F, 0xE0, 0x00, 0x03, 0xFC, 0x00, ##         000000000                  000000000                   00000000       
            0x00, 0x00, 0x00, 0x00, 0x3F, 0xE0, 0x00, 0x03, 0xFC, 0x00, ##         000000000                  000000000                   00000000       
            0x00, 0x00, 0x00, 0x00, 0x3F, 0xC0, 0x00, 0x03, 0xFC, 0x00, ##         00000000                   00000000                    00000000       
            0x00, 0x00, 0x00, 0x00, 0x3F, 0xC0, 0x00, 0x03, 0xFC, 0x00, ##         00000000                   00000000                    00000000       
            0x00, 0x00, 0x00, 0x00, 0x3F, 0xC0, 0x00, 0x03, 0xFC, 0x00, ##         00000000                   00000000                    00000000       
            0x00, 0x00, 0x00, 0x00, 0x3F, 0xC0, 0x00, 0x03, 0xFC, 0x00, ##         00000000                   00000000                    00000000       
            0x00, 0x00, 0x00, 0x00, 0x3F, 0xC0, 0x00, 0x03, 0xFC, 0x00, ##         00000000                   00000000                    00000000       
            0x00, 0x00, 0x00, 0x00, 0x3F, 0xC0, 0x00, 0x03, 0xFC, 0x00, ##         00000000                   00000000                    00000000       
            0x00, 0x00, 0x00, 0x00, 0x3F, 0xC0, 0x00, 0x03, 0xFC, 0x00, ##         00000000                   00000000                    00000000       
            0x00, 0x00, 0x00, 0x00, 0x3F, 0xC0, 0x00, 0x03, 0xFC, 0x00, ##         00000000                   00000000                    00000000       
            0x00, 0x00, 0x00, 0x00, 0x3F, 0xC0, 0x00, 0x03, 0xFC, 0x00, ##         00000000                   00000000                    00000000       
            0x00, 0x00, 0x00, 0x00, 0x3F, 0xC0, 0x00, 0x03, 0xFC, 0x00, ##         00000000                   00000000                    00000000       
            0x00, 0x00, 0x00, 0x00, 0x3F, 0xC0, 0x00, 0x03, 0xFC, 0x00, ##         00000000                   00000000                    00000000       
            0x00, 0x00, 0x00, 0x00, 0x3F, 0xC0, 0x00, 0x03, 0xFC, 0x00, ##         00000000                   00000000                    00000000       
            0x00, 0x00, 0x00, 0x00, 0x3F, 0xC0, 0x00, 0x03, 0xFC, 0x00, ##         00000000                   00000000                    00000000       
            0x00, 0x00, 0x00, 0x00, 0x3F, 0xC0, 0x00, 0x03, 0xFC, 0x00, ##         00000000                   00000000                    00000000       
            0x00, 0x00, 0x00, 0x00, 0x3F, 0xC0, 0x00, 0x03, 0xFC, 0x00, ##         00000000                   00000000                    00000000       
            0x00, 0x00, 0x00, 0x00, 0x3F, 0xC0, 0x00, 0x03, 0xFC, 0x00, ##         00000000                   00000000                    00000000       
            0x00, 0x00, 0x00, 0x00, 0x3F, 0xC0, 0x00, 0x03, 0xFC, 0x00, ##         00000000                   00000000                    00000000       
            0x00, 0x00, 0x00, 0x00, 0x3F, 0xC0, 0x00, 0x03, 0xFC, 0x00, ##         00000000                   00000000                    00000000       
            0x00, 0x00, 0x00, 0x00, 0x3F, 0xC0, 0x00, 0x03, 0xFC, 0x00, ##         00000000                   00000000                    00000000       
            0x00, 0x00, 0x00, 0x00, 0x3F, 0xC0, 0x00, 0x03, 0xFC, 0x00, ##         00000000                   00000000                    00000000       
            0x00, 0x00, 0x00, 0x00, 0x3F, 0xC0, 0x00, 0x03, 0xFC, 0x00, ##         00000000                   00000000                    00000000       
            0x00, 0x00, 0x00, 0x00, 0x3F, 0xC0, 0x00, 0x03, 0xFC, 0x00, ##         00000000                   00000000                    00000000       
            0x00, 0x00, 0x00, 0x00, 0x3F, 0xC0, 0x00, 0x03, 0xFC, 0x00, ##         00000000                   00000000                    00000000       
            0x00, 0x00, 0x00, 0x00, 0x3F, 0xC0, 0x00, 0x03, 0xFC, 0x00, ##         00000000                   00000000                    00000000       
            0x00, 0x00, 0x00, 0x00, 0x3F, 0xC0, 0x00, 0x03, 0xFC, 0x00, ##         00000000                   00000000                    00000000       
            0x00, 0x00, 0x00, 0x00, 0x3F, 0xC0, 0x00, 0x03, 0xFC, 0x00, ##         00000000                   00000000                    00000000       
            0x00, 0x00, 0x00, 0x00, 0x3F, 0xC0, 0x00, 0x03, 0xFC, 0x00, ##         00000000                   00000000                    00000000       
            0x00, 0x00, 0xFC, 0x0F, 0xFF, 0xFF, 0x81, 0xFF, 0xFF, 0xF8, ##  0000000000000000000000      000000000000000000000      0000000000000000000000
            0x00, 0x00, 0xFC, 0x0F, 0xFF, 0xFF, 0x81, 0xFF, 0xFF, 0xF8, ##  0000000000000000000000      000000000000000000000      0000000000000000000000
            0x00, 0x00, 0xFC, 0x0F, 0xFF, 0xFF, 0x81, 0xFF, 0xFF, 0xF8, ##  0000000000000000000000      000000000000000000000      0000000000000000000000
            0x00, 0x00, 0xFC, 0x0F, 0xFF, 0xFF, 0x81, 0xFF, 0xFF, 0xF8, ##  0000000000000000000000      000000000000000000000      0000000000000000000000
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '110' => {    # 'n'
        'width'    => 50, 
        'xoffset'  => 4, 
        'xadvance' => 56, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x7F, 0x80, 0x00, 0x00, ##                           00000000                 
            0x00, 0x00, 0x03, 0xFF, 0xF0, 0x00, 0x00, ##                        00000000000000              
            0xFF, 0xFE, 0x0F, 0xFF, 0xFC, 0x00, 0x00, ##  000000000000000     000000000000000000            
            0xFF, 0xFE, 0x1F, 0xFF, 0xFE, 0x00, 0x00, ##  000000000000000    00000000000000000000           
            0xFF, 0xFE, 0x3F, 0xFF, 0xFF, 0x00, 0x00, ##  000000000000000   0000000000000000000000          
            0xFF, 0xFE, 0x7F, 0xFF, 0xFF, 0x00, 0x00, ##  000000000000000  00000000000000000000000          
            0x01, 0xFE, 0x7E, 0x07, 0xFF, 0x80, 0x00, ##         00000000  000000      000000000000         
            0x01, 0xFE, 0xF0, 0x01, 0xFF, 0x80, 0x00, ##         00000000 0000           0000000000         
            0x01, 0xFF, 0xE0, 0x00, 0xFF, 0xC0, 0x00, ##         000000000000             0000000000        
            0x01, 0xFF, 0xC0, 0x00, 0x7F, 0xC0, 0x00, ##         00000000000               000000000        
            0x01, 0xFF, 0xC0, 0x00, 0x3F, 0xC0, 0x00, ##         00000000000                00000000        
            0x01, 0xFF, 0x80, 0x00, 0x3F, 0xC0, 0x00, ##         0000000000                 00000000        
            0x01, 0xFF, 0x80, 0x00, 0x3F, 0xE0, 0x00, ##         0000000000                 000000000       
            0x01, 0xFF, 0x00, 0x00, 0x3F, 0xE0, 0x00, ##         000000000                  000000000       
            0x01, 0xFF, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##         000000000                   00000000       
            0x01, 0xFF, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##         000000000                   00000000       
            0x01, 0xFE, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##         00000000                    00000000       
            0x01, 0xFE, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##         00000000                    00000000       
            0x01, 0xFE, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##         00000000                    00000000       
            0x01, 0xFE, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##         00000000                    00000000       
            0x01, 0xFE, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##         00000000                    00000000       
            0x01, 0xFE, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##         00000000                    00000000       
            0x01, 0xFE, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##         00000000                    00000000       
            0x01, 0xFE, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##         00000000                    00000000       
            0x01, 0xFE, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##         00000000                    00000000       
            0x01, 0xFE, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##         00000000                    00000000       
            0x01, 0xFE, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##         00000000                    00000000       
            0x01, 0xFE, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##         00000000                    00000000       
            0x01, 0xFE, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##         00000000                    00000000       
            0x01, 0xFE, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##         00000000                    00000000       
            0x01, 0xFE, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##         00000000                    00000000       
            0x01, 0xFE, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##         00000000                    00000000       
            0x01, 0xFE, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##         00000000                    00000000       
            0x01, 0xFE, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##         00000000                    00000000       
            0x01, 0xFE, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##         00000000                    00000000       
            0x01, 0xFE, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##         00000000                    00000000       
            0x01, 0xFE, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##         00000000                    00000000       
            0x01, 0xFE, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##         00000000                    00000000       
            0x01, 0xFE, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##         00000000                    00000000       
            0x01, 0xFE, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##         00000000                    00000000       
            0x01, 0xFE, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##         00000000                    00000000       
            0x01, 0xFE, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##         00000000                    00000000       
            0x01, 0xFE, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##         00000000                    00000000       
            0xFF, 0xFF, 0xFC, 0x0F, 0xFF, 0xFF, 0xC0, ##  0000000000000000000000      0000000000000000000000
            0xFF, 0xFF, 0xFC, 0x0F, 0xFF, 0xFF, 0xC0, ##  0000000000000000000000      0000000000000000000000
            0xFF, 0xFF, 0xFC, 0x0F, 0xFF, 0xFF, 0xC0, ##  0000000000000000000000      0000000000000000000000
            0xFF, 0xFF, 0xFC, 0x0F, 0xFF, 0xFF, 0xC0, ##  0000000000000000000000      0000000000000000000000
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '111' => {    # 'o'
        'width'    => 44, 
        'xoffset'  => 4, 
        'xadvance' => 52, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x7F, 0xE0, 0x00, 0x00, ##                   0000000000                 
            0x00, 0x07, 0xFF, 0xFE, 0x00, 0x00, ##               000000000000000000             
            0x00, 0x1F, 0xFF, 0xFF, 0x80, 0x00, ##             0000000000000000000000           
            0x00, 0x3F, 0xFF, 0xFF, 0xC0, 0x00, ##            000000000000000000000000          
            0x00, 0xFF, 0xC0, 0x3F, 0xF0, 0x00, ##          0000000000        0000000000        
            0x01, 0xFF, 0x00, 0x0F, 0xF8, 0x00, ##         000000000            000000000       
            0x03, 0xFE, 0x00, 0x07, 0xFC, 0x00, ##        000000000              000000000      
            0x07, 0xF8, 0x00, 0x03, 0xFE, 0x00, ##       00000000                 000000000     
            0x0F, 0xF8, 0x00, 0x01, 0xFF, 0x00, ##      000000000                  000000000    
            0x0F, 0xF0, 0x00, 0x00, 0xFF, 0x00, ##      00000000                    00000000    
            0x1F, 0xE0, 0x00, 0x00, 0xFF, 0x80, ##     00000000                     000000000   
            0x1F, 0xE0, 0x00, 0x00, 0x7F, 0x80, ##     00000000                      00000000   
            0x3F, 0xE0, 0x00, 0x00, 0x7F, 0xC0, ##    000000000                      000000000  
            0x3F, 0xC0, 0x00, 0x00, 0x3F, 0xC0, ##    00000000                        00000000  
            0x7F, 0xC0, 0x00, 0x00, 0x3F, 0xE0, ##   000000000                        000000000 
            0x7F, 0xC0, 0x00, 0x00, 0x3F, 0xE0, ##   000000000                        000000000 
            0x7F, 0xC0, 0x00, 0x00, 0x3F, 0xE0, ##   000000000                        000000000 
            0x7F, 0x80, 0x00, 0x00, 0x1F, 0xE0, ##   00000000                          00000000 
            0xFF, 0x80, 0x00, 0x00, 0x1F, 0xF0, ##  000000000                          000000000
            0xFF, 0x80, 0x00, 0x00, 0x1F, 0xF0, ##  000000000                          000000000
            0xFF, 0x80, 0x00, 0x00, 0x1F, 0xF0, ##  000000000                          000000000
            0xFF, 0x80, 0x00, 0x00, 0x1F, 0xF0, ##  000000000                          000000000
            0xFF, 0x80, 0x00, 0x00, 0x1F, 0xF0, ##  000000000                          000000000
            0xFF, 0x80, 0x00, 0x00, 0x1F, 0xF0, ##  000000000                          000000000
            0xFF, 0x80, 0x00, 0x00, 0x1F, 0xF0, ##  000000000                          000000000
            0xFF, 0x80, 0x00, 0x00, 0x1F, 0xF0, ##  000000000                          000000000
            0xFF, 0x80, 0x00, 0x00, 0x1F, 0xF0, ##  000000000                          000000000
            0xFF, 0x80, 0x00, 0x00, 0x1F, 0xF0, ##  000000000                          000000000
            0xFF, 0x80, 0x00, 0x00, 0x1F, 0xF0, ##  000000000                          000000000
            0xFF, 0x80, 0x00, 0x00, 0x1F, 0xF0, ##  000000000                          000000000
            0x7F, 0x80, 0x00, 0x00, 0x1F, 0xE0, ##   00000000                          00000000 
            0x7F, 0xC0, 0x00, 0x00, 0x3F, 0xE0, ##   000000000                        000000000 
            0x7F, 0xC0, 0x00, 0x00, 0x3F, 0xE0, ##   000000000                        000000000 
            0x7F, 0xC0, 0x00, 0x00, 0x3F, 0xE0, ##   000000000                        000000000 
            0x3F, 0xC0, 0x00, 0x00, 0x3F, 0xC0, ##    00000000                        00000000  
            0x3F, 0xE0, 0x00, 0x00, 0x7F, 0xC0, ##    000000000                      000000000  
            0x1F, 0xE0, 0x00, 0x00, 0x7F, 0x80, ##     00000000                      00000000   
            0x1F, 0xE0, 0x00, 0x00, 0xFF, 0x80, ##     00000000                     000000000   
            0x0F, 0xF0, 0x00, 0x00, 0xFF, 0x00, ##      00000000                    00000000    
            0x0F, 0xF8, 0x00, 0x01, 0xFF, 0x00, ##      000000000                  000000000    
            0x07, 0xF8, 0x00, 0x03, 0xFE, 0x00, ##       00000000                 000000000     
            0x03, 0xFE, 0x00, 0x07, 0xFC, 0x00, ##        000000000              000000000      
            0x01, 0xFF, 0x00, 0x0F, 0xF8, 0x00, ##         000000000            000000000       
            0x00, 0xFF, 0xC0, 0x3F, 0xF0, 0x00, ##          0000000000        0000000000        
            0x00, 0x3F, 0xFF, 0xFF, 0xC0, 0x00, ##            000000000000000000000000          
            0x00, 0x1F, 0xFF, 0xFF, 0x80, 0x00, ##             0000000000000000000000           
            0x00, 0x07, 0xFF, 0xFE, 0x00, 0x00, ##               000000000000000000             
            0x00, 0x00, 0x7F, 0xE0, 0x00, 0x00, ##                   0000000000                 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '112' => {    # 'p'
        'width'    => 49, 
        'xoffset'  => 2, 
        'xadvance' => 55, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x7F, 0xC0, 0x00, 0x00, ##                           000000000               
            0xFF, 0xFE, 0x03, 0xFF, 0xF8, 0x00, 0x00, ##  000000000000000       000000000000000            
            0xFF, 0xFE, 0x0F, 0xFF, 0xFE, 0x00, 0x00, ##  000000000000000     0000000000000000000          
            0xFF, 0xFE, 0x3F, 0xFF, 0xFF, 0x00, 0x00, ##  000000000000000   0000000000000000000000         
            0xFF, 0xFE, 0x7F, 0xFF, 0xFF, 0xC0, 0x00, ##  000000000000000  0000000000000000000000000       
            0x01, 0xFE, 0xFF, 0x01, 0xFF, 0xE0, 0x00, ##         00000000 00000000       000000000000      
            0x01, 0xFE, 0xF8, 0x00, 0x7F, 0xF0, 0x00, ##         00000000 00000            00000000000     
            0x01, 0xFF, 0xF0, 0x00, 0x1F, 0xF0, 0x00, ##         0000000000000               000000000     
            0x01, 0xFF, 0xE0, 0x00, 0x0F, 0xF8, 0x00, ##         000000000000                 000000000    
            0x01, 0xFF, 0xC0, 0x00, 0x07, 0xFC, 0x00, ##         00000000000                   000000000   
            0x01, 0xFF, 0x80, 0x00, 0x07, 0xFC, 0x00, ##         0000000000                    000000000   
            0x01, 0xFF, 0x80, 0x00, 0x03, 0xFE, 0x00, ##         0000000000                     000000000  
            0x01, 0xFF, 0x00, 0x00, 0x03, 0xFE, 0x00, ##         000000000                      000000000  
            0x01, 0xFF, 0x00, 0x00, 0x01, 0xFE, 0x00, ##         000000000                       00000000  
            0x01, 0xFF, 0x00, 0x00, 0x01, 0xFF, 0x00, ##         000000000                       000000000 
            0x01, 0xFF, 0x00, 0x00, 0x01, 0xFF, 0x00, ##         000000000                       000000000 
            0x01, 0xFE, 0x00, 0x00, 0x01, 0xFF, 0x00, ##         00000000                        000000000 
            0x01, 0xFE, 0x00, 0x00, 0x00, 0xFF, 0x00, ##         00000000                         00000000 
            0x01, 0xFE, 0x00, 0x00, 0x00, 0xFF, 0x80, ##         00000000                         000000000
            0x01, 0xFE, 0x00, 0x00, 0x00, 0xFF, 0x80, ##         00000000                         000000000
            0x01, 0xFE, 0x00, 0x00, 0x00, 0xFF, 0x80, ##         00000000                         000000000
            0x01, 0xFE, 0x00, 0x00, 0x00, 0xFF, 0x80, ##         00000000                         000000000
            0x01, 0xFE, 0x00, 0x00, 0x00, 0xFF, 0x80, ##         00000000                         000000000
            0x01, 0xFE, 0x00, 0x00, 0x00, 0xFF, 0x80, ##         00000000                         000000000
            0x01, 0xFE, 0x00, 0x00, 0x00, 0xFF, 0x80, ##         00000000                         000000000
            0x01, 0xFE, 0x00, 0x00, 0x00, 0xFF, 0x80, ##         00000000                         000000000
            0x01, 0xFE, 0x00, 0x00, 0x00, 0xFF, 0x80, ##         00000000                         000000000
            0x01, 0xFE, 0x00, 0x00, 0x00, 0xFF, 0x80, ##         00000000                         000000000
            0x01, 0xFE, 0x00, 0x00, 0x00, 0xFF, 0x80, ##         00000000                         000000000
            0x01, 0xFE, 0x00, 0x00, 0x00, 0xFF, 0x80, ##         00000000                         000000000
            0x01, 0xFE, 0x00, 0x00, 0x01, 0xFF, 0x00, ##         00000000                        000000000 
            0x01, 0xFE, 0x00, 0x00, 0x01, 0xFF, 0x00, ##         00000000                        000000000 
            0x01, 0xFF, 0x00, 0x00, 0x01, 0xFF, 0x00, ##         000000000                       000000000 
            0x01, 0xFF, 0x00, 0x00, 0x01, 0xFF, 0x00, ##         000000000                       000000000 
            0x01, 0xFF, 0x00, 0x00, 0x01, 0xFE, 0x00, ##         000000000                       00000000  
            0x01, 0xFF, 0x00, 0x00, 0x03, 0xFE, 0x00, ##         000000000                      000000000  
            0x01, 0xFF, 0x80, 0x00, 0x03, 0xFE, 0x00, ##         0000000000                     000000000  
            0x01, 0xFF, 0x80, 0x00, 0x07, 0xFC, 0x00, ##         0000000000                    000000000   
            0x01, 0xFF, 0xC0, 0x00, 0x07, 0xFC, 0x00, ##         00000000000                   000000000   
            0x01, 0xFF, 0xE0, 0x00, 0x0F, 0xF8, 0x00, ##         000000000000                 000000000    
            0x01, 0xFE, 0xF0, 0x00, 0x1F, 0xF0, 0x00, ##         00000000 0000               000000000     
            0x01, 0xFE, 0xF8, 0x00, 0x7F, 0xF0, 0x00, ##         00000000 00000            00000000000     
            0x01, 0xFE, 0x7F, 0x01, 0xFF, 0xE0, 0x00, ##         00000000  0000000       000000000000      
            0x01, 0xFE, 0x3F, 0xFF, 0xFF, 0xC0, 0x00, ##         00000000   000000000000000000000000       
            0x01, 0xFE, 0x1F, 0xFF, 0xFF, 0x00, 0x00, ##         00000000    000000000000000000000         
            0x01, 0xFE, 0x0F, 0xFF, 0xFE, 0x00, 0x00, ##         00000000     0000000000000000000          
            0x01, 0xFE, 0x03, 0xFF, 0xF8, 0x00, 0x00, ##         00000000       000000000000000            
            0x01, 0xFE, 0x00, 0x7F, 0xC0, 0x00, 0x00, ##         00000000          000000000               
            0x01, 0xFE, 0x00, 0x00, 0x00, 0x00, 0x00, ##         00000000                                  
            0x01, 0xFE, 0x00, 0x00, 0x00, 0x00, 0x00, ##         00000000                                  
            0x01, 0xFE, 0x00, 0x00, 0x00, 0x00, 0x00, ##         00000000                                  
            0x01, 0xFE, 0x00, 0x00, 0x00, 0x00, 0x00, ##         00000000                                  
            0x01, 0xFE, 0x00, 0x00, 0x00, 0x00, 0x00, ##         00000000                                  
            0x01, 0xFE, 0x00, 0x00, 0x00, 0x00, 0x00, ##         00000000                                  
            0x01, 0xFE, 0x00, 0x00, 0x00, 0x00, 0x00, ##         00000000                                  
            0x01, 0xFE, 0x00, 0x00, 0x00, 0x00, 0x00, ##         00000000                                  
            0x01, 0xFE, 0x00, 0x00, 0x00, 0x00, 0x00, ##         00000000                                  
            0x01, 0xFE, 0x00, 0x00, 0x00, 0x00, 0x00, ##         00000000                                  
            0x01, 0xFE, 0x00, 0x00, 0x00, 0x00, 0x00, ##         00000000                                  
            0x01, 0xFE, 0x00, 0x00, 0x00, 0x00, 0x00, ##         00000000                                  
            0x01, 0xFE, 0x00, 0x00, 0x00, 0x00, 0x00, ##         00000000                                  
            0xFF, 0xFF, 0xFE, 0x00, 0x00, 0x00, 0x00, ##  00000000000000000000000                          
            0xFF, 0xFF, 0xFE, 0x00, 0x00, 0x00, 0x00, ##  00000000000000000000000                          
            0xFF, 0xFF, 0xFE, 0x00, 0x00, 0x00, 0x00, ##  00000000000000000000000                          
            0xFF, 0xFF, 0xFE, 0x00, 0x00, 0x00, 0x00, ##  00000000000000000000000                          
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '113' => {    # 'q'
        'width'    => 49, 
        'xoffset'  => 4, 
        'xadvance' => 56, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x03, 0xFE, 0x00, 0x00, 0x00, 0x00, ##                000000000                          
            0x00, 0x0F, 0xFF, 0xC0, 0x7F, 0xFF, 0x80, ##              00000000000000       0000000000000000
            0x00, 0x3F, 0xFF, 0xF0, 0x7F, 0xFF, 0x80, ##            000000000000000000     0000000000000000
            0x00, 0xFF, 0xFF, 0xFC, 0x7F, 0xFF, 0x80, ##          0000000000000000000000   0000000000000000
            0x01, 0xFF, 0xFF, 0xFE, 0x7F, 0xFF, 0x80, ##         000000000000000000000000  0000000000000000
            0x03, 0xFF, 0xC0, 0x7F, 0x7F, 0x80, 0x00, ##        000000000000       0000000 00000000        
            0x07, 0xFE, 0x00, 0x1F, 0x7F, 0x80, 0x00, ##       0000000000            00000 00000000        
            0x07, 0xFC, 0x00, 0x0F, 0xFF, 0x80, 0x00, ##       000000000              0000000000000        
            0x0F, 0xF8, 0x00, 0x07, 0xFF, 0x80, 0x00, ##      000000000                000000000000        
            0x1F, 0xF0, 0x00, 0x03, 0xFF, 0x80, 0x00, ##     000000000                  00000000000        
            0x1F, 0xF0, 0x00, 0x01, 0xFF, 0x80, 0x00, ##     000000000                   0000000000        
            0x3F, 0xE0, 0x00, 0x01, 0xFF, 0x80, 0x00, ##    000000000                    0000000000        
            0x3F, 0xE0, 0x00, 0x00, 0xFF, 0x80, 0x00, ##    000000000                     000000000        
            0x3F, 0xC0, 0x00, 0x00, 0xFF, 0x80, 0x00, ##    00000000                      000000000        
            0x7F, 0xC0, 0x00, 0x00, 0xFF, 0x80, 0x00, ##   000000000                      000000000        
            0x7F, 0xC0, 0x00, 0x00, 0xFF, 0x80, 0x00, ##   000000000                      000000000        
            0x7F, 0xC0, 0x00, 0x00, 0x7F, 0x80, 0x00, ##   000000000                       00000000        
            0x7F, 0x80, 0x00, 0x00, 0x7F, 0x80, 0x00, ##   00000000                        00000000        
            0xFF, 0x80, 0x00, 0x00, 0x7F, 0x80, 0x00, ##  000000000                        00000000        
            0xFF, 0x80, 0x00, 0x00, 0x7F, 0x80, 0x00, ##  000000000                        00000000        
            0xFF, 0x80, 0x00, 0x00, 0x7F, 0x80, 0x00, ##  000000000                        00000000        
            0xFF, 0x80, 0x00, 0x00, 0x7F, 0x80, 0x00, ##  000000000                        00000000        
            0xFF, 0x80, 0x00, 0x00, 0x7F, 0x80, 0x00, ##  000000000                        00000000        
            0xFF, 0x80, 0x00, 0x00, 0x7F, 0x80, 0x00, ##  000000000                        00000000        
            0xFF, 0x80, 0x00, 0x00, 0x7F, 0x80, 0x00, ##  000000000                        00000000        
            0xFF, 0x80, 0x00, 0x00, 0x7F, 0x80, 0x00, ##  000000000                        00000000        
            0xFF, 0x80, 0x00, 0x00, 0x7F, 0x80, 0x00, ##  000000000                        00000000        
            0xFF, 0x80, 0x00, 0x00, 0x7F, 0x80, 0x00, ##  000000000                        00000000        
            0xFF, 0x80, 0x00, 0x00, 0x7F, 0x80, 0x00, ##  000000000                        00000000        
            0xFF, 0x80, 0x00, 0x00, 0x7F, 0x80, 0x00, ##  000000000                        00000000        
            0x7F, 0x80, 0x00, 0x00, 0x7F, 0x80, 0x00, ##   00000000                        00000000        
            0x7F, 0xC0, 0x00, 0x00, 0x7F, 0x80, 0x00, ##   000000000                       00000000        
            0x7F, 0xC0, 0x00, 0x00, 0xFF, 0x80, 0x00, ##   000000000                      000000000        
            0x7F, 0xC0, 0x00, 0x00, 0xFF, 0x80, 0x00, ##   000000000                      000000000        
            0x3F, 0xC0, 0x00, 0x00, 0xFF, 0x80, 0x00, ##    00000000                      000000000        
            0x3F, 0xE0, 0x00, 0x00, 0xFF, 0x80, 0x00, ##    000000000                     000000000        
            0x3F, 0xE0, 0x00, 0x01, 0xFF, 0x80, 0x00, ##    000000000                    0000000000        
            0x1F, 0xF0, 0x00, 0x01, 0xFF, 0x80, 0x00, ##     000000000                   0000000000        
            0x1F, 0xF0, 0x00, 0x03, 0xFF, 0x80, 0x00, ##     000000000                  00000000000        
            0x0F, 0xF8, 0x00, 0x07, 0xFF, 0x80, 0x00, ##      000000000                000000000000        
            0x07, 0xFC, 0x00, 0x0F, 0x7F, 0x80, 0x00, ##       000000000              0000 00000000        
            0x07, 0xFE, 0x00, 0x1F, 0x7F, 0x80, 0x00, ##       0000000000            00000 00000000        
            0x03, 0xFF, 0x80, 0x7E, 0x7F, 0x80, 0x00, ##        00000000000        000000  00000000        
            0x01, 0xFF, 0xFF, 0xFC, 0x7F, 0x80, 0x00, ##         00000000000000000000000   00000000        
            0x00, 0xFF, 0xFF, 0xF8, 0x7F, 0x80, 0x00, ##          000000000000000000000    00000000        
            0x00, 0x3F, 0xFF, 0xF0, 0x7F, 0x80, 0x00, ##            000000000000000000     00000000        
            0x00, 0x1F, 0xFF, 0xC0, 0x7F, 0x80, 0x00, ##             000000000000000       00000000        
            0x00, 0x03, 0xFE, 0x00, 0x7F, 0x80, 0x00, ##                000000000          00000000        
            0x00, 0x00, 0x00, 0x00, 0x7F, 0x80, 0x00, ##                                   00000000        
            0x00, 0x00, 0x00, 0x00, 0x7F, 0x80, 0x00, ##                                   00000000        
            0x00, 0x00, 0x00, 0x00, 0x7F, 0x80, 0x00, ##                                   00000000        
            0x00, 0x00, 0x00, 0x00, 0x7F, 0x80, 0x00, ##                                   00000000        
            0x00, 0x00, 0x00, 0x00, 0x7F, 0x80, 0x00, ##                                   00000000        
            0x00, 0x00, 0x00, 0x00, 0x7F, 0x80, 0x00, ##                                   00000000        
            0x00, 0x00, 0x00, 0x00, 0x7F, 0x80, 0x00, ##                                   00000000        
            0x00, 0x00, 0x00, 0x00, 0x7F, 0x80, 0x00, ##                                   00000000        
            0x00, 0x00, 0x00, 0x00, 0x7F, 0x80, 0x00, ##                                   00000000        
            0x00, 0x00, 0x00, 0x00, 0x7F, 0x80, 0x00, ##                                   00000000        
            0x00, 0x00, 0x00, 0x00, 0x7F, 0x80, 0x00, ##                                   00000000        
            0x00, 0x00, 0x00, 0x00, 0x7F, 0x80, 0x00, ##                                   00000000        
            0x00, 0x00, 0x00, 0x00, 0x7F, 0x80, 0x00, ##                                   00000000        
            0x00, 0x00, 0x00, 0x3F, 0xFF, 0xFF, 0x80, ##                            00000000000000000000000
            0x00, 0x00, 0x00, 0x3F, 0xFF, 0xFF, 0x80, ##                            00000000000000000000000
            0x00, 0x00, 0x00, 0x3F, 0xFF, 0xFF, 0x80, ##                            00000000000000000000000
            0x00, 0x00, 0x00, 0x3F, 0xFF, 0xFF, 0x80, ##                            00000000000000000000000
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '114' => {    # 'r'
        'width'    => 38, 
        'xoffset'  => 4, 
        'xadvance' => 42, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x7F, 0xC0, ##                           000000000    
            0x00, 0x00, 0x03, 0xFF, 0xF8, ##                        000000000000000 
            0xFF, 0xFE, 0x07, 0xFF, 0xFC, ##  000000000000000      00000000000000000
            0xFF, 0xFE, 0x1F, 0xFF, 0xFC, ##  000000000000000    0000000000000000000
            0xFF, 0xFE, 0x3F, 0xFF, 0xFC, ##  000000000000000   00000000000000000000
            0xFF, 0xFE, 0x7F, 0xFF, 0xFC, ##  000000000000000  000000000000000000000
            0x01, 0xFE, 0x7E, 0x03, 0xFC, ##         00000000  000000       00000000
            0x01, 0xFE, 0xF8, 0x01, 0xFC, ##         00000000 00000          0000000
            0x01, 0xFE, 0xE0, 0x00, 0xFC, ##         00000000 000             000000
            0x01, 0xFF, 0xC0, 0x00, 0xFC, ##         00000000000              000000
            0x01, 0xFF, 0xC0, 0x00, 0x7C, ##         00000000000               00000
            0x01, 0xFF, 0x80, 0x00, 0x7C, ##         0000000000                00000
            0x01, 0xFF, 0x80, 0x00, 0x7C, ##         0000000000                00000
            0x01, 0xFF, 0x00, 0x00, 0x00, ##         000000000                      
            0x01, 0xFF, 0x00, 0x00, 0x00, ##         000000000                      
            0x01, 0xFF, 0x00, 0x00, 0x00, ##         000000000                      
            0x01, 0xFE, 0x00, 0x00, 0x00, ##         00000000                       
            0x01, 0xFE, 0x00, 0x00, 0x00, ##         00000000                       
            0x01, 0xFE, 0x00, 0x00, 0x00, ##         00000000                       
            0x01, 0xFE, 0x00, 0x00, 0x00, ##         00000000                       
            0x01, 0xFE, 0x00, 0x00, 0x00, ##         00000000                       
            0x01, 0xFE, 0x00, 0x00, 0x00, ##         00000000                       
            0x01, 0xFE, 0x00, 0x00, 0x00, ##         00000000                       
            0x01, 0xFE, 0x00, 0x00, 0x00, ##         00000000                       
            0x01, 0xFE, 0x00, 0x00, 0x00, ##         00000000                       
            0x01, 0xFE, 0x00, 0x00, 0x00, ##         00000000                       
            0x01, 0xFE, 0x00, 0x00, 0x00, ##         00000000                       
            0x01, 0xFE, 0x00, 0x00, 0x00, ##         00000000                       
            0x01, 0xFE, 0x00, 0x00, 0x00, ##         00000000                       
            0x01, 0xFE, 0x00, 0x00, 0x00, ##         00000000                       
            0x01, 0xFE, 0x00, 0x00, 0x00, ##         00000000                       
            0x01, 0xFE, 0x00, 0x00, 0x00, ##         00000000                       
            0x01, 0xFE, 0x00, 0x00, 0x00, ##         00000000                       
            0x01, 0xFE, 0x00, 0x00, 0x00, ##         00000000                       
            0x01, 0xFE, 0x00, 0x00, 0x00, ##         00000000                       
            0x01, 0xFE, 0x00, 0x00, 0x00, ##         00000000                       
            0x01, 0xFE, 0x00, 0x00, 0x00, ##         00000000                       
            0x01, 0xFE, 0x00, 0x00, 0x00, ##         00000000                       
            0x01, 0xFE, 0x00, 0x00, 0x00, ##         00000000                       
            0x01, 0xFE, 0x00, 0x00, 0x00, ##         00000000                       
            0x01, 0xFE, 0x00, 0x00, 0x00, ##         00000000                       
            0x01, 0xFE, 0x00, 0x00, 0x00, ##         00000000                       
            0x01, 0xFE, 0x00, 0x00, 0x00, ##         00000000                       
            0xFF, 0xFF, 0xFF, 0x00, 0x00, ##  000000000000000000000000              
            0xFF, 0xFF, 0xFF, 0x00, 0x00, ##  000000000000000000000000              
            0xFF, 0xFF, 0xFF, 0x00, 0x00, ##  000000000000000000000000              
            0xFF, 0xFF, 0xFF, 0x00, 0x00, ##  000000000000000000000000              
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '115' => {    # 's'
        'width'    => 35, 
        'xoffset'  => 5, 
        'xadvance' => 44, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x0F, 0xFE, 0x00, 0x00, ##              00000000000            
            0x00, 0xFF, 0xFF, 0xE0, 0x00, ##          0000000000000000000        
            0x03, 0xFF, 0xFF, 0xFC, 0x00, ##        000000000000000000000000     
            0x07, 0xFF, 0xFF, 0xFF, 0x80, ##       0000000000000000000000000000  
            0x1F, 0xF8, 0x07, 0xFF, 0x80, ##     0000000000        000000000000  
            0x1F, 0xC0, 0x00, 0xFF, 0x80, ##     0000000              000000000  
            0x3F, 0x80, 0x00, 0x7F, 0x80, ##    0000000                00000000  
            0x7F, 0x00, 0x00, 0x3F, 0x80, ##   0000000                  0000000  
            0x7E, 0x00, 0x00, 0x1F, 0x80, ##   000000                    000000  
            0xFE, 0x00, 0x00, 0x1F, 0x80, ##  0000000                    000000  
            0xFE, 0x00, 0x00, 0x0F, 0x80, ##  0000000                     00000  
            0xFE, 0x00, 0x00, 0x0F, 0x80, ##  0000000                     00000  
            0xFE, 0x00, 0x00, 0x0F, 0x80, ##  0000000                     00000  
            0xFE, 0x00, 0x00, 0x00, 0x00, ##  0000000                            
            0xFF, 0x00, 0x00, 0x00, 0x00, ##  00000000                           
            0xFF, 0x80, 0x00, 0x00, 0x00, ##  000000000                          
            0xFF, 0xC0, 0x00, 0x00, 0x00, ##  0000000000                         
            0x7F, 0xF0, 0x00, 0x00, 0x00, ##   00000000000                       
            0x7F, 0xFC, 0x00, 0x00, 0x00, ##   0000000000000                     
            0x3F, 0xFF, 0x80, 0x00, 0x00, ##    000000000000000                  
            0x3F, 0xFF, 0xF8, 0x00, 0x00, ##    0000000000000000000              
            0x1F, 0xFF, 0xFF, 0x00, 0x00, ##     000000000000000000000           
            0x07, 0xFF, 0xFF, 0xC0, 0x00, ##       000000000000000000000         
            0x03, 0xFF, 0xFF, 0xF0, 0x00, ##        0000000000000000000000       
            0x00, 0xFF, 0xFF, 0xFC, 0x00, ##          0000000000000000000000     
            0x00, 0x1F, 0xFF, 0xFE, 0x00, ##             00000000000000000000    
            0x00, 0x03, 0xFF, 0xFF, 0x00, ##                000000000000000000   
            0x00, 0x00, 0x7F, 0xFF, 0x80, ##                   0000000000000000  
            0x00, 0x00, 0x0F, 0xFF, 0xC0, ##                      00000000000000 
            0x00, 0x00, 0x03, 0xFF, 0xC0, ##                        000000000000 
            0x00, 0x00, 0x00, 0xFF, 0xE0, ##                          00000000000
            0x00, 0x00, 0x00, 0x7F, 0xE0, ##                           0000000000
            0x00, 0x00, 0x00, 0x3F, 0xE0, ##                            000000000
            0x00, 0x00, 0x00, 0x1F, 0xE0, ##                             00000000
            0xF8, 0x00, 0x00, 0x1F, 0xE0, ##  00000                      00000000
            0xF8, 0x00, 0x00, 0x1F, 0xE0, ##  00000                      00000000
            0xF8, 0x00, 0x00, 0x1F, 0xE0, ##  00000                      00000000
            0xF8, 0x00, 0x00, 0x1F, 0xE0, ##  00000                      00000000
            0xFC, 0x00, 0x00, 0x1F, 0xC0, ##  000000                     0000000 
            0xFC, 0x00, 0x00, 0x3F, 0xC0, ##  000000                    00000000 
            0xFE, 0x00, 0x00, 0x3F, 0x80, ##  0000000                   0000000  
            0xFF, 0x00, 0x00, 0x7F, 0x80, ##  00000000                 00000000  
            0xFF, 0x80, 0x00, 0xFF, 0x00, ##  000000000               00000000   
            0xFF, 0xF0, 0x07, 0xFE, 0x00, ##  000000000000         0000000000    
            0xFF, 0xFF, 0xFF, 0xFC, 0x00, ##  000000000000000000000000000000     
            0x1F, 0xFF, 0xFF, 0xF0, 0x00, ##     0000000000000000000000000       
            0x03, 0xFF, 0xFF, 0xC0, 0x00, ##        00000000000000000000         
            0x00, 0x3F, 0xFE, 0x00, 0x00, ##            0000000000000            
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '116' => {    # 't'
        'width'    => 31, 
        'xoffset'  => 2, 
        'xadvance' => 34, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x03, 0xFC, 0x00, 0x00, ##        00000000                 
            0x03, 0xFC, 0x00, 0x00, ##        00000000                 
            0x03, 0xFC, 0x00, 0x00, ##        00000000                 
            0x03, 0xFC, 0x00, 0x00, ##        00000000                 
            0x03, 0xFC, 0x00, 0x00, ##        00000000                 
            0x03, 0xFC, 0x00, 0x00, ##        00000000                 
            0x03, 0xFC, 0x00, 0x00, ##        00000000                 
            0x03, 0xFC, 0x00, 0x00, ##        00000000                 
            0x03, 0xFC, 0x00, 0x00, ##        00000000                 
            0x03, 0xFC, 0x00, 0x00, ##        00000000                 
            0x03, 0xFC, 0x00, 0x00, ##        00000000                 
            0x03, 0xFC, 0x00, 0x00, ##        00000000                 
            0x03, 0xFC, 0x00, 0x00, ##        00000000                 
            0x03, 0xFC, 0x00, 0x00, ##        00000000                 
            0xFF, 0xFF, 0xFF, 0xF8, ##  00000000000000000000000000000  
            0xFF, 0xFF, 0xFF, 0xF8, ##  00000000000000000000000000000  
            0xFF, 0xFF, 0xFF, 0xF8, ##  00000000000000000000000000000  
            0xFF, 0xFF, 0xFF, 0xF8, ##  00000000000000000000000000000  
            0x03, 0xFC, 0x00, 0x00, ##        00000000                 
            0x03, 0xFC, 0x00, 0x00, ##        00000000                 
            0x03, 0xFC, 0x00, 0x00, ##        00000000                 
            0x03, 0xFC, 0x00, 0x00, ##        00000000                 
            0x03, 0xFC, 0x00, 0x00, ##        00000000                 
            0x03, 0xFC, 0x00, 0x00, ##        00000000                 
            0x03, 0xFC, 0x00, 0x00, ##        00000000                 
            0x03, 0xFC, 0x00, 0x00, ##        00000000                 
            0x03, 0xFC, 0x00, 0x00, ##        00000000                 
            0x03, 0xFC, 0x00, 0x00, ##        00000000                 
            0x03, 0xFC, 0x00, 0x00, ##        00000000                 
            0x03, 0xFC, 0x00, 0x00, ##        00000000                 
            0x03, 0xFC, 0x00, 0x00, ##        00000000                 
            0x03, 0xFC, 0x00, 0x00, ##        00000000                 
            0x03, 0xFC, 0x00, 0x00, ##        00000000                 
            0x03, 0xFC, 0x00, 0x00, ##        00000000                 
            0x03, 0xFC, 0x00, 0x00, ##        00000000                 
            0x03, 0xFC, 0x00, 0x00, ##        00000000                 
            0x03, 0xFC, 0x00, 0x00, ##        00000000                 
            0x03, 0xFC, 0x00, 0x00, ##        00000000                 
            0x03, 0xFC, 0x00, 0x00, ##        00000000                 
            0x03, 0xFC, 0x00, 0x00, ##        00000000                 
            0x03, 0xFC, 0x00, 0x00, ##        00000000                 
            0x03, 0xFC, 0x00, 0x00, ##        00000000                 
            0x03, 0xFC, 0x00, 0x00, ##        00000000                 
            0x03, 0xFC, 0x00, 0x00, ##        00000000                 
            0x03, 0xFC, 0x00, 0x00, ##        00000000                 
            0x03, 0xFC, 0x00, 0x00, ##        00000000                 
            0x03, 0xFC, 0x00, 0x00, ##        00000000                 
            0x03, 0xFC, 0x00, 0x00, ##        00000000                 
            0x03, 0xFC, 0x00, 0x00, ##        00000000                 
            0x03, 0xFC, 0x00, 0x7E, ##        00000000           000000
            0x03, 0xFC, 0x00, 0x7E, ##        00000000           000000
            0x03, 0xFC, 0x00, 0x7E, ##        00000000           000000
            0x03, 0xFC, 0x00, 0x7E, ##        00000000           000000
            0x01, 0xFC, 0x00, 0xFC, ##         0000000          000000 
            0x01, 0xFE, 0x00, 0xFC, ##         00000000         000000 
            0x01, 0xFE, 0x01, 0xFC, ##         00000000        0000000 
            0x00, 0xFF, 0x03, 0xF8, ##          00000000      0000000  
            0x00, 0xFF, 0xFF, 0xF8, ##          000000000000000000000  
            0x00, 0x7F, 0xFF, 0xF0, ##           0000000000000000000   
            0x00, 0x1F, 0xFF, 0xC0, ##             000000000000000     
            0x00, 0x03, 0xFE, 0x00, ##                000000000        
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '117' => {    # 'u'
        'width'    => 51, 
        'xoffset'  => 2, 
        'xadvance' => 56, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0xFF, 0xFE, 0x00, 0x0F, 0xFF, 0xE0, 0x00, ##  000000000000000             000000000000000        
            0xFF, 0xFE, 0x00, 0x0F, 0xFF, 0xE0, 0x00, ##  000000000000000             000000000000000        
            0xFF, 0xFE, 0x00, 0x0F, 0xFF, 0xE0, 0x00, ##  000000000000000             000000000000000        
            0xFF, 0xFE, 0x00, 0x0F, 0xFF, 0xE0, 0x00, ##  000000000000000             000000000000000        
            0x01, 0xFE, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##         00000000                    00000000        
            0x01, 0xFE, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##         00000000                    00000000        
            0x01, 0xFE, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##         00000000                    00000000        
            0x01, 0xFE, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##         00000000                    00000000        
            0x01, 0xFE, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##         00000000                    00000000        
            0x01, 0xFE, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##         00000000                    00000000        
            0x01, 0xFE, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##         00000000                    00000000        
            0x01, 0xFE, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##         00000000                    00000000        
            0x01, 0xFE, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##         00000000                    00000000        
            0x01, 0xFE, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##         00000000                    00000000        
            0x01, 0xFE, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##         00000000                    00000000        
            0x01, 0xFE, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##         00000000                    00000000        
            0x01, 0xFE, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##         00000000                    00000000        
            0x01, 0xFE, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##         00000000                    00000000        
            0x01, 0xFE, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##         00000000                    00000000        
            0x01, 0xFE, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##         00000000                    00000000        
            0x01, 0xFE, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##         00000000                    00000000        
            0x01, 0xFE, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##         00000000                    00000000        
            0x01, 0xFE, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##         00000000                    00000000        
            0x01, 0xFE, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##         00000000                    00000000        
            0x01, 0xFE, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##         00000000                    00000000        
            0x01, 0xFE, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##         00000000                    00000000        
            0x01, 0xFE, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##         00000000                    00000000        
            0x01, 0xFE, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##         00000000                    00000000        
            0x01, 0xFE, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##         00000000                    00000000        
            0x01, 0xFE, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##         00000000                    00000000        
            0x01, 0xFE, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##         00000000                    00000000        
            0x01, 0xFE, 0x00, 0x00, 0x3F, 0xE0, 0x00, ##         00000000                   000000000        
            0x01, 0xFE, 0x00, 0x00, 0x3F, 0xE0, 0x00, ##         00000000                   000000000        
            0x01, 0xFE, 0x00, 0x00, 0x3F, 0xE0, 0x00, ##         00000000                   000000000        
            0x01, 0xFF, 0x00, 0x00, 0x7F, 0xE0, 0x00, ##         000000000                 0000000000        
            0x00, 0xFF, 0x00, 0x00, 0x7F, 0xE0, 0x00, ##          00000000                 0000000000        
            0x00, 0xFF, 0x00, 0x00, 0xFF, 0xE0, 0x00, ##          00000000                00000000000        
            0x00, 0xFF, 0x80, 0x00, 0xFF, 0xE0, 0x00, ##          000000000               00000000000        
            0x00, 0xFF, 0x80, 0x01, 0xDF, 0xE0, 0x00, ##          000000000              000 00000000        
            0x00, 0x7F, 0xC0, 0x03, 0xDF, 0xE0, 0x00, ##           000000000            0000 00000000        
            0x00, 0x7F, 0xF0, 0x1F, 0x9F, 0xE0, 0x00, ##           00000000000       000000  00000000        
            0x00, 0x3F, 0xFF, 0xFF, 0x9F, 0xFF, 0xE0, ##            00000000000000000000000  0000000000000000
            0x00, 0x3F, 0xFF, 0xFF, 0x1F, 0xFF, 0xE0, ##            0000000000000000000000   0000000000000000
            0x00, 0x1F, 0xFF, 0xFE, 0x1F, 0xFF, 0xE0, ##             00000000000000000000    0000000000000000
            0x00, 0x0F, 0xFF, 0xFC, 0x1F, 0xFF, 0xE0, ##              000000000000000000     0000000000000000
            0x00, 0x03, 0xFF, 0xF0, 0x00, 0x00, 0x00, ##                00000000000000                       
            0x00, 0x00, 0x7F, 0x80, 0x00, 0x00, 0x00, ##                   00000000                          
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '118' => {    # 'v'
        'width'    => 49, 
        'xoffset'  => 0, 
        'xadvance' => 50, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0xFF, 0xFF, 0xF8, 0x00, 0xFF, 0xFF, 0x80, ##  000000000000000000000           00000000000000000
            0xFF, 0xFF, 0xF8, 0x00, 0xFF, 0xFF, 0x80, ##  000000000000000000000           00000000000000000
            0xFF, 0xFF, 0xF8, 0x00, 0xFF, 0xFF, 0x80, ##  000000000000000000000           00000000000000000
            0xFF, 0xFF, 0xF8, 0x00, 0xFF, 0xFF, 0x80, ##  000000000000000000000           00000000000000000
            0x07, 0xFC, 0x00, 0x00, 0x01, 0xF0, 0x00, ##       000000000                         00000     
            0x03, 0xFC, 0x00, 0x00, 0x03, 0xE0, 0x00, ##        00000000                        00000      
            0x03, 0xFE, 0x00, 0x00, 0x03, 0xE0, 0x00, ##        000000000                       00000      
            0x01, 0xFE, 0x00, 0x00, 0x07, 0xE0, 0x00, ##         00000000                      000000      
            0x01, 0xFF, 0x00, 0x00, 0x07, 0xC0, 0x00, ##         000000000                     00000       
            0x01, 0xFF, 0x00, 0x00, 0x07, 0xC0, 0x00, ##         000000000                     00000       
            0x00, 0xFF, 0x00, 0x00, 0x0F, 0x80, 0x00, ##          00000000                    00000        
            0x00, 0xFF, 0x80, 0x00, 0x0F, 0x80, 0x00, ##          000000000                   00000        
            0x00, 0x7F, 0x80, 0x00, 0x1F, 0x80, 0x00, ##           00000000                  000000        
            0x00, 0x7F, 0xC0, 0x00, 0x1F, 0x00, 0x00, ##           000000000                 00000         
            0x00, 0x7F, 0xC0, 0x00, 0x1F, 0x00, 0x00, ##           000000000                 00000         
            0x00, 0x3F, 0xC0, 0x00, 0x3E, 0x00, 0x00, ##            00000000                00000          
            0x00, 0x3F, 0xE0, 0x00, 0x3E, 0x00, 0x00, ##            000000000               00000          
            0x00, 0x1F, 0xE0, 0x00, 0x7E, 0x00, 0x00, ##             00000000              000000          
            0x00, 0x1F, 0xF0, 0x00, 0x7C, 0x00, 0x00, ##             000000000             00000           
            0x00, 0x0F, 0xF0, 0x00, 0x7C, 0x00, 0x00, ##              00000000             00000           
            0x00, 0x0F, 0xF0, 0x00, 0xF8, 0x00, 0x00, ##              00000000            00000            
            0x00, 0x0F, 0xF8, 0x00, 0xF8, 0x00, 0x00, ##              000000000           00000            
            0x00, 0x07, 0xF8, 0x01, 0xF8, 0x00, 0x00, ##               00000000          000000            
            0x00, 0x07, 0xFC, 0x01, 0xF0, 0x00, 0x00, ##               000000000         00000             
            0x00, 0x03, 0xFC, 0x01, 0xF0, 0x00, 0x00, ##                00000000         00000             
            0x00, 0x03, 0xFC, 0x03, 0xE0, 0x00, 0x00, ##                00000000        00000              
            0x00, 0x03, 0xFE, 0x03, 0xE0, 0x00, 0x00, ##                000000000       00000              
            0x00, 0x01, 0xFE, 0x07, 0xE0, 0x00, 0x00, ##                 00000000      000000              
            0x00, 0x01, 0xFF, 0x07, 0xC0, 0x00, 0x00, ##                 000000000     00000               
            0x00, 0x00, 0xFF, 0x07, 0xC0, 0x00, 0x00, ##                  00000000     00000               
            0x00, 0x00, 0xFF, 0x0F, 0x80, 0x00, 0x00, ##                  00000000    00000                
            0x00, 0x00, 0xFF, 0x8F, 0x80, 0x00, 0x00, ##                  000000000   00000                
            0x00, 0x00, 0x7F, 0x9F, 0x80, 0x00, 0x00, ##                   00000000  000000                
            0x00, 0x00, 0x7F, 0xDF, 0x00, 0x00, 0x00, ##                   000000000 00000                 
            0x00, 0x00, 0x3F, 0xDF, 0x00, 0x00, 0x00, ##                    00000000 00000                 
            0x00, 0x00, 0x3F, 0xFE, 0x00, 0x00, 0x00, ##                    0000000000000                  
            0x00, 0x00, 0x3F, 0xFE, 0x00, 0x00, 0x00, ##                    0000000000000                  
            0x00, 0x00, 0x1F, 0xFC, 0x00, 0x00, 0x00, ##                     00000000000                   
            0x00, 0x00, 0x1F, 0xFC, 0x00, 0x00, 0x00, ##                     00000000000                   
            0x00, 0x00, 0x0F, 0xFC, 0x00, 0x00, 0x00, ##                      0000000000                   
            0x00, 0x00, 0x0F, 0xF8, 0x00, 0x00, 0x00, ##                      000000000                    
            0x00, 0x00, 0x07, 0xF8, 0x00, 0x00, 0x00, ##                       00000000                    
            0x00, 0x00, 0x07, 0xF0, 0x00, 0x00, 0x00, ##                       0000000                     
            0x00, 0x00, 0x07, 0xF0, 0x00, 0x00, 0x00, ##                       0000000                     
            0x00, 0x00, 0x03, 0xF0, 0x00, 0x00, 0x00, ##                        000000                     
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '119' => {    # 'w'
        'width'    => 72, 
        'xoffset'  => 1, 
        'xadvance' => 74, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0xFF, 0xF0, 0x00, 0x1F, 0x80, 0x00, 0xFF, 0xFF, ##  00000000000000000000               000000               0000000000000000
            0x00, 0xFF, 0xF0, 0x00, 0x3F, 0x80, 0x00, 0xFF, 0xFF, ##  00000000000000000000              0000000               0000000000000000
            0x00, 0xFF, 0xF0, 0x00, 0x3F, 0x80, 0x00, 0xFF, 0xFF, ##  00000000000000000000              0000000               0000000000000000
            0x00, 0xFF, 0xF0, 0x00, 0x3F, 0xC0, 0x00, 0xFF, 0xFF, ##  00000000000000000000              00000000              0000000000000000
            0x00, 0xF8, 0x00, 0x00, 0x7F, 0xC0, 0x00, 0x03, 0xE0, ##       00000000                    000000000                    00000     
            0x00, 0xF8, 0x00, 0x00, 0x7F, 0xC0, 0x00, 0x03, 0xE0, ##       00000000                    000000000                    00000     
            0x00, 0xFC, 0x00, 0x00, 0x7F, 0xE0, 0x00, 0x03, 0xC0, ##        00000000                   0000000000                   0000      
            0x00, 0xFC, 0x00, 0x00, 0xFF, 0xE0, 0x00, 0x07, 0xC0, ##        00000000                  00000000000                  00000      
            0x00, 0xFC, 0x00, 0x00, 0xFF, 0xE0, 0x00, 0x07, 0xC0, ##        00000000                  00000000000                  00000      
            0x00, 0xFE, 0x00, 0x00, 0xFF, 0xF0, 0x00, 0x07, 0x80, ##         00000000                 000000000000                 0000       
            0x00, 0xFE, 0x00, 0x01, 0xFF, 0xF0, 0x00, 0x0F, 0x80, ##         00000000                0000000000000                00000       
            0x00, 0xFE, 0x00, 0x01, 0xFF, 0xF0, 0x00, 0x0F, 0x80, ##         00000000                0000000000000                00000       
            0x00, 0xFF, 0x00, 0x01, 0xEF, 0xF8, 0x00, 0x0F, 0x00, ##          00000000               0000 000000000               0000        
            0x00, 0xFF, 0x00, 0x03, 0xE7, 0xF8, 0x00, 0x1F, 0x00, ##          00000000              00000  00000000              00000        
            0x00, 0xFF, 0x00, 0x03, 0xE7, 0xF8, 0x00, 0x1F, 0x00, ##          00000000              00000  00000000              00000        
            0x00, 0x7F, 0x80, 0x03, 0xC7, 0xFC, 0x00, 0x1E, 0x00, ##           00000000             0000   000000000             0000         
            0x00, 0x7F, 0x80, 0x07, 0xC3, 0xFC, 0x00, 0x3E, 0x00, ##           00000000            00000    00000000            00000         
            0x00, 0x7F, 0x80, 0x07, 0xC3, 0xFC, 0x00, 0x3E, 0x00, ##           00000000            00000    00000000            00000         
            0x00, 0x3F, 0xC0, 0x0F, 0x83, 0xFE, 0x00, 0x3C, 0x00, ##            00000000          00000     000000000           0000          
            0x00, 0x3F, 0xC0, 0x0F, 0x81, 0xFE, 0x00, 0x7C, 0x00, ##            00000000          00000      00000000          00000          
            0x00, 0x3F, 0xC0, 0x0F, 0x81, 0xFE, 0x00, 0x7C, 0x00, ##            00000000          00000      00000000          00000          
            0x00, 0x1F, 0xE0, 0x1F, 0x01, 0xFF, 0x00, 0x78, 0x00, ##             00000000        00000       000000000         0000           
            0x00, 0x1F, 0xE0, 0x1F, 0x00, 0xFF, 0x00, 0xF8, 0x00, ##             00000000        00000        00000000        00000           
            0x00, 0x1F, 0xE0, 0x1F, 0x00, 0xFF, 0x00, 0xF8, 0x00, ##             00000000        00000        00000000        00000           
            0x00, 0x0F, 0xE0, 0x3E, 0x00, 0xFF, 0x80, 0xF0, 0x00, ##              0000000       00000         000000000       0000            
            0x00, 0x0F, 0xF0, 0x3E, 0x00, 0x7F, 0x81, 0xF0, 0x00, ##              00000000      00000          00000000      00000            
            0x00, 0x0F, 0xF0, 0x3E, 0x00, 0x7F, 0x81, 0xF0, 0x00, ##              00000000      00000          00000000      00000            
            0x00, 0x0F, 0xF0, 0x7C, 0x00, 0x7F, 0xC1, 0xF0, 0x00, ##              00000000     00000           000000000     00000            
            0x00, 0x07, 0xF8, 0x7C, 0x00, 0x3F, 0xC3, 0xE0, 0x00, ##               00000000    00000            00000000    00000             
            0x00, 0x07, 0xF8, 0x7C, 0x00, 0x3F, 0xC3, 0xE0, 0x00, ##               00000000    00000            00000000    00000             
            0x00, 0x07, 0xF8, 0xF8, 0x00, 0x3F, 0xE3, 0xE0, 0x00, ##               00000000   00000             000000000   00000             
            0x00, 0x03, 0xFC, 0xF8, 0x00, 0x1F, 0xE7, 0xC0, 0x00, ##                00000000  00000              00000000  00000              
            0x00, 0x03, 0xFC, 0xF8, 0x00, 0x1F, 0xE7, 0xC0, 0x00, ##                00000000  00000              00000000  00000              
            0x00, 0x03, 0xFD, 0xF0, 0x00, 0x1F, 0xF7, 0xC0, 0x00, ##                00000000 00000               000000000 00000              
            0x00, 0x01, 0xFF, 0xF0, 0x00, 0x0F, 0xFF, 0x80, 0x00, ##                 0000000000000                0000000000000               
            0x00, 0x01, 0xFF, 0xF0, 0x00, 0x0F, 0xFF, 0x80, 0x00, ##                 0000000000000                0000000000000               
            0x00, 0x01, 0xFF, 0xE0, 0x00, 0x0F, 0xFF, 0x80, 0x00, ##                 000000000000                 0000000000000               
            0x00, 0x00, 0xFF, 0xE0, 0x00, 0x07, 0xFF, 0x00, 0x00, ##                  00000000000                  00000000000                
            0x00, 0x00, 0xFF, 0xE0, 0x00, 0x07, 0xFF, 0x00, 0x00, ##                  00000000000                  00000000000                
            0x00, 0x00, 0xFF, 0xC0, 0x00, 0x07, 0xFF, 0x00, 0x00, ##                  0000000000                   00000000000                
            0x00, 0x00, 0x7F, 0xC0, 0x00, 0x03, 0xFE, 0x00, 0x00, ##                   000000000                    000000000                 
            0x00, 0x00, 0x7F, 0xC0, 0x00, 0x03, 0xFE, 0x00, 0x00, ##                   000000000                    000000000                 
            0x00, 0x00, 0x7F, 0x80, 0x00, 0x03, 0xFE, 0x00, 0x00, ##                   00000000                     000000000                 
            0x00, 0x00, 0x3F, 0x80, 0x00, 0x01, 0xFC, 0x00, 0x00, ##                    0000000                      0000000                  
            0x00, 0x00, 0x3F, 0x80, 0x00, 0x01, 0xFC, 0x00, 0x00, ##                    0000000                      0000000                  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '120' => {    # 'x'
        'width'    => 47, 
        'xoffset'  => 1, 
        'xadvance' => 49, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0xFF, 0xFF, 0xF0, 0x0F, 0xFF, 0xF8, ##  00000000000000000000        00000000000000000  
            0xFF, 0xFF, 0xF0, 0x0F, 0xFF, 0xF8, ##  00000000000000000000        00000000000000000  
            0xFF, 0xFF, 0xF0, 0x0F, 0xFF, 0xF8, ##  00000000000000000000        00000000000000000  
            0xFF, 0xFF, 0xF0, 0x0F, 0xFF, 0xF8, ##  00000000000000000000        00000000000000000  
            0x03, 0xFE, 0x00, 0x00, 0x3E, 0x00, ##        000000000                   00000        
            0x01, 0xFF, 0x00, 0x00, 0x7C, 0x00, ##         000000000                 00000         
            0x01, 0xFF, 0x80, 0x00, 0xF8, 0x00, ##         0000000000               00000          
            0x00, 0xFF, 0x80, 0x01, 0xF8, 0x00, ##          000000000              000000          
            0x00, 0x7F, 0xC0, 0x01, 0xF0, 0x00, ##           000000000             00000           
            0x00, 0x7F, 0xE0, 0x03, 0xE0, 0x00, ##           0000000000           00000            
            0x00, 0x3F, 0xF0, 0x07, 0xE0, 0x00, ##            0000000000         000000            
            0x00, 0x1F, 0xF0, 0x0F, 0xC0, 0x00, ##             000000000        000000             
            0x00, 0x0F, 0xF8, 0x0F, 0x80, 0x00, ##              000000000       00000              
            0x00, 0x0F, 0xFC, 0x1F, 0x00, 0x00, ##              0000000000     00000               
            0x00, 0x07, 0xFC, 0x3F, 0x00, 0x00, ##               000000000    000000               
            0x00, 0x03, 0xFE, 0x3E, 0x00, 0x00, ##                000000000   00000                
            0x00, 0x03, 0xFF, 0x7C, 0x00, 0x00, ##                0000000000 00000                 
            0x00, 0x01, 0xFF, 0xFC, 0x00, 0x00, ##                 000000000000000                 
            0x00, 0x00, 0xFF, 0xF8, 0x00, 0x00, ##                  0000000000000                  
            0x00, 0x00, 0xFF, 0xF0, 0x00, 0x00, ##                  000000000000                   
            0x00, 0x00, 0x7F, 0xF0, 0x00, 0x00, ##                   00000000000                   
            0x00, 0x00, 0x3F, 0xE0, 0x00, 0x00, ##                    000000000                    
            0x00, 0x00, 0x1F, 0xF0, 0x00, 0x00, ##                     000000000                   
            0x00, 0x00, 0x1F, 0xF8, 0x00, 0x00, ##                     0000000000                  
            0x00, 0x00, 0x3F, 0xF8, 0x00, 0x00, ##                    00000000000                  
            0x00, 0x00, 0x3F, 0xFC, 0x00, 0x00, ##                    000000000000                 
            0x00, 0x00, 0x7F, 0xFE, 0x00, 0x00, ##                   00000000000000                
            0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, ##                  0000000000000000               
            0x00, 0x00, 0xF9, 0xFF, 0x00, 0x00, ##                  00000  000000000               
            0x00, 0x01, 0xF0, 0xFF, 0x80, 0x00, ##                 00000    000000000              
            0x00, 0x03, 0xF0, 0xFF, 0xC0, 0x00, ##                000000    0000000000             
            0x00, 0x03, 0xE0, 0x7F, 0xC0, 0x00, ##                00000      000000000             
            0x00, 0x07, 0xC0, 0x3F, 0xE0, 0x00, ##               00000        000000000            
            0x00, 0x0F, 0x80, 0x1F, 0xF0, 0x00, ##              00000          000000000           
            0x00, 0x1F, 0x80, 0x1F, 0xF8, 0x00, ##             000000          0000000000          
            0x00, 0x1F, 0x00, 0x0F, 0xF8, 0x00, ##             00000            000000000          
            0x00, 0x3E, 0x00, 0x07, 0xFC, 0x00, ##            00000              000000000         
            0x00, 0x7E, 0x00, 0x07, 0xFE, 0x00, ##           000000              0000000000        
            0x00, 0x7C, 0x00, 0x03, 0xFE, 0x00, ##           00000                000000000        
            0x00, 0xF8, 0x00, 0x01, 0xFF, 0x00, ##          00000                  000000000       
            0x01, 0xF8, 0x00, 0x00, 0xFF, 0x80, ##         000000                   000000000      
            0x7F, 0xFF, 0xC0, 0x3F, 0xFF, 0xFE, ##   00000000000000000        000000000000000000000
            0x7F, 0xFF, 0xC0, 0x3F, 0xFF, 0xFE, ##   00000000000000000        000000000000000000000
            0x7F, 0xFF, 0xC0, 0x3F, 0xFF, 0xFE, ##   00000000000000000        000000000000000000000
            0x7F, 0xFF, 0xC0, 0x3F, 0xFF, 0xFE, ##   00000000000000000        000000000000000000000
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '121' => {    # 'y'
        'width'    => 49, 
        'xoffset'  => 0, 
        'xadvance' => 50, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0xFF, 0xFF, 0xF8, 0x00, 0xFF, 0xFF, 0x80, ##  000000000000000000000           00000000000000000
            0xFF, 0xFF, 0xF8, 0x00, 0xFF, 0xFF, 0x80, ##  000000000000000000000           00000000000000000
            0xFF, 0xFF, 0xF8, 0x00, 0xFF, 0xFF, 0x80, ##  000000000000000000000           00000000000000000
            0xFF, 0xFF, 0xF8, 0x00, 0xFF, 0xFF, 0x80, ##  000000000000000000000           00000000000000000
            0x07, 0xFC, 0x00, 0x00, 0x01, 0xF0, 0x00, ##       000000000                         00000     
            0x03, 0xFC, 0x00, 0x00, 0x03, 0xE0, 0x00, ##        00000000                        00000      
            0x03, 0xFE, 0x00, 0x00, 0x03, 0xE0, 0x00, ##        000000000                       00000      
            0x01, 0xFE, 0x00, 0x00, 0x07, 0xE0, 0x00, ##         00000000                      000000      
            0x01, 0xFE, 0x00, 0x00, 0x07, 0xC0, 0x00, ##         00000000                      00000       
            0x01, 0xFF, 0x00, 0x00, 0x07, 0xC0, 0x00, ##         000000000                     00000       
            0x00, 0xFF, 0x00, 0x00, 0x0F, 0x80, 0x00, ##          00000000                    00000        
            0x00, 0xFF, 0x80, 0x00, 0x0F, 0x80, 0x00, ##          000000000                   00000        
            0x00, 0x7F, 0x80, 0x00, 0x1F, 0x80, 0x00, ##           00000000                  000000        
            0x00, 0x7F, 0x80, 0x00, 0x1F, 0x00, 0x00, ##           00000000                  00000         
            0x00, 0x7F, 0xC0, 0x00, 0x1F, 0x00, 0x00, ##           000000000                 00000         
            0x00, 0x3F, 0xC0, 0x00, 0x3E, 0x00, 0x00, ##            00000000                00000          
            0x00, 0x3F, 0xE0, 0x00, 0x3E, 0x00, 0x00, ##            000000000               00000          
            0x00, 0x1F, 0xE0, 0x00, 0x7E, 0x00, 0x00, ##             00000000              000000          
            0x00, 0x1F, 0xE0, 0x00, 0x7C, 0x00, 0x00, ##             00000000              00000           
            0x00, 0x1F, 0xF0, 0x00, 0x7C, 0x00, 0x00, ##             000000000             00000           
            0x00, 0x0F, 0xF0, 0x00, 0xF8, 0x00, 0x00, ##              00000000            00000            
            0x00, 0x0F, 0xF8, 0x00, 0xF8, 0x00, 0x00, ##              000000000           00000            
            0x00, 0x07, 0xF8, 0x00, 0xF8, 0x00, 0x00, ##               00000000           00000            
            0x00, 0x07, 0xF8, 0x01, 0xF0, 0x00, 0x00, ##               00000000          00000             
            0x00, 0x07, 0xFC, 0x01, 0xF0, 0x00, 0x00, ##               000000000         00000             
            0x00, 0x03, 0xFC, 0x03, 0xE0, 0x00, 0x00, ##                00000000        00000              
            0x00, 0x03, 0xFE, 0x03, 0xE0, 0x00, 0x00, ##                000000000       00000              
            0x00, 0x01, 0xFE, 0x03, 0xE0, 0x00, 0x00, ##                 00000000       00000              
            0x00, 0x01, 0xFE, 0x07, 0xC0, 0x00, 0x00, ##                 00000000      00000               
            0x00, 0x01, 0xFF, 0x07, 0xC0, 0x00, 0x00, ##                 000000000     00000               
            0x00, 0x00, 0xFF, 0x0F, 0x80, 0x00, 0x00, ##                  00000000    00000                
            0x00, 0x00, 0xFF, 0x8F, 0x80, 0x00, 0x00, ##                  000000000   00000                
            0x00, 0x00, 0xFF, 0x8F, 0x80, 0x00, 0x00, ##                  000000000   00000                
            0x00, 0x00, 0x7F, 0x9F, 0x00, 0x00, 0x00, ##                   00000000  00000                 
            0x00, 0x00, 0x7F, 0xDF, 0x00, 0x00, 0x00, ##                   000000000 00000                 
            0x00, 0x00, 0x3F, 0xFE, 0x00, 0x00, 0x00, ##                    0000000000000                  
            0x00, 0x00, 0x3F, 0xFE, 0x00, 0x00, 0x00, ##                    0000000000000                  
            0x00, 0x00, 0x3F, 0xFE, 0x00, 0x00, 0x00, ##                    0000000000000                  
            0x00, 0x00, 0x1F, 0xFC, 0x00, 0x00, 0x00, ##                     00000000000                   
            0x00, 0x00, 0x1F, 0xFC, 0x00, 0x00, 0x00, ##                     00000000000                   
            0x00, 0x00, 0x0F, 0xF8, 0x00, 0x00, 0x00, ##                      000000000                    
            0x00, 0x00, 0x0F, 0xF8, 0x00, 0x00, 0x00, ##                      000000000                    
            0x00, 0x00, 0x0F, 0xF8, 0x00, 0x00, 0x00, ##                      000000000                    
            0x00, 0x00, 0x07, 0xF0, 0x00, 0x00, 0x00, ##                       0000000                     
            0x00, 0x00, 0x07, 0xF0, 0x00, 0x00, 0x00, ##                       0000000                     
            0x00, 0x00, 0x03, 0xE0, 0x00, 0x00, 0x00, ##                        00000                      
            0x00, 0x00, 0x03, 0xE0, 0x00, 0x00, 0x00, ##                        00000                      
            0x00, 0x00, 0x03, 0xE0, 0x00, 0x00, 0x00, ##                        00000                      
            0x00, 0x00, 0x07, 0xC0, 0x00, 0x00, 0x00, ##                       00000                       
            0x00, 0x00, 0x07, 0xC0, 0x00, 0x00, 0x00, ##                       00000                       
            0x00, 0x00, 0x07, 0x80, 0x00, 0x00, 0x00, ##                       0000                        
            0x00, 0x00, 0x0F, 0x80, 0x00, 0x00, 0x00, ##                      00000                        
            0x00, 0x00, 0x0F, 0x80, 0x00, 0x00, 0x00, ##                      00000                        
            0x00, 0x00, 0x1F, 0x00, 0x00, 0x00, 0x00, ##                     00000                         
            0x00, 0x00, 0x1F, 0x00, 0x00, 0x00, 0x00, ##                     00000                         
            0x1E, 0x00, 0x1E, 0x00, 0x00, 0x00, 0x00, ##     0000            0000                          
            0x1E, 0x00, 0x3E, 0x00, 0x00, 0x00, 0x00, ##     0000           00000                          
            0x1E, 0x00, 0x3E, 0x00, 0x00, 0x00, 0x00, ##     0000           00000                          
            0x1F, 0x00, 0x7C, 0x00, 0x00, 0x00, 0x00, ##     00000         00000                           
            0x1F, 0x00, 0xFC, 0x00, 0x00, 0x00, 0x00, ##     00000        000000                           
            0x1F, 0xC1, 0xF8, 0x00, 0x00, 0x00, 0x00, ##     0000000     000000                            
            0x1F, 0xFF, 0xF0, 0x00, 0x00, 0x00, 0x00, ##     00000000000000000                             
            0x1F, 0xFF, 0xE0, 0x00, 0x00, 0x00, 0x00, ##     0000000000000000                              
            0x1F, 0xFF, 0xC0, 0x00, 0x00, 0x00, 0x00, ##     000000000000000                               
            0x03, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##        0000000000                                 
        ], 
    }, 
    '122' => {    # 'z'
        'width'    => 39, 
        'xoffset'  => 4, 
        'xadvance' => 46, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x7F, 0xFF, 0xFF, 0xFF, 0xFC, ##   0000000000000000000000000000000000000 
            0x7F, 0xFF, 0xFF, 0xFF, 0xFC, ##   0000000000000000000000000000000000000 
            0x7F, 0xFF, 0xFF, 0xFF, 0xFC, ##   0000000000000000000000000000000000000 
            0x7F, 0xFF, 0xFF, 0xFF, 0xFC, ##   0000000000000000000000000000000000000 
            0x7C, 0x00, 0x00, 0x1F, 0xF8, ##   00000                     0000000000  
            0x7C, 0x00, 0x00, 0x1F, 0xF0, ##   00000                     000000000   
            0x7C, 0x00, 0x00, 0x3F, 0xF0, ##   00000                    0000000000   
            0x7C, 0x00, 0x00, 0x7F, 0xE0, ##   00000                   0000000000    
            0x7C, 0x00, 0x00, 0xFF, 0xC0, ##   00000                  0000000000     
            0x7C, 0x00, 0x00, 0xFF, 0x80, ##   00000                  000000000      
            0x7C, 0x00, 0x01, 0xFF, 0x80, ##   00000                 0000000000      
            0x7C, 0x00, 0x03, 0xFF, 0x00, ##   00000                0000000000       
            0x00, 0x00, 0x07, 0xFE, 0x00, ##                       0000000000        
            0x00, 0x00, 0x07, 0xFC, 0x00, ##                       000000000         
            0x00, 0x00, 0x0F, 0xFC, 0x00, ##                      0000000000         
            0x00, 0x00, 0x1F, 0xF8, 0x00, ##                     0000000000          
            0x00, 0x00, 0x3F, 0xF0, 0x00, ##                    0000000000           
            0x00, 0x00, 0x3F, 0xF0, 0x00, ##                    0000000000           
            0x00, 0x00, 0x7F, 0xE0, 0x00, ##                   0000000000            
            0x00, 0x00, 0xFF, 0xC0, 0x00, ##                  0000000000             
            0x00, 0x01, 0xFF, 0x80, 0x00, ##                 0000000000              
            0x00, 0x01, 0xFF, 0x80, 0x00, ##                 0000000000              
            0x00, 0x03, 0xFF, 0x00, 0x00, ##                0000000000               
            0x00, 0x07, 0xFE, 0x00, 0x00, ##               0000000000                
            0x00, 0x0F, 0xFC, 0x00, 0x00, ##              0000000000                 
            0x00, 0x0F, 0xFC, 0x00, 0x00, ##              0000000000                 
            0x00, 0x1F, 0xF8, 0x00, 0x00, ##             0000000000                  
            0x00, 0x3F, 0xF0, 0x00, 0x00, ##            0000000000                   
            0x00, 0x7F, 0xE0, 0x00, 0x00, ##           0000000000                    
            0x00, 0x7F, 0xE0, 0x00, 0x00, ##           0000000000                    
            0x00, 0xFF, 0xC0, 0x00, 0x00, ##          0000000000                     
            0x01, 0xFF, 0x80, 0x00, 0x00, ##         0000000000                      
            0x03, 0xFF, 0x00, 0x00, 0x00, ##        0000000000                       
            0x03, 0xFF, 0x00, 0x00, 0x3E, ##        0000000000                  00000
            0x07, 0xFE, 0x00, 0x00, 0x3E, ##       0000000000                   00000
            0x0F, 0xFC, 0x00, 0x00, 0x3E, ##      0000000000                    00000
            0x1F, 0xF8, 0x00, 0x00, 0x3E, ##     0000000000                     00000
            0x1F, 0xF8, 0x00, 0x00, 0x3E, ##     0000000000                     00000
            0x3F, 0xF0, 0x00, 0x00, 0x3E, ##    0000000000                      00000
            0x7F, 0xE0, 0x00, 0x00, 0x3E, ##   0000000000                       00000
            0xFF, 0xC0, 0x00, 0x00, 0x3E, ##  0000000000                        00000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFE, ##  000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFE, ##  000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFE, ##  000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFE, ##  000000000000000000000000000000000000000
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '123' => {    # '{'
        'width'    => 34, 
        'xoffset'  => 11, 
        'xadvance' => 55, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0xFF, 0xC0, ##                          0000000000
            0x00, 0x00, 0x0F, 0xFF, 0xC0, ##                      00000000000000
            0x00, 0x00, 0x7F, 0xFF, 0xC0, ##                   00000000000000000
            0x00, 0x00, 0xFF, 0xFF, 0xC0, ##                  000000000000000000
            0x00, 0x01, 0xFF, 0xC0, 0x00, ##                 00000000000        
            0x00, 0x01, 0xFE, 0x00, 0x00, ##                 00000000           
            0x00, 0x03, 0xFC, 0x00, 0x00, ##                00000000            
            0x00, 0x03, 0xFC, 0x00, 0x00, ##                00000000            
            0x00, 0x03, 0xFC, 0x00, 0x00, ##                00000000            
            0x00, 0x07, 0xF8, 0x00, 0x00, ##               00000000             
            0x00, 0x07, 0xF8, 0x00, 0x00, ##               00000000             
            0x00, 0x07, 0xF8, 0x00, 0x00, ##               00000000             
            0x00, 0x07, 0xF8, 0x00, 0x00, ##               00000000             
            0x00, 0x07, 0xF8, 0x00, 0x00, ##               00000000             
            0x00, 0x07, 0xF8, 0x00, 0x00, ##               00000000             
            0x00, 0x07, 0xF8, 0x00, 0x00, ##               00000000             
            0x00, 0x07, 0xF8, 0x00, 0x00, ##               00000000             
            0x00, 0x07, 0xF8, 0x00, 0x00, ##               00000000             
            0x00, 0x07, 0xF8, 0x00, 0x00, ##               00000000             
            0x00, 0x07, 0xF8, 0x00, 0x00, ##               00000000             
            0x00, 0x07, 0xF8, 0x00, 0x00, ##               00000000             
            0x00, 0x07, 0xF8, 0x00, 0x00, ##               00000000             
            0x00, 0x07, 0xF8, 0x00, 0x00, ##               00000000             
            0x00, 0x07, 0xF8, 0x00, 0x00, ##               00000000             
            0x00, 0x07, 0xF8, 0x00, 0x00, ##               00000000             
            0x00, 0x07, 0xF8, 0x00, 0x00, ##               00000000             
            0x00, 0x07, 0xF8, 0x00, 0x00, ##               00000000             
            0x00, 0x07, 0xF8, 0x00, 0x00, ##               00000000             
            0x00, 0x07, 0xF8, 0x00, 0x00, ##               00000000             
            0x00, 0x07, 0xF8, 0x00, 0x00, ##               00000000             
            0x00, 0x07, 0xF8, 0x00, 0x00, ##               00000000             
            0x00, 0x07, 0xF8, 0x00, 0x00, ##               00000000             
            0x00, 0x0F, 0xF0, 0x00, 0x00, ##              00000000              
            0x00, 0x0F, 0xF0, 0x00, 0x00, ##              00000000              
            0x00, 0x1F, 0xF0, 0x00, 0x00, ##             000000000              
            0x00, 0x1F, 0xE0, 0x00, 0x00, ##             00000000               
            0x00, 0x3F, 0xC0, 0x00, 0x00, ##            00000000                
            0x01, 0xFF, 0x80, 0x00, 0x00, ##         0000000000                 
            0xFF, 0xFE, 0x00, 0x00, 0x00, ##  000000000000000                   
            0xFF, 0xF8, 0x00, 0x00, 0x00, ##  0000000000000                     
            0xFF, 0xF8, 0x00, 0x00, 0x00, ##  0000000000000                     
            0xFF, 0xFE, 0x00, 0x00, 0x00, ##  000000000000000                   
            0x01, 0xFF, 0x80, 0x00, 0x00, ##         0000000000                 
            0x00, 0x7F, 0xC0, 0x00, 0x00, ##           000000000                
            0x00, 0x1F, 0xE0, 0x00, 0x00, ##             00000000               
            0x00, 0x1F, 0xE0, 0x00, 0x00, ##             00000000               
            0x00, 0x0F, 0xF0, 0x00, 0x00, ##              00000000              
            0x00, 0x0F, 0xF0, 0x00, 0x00, ##              00000000              
            0x00, 0x07, 0xF0, 0x00, 0x00, ##               0000000              
            0x00, 0x07, 0xF8, 0x00, 0x00, ##               00000000             
            0x00, 0x07, 0xF8, 0x00, 0x00, ##               00000000             
            0x00, 0x07, 0xF8, 0x00, 0x00, ##               00000000             
            0x00, 0x07, 0xF8, 0x00, 0x00, ##               00000000             
            0x00, 0x07, 0xF8, 0x00, 0x00, ##               00000000             
            0x00, 0x07, 0xF8, 0x00, 0x00, ##               00000000             
            0x00, 0x07, 0xF8, 0x00, 0x00, ##               00000000             
            0x00, 0x07, 0xF8, 0x00, 0x00, ##               00000000             
            0x00, 0x07, 0xF8, 0x00, 0x00, ##               00000000             
            0x00, 0x07, 0xF8, 0x00, 0x00, ##               00000000             
            0x00, 0x07, 0xF8, 0x00, 0x00, ##               00000000             
            0x00, 0x07, 0xF8, 0x00, 0x00, ##               00000000             
            0x00, 0x07, 0xF8, 0x00, 0x00, ##               00000000             
            0x00, 0x07, 0xF8, 0x00, 0x00, ##               00000000             
            0x00, 0x07, 0xF8, 0x00, 0x00, ##               00000000             
            0x00, 0x07, 0xF8, 0x00, 0x00, ##               00000000             
            0x00, 0x07, 0xF8, 0x00, 0x00, ##               00000000             
            0x00, 0x07, 0xF8, 0x00, 0x00, ##               00000000             
            0x00, 0x07, 0xF8, 0x00, 0x00, ##               00000000             
            0x00, 0x07, 0xF8, 0x00, 0x00, ##               00000000             
            0x00, 0x07, 0xF8, 0x00, 0x00, ##               00000000             
            0x00, 0x07, 0xF8, 0x00, 0x00, ##               00000000             
            0x00, 0x03, 0xF8, 0x00, 0x00, ##                0000000             
            0x00, 0x03, 0xFC, 0x00, 0x00, ##                00000000            
            0x00, 0x03, 0xFC, 0x00, 0x00, ##                00000000            
            0x00, 0x03, 0xFC, 0x00, 0x00, ##                00000000            
            0x00, 0x01, 0xFE, 0x00, 0x00, ##                 00000000           
            0x00, 0x01, 0xFF, 0xC0, 0x00, ##                 00000000000        
            0x00, 0x00, 0xFF, 0xFF, 0xC0, ##                  000000000000000000
            0x00, 0x00, 0x3F, 0xFF, 0xC0, ##                    0000000000000000
            0x00, 0x00, 0x0F, 0xFF, 0xC0, ##                      00000000000000
            0x00, 0x00, 0x00, 0xFF, 0xC0, ##                          0000000000
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '124' => {    # '|'
        'width'    => 7, 
        'xoffset'  => 11, 
        'xadvance' => 29, 
        'bitmap'   => [ 
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
        ], 
    }, 
    '125' => {    # '}'
        'width'    => 33, 
        'xoffset'  => 11, 
        'xadvance' => 55, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0xFF, 0x80, 0x00, 0x00, 0x00, ##  000000000                        
            0xFF, 0xF8, 0x00, 0x00, 0x00, ##  0000000000000                    
            0xFF, 0xFF, 0x00, 0x00, 0x00, ##  0000000000000000                 
            0xFF, 0xFF, 0x80, 0x00, 0x00, ##  00000000000000000                
            0x01, 0xFF, 0xC0, 0x00, 0x00, ##         00000000000               
            0x00, 0x3F, 0xC0, 0x00, 0x00, ##            00000000               
            0x00, 0x1F, 0xE0, 0x00, 0x00, ##             00000000              
            0x00, 0x1F, 0xE0, 0x00, 0x00, ##             00000000              
            0x00, 0x1F, 0xE0, 0x00, 0x00, ##             00000000              
            0x00, 0x0F, 0xE0, 0x00, 0x00, ##              0000000              
            0x00, 0x0F, 0xF0, 0x00, 0x00, ##              00000000             
            0x00, 0x0F, 0xF0, 0x00, 0x00, ##              00000000             
            0x00, 0x0F, 0xF0, 0x00, 0x00, ##              00000000             
            0x00, 0x0F, 0xF0, 0x00, 0x00, ##              00000000             
            0x00, 0x0F, 0xF0, 0x00, 0x00, ##              00000000             
            0x00, 0x0F, 0xF0, 0x00, 0x00, ##              00000000             
            0x00, 0x0F, 0xF0, 0x00, 0x00, ##              00000000             
            0x00, 0x0F, 0xF0, 0x00, 0x00, ##              00000000             
            0x00, 0x0F, 0xF0, 0x00, 0x00, ##              00000000             
            0x00, 0x0F, 0xF0, 0x00, 0x00, ##              00000000             
            0x00, 0x0F, 0xF0, 0x00, 0x00, ##              00000000             
            0x00, 0x0F, 0xF0, 0x00, 0x00, ##              00000000             
            0x00, 0x0F, 0xF0, 0x00, 0x00, ##              00000000             
            0x00, 0x0F, 0xF0, 0x00, 0x00, ##              00000000             
            0x00, 0x0F, 0xF0, 0x00, 0x00, ##              00000000             
            0x00, 0x0F, 0xF0, 0x00, 0x00, ##              00000000             
            0x00, 0x0F, 0xF0, 0x00, 0x00, ##              00000000             
            0x00, 0x0F, 0xF0, 0x00, 0x00, ##              00000000             
            0x00, 0x0F, 0xF0, 0x00, 0x00, ##              00000000             
            0x00, 0x0F, 0xF0, 0x00, 0x00, ##              00000000             
            0x00, 0x0F, 0xF0, 0x00, 0x00, ##              00000000             
            0x00, 0x0F, 0xF0, 0x00, 0x00, ##              00000000             
            0x00, 0x07, 0xF8, 0x00, 0x00, ##               00000000            
            0x00, 0x07, 0xF8, 0x00, 0x00, ##               00000000            
            0x00, 0x07, 0xF8, 0x00, 0x00, ##               00000000            
            0x00, 0x03, 0xFC, 0x00, 0x00, ##                00000000           
            0x00, 0x01, 0xFE, 0x00, 0x00, ##                 00000000          
            0x00, 0x00, 0xFF, 0xC0, 0x00, ##                  0000000000       
            0x00, 0x00, 0x7F, 0xFF, 0x80, ##                   0000000000000000
            0x00, 0x00, 0x0F, 0xFF, 0x80, ##                      0000000000000
            0x00, 0x00, 0x0F, 0xFF, 0x80, ##                      0000000000000
            0x00, 0x00, 0x3F, 0xFF, 0x80, ##                    000000000000000
            0x00, 0x00, 0xFF, 0xC0, 0x00, ##                  0000000000       
            0x00, 0x01, 0xFF, 0x00, 0x00, ##                 000000000         
            0x00, 0x03, 0xFC, 0x00, 0x00, ##                00000000           
            0x00, 0x07, 0xFC, 0x00, 0x00, ##               000000000           
            0x00, 0x07, 0xF8, 0x00, 0x00, ##               00000000            
            0x00, 0x07, 0xF8, 0x00, 0x00, ##               00000000            
            0x00, 0x0F, 0xF0, 0x00, 0x00, ##              00000000             
            0x00, 0x0F, 0xF0, 0x00, 0x00, ##              00000000             
            0x00, 0x0F, 0xF0, 0x00, 0x00, ##              00000000             
            0x00, 0x0F, 0xF0, 0x00, 0x00, ##              00000000             
            0x00, 0x0F, 0xF0, 0x00, 0x00, ##              00000000             
            0x00, 0x0F, 0xF0, 0x00, 0x00, ##              00000000             
            0x00, 0x0F, 0xF0, 0x00, 0x00, ##              00000000             
            0x00, 0x0F, 0xF0, 0x00, 0x00, ##              00000000             
            0x00, 0x0F, 0xF0, 0x00, 0x00, ##              00000000             
            0x00, 0x0F, 0xF0, 0x00, 0x00, ##              00000000             
            0x00, 0x0F, 0xF0, 0x00, 0x00, ##              00000000             
            0x00, 0x0F, 0xF0, 0x00, 0x00, ##              00000000             
            0x00, 0x0F, 0xF0, 0x00, 0x00, ##              00000000             
            0x00, 0x0F, 0xF0, 0x00, 0x00, ##              00000000             
            0x00, 0x0F, 0xF0, 0x00, 0x00, ##              00000000             
            0x00, 0x0F, 0xF0, 0x00, 0x00, ##              00000000             
            0x00, 0x0F, 0xF0, 0x00, 0x00, ##              00000000             
            0x00, 0x0F, 0xF0, 0x00, 0x00, ##              00000000             
            0x00, 0x0F, 0xF0, 0x00, 0x00, ##              00000000             
            0x00, 0x0F, 0xF0, 0x00, 0x00, ##              00000000             
            0x00, 0x0F, 0xF0, 0x00, 0x00, ##              00000000             
            0x00, 0x0F, 0xF0, 0x00, 0x00, ##              00000000             
            0x00, 0x0F, 0xF0, 0x00, 0x00, ##              00000000             
            0x00, 0x0F, 0xE0, 0x00, 0x00, ##              0000000              
            0x00, 0x1F, 0xE0, 0x00, 0x00, ##             00000000              
            0x00, 0x1F, 0xE0, 0x00, 0x00, ##             00000000              
            0x00, 0x1F, 0xE0, 0x00, 0x00, ##             00000000              
            0x00, 0x3F, 0xC0, 0x00, 0x00, ##            00000000               
            0x01, 0xFF, 0xC0, 0x00, 0x00, ##         00000000000               
            0xFF, 0xFF, 0x80, 0x00, 0x00, ##  00000000000000000                
            0xFF, 0xFE, 0x00, 0x00, 0x00, ##  000000000000000                  
            0xFF, 0xF8, 0x00, 0x00, 0x00, ##  0000000000000                    
            0xFF, 0x80, 0x00, 0x00, 0x00, ##  000000000                        
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '126' => {    # '~'
        'width'    => 55, 
        'xoffset'  => 9, 
        'xadvance' => 73, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x0F, 0xF0, 0x00, 0x00, 0x00, 0x06, ##              00000000                                 00
            0x00, 0xFF, 0xFE, 0x00, 0x00, 0x00, 0x0E, ##          000000000000000                             000
            0x03, 0xFF, 0xFF, 0xC0, 0x00, 0x00, 0x1E, ##        00000000000000000000                         0000
            0x07, 0xFF, 0xFF, 0xF8, 0x00, 0x00, 0x7E, ##       000000000000000000000000                    000000
            0x1F, 0xFF, 0xFF, 0xFF, 0x00, 0x01, 0xFE, ##     00000000000000000000000000000               00000000
            0x3F, 0xFF, 0xFF, 0xFF, 0xE0, 0x0F, 0xFE, ##    000000000000000000000000000000000         00000000000
            0x7F, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFC, ##   00000000000000000000000000000000000000000000000000000 
            0xFF, 0xE0, 0x1F, 0xFF, 0xFF, 0xFF, 0xF8, ##  00000000000        0000000000000000000000000000000000  
            0xFF, 0x00, 0x01, 0xFF, 0xFF, 0xFF, 0xE0, ##  00000000               0000000000000000000000000000    
            0xFC, 0x00, 0x00, 0x7F, 0xFF, 0xFF, 0xC0, ##  000000                   0000000000000000000000000     
            0xF0, 0x00, 0x00, 0x0F, 0xFF, 0xFF, 0x00, ##  0000                        00000000000000000000       
            0xC0, 0x00, 0x00, 0x01, 0xFF, 0xFC, 0x00, ##  00                             000000000000000         
            0x80, 0x00, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##  0                                  00000000            
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '160' => {    # ' '
        'width'    => 0, 
        'xoffset'  => 0, 
        'xadvance' => 55, 
        'bitmap'   => [ 
            ##  
            ##  
            ##  
            ##  
            ##  
            ##  
            ##  
            ##  
            ##  
            ##  
            ##  
            ##  
            ##  
            ##  
            ##  
            ##  
            ##  
            ##  
            ##  
            ##  
            ##  
            ##  
            ##  
            ##  
            ##  
            ##  
            ##  
            ##  
            ##  
            ##  
            ##  
            ##  
            ##  
            ##  
            ##  
            ##  
            ##  
            ##  
            ##  
            ##  
            ##  
            ##  
            ##  
            ##  
            ##  
            ##  
            ##  
            ##  
            ##  
            ##  
            ##  
            ##  
            ##  
            ##  
            ##  
            ##  
            ##  
            ##  
            ##  
            ##  
            ##  
            ##  
            ##  
            ##  
            ##  
            ##  
            ##  
            ##  
            ##  
            ##  
            ##  
            ##  
            ##  
            ##  
            ##  
            ##  
            ##  
            ##  
            ##  
            ##  
            ##  
            ##  
            ##  
            ##  
            ##  
            ##  
            ##  
            ##  
            ##  
            ##  
            ##  
            ##  
            ##  
            ##  
            ##  
            ##  
            ##  
            ##  
            ##  
            ##  
            ##  
            ##  
            ##  
        ], 
    }, 
    '161' => {    # '¡'
        'width'    => 11, 
        'xoffset'  => 12, 
        'xadvance' => 35, 
        'bitmap'   => [ 
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x1F, 0x00, ##     00000   
            0x3F, 0x80, ##    0000000  
            0x7F, 0xC0, ##   000000000 
            0xFF, 0xE0, ##  00000000000
            0xFF, 0xE0, ##  00000000000
            0xFF, 0xE0, ##  00000000000
            0xFF, 0xE0, ##  00000000000
            0xFF, 0xE0, ##  00000000000
            0x7F, 0xC0, ##   000000000 
            0x3F, 0x80, ##    0000000  
            0x1F, 0x00, ##     00000   
            0x00, 0x00, ##             
            0x00, 0x00, ##             
            0x00, 0x00, ##             
            0x00, 0x00, ##             
            0x00, 0x00, ##             
            0x00, 0x00, ##             
            0x00, 0x00, ##             
            0x00, 0x00, ##             
            0x1F, 0x00, ##     00000   
            0x1F, 0x00, ##     00000   
            0x1F, 0x00, ##     00000   
            0x1F, 0x00, ##     00000   
            0x1F, 0x00, ##     00000   
            0x1F, 0x00, ##     00000   
            0x1F, 0x00, ##     00000   
            0x1F, 0x00, ##     00000   
            0x1F, 0x00, ##     00000   
            0x1F, 0x00, ##     00000   
            0x1F, 0x00, ##     00000   
            0x1F, 0x00, ##     00000   
            0x1F, 0x00, ##     00000   
            0x1F, 0x00, ##     00000   
            0x1F, 0x00, ##     00000   
            0x1F, 0x00, ##     00000   
            0x1F, 0x00, ##     00000   
            0x3F, 0x80, ##    0000000  
            0x3F, 0x80, ##    0000000  
            0x3F, 0x80, ##    0000000  
            0x3F, 0x80, ##    0000000  
            0x3F, 0x80, ##    0000000  
            0x3F, 0x80, ##    0000000  
            0x3F, 0x80, ##    0000000  
            0x3F, 0x80, ##    0000000  
            0x3F, 0x80, ##    0000000  
            0x3F, 0x80, ##    0000000  
            0x3F, 0x80, ##    0000000  
            0x3F, 0x80, ##    0000000  
            0x7F, 0xC0, ##   000000000 
            0x7F, 0xC0, ##   000000000 
            0x7F, 0xC0, ##   000000000 
            0x7F, 0xC0, ##   000000000 
            0x7F, 0xC0, ##   000000000 
            0x7F, 0xC0, ##   000000000 
            0x7F, 0xC0, ##   000000000 
            0x7F, 0xC0, ##   000000000 
            0x7F, 0xC0, ##   000000000 
            0x7F, 0xC0, ##   000000000 
            0x7F, 0xC0, ##   000000000 
            0x7F, 0xC0, ##   000000000 
            0x7F, 0xC0, ##   000000000 
            0xFF, 0xE0, ##  00000000000
            0xFF, 0xE0, ##  00000000000
            0xFF, 0xE0, ##  00000000000
            0xFF, 0xE0, ##  00000000000
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
        ], 
    }, 
    '162' => {    # '¢'
        'width'    => 41, 
        'xoffset'  => 7, 
        'xadvance' => 56, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x0F, 0x00, 0x00, 0x00, ##                      0000                 
            0x00, 0x00, 0x0F, 0x00, 0x00, 0x00, ##                      0000                 
            0x00, 0x00, 0x0F, 0x00, 0x00, 0x00, ##                      0000                 
            0x00, 0x00, 0x0F, 0x00, 0x00, 0x00, ##                      0000                 
            0x00, 0x00, 0x0F, 0x00, 0x00, 0x00, ##                      0000                 
            0x00, 0x00, 0x0F, 0x00, 0x00, 0x00, ##                      0000                 
            0x00, 0x00, 0x0F, 0x00, 0x00, 0x00, ##                      0000                 
            0x00, 0x00, 0x0F, 0x00, 0x00, 0x00, ##                      0000                 
            0x00, 0x00, 0x0F, 0x00, 0x00, 0x00, ##                      0000                 
            0x00, 0x00, 0x0F, 0x00, 0x00, 0x00, ##                      0000                 
            0x00, 0x00, 0x0F, 0x00, 0x00, 0x00, ##                      0000                 
            0x00, 0x00, 0x1F, 0x80, 0x00, 0x00, ##                     000000                
            0x00, 0x03, 0xFF, 0xFE, 0x00, 0x00, ##                00000000000000000          
            0x00, 0x0F, 0xFF, 0xFF, 0xC0, 0x00, ##              0000000000000000000000       
            0x00, 0x3F, 0xFF, 0xFF, 0xF8, 0x00, ##            000000000000000000000000000    
            0x00, 0xFF, 0xFF, 0xFF, 0xFE, 0x00, ##          0000000000000000000000000000000  
            0x01, 0xFF, 0x8F, 0x1F, 0xFE, 0x00, ##         0000000000   0000   000000000000  
            0x03, 0xFE, 0x0F, 0x07, 0xFE, 0x00, ##        000000000     0000     0000000000  
            0x07, 0xFC, 0x0F, 0x03, 0xFE, 0x00, ##       000000000      0000      000000000  
            0x07, 0xF8, 0x0F, 0x01, 0xFE, 0x00, ##       00000000       0000       00000000  
            0x0F, 0xF0, 0x0F, 0x00, 0xFE, 0x00, ##      00000000        0000        0000000  
            0x1F, 0xF0, 0x0F, 0x00, 0x7E, 0x00, ##     000000000        0000         000000  
            0x1F, 0xE0, 0x0F, 0x00, 0x7E, 0x00, ##     00000000         0000         000000  
            0x3F, 0xE0, 0x0F, 0x00, 0x7E, 0x00, ##    000000000         0000         000000  
            0x3F, 0xC0, 0x0F, 0x00, 0x3E, 0x00, ##    00000000          0000          00000  
            0x7F, 0xC0, 0x0F, 0x00, 0x3E, 0x00, ##   000000000          0000          00000  
            0x7F, 0xC0, 0x0F, 0x00, 0x3E, 0x00, ##   000000000          0000          00000  
            0x7F, 0xC0, 0x0F, 0x00, 0x00, 0x00, ##   000000000          0000                 
            0x7F, 0x80, 0x0F, 0x00, 0x00, 0x00, ##   00000000           0000                 
            0xFF, 0x80, 0x0F, 0x00, 0x00, 0x00, ##  000000000           0000                 
            0xFF, 0x80, 0x0F, 0x00, 0x00, 0x00, ##  000000000           0000                 
            0xFF, 0x80, 0x0F, 0x00, 0x00, 0x00, ##  000000000           0000                 
            0xFF, 0x80, 0x0F, 0x00, 0x00, 0x00, ##  000000000           0000                 
            0xFF, 0x80, 0x0F, 0x00, 0x00, 0x00, ##  000000000           0000                 
            0xFF, 0x80, 0x0F, 0x00, 0x00, 0x00, ##  000000000           0000                 
            0xFF, 0x80, 0x0F, 0x00, 0x00, 0x00, ##  000000000           0000                 
            0xFF, 0x80, 0x0F, 0x00, 0x00, 0x00, ##  000000000           0000                 
            0xFF, 0x80, 0x0F, 0x00, 0x00, 0x00, ##  000000000           0000                 
            0xFF, 0x80, 0x0F, 0x00, 0x00, 0x00, ##  000000000           0000                 
            0xFF, 0x80, 0x0F, 0x00, 0x00, 0x00, ##  000000000           0000                 
            0xFF, 0x80, 0x0F, 0x00, 0x00, 0x00, ##  000000000           0000                 
            0x7F, 0x80, 0x0F, 0x00, 0x00, 0x00, ##   00000000           0000                 
            0x7F, 0x80, 0x0F, 0x00, 0x00, 0x00, ##   00000000           0000                 
            0x7F, 0xC0, 0x0F, 0x00, 0x00, 0x00, ##   000000000          0000                 
            0x7F, 0xC0, 0x0F, 0x00, 0x3F, 0x80, ##   000000000          0000          0000000
            0x3F, 0xC0, 0x0F, 0x00, 0x3F, 0x00, ##    00000000          0000          000000 
            0x3F, 0xC0, 0x0F, 0x00, 0x7F, 0x00, ##    00000000          0000         0000000 
            0x3F, 0xE0, 0x0F, 0x00, 0x7F, 0x00, ##    000000000         0000         0000000 
            0x1F, 0xE0, 0x0F, 0x00, 0x7E, 0x00, ##     00000000         0000         000000  
            0x1F, 0xF0, 0x0F, 0x00, 0xFE, 0x00, ##     000000000        0000        0000000  
            0x0F, 0xF0, 0x0F, 0x00, 0xFC, 0x00, ##      00000000        0000        000000   
            0x07, 0xF8, 0x0F, 0x01, 0xFC, 0x00, ##       00000000       0000       0000000   
            0x03, 0xFC, 0x0F, 0x03, 0xF8, 0x00, ##        00000000      0000      0000000    
            0x01, 0xFE, 0x0F, 0x07, 0xF0, 0x00, ##         00000000     0000     0000000     
            0x00, 0xFF, 0x8F, 0x1F, 0xE0, 0x00, ##          000000000   0000   00000000      
            0x00, 0x7F, 0xFF, 0xFF, 0xC0, 0x00, ##           0000000000000000000000000       
            0x00, 0x3F, 0xFF, 0xFF, 0x80, 0x00, ##            00000000000000000000000        
            0x00, 0x0F, 0xFF, 0xFE, 0x00, 0x00, ##              0000000000000000000          
            0x00, 0x01, 0xFF, 0xF0, 0x00, 0x00, ##                 0000000000000             
            0x00, 0x00, 0x0F, 0x00, 0x00, 0x00, ##                      0000                 
            0x00, 0x00, 0x0F, 0x00, 0x00, 0x00, ##                      0000                 
            0x00, 0x00, 0x0F, 0x00, 0x00, 0x00, ##                      0000                 
            0x00, 0x00, 0x0F, 0x00, 0x00, 0x00, ##                      0000                 
            0x00, 0x00, 0x0F, 0x00, 0x00, 0x00, ##                      0000                 
            0x00, 0x00, 0x0F, 0x00, 0x00, 0x00, ##                      0000                 
            0x00, 0x00, 0x0F, 0x00, 0x00, 0x00, ##                      0000                 
            0x00, 0x00, 0x0F, 0x00, 0x00, 0x00, ##                      0000                 
            0x00, 0x00, 0x0F, 0x00, 0x00, 0x00, ##                      0000                 
            0x00, 0x00, 0x0F, 0x00, 0x00, 0x00, ##                      0000                 
            0x00, 0x00, 0x0F, 0x00, 0x00, 0x00, ##                      0000                 
            0x00, 0x00, 0x0F, 0x00, 0x00, 0x00, ##                      0000                 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '163' => {    # '£'
        'width'    => 42, 
        'xoffset'  => 6, 
        'xadvance' => 56, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x03, 0xFF, 0xC0, 0x00, ##                        000000000000        
            0x00, 0x00, 0x3F, 0xFF, 0xFE, 0x00, ##                    000000000000000000000   
            0x00, 0x00, 0xFF, 0xFF, 0xFF, 0x80, ##                  0000000000000000000000000 
            0x00, 0x03, 0xFF, 0xFF, 0xFF, 0x80, ##                000000000000000000000000000 
            0x00, 0x07, 0xFF, 0x01, 0xFF, 0x80, ##               00000000000       0000000000 
            0x00, 0x0F, 0xFC, 0x00, 0x7F, 0x80, ##              0000000000           00000000 
            0x00, 0x1F, 0xF0, 0x00, 0x3F, 0x80, ##             000000000              0000000 
            0x00, 0x1F, 0xE0, 0x00, 0x1F, 0x80, ##             00000000                000000 
            0x00, 0x3F, 0xE0, 0x00, 0x1F, 0x80, ##            000000000                000000 
            0x00, 0x3F, 0xC0, 0x00, 0x0F, 0x80, ##            00000000                  00000 
            0x00, 0x7F, 0xC0, 0x00, 0x0F, 0x80, ##           000000000                  00000 
            0x00, 0x7F, 0xC0, 0x00, 0x0F, 0x80, ##           000000000                  00000 
            0x00, 0x7F, 0x80, 0x00, 0x0F, 0x80, ##           00000000                   00000 
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, ##          000000000                         
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, ##          000000000                         
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, ##          000000000                         
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, ##          000000000                         
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, ##          000000000                         
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, ##          000000000                         
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, ##          000000000                         
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, ##          000000000                         
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, ##          000000000                         
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, ##          000000000                         
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, ##          000000000                         
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, ##          000000000                         
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, ##          000000000                         
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, ##          000000000                         
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, ##          000000000                         
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, ##          000000000                         
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, ##          000000000                         
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, ##          000000000                         
            0xFF, 0xFF, 0xFF, 0xFF, 0xC0, 0x00, ##  0000000000000000000000000000000000        
            0xFF, 0xFF, 0xFF, 0xFF, 0xC0, 0x00, ##  0000000000000000000000000000000000        
            0xFF, 0xFF, 0xFF, 0xFF, 0xC0, 0x00, ##  0000000000000000000000000000000000        
            0xFF, 0xFF, 0xFF, 0xFF, 0xC0, 0x00, ##  0000000000000000000000000000000000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, ##          000000000                         
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, ##          000000000                         
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, ##          000000000                         
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, ##          000000000                         
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, ##          000000000                         
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, ##          000000000                         
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, ##          000000000                         
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, ##          000000000                         
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, ##          000000000                         
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, ##          000000000                         
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, ##          000000000                         
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, ##          000000000                         
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, ##          000000000                         
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, ##          000000000                         
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, ##          000000000                         
            0x00, 0xFF, 0x80, 0x00, 0x07, 0xC0, ##          000000000                    00000
            0x00, 0xFF, 0x80, 0x00, 0x07, 0xC0, ##          000000000                    00000
            0x00, 0xFF, 0x80, 0x00, 0x07, 0xC0, ##          000000000                    00000
            0x00, 0xFF, 0x80, 0x00, 0x07, 0xC0, ##          000000000                    00000
            0x00, 0xFF, 0x80, 0x00, 0x07, 0xC0, ##          000000000                    00000
            0x00, 0xFF, 0x80, 0x00, 0x07, 0xC0, ##          000000000                    00000
            0x00, 0xFF, 0x80, 0x00, 0x07, 0xC0, ##          000000000                    00000
            0x00, 0xFF, 0x80, 0x00, 0x07, 0xC0, ##          000000000                    00000
            0x00, 0xFF, 0x80, 0x00, 0x07, 0xC0, ##          000000000                    00000
            0x00, 0xFF, 0x80, 0x00, 0x07, 0xC0, ##          000000000                    00000
            0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0xC0, ##          0000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xC0, ##  000000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xC0, ##  000000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xC0, ##  000000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xC0, ##  000000000000000000000000000000000000000000
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '164' => {    # '¤'
        'width'    => 46, 
        'xoffset'  => 5, 
        'xadvance' => 56, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x18, 0x00, 0x00, 0x00, 0x00, 0x60, ##     00                                    00   
            0x3C, 0x00, 0x00, 0x00, 0x00, 0xF0, ##    0000                                  0000  
            0x7E, 0x00, 0x00, 0x00, 0x01, 0xF8, ##   000000                                000000 
            0xFF, 0x00, 0x00, 0x00, 0x03, 0xFC, ##  00000000                              00000000
            0xFF, 0x80, 0x00, 0x00, 0x03, 0xF8, ##  000000000                             0000000 
            0x7F, 0xC0, 0x1F, 0xE0, 0x07, 0xF8, ##   000000000         00000000          00000000 
            0x3F, 0xE0, 0xFF, 0xFC, 0x0F, 0xF0, ##    000000000     00000000000000      00000000  
            0x1F, 0xF1, 0xFF, 0xFF, 0x1F, 0xE0, ##     000000000   00000000000000000   00000000   
            0x0F, 0xFF, 0xFF, 0xFF, 0xFF, 0xC0, ##      00000000000000000000000000000000000000    
            0x07, 0xFF, 0xFF, 0xFF, 0xFF, 0x80, ##       000000000000000000000000000000000000     
            0x03, 0xFF, 0xFF, 0xFF, 0xFF, 0x00, ##        0000000000000000000000000000000000      
            0x01, 0xFF, 0xFF, 0xFF, 0xFE, 0x00, ##         00000000000000000000000000000000       
            0x00, 0xFF, 0xF0, 0x3F, 0xFC, 0x00, ##          000000000000      000000000000        
            0x00, 0xFF, 0x80, 0x07, 0xFC, 0x00, ##          000000000            000000000        
            0x00, 0xFF, 0x00, 0x03, 0xFC, 0x00, ##          00000000              00000000        
            0x01, 0xFE, 0x00, 0x01, 0xFE, 0x00, ##         00000000                00000000       
            0x01, 0xFC, 0x00, 0x00, 0xFE, 0x00, ##         0000000                  0000000       
            0x03, 0xFC, 0x00, 0x00, 0xFF, 0x00, ##        00000000                  00000000      
            0x03, 0xF8, 0x00, 0x00, 0x7F, 0x00, ##        0000000                    0000000      
            0x07, 0xF8, 0x00, 0x00, 0x7F, 0x00, ##       00000000                    0000000      
            0x07, 0xF0, 0x00, 0x00, 0x3F, 0x80, ##       0000000                      0000000     
            0x07, 0xF0, 0x00, 0x00, 0x3F, 0x80, ##       0000000                      0000000     
            0x07, 0xF0, 0x00, 0x00, 0x3F, 0x80, ##       0000000                      0000000     
            0x07, 0xF0, 0x00, 0x00, 0x3F, 0x80, ##       0000000                      0000000     
            0x07, 0xF0, 0x00, 0x00, 0x3F, 0x80, ##       0000000                      0000000     
            0x07, 0xF0, 0x00, 0x00, 0x3F, 0x80, ##       0000000                      0000000     
            0x07, 0xF0, 0x00, 0x00, 0x3F, 0x80, ##       0000000                      0000000     
            0x07, 0xF8, 0x00, 0x00, 0x7F, 0x80, ##       00000000                    00000000     
            0x03, 0xF8, 0x00, 0x00, 0x7F, 0x00, ##        0000000                    0000000      
            0x03, 0xFC, 0x00, 0x00, 0xFF, 0x00, ##        00000000                  00000000      
            0x01, 0xFC, 0x00, 0x00, 0xFE, 0x00, ##         0000000                  0000000       
            0x01, 0xFE, 0x00, 0x01, 0xFE, 0x00, ##         00000000                00000000       
            0x00, 0xFF, 0x00, 0x03, 0xFC, 0x00, ##          00000000              00000000        
            0x00, 0xFF, 0x80, 0x0F, 0xFC, 0x00, ##          000000000           0000000000        
            0x00, 0xFF, 0xF0, 0x3F, 0xFC, 0x00, ##          000000000000      000000000000        
            0x01, 0xFF, 0xFF, 0xFF, 0xFE, 0x00, ##         00000000000000000000000000000000       
            0x03, 0xFF, 0xFF, 0xFF, 0xFF, 0x00, ##        0000000000000000000000000000000000      
            0x07, 0xFF, 0xFF, 0xFF, 0xFF, 0x80, ##       000000000000000000000000000000000000     
            0x0F, 0xFF, 0xFF, 0xFF, 0xFF, 0xC0, ##      00000000000000000000000000000000000000    
            0x1F, 0xF3, 0xFF, 0xFE, 0x3F, 0xE0, ##     000000000  00000000000000000   000000000   
            0x3F, 0xE0, 0xFF, 0xFC, 0x1F, 0xF0, ##    000000000     00000000000000     000000000  
            0x7F, 0xC0, 0x1F, 0xE0, 0x0F, 0xF8, ##   000000000         00000000         000000000 
            0x7F, 0x80, 0x00, 0x00, 0x07, 0xFC, ##   00000000                            000000000
            0xFF, 0x00, 0x00, 0x00, 0x03, 0xFC, ##  00000000                              00000000
            0x7E, 0x00, 0x00, 0x00, 0x01, 0xF8, ##   000000                                000000 
            0x3C, 0x00, 0x00, 0x00, 0x00, 0xF0, ##    0000                                  0000  
            0x18, 0x00, 0x00, 0x00, 0x00, 0x60, ##     00                                    00   
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '165' => {    # '¥'
        'width'    => 56, 
        'xoffset'  => -1, 
        'xadvance' => 55, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0xFF, 0xFF, 0xFF, 0x00, 0x03, 0xFF, 0xFF, ##  000000000000000000000000              000000000000000000
            0xFF, 0xFF, 0xFF, 0x00, 0x03, 0xFF, 0xFF, ##  000000000000000000000000              000000000000000000
            0xFF, 0xFF, 0xFF, 0x00, 0x03, 0xFF, 0xFF, ##  000000000000000000000000              000000000000000000
            0xFF, 0xFF, 0xFF, 0x00, 0x03, 0xFF, 0xFF, ##  000000000000000000000000              000000000000000000
            0x03, 0xFF, 0x00, 0x00, 0x00, 0x07, 0xC0, ##        0000000000                             00000      
            0x01, 0xFF, 0x80, 0x00, 0x00, 0x0F, 0xC0, ##         0000000000                           000000      
            0x01, 0xFF, 0xC0, 0x00, 0x00, 0x0F, 0x80, ##         00000000000                          00000       
            0x00, 0xFF, 0xC0, 0x00, 0x00, 0x1F, 0x80, ##          0000000000                         000000       
            0x00, 0xFF, 0xE0, 0x00, 0x00, 0x1F, 0x00, ##          00000000000                        00000        
            0x00, 0x7F, 0xE0, 0x00, 0x00, 0x3E, 0x00, ##           0000000000                       00000         
            0x00, 0x3F, 0xF0, 0x00, 0x00, 0x3E, 0x00, ##            0000000000                      00000         
            0x00, 0x3F, 0xF0, 0x00, 0x00, 0x7C, 0x00, ##            0000000000                     00000          
            0x00, 0x1F, 0xF8, 0x00, 0x00, 0x7C, 0x00, ##             0000000000                    00000          
            0x00, 0x1F, 0xF8, 0x00, 0x00, 0xF8, 0x00, ##             0000000000                   00000           
            0x00, 0x0F, 0xFC, 0x00, 0x01, 0xF8, 0x00, ##              0000000000                 000000           
            0x00, 0x0F, 0xFE, 0x00, 0x01, 0xF0, 0x00, ##              00000000000                00000            
            0x00, 0x07, 0xFE, 0x00, 0x03, 0xF0, 0x00, ##               0000000000               000000            
            0x00, 0x03, 0xFF, 0x00, 0x03, 0xE0, 0x00, ##                0000000000              00000             
            0x00, 0x03, 0xFF, 0x00, 0x07, 0xC0, 0x00, ##                0000000000             00000              
            0x00, 0x01, 0xFF, 0x80, 0x07, 0xC0, 0x00, ##                 0000000000            00000              
            0x00, 0x01, 0xFF, 0x80, 0x0F, 0x80, 0x00, ##                 0000000000           00000               
            0x00, 0x00, 0xFF, 0xC0, 0x0F, 0x80, 0x00, ##                  0000000000          00000               
            0x00, 0x00, 0xFF, 0xE0, 0x1F, 0x00, 0x00, ##                  00000000000        00000                
            0x00, 0x00, 0x7F, 0xE0, 0x1F, 0x00, 0x00, ##                   0000000000        00000                
            0x00, 0x00, 0x7F, 0xF0, 0x3E, 0x00, 0x00, ##                   00000000000      00000                 
            0x00, 0x00, 0x3F, 0xF0, 0x7E, 0x00, 0x00, ##                    0000000000     000000                 
            0x01, 0xFF, 0xFF, 0xF8, 0x7F, 0xFF, 0xC0, ##         0000000000000000000000    00000000000000000      
            0x01, 0xFF, 0xFF, 0xF8, 0xFF, 0xFF, 0xC0, ##         0000000000000000000000   000000000000000000      
            0x01, 0xFF, 0xFF, 0xFC, 0xFF, 0xFF, 0xC0, ##         00000000000000000000000  000000000000000000      
            0x01, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xC0, ##         0000000000000000000000000000000000000000000      
            0x00, 0x00, 0x07, 0xFF, 0xF0, 0x00, 0x00, ##                       000000000000000                    
            0x00, 0x00, 0x03, 0xFF, 0xE0, 0x00, 0x00, ##                        0000000000000                     
            0x00, 0x00, 0x03, 0xFF, 0xE0, 0x00, 0x00, ##                        0000000000000                     
            0x00, 0x00, 0x01, 0xFF, 0xC0, 0x00, 0x00, ##                         00000000000                      
            0x00, 0x00, 0x01, 0xFF, 0x80, 0x00, 0x00, ##                         0000000000                       
            0x00, 0x00, 0x00, 0xFF, 0x80, 0x00, 0x00, ##                          000000000                       
            0x00, 0x00, 0x00, 0xFF, 0x80, 0x00, 0x00, ##                          000000000                       
            0x00, 0x00, 0x00, 0xFF, 0x80, 0x00, 0x00, ##                          000000000                       
            0x00, 0x00, 0x00, 0xFF, 0x80, 0x00, 0x00, ##                          000000000                       
            0x01, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xC0, ##         0000000000000000000000000000000000000000000      
            0x01, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xC0, ##         0000000000000000000000000000000000000000000      
            0x01, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xC0, ##         0000000000000000000000000000000000000000000      
            0x01, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xC0, ##         0000000000000000000000000000000000000000000      
            0x00, 0x00, 0x00, 0xFF, 0x80, 0x00, 0x00, ##                          000000000                       
            0x00, 0x00, 0x00, 0xFF, 0x80, 0x00, 0x00, ##                          000000000                       
            0x00, 0x00, 0x00, 0xFF, 0x80, 0x00, 0x00, ##                          000000000                       
            0x00, 0x00, 0x00, 0xFF, 0x80, 0x00, 0x00, ##                          000000000                       
            0x00, 0x00, 0x00, 0xFF, 0x80, 0x00, 0x00, ##                          000000000                       
            0x00, 0x00, 0x00, 0xFF, 0x80, 0x00, 0x00, ##                          000000000                       
            0x00, 0x00, 0x00, 0xFF, 0x80, 0x00, 0x00, ##                          000000000                       
            0x00, 0x00, 0x00, 0xFF, 0x80, 0x00, 0x00, ##                          000000000                       
            0x00, 0x00, 0x00, 0xFF, 0x80, 0x00, 0x00, ##                          000000000                       
            0x00, 0x00, 0x00, 0xFF, 0x80, 0x00, 0x00, ##                          000000000                       
            0x00, 0x00, 0x00, 0xFF, 0x80, 0x00, 0x00, ##                          000000000                       
            0x00, 0x00, 0x00, 0xFF, 0x80, 0x00, 0x00, ##                          000000000                       
            0x00, 0x00, 0x00, 0xFF, 0x80, 0x00, 0x00, ##                          000000000                       
            0x00, 0x00, 0x00, 0xFF, 0x80, 0x00, 0x00, ##                          000000000                       
            0x00, 0x00, 0x00, 0xFF, 0x80, 0x00, 0x00, ##                          000000000                       
            0x00, 0x00, 0x00, 0xFF, 0x80, 0x00, 0x00, ##                          000000000                       
            0x00, 0x00, 0x00, 0xFF, 0x80, 0x00, 0x00, ##                          000000000                       
            0x00, 0x00, 0xFF, 0xFF, 0xFF, 0x80, 0x00, ##                  0000000000000000000000000               
            0x00, 0x00, 0xFF, 0xFF, 0xFF, 0x80, 0x00, ##                  0000000000000000000000000               
            0x00, 0x00, 0xFF, 0xFF, 0xFF, 0x80, 0x00, ##                  0000000000000000000000000               
            0x00, 0x00, 0xFF, 0xFF, 0xFF, 0x80, 0x00, ##                  0000000000000000000000000               
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '166' => {    # '¦'
        'width'    => 7, 
        'xoffset'  => 11, 
        'xadvance' => 29, 
        'bitmap'   => [ 
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0x00, ##         
            0x00, ##         
            0x00, ##         
            0x00, ##         
            0x00, ##         
            0x00, ##         
            0x00, ##         
            0x00, ##         
            0x00, ##         
            0x00, ##         
            0x00, ##         
            0x00, ##         
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0xFE, ##  0000000
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
            0x00, ##  
        ], 
    }, 
    '167' => {    # '§'
        'width'    => 36, 
        'xoffset'  => 4, 
        'xadvance' => 44, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x07, 0xFF, 0x00, 0x00, ##               00000000000            
            0x00, 0x3F, 0xFF, 0xF8, 0x00, ##            0000000000000000000       
            0x00, 0xFF, 0xFF, 0xFE, 0x00, ##          00000000000000000000000     
            0x01, 0xFF, 0xFF, 0xFE, 0x00, ##         000000000000000000000000     
            0x03, 0xFE, 0x03, 0xFE, 0x00, ##        000000000       000000000     
            0x07, 0xF8, 0x00, 0xFE, 0x00, ##       00000000           0000000     
            0x0F, 0xF0, 0x00, 0x3E, 0x00, ##      00000000              00000     
            0x0F, 0xE0, 0x00, 0x3E, 0x00, ##      0000000               00000     
            0x0F, 0xE0, 0x00, 0x1E, 0x00, ##      0000000                0000     
            0x1F, 0xC0, 0x00, 0x1E, 0x00, ##     0000000                 0000     
            0x1F, 0xC0, 0x00, 0x1E, 0x00, ##     0000000                 0000     
            0x1F, 0xC0, 0x00, 0x00, 0x00, ##     0000000                          
            0x1F, 0xC0, 0x00, 0x00, 0x00, ##     0000000                          
            0x1F, 0xC0, 0x00, 0x00, 0x00, ##     0000000                          
            0x1F, 0xE0, 0x00, 0x00, 0x00, ##     00000000                         
            0x1F, 0xF0, 0x00, 0x00, 0x00, ##     000000000                        
            0x0F, 0xF8, 0x00, 0x00, 0x00, ##      000000000                       
            0x0F, 0xFC, 0x00, 0x00, 0x00, ##      0000000000                      
            0x07, 0xFE, 0x00, 0x00, 0x00, ##       0000000000                     
            0x03, 0xFF, 0x80, 0x00, 0x00, ##        00000000000                   
            0x03, 0xFF, 0xC0, 0x00, 0x00, ##        000000000000                  
            0x00, 0xFF, 0xF0, 0x00, 0x00, ##          000000000000                
            0x00, 0x7F, 0xFC, 0x00, 0x00, ##           0000000000000              
            0x00, 0xFF, 0xFE, 0x00, 0x00, ##          000000000000000             
            0x03, 0xFF, 0xFF, 0x80, 0x00, ##        0000000000000000000           
            0x0F, 0xE3, 0xFF, 0xE0, 0x00, ##      0000000   0000000000000         
            0x1F, 0xC1, 0xFF, 0xF0, 0x00, ##     0000000     0000000000000        
            0x3F, 0x80, 0x7F, 0xFC, 0x00, ##    0000000        0000000000000      
            0x7F, 0x00, 0x1F, 0xFE, 0x00, ##   0000000           000000000000     
            0x7F, 0x00, 0x0F, 0xFF, 0x00, ##   0000000            000000000000    
            0x7E, 0x00, 0x03, 0xFF, 0x80, ##   000000               00000000000   
            0xFE, 0x00, 0x00, 0xFF, 0xC0, ##  0000000                 0000000000  
            0xFE, 0x00, 0x00, 0x7F, 0xE0, ##  0000000                  0000000000 
            0xFE, 0x00, 0x00, 0x3F, 0xE0, ##  0000000                   000000000 
            0xFE, 0x00, 0x00, 0x1F, 0xE0, ##  0000000                    00000000 
            0xFF, 0x00, 0x00, 0x0F, 0xF0, ##  00000000                    00000000
            0xFF, 0x80, 0x00, 0x0F, 0xF0, ##  000000000                   00000000
            0xFF, 0x80, 0x00, 0x07, 0xF0, ##  000000000                    0000000
            0x7F, 0xC0, 0x00, 0x07, 0xF0, ##   000000000                   0000000
            0x7F, 0xE0, 0x00, 0x07, 0xF0, ##   0000000000                  0000000
            0x3F, 0xF8, 0x00, 0x07, 0xF0, ##    00000000000                0000000
            0x1F, 0xFC, 0x00, 0x07, 0xF0, ##     00000000000               0000000
            0x0F, 0xFE, 0x00, 0x0F, 0xE0, ##      00000000000             0000000 
            0x07, 0xFF, 0x80, 0x0F, 0xE0, ##       000000000000           0000000 
            0x03, 0xFF, 0xC0, 0x1F, 0xC0, ##        000000000000         0000000  
            0x01, 0xFF, 0xF0, 0x1F, 0x80, ##         0000000000000       000000   
            0x00, 0x7F, 0xFC, 0x3F, 0x00, ##           0000000000000    000000    
            0x00, 0x3F, 0xFF, 0xFE, 0x00, ##            000000000000000000000     
            0x00, 0x0F, 0xFF, 0xF8, 0x00, ##              00000000000000000       
            0x00, 0x03, 0xFF, 0xE0, 0x00, ##                0000000000000         
            0x00, 0x00, 0xFF, 0xF0, 0x00, ##                  000000000000        
            0x00, 0x00, 0x7F, 0xF8, 0x00, ##                   000000000000       
            0x00, 0x00, 0x1F, 0xFC, 0x00, ##                     00000000000      
            0x00, 0x00, 0x0F, 0xFE, 0x00, ##                      00000000000     
            0x00, 0x00, 0x03, 0xFF, 0x00, ##                        0000000000    
            0x00, 0x00, 0x01, 0xFF, 0x00, ##                         000000000    
            0x00, 0x00, 0x00, 0xFF, 0x00, ##                          00000000    
            0x00, 0x00, 0x00, 0x7F, 0x80, ##                           00000000   
            0x00, 0x00, 0x00, 0x7F, 0x80, ##                           00000000   
            0x00, 0x00, 0x00, 0x3F, 0x80, ##                            0000000   
            0x00, 0x00, 0x00, 0x3F, 0x80, ##                            0000000   
            0x00, 0x00, 0x00, 0x3F, 0x80, ##                            0000000   
            0x1E, 0x00, 0x00, 0x3F, 0x80, ##     0000                   0000000   
            0x1E, 0x00, 0x00, 0x3F, 0x80, ##     0000                   0000000   
            0x1E, 0x00, 0x00, 0x7F, 0x00, ##     0000                  0000000    
            0x1F, 0x00, 0x00, 0x7F, 0x00, ##     00000                 0000000    
            0x1F, 0x00, 0x00, 0xFF, 0x00, ##     00000                00000000    
            0x1F, 0xC0, 0x03, 0xFE, 0x00, ##     0000000            000000000     
            0x1F, 0xF0, 0x0F, 0xFC, 0x00, ##     000000000        0000000000      
            0x1F, 0xFF, 0xFF, 0xF8, 0x00, ##     00000000000000000000000000       
            0x1F, 0xFF, 0xFF, 0xE0, 0x00, ##     000000000000000000000000         
            0x07, 0xFF, 0xFF, 0xC0, 0x00, ##       000000000000000000000          
            0x00, 0x3F, 0xFC, 0x00, 0x00, ##            000000000000              
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '168' => {    # '¨'
        'width'    => 26, 
        'xoffset'  => 9, 
        'xadvance' => 44, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x1E, 0x00, 0x1E, 0x00, ##     0000            0000   
            0x7F, 0x80, 0x7F, 0x80, ##   00000000        00000000 
            0x7F, 0x80, 0x7F, 0x80, ##   00000000        00000000 
            0xFF, 0xC0, 0xFF, 0xC0, ##  0000000000      0000000000
            0xFF, 0xC0, 0xFF, 0xC0, ##  0000000000      0000000000
            0xFF, 0xC0, 0xFF, 0xC0, ##  0000000000      0000000000
            0xFF, 0xC0, 0xFF, 0xC0, ##  0000000000      0000000000
            0x7F, 0x80, 0x7F, 0x80, ##   00000000        00000000 
            0x7F, 0x80, 0x7F, 0x80, ##   00000000        00000000 
            0x1E, 0x00, 0x1E, 0x00, ##     0000            0000   
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '169' => {    # '©'
        'width'    => 63, 
        'xoffset'  => 12, 
        'xadvance' => 87, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x3F, 0xF8, 0x00, 0x00, 0x00, ##                            00000000000                          
            0x00, 0x00, 0x03, 0xFF, 0xFF, 0x80, 0x00, 0x00, ##                        0000000000000000000                      
            0x00, 0x00, 0x1F, 0xFF, 0xFF, 0xF0, 0x00, 0x00, ##                     0000000000000000000000000                   
            0x00, 0x00, 0x7F, 0xFF, 0xFF, 0xFC, 0x00, 0x00, ##                   00000000000000000000000000000                 
            0x00, 0x01, 0xFF, 0xC0, 0x07, 0xFF, 0x00, 0x00, ##                 00000000000           00000000000               
            0x00, 0x03, 0xFC, 0x00, 0x00, 0x7F, 0x80, 0x00, ##                00000000                   00000000              
            0x00, 0x07, 0xF0, 0x00, 0x00, 0x1F, 0xC0, 0x00, ##               0000000                       0000000             
            0x00, 0x1F, 0xC0, 0x00, 0x00, 0x07, 0xF0, 0x00, ##             0000000                           0000000           
            0x00, 0x3F, 0x80, 0x00, 0x00, 0x01, 0xF8, 0x00, ##            0000000                              000000          
            0x00, 0x7E, 0x00, 0x00, 0x00, 0x00, 0xFC, 0x00, ##           000000                                 000000         
            0x00, 0xFC, 0x00, 0x00, 0x00, 0x00, 0x7E, 0x00, ##          000000                                   000000        
            0x01, 0xF8, 0x00, 0x00, 0x00, 0x00, 0x3F, 0x00, ##         000000                                     000000       
            0x01, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x1F, 0x00, ##         00000                                       00000       
            0x03, 0xE0, 0x00, 0x1F, 0xF0, 0x00, 0x0F, 0x80, ##        00000                000000000                00000      
            0x07, 0xC0, 0x00, 0xFF, 0xFF, 0x00, 0x07, 0xC0, ##       00000              0000000000000000             00000     
            0x0F, 0x80, 0x03, 0xFF, 0xFF, 0xC0, 0x03, 0xC0, ##      00000             00000000000000000000            0000     
            0x0F, 0x80, 0x07, 0xFF, 0xFF, 0xF8, 0x03, 0xE0, ##      00000            000000000000000000000000         00000    
            0x1F, 0x00, 0x1F, 0xF0, 0x1F, 0xF8, 0x01, 0xF0, ##     00000           000000000       0000000000          00000   
            0x1E, 0x00, 0x1F, 0xC0, 0x03, 0xF8, 0x00, 0xF0, ##     0000            0000000            0000000           0000   
            0x3E, 0x00, 0x3F, 0x80, 0x01, 0xF8, 0x00, 0xF8, ##    00000           0000000              000000           00000  
            0x3C, 0x00, 0x7F, 0x00, 0x00, 0xF8, 0x00, 0x78, ##    0000           0000000                00000            0000  
            0x3C, 0x00, 0xFE, 0x00, 0x00, 0xF8, 0x00, 0x78, ##    0000          0000000                 00000            0000  
            0x7C, 0x00, 0xFE, 0x00, 0x00, 0x78, 0x00, 0x7C, ##   00000          0000000                  0000            00000 
            0x78, 0x01, 0xFC, 0x00, 0x00, 0x78, 0x00, 0x3C, ##   0000          0000000                   0000             0000 
            0x78, 0x01, 0xFC, 0x00, 0x00, 0x78, 0x00, 0x3C, ##   0000          0000000                   0000             0000 
            0x78, 0x01, 0xFC, 0x00, 0x00, 0x38, 0x00, 0x3C, ##   0000          0000000                    000             0000 
            0xF8, 0x01, 0xF8, 0x00, 0x00, 0x00, 0x00, 0x3E, ##  00000          000000                                     00000
            0xF0, 0x03, 0xF8, 0x00, 0x00, 0x00, 0x00, 0x1E, ##  0000          0000000                                      0000
            0xF0, 0x03, 0xF8, 0x00, 0x00, 0x00, 0x00, 0x1E, ##  0000          0000000                                      0000
            0xF0, 0x03, 0xF8, 0x00, 0x00, 0x00, 0x00, 0x1E, ##  0000          0000000                                      0000
            0xF0, 0x03, 0xF8, 0x00, 0x00, 0x00, 0x00, 0x1E, ##  0000          0000000                                      0000
            0xF0, 0x03, 0xF8, 0x00, 0x00, 0x00, 0x00, 0x1E, ##  0000          0000000                                      0000
            0xF0, 0x03, 0xF8, 0x00, 0x00, 0x00, 0x00, 0x1E, ##  0000          0000000                                      0000
            0xF0, 0x03, 0xF8, 0x00, 0x00, 0x00, 0x00, 0x1E, ##  0000          0000000                                      0000
            0xF0, 0x03, 0xF8, 0x00, 0x00, 0x00, 0x00, 0x1E, ##  0000          0000000                                      0000
            0xF0, 0x03, 0xF8, 0x00, 0x00, 0x00, 0x00, 0x1E, ##  0000          0000000                                      0000
            0xF0, 0x03, 0xF8, 0x00, 0x00, 0x00, 0x00, 0x1E, ##  0000          0000000                                      0000
            0xF0, 0x01, 0xF8, 0x00, 0x00, 0x00, 0x00, 0x3E, ##  0000           000000                                     00000
            0x78, 0x01, 0xFC, 0x00, 0x00, 0x00, 0x00, 0x3C, ##   0000          0000000                                    0000 
            0x78, 0x01, 0xFC, 0x00, 0x00, 0x7C, 0x00, 0x3C, ##   0000          0000000                   00000            0000 
            0x78, 0x01, 0xFC, 0x00, 0x00, 0x7C, 0x00, 0x3C, ##   0000          0000000                   00000            0000 
            0x7C, 0x00, 0xFE, 0x00, 0x00, 0x7C, 0x00, 0x7C, ##   00000          0000000                  00000           00000 
            0x3C, 0x00, 0xFE, 0x00, 0x00, 0xF8, 0x00, 0x78, ##    0000          0000000                 00000            0000  
            0x3C, 0x00, 0x7F, 0x00, 0x01, 0xF8, 0x00, 0x78, ##    0000           0000000               000000            0000  
            0x3E, 0x00, 0x3F, 0x80, 0x01, 0xF0, 0x00, 0xF8, ##    00000           0000000              00000            00000  
            0x1E, 0x00, 0x3F, 0xC0, 0x07, 0xF0, 0x00, 0xF0, ##     0000           00000000           0000000            0000   
            0x1F, 0x00, 0x1F, 0xF0, 0x1F, 0xE0, 0x01, 0xF0, ##     00000           000000000       00000000            00000   
            0x0F, 0x80, 0x07, 0xFF, 0xFF, 0xC0, 0x03, 0xE0, ##      00000            000000000000000000000            00000    
            0x0F, 0x80, 0x03, 0xFF, 0xFF, 0x80, 0x03, 0xE0, ##      00000             0000000000000000000             00000    
            0x07, 0xC0, 0x00, 0xFF, 0xFE, 0x00, 0x07, 0xC0, ##       00000              000000000000000              00000     
            0x03, 0xE0, 0x00, 0x1F, 0xF0, 0x00, 0x0F, 0x80, ##        00000                000000000                00000      
            0x03, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x1F, 0x00, ##        000000                                       00000       
            0x01, 0xF8, 0x00, 0x00, 0x00, 0x00, 0x3F, 0x00, ##         000000                                     000000       
            0x00, 0xFC, 0x00, 0x00, 0x00, 0x00, 0x7E, 0x00, ##          000000                                   000000        
            0x00, 0x7E, 0x00, 0x00, 0x00, 0x00, 0xFC, 0x00, ##           000000                                 000000         
            0x00, 0x3F, 0x80, 0x00, 0x00, 0x03, 0xF8, 0x00, ##            0000000                             0000000          
            0x00, 0x1F, 0xC0, 0x00, 0x00, 0x07, 0xF0, 0x00, ##             0000000                           0000000           
            0x00, 0x0F, 0xF0, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##              00000000                       00000000            
            0x00, 0x03, 0xFC, 0x00, 0x00, 0x7F, 0x80, 0x00, ##                00000000                   00000000              
            0x00, 0x01, 0xFF, 0xC0, 0x07, 0xFF, 0x00, 0x00, ##                 00000000000           00000000000               
            0x00, 0x00, 0x7F, 0xFF, 0xFF, 0xFC, 0x00, 0x00, ##                   00000000000000000000000000000                 
            0x00, 0x00, 0x1F, 0xFF, 0xFF, 0xF0, 0x00, 0x00, ##                     0000000000000000000000000                   
            0x00, 0x00, 0x03, 0xFF, 0xFF, 0x80, 0x00, 0x00, ##                        0000000000000000000                      
            0x00, 0x00, 0x00, 0x3F, 0xF8, 0x00, 0x00, 0x00, ##                            00000000000                          
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '170' => {    # 'ª'
        'width'    => 34, 
        'xoffset'  => 5, 
        'xadvance' => 41, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x3F, 0xF0, 0x00, 0x00, ##            0000000000              
            0x07, 0xFF, 0xFE, 0x00, 0x00, ##       000000000000000000           
            0x1F, 0xFF, 0xFF, 0x80, 0x00, ##     0000000000000000000000         
            0x1F, 0xE0, 0x3F, 0xC0, 0x00, ##     00000000       00000000        
            0x1F, 0x80, 0x07, 0xE0, 0x00, ##     000000            000000       
            0x1F, 0x00, 0x03, 0xF0, 0x00, ##     00000              000000      
            0x1E, 0x00, 0x01, 0xF8, 0x00, ##     0000                000000     
            0x1E, 0x00, 0x01, 0xF8, 0x00, ##     0000                000000     
            0x1C, 0x00, 0x00, 0xF8, 0x00, ##     000                  00000     
            0x00, 0x00, 0x00, 0xFC, 0x00, ##                          000000    
            0x00, 0x00, 0x00, 0xFC, 0x00, ##                          000000    
            0x00, 0x00, 0x00, 0xFC, 0x00, ##                          000000    
            0x00, 0x00, 0x00, 0xFC, 0x00, ##                          000000    
            0x00, 0x3F, 0xFF, 0xFC, 0x00, ##            00000000000000000000    
            0x03, 0xFF, 0xFF, 0xFC, 0x00, ##        000000000000000000000000    
            0x0F, 0xFF, 0xFF, 0xFC, 0x00, ##      00000000000000000000000000    
            0x1F, 0xF0, 0x00, 0xFC, 0x00, ##     000000000            000000    
            0x3F, 0xC0, 0x00, 0xFC, 0x00, ##    00000000              000000    
            0x7F, 0x00, 0x00, 0xFC, 0x00, ##   0000000                000000    
            0x7F, 0x00, 0x00, 0xFC, 0x00, ##   0000000                000000    
            0xFE, 0x00, 0x00, 0xFC, 0x00, ##  0000000                 000000    
            0xFE, 0x00, 0x00, 0xFC, 0x00, ##  0000000                 000000    
            0xFE, 0x00, 0x00, 0xFC, 0x00, ##  0000000                 000000    
            0xFE, 0x00, 0x00, 0xFC, 0x00, ##  0000000                 000000    
            0xFE, 0x00, 0x00, 0xFC, 0x00, ##  0000000                 000000    
            0xFE, 0x00, 0x01, 0xFC, 0x00, ##  0000000                0000000    
            0x7F, 0x00, 0x01, 0xFC, 0x00, ##   0000000               0000000    
            0x7F, 0x00, 0x03, 0xFC, 0x00, ##   0000000              00000000    
            0x3F, 0xC0, 0x07, 0xFC, 0x00, ##    00000000           000000000    
            0x1F, 0xF0, 0x1F, 0xFF, 0xC0, ##     000000000       000000000000000
            0x0F, 0xFF, 0xFC, 0xFF, 0xC0, ##      000000000000000000  0000000000
            0x07, 0xFF, 0xF8, 0xFF, 0xC0, ##       0000000000000000   0000000000
            0x00, 0xFF, 0xC0, 0x00, 0x00, ##          0000000000                
            0x00, 0x00, 0x00, 0x00, 0x00, ##                                    
            0x00, 0x00, 0x00, 0x00, 0x00, ##                                    
            0x00, 0x00, 0x00, 0x00, 0x00, ##                                    
            0x00, 0x00, 0x00, 0x00, 0x00, ##                                    
            0x3F, 0xFF, 0xFF, 0xFF, 0x00, ##    000000000000000000000000000000  
            0x3F, 0xFF, 0xFF, 0xFF, 0x00, ##    000000000000000000000000000000  
            0x3F, 0xFF, 0xFF, 0xFF, 0x00, ##    000000000000000000000000000000  
            0x3F, 0xFF, 0xFF, 0xFF, 0x00, ##    000000000000000000000000000000  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '171' => {    # '«'
        'width'    => 39, 
        'xoffset'  => 7, 
        'xadvance' => 54, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x02, ##                                        0
            0x00, 0x00, 0x10, 0x00, 0x06, ##                     0                 00
            0x00, 0x00, 0x30, 0x00, 0x0E, ##                    00                000
            0x00, 0x00, 0x70, 0x00, 0x1E, ##                   000               0000
            0x00, 0x01, 0xF0, 0x00, 0x3E, ##                 00000              00000
            0x00, 0x03, 0xF0, 0x00, 0x7C, ##                000000             00000 
            0x00, 0x07, 0xE0, 0x00, 0xFC, ##               000000             000000 
            0x00, 0x0F, 0xC0, 0x01, 0xF8, ##              000000             000000  
            0x00, 0x1F, 0x80, 0x03, 0xF0, ##             000000             000000   
            0x00, 0x3F, 0x00, 0x0F, 0xE0, ##            000000            0000000    
            0x00, 0x7F, 0x00, 0x1F, 0xC0, ##           0000000           0000000     
            0x00, 0xFE, 0x00, 0x3F, 0x80, ##          0000000           0000000      
            0x01, 0xFC, 0x00, 0x7F, 0x00, ##         0000000           0000000       
            0x07, 0xF8, 0x00, 0xFF, 0x00, ##       00000000           00000000       
            0x0F, 0xF0, 0x01, 0xFE, 0x00, ##      00000000           00000000        
            0x1F, 0xE0, 0x03, 0xFC, 0x00, ##     00000000           00000000         
            0x3F, 0xC0, 0x07, 0xF8, 0x00, ##    00000000           00000000          
            0x7F, 0xC0, 0x0F, 0xF0, 0x00, ##   000000000          00000000           
            0xFF, 0x80, 0x3F, 0xE0, 0x00, ##  000000000         000000000            
            0xFF, 0x00, 0x3F, 0xC0, 0x00, ##  00000000          00000000             
            0xFF, 0x00, 0x3F, 0xC0, 0x00, ##  00000000          00000000             
            0xFF, 0x00, 0x3F, 0xE0, 0x00, ##  00000000          000000000            
            0x7F, 0x80, 0x1F, 0xF0, 0x00, ##   00000000          000000000           
            0x3F, 0xC0, 0x0F, 0xF8, 0x00, ##    00000000          000000000          
            0x1F, 0xE0, 0x07, 0xFC, 0x00, ##     00000000          000000000         
            0x0F, 0xF0, 0x03, 0xFC, 0x00, ##      00000000          00000000         
            0x07, 0xF8, 0x00, 0xFE, 0x00, ##       00000000           0000000        
            0x03, 0xFC, 0x00, 0x7F, 0x00, ##        00000000           0000000       
            0x01, 0xFC, 0x00, 0x3F, 0x80, ##         0000000            0000000      
            0x00, 0xFE, 0x00, 0x1F, 0xC0, ##          0000000            0000000     
            0x00, 0x3F, 0x00, 0x0F, 0xE0, ##            000000            0000000    
            0x00, 0x1F, 0x80, 0x07, 0xF0, ##             000000            0000000   
            0x00, 0x0F, 0xC0, 0x03, 0xF0, ##              000000            000000   
            0x00, 0x07, 0xE0, 0x01, 0xF8, ##               000000            000000  
            0x00, 0x03, 0xF0, 0x00, 0xFC, ##                000000            000000 
            0x00, 0x01, 0xF0, 0x00, 0x3E, ##                 00000              00000
            0x00, 0x00, 0xF0, 0x00, 0x1E, ##                  0000               0000
            0x00, 0x00, 0x70, 0x00, 0x0E, ##                   000                000
            0x00, 0x00, 0x30, 0x00, 0x06, ##                    00                 00
            0x00, 0x00, 0x00, 0x00, 0x02, ##                                        0
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '172' => {    # '¬'
        'width'    => 54, 
        'xoffset'  => 10, 
        'xadvance' => 73, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFC, ##  000000000000000000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFC, ##  000000000000000000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFC, ##  000000000000000000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFC, ##  000000000000000000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFC, ##  000000000000000000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFC, ##  000000000000000000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFC, ##  000000000000000000000000000000000000000000000000000000
            0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xFC, ##                                                 0000000
            0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xFC, ##                                                 0000000
            0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xFC, ##                                                 0000000
            0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xFC, ##                                                 0000000
            0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xFC, ##                                                 0000000
            0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xFC, ##                                                 0000000
            0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xFC, ##                                                 0000000
            0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xFC, ##                                                 0000000
            0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xFC, ##                                                 0000000
            0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xFC, ##                                                 0000000
            0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xFC, ##                                                 0000000
            0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xFC, ##                                                 0000000
            0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xFC, ##                                                 0000000
            0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xFC, ##                                                 0000000
            0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xFC, ##                                                 0000000
            0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xFC, ##                                                 0000000
            0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xFC, ##                                                 0000000
            0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xFC, ##                                                 0000000
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '173' => {    # '­'
        'width'    => 22, 
        'xoffset'  => 4, 
        'xadvance' => 30, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0xFF, 0xFF, 0xFC, ##  0000000000000000000000
            0xFF, 0xFF, 0xFC, ##  0000000000000000000000
            0xFF, 0xFF, 0xFC, ##  0000000000000000000000
            0xFF, 0xFF, 0xFC, ##  0000000000000000000000
            0xFF, 0xFF, 0xFC, ##  0000000000000000000000
            0xFF, 0xFF, 0xFC, ##  0000000000000000000000
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '174' => {    # '®'
        'width'    => 63, 
        'xoffset'  => 12, 
        'xadvance' => 87, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x3F, 0xF8, 0x00, 0x00, 0x00, ##                            00000000000                          
            0x00, 0x00, 0x03, 0xFF, 0xFF, 0x80, 0x00, 0x00, ##                        0000000000000000000                      
            0x00, 0x00, 0x1F, 0xFF, 0xFF, 0xF0, 0x00, 0x00, ##                     0000000000000000000000000                   
            0x00, 0x00, 0x7F, 0xFF, 0xFF, 0xFC, 0x00, 0x00, ##                   00000000000000000000000000000                 
            0x00, 0x01, 0xFF, 0xC0, 0x07, 0xFF, 0x00, 0x00, ##                 00000000000           00000000000               
            0x00, 0x03, 0xFC, 0x00, 0x00, 0x7F, 0x80, 0x00, ##                00000000                   00000000              
            0x00, 0x07, 0xF0, 0x00, 0x00, 0x1F, 0xC0, 0x00, ##               0000000                       0000000             
            0x00, 0x1F, 0xC0, 0x00, 0x00, 0x07, 0xF0, 0x00, ##             0000000                           0000000           
            0x00, 0x3F, 0x80, 0x00, 0x00, 0x01, 0xF8, 0x00, ##            0000000                              000000          
            0x00, 0x7E, 0x00, 0x00, 0x00, 0x00, 0xFC, 0x00, ##           000000                                 000000         
            0x00, 0xFC, 0x00, 0x00, 0x00, 0x00, 0x7E, 0x00, ##          000000                                   000000        
            0x01, 0xF8, 0x00, 0x00, 0x00, 0x00, 0x3F, 0x00, ##         000000                                     000000       
            0x01, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x1F, 0x00, ##         00000                                       00000       
            0x03, 0xE0, 0x00, 0x00, 0x00, 0x00, 0x0F, 0x80, ##        00000                                         00000      
            0x07, 0xC0, 0xFF, 0xFF, 0xFC, 0x00, 0x07, 0xC0, ##       00000      0000000000000000000000               00000     
            0x0F, 0x80, 0xFF, 0xFF, 0xFF, 0x80, 0x03, 0xC0, ##      00000       0000000000000000000000000             0000     
            0x0F, 0x80, 0xFF, 0xFF, 0xFF, 0xC0, 0x03, 0xE0, ##      00000       00000000000000000000000000            00000    
            0x1F, 0x00, 0x0F, 0xC0, 0x1F, 0xE0, 0x01, 0xF0, ##     00000            000000         00000000            00000   
            0x1E, 0x00, 0x0F, 0xC0, 0x07, 0xF0, 0x00, 0xF0, ##     0000             000000           0000000            0000   
            0x3E, 0x00, 0x0F, 0xC0, 0x03, 0xF0, 0x00, 0xF8, ##    00000             000000            000000            00000  
            0x3C, 0x00, 0x0F, 0xC0, 0x03, 0xF8, 0x00, 0x78, ##    0000              000000            0000000            0000  
            0x3C, 0x00, 0x0F, 0xC0, 0x01, 0xF8, 0x00, 0x78, ##    0000              000000             000000            0000  
            0x7C, 0x00, 0x0F, 0xC0, 0x01, 0xF8, 0x00, 0x7C, ##   00000              000000             000000            00000 
            0x78, 0x00, 0x0F, 0xC0, 0x01, 0xF8, 0x00, 0x3C, ##   0000               000000             000000             0000 
            0x78, 0x00, 0x0F, 0xC0, 0x01, 0xF8, 0x00, 0x3C, ##   0000               000000             000000             0000 
            0x78, 0x00, 0x0F, 0xC0, 0x01, 0xF8, 0x00, 0x3C, ##   0000               000000             000000             0000 
            0xF8, 0x00, 0x0F, 0xC0, 0x03, 0xF8, 0x00, 0x3E, ##  00000               000000            0000000             00000
            0xF0, 0x00, 0x0F, 0xC0, 0x03, 0xF0, 0x00, 0x1E, ##  0000                000000            000000               0000
            0xF0, 0x00, 0x0F, 0xC0, 0x07, 0xF0, 0x00, 0x1E, ##  0000                000000           0000000               0000
            0xF0, 0x00, 0x0F, 0xC0, 0x1F, 0xE0, 0x00, 0x1E, ##  0000                000000         00000000                0000
            0xF0, 0x00, 0x0F, 0xFF, 0xFF, 0x80, 0x00, 0x1E, ##  0000                000000000000000000000                  0000
            0xF0, 0x00, 0x0F, 0xFF, 0xF8, 0x00, 0x00, 0x1E, ##  0000                00000000000000000                      0000
            0xF0, 0x00, 0x0F, 0xFF, 0xFE, 0x00, 0x00, 0x1E, ##  0000                0000000000000000000                    0000
            0xF0, 0x00, 0x0F, 0xC0, 0x7F, 0x00, 0x00, 0x1E, ##  0000                000000       0000000                   0000
            0xF0, 0x00, 0x0F, 0xC0, 0x3F, 0x80, 0x00, 0x1E, ##  0000                000000        0000000                  0000
            0xF0, 0x00, 0x0F, 0xC0, 0x1F, 0xC0, 0x00, 0x1E, ##  0000                000000         0000000                 0000
            0xF0, 0x00, 0x0F, 0xC0, 0x0F, 0xC0, 0x00, 0x1E, ##  0000                000000          000000                 0000
            0xF0, 0x00, 0x0F, 0xC0, 0x0F, 0xE0, 0x00, 0x3E, ##  0000                000000          0000000               00000
            0x78, 0x00, 0x0F, 0xC0, 0x07, 0xE0, 0x00, 0x3C, ##   0000               000000           000000               0000 
            0x78, 0x00, 0x0F, 0xC0, 0x07, 0xF0, 0x00, 0x3C, ##   0000               000000           0000000              0000 
            0x78, 0x00, 0x0F, 0xC0, 0x03, 0xF0, 0x00, 0x3C, ##   0000               000000            000000              0000 
            0x7C, 0x00, 0x0F, 0xC0, 0x03, 0xF8, 0x00, 0x7C, ##   00000              000000            0000000            00000 
            0x3C, 0x00, 0x0F, 0xC0, 0x01, 0xF8, 0x00, 0x78, ##    0000              000000             000000            0000  
            0x3C, 0x00, 0x0F, 0xC0, 0x01, 0xFC, 0x00, 0x78, ##    0000              000000             0000000           0000  
            0x3E, 0x00, 0x0F, 0xC0, 0x00, 0xFC, 0x00, 0xF8, ##    00000             000000              000000          00000  
            0x1E, 0x00, 0x0F, 0xC0, 0x00, 0xFE, 0x00, 0xF0, ##     0000             000000              0000000         0000   
            0x1F, 0x00, 0xFF, 0xF8, 0x00, 0x7F, 0xC1, 0xF0, ##     00000        0000000000000            000000000     00000   
            0x0F, 0x80, 0xFF, 0xF8, 0x00, 0x7F, 0xC3, 0xE0, ##      00000       0000000000000            000000000    00000    
            0x0F, 0x80, 0xFF, 0xF8, 0x00, 0x3F, 0xC3, 0xE0, ##      00000       0000000000000             00000000    00000    
            0x07, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x07, 0xC0, ##       00000                                           00000     
            0x03, 0xE0, 0x00, 0x00, 0x00, 0x00, 0x0F, 0x80, ##        00000                                         00000      
            0x03, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x1F, 0x00, ##        000000                                       00000       
            0x01, 0xF8, 0x00, 0x00, 0x00, 0x00, 0x3F, 0x00, ##         000000                                     000000       
            0x00, 0xFC, 0x00, 0x00, 0x00, 0x00, 0x7E, 0x00, ##          000000                                   000000        
            0x00, 0x7E, 0x00, 0x00, 0x00, 0x00, 0xFC, 0x00, ##           000000                                 000000         
            0x00, 0x3F, 0x80, 0x00, 0x00, 0x03, 0xF8, 0x00, ##            0000000                             0000000          
            0x00, 0x1F, 0xC0, 0x00, 0x00, 0x07, 0xF0, 0x00, ##             0000000                           0000000           
            0x00, 0x0F, 0xF0, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##              00000000                       00000000            
            0x00, 0x03, 0xFC, 0x00, 0x00, 0x7F, 0x80, 0x00, ##                00000000                   00000000              
            0x00, 0x01, 0xFF, 0xC0, 0x07, 0xFF, 0x00, 0x00, ##                 00000000000           00000000000               
            0x00, 0x00, 0x7F, 0xFF, 0xFF, 0xFC, 0x00, 0x00, ##                   00000000000000000000000000000                 
            0x00, 0x00, 0x1F, 0xFF, 0xFF, 0xF0, 0x00, 0x00, ##                     0000000000000000000000000                   
            0x00, 0x00, 0x03, 0xFF, 0xFF, 0x80, 0x00, 0x00, ##                        0000000000000000000                      
            0x00, 0x00, 0x00, 0x3F, 0xF8, 0x00, 0x00, 0x00, ##                            00000000000                          
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '175' => {    # '¯'
        'width'    => 25, 
        'xoffset'  => 9, 
        'xadvance' => 43, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0xFF, 0xFF, 0xFF, 0x80, ##  0000000000000000000000000
            0xFF, 0xFF, 0xFF, 0x80, ##  0000000000000000000000000
            0xFF, 0xFF, 0xFF, 0x80, ##  0000000000000000000000000
            0xFF, 0xFF, 0xFF, 0x80, ##  0000000000000000000000000
            0xFF, 0xFF, 0xFF, 0x80, ##  0000000000000000000000000
            0xFF, 0xFF, 0xFF, 0x80, ##  0000000000000000000000000
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '176' => {    # '°'
        'width'    => 27, 
        'xoffset'  => 8, 
        'xadvance' => 43, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x3F, 0x80, 0x00, ##            0000000          
            0x01, 0xFF, 0xF0, 0x00, ##         0000000000000       
            0x03, 0xFF, 0xF8, 0x00, ##        000000000000000      
            0x0F, 0xFF, 0xFE, 0x00, ##      0000000000000000000    
            0x1F, 0xFF, 0xFE, 0x00, ##     00000000000000000000    
            0x1F, 0xFF, 0xFF, 0x00, ##     000000000000000000000   
            0x3F, 0xE0, 0xFF, 0x80, ##    000000000     000000000  
            0x7F, 0x80, 0x3F, 0xC0, ##   00000000         00000000 
            0x7F, 0x00, 0x1F, 0xC0, ##   0000000           0000000 
            0x7E, 0x00, 0x0F, 0xC0, ##   000000             000000 
            0xFE, 0x00, 0x0F, 0xE0, ##  0000000             0000000
            0xFC, 0x00, 0x07, 0xE0, ##  000000               000000
            0xFC, 0x00, 0x07, 0xE0, ##  000000               000000
            0xFC, 0x00, 0x07, 0xE0, ##  000000               000000
            0xFC, 0x00, 0x07, 0xE0, ##  000000               000000
            0xFC, 0x00, 0x07, 0xE0, ##  000000               000000
            0xFE, 0x00, 0x0F, 0xE0, ##  0000000             0000000
            0x7E, 0x00, 0x0F, 0xC0, ##   000000             000000 
            0x7F, 0x00, 0x1F, 0xC0, ##   0000000           0000000 
            0x7F, 0x80, 0x3F, 0xC0, ##   00000000         00000000 
            0x3F, 0xE0, 0xFF, 0x80, ##    000000000     000000000  
            0x3F, 0xFF, 0xFF, 0x00, ##    0000000000000000000000   
            0x1F, 0xFF, 0xFF, 0x00, ##     000000000000000000000   
            0x0F, 0xFF, 0xFE, 0x00, ##      0000000000000000000    
            0x07, 0xFF, 0xF8, 0x00, ##       0000000000000000      
            0x01, 0xFF, 0xF0, 0x00, ##         0000000000000       
            0x00, 0x3F, 0x80, 0x00, ##            0000000          
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '177' => {    # '±'
        'width'    => 54, 
        'xoffset'  => 9, 
        'xadvance' => 72, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0xFE, 0x00, 0x00, 0x00, ##                          0000000                       
            0x00, 0x00, 0x00, 0xFE, 0x00, 0x00, 0x00, ##                          0000000                       
            0x00, 0x00, 0x00, 0xFE, 0x00, 0x00, 0x00, ##                          0000000                       
            0x00, 0x00, 0x00, 0xFE, 0x00, 0x00, 0x00, ##                          0000000                       
            0x00, 0x00, 0x00, 0xFE, 0x00, 0x00, 0x00, ##                          0000000                       
            0x00, 0x00, 0x00, 0xFE, 0x00, 0x00, 0x00, ##                          0000000                       
            0x00, 0x00, 0x00, 0xFE, 0x00, 0x00, 0x00, ##                          0000000                       
            0x00, 0x00, 0x00, 0xFE, 0x00, 0x00, 0x00, ##                          0000000                       
            0x00, 0x00, 0x00, 0xFE, 0x00, 0x00, 0x00, ##                          0000000                       
            0x00, 0x00, 0x00, 0xFE, 0x00, 0x00, 0x00, ##                          0000000                       
            0x00, 0x00, 0x00, 0xFE, 0x00, 0x00, 0x00, ##                          0000000                       
            0x00, 0x00, 0x00, 0xFE, 0x00, 0x00, 0x00, ##                          0000000                       
            0x00, 0x00, 0x00, 0xFE, 0x00, 0x00, 0x00, ##                          0000000                       
            0x00, 0x00, 0x00, 0xFE, 0x00, 0x00, 0x00, ##                          0000000                       
            0x00, 0x00, 0x00, 0xFE, 0x00, 0x00, 0x00, ##                          0000000                       
            0x00, 0x00, 0x00, 0xFE, 0x00, 0x00, 0x00, ##                          0000000                       
            0x00, 0x00, 0x00, 0xFE, 0x00, 0x00, 0x00, ##                          0000000                       
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFC, ##  000000000000000000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFC, ##  000000000000000000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFC, ##  000000000000000000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFC, ##  000000000000000000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFC, ##  000000000000000000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFC, ##  000000000000000000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFC, ##  000000000000000000000000000000000000000000000000000000
            0x00, 0x00, 0x00, 0xFE, 0x00, 0x00, 0x00, ##                          0000000                       
            0x00, 0x00, 0x00, 0xFE, 0x00, 0x00, 0x00, ##                          0000000                       
            0x00, 0x00, 0x00, 0xFE, 0x00, 0x00, 0x00, ##                          0000000                       
            0x00, 0x00, 0x00, 0xFE, 0x00, 0x00, 0x00, ##                          0000000                       
            0x00, 0x00, 0x00, 0xFE, 0x00, 0x00, 0x00, ##                          0000000                       
            0x00, 0x00, 0x00, 0xFE, 0x00, 0x00, 0x00, ##                          0000000                       
            0x00, 0x00, 0x00, 0xFE, 0x00, 0x00, 0x00, ##                          0000000                       
            0x00, 0x00, 0x00, 0xFE, 0x00, 0x00, 0x00, ##                          0000000                       
            0x00, 0x00, 0x00, 0xFE, 0x00, 0x00, 0x00, ##                          0000000                       
            0x00, 0x00, 0x00, 0xFE, 0x00, 0x00, 0x00, ##                          0000000                       
            0x00, 0x00, 0x00, 0xFE, 0x00, 0x00, 0x00, ##                          0000000                       
            0x00, 0x00, 0x00, 0xFE, 0x00, 0x00, 0x00, ##                          0000000                       
            0x00, 0x00, 0x00, 0xFE, 0x00, 0x00, 0x00, ##                          0000000                       
            0x00, 0x00, 0x00, 0xFE, 0x00, 0x00, 0x00, ##                          0000000                       
            0x00, 0x00, 0x00, 0xFE, 0x00, 0x00, 0x00, ##                          0000000                       
            0x00, 0x00, 0x00, 0xFE, 0x00, 0x00, 0x00, ##                          0000000                       
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                        
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                        
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                        
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                        
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                        
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                        
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                        
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                        
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFC, ##  000000000000000000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFC, ##  000000000000000000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFC, ##  000000000000000000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFC, ##  000000000000000000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFC, ##  000000000000000000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFC, ##  000000000000000000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFC, ##  000000000000000000000000000000000000000000000000000000
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '178' => {    # '²'
        'width'    => 26, 
        'xoffset'  => 4, 
        'xadvance' => 35, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x01, 0xFF, 0x00, 0x00, ##         000000000          
            0x1F, 0xFF, 0xE0, 0x00, ##     0000000000000000       
            0x7F, 0xFF, 0xF8, 0x00, ##   00000000000000000000     
            0xFF, 0x03, 0xFC, 0x00, ##  00000000      00000000    
            0xFC, 0x00, 0xFE, 0x00, ##  000000          0000000   
            0xF8, 0x00, 0x7F, 0x00, ##  00000            0000000  
            0xF0, 0x00, 0x3F, 0x00, ##  0000              000000  
            0xF0, 0x00, 0x3F, 0x80, ##  0000              0000000 
            0xF0, 0x00, 0x1F, 0x80, ##  0000               000000 
            0xE0, 0x00, 0x1F, 0x80, ##  000                000000 
            0x00, 0x00, 0x1F, 0x80, ##                     000000 
            0x00, 0x00, 0x1F, 0x80, ##                     000000 
            0x00, 0x00, 0x1F, 0x80, ##                     000000 
            0x00, 0x00, 0x1F, 0x00, ##                     00000  
            0x00, 0x00, 0x3F, 0x00, ##                    000000  
            0x00, 0x00, 0x3F, 0x00, ##                    000000  
            0x00, 0x00, 0x3E, 0x00, ##                    00000   
            0x00, 0x00, 0x7C, 0x00, ##                   00000    
            0x00, 0x00, 0xFC, 0x00, ##                  000000    
            0x00, 0x00, 0xF8, 0x00, ##                  00000     
            0x00, 0x01, 0xF0, 0x00, ##                 00000      
            0x00, 0x03, 0xE0, 0x00, ##                00000       
            0x00, 0x07, 0xC0, 0x00, ##               00000        
            0x00, 0x0F, 0x80, 0x00, ##              00000         
            0x00, 0x1F, 0x00, 0x00, ##             00000          
            0x00, 0x3E, 0x00, 0x00, ##            00000           
            0x00, 0xFC, 0x00, 0x00, ##          000000            
            0x01, 0xF8, 0x00, 0x00, ##         000000             
            0x03, 0xF0, 0x00, 0x00, ##        000000              
            0x07, 0xE0, 0x01, 0xC0, ##       000000            000
            0x0F, 0xC0, 0x01, 0xC0, ##      000000             000
            0x1F, 0x80, 0x01, 0xC0, ##     000000              000
            0x3F, 0x00, 0x01, 0xC0, ##    000000               000
            0x7E, 0x00, 0x01, 0xC0, ##   000000                000
            0xFF, 0xFF, 0xFF, 0xC0, ##  00000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xC0, ##  00000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xC0, ##  00000000000000000000000000
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '179' => {    # '³'
        'width'    => 26, 
        'xoffset'  => 4, 
        'xadvance' => 34, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x01, 0xFF, 0x80, 0x00, ##         0000000000         
            0x1F, 0xFF, 0xE0, 0x00, ##     0000000000000000       
            0x7F, 0xFF, 0xF8, 0x00, ##   00000000000000000000     
            0x7F, 0x03, 0xFC, 0x00, ##   0000000      00000000    
            0x7C, 0x00, 0xFE, 0x00, ##   00000          0000000   
            0x78, 0x00, 0x7E, 0x00, ##   0000            000000   
            0x78, 0x00, 0x3F, 0x00, ##   0000             000000  
            0x70, 0x00, 0x3F, 0x00, ##   000              000000  
            0x70, 0x00, 0x3F, 0x00, ##   000              000000  
            0x00, 0x00, 0x3F, 0x00, ##                    000000  
            0x00, 0x00, 0x3F, 0x00, ##                    000000  
            0x00, 0x00, 0x3F, 0x00, ##                    000000  
            0x00, 0x00, 0x7E, 0x00, ##                   000000   
            0x00, 0x00, 0x7E, 0x00, ##                   000000   
            0x00, 0x00, 0xFC, 0x00, ##                  000000    
            0x00, 0x03, 0xF8, 0x00, ##                0000000     
            0x00, 0x7F, 0xE0, 0x00, ##           0000000000       
            0x00, 0x7F, 0x00, 0x00, ##           0000000          
            0x00, 0x7F, 0xF0, 0x00, ##           00000000000      
            0x00, 0x03, 0xFC, 0x00, ##                00000000    
            0x00, 0x00, 0xFE, 0x00, ##                  0000000   
            0x00, 0x00, 0x7F, 0x00, ##                   0000000  
            0x00, 0x00, 0x3F, 0x80, ##                    0000000 
            0x00, 0x00, 0x3F, 0x80, ##                    0000000 
            0x00, 0x00, 0x1F, 0xC0, ##                     0000000
            0x00, 0x00, 0x1F, 0xC0, ##                     0000000
            0x00, 0x00, 0x1F, 0xC0, ##                     0000000
            0x00, 0x00, 0x1F, 0xC0, ##                     0000000
            0xE0, 0x00, 0x1F, 0xC0, ##  000                0000000
            0xE0, 0x00, 0x1F, 0xC0, ##  000                0000000
            0xE0, 0x00, 0x3F, 0xC0, ##  000               00000000
            0xF0, 0x00, 0x3F, 0x80, ##  0000              0000000 
            0xF8, 0x00, 0x7F, 0x80, ##  00000            00000000 
            0xFC, 0x00, 0xFF, 0x00, ##  000000          00000000  
            0xFF, 0xFF, 0xFE, 0x00, ##  00000000000000000000000   
            0x7F, 0xFF, 0xF8, 0x00, ##   00000000000000000000     
            0x0F, 0xFF, 0xE0, 0x00, ##      000000000000000       
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '180' => {    # '´'
        'width'    => 19, 
        'xoffset'  => 17, 
        'xadvance' => 44, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x3F, 0xE0, ##            000000000
            0x00, 0x3F, 0xC0, ##            00000000 
            0x00, 0x7F, 0x80, ##           00000000  
            0x00, 0xFF, 0x00, ##          00000000   
            0x00, 0xFE, 0x00, ##          0000000    
            0x01, 0xFC, 0x00, ##         0000000     
            0x03, 0xF8, 0x00, ##        0000000      
            0x03, 0xF0, 0x00, ##        000000       
            0x07, 0xE0, 0x00, ##       000000        
            0x0F, 0xE0, 0x00, ##      0000000        
            0x1F, 0xC0, 0x00, ##     0000000         
            0x1F, 0x80, 0x00, ##     000000          
            0x3F, 0x00, 0x00, ##    000000           
            0x7E, 0x00, 0x00, ##   000000            
            0x7C, 0x00, 0x00, ##   00000             
            0xF8, 0x00, 0x00, ##  00000              
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '181' => {    # 'µ'
        'width'    => 51, 
        'xoffset'  => 2, 
        'xadvance' => 56, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0xFF, 0xFE, 0x00, 0x07, 0xFF, 0xF0, 0x00, ##  000000000000000              000000000000000       
            0xFF, 0xFE, 0x00, 0x07, 0xFF, 0xF0, 0x00, ##  000000000000000              000000000000000       
            0xFF, 0xFE, 0x00, 0x07, 0xFF, 0xF0, 0x00, ##  000000000000000              000000000000000       
            0xFF, 0xFE, 0x00, 0x07, 0xFF, 0xF0, 0x00, ##  000000000000000              000000000000000       
            0x01, 0xFE, 0x00, 0x00, 0x0F, 0xF0, 0x00, ##         00000000                     00000000       
            0x01, 0xFE, 0x00, 0x00, 0x0F, 0xF0, 0x00, ##         00000000                     00000000       
            0x01, 0xFE, 0x00, 0x00, 0x0F, 0xF0, 0x00, ##         00000000                     00000000       
            0x01, 0xFE, 0x00, 0x00, 0x0F, 0xF0, 0x00, ##         00000000                     00000000       
            0x01, 0xFE, 0x00, 0x00, 0x0F, 0xF0, 0x00, ##         00000000                     00000000       
            0x01, 0xFE, 0x00, 0x00, 0x0F, 0xF0, 0x00, ##         00000000                     00000000       
            0x01, 0xFE, 0x00, 0x00, 0x0F, 0xF0, 0x00, ##         00000000                     00000000       
            0x01, 0xFE, 0x00, 0x00, 0x0F, 0xF0, 0x00, ##         00000000                     00000000       
            0x01, 0xFE, 0x00, 0x00, 0x0F, 0xF0, 0x00, ##         00000000                     00000000       
            0x01, 0xFE, 0x00, 0x00, 0x0F, 0xF0, 0x00, ##         00000000                     00000000       
            0x01, 0xFE, 0x00, 0x00, 0x0F, 0xF0, 0x00, ##         00000000                     00000000       
            0x01, 0xFE, 0x00, 0x00, 0x0F, 0xF0, 0x00, ##         00000000                     00000000       
            0x01, 0xFE, 0x00, 0x00, 0x0F, 0xF0, 0x00, ##         00000000                     00000000       
            0x01, 0xFE, 0x00, 0x00, 0x0F, 0xF0, 0x00, ##         00000000                     00000000       
            0x01, 0xFE, 0x00, 0x00, 0x0F, 0xF0, 0x00, ##         00000000                     00000000       
            0x01, 0xFE, 0x00, 0x00, 0x0F, 0xF0, 0x00, ##         00000000                     00000000       
            0x01, 0xFE, 0x00, 0x00, 0x0F, 0xF0, 0x00, ##         00000000                     00000000       
            0x01, 0xFE, 0x00, 0x00, 0x0F, 0xF0, 0x00, ##         00000000                     00000000       
            0x01, 0xFE, 0x00, 0x00, 0x0F, 0xF0, 0x00, ##         00000000                     00000000       
            0x01, 0xFE, 0x00, 0x00, 0x0F, 0xF0, 0x00, ##         00000000                     00000000       
            0x01, 0xFE, 0x00, 0x00, 0x0F, 0xF0, 0x00, ##         00000000                     00000000       
            0x01, 0xFE, 0x00, 0x00, 0x0F, 0xF0, 0x00, ##         00000000                     00000000       
            0x01, 0xFE, 0x00, 0x00, 0x0F, 0xF0, 0x00, ##         00000000                     00000000       
            0x01, 0xFE, 0x00, 0x00, 0x0F, 0xF0, 0x00, ##         00000000                     00000000       
            0x01, 0xFE, 0x00, 0x00, 0x0F, 0xF0, 0x00, ##         00000000                     00000000       
            0x01, 0xFE, 0x00, 0x00, 0x0F, 0xF0, 0x00, ##         00000000                     00000000       
            0x01, 0xFE, 0x00, 0x00, 0x0F, 0xF0, 0x00, ##         00000000                     00000000       
            0x01, 0xFE, 0x00, 0x00, 0x1F, 0xF0, 0x00, ##         00000000                    000000000       
            0x01, 0xFE, 0x00, 0x00, 0x1F, 0xF0, 0x00, ##         00000000                    000000000       
            0x01, 0xFE, 0x00, 0x00, 0x1F, 0xF0, 0x00, ##         00000000                    000000000       
            0x01, 0xFF, 0x00, 0x00, 0x1F, 0xF0, 0x00, ##         000000000                   000000000       
            0x01, 0xFF, 0x00, 0x00, 0x3F, 0xF0, 0x00, ##         000000000                  0000000000       
            0x01, 0xFF, 0x00, 0x00, 0x3F, 0xF0, 0x00, ##         000000000                  0000000000       
            0x01, 0xFF, 0x00, 0x00, 0x7F, 0xF0, 0x00, ##         000000000                 00000000000       
            0x01, 0xFF, 0x80, 0x00, 0x7F, 0xF0, 0x00, ##         0000000000                00000000000       
            0x01, 0xFF, 0xC0, 0x00, 0xEF, 0xF0, 0x00, ##         00000000000              000 00000000       
            0x01, 0xFF, 0xE0, 0x03, 0xEF, 0xF0, 0x00, ##         000000000000           00000 00000000       
            0x01, 0xFF, 0xF8, 0x0F, 0xCF, 0xF0, 0x00, ##         00000000000000       000000  00000000       
            0x01, 0xFF, 0xFF, 0xFF, 0x8F, 0xFF, 0xE0, ##         00000000000000000000000000   000000000000000
            0x01, 0xFF, 0xFF, 0xFF, 0x0F, 0xFF, 0xE0, ##         0000000000000000000000000    000000000000000
            0x01, 0xFF, 0xFF, 0xFE, 0x0F, 0xFF, 0xE0, ##         000000000000000000000000     000000000000000
            0x01, 0xFE, 0x7F, 0xF8, 0x0F, 0xFF, 0xE0, ##         00000000  000000000000       000000000000000
            0x01, 0xFE, 0x1F, 0xE0, 0x00, 0x00, 0x00, ##         00000000    00000000                        
            0x01, 0xFE, 0x00, 0x00, 0x00, 0x00, 0x00, ##         00000000                                    
            0x01, 0xFE, 0x00, 0x00, 0x00, 0x00, 0x00, ##         00000000                                    
            0x01, 0xFE, 0x00, 0x00, 0x00, 0x00, 0x00, ##         00000000                                    
            0x01, 0xFE, 0x00, 0x00, 0x00, 0x00, 0x00, ##         00000000                                    
            0x01, 0xFE, 0x00, 0x00, 0x00, 0x00, 0x00, ##         00000000                                    
            0x01, 0xFE, 0x00, 0x00, 0x00, 0x00, 0x00, ##         00000000                                    
            0x01, 0xFE, 0x00, 0x00, 0x00, 0x00, 0x00, ##         00000000                                    
            0x01, 0xFE, 0x00, 0x00, 0x00, 0x00, 0x00, ##         00000000                                    
            0x01, 0xFE, 0x00, 0x00, 0x00, 0x00, 0x00, ##         00000000                                    
            0x01, 0xFE, 0x00, 0x00, 0x00, 0x00, 0x00, ##         00000000                                    
            0x01, 0xFE, 0x00, 0x00, 0x00, 0x00, 0x00, ##         00000000                                    
            0x01, 0xFE, 0x00, 0x00, 0x00, 0x00, 0x00, ##         00000000                                    
            0x01, 0xFE, 0x00, 0x00, 0x00, 0x00, 0x00, ##         00000000                                    
            0xFF, 0xFF, 0xFE, 0x00, 0x00, 0x00, 0x00, ##  00000000000000000000000                            
            0xFF, 0xFF, 0xFE, 0x00, 0x00, 0x00, 0x00, ##  00000000000000000000000                            
            0xFF, 0xFF, 0xFE, 0x00, 0x00, 0x00, 0x00, ##  00000000000000000000000                            
            0xFF, 0xFF, 0xFE, 0x00, 0x00, 0x00, 0x00, ##  00000000000000000000000                            
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '182' => {    # '¶'
        'width'    => 43, 
        'xoffset'  => 7, 
        'xadvance' => 56, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x01, 0xFF, 0xFF, 0xFF, 0xE0, ##                 0000000000000000000000000000
            0x00, 0x1F, 0xFF, 0xFF, 0xFF, 0xE0, ##             00000000000000000000000000000000
            0x00, 0x7F, 0xFF, 0xFF, 0xFF, 0xE0, ##           0000000000000000000000000000000000
            0x01, 0xFF, 0xFF, 0xFF, 0xFF, 0xE0, ##         000000000000000000000000000000000000
            0x03, 0xFF, 0xFF, 0x00, 0x7C, 0x00, ##        000000000000000000         00000     
            0x07, 0xFF, 0xFF, 0x00, 0x7C, 0x00, ##       0000000000000000000         00000     
            0x0F, 0xFF, 0xFF, 0x00, 0x7C, 0x00, ##      00000000000000000000         00000     
            0x1F, 0xFF, 0xFF, 0x00, 0x7C, 0x00, ##     000000000000000000000         00000     
            0x3F, 0xFF, 0xFF, 0x00, 0x7C, 0x00, ##    0000000000000000000000         00000     
            0x3F, 0xFF, 0xFF, 0x00, 0x7C, 0x00, ##    0000000000000000000000         00000     
            0x7F, 0xFF, 0xFF, 0x00, 0x7C, 0x00, ##   00000000000000000000000         00000     
            0x7F, 0xFF, 0xFF, 0x00, 0x7C, 0x00, ##   00000000000000000000000         00000     
            0x7F, 0xFF, 0xFF, 0x00, 0x7C, 0x00, ##   00000000000000000000000         00000     
            0xFF, 0xFF, 0xFF, 0x00, 0x7C, 0x00, ##  000000000000000000000000         00000     
            0xFF, 0xFF, 0xFF, 0x00, 0x7C, 0x00, ##  000000000000000000000000         00000     
            0xFF, 0xFF, 0xFF, 0x00, 0x7C, 0x00, ##  000000000000000000000000         00000     
            0xFF, 0xFF, 0xFF, 0x00, 0x7C, 0x00, ##  000000000000000000000000         00000     
            0xFF, 0xFF, 0xFF, 0x00, 0x7C, 0x00, ##  000000000000000000000000         00000     
            0xFF, 0xFF, 0xFF, 0x00, 0x7C, 0x00, ##  000000000000000000000000         00000     
            0xFF, 0xFF, 0xFF, 0x00, 0x7C, 0x00, ##  000000000000000000000000         00000     
            0xFF, 0xFF, 0xFF, 0x00, 0x7C, 0x00, ##  000000000000000000000000         00000     
            0xFF, 0xFF, 0xFF, 0x00, 0x7C, 0x00, ##  000000000000000000000000         00000     
            0x7F, 0xFF, 0xFF, 0x00, 0x7C, 0x00, ##   00000000000000000000000         00000     
            0x7F, 0xFF, 0xFF, 0x00, 0x7C, 0x00, ##   00000000000000000000000         00000     
            0x7F, 0xFF, 0xFF, 0x00, 0x7C, 0x00, ##   00000000000000000000000         00000     
            0x7F, 0xFF, 0xFF, 0x00, 0x7C, 0x00, ##   00000000000000000000000         00000     
            0x3F, 0xFF, 0xFF, 0x00, 0x7C, 0x00, ##    0000000000000000000000         00000     
            0x1F, 0xFF, 0xFF, 0x00, 0x7C, 0x00, ##     000000000000000000000         00000     
            0x1F, 0xFF, 0xFF, 0x00, 0x7C, 0x00, ##     000000000000000000000         00000     
            0x0F, 0xFF, 0xFF, 0x00, 0x7C, 0x00, ##      00000000000000000000         00000     
            0x07, 0xFF, 0xFF, 0x00, 0x7C, 0x00, ##       0000000000000000000         00000     
            0x03, 0xFF, 0xFF, 0x00, 0x7C, 0x00, ##        000000000000000000         00000     
            0x00, 0xFF, 0xFF, 0x00, 0x7C, 0x00, ##          0000000000000000         00000     
            0x00, 0x3F, 0xFF, 0x00, 0x7C, 0x00, ##            00000000000000         00000     
            0x00, 0x0F, 0xFF, 0x00, 0x7C, 0x00, ##              000000000000         00000     
            0x00, 0x00, 0x7F, 0x00, 0x7C, 0x00, ##                   0000000         00000     
            0x00, 0x00, 0x1F, 0x00, 0x7C, 0x00, ##                     00000         00000     
            0x00, 0x00, 0x1F, 0x00, 0x7C, 0x00, ##                     00000         00000     
            0x00, 0x00, 0x1F, 0x00, 0x7C, 0x00, ##                     00000         00000     
            0x00, 0x00, 0x1F, 0x00, 0x7C, 0x00, ##                     00000         00000     
            0x00, 0x00, 0x1F, 0x00, 0x7C, 0x00, ##                     00000         00000     
            0x00, 0x00, 0x1F, 0x00, 0x7C, 0x00, ##                     00000         00000     
            0x00, 0x00, 0x1F, 0x00, 0x7C, 0x00, ##                     00000         00000     
            0x00, 0x00, 0x1F, 0x00, 0x7C, 0x00, ##                     00000         00000     
            0x00, 0x00, 0x1F, 0x00, 0x7C, 0x00, ##                     00000         00000     
            0x00, 0x00, 0x1F, 0x00, 0x7C, 0x00, ##                     00000         00000     
            0x00, 0x00, 0x1F, 0x00, 0x7C, 0x00, ##                     00000         00000     
            0x00, 0x00, 0x1F, 0x00, 0x7C, 0x00, ##                     00000         00000     
            0x00, 0x00, 0x1F, 0x00, 0x7C, 0x00, ##                     00000         00000     
            0x00, 0x00, 0x1F, 0x00, 0x7C, 0x00, ##                     00000         00000     
            0x00, 0x00, 0x1F, 0x00, 0x7C, 0x00, ##                     00000         00000     
            0x00, 0x00, 0x1F, 0x00, 0x7C, 0x00, ##                     00000         00000     
            0x00, 0x00, 0x1F, 0x00, 0x7C, 0x00, ##                     00000         00000     
            0x00, 0x00, 0x1F, 0x00, 0x7C, 0x00, ##                     00000         00000     
            0x00, 0x00, 0x1F, 0x00, 0x7C, 0x00, ##                     00000         00000     
            0x00, 0x00, 0x1F, 0x00, 0x7C, 0x00, ##                     00000         00000     
            0x00, 0x00, 0x1F, 0x00, 0x7C, 0x00, ##                     00000         00000     
            0x00, 0x00, 0x1F, 0x00, 0x7C, 0x00, ##                     00000         00000     
            0x00, 0x00, 0x1F, 0x00, 0x7C, 0x00, ##                     00000         00000     
            0x00, 0x00, 0x1F, 0x00, 0x7C, 0x00, ##                     00000         00000     
            0x00, 0x00, 0x1F, 0x00, 0x7C, 0x00, ##                     00000         00000     
            0x00, 0x00, 0x1F, 0x00, 0x7C, 0x00, ##                     00000         00000     
            0x00, 0x00, 0x1F, 0x00, 0x7C, 0x00, ##                     00000         00000     
            0x00, 0x00, 0x1F, 0x00, 0x7C, 0x00, ##                     00000         00000     
            0x00, 0x00, 0x1F, 0x00, 0x7C, 0x00, ##                     00000         00000     
            0x00, 0x00, 0x1F, 0x00, 0x7C, 0x00, ##                     00000         00000     
            0x00, 0x00, 0x1F, 0x00, 0x7C, 0x00, ##                     00000         00000     
            0x00, 0x00, 0x1F, 0x00, 0x7C, 0x00, ##                     00000         00000     
            0x00, 0x00, 0x1F, 0x00, 0x7C, 0x00, ##                     00000         00000     
            0x00, 0x00, 0x1F, 0x00, 0x7C, 0x00, ##                     00000         00000     
            0x00, 0x00, 0x1F, 0x00, 0x7C, 0x00, ##                     00000         00000     
            0x00, 0x00, 0x1F, 0x00, 0x7C, 0x00, ##                     00000         00000     
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '183' => {    # '·'
        'width'    => 11, 
        'xoffset'  => 8, 
        'xadvance' => 27, 
        'bitmap'   => [ 
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x1F, 0x00, ##     00000   
            0x3F, 0x80, ##    0000000  
            0x7F, 0xC0, ##   000000000 
            0xFF, 0xE0, ##  00000000000
            0xFF, 0xE0, ##  00000000000
            0xFF, 0xE0, ##  00000000000
            0xFF, 0xE0, ##  00000000000
            0xFF, 0xE0, ##  00000000000
            0x7F, 0xC0, ##   000000000 
            0x3F, 0x80, ##    0000000  
            0x1F, 0x00, ##     00000   
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
            0x00, 0x00, ##  
        ], 
    }, 
    '184' => {    # '¸'
        'width'    => 18, 
        'xoffset'  => 12, 
        'xadvance' => 44, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x78, 0x00, ##           0000     
            0x00, 0x7C, 0x00, ##           00000    
            0x00, 0x3E, 0x00, ##            00000   
            0x00, 0x3E, 0x00, ##            00000   
            0x00, 0x1F, 0x00, ##             00000  
            0x00, 0x1F, 0x80, ##             000000 
            0x00, 0x0F, 0x80, ##              00000 
            0x00, 0x0F, 0xC0, ##              000000
            0x00, 0x0F, 0xC0, ##              000000
            0x00, 0x0F, 0xC0, ##              000000
            0x00, 0x1F, 0xC0, ##             0000000
            0xE0, 0x7F, 0xC0, ##  000      000000000
            0xFF, 0xFF, 0x80, ##  00000000000000000 
            0xFF, 0xFF, 0x80, ##  00000000000000000 
            0xFF, 0xFF, 0x00, ##  0000000000000000  
            0xFF, 0xFE, 0x00, ##  000000000000000   
            0x3F, 0xF0, 0x00, ##    0000000000      
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '185' => {    # '¹'
        'width'    => 22, 
        'xoffset'  => 6, 
        'xadvance' => 35, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x3C, 0x00, ##            0000        
            0x00, 0xFC, 0x00, ##          000000        
            0x03, 0xFC, 0x00, ##        00000000        
            0x0F, 0xFC, 0x00, ##      0000000000        
            0x1F, 0xFC, 0x00, ##     00000000000        
            0x7F, 0xFC, 0x00, ##   0000000000000        
            0xFC, 0xFC, 0x00, ##  000000  000000        
            0xF8, 0xFC, 0x00, ##  00000   000000        
            0xE0, 0xFC, 0x00, ##  000     000000        
            0x80, 0xFC, 0x00, ##  0       000000        
            0x00, 0xFC, 0x00, ##          000000        
            0x00, 0xFC, 0x00, ##          000000        
            0x00, 0xFC, 0x00, ##          000000        
            0x00, 0xFC, 0x00, ##          000000        
            0x00, 0xFC, 0x00, ##          000000        
            0x00, 0xFC, 0x00, ##          000000        
            0x00, 0xFC, 0x00, ##          000000        
            0x00, 0xFC, 0x00, ##          000000        
            0x00, 0xFC, 0x00, ##          000000        
            0x00, 0xFC, 0x00, ##          000000        
            0x00, 0xFC, 0x00, ##          000000        
            0x00, 0xFC, 0x00, ##          000000        
            0x00, 0xFC, 0x00, ##          000000        
            0x00, 0xFC, 0x00, ##          000000        
            0x00, 0xFC, 0x00, ##          000000        
            0x00, 0xFC, 0x00, ##          000000        
            0x00, 0xFC, 0x00, ##          000000        
            0x00, 0xFC, 0x00, ##          000000        
            0x00, 0xFC, 0x00, ##          000000        
            0x00, 0xFC, 0x00, ##          000000        
            0x00, 0xFC, 0x00, ##          000000        
            0x00, 0xFC, 0x00, ##          000000        
            0x00, 0xFC, 0x00, ##          000000        
            0x7F, 0xFF, 0xFC, ##   000000000000000000000
            0x7F, 0xFF, 0xFC, ##   000000000000000000000
            0x7F, 0xFF, 0xFC, ##   000000000000000000000
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '186' => {    # 'º'
        'width'    => 33, 
        'xoffset'  => 4, 
        'xadvance' => 41, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x0F, 0xF8, 0x00, 0x00, ##              000000000            
            0x00, 0x7F, 0xFF, 0x00, 0x00, ##           000000000000000         
            0x01, 0xFF, 0xFF, 0xC0, 0x00, ##         0000000000000000000       
            0x03, 0xF8, 0x0F, 0xE0, 0x00, ##        0000000       0000000      
            0x07, 0xE0, 0x03, 0xF0, 0x00, ##       000000           000000     
            0x0F, 0xC0, 0x01, 0xF8, 0x00, ##      000000             000000    
            0x1F, 0x80, 0x00, 0xFC, 0x00, ##     000000               000000   
            0x3F, 0x80, 0x00, 0xFE, 0x00, ##    0000000               0000000  
            0x3F, 0x00, 0x00, 0x7E, 0x00, ##    000000                 000000  
            0x7F, 0x00, 0x00, 0x7F, 0x00, ##   0000000                 0000000 
            0x7F, 0x00, 0x00, 0x7F, 0x00, ##   0000000                 0000000 
            0x7E, 0x00, 0x00, 0x3F, 0x00, ##   000000                   000000 
            0xFE, 0x00, 0x00, 0x3F, 0x80, ##  0000000                   0000000
            0xFE, 0x00, 0x00, 0x3F, 0x80, ##  0000000                   0000000
            0xFE, 0x00, 0x00, 0x3F, 0x80, ##  0000000                   0000000
            0xFE, 0x00, 0x00, 0x3F, 0x80, ##  0000000                   0000000
            0xFE, 0x00, 0x00, 0x3F, 0x80, ##  0000000                   0000000
            0xFE, 0x00, 0x00, 0x3F, 0x80, ##  0000000                   0000000
            0xFE, 0x00, 0x00, 0x3F, 0x80, ##  0000000                   0000000
            0xFE, 0x00, 0x00, 0x3F, 0x80, ##  0000000                   0000000
            0xFE, 0x00, 0x00, 0x3F, 0x80, ##  0000000                   0000000
            0x7E, 0x00, 0x00, 0x3F, 0x00, ##   000000                   000000 
            0x7F, 0x00, 0x00, 0x7F, 0x00, ##   0000000                 0000000 
            0x7F, 0x00, 0x00, 0x7F, 0x00, ##   0000000                 0000000 
            0x3F, 0x00, 0x00, 0x7E, 0x00, ##    000000                 000000  
            0x3F, 0x80, 0x00, 0xFE, 0x00, ##    0000000               0000000  
            0x1F, 0x80, 0x00, 0xFC, 0x00, ##     000000               000000   
            0x0F, 0xC0, 0x01, 0xF8, 0x00, ##      000000             000000    
            0x07, 0xE0, 0x03, 0xF8, 0x00, ##       000000           0000000    
            0x03, 0xF8, 0x0F, 0xE0, 0x00, ##        0000000       0000000      
            0x01, 0xFF, 0xFF, 0xC0, 0x00, ##         0000000000000000000       
            0x00, 0x7F, 0xFF, 0x00, 0x00, ##           000000000000000         
            0x00, 0x0F, 0xF8, 0x00, 0x00, ##              000000000            
            0x00, 0x00, 0x00, 0x00, 0x00, ##                                   
            0x00, 0x00, 0x00, 0x00, 0x00, ##                                   
            0x00, 0x00, 0x00, 0x00, 0x00, ##                                   
            0x00, 0x00, 0x00, 0x00, 0x00, ##                                   
            0x3F, 0xFF, 0xFF, 0xFE, 0x00, ##    00000000000000000000000000000  
            0x3F, 0xFF, 0xFF, 0xFE, 0x00, ##    00000000000000000000000000000  
            0x3F, 0xFF, 0xFF, 0xFE, 0x00, ##    00000000000000000000000000000  
            0x3F, 0xFF, 0xFF, 0xFE, 0x00, ##    00000000000000000000000000000  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '187' => {    # '»'
        'width'    => 39, 
        'xoffset'  => 8, 
        'xadvance' => 53, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x20, 0x00, 0x00, ##                    0                    
            0x80, 0x00, 0x30, 0x00, 0x00, ##  0                 00                   
            0xC0, 0x00, 0x38, 0x00, 0x00, ##  00                000                  
            0xE0, 0x00, 0x3C, 0x00, 0x00, ##  000               0000                 
            0xF8, 0x00, 0x3E, 0x00, 0x00, ##  00000             00000                
            0xFC, 0x00, 0x1F, 0x00, 0x00, ##  000000             00000               
            0x7E, 0x00, 0x1F, 0x80, 0x00, ##   000000            000000              
            0x3F, 0x00, 0x0F, 0xC0, 0x00, ##    000000            000000             
            0x1F, 0x80, 0x07, 0xE0, 0x00, ##     000000            000000            
            0x0F, 0xC0, 0x03, 0xF8, 0x00, ##      000000            0000000          
            0x0F, 0xE0, 0x01, 0xFC, 0x00, ##      0000000            0000000         
            0x07, 0xF0, 0x00, 0xFE, 0x00, ##       0000000            0000000        
            0x03, 0xF8, 0x00, 0x7F, 0x00, ##        0000000            0000000       
            0x01, 0xFE, 0x00, 0x7F, 0x80, ##         00000000          00000000      
            0x00, 0xFF, 0x00, 0x3F, 0xC0, ##          00000000          00000000     
            0x00, 0x7F, 0x80, 0x1F, 0xE0, ##           00000000          00000000    
            0x00, 0x7F, 0xC0, 0x0F, 0xF0, ##           000000000          00000000   
            0x00, 0x3F, 0xE0, 0x07, 0xF8, ##            000000000          00000000  
            0x00, 0x1F, 0xF0, 0x03, 0xFE, ##             000000000          000000000
            0x00, 0x0F, 0xF0, 0x01, 0xFE, ##              00000000           00000000
            0x00, 0x0F, 0xF0, 0x01, 0xFE, ##              00000000           00000000
            0x00, 0x1F, 0xF0, 0x03, 0xFE, ##             000000000          000000000
            0x00, 0x1F, 0xE0, 0x07, 0xFC, ##             00000000          000000000 
            0x00, 0x3F, 0xC0, 0x0F, 0xF8, ##            00000000          000000000  
            0x00, 0x7F, 0x80, 0x1F, 0xF0, ##           00000000          000000000   
            0x00, 0xFF, 0x00, 0x1F, 0xE0, ##          00000000           00000000    
            0x01, 0xFE, 0x00, 0x3F, 0x80, ##         00000000           0000000      
            0x03, 0xFC, 0x00, 0x7F, 0x00, ##        00000000           0000000       
            0x03, 0xF8, 0x00, 0xFE, 0x00, ##        0000000           0000000        
            0x07, 0xF0, 0x01, 0xFC, 0x00, ##       0000000           0000000         
            0x0F, 0xE0, 0x03, 0xF8, 0x00, ##      0000000           0000000          
            0x1F, 0x80, 0x07, 0xF0, 0x00, ##     000000            0000000           
            0x3F, 0x00, 0x07, 0xE0, 0x00, ##    000000             000000            
            0x7E, 0x00, 0x0F, 0xC0, 0x00, ##   000000             000000             
            0xFC, 0x00, 0x1F, 0x80, 0x00, ##  000000             000000              
            0xF8, 0x00, 0x3E, 0x00, 0x00, ##  00000             00000                
            0xF0, 0x00, 0x3C, 0x00, 0x00, ##  0000              0000                 
            0xE0, 0x00, 0x38, 0x00, 0x00, ##  000               000                  
            0xC0, 0x00, 0x30, 0x00, 0x00, ##  00                00                   
            0x80, 0x00, 0x20, 0x00, 0x00, ##  0                 0                    
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '188' => {    # '¼'
        'width'    => 75, 
        'xoffset'  => 6, 
        'xadvance' => 84, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xE0, 0x00, 0x00, ##                                                      0000000                
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xC0, 0x00, 0x00, ##            0000                                      000000                 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x1F, 0xC0, 0x00, 0x00, ##          000000                                     0000000                 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x1F, 0x80, 0x00, 0x00, ##        00000000                                     000000                  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x3F, 0x00, 0x00, 0x00, ##      0000000000                                    000000                   
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x7F, 0x00, 0x00, 0x00, ##     00000000000                                   0000000                   
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x7E, 0x00, 0x00, 0x00, ##   0000000000000                                   000000                    
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFE, 0x00, 0x00, 0x00, ##  000000  000000                                  0000000                    
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFC, 0x00, 0x00, 0x00, ##  0000    000000                                  000000                     
            0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xF8, 0x00, 0x00, 0x00, ##  000     000000                                 000000                      
            0x00, 0x00, 0x00, 0x00, 0x00, 0x03, 0xF8, 0x00, 0x00, 0x00, ##  0       000000                                0000000                      
            0x00, 0x00, 0x00, 0x00, 0x00, 0x03, 0xF0, 0x00, 0x00, 0x00, ##          000000                                000000                       
            0x00, 0x00, 0x00, 0x00, 0x00, 0x07, 0xF0, 0x00, 0x00, 0x00, ##          000000                               0000000                       
            0x00, 0x00, 0x00, 0x00, 0x00, 0x07, 0xE0, 0x00, 0x00, 0x00, ##          000000                               000000                        
            0x00, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xC0, 0x00, 0x00, 0x00, ##          000000                              000000                         
            0x00, 0x00, 0x00, 0x00, 0x00, 0x1F, 0xC0, 0x00, 0x00, 0x00, ##          000000                             0000000                         
            0x00, 0x00, 0x00, 0x00, 0x00, 0x1F, 0x80, 0x00, 0x00, 0x00, ##          000000                             000000                          
            0x00, 0x00, 0x00, 0x00, 0x00, 0x3F, 0x80, 0x00, 0x00, 0x00, ##          000000                            0000000                          
            0x00, 0x00, 0x00, 0x00, 0x00, 0x3F, 0x00, 0x00, 0x00, 0x00, ##          000000                            000000                           
            0x00, 0x00, 0x00, 0x00, 0x00, 0x7E, 0x00, 0x00, 0x00, 0x00, ##          000000                           000000                            
            0x00, 0x00, 0x00, 0x00, 0x00, 0xFE, 0x00, 0x00, 0x00, 0x00, ##          000000                          0000000                            
            0x00, 0x00, 0x00, 0x00, 0x00, 0xFC, 0x00, 0x00, 0x00, 0x00, ##          000000                          000000                             
            0x00, 0x00, 0x00, 0x00, 0x01, 0xFC, 0x00, 0x00, 0x00, 0x00, ##          000000                         0000000                             
            0x00, 0x00, 0x00, 0x00, 0x01, 0xF8, 0x00, 0x00, 0x00, 0x00, ##          000000                         000000                              
            0x00, 0x00, 0x00, 0x00, 0x03, 0xF0, 0x00, 0x00, 0x00, 0x00, ##          000000                        000000                               
            0x00, 0x00, 0x00, 0x00, 0x07, 0xF0, 0x00, 0x00, 0x00, 0x00, ##          000000                       0000000                               
            0x00, 0x00, 0x00, 0x00, 0x07, 0xE0, 0x00, 0x00, 0x00, 0x00, ##          000000                       000000                                
            0x00, 0x00, 0x00, 0x00, 0x0F, 0xE0, 0x00, 0x00, 0x00, 0x00, ##          000000                      0000000                                
            0x00, 0x00, 0x00, 0x00, 0x0F, 0xC0, 0x00, 0x00, 0x00, 0x00, ##          000000                      000000                                 
            0x00, 0x00, 0x00, 0x00, 0x1F, 0x80, 0x00, 0x00, 0x00, 0x00, ##          000000                     000000                                  
            0x00, 0x00, 0x00, 0x00, 0x3F, 0x80, 0x00, 0x03, 0xF0, 0x00, ##          000000                    0000000                     000000       
            0x00, 0x00, 0x00, 0x00, 0x3F, 0x00, 0x00, 0x07, 0xF0, 0x00, ##          000000                    000000                     0000000       
            0x00, 0x00, 0x00, 0x00, 0x7F, 0x00, 0x00, 0x0F, 0xF0, 0x00, ##          000000                   0000000                    00000000       
            0x00, 0x00, 0xFC, 0x00, 0xFE, 0x00, 0x00, 0x1F, 0xF0, 0x00, ##   000000000000000000000          0000000                    000000000       
            0x00, 0x00, 0xFC, 0x00, 0xFC, 0x00, 0x00, 0x1F, 0xF0, 0x00, ##   000000000000000000000          000000                     000000000       
            0x00, 0x00, 0xFC, 0x01, 0xFC, 0x00, 0x00, 0x3F, 0xF0, 0x00, ##   000000000000000000000         0000000                    0000000000       
            0x00, 0x00, 0xFC, 0x01, 0xF8, 0x00, 0x00, 0x7B, 0xF0, 0x00, ##   000000000000000000000         000000                    0000 000000       
            0x00, 0x00, 0x00, 0x03, 0xF8, 0x00, 0x00, 0xF3, 0xF0, 0x00, ##                                0000000                   0000  000000       
            0x00, 0x00, 0x00, 0x07, 0xF0, 0x00, 0x00, 0xE3, 0xF0, 0x00, ##                               0000000                    000   000000       
            0x00, 0x00, 0x00, 0x07, 0xE0, 0x00, 0x01, 0xE3, 0xF0, 0x00, ##                               000000                    0000   000000       
            0x00, 0x00, 0x00, 0x0F, 0xE0, 0x00, 0x03, 0xC3, 0xF0, 0x00, ##                              0000000                   0000    000000       
            0x00, 0x00, 0x00, 0x0F, 0xC0, 0x00, 0x07, 0x83, 0xF0, 0x00, ##                              000000                   0000     000000       
            0x00, 0x00, 0x00, 0x1F, 0xC0, 0x00, 0x07, 0x83, 0xF0, 0x00, ##                             0000000                   0000     000000       
            0x00, 0x00, 0x00, 0x3F, 0x80, 0x00, 0x0F, 0x03, 0xF0, 0x00, ##                            0000000                   0000      000000       
            0x00, 0x00, 0x00, 0x3F, 0x00, 0x00, 0x1E, 0x03, 0xF0, 0x00, ##                            000000                   0000       000000       
            0x00, 0x00, 0x00, 0x7F, 0x00, 0x00, 0x1C, 0x03, 0xF0, 0x00, ##                           0000000                   000        000000       
            0x00, 0x00, 0x00, 0x7E, 0x00, 0x00, 0x3C, 0x03, 0xF0, 0x00, ##                           000000                   0000        000000       
            0x00, 0x00, 0x00, 0xFE, 0x00, 0x00, 0x78, 0x03, 0xF0, 0x00, ##                          0000000                  0000         000000       
            0x00, 0x00, 0x01, 0xFC, 0x00, 0x00, 0xF0, 0x03, 0xF0, 0x00, ##                         0000000                  0000          000000       
            0x00, 0x00, 0x01, 0xF8, 0x00, 0x00, 0xE0, 0x03, 0xF0, 0x00, ##                         000000                   000           000000       
            0x00, 0x00, 0x03, 0xF8, 0x00, 0x01, 0xE0, 0x03, 0xF0, 0x00, ##                        0000000                  0000           000000       
            0x00, 0x00, 0x03, 0xF0, 0x00, 0x03, 0xC0, 0x03, 0xF0, 0x00, ##                        000000                  0000            000000       
            0x00, 0x00, 0x07, 0xF0, 0x00, 0x07, 0x80, 0x03, 0xF0, 0x00, ##                       0000000                 0000             000000       
            0x00, 0x00, 0x0F, 0xE0, 0x00, 0x07, 0xFF, 0xFF, 0xFF, 0xE0, ##                      0000000                  000000000000000000000000000000
            0x00, 0x00, 0x0F, 0xC0, 0x00, 0x07, 0xFF, 0xFF, 0xFF, 0xE0, ##                      000000                   000000000000000000000000000000
            0x00, 0x00, 0x1F, 0xC0, 0x00, 0x07, 0xFF, 0xFF, 0xFF, 0xE0, ##                     0000000                   000000000000000000000000000000
            0x00, 0x00, 0x1F, 0x80, 0x00, 0x07, 0xFF, 0xFF, 0xFF, 0xE0, ##                     000000                    000000000000000000000000000000
            0x00, 0x00, 0x3F, 0x80, 0x00, 0x00, 0x00, 0x03, 0xF0, 0x00, ##                    0000000                                     000000       
            0x00, 0x00, 0x7F, 0x00, 0x00, 0x00, 0x00, 0x03, 0xF0, 0x00, ##                   0000000                                      000000       
            0x00, 0x00, 0x7E, 0x00, 0x00, 0x00, 0x00, 0x03, 0xF0, 0x00, ##                   000000                                       000000       
            0x00, 0x00, 0xFE, 0x00, 0x00, 0x00, 0x00, 0x03, 0xF0, 0x00, ##                  0000000                                       000000       
            0x00, 0x00, 0xFC, 0x00, 0x00, 0x00, 0x00, 0x03, 0xF0, 0x00, ##                 0000000                                        000000       
            0x00, 0x00, 0xFC, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0xC0, ##                 0000000                                  000000000000000000 
            0x00, 0x00, 0xF8, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0xC0, ##                0000000                                   000000000000000000 
            0x00, 0x00, 0xF0, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0xC0, ##                000000                                    000000000000000000 
            0x00, 0x00, 0xF0, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0xC0, ##               0000000                                    000000000000000000 
            0x00, 0x00, 0xE0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##              0000000                                                        
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '189' => {    # '½'
        'width'    => 72, 
        'xoffset'  => 6, 
        'xadvance' => 84, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x07, 0xE0, 0x00, ##                                                       000000             
            0x00, 0x3C, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xE0, 0x00, ##            0000                                      0000000             
            0x00, 0xFC, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xC0, 0x00, ##          000000                                      000000              
            0x00, 0xFC, 0x00, 0x00, 0x00, 0x00, 0x1F, 0x80, 0x00, ##        00000000                                     000000               
            0x00, 0xFC, 0x00, 0x00, 0x00, 0x00, 0x3F, 0x80, 0x00, ##      0000000000                                    0000000               
            0x00, 0xFC, 0x00, 0x00, 0x00, 0x00, 0x3F, 0x00, 0x00, ##     00000000000                                    000000                
            0x00, 0xFC, 0x00, 0x00, 0x00, 0x00, 0x7F, 0x00, 0x00, ##   0000000000000                                   0000000                
            0x00, 0xFC, 0x00, 0x00, 0x00, 0x00, 0x7E, 0x00, 0x00, ##  000000  000000                                   000000                 
            0x00, 0xFC, 0x00, 0x00, 0x00, 0x00, 0xFC, 0x00, 0x00, ##  0000    000000                                  000000                  
            0x00, 0xFC, 0x00, 0x00, 0x00, 0x01, 0xFC, 0x00, 0x00, ##  000     000000                                 0000000                  
            0x00, 0xFC, 0x00, 0x00, 0x00, 0x01, 0xF8, 0x00, 0x00, ##  0       000000                                 000000                   
            0x00, 0xFC, 0x00, 0x00, 0x00, 0x03, 0xF8, 0x00, 0x00, ##          000000                                0000000                   
            0x00, 0xFC, 0x00, 0x00, 0x00, 0x07, 0xF0, 0x00, 0x00, ##          000000                               0000000                    
            0x00, 0xFC, 0x00, 0x00, 0x00, 0x07, 0xE0, 0x00, 0x00, ##          000000                               000000                     
            0x00, 0xFC, 0x00, 0x00, 0x00, 0x0F, 0xE0, 0x00, 0x00, ##          000000                              0000000                     
            0x00, 0xFC, 0x00, 0x00, 0x00, 0x0F, 0xC0, 0x00, 0x00, ##          000000                              000000                      
            0x00, 0xFC, 0x00, 0x00, 0x00, 0x1F, 0xC0, 0x00, 0x00, ##          000000                             0000000                      
            0x00, 0xFC, 0x00, 0x00, 0x00, 0x3F, 0x80, 0x00, 0x00, ##          000000                            0000000                       
            0x00, 0xFC, 0x00, 0x00, 0x00, 0x3F, 0x00, 0x00, 0x00, ##          000000                            000000                        
            0x00, 0xFC, 0x00, 0x00, 0x00, 0x7F, 0x00, 0x00, 0x00, ##          000000                           0000000                        
            0x00, 0xFC, 0x00, 0x00, 0x00, 0x7E, 0x00, 0x00, 0x00, ##          000000                           000000                         
            0x00, 0xFC, 0x00, 0x00, 0x00, 0xFE, 0x00, 0x00, 0x00, ##          000000                          0000000                         
            0x00, 0xFC, 0x00, 0x00, 0x01, 0xFC, 0x00, 0x00, 0x00, ##          000000                         0000000                          
            0x00, 0xFC, 0x00, 0x00, 0x01, 0xF8, 0x00, 0x00, 0x00, ##          000000                         000000                           
            0x00, 0xFC, 0x00, 0x00, 0x03, 0xF8, 0x00, 0x00, 0x00, ##          000000                        0000000                           
            0x00, 0xFC, 0x00, 0x00, 0x03, 0xF0, 0x00, 0x00, 0x00, ##          000000                        000000                            
            0x00, 0xFC, 0x00, 0x00, 0x07, 0xE0, 0x00, 0x00, 0x00, ##          000000                       000000                             
            0x00, 0xFC, 0x00, 0x00, 0x0F, 0xE0, 0x00, 0x00, 0x00, ##          000000                      0000000                             
            0x00, 0xFC, 0x00, 0x00, 0x0F, 0xC0, 0x00, 0x00, 0x00, ##          000000                      000000                              
            0x00, 0xFC, 0x00, 0x00, 0x1F, 0xC0, 0x03, 0xFE, 0x00, ##          000000                     0000000            000000000         
            0x00, 0xFC, 0x00, 0x00, 0x3F, 0x80, 0x3F, 0xFF, 0xC0, ##          000000                    0000000         0000000000000000      
            0x00, 0xFC, 0x00, 0x00, 0x3F, 0x00, 0xFF, 0xFF, 0xF0, ##          000000                    000000        00000000000000000000    
            0x00, 0xFC, 0x00, 0x00, 0x7F, 0x00, 0xFE, 0x07, 0xF8, ##          000000                   0000000        0000000      00000000   
            0x00, 0xFF, 0xFC, 0x00, 0x7E, 0x00, 0xF8, 0x01, 0xFC, ##   000000000000000000000           000000         00000          0000000  
            0x00, 0xFF, 0xFC, 0x00, 0xFE, 0x00, 0xF0, 0x00, 0xFE, ##   000000000000000000000          0000000         0000            0000000 
            0x00, 0xFF, 0xFC, 0x01, 0xFC, 0x00, 0xF0, 0x00, 0x7E, ##   000000000000000000000         0000000          0000             000000 
            0x00, 0xFF, 0xFC, 0x01, 0xF8, 0x00, 0xE0, 0x00, 0x7F, ##   000000000000000000000         000000           000              0000000
            0x00, 0x00, 0x00, 0x03, 0xF8, 0x00, 0xE0, 0x00, 0x3F, ##                                0000000           000               000000
            0x00, 0x00, 0x00, 0x03, 0xF0, 0x00, 0xE0, 0x00, 0x3F, ##                                000000            000               000000
            0x00, 0x00, 0x00, 0x07, 0xF0, 0x00, 0x00, 0x00, 0x3F, ##                               0000000                              000000
            0x00, 0x00, 0x00, 0x0F, 0xE0, 0x00, 0x00, 0x00, 0x3F, ##                              0000000                               000000
            0x00, 0x00, 0x00, 0x0F, 0xC0, 0x00, 0x00, 0x00, 0x3F, ##                              000000                                000000
            0x00, 0x00, 0x00, 0x1F, 0xC0, 0x00, 0x00, 0x00, 0x3E, ##                             0000000                                00000 
            0x00, 0x00, 0x00, 0x1F, 0x80, 0x00, 0x00, 0x00, 0x7E, ##                             000000                                000000 
            0x00, 0x00, 0x00, 0x3F, 0x80, 0x00, 0x00, 0x00, 0x7C, ##                            0000000                                00000  
            0x00, 0x00, 0x00, 0x7F, 0x00, 0x00, 0x00, 0x00, 0xFC, ##                           0000000                                000000  
            0x00, 0x00, 0x00, 0x7E, 0x00, 0x00, 0x00, 0x00, 0xF8, ##                           000000                                 00000   
            0x00, 0x00, 0x00, 0xFE, 0x00, 0x00, 0x00, 0x01, 0xF0, ##                          0000000                                00000    
            0x00, 0x00, 0x01, 0xFC, 0x00, 0x00, 0x00, 0x03, 0xE0, ##                         0000000                                00000     
            0x00, 0x00, 0x01, 0xFC, 0x00, 0x00, 0x00, 0x07, 0xC0, ##                         0000000                               00000      
            0x00, 0x00, 0x03, 0xF8, 0x00, 0x00, 0x00, 0x0F, 0x80, ##                        0000000                               00000       
            0x00, 0x00, 0x03, 0xF0, 0x00, 0x00, 0x00, 0x1F, 0x00, ##                        000000                               00000        
            0x00, 0x00, 0x07, 0xF0, 0x00, 0x00, 0x00, 0x3E, 0x00, ##                       0000000                              00000         
            0x00, 0x00, 0x0F, 0xE0, 0x00, 0x00, 0x00, 0x7C, 0x00, ##                      0000000                              00000          
            0x00, 0x00, 0x0F, 0xE0, 0x00, 0x00, 0x00, 0xF8, 0x00, ##                      0000000                             00000           
            0x00, 0x00, 0x1F, 0xC0, 0x00, 0x00, 0x01, 0xF0, 0x00, ##                     0000000                             00000            
            0x00, 0x00, 0x1F, 0x80, 0x00, 0x00, 0x03, 0xE0, 0x00, ##                     000000                             00000             
            0x00, 0x00, 0x3F, 0x80, 0x00, 0x00, 0x07, 0xC0, 0x07, ##                    0000000                            00000           000
            0x00, 0x00, 0x7F, 0x00, 0x00, 0x00, 0x0F, 0x80, 0x07, ##                   0000000                            00000            000
            0x00, 0x00, 0x7F, 0x00, 0x00, 0x00, 0x3F, 0x00, 0x07, ##                   0000000                          000000             000
            0x00, 0x00, 0xFE, 0x00, 0x00, 0x00, 0x7E, 0x00, 0x07, ##                  0000000                          000000              000
            0x00, 0x00, 0xFC, 0x00, 0x00, 0x00, 0xFC, 0x00, 0x07, ##                  000000                          000000               000
            0x00, 0x01, 0xFC, 0x00, 0x00, 0x01, 0xFF, 0xFF, 0xFF, ##                 0000000                         0000000000000000000000000
            0x00, 0x03, 0xF8, 0x00, 0x00, 0x01, 0xFF, 0xFF, 0xFF, ##                0000000                          0000000000000000000000000
            0x00, 0x03, 0xF0, 0x00, 0x00, 0x01, 0xFF, 0xFF, 0xFF, ##                000000                           0000000000000000000000000
            0x00, 0x07, 0xF0, 0x00, 0x00, 0x01, 0xFF, 0xFF, 0xFF, ##               0000000                           0000000000000000000000000
            0x00, 0x0F, 0xE0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##              0000000                                                     
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '190' => {    # '¾'
        'width'    => 77, 
        'xoffset'  => 4, 
        'xadvance' => 84, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x80, 0x00, 0x00, 0x00, 0x03, 0xF8, 0x00, 0x00, ##         0000000000                                     0000000                
            0x00, 0x00, 0xF0, 0x00, 0x00, 0x00, 0x03, 0xF0, 0x00, 0x00, ##     00000000000000000                                  000000                 
            0x00, 0x00, 0xF8, 0x00, 0x00, 0x00, 0x07, 0xE0, 0x00, 0x00, ##   00000000000000000000                                000000                  
            0x00, 0x00, 0xFC, 0x00, 0x00, 0x00, 0x0F, 0xE0, 0x00, 0x00, ##   0000000       0000000                              0000000                  
            0x00, 0x00, 0xFE, 0x00, 0x00, 0x00, 0x0F, 0xC0, 0x00, 0x00, ##   00000          0000000                             000000                   
            0x00, 0x00, 0x7E, 0x00, 0x00, 0x00, 0x1F, 0xC0, 0x00, 0x00, ##   0000            000000                            0000000                   
            0x00, 0x00, 0x3F, 0x00, 0x00, 0x00, 0x1F, 0x80, 0x00, 0x00, ##   000              000000                           000000                    
            0x00, 0x00, 0x3F, 0x00, 0x00, 0x00, 0x3F, 0x00, 0x00, 0x00, ##   000              000000                          000000                     
            0x00, 0x00, 0x3F, 0x00, 0x00, 0x00, 0x7F, 0x00, 0x00, 0x00, ##                    000000                         0000000                     
            0x00, 0x00, 0x3F, 0x00, 0x00, 0x00, 0x7E, 0x00, 0x00, 0x00, ##                    000000                         000000                      
            0x00, 0x00, 0x3F, 0x00, 0x00, 0x00, 0xFC, 0x00, 0x00, 0x00, ##                    000000                        000000                       
            0x00, 0x00, 0x7E, 0x00, 0x00, 0x00, 0xFC, 0x00, 0x00, 0x00, ##                   000000                         000000                       
            0x00, 0x00, 0x7E, 0x00, 0x00, 0x01, 0xF8, 0x00, 0x00, 0x00, ##                   000000                        000000                        
            0x00, 0x00, 0xFC, 0x00, 0x00, 0x03, 0xF8, 0x00, 0x00, 0x00, ##                  000000                        0000000                        
            0x00, 0x00, 0xF8, 0x00, 0x00, 0x03, 0xF0, 0x00, 0x00, 0x00, ##                0000000                         000000                         
            0x00, 0x00, 0xE0, 0x00, 0x00, 0x07, 0xE0, 0x00, 0x00, 0x00, ##           0000000000                          000000                          
            0x00, 0x00, 0x00, 0x00, 0x00, 0x07, 0xE0, 0x00, 0x00, 0x00, ##           0000000                             000000                          
            0x00, 0x00, 0xF0, 0x00, 0x00, 0x0F, 0xC0, 0x00, 0x00, 0x00, ##           00000000000                        000000                           
            0x00, 0x00, 0xFC, 0x00, 0x00, 0x1F, 0xC0, 0x00, 0x00, 0x00, ##                00000000                     0000000                           
            0x00, 0x00, 0xFE, 0x00, 0x00, 0x1F, 0x80, 0x00, 0x00, 0x00, ##                  0000000                    000000                            
            0x00, 0x00, 0x7F, 0x00, 0x00, 0x3F, 0x00, 0x00, 0x00, 0x00, ##                   0000000                  000000                             
            0x00, 0x00, 0x3F, 0x80, 0x00, 0x7F, 0x00, 0x00, 0x00, 0x00, ##                    0000000                0000000                             
            0x00, 0x00, 0x3F, 0x80, 0x00, 0x7E, 0x00, 0x00, 0x00, 0x00, ##                    0000000                000000                              
            0x00, 0x00, 0x1F, 0xC0, 0x00, 0xFE, 0x00, 0x00, 0x00, 0x00, ##                     0000000              0000000                              
            0x00, 0x00, 0x1F, 0xC0, 0x00, 0xFC, 0x00, 0x00, 0x00, 0x00, ##                     0000000              000000                               
            0x00, 0x00, 0x1F, 0xC0, 0x01, 0xF8, 0x00, 0x00, 0x00, 0x00, ##                     0000000             000000                                
            0x00, 0x00, 0x1F, 0xC0, 0x03, 0xF8, 0x00, 0x00, 0x00, 0x00, ##                     0000000            0000000                                
            0x00, 0x00, 0x1F, 0xC0, 0x03, 0xF0, 0x00, 0x00, 0x00, 0x00, ##  000                0000000            000000                                 
            0x00, 0x00, 0x1F, 0xC0, 0x07, 0xE0, 0x00, 0x00, 0x00, 0x00, ##  000                0000000           000000                                  
            0x00, 0x00, 0x3F, 0xC0, 0x07, 0xE0, 0x00, 0x00, 0xFC, 0x00, ##  000               00000000           000000                     000000       
            0x00, 0x00, 0x3F, 0x80, 0x0F, 0xC0, 0x00, 0x01, 0xFC, 0x00, ##  0000              0000000           000000                     0000000       
            0x00, 0x00, 0x7F, 0x80, 0x1F, 0xC0, 0x00, 0x03, 0xFC, 0x00, ##  0000             00000000          0000000                    00000000       
            0x00, 0x00, 0xFF, 0x00, 0x1F, 0x80, 0x00, 0x03, 0xFC, 0x00, ##  00000           00000000           000000                     00000000       
            0x00, 0x00, 0xFE, 0x00, 0x3F, 0x00, 0x00, 0x07, 0xFC, 0x00, ##  0000000       000000000           000000                     000000000       
            0x00, 0x00, 0xFC, 0x00, 0x3F, 0x00, 0x00, 0x0F, 0xFC, 0x00, ##  0000000000000000000000            000000                    0000000000       
            0x00, 0x00, 0xF0, 0x00, 0x7E, 0x00, 0x00, 0x1E, 0xFC, 0x00, ##    000000000000000000             000000                    0000 000000       
            0x00, 0x00, 0x80, 0x00, 0xFE, 0x00, 0x00, 0x1E, 0xFC, 0x00, ##        00000000000               0000000                    0000 000000       
            0x00, 0x00, 0x00, 0x00, 0xFC, 0x00, 0x00, 0x3C, 0xFC, 0x00, ##                                  000000                    0000  000000       
            0x00, 0x00, 0x00, 0x01, 0xF8, 0x00, 0x00, 0x78, 0xFC, 0x00, ##                                 000000                    0000   000000       
            0x00, 0x00, 0x00, 0x01, 0xF8, 0x00, 0x00, 0xF0, 0xFC, 0x00, ##                                 000000                   0000    000000       
            0x00, 0x00, 0x00, 0x03, 0xF0, 0x00, 0x00, 0xF0, 0xFC, 0x00, ##                                000000                    0000    000000       
            0x00, 0x00, 0x00, 0x07, 0xE0, 0x00, 0x01, 0xE0, 0xFC, 0x00, ##                               000000                    0000     000000       
            0x00, 0x00, 0x00, 0x07, 0xE0, 0x00, 0x03, 0xC0, 0xFC, 0x00, ##                               000000                   0000      000000       
            0x00, 0x00, 0x00, 0x0F, 0xC0, 0x00, 0x07, 0x80, 0xFC, 0x00, ##                              000000                   0000       000000       
            0x00, 0x00, 0x00, 0x0F, 0xC0, 0x00, 0x07, 0x80, 0xFC, 0x00, ##                              000000                   0000       000000       
            0x00, 0x00, 0x00, 0x1F, 0x80, 0x00, 0x0F, 0x00, 0xFC, 0x00, ##                             000000                   0000        000000       
            0x00, 0x00, 0x00, 0x3F, 0x00, 0x00, 0x1E, 0x00, 0xFC, 0x00, ##                            000000                   0000         000000       
            0x00, 0x00, 0x00, 0x3F, 0x00, 0x00, 0x3C, 0x00, 0xFC, 0x00, ##                            000000                  0000          000000       
            0x00, 0x00, 0x00, 0x7E, 0x00, 0x00, 0x3C, 0x00, 0xFC, 0x00, ##                           000000                   0000          000000       
            0x00, 0x00, 0x00, 0x7E, 0x00, 0x00, 0x78, 0x00, 0xFC, 0x00, ##                           000000                  0000           000000       
            0x00, 0x00, 0x00, 0xFC, 0x00, 0x00, 0xF0, 0x00, 0xFC, 0x00, ##                          000000                  0000            000000       
            0x00, 0x00, 0x01, 0xF8, 0x00, 0x01, 0xE0, 0x00, 0xFC, 0x00, ##                         000000                  0000             000000       
            0x00, 0x00, 0x01, 0xF8, 0x00, 0x01, 0xFF, 0xFF, 0xFF, 0xF8, ##                         000000                  000000000000000000000000000000
            0x00, 0x00, 0x03, 0xF0, 0x00, 0x01, 0xFF, 0xFF, 0xFF, 0xF8, ##                        000000                   000000000000000000000000000000
            0x00, 0x00, 0x07, 0xF0, 0x00, 0x01, 0xFF, 0xFF, 0xFF, 0xF8, ##                       0000000                   000000000000000000000000000000
            0x00, 0x00, 0x07, 0xE0, 0x00, 0x01, 0xFF, 0xFF, 0xFF, 0xF8, ##                       000000                    000000000000000000000000000000
            0x00, 0x00, 0x0F, 0xC0, 0x00, 0x00, 0x00, 0x00, 0xFC, 0x00, ##                      000000                                      000000       
            0x00, 0x00, 0x0F, 0xC0, 0x00, 0x00, 0x00, 0x00, 0xFC, 0x00, ##                      000000                                      000000       
            0x00, 0x00, 0x1F, 0x80, 0x00, 0x00, 0x00, 0x00, 0xFC, 0x00, ##                     000000                                       000000       
            0x00, 0x00, 0x3F, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFC, 0x00, ##                    000000                                        000000       
            0x00, 0x00, 0x3F, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFC, 0x00, ##                    000000                                        000000       
            0x00, 0x00, 0x7E, 0x00, 0x00, 0x00, 0x00, 0x3F, 0xFF, 0xF0, ##                   000000                                   000000000000000000 
            0x00, 0x00, 0x7E, 0x00, 0x00, 0x00, 0x00, 0x3F, 0xFF, 0xF0, ##                   000000                                   000000000000000000 
            0x00, 0x00, 0xFC, 0x00, 0x00, 0x00, 0x00, 0x3F, 0xFF, 0xF0, ##                  000000                                    000000000000000000 
            0x00, 0x00, 0xF8, 0x00, 0x00, 0x00, 0x00, 0x3F, 0xFF, 0xF0, ##                 000000                                     000000000000000000 
            0x00, 0x00, 0xF8, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                 000000                                                        
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '191' => {    # '¿'
        'width'    => 37, 
        'xoffset'  => 6, 
        'xadvance' => 47, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x1F, 0x00, 0x00, ##                     00000             
            0x00, 0x00, 0x3F, 0x80, 0x00, ##                    0000000            
            0x00, 0x00, 0x7F, 0xC0, 0x00, ##                   000000000           
            0x00, 0x00, 0xFF, 0xE0, 0x00, ##                  00000000000          
            0x00, 0x00, 0xFF, 0xE0, 0x00, ##                  00000000000          
            0x00, 0x00, 0xFF, 0xE0, 0x00, ##                  00000000000          
            0x00, 0x00, 0xFF, 0xE0, 0x00, ##                  00000000000          
            0x00, 0x00, 0xFF, 0xE0, 0x00, ##                  00000000000          
            0x00, 0x00, 0x7F, 0xC0, 0x00, ##                   000000000           
            0x00, 0x00, 0x3F, 0x80, 0x00, ##                    0000000            
            0x00, 0x00, 0x1F, 0x00, 0x00, ##                     00000             
            0x00, 0x00, 0x00, 0x00, 0x00, ##                                       
            0x00, 0x00, 0x00, 0x00, 0x00, ##                                       
            0x00, 0x00, 0x00, 0x00, 0x00, ##                                       
            0x00, 0x00, 0x00, 0x00, 0x00, ##                                       
            0x00, 0x00, 0x00, 0x00, 0x00, ##                                       
            0x00, 0x00, 0x00, 0x00, 0x00, ##                                       
            0x00, 0x00, 0x00, 0x00, 0x00, ##                                       
            0x00, 0x00, 0x1F, 0x00, 0x00, ##                     00000             
            0x00, 0x00, 0x1F, 0x00, 0x00, ##                     00000             
            0x00, 0x00, 0x1F, 0x00, 0x00, ##                     00000             
            0x00, 0x00, 0x1F, 0x00, 0x00, ##                     00000             
            0x00, 0x00, 0x1F, 0x00, 0x00, ##                     00000             
            0x00, 0x00, 0x1F, 0x00, 0x00, ##                     00000             
            0x00, 0x00, 0x1F, 0x00, 0x00, ##                     00000             
            0x00, 0x00, 0x1F, 0x00, 0x00, ##                     00000             
            0x00, 0x00, 0x1F, 0x00, 0x00, ##                     00000             
            0x00, 0x00, 0x1F, 0x00, 0x00, ##                     00000             
            0x00, 0x00, 0x1F, 0x00, 0x00, ##                     00000             
            0x00, 0x00, 0xFF, 0x00, 0x00, ##                  00000000             
            0x00, 0x07, 0xFF, 0x00, 0x00, ##               00000000000             
            0x00, 0x1F, 0xFF, 0x00, 0x00, ##             0000000000000             
            0x00, 0x7F, 0xFC, 0x00, 0x00, ##           0000000000000               
            0x00, 0xFF, 0xF0, 0x00, 0x00, ##          000000000000                 
            0x03, 0xFF, 0x80, 0x00, 0x00, ##        00000000000                    
            0x07, 0xFF, 0x00, 0x00, 0x00, ##       00000000000                     
            0x0F, 0xFE, 0x00, 0x00, 0x00, ##      00000000000                      
            0x1F, 0xF8, 0x00, 0x00, 0x00, ##     0000000000                        
            0x1F, 0xF8, 0x00, 0x00, 0x00, ##     0000000000                        
            0x3F, 0xF0, 0x00, 0x00, 0x00, ##    0000000000                         
            0x3F, 0xE0, 0x00, 0x00, 0x00, ##    000000000                          
            0x7F, 0xE0, 0x00, 0x00, 0x00, ##   0000000000                          
            0x7F, 0xC0, 0x00, 0x00, 0x00, ##   000000000                           
            0x7F, 0xC0, 0x00, 0x00, 0x00, ##   000000000                           
            0xFF, 0xC0, 0x00, 0x00, 0x00, ##  0000000000                           
            0xFF, 0x80, 0x00, 0x00, 0x00, ##  000000000                            
            0xFF, 0x80, 0x00, 0x00, 0x00, ##  000000000                            
            0xFF, 0x80, 0x00, 0x00, 0x00, ##  000000000                            
            0xFF, 0x80, 0x00, 0x00, 0x00, ##  000000000                            
            0xFF, 0x80, 0x00, 0x00, 0x00, ##  000000000                            
            0xFF, 0x80, 0x00, 0x00, 0x00, ##  000000000                            
            0xFF, 0x80, 0x00, 0x00, 0xF8, ##  000000000                       00000
            0xFF, 0x80, 0x00, 0x00, 0xF8, ##  000000000                       00000
            0xFF, 0x80, 0x00, 0x00, 0xF8, ##  000000000                       00000
            0x7F, 0xC0, 0x00, 0x01, 0xF8, ##   000000000                     000000
            0x7F, 0xC0, 0x00, 0x01, 0xF8, ##   000000000                     000000
            0x3F, 0xE0, 0x00, 0x03, 0xF8, ##    000000000                   0000000
            0x3F, 0xE0, 0x00, 0x03, 0xF8, ##    000000000                   0000000
            0x1F, 0xF0, 0x00, 0x07, 0xF8, ##     000000000                 00000000
            0x1F, 0xF8, 0x00, 0x0F, 0xF8, ##     0000000000               000000000
            0x0F, 0xFC, 0x00, 0x1F, 0xF8, ##      0000000000             0000000000
            0x03, 0xFF, 0x80, 0xFF, 0xF8, ##        00000000000       0000000000000
            0x01, 0xFF, 0xFF, 0xFF, 0xF0, ##         00000000000000000000000000000 
            0x00, 0x7F, 0xFF, 0xFF, 0x80, ##           000000000000000000000000    
            0x00, 0x1F, 0xFF, 0xFC, 0x00, ##             0000000000000000000       
            0x00, 0x01, 0xFF, 0xC0, 0x00, ##                 00000000000           
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '192' => {    # 'À'
        'width'    => 64, 
        'xoffset'  => 0, 
        'xadvance' => 63, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x07, 0xF8, 0x00, 0x00, 0x00, 0x00, ##                       00000000                                   
            0x00, 0x00, 0x03, 0xFC, 0x00, 0x00, 0x00, 0x00, ##                        00000000                                  
            0x00, 0x00, 0x01, 0xFC, 0x00, 0x00, 0x00, 0x00, ##                         0000000                                  
            0x00, 0x00, 0x00, 0xFE, 0x00, 0x00, 0x00, 0x00, ##                          0000000                                 
            0x00, 0x00, 0x00, 0x7F, 0x00, 0x00, 0x00, 0x00, ##                           0000000                                
            0x00, 0x00, 0x00, 0x3F, 0x00, 0x00, 0x00, 0x00, ##                            000000                                
            0x00, 0x00, 0x00, 0x1F, 0x80, 0x00, 0x00, 0x00, ##                             000000                               
            0x00, 0x00, 0x00, 0x0F, 0xC0, 0x00, 0x00, 0x00, ##                              000000                              
            0x00, 0x00, 0x00, 0x07, 0xE0, 0x00, 0x00, 0x00, ##                               000000                             
            0x00, 0x00, 0x00, 0x03, 0xE0, 0x00, 0x00, 0x00, ##                                00000                             
            0x00, 0x00, 0x00, 0x01, 0xF0, 0x00, 0x00, 0x00, ##                                 00000                            
            0x00, 0x00, 0x00, 0x00, 0xF8, 0x00, 0x00, 0x00, ##                                  00000                           
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                                  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                                  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                                  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                                  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                                  
            0x00, 0x00, 0x00, 0x0F, 0xE0, 0x00, 0x00, 0x00, ##                              0000000                             
            0x00, 0x00, 0x00, 0x0F, 0xF0, 0x00, 0x00, 0x00, ##                              00000000                            
            0x00, 0x00, 0x00, 0x1F, 0xF0, 0x00, 0x00, 0x00, ##                             000000000                            
            0x00, 0x00, 0x00, 0x1F, 0xF0, 0x00, 0x00, 0x00, ##                             000000000                            
            0x00, 0x00, 0x00, 0x1F, 0xF8, 0x00, 0x00, 0x00, ##                             0000000000                           
            0x00, 0x00, 0x00, 0x3F, 0xF8, 0x00, 0x00, 0x00, ##                            00000000000                           
            0x00, 0x00, 0x00, 0x3F, 0xF8, 0x00, 0x00, 0x00, ##                            00000000000                           
            0x00, 0x00, 0x00, 0x3F, 0xFC, 0x00, 0x00, 0x00, ##                            000000000000                          
            0x00, 0x00, 0x00, 0x7F, 0xFC, 0x00, 0x00, 0x00, ##                           0000000000000                          
            0x00, 0x00, 0x00, 0x7F, 0xFE, 0x00, 0x00, 0x00, ##                           00000000000000                         
            0x00, 0x00, 0x00, 0xFF, 0xFE, 0x00, 0x00, 0x00, ##                          000000000000000                         
            0x00, 0x00, 0x00, 0xFB, 0xFE, 0x00, 0x00, 0x00, ##                          00000 000000000                         
            0x00, 0x00, 0x00, 0xFB, 0xFF, 0x00, 0x00, 0x00, ##                          00000 0000000000                        
            0x00, 0x00, 0x01, 0xFB, 0xFF, 0x00, 0x00, 0x00, ##                         000000 0000000000                        
            0x00, 0x00, 0x01, 0xF1, 0xFF, 0x00, 0x00, 0x00, ##                         00000   000000000                        
            0x00, 0x00, 0x01, 0xF1, 0xFF, 0x80, 0x00, 0x00, ##                         00000   0000000000                       
            0x00, 0x00, 0x03, 0xF0, 0xFF, 0x80, 0x00, 0x00, ##                        000000    000000000                       
            0x00, 0x00, 0x03, 0xE0, 0xFF, 0xC0, 0x00, 0x00, ##                        00000     0000000000                      
            0x00, 0x00, 0x07, 0xE0, 0xFF, 0xC0, 0x00, 0x00, ##                       000000     0000000000                      
            0x00, 0x00, 0x07, 0xC0, 0x7F, 0xC0, 0x00, 0x00, ##                       00000       000000000                      
            0x00, 0x00, 0x07, 0xC0, 0x7F, 0xE0, 0x00, 0x00, ##                       00000       0000000000                     
            0x00, 0x00, 0x0F, 0xC0, 0x7F, 0xE0, 0x00, 0x00, ##                      000000       0000000000                     
            0x00, 0x00, 0x0F, 0x80, 0x3F, 0xE0, 0x00, 0x00, ##                      00000         000000000                     
            0x00, 0x00, 0x0F, 0x80, 0x3F, 0xF0, 0x00, 0x00, ##                      00000         0000000000                    
            0x00, 0x00, 0x1F, 0x80, 0x1F, 0xF0, 0x00, 0x00, ##                     000000          000000000                    
            0x00, 0x00, 0x1F, 0x00, 0x1F, 0xF8, 0x00, 0x00, ##                     00000           0000000000                   
            0x00, 0x00, 0x3F, 0x00, 0x1F, 0xF8, 0x00, 0x00, ##                    000000           0000000000                   
            0x00, 0x00, 0x3E, 0x00, 0x0F, 0xF8, 0x00, 0x00, ##                    00000             000000000                   
            0x00, 0x00, 0x3E, 0x00, 0x0F, 0xFC, 0x00, 0x00, ##                    00000             0000000000                  
            0x00, 0x00, 0x7E, 0x00, 0x0F, 0xFC, 0x00, 0x00, ##                   000000             0000000000                  
            0x00, 0x00, 0x7C, 0x00, 0x07, 0xFC, 0x00, 0x00, ##                   00000               000000000                  
            0x00, 0x00, 0x7C, 0x00, 0x07, 0xFE, 0x00, 0x00, ##                   00000               0000000000                 
            0x00, 0x00, 0xFC, 0x00, 0x03, 0xFE, 0x00, 0x00, ##                  000000                000000000                 
            0x00, 0x00, 0xF8, 0x00, 0x03, 0xFF, 0x00, 0x00, ##                  00000                 0000000000                
            0x00, 0x01, 0xF8, 0x00, 0x03, 0xFF, 0x00, 0x00, ##                 000000                 0000000000                
            0x00, 0x01, 0xF8, 0x00, 0x01, 0xFF, 0x00, 0x00, ##                 000000                  000000000                
            0x00, 0x01, 0xF0, 0x00, 0x01, 0xFF, 0x80, 0x00, ##                 00000                   0000000000               
            0x00, 0x03, 0xF0, 0x00, 0x01, 0xFF, 0x80, 0x00, ##                000000                   0000000000               
            0x00, 0x03, 0xE0, 0x00, 0x00, 0xFF, 0x80, 0x00, ##                00000                     000000000               
            0x00, 0x03, 0xE0, 0x00, 0x00, 0xFF, 0xC0, 0x00, ##                00000                     0000000000              
            0x00, 0x07, 0xE0, 0x00, 0x00, 0x7F, 0xC0, 0x00, ##               000000                      000000000              
            0x00, 0x07, 0xC0, 0x00, 0x00, 0x7F, 0xE0, 0x00, ##               00000                       0000000000             
            0x00, 0x07, 0xFF, 0xFF, 0xFF, 0xFF, 0xE0, 0x00, ##               00000000000000000000000000000000000000             
            0x00, 0x0F, 0xFF, 0xFF, 0xFF, 0xFF, 0xE0, 0x00, ##              000000000000000000000000000000000000000             
            0x00, 0x0F, 0xFF, 0xFF, 0xFF, 0xFF, 0xF0, 0x00, ##              0000000000000000000000000000000000000000            
            0x00, 0x1F, 0xFF, 0xFF, 0xFF, 0xFF, 0xF0, 0x00, ##             00000000000000000000000000000000000000000            
            0x00, 0x1F, 0x00, 0x00, 0x00, 0x1F, 0xF0, 0x00, ##             00000                           000000000            
            0x00, 0x1F, 0x00, 0x00, 0x00, 0x1F, 0xF8, 0x00, ##             00000                           0000000000           
            0x00, 0x3E, 0x00, 0x00, 0x00, 0x0F, 0xF8, 0x00, ##            00000                             000000000           
            0x00, 0x3E, 0x00, 0x00, 0x00, 0x0F, 0xF8, 0x00, ##            00000                             000000000           
            0x00, 0x3E, 0x00, 0x00, 0x00, 0x0F, 0xFC, 0x00, ##            00000                             0000000000          
            0x00, 0x7C, 0x00, 0x00, 0x00, 0x07, 0xFC, 0x00, ##           00000                               000000000          
            0x00, 0x7C, 0x00, 0x00, 0x00, 0x07, 0xFE, 0x00, ##           00000                               0000000000         
            0x00, 0xFC, 0x00, 0x00, 0x00, 0x07, 0xFE, 0x00, ##          000000                               0000000000         
            0x00, 0xF8, 0x00, 0x00, 0x00, 0x03, 0xFE, 0x00, ##          00000                                 000000000         
            0x00, 0xF8, 0x00, 0x00, 0x00, 0x03, 0xFF, 0x00, ##          00000                                 0000000000        
            0x01, 0xF8, 0x00, 0x00, 0x00, 0x03, 0xFF, 0x00, ##         000000                                 0000000000        
            0x01, 0xF0, 0x00, 0x00, 0x00, 0x01, 0xFF, 0x00, ##         00000                                   000000000        
            0x01, 0xF0, 0x00, 0x00, 0x00, 0x01, 0xFF, 0x80, ##         00000                                   0000000000       
            0x03, 0xF0, 0x00, 0x00, 0x00, 0x00, 0xFF, 0x80, ##        000000                                    000000000       
            0x03, 0xE0, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xC0, ##        00000                                     0000000000      
            0xFF, 0xFF, 0xC0, 0x00, 0x00, 0x7F, 0xFF, 0xFF, ##  000000000000000000                       00000000000000000000000
            0xFF, 0xFF, 0xC0, 0x00, 0x00, 0x7F, 0xFF, 0xFF, ##  000000000000000000                       00000000000000000000000
            0xFF, 0xFF, 0xC0, 0x00, 0x00, 0x7F, 0xFF, 0xFF, ##  000000000000000000                       00000000000000000000000
            0xFF, 0xFF, 0xC0, 0x00, 0x00, 0x7F, 0xFF, 0xFF, ##  000000000000000000                       00000000000000000000000
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '193' => {    # 'Á'
        'width'    => 64, 
        'xoffset'  => 0, 
        'xadvance' => 63, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x1F, 0xE0, 0x00, 0x00, ##                                     00000000                     
            0x00, 0x00, 0x00, 0x00, 0x3F, 0xC0, 0x00, 0x00, ##                                    00000000                      
            0x00, 0x00, 0x00, 0x00, 0x7F, 0x80, 0x00, 0x00, ##                                   00000000                       
            0x00, 0x00, 0x00, 0x00, 0xFF, 0x00, 0x00, 0x00, ##                                  00000000                        
            0x00, 0x00, 0x00, 0x00, 0xFE, 0x00, 0x00, 0x00, ##                                  0000000                         
            0x00, 0x00, 0x00, 0x01, 0xFC, 0x00, 0x00, 0x00, ##                                 0000000                          
            0x00, 0x00, 0x00, 0x03, 0xF8, 0x00, 0x00, 0x00, ##                                0000000                           
            0x00, 0x00, 0x00, 0x03, 0xF0, 0x00, 0x00, 0x00, ##                                000000                            
            0x00, 0x00, 0x00, 0x07, 0xE0, 0x00, 0x00, 0x00, ##                               000000                             
            0x00, 0x00, 0x00, 0x0F, 0xC0, 0x00, 0x00, 0x00, ##                              000000                              
            0x00, 0x00, 0x00, 0x0F, 0x80, 0x00, 0x00, 0x00, ##                              00000                               
            0x00, 0x00, 0x00, 0x1F, 0x00, 0x00, 0x00, 0x00, ##                             00000                                
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                                  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                                  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                                  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                                  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                                  
            0x00, 0x00, 0x00, 0x0F, 0xE0, 0x00, 0x00, 0x00, ##                              0000000                             
            0x00, 0x00, 0x00, 0x0F, 0xF0, 0x00, 0x00, 0x00, ##                              00000000                            
            0x00, 0x00, 0x00, 0x1F, 0xF0, 0x00, 0x00, 0x00, ##                             000000000                            
            0x00, 0x00, 0x00, 0x1F, 0xF0, 0x00, 0x00, 0x00, ##                             000000000                            
            0x00, 0x00, 0x00, 0x1F, 0xF8, 0x00, 0x00, 0x00, ##                             0000000000                           
            0x00, 0x00, 0x00, 0x3F, 0xF8, 0x00, 0x00, 0x00, ##                            00000000000                           
            0x00, 0x00, 0x00, 0x3F, 0xF8, 0x00, 0x00, 0x00, ##                            00000000000                           
            0x00, 0x00, 0x00, 0x3F, 0xFC, 0x00, 0x00, 0x00, ##                            000000000000                          
            0x00, 0x00, 0x00, 0x7F, 0xFC, 0x00, 0x00, 0x00, ##                           0000000000000                          
            0x00, 0x00, 0x00, 0x7F, 0xFE, 0x00, 0x00, 0x00, ##                           00000000000000                         
            0x00, 0x00, 0x00, 0xFF, 0xFE, 0x00, 0x00, 0x00, ##                          000000000000000                         
            0x00, 0x00, 0x00, 0xFB, 0xFE, 0x00, 0x00, 0x00, ##                          00000 000000000                         
            0x00, 0x00, 0x00, 0xFB, 0xFF, 0x00, 0x00, 0x00, ##                          00000 0000000000                        
            0x00, 0x00, 0x01, 0xFB, 0xFF, 0x00, 0x00, 0x00, ##                         000000 0000000000                        
            0x00, 0x00, 0x01, 0xF1, 0xFF, 0x00, 0x00, 0x00, ##                         00000   000000000                        
            0x00, 0x00, 0x01, 0xF1, 0xFF, 0x80, 0x00, 0x00, ##                         00000   0000000000                       
            0x00, 0x00, 0x03, 0xF0, 0xFF, 0x80, 0x00, 0x00, ##                        000000    000000000                       
            0x00, 0x00, 0x03, 0xE0, 0xFF, 0xC0, 0x00, 0x00, ##                        00000     0000000000                      
            0x00, 0x00, 0x07, 0xE0, 0xFF, 0xC0, 0x00, 0x00, ##                       000000     0000000000                      
            0x00, 0x00, 0x07, 0xC0, 0x7F, 0xC0, 0x00, 0x00, ##                       00000       000000000                      
            0x00, 0x00, 0x07, 0xC0, 0x7F, 0xE0, 0x00, 0x00, ##                       00000       0000000000                     
            0x00, 0x00, 0x0F, 0xC0, 0x7F, 0xE0, 0x00, 0x00, ##                      000000       0000000000                     
            0x00, 0x00, 0x0F, 0x80, 0x3F, 0xE0, 0x00, 0x00, ##                      00000         000000000                     
            0x00, 0x00, 0x0F, 0x80, 0x3F, 0xF0, 0x00, 0x00, ##                      00000         0000000000                    
            0x00, 0x00, 0x1F, 0x80, 0x1F, 0xF0, 0x00, 0x00, ##                     000000          000000000                    
            0x00, 0x00, 0x1F, 0x00, 0x1F, 0xF8, 0x00, 0x00, ##                     00000           0000000000                   
            0x00, 0x00, 0x3F, 0x00, 0x1F, 0xF8, 0x00, 0x00, ##                    000000           0000000000                   
            0x00, 0x00, 0x3E, 0x00, 0x0F, 0xF8, 0x00, 0x00, ##                    00000             000000000                   
            0x00, 0x00, 0x3E, 0x00, 0x0F, 0xFC, 0x00, 0x00, ##                    00000             0000000000                  
            0x00, 0x00, 0x7E, 0x00, 0x0F, 0xFC, 0x00, 0x00, ##                   000000             0000000000                  
            0x00, 0x00, 0x7C, 0x00, 0x07, 0xFC, 0x00, 0x00, ##                   00000               000000000                  
            0x00, 0x00, 0x7C, 0x00, 0x07, 0xFE, 0x00, 0x00, ##                   00000               0000000000                 
            0x00, 0x00, 0xFC, 0x00, 0x03, 0xFE, 0x00, 0x00, ##                  000000                000000000                 
            0x00, 0x00, 0xF8, 0x00, 0x03, 0xFF, 0x00, 0x00, ##                  00000                 0000000000                
            0x00, 0x01, 0xF8, 0x00, 0x03, 0xFF, 0x00, 0x00, ##                 000000                 0000000000                
            0x00, 0x01, 0xF8, 0x00, 0x01, 0xFF, 0x00, 0x00, ##                 000000                  000000000                
            0x00, 0x01, 0xF0, 0x00, 0x01, 0xFF, 0x80, 0x00, ##                 00000                   0000000000               
            0x00, 0x03, 0xF0, 0x00, 0x01, 0xFF, 0x80, 0x00, ##                000000                   0000000000               
            0x00, 0x03, 0xE0, 0x00, 0x00, 0xFF, 0x80, 0x00, ##                00000                     000000000               
            0x00, 0x03, 0xE0, 0x00, 0x00, 0xFF, 0xC0, 0x00, ##                00000                     0000000000              
            0x00, 0x07, 0xE0, 0x00, 0x00, 0x7F, 0xC0, 0x00, ##               000000                      000000000              
            0x00, 0x07, 0xC0, 0x00, 0x00, 0x7F, 0xE0, 0x00, ##               00000                       0000000000             
            0x00, 0x07, 0xFF, 0xFF, 0xFF, 0xFF, 0xE0, 0x00, ##               00000000000000000000000000000000000000             
            0x00, 0x0F, 0xFF, 0xFF, 0xFF, 0xFF, 0xE0, 0x00, ##              000000000000000000000000000000000000000             
            0x00, 0x0F, 0xFF, 0xFF, 0xFF, 0xFF, 0xF0, 0x00, ##              0000000000000000000000000000000000000000            
            0x00, 0x1F, 0xFF, 0xFF, 0xFF, 0xFF, 0xF0, 0x00, ##             00000000000000000000000000000000000000000            
            0x00, 0x1F, 0x00, 0x00, 0x00, 0x1F, 0xF0, 0x00, ##             00000                           000000000            
            0x00, 0x1F, 0x00, 0x00, 0x00, 0x1F, 0xF8, 0x00, ##             00000                           0000000000           
            0x00, 0x3E, 0x00, 0x00, 0x00, 0x0F, 0xF8, 0x00, ##            00000                             000000000           
            0x00, 0x3E, 0x00, 0x00, 0x00, 0x0F, 0xF8, 0x00, ##            00000                             000000000           
            0x00, 0x3E, 0x00, 0x00, 0x00, 0x0F, 0xFC, 0x00, ##            00000                             0000000000          
            0x00, 0x7C, 0x00, 0x00, 0x00, 0x07, 0xFC, 0x00, ##           00000                               000000000          
            0x00, 0x7C, 0x00, 0x00, 0x00, 0x07, 0xFE, 0x00, ##           00000                               0000000000         
            0x00, 0xFC, 0x00, 0x00, 0x00, 0x07, 0xFE, 0x00, ##          000000                               0000000000         
            0x00, 0xF8, 0x00, 0x00, 0x00, 0x03, 0xFE, 0x00, ##          00000                                 000000000         
            0x00, 0xF8, 0x00, 0x00, 0x00, 0x03, 0xFF, 0x00, ##          00000                                 0000000000        
            0x01, 0xF8, 0x00, 0x00, 0x00, 0x03, 0xFF, 0x00, ##         000000                                 0000000000        
            0x01, 0xF0, 0x00, 0x00, 0x00, 0x01, 0xFF, 0x00, ##         00000                                   000000000        
            0x01, 0xF0, 0x00, 0x00, 0x00, 0x01, 0xFF, 0x80, ##         00000                                   0000000000       
            0x03, 0xF0, 0x00, 0x00, 0x00, 0x00, 0xFF, 0x80, ##        000000                                    000000000       
            0x03, 0xE0, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xC0, ##        00000                                     0000000000      
            0xFF, 0xFF, 0xC0, 0x00, 0x00, 0x7F, 0xFF, 0xFF, ##  000000000000000000                       00000000000000000000000
            0xFF, 0xFF, 0xC0, 0x00, 0x00, 0x7F, 0xFF, 0xFF, ##  000000000000000000                       00000000000000000000000
            0xFF, 0xFF, 0xC0, 0x00, 0x00, 0x7F, 0xFF, 0xFF, ##  000000000000000000                       00000000000000000000000
            0xFF, 0xFF, 0xC0, 0x00, 0x00, 0x7F, 0xFF, 0xFF, ##  000000000000000000                       00000000000000000000000
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '194' => {    # 'Â'
        'width'    => 64, 
        'xoffset'  => 0, 
        'xadvance' => 63, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x0F, 0xF0, 0x00, 0x00, 0x00, ##                              00000000                            
            0x00, 0x00, 0x00, 0x1F, 0xF0, 0x00, 0x00, 0x00, ##                             000000000                            
            0x00, 0x00, 0x00, 0x3F, 0xF8, 0x00, 0x00, 0x00, ##                            00000000000                           
            0x00, 0x00, 0x00, 0x3F, 0xFC, 0x00, 0x00, 0x00, ##                            000000000000                          
            0x00, 0x00, 0x00, 0x7F, 0xFE, 0x00, 0x00, 0x00, ##                           00000000000000                         
            0x00, 0x00, 0x00, 0xFE, 0x7F, 0x00, 0x00, 0x00, ##                          0000000  0000000                        
            0x00, 0x00, 0x01, 0xFC, 0x3F, 0x80, 0x00, 0x00, ##                         0000000    0000000                       
            0x00, 0x00, 0x03, 0xF0, 0x1F, 0xC0, 0x00, 0x00, ##                        000000       0000000                      
            0x00, 0x00, 0x07, 0xE0, 0x07, 0xE0, 0x00, 0x00, ##                       000000          000000                     
            0x00, 0x00, 0x0F, 0xC0, 0x03, 0xF0, 0x00, 0x00, ##                      000000            000000                    
            0x00, 0x00, 0x1F, 0x80, 0x01, 0xF0, 0x00, 0x00, ##                     000000              00000                    
            0x00, 0x00, 0x3E, 0x00, 0x00, 0xF8, 0x00, 0x00, ##                    00000                 00000                   
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                                  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                                  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                                  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                                  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                                  
            0x00, 0x00, 0x00, 0x0F, 0xE0, 0x00, 0x00, 0x00, ##                              0000000                             
            0x00, 0x00, 0x00, 0x0F, 0xF0, 0x00, 0x00, 0x00, ##                              00000000                            
            0x00, 0x00, 0x00, 0x1F, 0xF0, 0x00, 0x00, 0x00, ##                             000000000                            
            0x00, 0x00, 0x00, 0x1F, 0xF0, 0x00, 0x00, 0x00, ##                             000000000                            
            0x00, 0x00, 0x00, 0x1F, 0xF8, 0x00, 0x00, 0x00, ##                             0000000000                           
            0x00, 0x00, 0x00, 0x3F, 0xF8, 0x00, 0x00, 0x00, ##                            00000000000                           
            0x00, 0x00, 0x00, 0x3F, 0xF8, 0x00, 0x00, 0x00, ##                            00000000000                           
            0x00, 0x00, 0x00, 0x3F, 0xFC, 0x00, 0x00, 0x00, ##                            000000000000                          
            0x00, 0x00, 0x00, 0x7F, 0xFC, 0x00, 0x00, 0x00, ##                           0000000000000                          
            0x00, 0x00, 0x00, 0x7F, 0xFE, 0x00, 0x00, 0x00, ##                           00000000000000                         
            0x00, 0x00, 0x00, 0xFF, 0xFE, 0x00, 0x00, 0x00, ##                          000000000000000                         
            0x00, 0x00, 0x00, 0xFB, 0xFE, 0x00, 0x00, 0x00, ##                          00000 000000000                         
            0x00, 0x00, 0x00, 0xFB, 0xFF, 0x00, 0x00, 0x00, ##                          00000 0000000000                        
            0x00, 0x00, 0x01, 0xFB, 0xFF, 0x00, 0x00, 0x00, ##                         000000 0000000000                        
            0x00, 0x00, 0x01, 0xF1, 0xFF, 0x00, 0x00, 0x00, ##                         00000   000000000                        
            0x00, 0x00, 0x01, 0xF1, 0xFF, 0x80, 0x00, 0x00, ##                         00000   0000000000                       
            0x00, 0x00, 0x03, 0xF0, 0xFF, 0x80, 0x00, 0x00, ##                        000000    000000000                       
            0x00, 0x00, 0x03, 0xE0, 0xFF, 0xC0, 0x00, 0x00, ##                        00000     0000000000                      
            0x00, 0x00, 0x07, 0xE0, 0xFF, 0xC0, 0x00, 0x00, ##                       000000     0000000000                      
            0x00, 0x00, 0x07, 0xC0, 0x7F, 0xC0, 0x00, 0x00, ##                       00000       000000000                      
            0x00, 0x00, 0x07, 0xC0, 0x7F, 0xE0, 0x00, 0x00, ##                       00000       0000000000                     
            0x00, 0x00, 0x0F, 0xC0, 0x7F, 0xE0, 0x00, 0x00, ##                      000000       0000000000                     
            0x00, 0x00, 0x0F, 0x80, 0x3F, 0xE0, 0x00, 0x00, ##                      00000         000000000                     
            0x00, 0x00, 0x0F, 0x80, 0x3F, 0xF0, 0x00, 0x00, ##                      00000         0000000000                    
            0x00, 0x00, 0x1F, 0x80, 0x1F, 0xF0, 0x00, 0x00, ##                     000000          000000000                    
            0x00, 0x00, 0x1F, 0x00, 0x1F, 0xF8, 0x00, 0x00, ##                     00000           0000000000                   
            0x00, 0x00, 0x3F, 0x00, 0x1F, 0xF8, 0x00, 0x00, ##                    000000           0000000000                   
            0x00, 0x00, 0x3E, 0x00, 0x0F, 0xF8, 0x00, 0x00, ##                    00000             000000000                   
            0x00, 0x00, 0x3E, 0x00, 0x0F, 0xFC, 0x00, 0x00, ##                    00000             0000000000                  
            0x00, 0x00, 0x7E, 0x00, 0x0F, 0xFC, 0x00, 0x00, ##                   000000             0000000000                  
            0x00, 0x00, 0x7C, 0x00, 0x07, 0xFC, 0x00, 0x00, ##                   00000               000000000                  
            0x00, 0x00, 0x7C, 0x00, 0x07, 0xFE, 0x00, 0x00, ##                   00000               0000000000                 
            0x00, 0x00, 0xFC, 0x00, 0x03, 0xFE, 0x00, 0x00, ##                  000000                000000000                 
            0x00, 0x00, 0xF8, 0x00, 0x03, 0xFF, 0x00, 0x00, ##                  00000                 0000000000                
            0x00, 0x01, 0xF8, 0x00, 0x03, 0xFF, 0x00, 0x00, ##                 000000                 0000000000                
            0x00, 0x01, 0xF8, 0x00, 0x01, 0xFF, 0x00, 0x00, ##                 000000                  000000000                
            0x00, 0x01, 0xF0, 0x00, 0x01, 0xFF, 0x80, 0x00, ##                 00000                   0000000000               
            0x00, 0x03, 0xF0, 0x00, 0x01, 0xFF, 0x80, 0x00, ##                000000                   0000000000               
            0x00, 0x03, 0xE0, 0x00, 0x00, 0xFF, 0x80, 0x00, ##                00000                     000000000               
            0x00, 0x03, 0xE0, 0x00, 0x00, 0xFF, 0xC0, 0x00, ##                00000                     0000000000              
            0x00, 0x07, 0xE0, 0x00, 0x00, 0x7F, 0xC0, 0x00, ##               000000                      000000000              
            0x00, 0x07, 0xC0, 0x00, 0x00, 0x7F, 0xE0, 0x00, ##               00000                       0000000000             
            0x00, 0x07, 0xFF, 0xFF, 0xFF, 0xFF, 0xE0, 0x00, ##               00000000000000000000000000000000000000             
            0x00, 0x0F, 0xFF, 0xFF, 0xFF, 0xFF, 0xE0, 0x00, ##              000000000000000000000000000000000000000             
            0x00, 0x0F, 0xFF, 0xFF, 0xFF, 0xFF, 0xF0, 0x00, ##              0000000000000000000000000000000000000000            
            0x00, 0x1F, 0xFF, 0xFF, 0xFF, 0xFF, 0xF0, 0x00, ##             00000000000000000000000000000000000000000            
            0x00, 0x1F, 0x00, 0x00, 0x00, 0x1F, 0xF0, 0x00, ##             00000                           000000000            
            0x00, 0x1F, 0x00, 0x00, 0x00, 0x1F, 0xF8, 0x00, ##             00000                           0000000000           
            0x00, 0x3E, 0x00, 0x00, 0x00, 0x0F, 0xF8, 0x00, ##            00000                             000000000           
            0x00, 0x3E, 0x00, 0x00, 0x00, 0x0F, 0xF8, 0x00, ##            00000                             000000000           
            0x00, 0x3E, 0x00, 0x00, 0x00, 0x0F, 0xFC, 0x00, ##            00000                             0000000000          
            0x00, 0x7C, 0x00, 0x00, 0x00, 0x07, 0xFC, 0x00, ##           00000                               000000000          
            0x00, 0x7C, 0x00, 0x00, 0x00, 0x07, 0xFE, 0x00, ##           00000                               0000000000         
            0x00, 0xFC, 0x00, 0x00, 0x00, 0x07, 0xFE, 0x00, ##          000000                               0000000000         
            0x00, 0xF8, 0x00, 0x00, 0x00, 0x03, 0xFE, 0x00, ##          00000                                 000000000         
            0x00, 0xF8, 0x00, 0x00, 0x00, 0x03, 0xFF, 0x00, ##          00000                                 0000000000        
            0x01, 0xF8, 0x00, 0x00, 0x00, 0x03, 0xFF, 0x00, ##         000000                                 0000000000        
            0x01, 0xF0, 0x00, 0x00, 0x00, 0x01, 0xFF, 0x00, ##         00000                                   000000000        
            0x01, 0xF0, 0x00, 0x00, 0x00, 0x01, 0xFF, 0x80, ##         00000                                   0000000000       
            0x03, 0xF0, 0x00, 0x00, 0x00, 0x00, 0xFF, 0x80, ##        000000                                    000000000       
            0x03, 0xE0, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xC0, ##        00000                                     0000000000      
            0xFF, 0xFF, 0xC0, 0x00, 0x00, 0x7F, 0xFF, 0xFF, ##  000000000000000000                       00000000000000000000000
            0xFF, 0xFF, 0xC0, 0x00, 0x00, 0x7F, 0xFF, 0xFF, ##  000000000000000000                       00000000000000000000000
            0xFF, 0xFF, 0xC0, 0x00, 0x00, 0x7F, 0xFF, 0xFF, ##  000000000000000000                       00000000000000000000000
            0xFF, 0xFF, 0xC0, 0x00, 0x00, 0x7F, 0xFF, 0xFF, ##  000000000000000000                       00000000000000000000000
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '195' => {    # 'Ã'
        'width'    => 64, 
        'xoffset'  => 0, 
        'xadvance' => 63, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x01, 0xF8, 0x00, 0x3C, 0x00, 0x00, ##                         000000             0000                  
            0x00, 0x00, 0x07, 0xFF, 0x00, 0x3C, 0x00, 0x00, ##                       00000000000          0000                  
            0x00, 0x00, 0x0F, 0xFF, 0xC0, 0x7C, 0x00, 0x00, ##                      00000000000000       00000                  
            0x00, 0x00, 0x1F, 0xFF, 0xF0, 0xFC, 0x00, 0x00, ##                     00000000000000000    000000                  
            0x00, 0x00, 0x1F, 0xFF, 0xFF, 0xF8, 0x00, 0x00, ##                     00000000000000000000000000                   
            0x00, 0x00, 0x1F, 0x0F, 0xFF, 0xF8, 0x00, 0x00, ##                     00000    00000000000000000                   
            0x00, 0x00, 0x3E, 0x03, 0xFF, 0xF0, 0x00, 0x00, ##                    00000       00000000000000                    
            0x00, 0x00, 0x3C, 0x00, 0xFF, 0xE0, 0x00, 0x00, ##                    0000          00000000000                     
            0x00, 0x00, 0x3C, 0x00, 0x1F, 0x80, 0x00, 0x00, ##                    0000             000000                       
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                                  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                                  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                                  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                                  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                                  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                                  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                                  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                                  
            0x00, 0x00, 0x00, 0x0F, 0xF0, 0x00, 0x00, 0x00, ##                              00000000                            
            0x00, 0x00, 0x00, 0x1F, 0xF0, 0x00, 0x00, 0x00, ##                             000000000                            
            0x00, 0x00, 0x00, 0x1F, 0xF0, 0x00, 0x00, 0x00, ##                             000000000                            
            0x00, 0x00, 0x00, 0x1F, 0xF8, 0x00, 0x00, 0x00, ##                             0000000000                           
            0x00, 0x00, 0x00, 0x3F, 0xF8, 0x00, 0x00, 0x00, ##                            00000000000                           
            0x00, 0x00, 0x00, 0x3F, 0xF8, 0x00, 0x00, 0x00, ##                            00000000000                           
            0x00, 0x00, 0x00, 0x3F, 0xFC, 0x00, 0x00, 0x00, ##                            000000000000                          
            0x00, 0x00, 0x00, 0x7F, 0xFC, 0x00, 0x00, 0x00, ##                           0000000000000                          
            0x00, 0x00, 0x00, 0x7F, 0xFE, 0x00, 0x00, 0x00, ##                           00000000000000                         
            0x00, 0x00, 0x00, 0xFF, 0xFE, 0x00, 0x00, 0x00, ##                          000000000000000                         
            0x00, 0x00, 0x00, 0xFB, 0xFE, 0x00, 0x00, 0x00, ##                          00000 000000000                         
            0x00, 0x00, 0x00, 0xFB, 0xFF, 0x00, 0x00, 0x00, ##                          00000 0000000000                        
            0x00, 0x00, 0x01, 0xFB, 0xFF, 0x00, 0x00, 0x00, ##                         000000 0000000000                        
            0x00, 0x00, 0x01, 0xF1, 0xFF, 0x00, 0x00, 0x00, ##                         00000   000000000                        
            0x00, 0x00, 0x01, 0xF1, 0xFF, 0x80, 0x00, 0x00, ##                         00000   0000000000                       
            0x00, 0x00, 0x03, 0xF0, 0xFF, 0x80, 0x00, 0x00, ##                        000000    000000000                       
            0x00, 0x00, 0x03, 0xE0, 0xFF, 0xC0, 0x00, 0x00, ##                        00000     0000000000                      
            0x00, 0x00, 0x07, 0xE0, 0xFF, 0xC0, 0x00, 0x00, ##                       000000     0000000000                      
            0x00, 0x00, 0x07, 0xC0, 0x7F, 0xC0, 0x00, 0x00, ##                       00000       000000000                      
            0x00, 0x00, 0x07, 0xC0, 0x7F, 0xE0, 0x00, 0x00, ##                       00000       0000000000                     
            0x00, 0x00, 0x0F, 0xC0, 0x7F, 0xE0, 0x00, 0x00, ##                      000000       0000000000                     
            0x00, 0x00, 0x0F, 0x80, 0x3F, 0xE0, 0x00, 0x00, ##                      00000         000000000                     
            0x00, 0x00, 0x0F, 0x80, 0x3F, 0xF0, 0x00, 0x00, ##                      00000         0000000000                    
            0x00, 0x00, 0x1F, 0x80, 0x1F, 0xF0, 0x00, 0x00, ##                     000000          000000000                    
            0x00, 0x00, 0x1F, 0x00, 0x1F, 0xF8, 0x00, 0x00, ##                     00000           0000000000                   
            0x00, 0x00, 0x3F, 0x00, 0x1F, 0xF8, 0x00, 0x00, ##                    000000           0000000000                   
            0x00, 0x00, 0x3F, 0x00, 0x0F, 0xF8, 0x00, 0x00, ##                    000000            000000000                   
            0x00, 0x00, 0x3E, 0x00, 0x0F, 0xFC, 0x00, 0x00, ##                    00000             0000000000                  
            0x00, 0x00, 0x7E, 0x00, 0x0F, 0xFC, 0x00, 0x00, ##                   000000             0000000000                  
            0x00, 0x00, 0x7C, 0x00, 0x07, 0xFC, 0x00, 0x00, ##                   00000               000000000                  
            0x00, 0x00, 0x7C, 0x00, 0x07, 0xFE, 0x00, 0x00, ##                   00000               0000000000                 
            0x00, 0x00, 0xFC, 0x00, 0x03, 0xFE, 0x00, 0x00, ##                  000000                000000000                 
            0x00, 0x00, 0xF8, 0x00, 0x03, 0xFF, 0x00, 0x00, ##                  00000                 0000000000                
            0x00, 0x00, 0xF8, 0x00, 0x03, 0xFF, 0x00, 0x00, ##                  00000                 0000000000                
            0x00, 0x01, 0xF8, 0x00, 0x01, 0xFF, 0x00, 0x00, ##                 000000                  000000000                
            0x00, 0x01, 0xF0, 0x00, 0x01, 0xFF, 0x80, 0x00, ##                 00000                   0000000000               
            0x00, 0x03, 0xF0, 0x00, 0x01, 0xFF, 0x80, 0x00, ##                000000                   0000000000               
            0x00, 0x03, 0xE0, 0x00, 0x00, 0xFF, 0x80, 0x00, ##                00000                     000000000               
            0x00, 0x03, 0xE0, 0x00, 0x00, 0xFF, 0xC0, 0x00, ##                00000                     0000000000              
            0x00, 0x07, 0xE0, 0x00, 0x00, 0x7F, 0xC0, 0x00, ##               000000                      000000000              
            0x00, 0x07, 0xC0, 0x00, 0x00, 0x7F, 0xE0, 0x00, ##               00000                       0000000000             
            0x00, 0x07, 0xFF, 0xFF, 0xFF, 0xFF, 0xE0, 0x00, ##               00000000000000000000000000000000000000             
            0x00, 0x0F, 0xFF, 0xFF, 0xFF, 0xFF, 0xE0, 0x00, ##              000000000000000000000000000000000000000             
            0x00, 0x0F, 0xFF, 0xFF, 0xFF, 0xFF, 0xF0, 0x00, ##              0000000000000000000000000000000000000000            
            0x00, 0x1F, 0xFF, 0xFF, 0xFF, 0xFF, 0xF0, 0x00, ##             00000000000000000000000000000000000000000            
            0x00, 0x1F, 0x00, 0x00, 0x00, 0x1F, 0xF0, 0x00, ##             00000                           000000000            
            0x00, 0x1F, 0x00, 0x00, 0x00, 0x0F, 0xF8, 0x00, ##             00000                            000000000           
            0x00, 0x3E, 0x00, 0x00, 0x00, 0x0F, 0xF8, 0x00, ##            00000                             000000000           
            0x00, 0x3E, 0x00, 0x00, 0x00, 0x0F, 0xFC, 0x00, ##            00000                             0000000000          
            0x00, 0x3E, 0x00, 0x00, 0x00, 0x07, 0xFC, 0x00, ##            00000                              000000000          
            0x00, 0x7C, 0x00, 0x00, 0x00, 0x07, 0xFC, 0x00, ##           00000                               000000000          
            0x00, 0x7C, 0x00, 0x00, 0x00, 0x07, 0xFE, 0x00, ##           00000                               0000000000         
            0x00, 0xFC, 0x00, 0x00, 0x00, 0x03, 0xFE, 0x00, ##          000000                                000000000         
            0x00, 0xF8, 0x00, 0x00, 0x00, 0x03, 0xFE, 0x00, ##          00000                                 000000000         
            0x00, 0xF8, 0x00, 0x00, 0x00, 0x03, 0xFF, 0x00, ##          00000                                 0000000000        
            0x01, 0xF8, 0x00, 0x00, 0x00, 0x01, 0xFF, 0x00, ##         000000                                  000000000        
            0x01, 0xF0, 0x00, 0x00, 0x00, 0x01, 0xFF, 0x80, ##         00000                                   0000000000       
            0x01, 0xF0, 0x00, 0x00, 0x00, 0x01, 0xFF, 0x80, ##         00000                                   0000000000       
            0x03, 0xF0, 0x00, 0x00, 0x00, 0x00, 0xFF, 0x80, ##        000000                                    000000000       
            0x03, 0xE0, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xC0, ##        00000                                     0000000000      
            0xFF, 0xFF, 0xC0, 0x00, 0x00, 0x7F, 0xFF, 0xFF, ##  000000000000000000                       00000000000000000000000
            0xFF, 0xFF, 0xC0, 0x00, 0x00, 0x7F, 0xFF, 0xFF, ##  000000000000000000                       00000000000000000000000
            0xFF, 0xFF, 0xC0, 0x00, 0x00, 0x7F, 0xFF, 0xFF, ##  000000000000000000                       00000000000000000000000
            0xFF, 0xFF, 0xC0, 0x00, 0x00, 0x7F, 0xFF, 0xFF, ##  000000000000000000                       00000000000000000000000
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '196' => {    # 'Ä'
        'width'    => 64, 
        'xoffset'  => 0, 
        'xadvance' => 63, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x03, 0xC0, 0x03, 0xC0, 0x00, 0x00, ##                        0000            0000                      
            0x00, 0x00, 0x0F, 0xF0, 0x0F, 0xF0, 0x00, 0x00, ##                      00000000        00000000                    
            0x00, 0x00, 0x0F, 0xF0, 0x0F, 0xF0, 0x00, 0x00, ##                      00000000        00000000                    
            0x00, 0x00, 0x1F, 0xF8, 0x1F, 0xF8, 0x00, 0x00, ##                     0000000000      0000000000                   
            0x00, 0x00, 0x1F, 0xF8, 0x1F, 0xF8, 0x00, 0x00, ##                     0000000000      0000000000                   
            0x00, 0x00, 0x1F, 0xF8, 0x1F, 0xF8, 0x00, 0x00, ##                     0000000000      0000000000                   
            0x00, 0x00, 0x1F, 0xF8, 0x1F, 0xF8, 0x00, 0x00, ##                     0000000000      0000000000                   
            0x00, 0x00, 0x0F, 0xF0, 0x0F, 0xF0, 0x00, 0x00, ##                      00000000        00000000                    
            0x00, 0x00, 0x0F, 0xF0, 0x0F, 0xF0, 0x00, 0x00, ##                      00000000        00000000                    
            0x00, 0x00, 0x03, 0xC0, 0x03, 0xC0, 0x00, 0x00, ##                        0000            0000                      
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                                  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                                  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                                  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                                  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                                  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                                  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                                  
            0x00, 0x00, 0x00, 0x0F, 0xE0, 0x00, 0x00, 0x00, ##                              0000000                             
            0x00, 0x00, 0x00, 0x0F, 0xF0, 0x00, 0x00, 0x00, ##                              00000000                            
            0x00, 0x00, 0x00, 0x0F, 0xF0, 0x00, 0x00, 0x00, ##                              00000000                            
            0x00, 0x00, 0x00, 0x1F, 0xF0, 0x00, 0x00, 0x00, ##                             000000000                            
            0x00, 0x00, 0x00, 0x1F, 0xF8, 0x00, 0x00, 0x00, ##                             0000000000                           
            0x00, 0x00, 0x00, 0x3F, 0xF8, 0x00, 0x00, 0x00, ##                            00000000000                           
            0x00, 0x00, 0x00, 0x3F, 0xFC, 0x00, 0x00, 0x00, ##                            000000000000                          
            0x00, 0x00, 0x00, 0x3F, 0xFC, 0x00, 0x00, 0x00, ##                            000000000000                          
            0x00, 0x00, 0x00, 0x7F, 0xFC, 0x00, 0x00, 0x00, ##                           0000000000000                          
            0x00, 0x00, 0x00, 0x7F, 0xFE, 0x00, 0x00, 0x00, ##                           00000000000000                         
            0x00, 0x00, 0x00, 0xFF, 0xFE, 0x00, 0x00, 0x00, ##                          000000000000000                         
            0x00, 0x00, 0x00, 0xFB, 0xFE, 0x00, 0x00, 0x00, ##                          00000 000000000                         
            0x00, 0x00, 0x00, 0xF9, 0xFF, 0x00, 0x00, 0x00, ##                          00000  000000000                        
            0x00, 0x00, 0x01, 0xF9, 0xFF, 0x00, 0x00, 0x00, ##                         000000  000000000                        
            0x00, 0x00, 0x01, 0xF1, 0xFF, 0x80, 0x00, 0x00, ##                         00000   0000000000                       
            0x00, 0x00, 0x01, 0xF0, 0xFF, 0x80, 0x00, 0x00, ##                         00000    000000000                       
            0x00, 0x00, 0x03, 0xF0, 0xFF, 0x80, 0x00, 0x00, ##                        000000    000000000                       
            0x00, 0x00, 0x03, 0xE0, 0x7F, 0xC0, 0x00, 0x00, ##                        00000      000000000                      
            0x00, 0x00, 0x07, 0xE0, 0x7F, 0xC0, 0x00, 0x00, ##                       000000      000000000                      
            0x00, 0x00, 0x07, 0xC0, 0x7F, 0xE0, 0x00, 0x00, ##                       00000       0000000000                     
            0x00, 0x00, 0x07, 0xC0, 0x3F, 0xE0, 0x00, 0x00, ##                       00000        000000000                     
            0x00, 0x00, 0x0F, 0xC0, 0x3F, 0xE0, 0x00, 0x00, ##                      000000        000000000                     
            0x00, 0x00, 0x0F, 0x80, 0x3F, 0xF0, 0x00, 0x00, ##                      00000         0000000000                    
            0x00, 0x00, 0x0F, 0x80, 0x1F, 0xF0, 0x00, 0x00, ##                      00000          000000000                    
            0x00, 0x00, 0x1F, 0x00, 0x1F, 0xF0, 0x00, 0x00, ##                     00000           000000000                    
            0x00, 0x00, 0x1F, 0x00, 0x1F, 0xF8, 0x00, 0x00, ##                     00000           0000000000                   
            0x00, 0x00, 0x3F, 0x00, 0x0F, 0xF8, 0x00, 0x00, ##                    000000            000000000                   
            0x00, 0x00, 0x3E, 0x00, 0x0F, 0xFC, 0x00, 0x00, ##                    00000             0000000000                  
            0x00, 0x00, 0x3E, 0x00, 0x07, 0xFC, 0x00, 0x00, ##                    00000              000000000                  
            0x00, 0x00, 0x7E, 0x00, 0x07, 0xFC, 0x00, 0x00, ##                   000000              000000000                  
            0x00, 0x00, 0x7C, 0x00, 0x07, 0xFE, 0x00, 0x00, ##                   00000               0000000000                 
            0x00, 0x00, 0xFC, 0x00, 0x03, 0xFE, 0x00, 0x00, ##                  000000                000000000                 
            0x00, 0x00, 0xF8, 0x00, 0x03, 0xFE, 0x00, 0x00, ##                  00000                 000000000                 
            0x00, 0x00, 0xF8, 0x00, 0x03, 0xFF, 0x00, 0x00, ##                  00000                 0000000000                
            0x00, 0x01, 0xF8, 0x00, 0x01, 0xFF, 0x00, 0x00, ##                 000000                  000000000                
            0x00, 0x01, 0xF0, 0x00, 0x01, 0xFF, 0x80, 0x00, ##                 00000                   0000000000               
            0x00, 0x01, 0xF0, 0x00, 0x01, 0xFF, 0x80, 0x00, ##                 00000                   0000000000               
            0x00, 0x03, 0xE0, 0x00, 0x00, 0xFF, 0x80, 0x00, ##                00000                     000000000               
            0x00, 0x03, 0xE0, 0x00, 0x00, 0xFF, 0xC0, 0x00, ##                00000                     0000000000              
            0x00, 0x07, 0xE0, 0x00, 0x00, 0x7F, 0xC0, 0x00, ##               000000                      000000000              
            0x00, 0x07, 0xC0, 0x00, 0x00, 0x7F, 0xC0, 0x00, ##               00000                       000000000              
            0x00, 0x07, 0xFF, 0xFF, 0xFF, 0xFF, 0xE0, 0x00, ##               00000000000000000000000000000000000000             
            0x00, 0x0F, 0xFF, 0xFF, 0xFF, 0xFF, 0xE0, 0x00, ##              000000000000000000000000000000000000000             
            0x00, 0x0F, 0xFF, 0xFF, 0xFF, 0xFF, 0xF0, 0x00, ##              0000000000000000000000000000000000000000            
            0x00, 0x0F, 0xFF, 0xFF, 0xFF, 0xFF, 0xF0, 0x00, ##              0000000000000000000000000000000000000000            
            0x00, 0x1F, 0x00, 0x00, 0x00, 0x1F, 0xF0, 0x00, ##             00000                           000000000            
            0x00, 0x1F, 0x00, 0x00, 0x00, 0x1F, 0xF8, 0x00, ##             00000                           0000000000           
            0x00, 0x3E, 0x00, 0x00, 0x00, 0x0F, 0xF8, 0x00, ##            00000                             000000000           
            0x00, 0x3E, 0x00, 0x00, 0x00, 0x0F, 0xF8, 0x00, ##            00000                             000000000           
            0x00, 0x3E, 0x00, 0x00, 0x00, 0x0F, 0xFC, 0x00, ##            00000                             0000000000          
            0x00, 0x7C, 0x00, 0x00, 0x00, 0x07, 0xFC, 0x00, ##           00000                               000000000          
            0x00, 0x7C, 0x00, 0x00, 0x00, 0x07, 0xFE, 0x00, ##           00000                               0000000000         
            0x00, 0xFC, 0x00, 0x00, 0x00, 0x07, 0xFE, 0x00, ##          000000                               0000000000         
            0x00, 0xF8, 0x00, 0x00, 0x00, 0x03, 0xFE, 0x00, ##          00000                                 000000000         
            0x00, 0xF8, 0x00, 0x00, 0x00, 0x03, 0xFF, 0x00, ##          00000                                 0000000000        
            0x01, 0xF8, 0x00, 0x00, 0x00, 0x03, 0xFF, 0x00, ##         000000                                 0000000000        
            0x01, 0xF0, 0x00, 0x00, 0x00, 0x01, 0xFF, 0x00, ##         00000                                   000000000        
            0x01, 0xF0, 0x00, 0x00, 0x00, 0x01, 0xFF, 0x80, ##         00000                                   0000000000       
            0x03, 0xF0, 0x00, 0x00, 0x00, 0x00, 0xFF, 0x80, ##        000000                                    000000000       
            0x03, 0xE0, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xC0, ##        00000                                     0000000000      
            0xFF, 0xFF, 0xC0, 0x00, 0x00, 0x7F, 0xFF, 0xFF, ##  000000000000000000                       00000000000000000000000
            0xFF, 0xFF, 0xC0, 0x00, 0x00, 0x7F, 0xFF, 0xFF, ##  000000000000000000                       00000000000000000000000
            0xFF, 0xFF, 0xC0, 0x00, 0x00, 0x7F, 0xFF, 0xFF, ##  000000000000000000                       00000000000000000000000
            0xFF, 0xFF, 0xC0, 0x00, 0x00, 0x7F, 0xFF, 0xFF, ##  000000000000000000                       00000000000000000000000
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '197' => {    # 'Å'
        'width'    => 64, 
        'xoffset'  => 0, 
        'xadvance' => 63, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x0F, 0xE0, 0x00, 0x00, 0x00, ##                              0000000                             
            0x00, 0x00, 0x00, 0x3F, 0xF8, 0x00, 0x00, 0x00, ##                            00000000000                           
            0x00, 0x00, 0x00, 0xFF, 0xFE, 0x00, 0x00, 0x00, ##                          000000000000000                         
            0x00, 0x00, 0x01, 0xFF, 0xFF, 0x00, 0x00, 0x00, ##                         00000000000000000                        
            0x00, 0x00, 0x03, 0xFF, 0xFF, 0x80, 0x00, 0x00, ##                        0000000000000000000                       
            0x00, 0x00, 0x03, 0xF8, 0x3F, 0x80, 0x00, 0x00, ##                        0000000     0000000                       
            0x00, 0x00, 0x07, 0xE0, 0x0F, 0xC0, 0x00, 0x00, ##                       000000         000000                      
            0x00, 0x00, 0x07, 0xC0, 0x07, 0xC0, 0x00, 0x00, ##                       00000           00000                      
            0x00, 0x00, 0x0F, 0xC0, 0x07, 0xE0, 0x00, 0x00, ##                      000000           000000                     
            0x00, 0x00, 0x0F, 0x80, 0x03, 0xE0, 0x00, 0x00, ##                      00000             00000                     
            0x00, 0x00, 0x0F, 0x80, 0x03, 0xE0, 0x00, 0x00, ##                      00000             00000                     
            0x00, 0x00, 0x0F, 0x80, 0x03, 0xE0, 0x00, 0x00, ##                      00000             00000                     
            0x00, 0x00, 0x0F, 0x80, 0x03, 0xE0, 0x00, 0x00, ##                      00000             00000                     
            0x00, 0x00, 0x0F, 0x80, 0x03, 0xE0, 0x00, 0x00, ##                      00000             00000                     
            0x00, 0x00, 0x0F, 0xC0, 0x07, 0xE0, 0x00, 0x00, ##                      000000           000000                     
            0x00, 0x00, 0x0F, 0xC0, 0x07, 0xC0, 0x00, 0x00, ##                      000000           00000                      
            0x00, 0x00, 0x07, 0xE0, 0x0F, 0xC0, 0x00, 0x00, ##                       000000         000000                      
            0x00, 0x00, 0x07, 0xF0, 0x1F, 0xC0, 0x00, 0x00, ##                       0000000       0000000                      
            0x00, 0x00, 0x03, 0xFF, 0xFF, 0x80, 0x00, 0x00, ##                        0000000000000000000                       
            0x00, 0x00, 0x01, 0xFF, 0xFF, 0x00, 0x00, 0x00, ##                         00000000000000000                        
            0x00, 0x00, 0x00, 0xFF, 0xFE, 0x00, 0x00, 0x00, ##                          000000000000000                         
            0x00, 0x00, 0x00, 0x7F, 0xFC, 0x00, 0x00, 0x00, ##                           0000000000000                          
            0x00, 0x00, 0x00, 0x3F, 0xF8, 0x00, 0x00, 0x00, ##                            00000000000                           
            0x00, 0x00, 0x00, 0x3F, 0xF8, 0x00, 0x00, 0x00, ##                            00000000000                           
            0x00, 0x00, 0x00, 0x7F, 0xFC, 0x00, 0x00, 0x00, ##                           0000000000000                          
            0x00, 0x00, 0x00, 0x7F, 0xFC, 0x00, 0x00, 0x00, ##                           0000000000000                          
            0x00, 0x00, 0x00, 0xFF, 0xFC, 0x00, 0x00, 0x00, ##                          00000000000000                          
            0x00, 0x00, 0x00, 0xFF, 0xFE, 0x00, 0x00, 0x00, ##                          000000000000000                         
            0x00, 0x00, 0x00, 0xFF, 0xFE, 0x00, 0x00, 0x00, ##                          000000000000000                         
            0x00, 0x00, 0x01, 0xFB, 0xFF, 0x00, 0x00, 0x00, ##                         000000 0000000000                        
            0x00, 0x00, 0x01, 0xF3, 0xFF, 0x00, 0x00, 0x00, ##                         00000  0000000000                        
            0x00, 0x00, 0x01, 0xF1, 0xFF, 0x00, 0x00, 0x00, ##                         00000   000000000                        
            0x00, 0x00, 0x03, 0xF1, 0xFF, 0x80, 0x00, 0x00, ##                        000000   0000000000                       
            0x00, 0x00, 0x03, 0xE1, 0xFF, 0x80, 0x00, 0x00, ##                        00000    0000000000                       
            0x00, 0x00, 0x03, 0xE0, 0xFF, 0x80, 0x00, 0x00, ##                        00000     000000000                       
            0x00, 0x00, 0x07, 0xE0, 0xFF, 0xC0, 0x00, 0x00, ##                       000000     0000000000                      
            0x00, 0x00, 0x07, 0xC0, 0x7F, 0xC0, 0x00, 0x00, ##                       00000       000000000                      
            0x00, 0x00, 0x0F, 0xC0, 0x7F, 0xE0, 0x00, 0x00, ##                      000000       0000000000                     
            0x00, 0x00, 0x0F, 0xC0, 0x7F, 0xE0, 0x00, 0x00, ##                      000000       0000000000                     
            0x00, 0x00, 0x0F, 0x80, 0x3F, 0xE0, 0x00, 0x00, ##                      00000         000000000                     
            0x00, 0x00, 0x1F, 0x80, 0x3F, 0xF0, 0x00, 0x00, ##                     000000         0000000000                    
            0x00, 0x00, 0x1F, 0x00, 0x3F, 0xF0, 0x00, 0x00, ##                     00000          0000000000                    
            0x00, 0x00, 0x1F, 0x00, 0x1F, 0xF0, 0x00, 0x00, ##                     00000           000000000                    
            0x00, 0x00, 0x3F, 0x00, 0x1F, 0xF8, 0x00, 0x00, ##                    000000           0000000000                   
            0x00, 0x00, 0x3E, 0x00, 0x0F, 0xF8, 0x00, 0x00, ##                    00000             000000000                   
            0x00, 0x00, 0x7E, 0x00, 0x0F, 0xFC, 0x00, 0x00, ##                   000000             0000000000                  
            0x00, 0x00, 0x7E, 0x00, 0x0F, 0xFC, 0x00, 0x00, ##                   000000             0000000000                  
            0x00, 0x00, 0x7C, 0x00, 0x07, 0xFC, 0x00, 0x00, ##                   00000               000000000                  
            0x00, 0x00, 0xFC, 0x00, 0x07, 0xFE, 0x00, 0x00, ##                  000000               0000000000                 
            0x00, 0x00, 0xFC, 0x00, 0x07, 0xFE, 0x00, 0x00, ##                  000000               0000000000                 
            0x00, 0x00, 0xF8, 0x00, 0x03, 0xFE, 0x00, 0x00, ##                  00000                 000000000                 
            0x00, 0x01, 0xF8, 0x00, 0x03, 0xFF, 0x00, 0x00, ##                 000000                 0000000000                
            0x00, 0x01, 0xF0, 0x00, 0x01, 0xFF, 0x00, 0x00, ##                 00000                   000000000                
            0x00, 0x01, 0xF0, 0x00, 0x01, 0xFF, 0x80, 0x00, ##                 00000                   0000000000               
            0x00, 0x03, 0xF0, 0x00, 0x01, 0xFF, 0x80, 0x00, ##                000000                   0000000000               
            0x00, 0x03, 0xE0, 0x00, 0x00, 0xFF, 0x80, 0x00, ##                00000                     000000000               
            0x00, 0x07, 0xE0, 0x00, 0x00, 0xFF, 0xC0, 0x00, ##               000000                     0000000000              
            0x00, 0x07, 0xE0, 0x00, 0x00, 0xFF, 0xC0, 0x00, ##               000000                     0000000000              
            0x00, 0x07, 0xC0, 0x00, 0x00, 0x7F, 0xC0, 0x00, ##               00000                       000000000              
            0x00, 0x0F, 0xFF, 0xFF, 0xFF, 0xFF, 0xE0, 0x00, ##              000000000000000000000000000000000000000             
            0x00, 0x0F, 0xFF, 0xFF, 0xFF, 0xFF, 0xE0, 0x00, ##              000000000000000000000000000000000000000             
            0x00, 0x0F, 0xFF, 0xFF, 0xFF, 0xFF, 0xF0, 0x00, ##              0000000000000000000000000000000000000000            
            0x00, 0x1F, 0xFF, 0xFF, 0xFF, 0xFF, 0xF0, 0x00, ##             00000000000000000000000000000000000000000            
            0x00, 0x1F, 0x00, 0x00, 0x00, 0x1F, 0xF0, 0x00, ##             00000                           000000000            
            0x00, 0x1F, 0x00, 0x00, 0x00, 0x1F, 0xF8, 0x00, ##             00000                           0000000000           
            0x00, 0x3E, 0x00, 0x00, 0x00, 0x1F, 0xF8, 0x00, ##            00000                            0000000000           
            0x00, 0x3E, 0x00, 0x00, 0x00, 0x0F, 0xF8, 0x00, ##            00000                             000000000           
            0x00, 0x7E, 0x00, 0x00, 0x00, 0x0F, 0xFC, 0x00, ##           000000                             0000000000          
            0x00, 0x7C, 0x00, 0x00, 0x00, 0x0F, 0xFC, 0x00, ##           00000                              0000000000          
            0x00, 0x7C, 0x00, 0x00, 0x00, 0x07, 0xFE, 0x00, ##           00000                               0000000000         
            0x00, 0xFC, 0x00, 0x00, 0x00, 0x07, 0xFE, 0x00, ##          000000                               0000000000         
            0x00, 0xF8, 0x00, 0x00, 0x00, 0x03, 0xFE, 0x00, ##          00000                                 000000000         
            0x00, 0xF8, 0x00, 0x00, 0x00, 0x03, 0xFF, 0x00, ##          00000                                 0000000000        
            0x01, 0xF8, 0x00, 0x00, 0x00, 0x03, 0xFF, 0x00, ##         000000                                 0000000000        
            0x01, 0xF0, 0x00, 0x00, 0x00, 0x01, 0xFF, 0x00, ##         00000                                   000000000        
            0x01, 0xF0, 0x00, 0x00, 0x00, 0x01, 0xFF, 0x80, ##         00000                                   0000000000       
            0x03, 0xF0, 0x00, 0x00, 0x00, 0x01, 0xFF, 0x80, ##        000000                                   0000000000       
            0x03, 0xE0, 0x00, 0x00, 0x00, 0x00, 0xFF, 0x80, ##        00000                                     000000000       
            0xFF, 0xFF, 0xC0, 0x00, 0x00, 0x7F, 0xFF, 0xFF, ##  000000000000000000                       00000000000000000000000
            0xFF, 0xFF, 0xC0, 0x00, 0x00, 0x7F, 0xFF, 0xFF, ##  000000000000000000                       00000000000000000000000
            0xFF, 0xFF, 0xC0, 0x00, 0x00, 0x7F, 0xFF, 0xFF, ##  000000000000000000                       00000000000000000000000
            0xFF, 0xFF, 0xC0, 0x00, 0x00, 0x7F, 0xFF, 0xFF, ##  000000000000000000                       00000000000000000000000
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '198' => {    # 'Æ'
        'width'    => 84, 
        'xoffset'  => -1, 
        'xadvance' => 88, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xE0, ##                       00000000000000000000000000000000000000000000000000000000000000 
            0x00, 0x00, 0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xE0, ##                       00000000000000000000000000000000000000000000000000000000000000 
            0x00, 0x00, 0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xE0, ##                       00000000000000000000000000000000000000000000000000000000000000 
            0x00, 0x00, 0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xE0, ##                       00000000000000000000000000000000000000000000000000000000000000 
            0x00, 0x00, 0x00, 0x03, 0xF0, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xE0, ##                                000000    0000000000000000000000000000000000000000000 
            0x00, 0x00, 0x00, 0x03, 0xE0, 0xFF, 0x80, 0x00, 0x00, 0x03, 0xE0, ##                                00000     000000000                             00000 
            0x00, 0x00, 0x00, 0x07, 0xE0, 0xFF, 0x80, 0x00, 0x00, 0x03, 0xE0, ##                               000000     000000000                             00000 
            0x00, 0x00, 0x00, 0x07, 0xC0, 0xFF, 0x80, 0x00, 0x00, 0x03, 0xE0, ##                               00000      000000000                             00000 
            0x00, 0x00, 0x00, 0x07, 0xC0, 0xFF, 0x80, 0x00, 0x00, 0x03, 0xE0, ##                               00000      000000000                             00000 
            0x00, 0x00, 0x00, 0x0F, 0xC0, 0xFF, 0x80, 0x00, 0x00, 0x03, 0xE0, ##                              000000      000000000                             00000 
            0x00, 0x00, 0x00, 0x0F, 0x80, 0xFF, 0x80, 0x00, 0x00, 0x03, 0xE0, ##                              00000       000000000                             00000 
            0x00, 0x00, 0x00, 0x1F, 0x80, 0xFF, 0x80, 0x00, 0x00, 0x03, 0xE0, ##                             000000       000000000                             00000 
            0x00, 0x00, 0x00, 0x1F, 0x00, 0xFF, 0x80, 0x00, 0x00, 0x03, 0xE0, ##                             00000        000000000                             00000 
            0x00, 0x00, 0x00, 0x3F, 0x00, 0xFF, 0x80, 0x00, 0x00, 0x03, 0xE0, ##                            000000        000000000                             00000 
            0x00, 0x00, 0x00, 0x3E, 0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##                            00000         000000000                                   
            0x00, 0x00, 0x00, 0x7E, 0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##                           000000         000000000                                   
            0x00, 0x00, 0x00, 0x7C, 0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##                           00000          000000000                                   
            0x00, 0x00, 0x00, 0x7C, 0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##                           00000          000000000                                   
            0x00, 0x00, 0x00, 0xFC, 0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##                          000000          000000000                                   
            0x00, 0x00, 0x00, 0xF8, 0x00, 0xFF, 0x80, 0x00, 0x03, 0xE0, 0x00, ##                          00000           000000000                     00000         
            0x00, 0x00, 0x00, 0xF8, 0x00, 0xFF, 0x80, 0x00, 0x03, 0xE0, 0x00, ##                         000000           000000000                     00000         
            0x00, 0x00, 0x00, 0xF0, 0x00, 0xFF, 0x80, 0x00, 0x03, 0xE0, 0x00, ##                         00000            000000000                     00000         
            0x00, 0x00, 0x00, 0xF0, 0x00, 0xFF, 0x80, 0x00, 0x03, 0xE0, 0x00, ##                        000000            000000000                     00000         
            0x00, 0x00, 0x00, 0xE0, 0x00, 0xFF, 0x80, 0x00, 0x03, 0xE0, 0x00, ##                        00000             000000000                     00000         
            0x00, 0x00, 0x00, 0xE0, 0x00, 0xFF, 0x80, 0x00, 0x03, 0xE0, 0x00, ##                       000000             000000000                     00000         
            0x00, 0x00, 0x00, 0xC0, 0x00, 0xFF, 0x80, 0x00, 0x03, 0xE0, 0x00, ##                       00000              000000000                     00000         
            0x00, 0x00, 0x00, 0xC0, 0x00, 0xFF, 0x80, 0x00, 0x03, 0xE0, 0x00, ##                      000000              000000000                     00000         
            0x00, 0x00, 0x00, 0xC0, 0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0xE0, 0x00, ##                      000000              00000000000000000000000000000000000         
            0x00, 0x00, 0x00, 0x80, 0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0xE0, 0x00, ##                      00000               00000000000000000000000000000000000         
            0x00, 0x00, 0x00, 0x80, 0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0xE0, 0x00, ##                     000000               00000000000000000000000000000000000         
            0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0xE0, 0x00, ##                     00000                00000000000000000000000000000000000         
            0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0xE0, 0x00, ##                    000000                00000000000000000000000000000000000         
            0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0x80, 0x00, 0x03, 0xE0, 0x00, ##                    00000                 000000000                     00000         
            0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0x80, 0x00, 0x03, 0xE0, 0x00, ##                   000000                 000000000                     00000         
            0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0x80, 0x00, 0x03, 0xE0, 0x00, ##                   00000                  000000000                     00000         
            0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0x80, 0x00, 0x03, 0xE0, 0x00, ##                  000000                  000000000                     00000         
            0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0x80, 0x00, 0x03, 0xE0, 0x00, ##                  000000                  000000000                     00000         
            0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0x80, 0x00, 0x03, 0xE0, 0x00, ##                  00000                   000000000                     00000         
            0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0x80, 0x00, 0x03, 0xE0, 0x00, ##                 000000                   000000000                     00000         
            0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0x80, 0x00, 0x03, 0xE0, 0x00, ##                 00000                    000000000                     00000         
            0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##                000000                    000000000                                   
            0x00, 0x00, 0x00, 0xFF, 0xFF, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##                00000000000000000000000000000000000                                   
            0x00, 0x00, 0x00, 0xFF, 0xFF, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##               000000000000000000000000000000000000                                   
            0x00, 0x00, 0x00, 0xFF, 0xFF, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##               000000000000000000000000000000000000                                   
            0x00, 0x00, 0x00, 0xFF, 0xFF, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##              0000000000000000000000000000000000000                                   
            0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##              00000                       000000000                                   
            0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##              00000                       000000000                                   
            0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##             00000                        000000000                                   
            0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##             00000                        000000000                                   
            0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##            000000                        000000000                                   
            0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0x80, 0x00, 0x00, 0x01, 0xF0, ##            00000                         000000000                              00000
            0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0x80, 0x00, 0x00, 0x01, 0xF0, ##           000000                         000000000                              00000
            0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0x80, 0x00, 0x00, 0x01, 0xF0, ##           00000                          000000000                              00000
            0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0x80, 0x00, 0x00, 0x01, 0xF0, ##          000000                          000000000                              00000
            0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0x80, 0x00, 0x00, 0x01, 0xF0, ##          00000                           000000000                              00000
            0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0x80, 0x00, 0x00, 0x01, 0xF0, ##          00000                           000000000                              00000
            0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0x80, 0x00, 0x00, 0x01, 0xF0, ##         000000                           000000000                              00000
            0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0x80, 0x00, 0x00, 0x01, 0xF0, ##         00000                            000000000                              00000
            0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0x80, 0x00, 0x00, 0x01, 0xF0, ##        000000                            000000000                              00000
            0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF0, ##        00000                             00000000000000000000000000000000000000000000
            0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF0, ##  000000000000000000              0000000000000000000000000000000000000000000000000000
            0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF0, ##  000000000000000000              0000000000000000000000000000000000000000000000000000
            0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF0, ##  000000000000000000              0000000000000000000000000000000000000000000000000000
            0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF0, ##  000000000000000000              0000000000000000000000000000000000000000000000000000
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '199' => {    # 'Ç'
        'width'    => 56, 
        'xoffset'  => 5, 
        'xadvance' => 66, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x7F, 0xFC, 0x00, 0x00, ##                           0000000000000                  
            0x00, 0x00, 0x07, 0xFF, 0xFF, 0xE0, 0x00, ##                       0000000000000000000000             
            0x00, 0x00, 0x3F, 0xFF, 0xFF, 0xFE, 0x00, ##                    00000000000000000000000000000         
            0x00, 0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0xC0, ##                  0000000000000000000000000000000000      
            0x00, 0x03, 0xFF, 0x80, 0x1F, 0xFF, 0xF8, ##                00000000000          000000000000000000   
            0x00, 0x07, 0xFC, 0x00, 0x01, 0xFF, 0xFE, ##               000000000                 0000000000000000 
            0x00, 0x1F, 0xF0, 0x00, 0x00, 0x7F, 0xFE, ##             000000000                     00000000000000 
            0x00, 0x3F, 0xC0, 0x00, 0x00, 0x1F, 0xFE, ##            00000000                         000000000000 
            0x00, 0x7F, 0x80, 0x00, 0x00, 0x0F, 0xFE, ##           00000000                           00000000000 
            0x00, 0xFF, 0x00, 0x00, 0x00, 0x07, 0xFE, ##          00000000                             0000000000 
            0x01, 0xFE, 0x00, 0x00, 0x00, 0x03, 0xFE, ##         00000000                               000000000 
            0x03, 0xFC, 0x00, 0x00, 0x00, 0x01, 0xFE, ##        00000000                                 00000000 
            0x03, 0xFC, 0x00, 0x00, 0x00, 0x01, 0xFE, ##        00000000                                 00000000 
            0x07, 0xF8, 0x00, 0x00, 0x00, 0x00, 0xFE, ##       00000000                                   0000000 
            0x0F, 0xF0, 0x00, 0x00, 0x00, 0x00, 0xFE, ##      00000000                                    0000000 
            0x0F, 0xF0, 0x00, 0x00, 0x00, 0x00, 0xFE, ##      00000000                                    0000000 
            0x1F, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x7E, ##     000000000                                     000000 
            0x1F, 0xE0, 0x00, 0x00, 0x00, 0x00, 0x7E, ##     00000000                                      000000 
            0x1F, 0xE0, 0x00, 0x00, 0x00, 0x00, 0x7E, ##     00000000                                      000000 
            0x3F, 0xE0, 0x00, 0x00, 0x00, 0x00, 0x3E, ##    000000000                                       00000 
            0x3F, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x00, ##    00000000                                              
            0x3F, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x00, ##    00000000                                              
            0x7F, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x00, ##   000000000                                              
            0x7F, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x00, ##   000000000                                              
            0x7F, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x00, ##   000000000                                              
            0x7F, 0x80, 0x00, 0x00, 0x00, 0x00, 0x00, ##   00000000                                               
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x00, ##  000000000                                               
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x00, ##  000000000                                               
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x00, ##  000000000                                               
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x00, ##  000000000                                               
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x00, ##  000000000                                               
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x00, ##  000000000                                               
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x00, ##  000000000                                               
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x00, ##  000000000                                               
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x00, ##  000000000                                               
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x00, ##  000000000                                               
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x00, ##  000000000                                               
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x00, ##  000000000                                               
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x00, ##  000000000                                               
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x00, ##  000000000                                               
            0x7F, 0x80, 0x00, 0x00, 0x00, 0x00, 0x00, ##   00000000                                               
            0x7F, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x00, ##   000000000                                              
            0x7F, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x00, ##   000000000                                              
            0x7F, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x00, ##   000000000                                              
            0x3F, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x00, ##    00000000                                              
            0x3F, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x00, ##    00000000                                              
            0x3F, 0xE0, 0x00, 0x00, 0x00, 0x00, 0x00, ##    000000000                                             
            0x1F, 0xE0, 0x00, 0x00, 0x00, 0x00, 0x00, ##     00000000                                             
            0x1F, 0xE0, 0x00, 0x00, 0x00, 0x00, 0xFF, ##     00000000                                     00000000
            0x1F, 0xF0, 0x00, 0x00, 0x00, 0x00, 0xFF, ##     000000000                                    00000000
            0x0F, 0xF0, 0x00, 0x00, 0x00, 0x00, 0xFE, ##      00000000                                    0000000 
            0x07, 0xF0, 0x00, 0x00, 0x00, 0x01, 0xFE, ##       0000000                                   00000000 
            0x07, 0xF8, 0x00, 0x00, 0x00, 0x01, 0xFE, ##       00000000                                  00000000 
            0x03, 0xFC, 0x00, 0x00, 0x00, 0x03, 0xFC, ##        00000000                                00000000  
            0x01, 0xFC, 0x00, 0x00, 0x00, 0x03, 0xF8, ##         0000000                                0000000   
            0x01, 0xFE, 0x00, 0x00, 0x00, 0x07, 0xF8, ##         00000000                              00000000   
            0x00, 0xFF, 0x00, 0x00, 0x00, 0x0F, 0xF0, ##          00000000                            00000000    
            0x00, 0x7F, 0x80, 0x00, 0x00, 0x1F, 0xE0, ##           00000000                          00000000     
            0x00, 0x3F, 0xC0, 0x00, 0x00, 0x3F, 0xC0, ##            00000000                        00000000      
            0x00, 0x1F, 0xF0, 0x00, 0x00, 0xFF, 0x80, ##             000000000                    000000000       
            0x00, 0x07, 0xFC, 0x00, 0x03, 0xFF, 0x00, ##               000000000                0000000000        
            0x00, 0x03, 0xFF, 0x80, 0x1F, 0xFE, 0x00, ##                00000000000          000000000000         
            0x00, 0x00, 0xFF, 0xFF, 0xFF, 0xF8, 0x00, ##                  00000000000000000000000000000           
            0x00, 0x00, 0x3F, 0xFF, 0xFF, 0xE0, 0x00, ##                    0000000000000000000000000             
            0x00, 0x00, 0x0F, 0xFF, 0xFF, 0x80, 0x00, ##                      000000000000000000000               
            0x00, 0x00, 0x00, 0xFF, 0xF0, 0x00, 0x00, ##                          000000000000                    
            0x00, 0x00, 0x00, 0x03, 0xE0, 0x00, 0x00, ##                                00000                     
            0x00, 0x00, 0x00, 0x01, 0xF0, 0x00, 0x00, ##                                 00000                    
            0x00, 0x00, 0x00, 0x00, 0xF8, 0x00, 0x00, ##                                  00000                   
            0x00, 0x00, 0x00, 0x00, 0xF8, 0x00, 0x00, ##                                  00000                   
            0x00, 0x00, 0x00, 0x00, 0xFC, 0x00, 0x00, ##                                  000000                  
            0x00, 0x00, 0x00, 0x00, 0x7C, 0x00, 0x00, ##                                   00000                  
            0x00, 0x00, 0x00, 0x00, 0x7E, 0x00, 0x00, ##                                   000000                 
            0x00, 0x00, 0x00, 0x00, 0x7E, 0x00, 0x00, ##                                   000000                 
            0x00, 0x00, 0x00, 0x00, 0x7E, 0x00, 0x00, ##                                   000000                 
            0x00, 0x00, 0x00, 0x00, 0xFE, 0x00, 0x00, ##                                  0000000                 
            0x00, 0x00, 0x07, 0x03, 0xFE, 0x00, 0x00, ##                       000      000000000                 
            0x00, 0x00, 0x07, 0xFF, 0xFC, 0x00, 0x00, ##                       00000000000000000                  
            0x00, 0x00, 0x07, 0xFF, 0xFC, 0x00, 0x00, ##                       00000000000000000                  
            0x00, 0x00, 0x07, 0xFF, 0xF8, 0x00, 0x00, ##                       0000000000000000                   
            0x00, 0x00, 0x07, 0xFF, 0xF0, 0x00, 0x00, ##                       000000000000000                    
            0x00, 0x00, 0x01, 0xFF, 0x80, 0x00, 0x00, ##                         0000000000                       
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '200' => {    # 'È'
        'width'    => 52, 
        'xoffset'  => 5, 
        'xadvance' => 64, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0xFF, 0x00, 0x00, 0x00, 0x00, ##                  00000000                            
            0x00, 0x00, 0x7F, 0x80, 0x00, 0x00, 0x00, ##                   00000000                           
            0x00, 0x00, 0x3F, 0xC0, 0x00, 0x00, 0x00, ##                    00000000                          
            0x00, 0x00, 0x1F, 0xE0, 0x00, 0x00, 0x00, ##                     00000000                         
            0x00, 0x00, 0x0F, 0xE0, 0x00, 0x00, 0x00, ##                      0000000                         
            0x00, 0x00, 0x07, 0xF0, 0x00, 0x00, 0x00, ##                       0000000                        
            0x00, 0x00, 0x03, 0xF8, 0x00, 0x00, 0x00, ##                        0000000                       
            0x00, 0x00, 0x01, 0xF8, 0x00, 0x00, 0x00, ##                         000000                       
            0x00, 0x00, 0x00, 0xFC, 0x00, 0x00, 0x00, ##                          000000                      
            0x00, 0x00, 0x00, 0x7E, 0x00, 0x00, 0x00, ##                           000000                     
            0x00, 0x00, 0x00, 0x3F, 0x00, 0x00, 0x00, ##                            000000                    
            0x00, 0x00, 0x00, 0x1F, 0x00, 0x00, 0x00, ##                             00000                    
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                      
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                      
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                      
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                      
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                      
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                      
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xE0, ##  000000000000000000000000000000000000000000000000000 
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xE0, ##  000000000000000000000000000000000000000000000000000 
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xE0, ##  000000000000000000000000000000000000000000000000000 
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xE0, ##  000000000000000000000000000000000000000000000000000 
            0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xE0, ##          0000000000000000000000000000000000000000000 
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x03, 0xE0, ##          000000000                             00000 
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x03, 0xE0, ##          000000000                             00000 
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x03, 0xE0, ##          000000000                             00000 
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x03, 0xE0, ##          000000000                             00000 
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x03, 0xE0, ##          000000000                             00000 
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x03, 0xE0, ##          000000000                             00000 
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x03, 0xE0, ##          000000000                             00000 
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x03, 0xE0, ##          000000000                             00000 
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x03, 0xE0, ##          000000000                             00000 
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##          000000000                                   
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##          000000000                                   
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##          000000000                                   
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##          000000000                                   
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##          000000000                                   
            0x00, 0xFF, 0x80, 0x00, 0x03, 0xE0, 0x00, ##          000000000                     00000         
            0x00, 0xFF, 0x80, 0x00, 0x03, 0xE0, 0x00, ##          000000000                     00000         
            0x00, 0xFF, 0x80, 0x00, 0x03, 0xE0, 0x00, ##          000000000                     00000         
            0x00, 0xFF, 0x80, 0x00, 0x03, 0xE0, 0x00, ##          000000000                     00000         
            0x00, 0xFF, 0x80, 0x00, 0x03, 0xE0, 0x00, ##          000000000                     00000         
            0x00, 0xFF, 0x80, 0x00, 0x03, 0xE0, 0x00, ##          000000000                     00000         
            0x00, 0xFF, 0x80, 0x00, 0x03, 0xE0, 0x00, ##          000000000                     00000         
            0x00, 0xFF, 0x80, 0x00, 0x03, 0xE0, 0x00, ##          000000000                     00000         
            0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0xE0, 0x00, ##          00000000000000000000000000000000000         
            0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0xE0, 0x00, ##          00000000000000000000000000000000000         
            0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0xE0, 0x00, ##          00000000000000000000000000000000000         
            0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0xE0, 0x00, ##          00000000000000000000000000000000000         
            0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0xE0, 0x00, ##          00000000000000000000000000000000000         
            0x00, 0xFF, 0x80, 0x00, 0x03, 0xE0, 0x00, ##          000000000                     00000         
            0x00, 0xFF, 0x80, 0x00, 0x03, 0xE0, 0x00, ##          000000000                     00000         
            0x00, 0xFF, 0x80, 0x00, 0x03, 0xE0, 0x00, ##          000000000                     00000         
            0x00, 0xFF, 0x80, 0x00, 0x03, 0xE0, 0x00, ##          000000000                     00000         
            0x00, 0xFF, 0x80, 0x00, 0x03, 0xE0, 0x00, ##          000000000                     00000         
            0x00, 0xFF, 0x80, 0x00, 0x03, 0xE0, 0x00, ##          000000000                     00000         
            0x00, 0xFF, 0x80, 0x00, 0x03, 0xE0, 0x00, ##          000000000                     00000         
            0x00, 0xFF, 0x80, 0x00, 0x03, 0xE0, 0x00, ##          000000000                     00000         
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##          000000000                                   
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##          000000000                                   
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##          000000000                                   
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##          000000000                                   
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##          000000000                                   
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##          000000000                                   
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##          000000000                                   
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##          000000000                                   
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##          000000000                                   
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##          000000000                                   
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x01, 0xF0, ##          000000000                              00000
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x01, 0xF0, ##          000000000                              00000
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x01, 0xF0, ##          000000000                              00000
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x01, 0xF0, ##          000000000                              00000
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x01, 0xF0, ##          000000000                              00000
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x01, 0xF0, ##          000000000                              00000
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x01, 0xF0, ##          000000000                              00000
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x01, 0xF0, ##          000000000                              00000
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x01, 0xF0, ##          000000000                              00000
            0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF0, ##          00000000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF0, ##  0000000000000000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF0, ##  0000000000000000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF0, ##  0000000000000000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF0, ##  0000000000000000000000000000000000000000000000000000
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '201' => {    # 'É'
        'width'    => 52, 
        'xoffset'  => 5, 
        'xadvance' => 64, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x03, 0xFE, 0x00, 0x00, ##                                000000000             
            0x00, 0x00, 0x00, 0x07, 0xFC, 0x00, 0x00, ##                               000000000              
            0x00, 0x00, 0x00, 0x07, 0xF8, 0x00, 0x00, ##                               00000000               
            0x00, 0x00, 0x00, 0x0F, 0xE0, 0x00, 0x00, ##                              0000000                 
            0x00, 0x00, 0x00, 0x1F, 0xC0, 0x00, 0x00, ##                             0000000                  
            0x00, 0x00, 0x00, 0x1F, 0x80, 0x00, 0x00, ##                             000000                   
            0x00, 0x00, 0x00, 0x3F, 0x00, 0x00, 0x00, ##                            000000                    
            0x00, 0x00, 0x00, 0x7E, 0x00, 0x00, 0x00, ##                           000000                     
            0x00, 0x00, 0x00, 0xFC, 0x00, 0x00, 0x00, ##                          000000                      
            0x00, 0x00, 0x00, 0xF8, 0x00, 0x00, 0x00, ##                          00000                       
            0x00, 0x00, 0x01, 0xF0, 0x00, 0x00, 0x00, ##                         00000                        
            0x00, 0x00, 0x03, 0xE0, 0x00, 0x00, 0x00, ##                        00000                         
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                      
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                      
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                      
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                      
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                      
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                      
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xE0, ##  000000000000000000000000000000000000000000000000000 
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xE0, ##  000000000000000000000000000000000000000000000000000 
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xE0, ##  000000000000000000000000000000000000000000000000000 
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xE0, ##  000000000000000000000000000000000000000000000000000 
            0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xE0, ##          0000000000000000000000000000000000000000000 
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x03, 0xE0, ##          000000000                             00000 
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x03, 0xE0, ##          000000000                             00000 
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x03, 0xE0, ##          000000000                             00000 
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x03, 0xE0, ##          000000000                             00000 
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x03, 0xE0, ##          000000000                             00000 
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x03, 0xE0, ##          000000000                             00000 
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x03, 0xE0, ##          000000000                             00000 
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x03, 0xE0, ##          000000000                             00000 
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x03, 0xE0, ##          000000000                             00000 
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##          000000000                                   
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##          000000000                                   
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##          000000000                                   
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##          000000000                                   
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##          000000000                                   
            0x00, 0xFF, 0x80, 0x00, 0x03, 0xE0, 0x00, ##          000000000                     00000         
            0x00, 0xFF, 0x80, 0x00, 0x03, 0xE0, 0x00, ##          000000000                     00000         
            0x00, 0xFF, 0x80, 0x00, 0x03, 0xE0, 0x00, ##          000000000                     00000         
            0x00, 0xFF, 0x80, 0x00, 0x03, 0xE0, 0x00, ##          000000000                     00000         
            0x00, 0xFF, 0x80, 0x00, 0x03, 0xE0, 0x00, ##          000000000                     00000         
            0x00, 0xFF, 0x80, 0x00, 0x03, 0xE0, 0x00, ##          000000000                     00000         
            0x00, 0xFF, 0x80, 0x00, 0x03, 0xE0, 0x00, ##          000000000                     00000         
            0x00, 0xFF, 0x80, 0x00, 0x03, 0xE0, 0x00, ##          000000000                     00000         
            0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0xE0, 0x00, ##          00000000000000000000000000000000000         
            0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0xE0, 0x00, ##          00000000000000000000000000000000000         
            0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0xE0, 0x00, ##          00000000000000000000000000000000000         
            0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0xE0, 0x00, ##          00000000000000000000000000000000000         
            0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0xE0, 0x00, ##          00000000000000000000000000000000000         
            0x00, 0xFF, 0x80, 0x00, 0x03, 0xE0, 0x00, ##          000000000                     00000         
            0x00, 0xFF, 0x80, 0x00, 0x03, 0xE0, 0x00, ##          000000000                     00000         
            0x00, 0xFF, 0x80, 0x00, 0x03, 0xE0, 0x00, ##          000000000                     00000         
            0x00, 0xFF, 0x80, 0x00, 0x03, 0xE0, 0x00, ##          000000000                     00000         
            0x00, 0xFF, 0x80, 0x00, 0x03, 0xE0, 0x00, ##          000000000                     00000         
            0x00, 0xFF, 0x80, 0x00, 0x03, 0xE0, 0x00, ##          000000000                     00000         
            0x00, 0xFF, 0x80, 0x00, 0x03, 0xE0, 0x00, ##          000000000                     00000         
            0x00, 0xFF, 0x80, 0x00, 0x03, 0xE0, 0x00, ##          000000000                     00000         
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##          000000000                                   
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##          000000000                                   
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##          000000000                                   
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##          000000000                                   
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##          000000000                                   
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##          000000000                                   
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##          000000000                                   
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##          000000000                                   
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##          000000000                                   
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##          000000000                                   
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x01, 0xF0, ##          000000000                              00000
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x01, 0xF0, ##          000000000                              00000
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x01, 0xF0, ##          000000000                              00000
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x01, 0xF0, ##          000000000                              00000
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x01, 0xF0, ##          000000000                              00000
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x01, 0xF0, ##          000000000                              00000
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x01, 0xF0, ##          000000000                              00000
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x01, 0xF0, ##          000000000                              00000
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x01, 0xF0, ##          000000000                              00000
            0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF0, ##          00000000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF0, ##  0000000000000000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF0, ##  0000000000000000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF0, ##  0000000000000000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF0, ##  0000000000000000000000000000000000000000000000000000
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '202' => {    # 'Ê'
        'width'    => 52, 
        'xoffset'  => 5, 
        'xadvance' => 64, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0xFE, 0x00, 0x00, 0x00, ##                          0000000                     
            0x00, 0x00, 0x01, 0xFF, 0x00, 0x00, 0x00, ##                         000000000                    
            0x00, 0x00, 0x03, 0xFF, 0x80, 0x00, 0x00, ##                        00000000000                   
            0x00, 0x00, 0x07, 0xFF, 0xC0, 0x00, 0x00, ##                       0000000000000                  
            0x00, 0x00, 0x0F, 0xFF, 0xE0, 0x00, 0x00, ##                      000000000000000                 
            0x00, 0x00, 0x1F, 0xCF, 0xF0, 0x00, 0x00, ##                     0000000  00000000                
            0x00, 0x00, 0x3F, 0x83, 0xF0, 0x00, 0x00, ##                    0000000     000000                
            0x00, 0x00, 0x7F, 0x01, 0xF8, 0x00, 0x00, ##                   0000000       000000               
            0x00, 0x00, 0xFE, 0x00, 0xFC, 0x00, 0x00, ##                  0000000         000000              
            0x00, 0x01, 0xF8, 0x00, 0x3E, 0x00, 0x00, ##                 000000             00000             
            0x00, 0x03, 0xF0, 0x00, 0x1F, 0x00, 0x00, ##                000000               00000            
            0x00, 0x03, 0xE0, 0x00, 0x0F, 0x80, 0x00, ##                00000                 00000           
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                      
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                      
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                      
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                      
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                      
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                      
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xE0, ##  000000000000000000000000000000000000000000000000000 
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xE0, ##  000000000000000000000000000000000000000000000000000 
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xE0, ##  000000000000000000000000000000000000000000000000000 
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xE0, ##  000000000000000000000000000000000000000000000000000 
            0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xE0, ##          0000000000000000000000000000000000000000000 
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x03, 0xE0, ##          000000000                             00000 
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x03, 0xE0, ##          000000000                             00000 
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x03, 0xE0, ##          000000000                             00000 
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x03, 0xE0, ##          000000000                             00000 
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x03, 0xE0, ##          000000000                             00000 
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x03, 0xE0, ##          000000000                             00000 
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x03, 0xE0, ##          000000000                             00000 
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x03, 0xE0, ##          000000000                             00000 
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x03, 0xE0, ##          000000000                             00000 
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##          000000000                                   
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##          000000000                                   
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##          000000000                                   
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##          000000000                                   
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##          000000000                                   
            0x00, 0xFF, 0x80, 0x00, 0x03, 0xE0, 0x00, ##          000000000                     00000         
            0x00, 0xFF, 0x80, 0x00, 0x03, 0xE0, 0x00, ##          000000000                     00000         
            0x00, 0xFF, 0x80, 0x00, 0x03, 0xE0, 0x00, ##          000000000                     00000         
            0x00, 0xFF, 0x80, 0x00, 0x03, 0xE0, 0x00, ##          000000000                     00000         
            0x00, 0xFF, 0x80, 0x00, 0x03, 0xE0, 0x00, ##          000000000                     00000         
            0x00, 0xFF, 0x80, 0x00, 0x03, 0xE0, 0x00, ##          000000000                     00000         
            0x00, 0xFF, 0x80, 0x00, 0x03, 0xE0, 0x00, ##          000000000                     00000         
            0x00, 0xFF, 0x80, 0x00, 0x03, 0xE0, 0x00, ##          000000000                     00000         
            0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0xE0, 0x00, ##          00000000000000000000000000000000000         
            0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0xE0, 0x00, ##          00000000000000000000000000000000000         
            0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0xE0, 0x00, ##          00000000000000000000000000000000000         
            0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0xE0, 0x00, ##          00000000000000000000000000000000000         
            0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0xE0, 0x00, ##          00000000000000000000000000000000000         
            0x00, 0xFF, 0x80, 0x00, 0x03, 0xE0, 0x00, ##          000000000                     00000         
            0x00, 0xFF, 0x80, 0x00, 0x03, 0xE0, 0x00, ##          000000000                     00000         
            0x00, 0xFF, 0x80, 0x00, 0x03, 0xE0, 0x00, ##          000000000                     00000         
            0x00, 0xFF, 0x80, 0x00, 0x03, 0xE0, 0x00, ##          000000000                     00000         
            0x00, 0xFF, 0x80, 0x00, 0x03, 0xE0, 0x00, ##          000000000                     00000         
            0x00, 0xFF, 0x80, 0x00, 0x03, 0xE0, 0x00, ##          000000000                     00000         
            0x00, 0xFF, 0x80, 0x00, 0x03, 0xE0, 0x00, ##          000000000                     00000         
            0x00, 0xFF, 0x80, 0x00, 0x03, 0xE0, 0x00, ##          000000000                     00000         
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##          000000000                                   
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##          000000000                                   
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##          000000000                                   
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##          000000000                                   
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##          000000000                                   
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##          000000000                                   
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##          000000000                                   
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##          000000000                                   
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##          000000000                                   
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##          000000000                                   
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x01, 0xF0, ##          000000000                              00000
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x01, 0xF0, ##          000000000                              00000
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x01, 0xF0, ##          000000000                              00000
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x01, 0xF0, ##          000000000                              00000
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x01, 0xF0, ##          000000000                              00000
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x01, 0xF0, ##          000000000                              00000
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x01, 0xF0, ##          000000000                              00000
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x01, 0xF0, ##          000000000                              00000
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x01, 0xF0, ##          000000000                              00000
            0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF0, ##          00000000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF0, ##  0000000000000000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF0, ##  0000000000000000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF0, ##  0000000000000000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF0, ##  0000000000000000000000000000000000000000000000000000
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '203' => {    # 'Ë'
        'width'    => 52, 
        'xoffset'  => 5, 
        'xadvance' => 64, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x78, 0x00, 0x78, 0x00, 0x00, ##                   0000            0000               
            0x00, 0x01, 0xFE, 0x01, 0xFE, 0x00, 0x00, ##                 00000000        00000000             
            0x00, 0x01, 0xFE, 0x01, 0xFE, 0x00, 0x00, ##                 00000000        00000000             
            0x00, 0x03, 0xFF, 0x03, 0xFF, 0x00, 0x00, ##                0000000000      0000000000            
            0x00, 0x03, 0xFF, 0x03, 0xFF, 0x00, 0x00, ##                0000000000      0000000000            
            0x00, 0x03, 0xFF, 0x03, 0xFF, 0x00, 0x00, ##                0000000000      0000000000            
            0x00, 0x03, 0xFF, 0x03, 0xFF, 0x00, 0x00, ##                0000000000      0000000000            
            0x00, 0x01, 0xFE, 0x01, 0xFE, 0x00, 0x00, ##                 00000000        00000000             
            0x00, 0x01, 0xFE, 0x01, 0xFE, 0x00, 0x00, ##                 00000000        00000000             
            0x00, 0x00, 0x78, 0x00, 0x78, 0x00, 0x00, ##                   0000            0000               
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                      
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                      
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                      
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                      
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                      
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                      
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                      
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xE0, ##  000000000000000000000000000000000000000000000000000 
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xE0, ##  000000000000000000000000000000000000000000000000000 
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xE0, ##  000000000000000000000000000000000000000000000000000 
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xE0, ##  000000000000000000000000000000000000000000000000000 
            0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xE0, ##          0000000000000000000000000000000000000000000 
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x03, 0xE0, ##          000000000                             00000 
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x03, 0xE0, ##          000000000                             00000 
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x03, 0xE0, ##          000000000                             00000 
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x03, 0xE0, ##          000000000                             00000 
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x03, 0xE0, ##          000000000                             00000 
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x03, 0xE0, ##          000000000                             00000 
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x03, 0xE0, ##          000000000                             00000 
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x03, 0xE0, ##          000000000                             00000 
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x03, 0xE0, ##          000000000                             00000 
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##          000000000                                   
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##          000000000                                   
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##          000000000                                   
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##          000000000                                   
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##          000000000                                   
            0x00, 0xFF, 0x80, 0x00, 0x03, 0xE0, 0x00, ##          000000000                     00000         
            0x00, 0xFF, 0x80, 0x00, 0x03, 0xE0, 0x00, ##          000000000                     00000         
            0x00, 0xFF, 0x80, 0x00, 0x03, 0xE0, 0x00, ##          000000000                     00000         
            0x00, 0xFF, 0x80, 0x00, 0x03, 0xE0, 0x00, ##          000000000                     00000         
            0x00, 0xFF, 0x80, 0x00, 0x03, 0xE0, 0x00, ##          000000000                     00000         
            0x00, 0xFF, 0x80, 0x00, 0x03, 0xE0, 0x00, ##          000000000                     00000         
            0x00, 0xFF, 0x80, 0x00, 0x03, 0xE0, 0x00, ##          000000000                     00000         
            0x00, 0xFF, 0x80, 0x00, 0x03, 0xE0, 0x00, ##          000000000                     00000         
            0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0xE0, 0x00, ##          00000000000000000000000000000000000         
            0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0xE0, 0x00, ##          00000000000000000000000000000000000         
            0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0xE0, 0x00, ##          00000000000000000000000000000000000         
            0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0xE0, 0x00, ##          00000000000000000000000000000000000         
            0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0xE0, 0x00, ##          00000000000000000000000000000000000         
            0x00, 0xFF, 0x80, 0x00, 0x03, 0xE0, 0x00, ##          000000000                     00000         
            0x00, 0xFF, 0x80, 0x00, 0x03, 0xE0, 0x00, ##          000000000                     00000         
            0x00, 0xFF, 0x80, 0x00, 0x03, 0xE0, 0x00, ##          000000000                     00000         
            0x00, 0xFF, 0x80, 0x00, 0x03, 0xE0, 0x00, ##          000000000                     00000         
            0x00, 0xFF, 0x80, 0x00, 0x03, 0xE0, 0x00, ##          000000000                     00000         
            0x00, 0xFF, 0x80, 0x00, 0x03, 0xE0, 0x00, ##          000000000                     00000         
            0x00, 0xFF, 0x80, 0x00, 0x03, 0xE0, 0x00, ##          000000000                     00000         
            0x00, 0xFF, 0x80, 0x00, 0x03, 0xE0, 0x00, ##          000000000                     00000         
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##          000000000                                   
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##          000000000                                   
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##          000000000                                   
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##          000000000                                   
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##          000000000                                   
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##          000000000                                   
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##          000000000                                   
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##          000000000                                   
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##          000000000                                   
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##          000000000                                   
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x01, 0xF0, ##          000000000                              00000
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x01, 0xF0, ##          000000000                              00000
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x01, 0xF0, ##          000000000                              00000
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x01, 0xF0, ##          000000000                              00000
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x01, 0xF0, ##          000000000                              00000
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x01, 0xF0, ##          000000000                              00000
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x01, 0xF0, ##          000000000                              00000
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x01, 0xF0, ##          000000000                              00000
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x01, 0xF0, ##          000000000                              00000
            0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF0, ##          00000000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF0, ##  0000000000000000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF0, ##  0000000000000000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF0, ##  0000000000000000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF0, ##  0000000000000000000000000000000000000000000000000000
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '204' => {    # 'Ì'
        'width'    => 25, 
        'xoffset'  => 5, 
        'xadvance' => 35, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, ##  
            0x7F, 0x80, 0x00, 0x00, ##   00000000                
            0x3F, 0xC0, 0x00, 0x00, ##    00000000               
            0x1F, 0xE0, 0x00, 0x00, ##     00000000              
            0x0F, 0xF0, 0x00, 0x00, ##      00000000             
            0x07, 0xF0, 0x00, 0x00, ##       0000000             
            0x03, 0xF8, 0x00, 0x00, ##        0000000            
            0x01, 0xFC, 0x00, 0x00, ##         0000000           
            0x00, 0xFE, 0x00, 0x00, ##          0000000          
            0x00, 0x7E, 0x00, 0x00, ##           000000          
            0x00, 0x3F, 0x00, 0x00, ##            000000         
            0x00, 0x1F, 0x80, 0x00, ##             000000        
            0x00, 0x0F, 0xC0, 0x00, ##              000000       
            0x00, 0x00, 0x00, 0x00, ##                           
            0x00, 0x00, 0x00, 0x00, ##                           
            0x00, 0x00, 0x00, 0x00, ##                           
            0x00, 0x00, 0x00, 0x00, ##                           
            0x00, 0x00, 0x00, 0x00, ##                           
            0x00, 0x00, 0x00, 0x00, ##                           
            0xFF, 0xFF, 0xFF, 0x80, ##  0000000000000000000000000
            0xFF, 0xFF, 0xFF, 0x80, ##  0000000000000000000000000
            0xFF, 0xFF, 0xFF, 0x80, ##  0000000000000000000000000
            0xFF, 0xFF, 0xFF, 0x80, ##  0000000000000000000000000
            0x00, 0xFF, 0x80, 0x00, ##          000000000        
            0x00, 0xFF, 0x80, 0x00, ##          000000000        
            0x00, 0xFF, 0x80, 0x00, ##          000000000        
            0x00, 0xFF, 0x80, 0x00, ##          000000000        
            0x00, 0xFF, 0x80, 0x00, ##          000000000        
            0x00, 0xFF, 0x80, 0x00, ##          000000000        
            0x00, 0xFF, 0x80, 0x00, ##          000000000        
            0x00, 0xFF, 0x80, 0x00, ##          000000000        
            0x00, 0xFF, 0x80, 0x00, ##          000000000        
            0x00, 0xFF, 0x80, 0x00, ##          000000000        
            0x00, 0xFF, 0x80, 0x00, ##          000000000        
            0x00, 0xFF, 0x80, 0x00, ##          000000000        
            0x00, 0xFF, 0x80, 0x00, ##          000000000        
            0x00, 0xFF, 0x80, 0x00, ##          000000000        
            0x00, 0xFF, 0x80, 0x00, ##          000000000        
            0x00, 0xFF, 0x80, 0x00, ##          000000000        
            0x00, 0xFF, 0x80, 0x00, ##          000000000        
            0x00, 0xFF, 0x80, 0x00, ##          000000000        
            0x00, 0xFF, 0x80, 0x00, ##          000000000        
            0x00, 0xFF, 0x80, 0x00, ##          000000000        
            0x00, 0xFF, 0x80, 0x00, ##          000000000        
            0x00, 0xFF, 0x80, 0x00, ##          000000000        
            0x00, 0xFF, 0x80, 0x00, ##          000000000        
            0x00, 0xFF, 0x80, 0x00, ##          000000000        
            0x00, 0xFF, 0x80, 0x00, ##          000000000        
            0x00, 0xFF, 0x80, 0x00, ##          000000000        
            0x00, 0xFF, 0x80, 0x00, ##          000000000        
            0x00, 0xFF, 0x80, 0x00, ##          000000000        
            0x00, 0xFF, 0x80, 0x00, ##          000000000        
            0x00, 0xFF, 0x80, 0x00, ##          000000000        
            0x00, 0xFF, 0x80, 0x00, ##          000000000        
            0x00, 0xFF, 0x80, 0x00, ##          000000000        
            0x00, 0xFF, 0x80, 0x00, ##          000000000        
            0x00, 0xFF, 0x80, 0x00, ##          000000000        
            0x00, 0xFF, 0x80, 0x00, ##          000000000        
            0x00, 0xFF, 0x80, 0x00, ##          000000000        
            0x00, 0xFF, 0x80, 0x00, ##          000000000        
            0x00, 0xFF, 0x80, 0x00, ##          000000000        
            0x00, 0xFF, 0x80, 0x00, ##          000000000        
            0x00, 0xFF, 0x80, 0x00, ##          000000000        
            0x00, 0xFF, 0x80, 0x00, ##          000000000        
            0x00, 0xFF, 0x80, 0x00, ##          000000000        
            0x00, 0xFF, 0x80, 0x00, ##          000000000        
            0x00, 0xFF, 0x80, 0x00, ##          000000000        
            0x00, 0xFF, 0x80, 0x00, ##          000000000        
            0x00, 0xFF, 0x80, 0x00, ##          000000000        
            0x00, 0xFF, 0x80, 0x00, ##          000000000        
            0x00, 0xFF, 0x80, 0x00, ##          000000000        
            0x00, 0xFF, 0x80, 0x00, ##          000000000        
            0x00, 0xFF, 0x80, 0x00, ##          000000000        
            0x00, 0xFF, 0x80, 0x00, ##          000000000        
            0x00, 0xFF, 0x80, 0x00, ##          000000000        
            0x00, 0xFF, 0x80, 0x00, ##          000000000        
            0x00, 0xFF, 0x80, 0x00, ##          000000000        
            0x00, 0xFF, 0x80, 0x00, ##          000000000        
            0x00, 0xFF, 0x80, 0x00, ##          000000000        
            0xFF, 0xFF, 0xFF, 0x80, ##  0000000000000000000000000
            0xFF, 0xFF, 0xFF, 0x80, ##  0000000000000000000000000
            0xFF, 0xFF, 0xFF, 0x80, ##  0000000000000000000000000
            0xFF, 0xFF, 0xFF, 0x80, ##  0000000000000000000000000
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '205' => {    # 'Í'
        'width'    => 25, 
        'xoffset'  => 5, 
        'xadvance' => 35, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x01, 0xFF, 0x00, ##                 000000000 
            0x00, 0x01, 0xFE, 0x00, ##                 00000000  
            0x00, 0x03, 0xFC, 0x00, ##                00000000   
            0x00, 0x07, 0xF8, 0x00, ##               00000000    
            0x00, 0x0F, 0xF0, 0x00, ##              00000000     
            0x00, 0x0F, 0xE0, 0x00, ##              0000000      
            0x00, 0x1F, 0xC0, 0x00, ##             0000000       
            0x00, 0x3F, 0x80, 0x00, ##            0000000        
            0x00, 0x3F, 0x00, 0x00, ##            000000         
            0x00, 0x7E, 0x00, 0x00, ##           000000          
            0x00, 0xFC, 0x00, 0x00, ##          000000           
            0x01, 0xF0, 0x00, 0x00, ##         00000             
            0x00, 0x00, 0x00, 0x00, ##                           
            0x00, 0x00, 0x00, 0x00, ##                           
            0x00, 0x00, 0x00, 0x00, ##                           
            0x00, 0x00, 0x00, 0x00, ##                           
            0x00, 0x00, 0x00, 0x00, ##                           
            0x00, 0x00, 0x00, 0x00, ##                           
            0xFF, 0xFF, 0xFF, 0x80, ##  0000000000000000000000000
            0xFF, 0xFF, 0xFF, 0x80, ##  0000000000000000000000000
            0xFF, 0xFF, 0xFF, 0x80, ##  0000000000000000000000000
            0xFF, 0xFF, 0xFF, 0x80, ##  0000000000000000000000000
            0x00, 0xFF, 0x80, 0x00, ##          000000000        
            0x00, 0xFF, 0x80, 0x00, ##          000000000        
            0x00, 0xFF, 0x80, 0x00, ##          000000000        
            0x00, 0xFF, 0x80, 0x00, ##          000000000        
            0x00, 0xFF, 0x80, 0x00, ##          000000000        
            0x00, 0xFF, 0x80, 0x00, ##          000000000        
            0x00, 0xFF, 0x80, 0x00, ##          000000000        
            0x00, 0xFF, 0x80, 0x00, ##          000000000        
            0x00, 0xFF, 0x80, 0x00, ##          000000000        
            0x00, 0xFF, 0x80, 0x00, ##          000000000        
            0x00, 0xFF, 0x80, 0x00, ##          000000000        
            0x00, 0xFF, 0x80, 0x00, ##          000000000        
            0x00, 0xFF, 0x80, 0x00, ##          000000000        
            0x00, 0xFF, 0x80, 0x00, ##          000000000        
            0x00, 0xFF, 0x80, 0x00, ##          000000000        
            0x00, 0xFF, 0x80, 0x00, ##          000000000        
            0x00, 0xFF, 0x80, 0x00, ##          000000000        
            0x00, 0xFF, 0x80, 0x00, ##          000000000        
            0x00, 0xFF, 0x80, 0x00, ##          000000000        
            0x00, 0xFF, 0x80, 0x00, ##          000000000        
            0x00, 0xFF, 0x80, 0x00, ##          000000000        
            0x00, 0xFF, 0x80, 0x00, ##          000000000        
            0x00, 0xFF, 0x80, 0x00, ##          000000000        
            0x00, 0xFF, 0x80, 0x00, ##          000000000        
            0x00, 0xFF, 0x80, 0x00, ##          000000000        
            0x00, 0xFF, 0x80, 0x00, ##          000000000        
            0x00, 0xFF, 0x80, 0x00, ##          000000000        
            0x00, 0xFF, 0x80, 0x00, ##          000000000        
            0x00, 0xFF, 0x80, 0x00, ##          000000000        
            0x00, 0xFF, 0x80, 0x00, ##          000000000        
            0x00, 0xFF, 0x80, 0x00, ##          000000000        
            0x00, 0xFF, 0x80, 0x00, ##          000000000        
            0x00, 0xFF, 0x80, 0x00, ##          000000000        
            0x00, 0xFF, 0x80, 0x00, ##          000000000        
            0x00, 0xFF, 0x80, 0x00, ##          000000000        
            0x00, 0xFF, 0x80, 0x00, ##          000000000        
            0x00, 0xFF, 0x80, 0x00, ##          000000000        
            0x00, 0xFF, 0x80, 0x00, ##          000000000        
            0x00, 0xFF, 0x80, 0x00, ##          000000000        
            0x00, 0xFF, 0x80, 0x00, ##          000000000        
            0x00, 0xFF, 0x80, 0x00, ##          000000000        
            0x00, 0xFF, 0x80, 0x00, ##          000000000        
            0x00, 0xFF, 0x80, 0x00, ##          000000000        
            0x00, 0xFF, 0x80, 0x00, ##          000000000        
            0x00, 0xFF, 0x80, 0x00, ##          000000000        
            0x00, 0xFF, 0x80, 0x00, ##          000000000        
            0x00, 0xFF, 0x80, 0x00, ##          000000000        
            0x00, 0xFF, 0x80, 0x00, ##          000000000        
            0x00, 0xFF, 0x80, 0x00, ##          000000000        
            0x00, 0xFF, 0x80, 0x00, ##          000000000        
            0x00, 0xFF, 0x80, 0x00, ##          000000000        
            0x00, 0xFF, 0x80, 0x00, ##          000000000        
            0x00, 0xFF, 0x80, 0x00, ##          000000000        
            0x00, 0xFF, 0x80, 0x00, ##          000000000        
            0x00, 0xFF, 0x80, 0x00, ##          000000000        
            0x00, 0xFF, 0x80, 0x00, ##          000000000        
            0xFF, 0xFF, 0xFF, 0x80, ##  0000000000000000000000000
            0xFF, 0xFF, 0xFF, 0x80, ##  0000000000000000000000000
            0xFF, 0xFF, 0xFF, 0x80, ##  0000000000000000000000000
            0xFF, 0xFF, 0xFF, 0x80, ##  0000000000000000000000000
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '206' => {    # 'Î'
        'width'    => 27, 
        'xoffset'  => 4, 
        'xadvance' => 35, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x3F, 0x80, 0x00, ##            0000000          
            0x00, 0x7F, 0xC0, 0x00, ##           000000000         
            0x00, 0xFF, 0xE0, 0x00, ##          00000000000        
            0x01, 0xFF, 0xF0, 0x00, ##         0000000000000       
            0x03, 0xFF, 0xF8, 0x00, ##        000000000000000      
            0x07, 0xFB, 0xFC, 0x00, ##       00000000 00000000     
            0x0F, 0xE0, 0xFE, 0x00, ##      0000000     0000000    
            0x1F, 0xC0, 0x7F, 0x00, ##     0000000       0000000   
            0x1F, 0x80, 0x3F, 0x80, ##     000000         0000000  
            0x3E, 0x00, 0x0F, 0x80, ##    00000             00000  
            0x7C, 0x00, 0x07, 0xC0, ##   00000               00000 
            0xF8, 0x00, 0x03, 0xE0, ##  00000                 00000
            0x00, 0x00, 0x00, 0x00, ##                             
            0x00, 0x00, 0x00, 0x00, ##                             
            0x00, 0x00, 0x00, 0x00, ##                             
            0x00, 0x00, 0x00, 0x00, ##                             
            0x00, 0x00, 0x00, 0x00, ##                             
            0x00, 0x00, 0x00, 0x00, ##                             
            0x7F, 0xFF, 0xFF, 0xC0, ##   0000000000000000000000000 
            0x7F, 0xFF, 0xFF, 0xC0, ##   0000000000000000000000000 
            0x7F, 0xFF, 0xFF, 0xC0, ##   0000000000000000000000000 
            0x7F, 0xFF, 0xFF, 0xC0, ##   0000000000000000000000000 
            0x00, 0x7F, 0xC0, 0x00, ##           000000000         
            0x00, 0x7F, 0xC0, 0x00, ##           000000000         
            0x00, 0x7F, 0xC0, 0x00, ##           000000000         
            0x00, 0x7F, 0xC0, 0x00, ##           000000000         
            0x00, 0x7F, 0xC0, 0x00, ##           000000000         
            0x00, 0x7F, 0xC0, 0x00, ##           000000000         
            0x00, 0x7F, 0xC0, 0x00, ##           000000000         
            0x00, 0x7F, 0xC0, 0x00, ##           000000000         
            0x00, 0x7F, 0xC0, 0x00, ##           000000000         
            0x00, 0x7F, 0xC0, 0x00, ##           000000000         
            0x00, 0x7F, 0xC0, 0x00, ##           000000000         
            0x00, 0x7F, 0xC0, 0x00, ##           000000000         
            0x00, 0x7F, 0xC0, 0x00, ##           000000000         
            0x00, 0x7F, 0xC0, 0x00, ##           000000000         
            0x00, 0x7F, 0xC0, 0x00, ##           000000000         
            0x00, 0x7F, 0xC0, 0x00, ##           000000000         
            0x00, 0x7F, 0xC0, 0x00, ##           000000000         
            0x00, 0x7F, 0xC0, 0x00, ##           000000000         
            0x00, 0x7F, 0xC0, 0x00, ##           000000000         
            0x00, 0x7F, 0xC0, 0x00, ##           000000000         
            0x00, 0x7F, 0xC0, 0x00, ##           000000000         
            0x00, 0x7F, 0xC0, 0x00, ##           000000000         
            0x00, 0x7F, 0xC0, 0x00, ##           000000000         
            0x00, 0x7F, 0xC0, 0x00, ##           000000000         
            0x00, 0x7F, 0xC0, 0x00, ##           000000000         
            0x00, 0x7F, 0xC0, 0x00, ##           000000000         
            0x00, 0x7F, 0xC0, 0x00, ##           000000000         
            0x00, 0x7F, 0xC0, 0x00, ##           000000000         
            0x00, 0x7F, 0xC0, 0x00, ##           000000000         
            0x00, 0x7F, 0xC0, 0x00, ##           000000000         
            0x00, 0x7F, 0xC0, 0x00, ##           000000000         
            0x00, 0x7F, 0xC0, 0x00, ##           000000000         
            0x00, 0x7F, 0xC0, 0x00, ##           000000000         
            0x00, 0x7F, 0xC0, 0x00, ##           000000000         
            0x00, 0x7F, 0xC0, 0x00, ##           000000000         
            0x00, 0x7F, 0xC0, 0x00, ##           000000000         
            0x00, 0x7F, 0xC0, 0x00, ##           000000000         
            0x00, 0x7F, 0xC0, 0x00, ##           000000000         
            0x00, 0x7F, 0xC0, 0x00, ##           000000000         
            0x00, 0x7F, 0xC0, 0x00, ##           000000000         
            0x00, 0x7F, 0xC0, 0x00, ##           000000000         
            0x00, 0x7F, 0xC0, 0x00, ##           000000000         
            0x00, 0x7F, 0xC0, 0x00, ##           000000000         
            0x00, 0x7F, 0xC0, 0x00, ##           000000000         
            0x00, 0x7F, 0xC0, 0x00, ##           000000000         
            0x00, 0x7F, 0xC0, 0x00, ##           000000000         
            0x00, 0x7F, 0xC0, 0x00, ##           000000000         
            0x00, 0x7F, 0xC0, 0x00, ##           000000000         
            0x00, 0x7F, 0xC0, 0x00, ##           000000000         
            0x00, 0x7F, 0xC0, 0x00, ##           000000000         
            0x00, 0x7F, 0xC0, 0x00, ##           000000000         
            0x00, 0x7F, 0xC0, 0x00, ##           000000000         
            0x00, 0x7F, 0xC0, 0x00, ##           000000000         
            0x00, 0x7F, 0xC0, 0x00, ##           000000000         
            0x00, 0x7F, 0xC0, 0x00, ##           000000000         
            0x00, 0x7F, 0xC0, 0x00, ##           000000000         
            0x7F, 0xFF, 0xFF, 0xC0, ##   0000000000000000000000000 
            0x7F, 0xFF, 0xFF, 0xC0, ##   0000000000000000000000000 
            0x7F, 0xFF, 0xFF, 0xC0, ##   0000000000000000000000000 
            0x7F, 0xFF, 0xFF, 0xC0, ##   0000000000000000000000000 
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '207' => {    # 'Ï'
        'width'    => 26, 
        'xoffset'  => 4, 
        'xadvance' => 34, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x1E, 0x00, 0x1E, 0x00, ##     0000            0000   
            0x7F, 0x80, 0x7F, 0x80, ##   00000000        00000000 
            0x7F, 0x80, 0x7F, 0x80, ##   00000000        00000000 
            0xFF, 0xC0, 0xFF, 0xC0, ##  0000000000      0000000000
            0xFF, 0xC0, 0xFF, 0xC0, ##  0000000000      0000000000
            0xFF, 0xC0, 0xFF, 0xC0, ##  0000000000      0000000000
            0xFF, 0xC0, 0xFF, 0xC0, ##  0000000000      0000000000
            0x7F, 0x80, 0x7F, 0x80, ##   00000000        00000000 
            0x7F, 0x80, 0x7F, 0x80, ##   00000000        00000000 
            0x1E, 0x00, 0x1E, 0x00, ##     0000            0000   
            0x00, 0x00, 0x00, 0x00, ##                            
            0x00, 0x00, 0x00, 0x00, ##                            
            0x00, 0x00, 0x00, 0x00, ##                            
            0x00, 0x00, 0x00, 0x00, ##                            
            0x00, 0x00, 0x00, 0x00, ##                            
            0x00, 0x00, 0x00, 0x00, ##                            
            0x00, 0x00, 0x00, 0x00, ##                            
            0x7F, 0xFF, 0xFF, 0xC0, ##   0000000000000000000000000
            0x7F, 0xFF, 0xFF, 0xC0, ##   0000000000000000000000000
            0x7F, 0xFF, 0xFF, 0xC0, ##   0000000000000000000000000
            0x7F, 0xFF, 0xFF, 0xC0, ##   0000000000000000000000000
            0x00, 0x7F, 0xC0, 0x00, ##           000000000        
            0x00, 0x7F, 0xC0, 0x00, ##           000000000        
            0x00, 0x7F, 0xC0, 0x00, ##           000000000        
            0x00, 0x7F, 0xC0, 0x00, ##           000000000        
            0x00, 0x7F, 0xC0, 0x00, ##           000000000        
            0x00, 0x7F, 0xC0, 0x00, ##           000000000        
            0x00, 0x7F, 0xC0, 0x00, ##           000000000        
            0x00, 0x7F, 0xC0, 0x00, ##           000000000        
            0x00, 0x7F, 0xC0, 0x00, ##           000000000        
            0x00, 0x7F, 0xC0, 0x00, ##           000000000        
            0x00, 0x7F, 0xC0, 0x00, ##           000000000        
            0x00, 0x7F, 0xC0, 0x00, ##           000000000        
            0x00, 0x7F, 0xC0, 0x00, ##           000000000        
            0x00, 0x7F, 0xC0, 0x00, ##           000000000        
            0x00, 0x7F, 0xC0, 0x00, ##           000000000        
            0x00, 0x7F, 0xC0, 0x00, ##           000000000        
            0x00, 0x7F, 0xC0, 0x00, ##           000000000        
            0x00, 0x7F, 0xC0, 0x00, ##           000000000        
            0x00, 0x7F, 0xC0, 0x00, ##           000000000        
            0x00, 0x7F, 0xC0, 0x00, ##           000000000        
            0x00, 0x7F, 0xC0, 0x00, ##           000000000        
            0x00, 0x7F, 0xC0, 0x00, ##           000000000        
            0x00, 0x7F, 0xC0, 0x00, ##           000000000        
            0x00, 0x7F, 0xC0, 0x00, ##           000000000        
            0x00, 0x7F, 0xC0, 0x00, ##           000000000        
            0x00, 0x7F, 0xC0, 0x00, ##           000000000        
            0x00, 0x7F, 0xC0, 0x00, ##           000000000        
            0x00, 0x7F, 0xC0, 0x00, ##           000000000        
            0x00, 0x7F, 0xC0, 0x00, ##           000000000        
            0x00, 0x7F, 0xC0, 0x00, ##           000000000        
            0x00, 0x7F, 0xC0, 0x00, ##           000000000        
            0x00, 0x7F, 0xC0, 0x00, ##           000000000        
            0x00, 0x7F, 0xC0, 0x00, ##           000000000        
            0x00, 0x7F, 0xC0, 0x00, ##           000000000        
            0x00, 0x7F, 0xC0, 0x00, ##           000000000        
            0x00, 0x7F, 0xC0, 0x00, ##           000000000        
            0x00, 0x7F, 0xC0, 0x00, ##           000000000        
            0x00, 0x7F, 0xC0, 0x00, ##           000000000        
            0x00, 0x7F, 0xC0, 0x00, ##           000000000        
            0x00, 0x7F, 0xC0, 0x00, ##           000000000        
            0x00, 0x7F, 0xC0, 0x00, ##           000000000        
            0x00, 0x7F, 0xC0, 0x00, ##           000000000        
            0x00, 0x7F, 0xC0, 0x00, ##           000000000        
            0x00, 0x7F, 0xC0, 0x00, ##           000000000        
            0x00, 0x7F, 0xC0, 0x00, ##           000000000        
            0x00, 0x7F, 0xC0, 0x00, ##           000000000        
            0x00, 0x7F, 0xC0, 0x00, ##           000000000        
            0x00, 0x7F, 0xC0, 0x00, ##           000000000        
            0x00, 0x7F, 0xC0, 0x00, ##           000000000        
            0x00, 0x7F, 0xC0, 0x00, ##           000000000        
            0x00, 0x7F, 0xC0, 0x00, ##           000000000        
            0x00, 0x7F, 0xC0, 0x00, ##           000000000        
            0x00, 0x7F, 0xC0, 0x00, ##           000000000        
            0x00, 0x7F, 0xC0, 0x00, ##           000000000        
            0x00, 0x7F, 0xC0, 0x00, ##           000000000        
            0x00, 0x7F, 0xC0, 0x00, ##           000000000        
            0x7F, 0xFF, 0xFF, 0xC0, ##   0000000000000000000000000
            0x7F, 0xFF, 0xFF, 0xC0, ##   0000000000000000000000000
            0x7F, 0xFF, 0xFF, 0xC0, ##   0000000000000000000000000
            0x7F, 0xFF, 0xFF, 0xC0, ##   0000000000000000000000000
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '208' => {    # 'Ð'
        'width'    => 60, 
        'xoffset'  => 5, 
        'xadvance' => 70, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0xFF, 0xFF, 0xFF, 0xFF, 0x80, 0x00, 0x00, 0x00, ##  000000000000000000000000000000000                           
            0xFF, 0xFF, 0xFF, 0xFF, 0xFC, 0x00, 0x00, 0x00, ##  00000000000000000000000000000000000000                      
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x80, 0x00, 0x00, ##  00000000000000000000000000000000000000000                   
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xE0, 0x00, 0x00, ##  0000000000000000000000000000000000000000000                 
            0x00, 0xFF, 0x80, 0x01, 0xFF, 0xF8, 0x00, 0x00, ##          000000000              00000000000000               
            0x00, 0xFF, 0x80, 0x00, 0x1F, 0xFE, 0x00, 0x00, ##          000000000                  000000000000             
            0x00, 0xFF, 0x80, 0x00, 0x03, 0xFF, 0x80, 0x00, ##          000000000                     00000000000           
            0x00, 0xFF, 0x80, 0x00, 0x00, 0xFF, 0xC0, 0x00, ##          000000000                       0000000000          
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x7F, 0xE0, 0x00, ##          000000000                        0000000000         
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x1F, 0xF0, 0x00, ##          000000000                          000000000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x0F, 0xF8, 0x00, ##          000000000                           000000000       
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x07, 0xFC, 0x00, ##          000000000                            000000000      
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x07, 0xFC, 0x00, ##          000000000                            000000000      
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x03, 0xFE, 0x00, ##          000000000                             000000000     
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x01, 0xFF, 0x00, ##          000000000                              000000000    
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x01, 0xFF, 0x00, ##          000000000                              000000000    
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0xFF, 0x80, ##          000000000                               000000000   
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0xFF, 0x80, ##          000000000                               000000000   
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x7F, 0xC0, ##          000000000                                000000000  
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x7F, 0xC0, ##          000000000                                000000000  
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x7F, 0xC0, ##          000000000                                000000000  
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x3F, 0xE0, ##          000000000                                 000000000 
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x3F, 0xE0, ##          000000000                                 000000000 
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x3F, 0xE0, ##          000000000                                 000000000 
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x3F, 0xE0, ##          000000000                                 000000000 
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x1F, 0xF0, ##          000000000                                  000000000
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x1F, 0xF0, ##          000000000                                  000000000
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x1F, 0xF0, ##          000000000                                  000000000
            0xFF, 0xFF, 0xFF, 0xFE, 0x00, 0x00, 0x1F, 0xF0, ##  0000000000000000000000000000000                    000000000
            0xFF, 0xFF, 0xFF, 0xFE, 0x00, 0x00, 0x1F, 0xF0, ##  0000000000000000000000000000000                    000000000
            0xFF, 0xFF, 0xFF, 0xFE, 0x00, 0x00, 0x1F, 0xF0, ##  0000000000000000000000000000000                    000000000
            0xFF, 0xFF, 0xFF, 0xFE, 0x00, 0x00, 0x1F, 0xF0, ##  0000000000000000000000000000000                    000000000
            0xFF, 0xFF, 0xFF, 0xFE, 0x00, 0x00, 0x1F, 0xF0, ##  0000000000000000000000000000000                    000000000
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x1F, 0xF0, ##          000000000                                  000000000
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x1F, 0xF0, ##          000000000                                  000000000
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x1F, 0xF0, ##          000000000                                  000000000
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x1F, 0xF0, ##          000000000                                  000000000
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x1F, 0xF0, ##          000000000                                  000000000
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x1F, 0xF0, ##          000000000                                  000000000
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x3F, 0xE0, ##          000000000                                 000000000 
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x3F, 0xE0, ##          000000000                                 000000000 
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x3F, 0xE0, ##          000000000                                 000000000 
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x3F, 0xE0, ##          000000000                                 000000000 
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x7F, 0xC0, ##          000000000                                000000000  
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x7F, 0xC0, ##          000000000                                000000000  
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x7F, 0xC0, ##          000000000                                000000000  
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0xFF, 0x80, ##          000000000                               000000000   
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0xFF, 0x80, ##          000000000                               000000000   
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x01, 0xFF, 0x00, ##          000000000                              000000000    
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x01, 0xFF, 0x00, ##          000000000                              000000000    
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x03, 0xFE, 0x00, ##          000000000                             000000000     
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x07, 0xFC, 0x00, ##          000000000                            000000000      
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x0F, 0xFC, 0x00, ##          000000000                           0000000000      
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x0F, 0xF8, 0x00, ##          000000000                           000000000       
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x3F, 0xF0, 0x00, ##          000000000                         0000000000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x7F, 0xE0, 0x00, ##          000000000                        0000000000         
            0x00, 0xFF, 0x80, 0x00, 0x00, 0xFF, 0xC0, 0x00, ##          000000000                       0000000000          
            0x00, 0xFF, 0x80, 0x00, 0x03, 0xFF, 0x80, 0x00, ##          000000000                     00000000000           
            0x00, 0xFF, 0x80, 0x00, 0x1F, 0xFE, 0x00, 0x00, ##          000000000                  000000000000             
            0x00, 0xFF, 0x80, 0x01, 0xFF, 0xF8, 0x00, 0x00, ##          000000000              00000000000000               
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xE0, 0x00, 0x00, ##  0000000000000000000000000000000000000000000                 
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x80, 0x00, 0x00, ##  00000000000000000000000000000000000000000                   
            0xFF, 0xFF, 0xFF, 0xFF, 0xFC, 0x00, 0x00, 0x00, ##  00000000000000000000000000000000000000                      
            0xFF, 0xFF, 0xFF, 0xFF, 0x80, 0x00, 0x00, 0x00, ##  000000000000000000000000000000000                           
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '209' => {    # 'Ñ'
        'width'    => 68, 
        'xoffset'  => 4, 
        'xadvance' => 76, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x7E, 0x00, 0x0F, 0x00, 0x00, 0x00, ##                           000000             0000                    
            0x00, 0x00, 0x01, 0xFF, 0xC0, 0x0F, 0x00, 0x00, 0x00, ##                         00000000000          0000                    
            0x00, 0x00, 0x03, 0xFF, 0xF0, 0x1F, 0x00, 0x00, 0x00, ##                        00000000000000       00000                    
            0x00, 0x00, 0x07, 0xFF, 0xFC, 0x3F, 0x00, 0x00, 0x00, ##                       00000000000000000    000000                    
            0x00, 0x00, 0x07, 0xFF, 0xFF, 0xFE, 0x00, 0x00, 0x00, ##                       00000000000000000000000000                     
            0x00, 0x00, 0x0F, 0xC3, 0xFF, 0xFE, 0x00, 0x00, 0x00, ##                      000000    00000000000000000                     
            0x00, 0x00, 0x0F, 0x80, 0xFF, 0xFC, 0x00, 0x00, 0x00, ##                      00000       00000000000000                      
            0x00, 0x00, 0x0F, 0x00, 0x3F, 0xF8, 0x00, 0x00, 0x00, ##                      0000          00000000000                       
            0x00, 0x00, 0x0F, 0x00, 0x0F, 0xE0, 0x00, 0x00, 0x00, ##                      0000            0000000                         
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                                      
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                                      
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                                      
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                                      
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                                      
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                                      
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                                      
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                                      
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x03, 0xFF, 0xFF, 0xF0, ##  00000000000000000                             0000000000000000000000
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x03, 0xFF, 0xFF, 0xF0, ##  00000000000000000                             0000000000000000000000
            0x00, 0xFF, 0xC0, 0x00, 0x00, 0x03, 0xFF, 0xFF, 0xF0, ##  000000000000000000                            0000000000000000000000
            0x00, 0xFF, 0xE0, 0x00, 0x00, 0x03, 0xFF, 0xFF, 0xF0, ##  0000000000000000000                           0000000000000000000000
            0x00, 0x7F, 0xF0, 0x00, 0x00, 0x00, 0x03, 0xE0, 0x00, ##           00000000000                                  00000         
            0x00, 0x7F, 0xF0, 0x00, 0x00, 0x00, 0x03, 0xE0, 0x00, ##           00000000000                                  00000         
            0x00, 0x7F, 0xF8, 0x00, 0x00, 0x00, 0x03, 0xE0, 0x00, ##           000000000000                                 00000         
            0x00, 0x7F, 0xFC, 0x00, 0x00, 0x00, 0x03, 0xE0, 0x00, ##           0000000000000                                00000         
            0x00, 0x7F, 0xFE, 0x00, 0x00, 0x00, 0x03, 0xE0, 0x00, ##           00000000000000                               00000         
            0x00, 0x7F, 0xFE, 0x00, 0x00, 0x00, 0x03, 0xE0, 0x00, ##           00000000000000                               00000         
            0x00, 0x7F, 0xFF, 0x00, 0x00, 0x00, 0x03, 0xE0, 0x00, ##           000000000000000                              00000         
            0x00, 0x7F, 0xFF, 0x80, 0x00, 0x00, 0x03, 0xE0, 0x00, ##           0000000000000000                             00000         
            0x00, 0x7D, 0xFF, 0xC0, 0x00, 0x00, 0x03, 0xE0, 0x00, ##           00000 00000000000                            00000         
            0x00, 0x7C, 0xFF, 0xC0, 0x00, 0x00, 0x03, 0xE0, 0x00, ##           00000  0000000000                            00000         
            0x00, 0x7C, 0x7F, 0xE0, 0x00, 0x00, 0x03, 0xE0, 0x00, ##           00000   0000000000                           00000         
            0x00, 0x7C, 0x7F, 0xF0, 0x00, 0x00, 0x03, 0xE0, 0x00, ##           00000   00000000000                          00000         
            0x00, 0x7C, 0x3F, 0xF8, 0x00, 0x00, 0x03, 0xE0, 0x00, ##           00000    00000000000                         00000         
            0x00, 0x7C, 0x1F, 0xF8, 0x00, 0x00, 0x03, 0xE0, 0x00, ##           00000     0000000000                         00000         
            0x00, 0x7C, 0x0F, 0xFC, 0x00, 0x00, 0x03, 0xE0, 0x00, ##           00000      0000000000                        00000         
            0x00, 0x7C, 0x0F, 0xFE, 0x00, 0x00, 0x03, 0xE0, 0x00, ##           00000      00000000000                       00000         
            0x00, 0x7C, 0x07, 0xFF, 0x00, 0x00, 0x03, 0xE0, 0x00, ##           00000       00000000000                      00000         
            0x00, 0x7C, 0x03, 0xFF, 0x00, 0x00, 0x03, 0xE0, 0x00, ##           00000        0000000000                      00000         
            0x00, 0x7C, 0x01, 0xFF, 0x80, 0x00, 0x03, 0xE0, 0x00, ##           00000         0000000000                     00000         
            0x00, 0x7C, 0x01, 0xFF, 0xC0, 0x00, 0x03, 0xE0, 0x00, ##           00000         00000000000                    00000         
            0x00, 0x7C, 0x00, 0xFF, 0xC0, 0x00, 0x03, 0xE0, 0x00, ##           00000          0000000000                    00000         
            0x00, 0x7C, 0x00, 0x7F, 0xE0, 0x00, 0x03, 0xE0, 0x00, ##           00000           0000000000                   00000         
            0x00, 0x7C, 0x00, 0x3F, 0xF0, 0x00, 0x03, 0xE0, 0x00, ##           00000            0000000000                  00000         
            0x00, 0x7C, 0x00, 0x3F, 0xF8, 0x00, 0x03, 0xE0, 0x00, ##           00000            00000000000                 00000         
            0x00, 0x7C, 0x00, 0x1F, 0xF8, 0x00, 0x03, 0xE0, 0x00, ##           00000             0000000000                 00000         
            0x00, 0x7C, 0x00, 0x0F, 0xFC, 0x00, 0x03, 0xE0, 0x00, ##           00000              0000000000                00000         
            0x00, 0x7C, 0x00, 0x07, 0xFE, 0x00, 0x03, 0xE0, 0x00, ##           00000               0000000000               00000         
            0x00, 0x7C, 0x00, 0x07, 0xFF, 0x00, 0x03, 0xE0, 0x00, ##           00000               00000000000              00000         
            0x00, 0x7C, 0x00, 0x03, 0xFF, 0x00, 0x03, 0xE0, 0x00, ##           00000                0000000000              00000         
            0x00, 0x7C, 0x00, 0x01, 0xFF, 0x80, 0x03, 0xE0, 0x00, ##           00000                 0000000000             00000         
            0x00, 0x7C, 0x00, 0x01, 0xFF, 0xC0, 0x03, 0xE0, 0x00, ##           00000                 00000000000            00000         
            0x00, 0x7C, 0x00, 0x00, 0xFF, 0xE0, 0x03, 0xE0, 0x00, ##           00000                  00000000000           00000         
            0x00, 0x7C, 0x00, 0x00, 0x7F, 0xE0, 0x03, 0xE0, 0x00, ##           00000                   0000000000           00000         
            0x00, 0x7C, 0x00, 0x00, 0x3F, 0xF0, 0x03, 0xE0, 0x00, ##           00000                    0000000000          00000         
            0x00, 0x7C, 0x00, 0x00, 0x3F, 0xF8, 0x03, 0xE0, 0x00, ##           00000                    00000000000         00000         
            0x00, 0x7C, 0x00, 0x00, 0x1F, 0xFC, 0x03, 0xE0, 0x00, ##           00000                     00000000000        00000         
            0x00, 0x7C, 0x00, 0x00, 0x0F, 0xFC, 0x03, 0xE0, 0x00, ##           00000                      0000000000        00000         
            0x00, 0x7C, 0x00, 0x00, 0x07, 0xFE, 0x03, 0xE0, 0x00, ##           00000                       0000000000       00000         
            0x00, 0x7C, 0x00, 0x00, 0x07, 0xFF, 0x03, 0xE0, 0x00, ##           00000                       00000000000      00000         
            0x00, 0x7C, 0x00, 0x00, 0x03, 0xFF, 0x83, 0xE0, 0x00, ##           00000                        00000000000     00000         
            0x00, 0x7C, 0x00, 0x00, 0x01, 0xFF, 0x83, 0xE0, 0x00, ##           00000                         0000000000     00000         
            0x00, 0x7C, 0x00, 0x00, 0x00, 0xFF, 0xC3, 0xE0, 0x00, ##           00000                          0000000000    00000         
            0x00, 0x7C, 0x00, 0x00, 0x00, 0xFF, 0xE3, 0xE0, 0x00, ##           00000                          00000000000   00000         
            0x00, 0x7C, 0x00, 0x00, 0x00, 0x7F, 0xF3, 0xE0, 0x00, ##           00000                           00000000000  00000         
            0x00, 0x7C, 0x00, 0x00, 0x00, 0x3F, 0xF3, 0xE0, 0x00, ##           00000                            0000000000  00000         
            0x00, 0x7C, 0x00, 0x00, 0x00, 0x1F, 0xFB, 0xE0, 0x00, ##           00000                             0000000000 00000         
            0x00, 0x7C, 0x00, 0x00, 0x00, 0x1F, 0xFF, 0xE0, 0x00, ##           00000                             0000000000000000         
            0x00, 0x7C, 0x00, 0x00, 0x00, 0x0F, 0xFF, 0xE0, 0x00, ##           00000                              000000000000000         
            0x00, 0x7C, 0x00, 0x00, 0x00, 0x07, 0xFF, 0xE0, 0x00, ##           00000                               00000000000000         
            0x00, 0x7C, 0x00, 0x00, 0x00, 0x03, 0xFF, 0xE0, 0x00, ##           00000                                0000000000000         
            0x00, 0x7C, 0x00, 0x00, 0x00, 0x03, 0xFF, 0xE0, 0x00, ##           00000                                0000000000000         
            0x00, 0x7C, 0x00, 0x00, 0x00, 0x01, 0xFF, 0xE0, 0x00, ##           00000                                 000000000000         
            0x00, 0x7C, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xE0, 0x00, ##           00000                                  00000000000         
            0x00, 0x7C, 0x00, 0x00, 0x00, 0x00, 0x7F, 0xE0, 0x00, ##           00000                                   0000000000         
            0x00, 0x7C, 0x00, 0x00, 0x00, 0x00, 0x7F, 0xE0, 0x00, ##           00000                                   0000000000         
            0x00, 0x7C, 0x00, 0x00, 0x00, 0x00, 0x3F, 0xE0, 0x00, ##           00000                                    000000000         
            0x00, 0xFF, 0xFC, 0x00, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##  0000000000000000000000                             00000000         
            0x00, 0xFF, 0xFC, 0x00, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##  0000000000000000000000                             00000000         
            0x00, 0xFF, 0xFC, 0x00, 0x00, 0x00, 0x0F, 0xE0, 0x00, ##  0000000000000000000000                              0000000         
            0x00, 0xFF, 0xFC, 0x00, 0x00, 0x00, 0x07, 0xE0, 0x00, ##  0000000000000000000000                               000000         
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x03, 0xE0, 0x00, ##                                                        00000         
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '210' => {    # 'Ò'
        'width'    => 62, 
        'xoffset'  => 5, 
        'xadvance' => 72, 
        'bitmap'   => [ 
            0x00, 0x00, 0x1F, 0xF0, 0x00, 0x00, 0x00, 0x00, ##                     000000000                                  
            0x00, 0x00, 0x0F, 0xF8, 0x00, 0x00, 0x00, 0x00, ##                      000000000                                 
            0x00, 0x00, 0x07, 0xF8, 0x00, 0x00, 0x00, 0x00, ##                       00000000                                 
            0x00, 0x00, 0x03, 0xFC, 0x00, 0x00, 0x00, 0x00, ##                        00000000                                
            0x00, 0x00, 0x01, 0xFE, 0x00, 0x00, 0x00, 0x00, ##                         00000000                               
            0x00, 0x00, 0x00, 0xFE, 0x00, 0x00, 0x00, 0x00, ##                          0000000                               
            0x00, 0x00, 0x00, 0x7F, 0x00, 0x00, 0x00, 0x00, ##                           0000000                              
            0x00, 0x00, 0x00, 0x3F, 0x80, 0x00, 0x00, 0x00, ##                            0000000                             
            0x00, 0x00, 0x00, 0x1F, 0x80, 0x00, 0x00, 0x00, ##                             000000                             
            0x00, 0x00, 0x00, 0x0F, 0xC0, 0x00, 0x00, 0x00, ##                              000000                            
            0x00, 0x00, 0x00, 0x07, 0xE0, 0x00, 0x00, 0x00, ##                               000000                           
            0x00, 0x00, 0x00, 0x03, 0xE0, 0x00, 0x00, 0x00, ##                                00000                           
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                                
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                                
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                                
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                                
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                                
            0x00, 0x00, 0x00, 0x7F, 0xF8, 0x00, 0x00, 0x00, ##                           000000000000                         
            0x00, 0x00, 0x07, 0xFF, 0xFF, 0x80, 0x00, 0x00, ##                       00000000000000000000                     
            0x00, 0x00, 0x3F, 0xFF, 0xFF, 0xF0, 0x00, 0x00, ##                    00000000000000000000000000                  
            0x00, 0x00, 0xFF, 0xFF, 0xFF, 0xFC, 0x00, 0x00, ##                  000000000000000000000000000000                
            0x00, 0x03, 0xFF, 0x80, 0x0F, 0xFF, 0x00, 0x00, ##                00000000000           000000000000              
            0x00, 0x07, 0xFC, 0x00, 0x01, 0xFF, 0x80, 0x00, ##               000000000                 0000000000             
            0x00, 0x0F, 0xF0, 0x00, 0x00, 0x7F, 0xE0, 0x00, ##              00000000                     0000000000           
            0x00, 0x3F, 0xC0, 0x00, 0x00, 0x1F, 0xF0, 0x00, ##            00000000                         000000000          
            0x00, 0x7F, 0x80, 0x00, 0x00, 0x0F, 0xF8, 0x00, ##           00000000                           000000000         
            0x00, 0xFF, 0x00, 0x00, 0x00, 0x07, 0xFC, 0x00, ##          00000000                             000000000        
            0x01, 0xFE, 0x00, 0x00, 0x00, 0x03, 0xFE, 0x00, ##         00000000                               000000000       
            0x01, 0xFC, 0x00, 0x00, 0x00, 0x01, 0xFE, 0x00, ##         0000000                                 00000000       
            0x03, 0xFC, 0x00, 0x00, 0x00, 0x01, 0xFF, 0x00, ##        00000000                                 000000000      
            0x07, 0xF8, 0x00, 0x00, 0x00, 0x00, 0xFF, 0x80, ##       00000000                                   000000000     
            0x07, 0xF0, 0x00, 0x00, 0x00, 0x00, 0xFF, 0x80, ##       0000000                                    000000000     
            0x0F, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x7F, 0xC0, ##      00000000                                     000000000    
            0x0F, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x7F, 0xE0, ##      00000000                                     0000000000   
            0x1F, 0xE0, 0x00, 0x00, 0x00, 0x00, 0x3F, 0xE0, ##     00000000                                       000000000   
            0x1F, 0xE0, 0x00, 0x00, 0x00, 0x00, 0x3F, 0xE0, ##     00000000                                       000000000   
            0x3F, 0xE0, 0x00, 0x00, 0x00, 0x00, 0x3F, 0xF0, ##    000000000                                       0000000000  
            0x3F, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x1F, 0xF0, ##    00000000                                         000000000  
            0x3F, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x1F, 0xF0, ##    00000000                                         000000000  
            0x7F, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x1F, 0xF8, ##   000000000                                         0000000000 
            0x7F, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x1F, 0xF8, ##   000000000                                         0000000000 
            0x7F, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x1F, 0xF8, ##   000000000                                         0000000000 
            0x7F, 0x80, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xF8, ##   00000000                                           000000000 
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xFC, ##  000000000                                           0000000000
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xFC, ##  000000000                                           0000000000
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xFC, ##  000000000                                           0000000000
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xFC, ##  000000000                                           0000000000
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xFC, ##  000000000                                           0000000000
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xFC, ##  000000000                                           0000000000
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xFC, ##  000000000                                           0000000000
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xFC, ##  000000000                                           0000000000
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xFC, ##  000000000                                           0000000000
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xFC, ##  000000000                                           0000000000
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xFC, ##  000000000                                           0000000000
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xFC, ##  000000000                                           0000000000
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xFC, ##  000000000                                           0000000000
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xFC, ##  000000000                                           0000000000
            0x7F, 0x80, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xF8, ##   00000000                                           000000000 
            0x7F, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x1F, 0xF8, ##   000000000                                         0000000000 
            0x7F, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x1F, 0xF8, ##   000000000                                         0000000000 
            0x7F, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x1F, 0xF8, ##   000000000                                         0000000000 
            0x3F, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x1F, 0xF0, ##    00000000                                         000000000  
            0x3F, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x1F, 0xF0, ##    00000000                                         000000000  
            0x3F, 0xE0, 0x00, 0x00, 0x00, 0x00, 0x3F, 0xF0, ##    000000000                                       0000000000  
            0x1F, 0xE0, 0x00, 0x00, 0x00, 0x00, 0x3F, 0xE0, ##     00000000                                       000000000   
            0x1F, 0xE0, 0x00, 0x00, 0x00, 0x00, 0x3F, 0xE0, ##     00000000                                       000000000   
            0x0F, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x7F, 0xC0, ##      00000000                                     000000000    
            0x0F, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x7F, 0xC0, ##      00000000                                     000000000    
            0x07, 0xF0, 0x00, 0x00, 0x00, 0x00, 0xFF, 0x80, ##       0000000                                    000000000     
            0x07, 0xF8, 0x00, 0x00, 0x00, 0x00, 0xFF, 0x80, ##       00000000                                   000000000     
            0x03, 0xFC, 0x00, 0x00, 0x00, 0x01, 0xFF, 0x00, ##        00000000                                 000000000      
            0x01, 0xFC, 0x00, 0x00, 0x00, 0x01, 0xFE, 0x00, ##         0000000                                 00000000       
            0x01, 0xFE, 0x00, 0x00, 0x00, 0x03, 0xFC, 0x00, ##         00000000                               00000000        
            0x00, 0xFF, 0x00, 0x00, 0x00, 0x07, 0xFC, 0x00, ##          00000000                             000000000        
            0x00, 0x7F, 0x80, 0x00, 0x00, 0x0F, 0xF8, 0x00, ##           00000000                           000000000         
            0x00, 0x3F, 0xC0, 0x00, 0x00, 0x1F, 0xF0, 0x00, ##            00000000                         000000000          
            0x00, 0x0F, 0xF0, 0x00, 0x00, 0x7F, 0xC0, 0x00, ##              00000000                     000000000            
            0x00, 0x07, 0xFC, 0x00, 0x01, 0xFF, 0x80, 0x00, ##               000000000                 0000000000             
            0x00, 0x03, 0xFF, 0x80, 0x0F, 0xFF, 0x00, 0x00, ##                00000000000           000000000000              
            0x00, 0x00, 0xFF, 0xFF, 0xFF, 0xFC, 0x00, 0x00, ##                  000000000000000000000000000000                
            0x00, 0x00, 0x3F, 0xFF, 0xFF, 0xF0, 0x00, 0x00, ##                    00000000000000000000000000                  
            0x00, 0x00, 0x07, 0xFF, 0xFF, 0x80, 0x00, 0x00, ##                       00000000000000000000                     
            0x00, 0x00, 0x00, 0x7F, 0xF8, 0x00, 0x00, 0x00, ##                           000000000000                         
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '211' => {    # 'Ó'
        'width'    => 62, 
        'xoffset'  => 5, 
        'xadvance' => 72, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x7F, 0x80, 0x00, 0x00, ##                                   00000000                     
            0x00, 0x00, 0x00, 0x00, 0xFF, 0x00, 0x00, 0x00, ##                                  00000000                      
            0x00, 0x00, 0x00, 0x00, 0xFE, 0x00, 0x00, 0x00, ##                                  0000000                       
            0x00, 0x00, 0x00, 0x01, 0xFC, 0x00, 0x00, 0x00, ##                                 0000000                        
            0x00, 0x00, 0x00, 0x03, 0xF8, 0x00, 0x00, 0x00, ##                                0000000                         
            0x00, 0x00, 0x00, 0x07, 0xF0, 0x00, 0x00, 0x00, ##                               0000000                          
            0x00, 0x00, 0x00, 0x07, 0xE0, 0x00, 0x00, 0x00, ##                               000000                           
            0x00, 0x00, 0x00, 0x0F, 0xC0, 0x00, 0x00, 0x00, ##                              000000                            
            0x00, 0x00, 0x00, 0x1F, 0x80, 0x00, 0x00, 0x00, ##                             000000                             
            0x00, 0x00, 0x00, 0x1F, 0x00, 0x00, 0x00, 0x00, ##                             00000                              
            0x00, 0x00, 0x00, 0x3E, 0x00, 0x00, 0x00, 0x00, ##                            00000                               
            0x00, 0x00, 0x00, 0x7C, 0x00, 0x00, 0x00, 0x00, ##                           00000                                
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                                
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                                
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                                
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                                
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                                
            0x00, 0x00, 0x00, 0x7F, 0xF8, 0x00, 0x00, 0x00, ##                           000000000000                         
            0x00, 0x00, 0x07, 0xFF, 0xFF, 0x80, 0x00, 0x00, ##                       00000000000000000000                     
            0x00, 0x00, 0x3F, 0xFF, 0xFF, 0xF0, 0x00, 0x00, ##                    00000000000000000000000000                  
            0x00, 0x00, 0xFF, 0xFF, 0xFF, 0xFC, 0x00, 0x00, ##                  000000000000000000000000000000                
            0x00, 0x03, 0xFF, 0x80, 0x0F, 0xFF, 0x00, 0x00, ##                00000000000           000000000000              
            0x00, 0x07, 0xFC, 0x00, 0x01, 0xFF, 0x80, 0x00, ##               000000000                 0000000000             
            0x00, 0x0F, 0xF0, 0x00, 0x00, 0x7F, 0xE0, 0x00, ##              00000000                     0000000000           
            0x00, 0x3F, 0xC0, 0x00, 0x00, 0x1F, 0xF0, 0x00, ##            00000000                         000000000          
            0x00, 0x7F, 0x80, 0x00, 0x00, 0x0F, 0xF8, 0x00, ##           00000000                           000000000         
            0x00, 0xFF, 0x00, 0x00, 0x00, 0x07, 0xFC, 0x00, ##          00000000                             000000000        
            0x01, 0xFE, 0x00, 0x00, 0x00, 0x03, 0xFE, 0x00, ##         00000000                               000000000       
            0x01, 0xFC, 0x00, 0x00, 0x00, 0x01, 0xFE, 0x00, ##         0000000                                 00000000       
            0x03, 0xFC, 0x00, 0x00, 0x00, 0x01, 0xFF, 0x00, ##        00000000                                 000000000      
            0x07, 0xF8, 0x00, 0x00, 0x00, 0x00, 0xFF, 0x80, ##       00000000                                   000000000     
            0x07, 0xF0, 0x00, 0x00, 0x00, 0x00, 0xFF, 0x80, ##       0000000                                    000000000     
            0x0F, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x7F, 0xC0, ##      00000000                                     000000000    
            0x0F, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x7F, 0xE0, ##      00000000                                     0000000000   
            0x1F, 0xE0, 0x00, 0x00, 0x00, 0x00, 0x3F, 0xE0, ##     00000000                                       000000000   
            0x1F, 0xE0, 0x00, 0x00, 0x00, 0x00, 0x3F, 0xE0, ##     00000000                                       000000000   
            0x3F, 0xE0, 0x00, 0x00, 0x00, 0x00, 0x3F, 0xF0, ##    000000000                                       0000000000  
            0x3F, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x1F, 0xF0, ##    00000000                                         000000000  
            0x3F, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x1F, 0xF0, ##    00000000                                         000000000  
            0x7F, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x1F, 0xF8, ##   000000000                                         0000000000 
            0x7F, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x1F, 0xF8, ##   000000000                                         0000000000 
            0x7F, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x1F, 0xF8, ##   000000000                                         0000000000 
            0x7F, 0x80, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xF8, ##   00000000                                           000000000 
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xFC, ##  000000000                                           0000000000
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xFC, ##  000000000                                           0000000000
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xFC, ##  000000000                                           0000000000
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xFC, ##  000000000                                           0000000000
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xFC, ##  000000000                                           0000000000
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xFC, ##  000000000                                           0000000000
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xFC, ##  000000000                                           0000000000
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xFC, ##  000000000                                           0000000000
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xFC, ##  000000000                                           0000000000
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xFC, ##  000000000                                           0000000000
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xFC, ##  000000000                                           0000000000
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xFC, ##  000000000                                           0000000000
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xFC, ##  000000000                                           0000000000
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xFC, ##  000000000                                           0000000000
            0x7F, 0x80, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xF8, ##   00000000                                           000000000 
            0x7F, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x1F, 0xF8, ##   000000000                                         0000000000 
            0x7F, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x1F, 0xF8, ##   000000000                                         0000000000 
            0x7F, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x1F, 0xF8, ##   000000000                                         0000000000 
            0x3F, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x1F, 0xF0, ##    00000000                                         000000000  
            0x3F, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x1F, 0xF0, ##    00000000                                         000000000  
            0x3F, 0xE0, 0x00, 0x00, 0x00, 0x00, 0x3F, 0xF0, ##    000000000                                       0000000000  
            0x1F, 0xE0, 0x00, 0x00, 0x00, 0x00, 0x3F, 0xE0, ##     00000000                                       000000000   
            0x1F, 0xE0, 0x00, 0x00, 0x00, 0x00, 0x3F, 0xE0, ##     00000000                                       000000000   
            0x0F, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x7F, 0xC0, ##      00000000                                     000000000    
            0x0F, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x7F, 0xC0, ##      00000000                                     000000000    
            0x07, 0xF0, 0x00, 0x00, 0x00, 0x00, 0xFF, 0x80, ##       0000000                                    000000000     
            0x07, 0xF8, 0x00, 0x00, 0x00, 0x00, 0xFF, 0x80, ##       00000000                                   000000000     
            0x03, 0xFC, 0x00, 0x00, 0x00, 0x01, 0xFF, 0x00, ##        00000000                                 000000000      
            0x01, 0xFC, 0x00, 0x00, 0x00, 0x01, 0xFE, 0x00, ##         0000000                                 00000000       
            0x01, 0xFE, 0x00, 0x00, 0x00, 0x03, 0xFC, 0x00, ##         00000000                               00000000        
            0x00, 0xFF, 0x00, 0x00, 0x00, 0x07, 0xFC, 0x00, ##          00000000                             000000000        
            0x00, 0x7F, 0x80, 0x00, 0x00, 0x0F, 0xF8, 0x00, ##           00000000                           000000000         
            0x00, 0x3F, 0xC0, 0x00, 0x00, 0x1F, 0xF0, 0x00, ##            00000000                         000000000          
            0x00, 0x0F, 0xF0, 0x00, 0x00, 0x7F, 0xC0, 0x00, ##              00000000                     000000000            
            0x00, 0x07, 0xFC, 0x00, 0x01, 0xFF, 0x80, 0x00, ##               000000000                 0000000000             
            0x00, 0x03, 0xFF, 0x80, 0x0F, 0xFF, 0x00, 0x00, ##                00000000000           000000000000              
            0x00, 0x00, 0xFF, 0xFF, 0xFF, 0xFC, 0x00, 0x00, ##                  000000000000000000000000000000                
            0x00, 0x00, 0x3F, 0xFF, 0xFF, 0xF0, 0x00, 0x00, ##                    00000000000000000000000000                  
            0x00, 0x00, 0x07, 0xFF, 0xFF, 0x80, 0x00, 0x00, ##                       00000000000000000000                     
            0x00, 0x00, 0x00, 0x7F, 0xF8, 0x00, 0x00, 0x00, ##                           000000000000                         
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '212' => {    # 'Ô'
        'width'    => 62, 
        'xoffset'  => 5, 
        'xadvance' => 72, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x3F, 0xE0, 0x00, 0x00, 0x00, ##                            000000000                           
            0x00, 0x00, 0x00, 0x7F, 0xF0, 0x00, 0x00, 0x00, ##                           00000000000                          
            0x00, 0x00, 0x00, 0x7F, 0xF8, 0x00, 0x00, 0x00, ##                           000000000000                         
            0x00, 0x00, 0x00, 0xFF, 0xF8, 0x00, 0x00, 0x00, ##                          0000000000000                         
            0x00, 0x00, 0x01, 0xFF, 0xFC, 0x00, 0x00, 0x00, ##                         000000000000000                        
            0x00, 0x00, 0x03, 0xF8, 0xFE, 0x00, 0x00, 0x00, ##                        0000000   0000000                       
            0x00, 0x00, 0x07, 0xF0, 0x7F, 0x00, 0x00, 0x00, ##                       0000000     0000000                      
            0x00, 0x00, 0x0F, 0xE0, 0x3F, 0x80, 0x00, 0x00, ##                      0000000       0000000                     
            0x00, 0x00, 0x1F, 0xC0, 0x0F, 0xC0, 0x00, 0x00, ##                     0000000          000000                    
            0x00, 0x00, 0x3F, 0x00, 0x07, 0xE0, 0x00, 0x00, ##                    000000             000000                   
            0x00, 0x00, 0x3E, 0x00, 0x03, 0xE0, 0x00, 0x00, ##                    00000               00000                   
            0x00, 0x00, 0x7C, 0x00, 0x01, 0xF0, 0x00, 0x00, ##                   00000                 00000                  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                                
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                                
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                                
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                                
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                                
            0x00, 0x00, 0x00, 0x7F, 0xF8, 0x00, 0x00, 0x00, ##                           000000000000                         
            0x00, 0x00, 0x07, 0xFF, 0xFF, 0x80, 0x00, 0x00, ##                       00000000000000000000                     
            0x00, 0x00, 0x3F, 0xFF, 0xFF, 0xF0, 0x00, 0x00, ##                    00000000000000000000000000                  
            0x00, 0x00, 0xFF, 0xFF, 0xFF, 0xFC, 0x00, 0x00, ##                  000000000000000000000000000000                
            0x00, 0x03, 0xFF, 0x80, 0x0F, 0xFF, 0x00, 0x00, ##                00000000000           000000000000              
            0x00, 0x07, 0xFC, 0x00, 0x01, 0xFF, 0x80, 0x00, ##               000000000                 0000000000             
            0x00, 0x0F, 0xF0, 0x00, 0x00, 0x7F, 0xE0, 0x00, ##              00000000                     0000000000           
            0x00, 0x3F, 0xC0, 0x00, 0x00, 0x1F, 0xF0, 0x00, ##            00000000                         000000000          
            0x00, 0x7F, 0x80, 0x00, 0x00, 0x0F, 0xF8, 0x00, ##           00000000                           000000000         
            0x00, 0xFF, 0x00, 0x00, 0x00, 0x07, 0xFC, 0x00, ##          00000000                             000000000        
            0x01, 0xFE, 0x00, 0x00, 0x00, 0x03, 0xFE, 0x00, ##         00000000                               000000000       
            0x01, 0xFC, 0x00, 0x00, 0x00, 0x01, 0xFE, 0x00, ##         0000000                                 00000000       
            0x03, 0xFC, 0x00, 0x00, 0x00, 0x01, 0xFF, 0x00, ##        00000000                                 000000000      
            0x07, 0xF8, 0x00, 0x00, 0x00, 0x00, 0xFF, 0x80, ##       00000000                                   000000000     
            0x07, 0xF0, 0x00, 0x00, 0x00, 0x00, 0xFF, 0x80, ##       0000000                                    000000000     
            0x0F, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x7F, 0xC0, ##      00000000                                     000000000    
            0x0F, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x7F, 0xE0, ##      00000000                                     0000000000   
            0x1F, 0xE0, 0x00, 0x00, 0x00, 0x00, 0x3F, 0xE0, ##     00000000                                       000000000   
            0x1F, 0xE0, 0x00, 0x00, 0x00, 0x00, 0x3F, 0xE0, ##     00000000                                       000000000   
            0x3F, 0xE0, 0x00, 0x00, 0x00, 0x00, 0x3F, 0xF0, ##    000000000                                       0000000000  
            0x3F, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x1F, 0xF0, ##    00000000                                         000000000  
            0x3F, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x1F, 0xF0, ##    00000000                                         000000000  
            0x7F, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x1F, 0xF8, ##   000000000                                         0000000000 
            0x7F, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x1F, 0xF8, ##   000000000                                         0000000000 
            0x7F, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x1F, 0xF8, ##   000000000                                         0000000000 
            0x7F, 0x80, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xF8, ##   00000000                                           000000000 
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xFC, ##  000000000                                           0000000000
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xFC, ##  000000000                                           0000000000
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xFC, ##  000000000                                           0000000000
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xFC, ##  000000000                                           0000000000
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xFC, ##  000000000                                           0000000000
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xFC, ##  000000000                                           0000000000
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xFC, ##  000000000                                           0000000000
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xFC, ##  000000000                                           0000000000
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xFC, ##  000000000                                           0000000000
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xFC, ##  000000000                                           0000000000
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xFC, ##  000000000                                           0000000000
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xFC, ##  000000000                                           0000000000
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xFC, ##  000000000                                           0000000000
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xFC, ##  000000000                                           0000000000
            0x7F, 0x80, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xF8, ##   00000000                                           000000000 
            0x7F, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x1F, 0xF8, ##   000000000                                         0000000000 
            0x7F, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x1F, 0xF8, ##   000000000                                         0000000000 
            0x7F, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x1F, 0xF8, ##   000000000                                         0000000000 
            0x3F, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x1F, 0xF0, ##    00000000                                         000000000  
            0x3F, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x1F, 0xF0, ##    00000000                                         000000000  
            0x3F, 0xE0, 0x00, 0x00, 0x00, 0x00, 0x3F, 0xF0, ##    000000000                                       0000000000  
            0x1F, 0xE0, 0x00, 0x00, 0x00, 0x00, 0x3F, 0xE0, ##     00000000                                       000000000   
            0x1F, 0xE0, 0x00, 0x00, 0x00, 0x00, 0x3F, 0xE0, ##     00000000                                       000000000   
            0x0F, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x7F, 0xC0, ##      00000000                                     000000000    
            0x0F, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x7F, 0xC0, ##      00000000                                     000000000    
            0x07, 0xF0, 0x00, 0x00, 0x00, 0x00, 0xFF, 0x80, ##       0000000                                    000000000     
            0x07, 0xF8, 0x00, 0x00, 0x00, 0x00, 0xFF, 0x80, ##       00000000                                   000000000     
            0x03, 0xFC, 0x00, 0x00, 0x00, 0x01, 0xFF, 0x00, ##        00000000                                 000000000      
            0x01, 0xFC, 0x00, 0x00, 0x00, 0x01, 0xFE, 0x00, ##         0000000                                 00000000       
            0x01, 0xFE, 0x00, 0x00, 0x00, 0x03, 0xFC, 0x00, ##         00000000                               00000000        
            0x00, 0xFF, 0x00, 0x00, 0x00, 0x07, 0xFC, 0x00, ##          00000000                             000000000        
            0x00, 0x7F, 0x80, 0x00, 0x00, 0x0F, 0xF8, 0x00, ##           00000000                           000000000         
            0x00, 0x3F, 0xC0, 0x00, 0x00, 0x1F, 0xF0, 0x00, ##            00000000                         000000000          
            0x00, 0x0F, 0xF0, 0x00, 0x00, 0x7F, 0xC0, 0x00, ##              00000000                     000000000            
            0x00, 0x07, 0xFC, 0x00, 0x01, 0xFF, 0x80, 0x00, ##               000000000                 0000000000             
            0x00, 0x03, 0xFF, 0x80, 0x0F, 0xFF, 0x00, 0x00, ##                00000000000           000000000000              
            0x00, 0x00, 0xFF, 0xFF, 0xFF, 0xFC, 0x00, 0x00, ##                  000000000000000000000000000000                
            0x00, 0x00, 0x3F, 0xFF, 0xFF, 0xF0, 0x00, 0x00, ##                    00000000000000000000000000                  
            0x00, 0x00, 0x07, 0xFF, 0xFF, 0x80, 0x00, 0x00, ##                       00000000000000000000                     
            0x00, 0x00, 0x00, 0x7F, 0xF8, 0x00, 0x00, 0x00, ##                           000000000000                         
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '213' => {    # 'Õ'
        'width'    => 62, 
        'xoffset'  => 5, 
        'xadvance' => 72, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x03, 0xF0, 0x00, 0x78, 0x00, 0x00, ##                        000000             0000                 
            0x00, 0x00, 0x0F, 0xFC, 0x00, 0x78, 0x00, 0x00, ##                      0000000000           0000                 
            0x00, 0x00, 0x3F, 0xFF, 0x00, 0xF8, 0x00, 0x00, ##                    00000000000000        00000                 
            0x00, 0x00, 0x3F, 0xFF, 0xE1, 0xF8, 0x00, 0x00, ##                    00000000000000000    000000                 
            0x00, 0x00, 0x7F, 0xFF, 0xFF, 0xF0, 0x00, 0x00, ##                   000000000000000000000000000                  
            0x00, 0x00, 0x7E, 0x1F, 0xFF, 0xF0, 0x00, 0x00, ##                   000000    00000000000000000                  
            0x00, 0x00, 0x78, 0x07, 0xFF, 0xE0, 0x00, 0x00, ##                   0000        00000000000000                   
            0x00, 0x00, 0xF8, 0x01, 0xFF, 0xC0, 0x00, 0x00, ##                  00000          00000000000                    
            0x00, 0x00, 0xF8, 0x00, 0x7F, 0x00, 0x00, 0x00, ##                  00000            0000000                      
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                                
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                                
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                                
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                                
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                                
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                                
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                                
            0x00, 0x00, 0x00, 0x7F, 0xF8, 0x00, 0x00, 0x00, ##                           000000000000                         
            0x00, 0x00, 0x07, 0xFF, 0xFF, 0x80, 0x00, 0x00, ##                       00000000000000000000                     
            0x00, 0x00, 0x3F, 0xFF, 0xFF, 0xF0, 0x00, 0x00, ##                    00000000000000000000000000                  
            0x00, 0x00, 0xFF, 0xFF, 0xFF, 0xFC, 0x00, 0x00, ##                  000000000000000000000000000000                
            0x00, 0x03, 0xFF, 0x80, 0x0F, 0xFF, 0x00, 0x00, ##                00000000000           000000000000              
            0x00, 0x07, 0xFC, 0x00, 0x01, 0xFF, 0x80, 0x00, ##               000000000                 0000000000             
            0x00, 0x0F, 0xF0, 0x00, 0x00, 0x7F, 0xE0, 0x00, ##              00000000                     0000000000           
            0x00, 0x3F, 0xC0, 0x00, 0x00, 0x1F, 0xF0, 0x00, ##            00000000                         000000000          
            0x00, 0x7F, 0x80, 0x00, 0x00, 0x0F, 0xF8, 0x00, ##           00000000                           000000000         
            0x00, 0xFF, 0x00, 0x00, 0x00, 0x07, 0xFC, 0x00, ##          00000000                             000000000        
            0x01, 0xFE, 0x00, 0x00, 0x00, 0x03, 0xFE, 0x00, ##         00000000                               000000000       
            0x01, 0xFC, 0x00, 0x00, 0x00, 0x01, 0xFE, 0x00, ##         0000000                                 00000000       
            0x03, 0xFC, 0x00, 0x00, 0x00, 0x01, 0xFF, 0x00, ##        00000000                                 000000000      
            0x07, 0xF8, 0x00, 0x00, 0x00, 0x00, 0xFF, 0x80, ##       00000000                                   000000000     
            0x07, 0xF0, 0x00, 0x00, 0x00, 0x00, 0xFF, 0x80, ##       0000000                                    000000000     
            0x0F, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x7F, 0xC0, ##      00000000                                     000000000    
            0x0F, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x7F, 0xE0, ##      00000000                                     0000000000   
            0x1F, 0xE0, 0x00, 0x00, 0x00, 0x00, 0x3F, 0xE0, ##     00000000                                       000000000   
            0x1F, 0xE0, 0x00, 0x00, 0x00, 0x00, 0x3F, 0xE0, ##     00000000                                       000000000   
            0x3F, 0xE0, 0x00, 0x00, 0x00, 0x00, 0x3F, 0xF0, ##    000000000                                       0000000000  
            0x3F, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x1F, 0xF0, ##    00000000                                         000000000  
            0x3F, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x1F, 0xF0, ##    00000000                                         000000000  
            0x7F, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x1F, 0xF8, ##   000000000                                         0000000000 
            0x7F, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x1F, 0xF8, ##   000000000                                         0000000000 
            0x7F, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x1F, 0xF8, ##   000000000                                         0000000000 
            0x7F, 0x80, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xF8, ##   00000000                                           000000000 
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xFC, ##  000000000                                           0000000000
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xFC, ##  000000000                                           0000000000
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xFC, ##  000000000                                           0000000000
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xFC, ##  000000000                                           0000000000
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xFC, ##  000000000                                           0000000000
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xFC, ##  000000000                                           0000000000
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xFC, ##  000000000                                           0000000000
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xFC, ##  000000000                                           0000000000
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xFC, ##  000000000                                           0000000000
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xFC, ##  000000000                                           0000000000
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xFC, ##  000000000                                           0000000000
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xFC, ##  000000000                                           0000000000
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xFC, ##  000000000                                           0000000000
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xFC, ##  000000000                                           0000000000
            0x7F, 0x80, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xF8, ##   00000000                                           000000000 
            0x7F, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x1F, 0xF8, ##   000000000                                         0000000000 
            0x7F, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x1F, 0xF8, ##   000000000                                         0000000000 
            0x7F, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x1F, 0xF8, ##   000000000                                         0000000000 
            0x3F, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x1F, 0xF0, ##    00000000                                         000000000  
            0x3F, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x1F, 0xF0, ##    00000000                                         000000000  
            0x3F, 0xE0, 0x00, 0x00, 0x00, 0x00, 0x3F, 0xF0, ##    000000000                                       0000000000  
            0x1F, 0xE0, 0x00, 0x00, 0x00, 0x00, 0x3F, 0xE0, ##     00000000                                       000000000   
            0x1F, 0xE0, 0x00, 0x00, 0x00, 0x00, 0x3F, 0xE0, ##     00000000                                       000000000   
            0x0F, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x7F, 0xC0, ##      00000000                                     000000000    
            0x0F, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x7F, 0xC0, ##      00000000                                     000000000    
            0x07, 0xF0, 0x00, 0x00, 0x00, 0x00, 0xFF, 0x80, ##       0000000                                    000000000     
            0x07, 0xF8, 0x00, 0x00, 0x00, 0x00, 0xFF, 0x80, ##       00000000                                   000000000     
            0x03, 0xFC, 0x00, 0x00, 0x00, 0x01, 0xFF, 0x00, ##        00000000                                 000000000      
            0x01, 0xFC, 0x00, 0x00, 0x00, 0x01, 0xFE, 0x00, ##         0000000                                 00000000       
            0x01, 0xFE, 0x00, 0x00, 0x00, 0x03, 0xFC, 0x00, ##         00000000                               00000000        
            0x00, 0xFF, 0x00, 0x00, 0x00, 0x07, 0xFC, 0x00, ##          00000000                             000000000        
            0x00, 0x7F, 0x80, 0x00, 0x00, 0x0F, 0xF8, 0x00, ##           00000000                           000000000         
            0x00, 0x3F, 0xC0, 0x00, 0x00, 0x1F, 0xF0, 0x00, ##            00000000                         000000000          
            0x00, 0x0F, 0xF0, 0x00, 0x00, 0x7F, 0xC0, 0x00, ##              00000000                     000000000            
            0x00, 0x07, 0xFC, 0x00, 0x01, 0xFF, 0x80, 0x00, ##               000000000                 0000000000             
            0x00, 0x03, 0xFF, 0x80, 0x0F, 0xFF, 0x00, 0x00, ##                00000000000           000000000000              
            0x00, 0x00, 0xFF, 0xFF, 0xFF, 0xFC, 0x00, 0x00, ##                  000000000000000000000000000000                
            0x00, 0x00, 0x3F, 0xFF, 0xFF, 0xF0, 0x00, 0x00, ##                    00000000000000000000000000                  
            0x00, 0x00, 0x07, 0xFF, 0xFF, 0x80, 0x00, 0x00, ##                       00000000000000000000                     
            0x00, 0x00, 0x00, 0x7F, 0xF8, 0x00, 0x00, 0x00, ##                           000000000000                         
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '214' => {    # 'Ö'
        'width'    => 62, 
        'xoffset'  => 5, 
        'xadvance' => 72, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x07, 0x80, 0x07, 0x80, 0x00, 0x00, ##                       0000            0000                     
            0x00, 0x00, 0x1F, 0xE0, 0x1F, 0xE0, 0x00, 0x00, ##                     00000000        00000000                   
            0x00, 0x00, 0x1F, 0xE0, 0x1F, 0xE0, 0x00, 0x00, ##                     00000000        00000000                   
            0x00, 0x00, 0x3F, 0xF0, 0x3F, 0xF0, 0x00, 0x00, ##                    0000000000      0000000000                  
            0x00, 0x00, 0x3F, 0xF0, 0x3F, 0xF0, 0x00, 0x00, ##                    0000000000      0000000000                  
            0x00, 0x00, 0x3F, 0xF0, 0x3F, 0xF0, 0x00, 0x00, ##                    0000000000      0000000000                  
            0x00, 0x00, 0x3F, 0xF0, 0x3F, 0xF0, 0x00, 0x00, ##                    0000000000      0000000000                  
            0x00, 0x00, 0x1F, 0xE0, 0x1F, 0xE0, 0x00, 0x00, ##                     00000000        00000000                   
            0x00, 0x00, 0x1F, 0xE0, 0x1F, 0xE0, 0x00, 0x00, ##                     00000000        00000000                   
            0x00, 0x00, 0x07, 0x80, 0x07, 0x80, 0x00, 0x00, ##                       0000            0000                     
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                                
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                                
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                                
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                                
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                                
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                                
            0x00, 0x00, 0x00, 0x7F, 0xF8, 0x00, 0x00, 0x00, ##                           000000000000                         
            0x00, 0x00, 0x07, 0xFF, 0xFF, 0x80, 0x00, 0x00, ##                       00000000000000000000                     
            0x00, 0x00, 0x3F, 0xFF, 0xFF, 0xF0, 0x00, 0x00, ##                    00000000000000000000000000                  
            0x00, 0x00, 0xFF, 0xFF, 0xFF, 0xFC, 0x00, 0x00, ##                  000000000000000000000000000000                
            0x00, 0x03, 0xFF, 0x80, 0x0F, 0xFF, 0x00, 0x00, ##                00000000000           000000000000              
            0x00, 0x07, 0xFC, 0x00, 0x01, 0xFF, 0x80, 0x00, ##               000000000                 0000000000             
            0x00, 0x0F, 0xF0, 0x00, 0x00, 0x7F, 0xE0, 0x00, ##              00000000                     0000000000           
            0x00, 0x3F, 0xC0, 0x00, 0x00, 0x1F, 0xF0, 0x00, ##            00000000                         000000000          
            0x00, 0x7F, 0x80, 0x00, 0x00, 0x0F, 0xF8, 0x00, ##           00000000                           000000000         
            0x00, 0xFF, 0x00, 0x00, 0x00, 0x07, 0xFC, 0x00, ##          00000000                             000000000        
            0x01, 0xFE, 0x00, 0x00, 0x00, 0x03, 0xFE, 0x00, ##         00000000                               000000000       
            0x01, 0xFC, 0x00, 0x00, 0x00, 0x01, 0xFE, 0x00, ##         0000000                                 00000000       
            0x03, 0xFC, 0x00, 0x00, 0x00, 0x01, 0xFF, 0x00, ##        00000000                                 000000000      
            0x07, 0xF8, 0x00, 0x00, 0x00, 0x00, 0xFF, 0x80, ##       00000000                                   000000000     
            0x07, 0xF0, 0x00, 0x00, 0x00, 0x00, 0xFF, 0x80, ##       0000000                                    000000000     
            0x0F, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x7F, 0xC0, ##      00000000                                     000000000    
            0x0F, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x7F, 0xE0, ##      00000000                                     0000000000   
            0x1F, 0xE0, 0x00, 0x00, 0x00, 0x00, 0x3F, 0xE0, ##     00000000                                       000000000   
            0x1F, 0xE0, 0x00, 0x00, 0x00, 0x00, 0x3F, 0xE0, ##     00000000                                       000000000   
            0x3F, 0xE0, 0x00, 0x00, 0x00, 0x00, 0x3F, 0xF0, ##    000000000                                       0000000000  
            0x3F, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x1F, 0xF0, ##    00000000                                         000000000  
            0x3F, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x1F, 0xF0, ##    00000000                                         000000000  
            0x7F, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x1F, 0xF8, ##   000000000                                         0000000000 
            0x7F, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x1F, 0xF8, ##   000000000                                         0000000000 
            0x7F, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x1F, 0xF8, ##   000000000                                         0000000000 
            0x7F, 0x80, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xF8, ##   00000000                                           000000000 
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xFC, ##  000000000                                           0000000000
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xFC, ##  000000000                                           0000000000
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xFC, ##  000000000                                           0000000000
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xFC, ##  000000000                                           0000000000
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xFC, ##  000000000                                           0000000000
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xFC, ##  000000000                                           0000000000
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xFC, ##  000000000                                           0000000000
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xFC, ##  000000000                                           0000000000
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xFC, ##  000000000                                           0000000000
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xFC, ##  000000000                                           0000000000
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xFC, ##  000000000                                           0000000000
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xFC, ##  000000000                                           0000000000
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xFC, ##  000000000                                           0000000000
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xFC, ##  000000000                                           0000000000
            0x7F, 0x80, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xF8, ##   00000000                                           000000000 
            0x7F, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x1F, 0xF8, ##   000000000                                         0000000000 
            0x7F, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x1F, 0xF8, ##   000000000                                         0000000000 
            0x7F, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x1F, 0xF8, ##   000000000                                         0000000000 
            0x3F, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x1F, 0xF0, ##    00000000                                         000000000  
            0x3F, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x1F, 0xF0, ##    00000000                                         000000000  
            0x3F, 0xE0, 0x00, 0x00, 0x00, 0x00, 0x3F, 0xF0, ##    000000000                                       0000000000  
            0x1F, 0xE0, 0x00, 0x00, 0x00, 0x00, 0x3F, 0xE0, ##     00000000                                       000000000   
            0x1F, 0xE0, 0x00, 0x00, 0x00, 0x00, 0x3F, 0xE0, ##     00000000                                       000000000   
            0x0F, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x7F, 0xC0, ##      00000000                                     000000000    
            0x0F, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x7F, 0xC0, ##      00000000                                     000000000    
            0x07, 0xF0, 0x00, 0x00, 0x00, 0x00, 0xFF, 0x80, ##       0000000                                    000000000     
            0x07, 0xF8, 0x00, 0x00, 0x00, 0x00, 0xFF, 0x80, ##       00000000                                   000000000     
            0x03, 0xFC, 0x00, 0x00, 0x00, 0x01, 0xFF, 0x00, ##        00000000                                 000000000      
            0x01, 0xFC, 0x00, 0x00, 0x00, 0x01, 0xFE, 0x00, ##         0000000                                 00000000       
            0x01, 0xFE, 0x00, 0x00, 0x00, 0x03, 0xFC, 0x00, ##         00000000                               00000000        
            0x00, 0xFF, 0x00, 0x00, 0x00, 0x07, 0xFC, 0x00, ##          00000000                             000000000        
            0x00, 0x7F, 0x80, 0x00, 0x00, 0x0F, 0xF8, 0x00, ##           00000000                           000000000         
            0x00, 0x3F, 0xC0, 0x00, 0x00, 0x1F, 0xF0, 0x00, ##            00000000                         000000000          
            0x00, 0x0F, 0xF0, 0x00, 0x00, 0x7F, 0xC0, 0x00, ##              00000000                     000000000            
            0x00, 0x07, 0xFC, 0x00, 0x01, 0xFF, 0x80, 0x00, ##               000000000                 0000000000             
            0x00, 0x03, 0xFF, 0x80, 0x0F, 0xFF, 0x00, 0x00, ##                00000000000           000000000000              
            0x00, 0x00, 0xFF, 0xFF, 0xFF, 0xFC, 0x00, 0x00, ##                  000000000000000000000000000000                
            0x00, 0x00, 0x3F, 0xFF, 0xFF, 0xF0, 0x00, 0x00, ##                    00000000000000000000000000                  
            0x00, 0x00, 0x07, 0xFF, 0xFF, 0x80, 0x00, 0x00, ##                       00000000000000000000                     
            0x00, 0x00, 0x00, 0x7F, 0xF8, 0x00, 0x00, 0x00, ##                           000000000000                         
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '215' => {    # '×'
        'width'    => 49, 
        'xoffset'  => 12, 
        'xadvance' => 73, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x0C, 0x00, 0x00, 0x00, 0x00, 0x18, 0x00, ##      00                                     00    
            0x1E, 0x00, 0x00, 0x00, 0x00, 0x3C, 0x00, ##     0000                                   0000   
            0x3F, 0x00, 0x00, 0x00, 0x00, 0x7E, 0x00, ##    000000                                 000000  
            0x7F, 0x80, 0x00, 0x00, 0x00, 0xFF, 0x00, ##   00000000                               00000000 
            0xFF, 0xC0, 0x00, 0x00, 0x01, 0xFF, 0x80, ##  0000000000                             0000000000
            0x7F, 0xE0, 0x00, 0x00, 0x03, 0xFF, 0x00, ##   0000000000                           0000000000 
            0x3F, 0xF0, 0x00, 0x00, 0x07, 0xFE, 0x00, ##    0000000000                         0000000000  
            0x1F, 0xF8, 0x00, 0x00, 0x0F, 0xFC, 0x00, ##     0000000000                       0000000000   
            0x0F, 0xFC, 0x00, 0x00, 0x1F, 0xF8, 0x00, ##      0000000000                     0000000000    
            0x07, 0xFE, 0x00, 0x00, 0x3F, 0xF0, 0x00, ##       0000000000                   0000000000     
            0x03, 0xFF, 0x00, 0x00, 0x7F, 0xE0, 0x00, ##        0000000000                 0000000000      
            0x01, 0xFF, 0x80, 0x00, 0xFF, 0xC0, 0x00, ##         0000000000               0000000000       
            0x00, 0xFF, 0xC0, 0x01, 0xFF, 0x80, 0x00, ##          0000000000             0000000000        
            0x00, 0x7F, 0xE0, 0x03, 0xFF, 0x00, 0x00, ##           0000000000           0000000000         
            0x00, 0x3F, 0xF0, 0x07, 0xFE, 0x00, 0x00, ##            0000000000         0000000000          
            0x00, 0x1F, 0xF8, 0x0F, 0xFC, 0x00, 0x00, ##             0000000000       0000000000           
            0x00, 0x0F, 0xFC, 0x1F, 0xF8, 0x00, 0x00, ##              0000000000     0000000000            
            0x00, 0x07, 0xFE, 0x3F, 0xF0, 0x00, 0x00, ##               0000000000   0000000000             
            0x00, 0x03, 0xFE, 0x7F, 0xE0, 0x00, 0x00, ##                000000000  0000000000              
            0x00, 0x01, 0xFF, 0xFF, 0xC0, 0x00, 0x00, ##                 0000000000000000000               
            0x00, 0x00, 0xFF, 0xFF, 0x80, 0x00, 0x00, ##                  00000000000000000                
            0x00, 0x00, 0x7F, 0xFF, 0x00, 0x00, 0x00, ##                   000000000000000                 
            0x00, 0x00, 0x3F, 0xFE, 0x00, 0x00, 0x00, ##                    0000000000000                  
            0x00, 0x00, 0x1F, 0xFC, 0x00, 0x00, 0x00, ##                     00000000000                   
            0x00, 0x00, 0x1F, 0xF8, 0x00, 0x00, 0x00, ##                     0000000000                    
            0x00, 0x00, 0x3F, 0xFC, 0x00, 0x00, 0x00, ##                    000000000000                   
            0x00, 0x00, 0x7F, 0xFE, 0x00, 0x00, 0x00, ##                   00000000000000                  
            0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, ##                  0000000000000000                 
            0x00, 0x00, 0xFF, 0xFF, 0x80, 0x00, 0x00, ##                  00000000000000000                
            0x00, 0x01, 0xFF, 0x7F, 0xC0, 0x00, 0x00, ##                 000000000 000000000               
            0x00, 0x03, 0xFE, 0x3F, 0xE0, 0x00, 0x00, ##                000000000   000000000              
            0x00, 0x07, 0xFC, 0x1F, 0xF0, 0x00, 0x00, ##               000000000     000000000             
            0x00, 0x0F, 0xF8, 0x0F, 0xF8, 0x00, 0x00, ##              000000000       000000000            
            0x00, 0x1F, 0xF0, 0x07, 0xFC, 0x00, 0x00, ##             000000000         000000000           
            0x00, 0x3F, 0xE0, 0x03, 0xFE, 0x00, 0x00, ##            000000000           000000000          
            0x00, 0x7F, 0xC0, 0x01, 0xFF, 0x00, 0x00, ##           000000000             000000000         
            0x00, 0xFF, 0x80, 0x00, 0xFF, 0x80, 0x00, ##          000000000               000000000        
            0x01, 0xFF, 0x00, 0x00, 0x7F, 0xC0, 0x00, ##         000000000                 000000000       
            0x03, 0xFE, 0x00, 0x00, 0x3F, 0xE0, 0x00, ##        000000000                   000000000      
            0x07, 0xFC, 0x00, 0x00, 0x1F, 0xF0, 0x00, ##       000000000                     000000000     
            0x0F, 0xF8, 0x00, 0x00, 0x0F, 0xF8, 0x00, ##      000000000                       000000000    
            0x1F, 0xF0, 0x00, 0x00, 0x07, 0xFC, 0x00, ##     000000000                         000000000   
            0x3F, 0xE0, 0x00, 0x00, 0x03, 0xFE, 0x00, ##    000000000                           000000000  
            0x7F, 0xC0, 0x00, 0x00, 0x01, 0xFF, 0x00, ##   000000000                             000000000 
            0xFF, 0x80, 0x00, 0x00, 0x01, 0xFF, 0x80, ##  000000000                              0000000000
            0x7F, 0x00, 0x00, 0x00, 0x00, 0xFF, 0x00, ##   0000000                                00000000 
            0x3E, 0x00, 0x00, 0x00, 0x00, 0x7E, 0x00, ##    00000                                  000000  
            0x1C, 0x00, 0x00, 0x00, 0x00, 0x3C, 0x00, ##     000                                    0000   
            0x08, 0x00, 0x00, 0x00, 0x00, 0x18, 0x00, ##      0                                      00    
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '216' => {    # 'Ø'
        'width'    => 63, 
        'xoffset'  => 4, 
        'xadvance' => 72, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x18, ##                                                             00  
            0x00, 0x00, 0x00, 0x3F, 0xFC, 0x00, 0x00, 0x3C, ##                            000000000000                    0000 
            0x00, 0x00, 0x03, 0xFF, 0xFF, 0xC0, 0x00, 0x7E, ##                        00000000000000000000               000000
            0x00, 0x00, 0x1F, 0xFF, 0xFF, 0xF8, 0x00, 0xFE, ##                     00000000000000000000000000           0000000
            0x00, 0x00, 0x7F, 0xFF, 0xFF, 0xFE, 0x01, 0xFC, ##                   000000000000000000000000000000        0000000 
            0x00, 0x01, 0xFF, 0xC0, 0x0F, 0xFF, 0x83, 0xF8, ##                 00000000000          0000000000000     0000000  
            0x00, 0x03, 0xFE, 0x00, 0x01, 0xFF, 0xE7, 0xF0, ##                000000000                000000000000  0000000   
            0x00, 0x0F, 0xF8, 0x00, 0x00, 0x7F, 0xFF, 0xE0, ##              000000000                    000000000000000000    
            0x00, 0x1F, 0xE0, 0x00, 0x00, 0x1F, 0xFF, 0xC0, ##             00000000                        000000000000000     
            0x00, 0x3F, 0xC0, 0x00, 0x00, 0x0F, 0xFF, 0x80, ##            00000000                          0000000000000      
            0x00, 0x7F, 0x80, 0x00, 0x00, 0x07, 0xFF, 0x00, ##           00000000                            00000000000       
            0x00, 0xFF, 0x00, 0x00, 0x00, 0x03, 0xFF, 0x00, ##          00000000                              0000000000       
            0x00, 0xFE, 0x00, 0x00, 0x00, 0x01, 0xFF, 0x80, ##          0000000                                0000000000      
            0x01, 0xFE, 0x00, 0x00, 0x00, 0x03, 0xFF, 0x80, ##         00000000                               00000000000      
            0x03, 0xFC, 0x00, 0x00, 0x00, 0x07, 0xFF, 0xC0, ##        00000000                               0000000000000     
            0x03, 0xF8, 0x00, 0x00, 0x00, 0x0F, 0xFF, 0xC0, ##        0000000                               00000000000000     
            0x07, 0xF8, 0x00, 0x00, 0x00, 0x0F, 0xFF, 0xE0, ##       00000000                               000000000000000    
            0x07, 0xF8, 0x00, 0x00, 0x00, 0x1F, 0xBF, 0xF0, ##       00000000                              000000 0000000000   
            0x0F, 0xF0, 0x00, 0x00, 0x00, 0x3F, 0x9F, 0xF0, ##      00000000                              0000000  000000000   
            0x0F, 0xF0, 0x00, 0x00, 0x00, 0x7F, 0x1F, 0xF0, ##      00000000                             0000000   000000000   
            0x1F, 0xF0, 0x00, 0x00, 0x00, 0xFE, 0x1F, 0xF8, ##     000000000                            0000000    0000000000  
            0x1F, 0xE0, 0x00, 0x00, 0x01, 0xFC, 0x0F, 0xF8, ##     00000000                            0000000      000000000  
            0x1F, 0xE0, 0x00, 0x00, 0x03, 0xF8, 0x0F, 0xF8, ##     00000000                           0000000       000000000  
            0x3F, 0xE0, 0x00, 0x00, 0x07, 0xF0, 0x0F, 0xFC, ##    000000000                          0000000        0000000000 
            0x3F, 0xE0, 0x00, 0x00, 0x0F, 0xE0, 0x0F, 0xFC, ##    000000000                         0000000         0000000000 
            0x3F, 0xE0, 0x00, 0x00, 0x0F, 0xC0, 0x0F, 0xFC, ##    000000000                         000000          0000000000 
            0x3F, 0xC0, 0x00, 0x00, 0x1F, 0x80, 0x07, 0xFC, ##    00000000                         000000            000000000 
            0x7F, 0xC0, 0x00, 0x00, 0x3F, 0x80, 0x07, 0xFE, ##   000000000                        0000000            0000000000
            0x7F, 0xC0, 0x00, 0x00, 0x7F, 0x00, 0x07, 0xFE, ##   000000000                       0000000             0000000000
            0x7F, 0xC0, 0x00, 0x00, 0xFE, 0x00, 0x07, 0xFE, ##   000000000                      0000000              0000000000
            0x7F, 0xC0, 0x00, 0x01, 0xFC, 0x00, 0x07, 0xFE, ##   000000000                     0000000               0000000000
            0x7F, 0xC0, 0x00, 0x03, 0xF8, 0x00, 0x07, 0xFE, ##   000000000                    0000000                0000000000
            0x7F, 0xC0, 0x00, 0x07, 0xF0, 0x00, 0x07, 0xFE, ##   000000000                   0000000                 0000000000
            0x7F, 0xC0, 0x00, 0x0F, 0xE0, 0x00, 0x07, 0xFE, ##   000000000                  0000000                  0000000000
            0x7F, 0xC0, 0x00, 0x0F, 0xC0, 0x00, 0x07, 0xFE, ##   000000000                  000000                   0000000000
            0x7F, 0xC0, 0x00, 0x1F, 0x80, 0x00, 0x07, 0xFE, ##   000000000                 000000                    0000000000
            0x7F, 0xC0, 0x00, 0x3F, 0x80, 0x00, 0x07, 0xFE, ##   000000000                0000000                    0000000000
            0x7F, 0xC0, 0x00, 0x7F, 0x00, 0x00, 0x07, 0xFE, ##   000000000               0000000                     0000000000
            0x7F, 0xC0, 0x00, 0xFE, 0x00, 0x00, 0x07, 0xFE, ##   000000000              0000000                      0000000000
            0x7F, 0xC0, 0x01, 0xFC, 0x00, 0x00, 0x07, 0xFE, ##   000000000             0000000                       0000000000
            0x7F, 0xC0, 0x03, 0xF8, 0x00, 0x00, 0x07, 0xFE, ##   000000000            0000000                        0000000000
            0x7F, 0xC0, 0x07, 0xF0, 0x00, 0x00, 0x07, 0xFC, ##   000000000           0000000                         000000000 
            0x3F, 0xE0, 0x0F, 0xE0, 0x00, 0x00, 0x0F, 0xFC, ##    000000000         0000000                         0000000000 
            0x3F, 0xE0, 0x0F, 0xC0, 0x00, 0x00, 0x0F, 0xFC, ##    000000000         000000                          0000000000 
            0x3F, 0xE0, 0x1F, 0x80, 0x00, 0x00, 0x0F, 0xFC, ##    000000000        000000                           0000000000 
            0x3F, 0xE0, 0x3F, 0x80, 0x00, 0x00, 0x0F, 0xF8, ##    000000000       0000000                           000000000  
            0x1F, 0xE0, 0x7F, 0x00, 0x00, 0x00, 0x0F, 0xF8, ##     00000000      0000000                            000000000  
            0x1F, 0xF0, 0xFE, 0x00, 0x00, 0x00, 0x1F, 0xF8, ##     000000000    0000000                            0000000000  
            0x1F, 0xF1, 0xFC, 0x00, 0x00, 0x00, 0x1F, 0xF0, ##     000000000   0000000                             000000000   
            0x0F, 0xF3, 0xF8, 0x00, 0x00, 0x00, 0x1F, 0xF0, ##      00000000  0000000                              000000000   
            0x0F, 0xFF, 0xF0, 0x00, 0x00, 0x00, 0x3F, 0xE0, ##      0000000000000000                              000000000    
            0x0F, 0xFF, 0xE0, 0x00, 0x00, 0x00, 0x3F, 0xE0, ##      000000000000000                               000000000    
            0x07, 0xFF, 0xC0, 0x00, 0x00, 0x00, 0x3F, 0xC0, ##       0000000000000                                00000000     
            0x07, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x7F, 0xC0, ##       000000000000                                000000000     
            0x03, 0xFF, 0x80, 0x00, 0x00, 0x00, 0xFF, 0x80, ##        00000000000                               000000000      
            0x01, 0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, 0x00, ##         000000000                                00000000       
            0x01, 0xFF, 0x80, 0x00, 0x00, 0x01, 0xFE, 0x00, ##         0000000000                              00000000        
            0x01, 0xFF, 0xC0, 0x00, 0x00, 0x03, 0xFE, 0x00, ##         00000000000                            000000000        
            0x03, 0xFF, 0xE0, 0x00, 0x00, 0x07, 0xFC, 0x00, ##        0000000000000                          000000000         
            0x07, 0xFF, 0xF0, 0x00, 0x00, 0x0F, 0xF8, 0x00, ##       000000000000000                        000000000          
            0x07, 0xDF, 0xF8, 0x00, 0x00, 0x3F, 0xE0, 0x00, ##       00000 0000000000                     000000000            
            0x0F, 0xCF, 0xFF, 0x00, 0x00, 0xFF, 0xC0, 0x00, ##      000000  000000000000                0000000000             
            0x1F, 0x83, 0xFF, 0xE0, 0x07, 0xFF, 0x80, 0x00, ##     000000     0000000000000          000000000000              
            0x3F, 0x00, 0xFF, 0xFF, 0xFF, 0xFE, 0x00, 0x00, ##    000000        0000000000000000000000000000000                
            0x7E, 0x00, 0x3F, 0xFF, 0xFF, 0xF8, 0x00, 0x00, ##   000000           000000000000000000000000000                  
            0xFC, 0x00, 0x07, 0xFF, 0xFF, 0xC0, 0x00, 0x00, ##  000000               000000000000000000000                     
            0x38, 0x00, 0x00, 0x7F, 0xFC, 0x00, 0x00, 0x00, ##    000                    0000000000000                         
            0x10, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##     0                                                           
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '217' => {    # 'Ù'
        'width'    => 65, 
        'xoffset'  => 4, 
        'xadvance' => 73, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##                          00000000                                 
            0x00, 0x00, 0x00, 0x7F, 0x00, 0x00, 0x00, 0x00, 0x00, ##                           0000000                                 
            0x00, 0x00, 0x00, 0x3F, 0x80, 0x00, 0x00, 0x00, 0x00, ##                            0000000                                
            0x00, 0x00, 0x00, 0x1F, 0xC0, 0x00, 0x00, 0x00, 0x00, ##                             0000000                               
            0x00, 0x00, 0x00, 0x0F, 0xC0, 0x00, 0x00, 0x00, 0x00, ##                              000000                               
            0x00, 0x00, 0x00, 0x0F, 0xE0, 0x00, 0x00, 0x00, 0x00, ##                              0000000                              
            0x00, 0x00, 0x00, 0x07, 0xF0, 0x00, 0x00, 0x00, 0x00, ##                               0000000                             
            0x00, 0x00, 0x00, 0x03, 0xF8, 0x00, 0x00, 0x00, 0x00, ##                                0000000                            
            0x00, 0x00, 0x00, 0x01, 0xF8, 0x00, 0x00, 0x00, 0x00, ##                                 000000                            
            0x00, 0x00, 0x00, 0x00, 0xFC, 0x00, 0x00, 0x00, 0x00, ##                                  000000                           
            0x00, 0x00, 0x00, 0x00, 0x7E, 0x00, 0x00, 0x00, 0x00, ##                                   000000                          
            0x00, 0x00, 0x00, 0x00, 0x3E, 0x00, 0x00, 0x00, 0x00, ##                                    00000                          
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                                   
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                                   
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                                   
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                                   
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                                   
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                                   
            0x00, 0xFF, 0xFF, 0x80, 0x00, 0x0F, 0xFF, 0xFF, 0x80, ##  0000000000000000000000000                   000000000000000000000
            0x00, 0xFF, 0xFF, 0x80, 0x00, 0x0F, 0xFF, 0xFF, 0x80, ##  0000000000000000000000000                   000000000000000000000
            0x00, 0xFF, 0xFF, 0x80, 0x00, 0x0F, 0xFF, 0xFF, 0x80, ##  0000000000000000000000000                   000000000000000000000
            0x00, 0xFF, 0xFF, 0x80, 0x00, 0x0F, 0xFF, 0xFF, 0x80, ##  0000000000000000000000000                   000000000000000000000
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x0F, 0x80, 0x00, ##          000000000                                   00000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x0F, 0x80, 0x00, ##          000000000                                   00000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x0F, 0x80, 0x00, ##          000000000                                   00000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x0F, 0x80, 0x00, ##          000000000                                   00000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x0F, 0x80, 0x00, ##          000000000                                   00000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x0F, 0x80, 0x00, ##          000000000                                   00000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x0F, 0x80, 0x00, ##          000000000                                   00000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x0F, 0x80, 0x00, ##          000000000                                   00000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x0F, 0x80, 0x00, ##          000000000                                   00000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x0F, 0x80, 0x00, ##          000000000                                   00000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x0F, 0x80, 0x00, ##          000000000                                   00000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x0F, 0x80, 0x00, ##          000000000                                   00000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x0F, 0x80, 0x00, ##          000000000                                   00000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x0F, 0x80, 0x00, ##          000000000                                   00000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x0F, 0x80, 0x00, ##          000000000                                   00000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x0F, 0x80, 0x00, ##          000000000                                   00000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x0F, 0x80, 0x00, ##          000000000                                   00000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x0F, 0x80, 0x00, ##          000000000                                   00000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x0F, 0x80, 0x00, ##          000000000                                   00000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x0F, 0x80, 0x00, ##          000000000                                   00000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x0F, 0x80, 0x00, ##          000000000                                   00000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x0F, 0x80, 0x00, ##          000000000                                   00000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x0F, 0x80, 0x00, ##          000000000                                   00000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x0F, 0x80, 0x00, ##          000000000                                   00000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x0F, 0x80, 0x00, ##          000000000                                   00000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x0F, 0x80, 0x00, ##          000000000                                   00000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x0F, 0x80, 0x00, ##          000000000                                   00000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x0F, 0x80, 0x00, ##          000000000                                   00000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x0F, 0x80, 0x00, ##          000000000                                   00000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x0F, 0x80, 0x00, ##          000000000                                   00000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x0F, 0x80, 0x00, ##          000000000                                   00000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x0F, 0x80, 0x00, ##          000000000                                   00000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x0F, 0x80, 0x00, ##          000000000                                   00000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x0F, 0x80, 0x00, ##          000000000                                   00000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x0F, 0x80, 0x00, ##          000000000                                   00000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x0F, 0x80, 0x00, ##          000000000                                   00000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x0F, 0x80, 0x00, ##          000000000                                   00000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x0F, 0x80, 0x00, ##          000000000                                   00000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x0F, 0x80, 0x00, ##          000000000                                   00000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x0F, 0x80, 0x00, ##          000000000                                   00000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x0F, 0x80, 0x00, ##          000000000                                   00000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x1F, 0x80, 0x00, ##          000000000                                  000000        
            0x00, 0x7F, 0xC0, 0x00, 0x00, 0x00, 0x1F, 0x00, 0x00, ##           000000000                                 00000         
            0x00, 0x7F, 0xC0, 0x00, 0x00, 0x00, 0x1F, 0x00, 0x00, ##           000000000                                 00000         
            0x00, 0x7F, 0xC0, 0x00, 0x00, 0x00, 0x1F, 0x00, 0x00, ##           000000000                                 00000         
            0x00, 0x7F, 0xC0, 0x00, 0x00, 0x00, 0x1F, 0x00, 0x00, ##           000000000                                 00000         
            0x00, 0x7F, 0xE0, 0x00, 0x00, 0x00, 0x3F, 0x00, 0x00, ##           0000000000                               000000         
            0x00, 0x3F, 0xE0, 0x00, 0x00, 0x00, 0x3E, 0x00, 0x00, ##            000000000                               00000          
            0x00, 0x3F, 0xE0, 0x00, 0x00, 0x00, 0x3E, 0x00, 0x00, ##            000000000                               00000          
            0x00, 0x3F, 0xF0, 0x00, 0x00, 0x00, 0x7E, 0x00, 0x00, ##            0000000000                             000000          
            0x00, 0x1F, 0xF0, 0x00, 0x00, 0x00, 0xFC, 0x00, 0x00, ##             000000000                            000000           
            0x00, 0x1F, 0xF8, 0x00, 0x00, 0x00, 0xFC, 0x00, 0x00, ##             0000000000                           000000           
            0x00, 0x0F, 0xFC, 0x00, 0x00, 0x01, 0xF8, 0x00, 0x00, ##              0000000000                         000000            
            0x00, 0x0F, 0xFF, 0x00, 0x00, 0x07, 0xF8, 0x00, 0x00, ##              000000000000                     00000000            
            0x00, 0x07, 0xFF, 0xC0, 0x00, 0x1F, 0xF0, 0x00, 0x00, ##               0000000000000                 000000000             
            0x00, 0x03, 0xFF, 0xF8, 0x00, 0xFF, 0xE0, 0x00, 0x00, ##                000000000000000           00000000000              
            0x00, 0x01, 0xFF, 0xFF, 0xFF, 0xFF, 0xC0, 0x00, 0x00, ##                 00000000000000000000000000000000000               
            0x00, 0x00, 0x7F, 0xFF, 0xFF, 0xFF, 0x00, 0x00, 0x00, ##                   0000000000000000000000000000000                 
            0x00, 0x00, 0x1F, 0xFF, 0xFF, 0xFE, 0x00, 0x00, 0x00, ##                     0000000000000000000000000000                  
            0x00, 0x00, 0x07, 0xFF, 0xFF, 0xF0, 0x00, 0x00, 0x00, ##                       00000000000000000000000                     
            0x00, 0x00, 0x00, 0x3F, 0xFE, 0x00, 0x00, 0x00, 0x00, ##                            0000000000000                          
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '218' => {    # 'Ú'
        'width'    => 65, 
        'xoffset'  => 4, 
        'xadvance' => 73, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x07, 0xF8, 0x00, 0x00, 0x00, ##                                       00000000                    
            0x00, 0x00, 0x00, 0x00, 0x0F, 0xF0, 0x00, 0x00, 0x00, ##                                      00000000                     
            0x00, 0x00, 0x00, 0x00, 0x1F, 0xE0, 0x00, 0x00, 0x00, ##                                     00000000                      
            0x00, 0x00, 0x00, 0x00, 0x1F, 0xC0, 0x00, 0x00, 0x00, ##                                     0000000                       
            0x00, 0x00, 0x00, 0x00, 0x3F, 0x80, 0x00, 0x00, 0x00, ##                                    0000000                        
            0x00, 0x00, 0x00, 0x00, 0x7F, 0x00, 0x00, 0x00, 0x00, ##                                   0000000                         
            0x00, 0x00, 0x00, 0x00, 0x7E, 0x00, 0x00, 0x00, 0x00, ##                                   000000                          
            0x00, 0x00, 0x00, 0x00, 0xFC, 0x00, 0x00, 0x00, 0x00, ##                                  000000                           
            0x00, 0x00, 0x00, 0x01, 0xF8, 0x00, 0x00, 0x00, 0x00, ##                                 000000                            
            0x00, 0x00, 0x00, 0x01, 0xF0, 0x00, 0x00, 0x00, 0x00, ##                                 00000                             
            0x00, 0x00, 0x00, 0x03, 0xE0, 0x00, 0x00, 0x00, 0x00, ##                                00000                              
            0x00, 0x00, 0x00, 0x07, 0xC0, 0x00, 0x00, 0x00, 0x00, ##                               00000                               
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                                   
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                                   
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                                   
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                                   
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                                   
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                                   
            0x00, 0xFF, 0xFF, 0x80, 0x00, 0x0F, 0xFF, 0xFF, 0x80, ##  0000000000000000000000000                   000000000000000000000
            0x00, 0xFF, 0xFF, 0x80, 0x00, 0x0F, 0xFF, 0xFF, 0x80, ##  0000000000000000000000000                   000000000000000000000
            0x00, 0xFF, 0xFF, 0x80, 0x00, 0x0F, 0xFF, 0xFF, 0x80, ##  0000000000000000000000000                   000000000000000000000
            0x00, 0xFF, 0xFF, 0x80, 0x00, 0x0F, 0xFF, 0xFF, 0x80, ##  0000000000000000000000000                   000000000000000000000
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x0F, 0x80, 0x00, ##          000000000                                   00000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x0F, 0x80, 0x00, ##          000000000                                   00000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x0F, 0x80, 0x00, ##          000000000                                   00000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x0F, 0x80, 0x00, ##          000000000                                   00000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x0F, 0x80, 0x00, ##          000000000                                   00000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x0F, 0x80, 0x00, ##          000000000                                   00000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x0F, 0x80, 0x00, ##          000000000                                   00000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x0F, 0x80, 0x00, ##          000000000                                   00000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x0F, 0x80, 0x00, ##          000000000                                   00000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x0F, 0x80, 0x00, ##          000000000                                   00000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x0F, 0x80, 0x00, ##          000000000                                   00000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x0F, 0x80, 0x00, ##          000000000                                   00000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x0F, 0x80, 0x00, ##          000000000                                   00000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x0F, 0x80, 0x00, ##          000000000                                   00000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x0F, 0x80, 0x00, ##          000000000                                   00000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x0F, 0x80, 0x00, ##          000000000                                   00000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x0F, 0x80, 0x00, ##          000000000                                   00000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x0F, 0x80, 0x00, ##          000000000                                   00000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x0F, 0x80, 0x00, ##          000000000                                   00000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x0F, 0x80, 0x00, ##          000000000                                   00000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x0F, 0x80, 0x00, ##          000000000                                   00000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x0F, 0x80, 0x00, ##          000000000                                   00000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x0F, 0x80, 0x00, ##          000000000                                   00000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x0F, 0x80, 0x00, ##          000000000                                   00000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x0F, 0x80, 0x00, ##          000000000                                   00000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x0F, 0x80, 0x00, ##          000000000                                   00000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x0F, 0x80, 0x00, ##          000000000                                   00000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x0F, 0x80, 0x00, ##          000000000                                   00000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x0F, 0x80, 0x00, ##          000000000                                   00000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x0F, 0x80, 0x00, ##          000000000                                   00000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x0F, 0x80, 0x00, ##          000000000                                   00000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x0F, 0x80, 0x00, ##          000000000                                   00000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x0F, 0x80, 0x00, ##          000000000                                   00000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x0F, 0x80, 0x00, ##          000000000                                   00000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x0F, 0x80, 0x00, ##          000000000                                   00000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x0F, 0x80, 0x00, ##          000000000                                   00000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x0F, 0x80, 0x00, ##          000000000                                   00000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x0F, 0x80, 0x00, ##          000000000                                   00000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x0F, 0x80, 0x00, ##          000000000                                   00000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x0F, 0x80, 0x00, ##          000000000                                   00000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x0F, 0x80, 0x00, ##          000000000                                   00000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x1F, 0x80, 0x00, ##          000000000                                  000000        
            0x00, 0x7F, 0xC0, 0x00, 0x00, 0x00, 0x1F, 0x00, 0x00, ##           000000000                                 00000         
            0x00, 0x7F, 0xC0, 0x00, 0x00, 0x00, 0x1F, 0x00, 0x00, ##           000000000                                 00000         
            0x00, 0x7F, 0xC0, 0x00, 0x00, 0x00, 0x1F, 0x00, 0x00, ##           000000000                                 00000         
            0x00, 0x7F, 0xC0, 0x00, 0x00, 0x00, 0x1F, 0x00, 0x00, ##           000000000                                 00000         
            0x00, 0x7F, 0xE0, 0x00, 0x00, 0x00, 0x3F, 0x00, 0x00, ##           0000000000                               000000         
            0x00, 0x3F, 0xE0, 0x00, 0x00, 0x00, 0x3E, 0x00, 0x00, ##            000000000                               00000          
            0x00, 0x3F, 0xE0, 0x00, 0x00, 0x00, 0x3E, 0x00, 0x00, ##            000000000                               00000          
            0x00, 0x3F, 0xF0, 0x00, 0x00, 0x00, 0x7E, 0x00, 0x00, ##            0000000000                             000000          
            0x00, 0x1F, 0xF0, 0x00, 0x00, 0x00, 0xFC, 0x00, 0x00, ##             000000000                            000000           
            0x00, 0x1F, 0xF8, 0x00, 0x00, 0x00, 0xFC, 0x00, 0x00, ##             0000000000                           000000           
            0x00, 0x0F, 0xFC, 0x00, 0x00, 0x01, 0xF8, 0x00, 0x00, ##              0000000000                         000000            
            0x00, 0x0F, 0xFF, 0x00, 0x00, 0x07, 0xF8, 0x00, 0x00, ##              000000000000                     00000000            
            0x00, 0x07, 0xFF, 0xC0, 0x00, 0x1F, 0xF0, 0x00, 0x00, ##               0000000000000                 000000000             
            0x00, 0x03, 0xFF, 0xF8, 0x00, 0xFF, 0xE0, 0x00, 0x00, ##                000000000000000           00000000000              
            0x00, 0x01, 0xFF, 0xFF, 0xFF, 0xFF, 0xC0, 0x00, 0x00, ##                 00000000000000000000000000000000000               
            0x00, 0x00, 0x7F, 0xFF, 0xFF, 0xFF, 0x00, 0x00, 0x00, ##                   0000000000000000000000000000000                 
            0x00, 0x00, 0x1F, 0xFF, 0xFF, 0xFE, 0x00, 0x00, 0x00, ##                     0000000000000000000000000000                  
            0x00, 0x00, 0x07, 0xFF, 0xFF, 0xF0, 0x00, 0x00, 0x00, ##                       00000000000000000000000                     
            0x00, 0x00, 0x00, 0x3F, 0xFE, 0x00, 0x00, 0x00, 0x00, ##                            0000000000000                          
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '219' => {    # 'Û'
        'width'    => 65, 
        'xoffset'  => 4, 
        'xadvance' => 73, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x03, 0xFE, 0x00, 0x00, 0x00, 0x00, ##                                000000000                          
            0x00, 0x00, 0x00, 0x07, 0xFE, 0x00, 0x00, 0x00, 0x00, ##                               0000000000                          
            0x00, 0x00, 0x00, 0x07, 0xFF, 0x00, 0x00, 0x00, 0x00, ##                               00000000000                         
            0x00, 0x00, 0x00, 0x0F, 0xFF, 0x80, 0x00, 0x00, 0x00, ##                              0000000000000                        
            0x00, 0x00, 0x00, 0x1F, 0xFF, 0xC0, 0x00, 0x00, 0x00, ##                             000000000000000                       
            0x00, 0x00, 0x00, 0x3F, 0x8F, 0xE0, 0x00, 0x00, 0x00, ##                            0000000   0000000                      
            0x00, 0x00, 0x00, 0x7F, 0x07, 0xF0, 0x00, 0x00, 0x00, ##                           0000000     0000000                     
            0x00, 0x00, 0x00, 0xFE, 0x03, 0xF0, 0x00, 0x00, 0x00, ##                          0000000       000000                     
            0x00, 0x00, 0x00, 0xFC, 0x01, 0xF8, 0x00, 0x00, 0x00, ##                          000000         000000                    
            0x00, 0x00, 0x01, 0xF0, 0x00, 0x7C, 0x00, 0x00, 0x00, ##                         00000             00000                   
            0x00, 0x00, 0x03, 0xE0, 0x00, 0x3E, 0x00, 0x00, 0x00, ##                        00000               00000                  
            0x00, 0x00, 0x07, 0xC0, 0x00, 0x1F, 0x00, 0x00, 0x00, ##                       00000                 00000                 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                                   
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                                   
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                                   
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                                   
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                                   
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                                   
            0x00, 0xFF, 0xFF, 0x80, 0x00, 0x0F, 0xFF, 0xFF, 0x80, ##  0000000000000000000000000                   000000000000000000000
            0x00, 0xFF, 0xFF, 0x80, 0x00, 0x0F, 0xFF, 0xFF, 0x80, ##  0000000000000000000000000                   000000000000000000000
            0x00, 0xFF, 0xFF, 0x80, 0x00, 0x0F, 0xFF, 0xFF, 0x80, ##  0000000000000000000000000                   000000000000000000000
            0x00, 0xFF, 0xFF, 0x80, 0x00, 0x0F, 0xFF, 0xFF, 0x80, ##  0000000000000000000000000                   000000000000000000000
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x0F, 0x80, 0x00, ##          000000000                                   00000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x0F, 0x80, 0x00, ##          000000000                                   00000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x0F, 0x80, 0x00, ##          000000000                                   00000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x0F, 0x80, 0x00, ##          000000000                                   00000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x0F, 0x80, 0x00, ##          000000000                                   00000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x0F, 0x80, 0x00, ##          000000000                                   00000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x0F, 0x80, 0x00, ##          000000000                                   00000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x0F, 0x80, 0x00, ##          000000000                                   00000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x0F, 0x80, 0x00, ##          000000000                                   00000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x0F, 0x80, 0x00, ##          000000000                                   00000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x0F, 0x80, 0x00, ##          000000000                                   00000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x0F, 0x80, 0x00, ##          000000000                                   00000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x0F, 0x80, 0x00, ##          000000000                                   00000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x0F, 0x80, 0x00, ##          000000000                                   00000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x0F, 0x80, 0x00, ##          000000000                                   00000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x0F, 0x80, 0x00, ##          000000000                                   00000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x0F, 0x80, 0x00, ##          000000000                                   00000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x0F, 0x80, 0x00, ##          000000000                                   00000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x0F, 0x80, 0x00, ##          000000000                                   00000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x0F, 0x80, 0x00, ##          000000000                                   00000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x0F, 0x80, 0x00, ##          000000000                                   00000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x0F, 0x80, 0x00, ##          000000000                                   00000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x0F, 0x80, 0x00, ##          000000000                                   00000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x0F, 0x80, 0x00, ##          000000000                                   00000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x0F, 0x80, 0x00, ##          000000000                                   00000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x0F, 0x80, 0x00, ##          000000000                                   00000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x0F, 0x80, 0x00, ##          000000000                                   00000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x0F, 0x80, 0x00, ##          000000000                                   00000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x0F, 0x80, 0x00, ##          000000000                                   00000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x0F, 0x80, 0x00, ##          000000000                                   00000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x0F, 0x80, 0x00, ##          000000000                                   00000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x0F, 0x80, 0x00, ##          000000000                                   00000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x0F, 0x80, 0x00, ##          000000000                                   00000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x0F, 0x80, 0x00, ##          000000000                                   00000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x0F, 0x80, 0x00, ##          000000000                                   00000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x0F, 0x80, 0x00, ##          000000000                                   00000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x0F, 0x80, 0x00, ##          000000000                                   00000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x0F, 0x80, 0x00, ##          000000000                                   00000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x0F, 0x80, 0x00, ##          000000000                                   00000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x0F, 0x80, 0x00, ##          000000000                                   00000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x0F, 0x80, 0x00, ##          000000000                                   00000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x1F, 0x80, 0x00, ##          000000000                                  000000        
            0x00, 0x7F, 0xC0, 0x00, 0x00, 0x00, 0x1F, 0x00, 0x00, ##           000000000                                 00000         
            0x00, 0x7F, 0xC0, 0x00, 0x00, 0x00, 0x1F, 0x00, 0x00, ##           000000000                                 00000         
            0x00, 0x7F, 0xC0, 0x00, 0x00, 0x00, 0x1F, 0x00, 0x00, ##           000000000                                 00000         
            0x00, 0x7F, 0xC0, 0x00, 0x00, 0x00, 0x1F, 0x00, 0x00, ##           000000000                                 00000         
            0x00, 0x7F, 0xE0, 0x00, 0x00, 0x00, 0x3F, 0x00, 0x00, ##           0000000000                               000000         
            0x00, 0x3F, 0xE0, 0x00, 0x00, 0x00, 0x3E, 0x00, 0x00, ##            000000000                               00000          
            0x00, 0x3F, 0xE0, 0x00, 0x00, 0x00, 0x3E, 0x00, 0x00, ##            000000000                               00000          
            0x00, 0x3F, 0xF0, 0x00, 0x00, 0x00, 0x7E, 0x00, 0x00, ##            0000000000                             000000          
            0x00, 0x1F, 0xF0, 0x00, 0x00, 0x00, 0xFC, 0x00, 0x00, ##             000000000                            000000           
            0x00, 0x1F, 0xF8, 0x00, 0x00, 0x00, 0xFC, 0x00, 0x00, ##             0000000000                           000000           
            0x00, 0x0F, 0xFC, 0x00, 0x00, 0x01, 0xF8, 0x00, 0x00, ##              0000000000                         000000            
            0x00, 0x0F, 0xFF, 0x00, 0x00, 0x07, 0xF8, 0x00, 0x00, ##              000000000000                     00000000            
            0x00, 0x07, 0xFF, 0xC0, 0x00, 0x1F, 0xF0, 0x00, 0x00, ##               0000000000000                 000000000             
            0x00, 0x03, 0xFF, 0xF8, 0x00, 0xFF, 0xE0, 0x00, 0x00, ##                000000000000000           00000000000              
            0x00, 0x01, 0xFF, 0xFF, 0xFF, 0xFF, 0xC0, 0x00, 0x00, ##                 00000000000000000000000000000000000               
            0x00, 0x00, 0x7F, 0xFF, 0xFF, 0xFF, 0x00, 0x00, 0x00, ##                   0000000000000000000000000000000                 
            0x00, 0x00, 0x1F, 0xFF, 0xFF, 0xFE, 0x00, 0x00, 0x00, ##                     0000000000000000000000000000                  
            0x00, 0x00, 0x07, 0xFF, 0xFF, 0xF0, 0x00, 0x00, 0x00, ##                       00000000000000000000000                     
            0x00, 0x00, 0x00, 0x3F, 0xFE, 0x00, 0x00, 0x00, 0x00, ##                            0000000000000                          
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '220' => {    # 'Ü'
        'width'    => 65, 
        'xoffset'  => 4, 
        'xadvance' => 73, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0xF0, 0x00, 0x78, 0x00, 0x00, 0x00, ##                          0000             0000                    
            0x00, 0x00, 0x03, 0xFC, 0x01, 0xFE, 0x00, 0x00, 0x00, ##                        00000000         00000000                  
            0x00, 0x00, 0x03, 0xFC, 0x01, 0xFE, 0x00, 0x00, 0x00, ##                        00000000         00000000                  
            0x00, 0x00, 0x07, 0xFE, 0x03, 0xFF, 0x00, 0x00, 0x00, ##                       0000000000       0000000000                 
            0x00, 0x00, 0x07, 0xFE, 0x03, 0xFF, 0x00, 0x00, 0x00, ##                       0000000000       0000000000                 
            0x00, 0x00, 0x07, 0xFE, 0x03, 0xFF, 0x00, 0x00, 0x00, ##                       0000000000       0000000000                 
            0x00, 0x00, 0x07, 0xFE, 0x03, 0xFF, 0x00, 0x00, 0x00, ##                       0000000000       0000000000                 
            0x00, 0x00, 0x03, 0xFC, 0x01, 0xFE, 0x00, 0x00, 0x00, ##                        00000000         00000000                  
            0x00, 0x00, 0x03, 0xFC, 0x01, 0xFE, 0x00, 0x00, 0x00, ##                        00000000         00000000                  
            0x00, 0x00, 0x00, 0xF0, 0x00, 0x78, 0x00, 0x00, 0x00, ##                          0000             0000                    
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                                   
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                                   
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                                   
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                                   
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                                   
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                                   
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                                   
            0x00, 0xFF, 0xFF, 0x80, 0x00, 0x0F, 0xFF, 0xFF, 0x80, ##  0000000000000000000000000                   000000000000000000000
            0x00, 0xFF, 0xFF, 0x80, 0x00, 0x0F, 0xFF, 0xFF, 0x80, ##  0000000000000000000000000                   000000000000000000000
            0x00, 0xFF, 0xFF, 0x80, 0x00, 0x0F, 0xFF, 0xFF, 0x80, ##  0000000000000000000000000                   000000000000000000000
            0x00, 0xFF, 0xFF, 0x80, 0x00, 0x0F, 0xFF, 0xFF, 0x80, ##  0000000000000000000000000                   000000000000000000000
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x0F, 0x80, 0x00, ##          000000000                                   00000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x0F, 0x80, 0x00, ##          000000000                                   00000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x0F, 0x80, 0x00, ##          000000000                                   00000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x0F, 0x80, 0x00, ##          000000000                                   00000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x0F, 0x80, 0x00, ##          000000000                                   00000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x0F, 0x80, 0x00, ##          000000000                                   00000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x0F, 0x80, 0x00, ##          000000000                                   00000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x0F, 0x80, 0x00, ##          000000000                                   00000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x0F, 0x80, 0x00, ##          000000000                                   00000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x0F, 0x80, 0x00, ##          000000000                                   00000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x0F, 0x80, 0x00, ##          000000000                                   00000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x0F, 0x80, 0x00, ##          000000000                                   00000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x0F, 0x80, 0x00, ##          000000000                                   00000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x0F, 0x80, 0x00, ##          000000000                                   00000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x0F, 0x80, 0x00, ##          000000000                                   00000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x0F, 0x80, 0x00, ##          000000000                                   00000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x0F, 0x80, 0x00, ##          000000000                                   00000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x0F, 0x80, 0x00, ##          000000000                                   00000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x0F, 0x80, 0x00, ##          000000000                                   00000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x0F, 0x80, 0x00, ##          000000000                                   00000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x0F, 0x80, 0x00, ##          000000000                                   00000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x0F, 0x80, 0x00, ##          000000000                                   00000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x0F, 0x80, 0x00, ##          000000000                                   00000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x0F, 0x80, 0x00, ##          000000000                                   00000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x0F, 0x80, 0x00, ##          000000000                                   00000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x0F, 0x80, 0x00, ##          000000000                                   00000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x0F, 0x80, 0x00, ##          000000000                                   00000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x0F, 0x80, 0x00, ##          000000000                                   00000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x0F, 0x80, 0x00, ##          000000000                                   00000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x0F, 0x80, 0x00, ##          000000000                                   00000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x0F, 0x80, 0x00, ##          000000000                                   00000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x0F, 0x80, 0x00, ##          000000000                                   00000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x0F, 0x80, 0x00, ##          000000000                                   00000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x0F, 0x80, 0x00, ##          000000000                                   00000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x0F, 0x80, 0x00, ##          000000000                                   00000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x0F, 0x80, 0x00, ##          000000000                                   00000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x0F, 0x80, 0x00, ##          000000000                                   00000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x0F, 0x80, 0x00, ##          000000000                                   00000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x0F, 0x80, 0x00, ##          000000000                                   00000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x0F, 0x80, 0x00, ##          000000000                                   00000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x0F, 0x80, 0x00, ##          000000000                                   00000        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x1F, 0x80, 0x00, ##          000000000                                  000000        
            0x00, 0x7F, 0xC0, 0x00, 0x00, 0x00, 0x1F, 0x00, 0x00, ##           000000000                                 00000         
            0x00, 0x7F, 0xC0, 0x00, 0x00, 0x00, 0x1F, 0x00, 0x00, ##           000000000                                 00000         
            0x00, 0x7F, 0xC0, 0x00, 0x00, 0x00, 0x1F, 0x00, 0x00, ##           000000000                                 00000         
            0x00, 0x7F, 0xC0, 0x00, 0x00, 0x00, 0x1F, 0x00, 0x00, ##           000000000                                 00000         
            0x00, 0x7F, 0xE0, 0x00, 0x00, 0x00, 0x3F, 0x00, 0x00, ##           0000000000                               000000         
            0x00, 0x3F, 0xE0, 0x00, 0x00, 0x00, 0x3E, 0x00, 0x00, ##            000000000                               00000          
            0x00, 0x3F, 0xE0, 0x00, 0x00, 0x00, 0x3E, 0x00, 0x00, ##            000000000                               00000          
            0x00, 0x3F, 0xF0, 0x00, 0x00, 0x00, 0x7E, 0x00, 0x00, ##            0000000000                             000000          
            0x00, 0x1F, 0xF0, 0x00, 0x00, 0x00, 0xFC, 0x00, 0x00, ##             000000000                            000000           
            0x00, 0x1F, 0xF8, 0x00, 0x00, 0x00, 0xFC, 0x00, 0x00, ##             0000000000                           000000           
            0x00, 0x0F, 0xFC, 0x00, 0x00, 0x01, 0xF8, 0x00, 0x00, ##              0000000000                         000000            
            0x00, 0x0F, 0xFF, 0x00, 0x00, 0x07, 0xF8, 0x00, 0x00, ##              000000000000                     00000000            
            0x00, 0x07, 0xFF, 0xC0, 0x00, 0x1F, 0xF0, 0x00, 0x00, ##               0000000000000                 000000000             
            0x00, 0x03, 0xFF, 0xF8, 0x00, 0xFF, 0xE0, 0x00, 0x00, ##                000000000000000           00000000000              
            0x00, 0x01, 0xFF, 0xFF, 0xFF, 0xFF, 0xC0, 0x00, 0x00, ##                 00000000000000000000000000000000000               
            0x00, 0x00, 0x7F, 0xFF, 0xFF, 0xFF, 0x00, 0x00, 0x00, ##                   0000000000000000000000000000000                 
            0x00, 0x00, 0x1F, 0xFF, 0xFF, 0xFE, 0x00, 0x00, 0x00, ##                     0000000000000000000000000000                  
            0x00, 0x00, 0x07, 0xFF, 0xFF, 0xF0, 0x00, 0x00, 0x00, ##                       00000000000000000000000                     
            0x00, 0x00, 0x00, 0x3F, 0xFE, 0x00, 0x00, 0x00, 0x00, ##                            0000000000000                          
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '221' => {    # 'Ý'
        'width'    => 59, 
        'xoffset'  => -1, 
        'xadvance' => 57, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0xFF, 0x80, 0x00, 0x00, ##                                  000000000                  
            0x00, 0x00, 0x00, 0x01, 0xFF, 0x00, 0x00, 0x00, ##                                 000000000                   
            0x00, 0x00, 0x00, 0x01, 0xFE, 0x00, 0x00, 0x00, ##                                 00000000                    
            0x00, 0x00, 0x00, 0x03, 0xFC, 0x00, 0x00, 0x00, ##                                00000000                     
            0x00, 0x00, 0x00, 0x07, 0xF8, 0x00, 0x00, 0x00, ##                               00000000                      
            0x00, 0x00, 0x00, 0x07, 0xF0, 0x00, 0x00, 0x00, ##                               0000000                       
            0x00, 0x00, 0x00, 0x0F, 0xE0, 0x00, 0x00, 0x00, ##                              0000000                        
            0x00, 0x00, 0x00, 0x1F, 0xC0, 0x00, 0x00, 0x00, ##                             0000000                         
            0x00, 0x00, 0x00, 0x1F, 0x00, 0x00, 0x00, 0x00, ##                             00000                           
            0x00, 0x00, 0x00, 0x3E, 0x00, 0x00, 0x00, 0x00, ##                            00000                            
            0x00, 0x00, 0x00, 0x7C, 0x00, 0x00, 0x00, 0x00, ##                           00000                             
            0x00, 0x00, 0x00, 0x78, 0x00, 0x00, 0x00, 0x00, ##                           0000                              
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                             
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                             
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                             
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                             
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                             
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                             
            0xFF, 0xFF, 0xFF, 0x00, 0x00, 0x7F, 0xFF, 0xE0, ##  000000000000000000000000                 000000000000000000
            0xFF, 0xFF, 0xFF, 0x00, 0x00, 0x7F, 0xFF, 0xE0, ##  000000000000000000000000                 000000000000000000
            0xFF, 0xFF, 0xFF, 0x00, 0x00, 0x7F, 0xFF, 0xE0, ##  000000000000000000000000                 000000000000000000
            0xFF, 0xFF, 0xFF, 0x00, 0x00, 0x7F, 0xFF, 0xE0, ##  000000000000000000000000                 000000000000000000
            0x03, 0xFF, 0x00, 0x00, 0x00, 0x01, 0xF8, 0x00, ##        0000000000                               000000      
            0x01, 0xFF, 0x80, 0x00, 0x00, 0x01, 0xF0, 0x00, ##         0000000000                              00000       
            0x01, 0xFF, 0x80, 0x00, 0x00, 0x03, 0xF0, 0x00, ##         0000000000                             000000       
            0x00, 0xFF, 0xC0, 0x00, 0x00, 0x03, 0xE0, 0x00, ##          0000000000                            00000        
            0x00, 0xFF, 0xE0, 0x00, 0x00, 0x07, 0xC0, 0x00, ##          00000000000                          00000         
            0x00, 0x7F, 0xE0, 0x00, 0x00, 0x0F, 0xC0, 0x00, ##           0000000000                         000000         
            0x00, 0x3F, 0xF0, 0x00, 0x00, 0x0F, 0x80, 0x00, ##            0000000000                        00000          
            0x00, 0x3F, 0xF0, 0x00, 0x00, 0x1F, 0x80, 0x00, ##            0000000000                       000000          
            0x00, 0x1F, 0xF8, 0x00, 0x00, 0x1F, 0x00, 0x00, ##             0000000000                      00000           
            0x00, 0x1F, 0xFC, 0x00, 0x00, 0x3E, 0x00, 0x00, ##             00000000000                    00000            
            0x00, 0x0F, 0xFC, 0x00, 0x00, 0x7E, 0x00, 0x00, ##              0000000000                   000000            
            0x00, 0x07, 0xFE, 0x00, 0x00, 0x7C, 0x00, 0x00, ##               0000000000                  00000             
            0x00, 0x07, 0xFE, 0x00, 0x00, 0xFC, 0x00, 0x00, ##               0000000000                 000000             
            0x00, 0x03, 0xFF, 0x00, 0x00, 0xF8, 0x00, 0x00, ##                0000000000                00000              
            0x00, 0x03, 0xFF, 0x80, 0x01, 0xF0, 0x00, 0x00, ##                00000000000              00000               
            0x00, 0x01, 0xFF, 0x80, 0x03, 0xF0, 0x00, 0x00, ##                 0000000000             000000               
            0x00, 0x00, 0xFF, 0xC0, 0x03, 0xE0, 0x00, 0x00, ##                  0000000000            00000                
            0x00, 0x00, 0xFF, 0xC0, 0x07, 0xE0, 0x00, 0x00, ##                  0000000000           000000                
            0x00, 0x00, 0x7F, 0xE0, 0x07, 0xC0, 0x00, 0x00, ##                   0000000000          00000                 
            0x00, 0x00, 0x7F, 0xF0, 0x0F, 0x80, 0x00, 0x00, ##                   00000000000        00000                  
            0x00, 0x00, 0x3F, 0xF0, 0x1F, 0x80, 0x00, 0x00, ##                    0000000000       000000                  
            0x00, 0x00, 0x1F, 0xF8, 0x1F, 0x00, 0x00, 0x00, ##                     0000000000      00000                   
            0x00, 0x00, 0x1F, 0xF8, 0x3F, 0x00, 0x00, 0x00, ##                     0000000000     000000                   
            0x00, 0x00, 0x0F, 0xFC, 0x3E, 0x00, 0x00, 0x00, ##                      0000000000    00000                    
            0x00, 0x00, 0x0F, 0xFE, 0x7C, 0x00, 0x00, 0x00, ##                      00000000000  00000                     
            0x00, 0x00, 0x07, 0xFE, 0xFC, 0x00, 0x00, 0x00, ##                       0000000000 000000                     
            0x00, 0x00, 0x07, 0xFF, 0xF8, 0x00, 0x00, 0x00, ##                       0000000000000000                      
            0x00, 0x00, 0x03, 0xFF, 0xF8, 0x00, 0x00, 0x00, ##                        000000000000000                      
            0x00, 0x00, 0x01, 0xFF, 0xF0, 0x00, 0x00, 0x00, ##                         0000000000000                       
            0x00, 0x00, 0x01, 0xFF, 0xE0, 0x00, 0x00, 0x00, ##                         000000000000                        
            0x00, 0x00, 0x00, 0xFF, 0xE0, 0x00, 0x00, 0x00, ##                          00000000000                        
            0x00, 0x00, 0x00, 0xFF, 0xC0, 0x00, 0x00, 0x00, ##                          0000000000                         
            0x00, 0x00, 0x00, 0x7F, 0xC0, 0x00, 0x00, 0x00, ##                           000000000                         
            0x00, 0x00, 0x00, 0x7F, 0xC0, 0x00, 0x00, 0x00, ##                           000000000                         
            0x00, 0x00, 0x00, 0x7F, 0xC0, 0x00, 0x00, 0x00, ##                           000000000                         
            0x00, 0x00, 0x00, 0x7F, 0xC0, 0x00, 0x00, 0x00, ##                           000000000                         
            0x00, 0x00, 0x00, 0x7F, 0xC0, 0x00, 0x00, 0x00, ##                           000000000                         
            0x00, 0x00, 0x00, 0x7F, 0xC0, 0x00, 0x00, 0x00, ##                           000000000                         
            0x00, 0x00, 0x00, 0x7F, 0xC0, 0x00, 0x00, 0x00, ##                           000000000                         
            0x00, 0x00, 0x00, 0x7F, 0xC0, 0x00, 0x00, 0x00, ##                           000000000                         
            0x00, 0x00, 0x00, 0x7F, 0xC0, 0x00, 0x00, 0x00, ##                           000000000                         
            0x00, 0x00, 0x00, 0x7F, 0xC0, 0x00, 0x00, 0x00, ##                           000000000                         
            0x00, 0x00, 0x00, 0x7F, 0xC0, 0x00, 0x00, 0x00, ##                           000000000                         
            0x00, 0x00, 0x00, 0x7F, 0xC0, 0x00, 0x00, 0x00, ##                           000000000                         
            0x00, 0x00, 0x00, 0x7F, 0xC0, 0x00, 0x00, 0x00, ##                           000000000                         
            0x00, 0x00, 0x00, 0x7F, 0xC0, 0x00, 0x00, 0x00, ##                           000000000                         
            0x00, 0x00, 0x00, 0x7F, 0xC0, 0x00, 0x00, 0x00, ##                           000000000                         
            0x00, 0x00, 0x00, 0x7F, 0xC0, 0x00, 0x00, 0x00, ##                           000000000                         
            0x00, 0x00, 0x00, 0x7F, 0xC0, 0x00, 0x00, 0x00, ##                           000000000                         
            0x00, 0x00, 0x00, 0x7F, 0xC0, 0x00, 0x00, 0x00, ##                           000000000                         
            0x00, 0x00, 0x00, 0x7F, 0xC0, 0x00, 0x00, 0x00, ##                           000000000                         
            0x00, 0x00, 0x00, 0x7F, 0xC0, 0x00, 0x00, 0x00, ##                           000000000                         
            0x00, 0x00, 0x00, 0x7F, 0xC0, 0x00, 0x00, 0x00, ##                           000000000                         
            0x00, 0x00, 0x00, 0x7F, 0xC0, 0x00, 0x00, 0x00, ##                           000000000                         
            0x00, 0x00, 0x00, 0x7F, 0xC0, 0x00, 0x00, 0x00, ##                           000000000                         
            0x00, 0x00, 0x00, 0x7F, 0xC0, 0x00, 0x00, 0x00, ##                           000000000                         
            0x00, 0x00, 0x7F, 0xFF, 0xFF, 0xC0, 0x00, 0x00, ##                   0000000000000000000000000                 
            0x00, 0x00, 0x7F, 0xFF, 0xFF, 0xC0, 0x00, 0x00, ##                   0000000000000000000000000                 
            0x00, 0x00, 0x7F, 0xFF, 0xFF, 0xC0, 0x00, 0x00, ##                   0000000000000000000000000                 
            0x00, 0x00, 0x7F, 0xFF, 0xFF, 0xC0, 0x00, 0x00, ##                   0000000000000000000000000                 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '222' => {    # 'Þ'
        'width'    => 51, 
        'xoffset'  => 5, 
        'xadvance' => 59, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0xFF, 0xFF, 0xFF, 0xE0, 0x00, 0x00, 0x00, ##  000000000000000000000000000                        
            0xFF, 0xFF, 0xFF, 0xE0, 0x00, 0x00, 0x00, ##  000000000000000000000000000                        
            0xFF, 0xFF, 0xFF, 0xE0, 0x00, 0x00, 0x00, ##  000000000000000000000000000                        
            0xFF, 0xFF, 0xFF, 0xE0, 0x00, 0x00, 0x00, ##  000000000000000000000000000                        
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##          000000000                                  
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##          000000000                                  
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##          000000000                                  
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##          000000000                                  
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##          000000000                                  
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##          000000000                                  
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##          000000000                                  
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##          000000000                                  
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##          000000000                                  
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##          000000000                                  
            0x00, 0xFF, 0xFF, 0xFF, 0xF0, 0x00, 0x00, ##          0000000000000000000000000000               
            0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0x00, 0x00, ##          00000000000000000000000000000000           
            0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0xC0, 0x00, ##          0000000000000000000000000000000000         
            0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0xF0, 0x00, ##          000000000000000000000000000000000000       
            0x00, 0xFF, 0x80, 0x00, 0xFF, 0xF8, 0x00, ##          000000000               0000000000000      
            0x00, 0xFF, 0x80, 0x00, 0x1F, 0xFC, 0x00, ##          000000000                  00000000000     
            0x00, 0xFF, 0x80, 0x00, 0x0F, 0xFE, 0x00, ##          000000000                   00000000000    
            0x00, 0xFF, 0x80, 0x00, 0x03, 0xFF, 0x00, ##          000000000                     0000000000   
            0x00, 0xFF, 0x80, 0x00, 0x03, 0xFF, 0x00, ##          000000000                     0000000000   
            0x00, 0xFF, 0x80, 0x00, 0x01, 0xFF, 0x80, ##          000000000                      0000000000  
            0x00, 0xFF, 0x80, 0x00, 0x00, 0xFF, 0xC0, ##          000000000                       0000000000 
            0x00, 0xFF, 0x80, 0x00, 0x00, 0xFF, 0xC0, ##          000000000                       0000000000 
            0x00, 0xFF, 0x80, 0x00, 0x00, 0xFF, 0xC0, ##          000000000                       0000000000 
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x7F, 0xE0, ##          000000000                        0000000000
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x7F, 0xE0, ##          000000000                        0000000000
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x7F, 0xE0, ##          000000000                        0000000000
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x7F, 0xE0, ##          000000000                        0000000000
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x7F, 0xE0, ##          000000000                        0000000000
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x7F, 0xE0, ##          000000000                        0000000000
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x7F, 0xE0, ##          000000000                        0000000000
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x7F, 0xE0, ##          000000000                        0000000000
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x7F, 0xE0, ##          000000000                        0000000000
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x7F, 0xE0, ##          000000000                        0000000000
            0x00, 0xFF, 0x80, 0x00, 0x00, 0xFF, 0xC0, ##          000000000                       0000000000 
            0x00, 0xFF, 0x80, 0x00, 0x00, 0xFF, 0xC0, ##          000000000                       0000000000 
            0x00, 0xFF, 0x80, 0x00, 0x00, 0xFF, 0xC0, ##          000000000                       0000000000 
            0x00, 0xFF, 0x80, 0x00, 0x01, 0xFF, 0x80, ##          000000000                      0000000000  
            0x00, 0xFF, 0x80, 0x00, 0x03, 0xFF, 0x80, ##          000000000                     00000000000  
            0x00, 0xFF, 0x80, 0x00, 0x03, 0xFF, 0x00, ##          000000000                     0000000000   
            0x00, 0xFF, 0x80, 0x00, 0x07, 0xFE, 0x00, ##          000000000                    0000000000    
            0x00, 0xFF, 0x80, 0x00, 0x1F, 0xFC, 0x00, ##          000000000                  00000000000     
            0x00, 0xFF, 0x80, 0x00, 0xFF, 0xF8, 0x00, ##          000000000               0000000000000      
            0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0xF0, 0x00, ##          000000000000000000000000000000000000       
            0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0xC0, 0x00, ##          0000000000000000000000000000000000         
            0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0x00, 0x00, ##          00000000000000000000000000000000           
            0x00, 0xFF, 0xFF, 0xFF, 0xF0, 0x00, 0x00, ##          0000000000000000000000000000               
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##          000000000                                  
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##          000000000                                  
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##          000000000                                  
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##          000000000                                  
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##          000000000                                  
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##          000000000                                  
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##          000000000                                  
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##          000000000                                  
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##          000000000                                  
            0x00, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##          000000000                                  
            0xFF, 0xFF, 0xFF, 0xE0, 0x00, 0x00, 0x00, ##  000000000000000000000000000                        
            0xFF, 0xFF, 0xFF, 0xE0, 0x00, 0x00, 0x00, ##  000000000000000000000000000                        
            0xFF, 0xFF, 0xFF, 0xE0, 0x00, 0x00, 0x00, ##  000000000000000000000000000                        
            0xFF, 0xFF, 0xFF, 0xE0, 0x00, 0x00, 0x00, ##  000000000000000000000000000                        
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '223' => {    # 'ß'
        'width'    => 51, 
        'xoffset'  => 3, 
        'xadvance' => 58, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x0F, 0xFF, 0x00, 0x00, 0x00, ##                      000000000000                   
            0x00, 0x00, 0x7F, 0xFF, 0xE0, 0x00, 0x00, ##                   000000000000000000                
            0x00, 0x03, 0xFF, 0xFF, 0xF8, 0x00, 0x00, ##                00000000000000000000000              
            0x00, 0x07, 0xFF, 0xFF, 0xFE, 0x00, 0x00, ##               00000000000000000000000000            
            0x00, 0x0F, 0xFC, 0x03, 0xFF, 0x00, 0x00, ##              0000000000        0000000000           
            0x00, 0x1F, 0xE0, 0x00, 0xFF, 0x80, 0x00, ##             00000000             000000000          
            0x00, 0x3F, 0xC0, 0x00, 0x3F, 0xC0, 0x00, ##            00000000                00000000         
            0x00, 0x7F, 0x80, 0x00, 0x1F, 0xE0, 0x00, ##           00000000                  00000000        
            0x00, 0x7F, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##           0000000                   00000000        
            0x00, 0xFF, 0x00, 0x00, 0x0F, 0xF0, 0x00, ##          00000000                    00000000       
            0x00, 0xFF, 0x00, 0x00, 0x0F, 0xF0, 0x00, ##          00000000                    00000000       
            0x01, 0xFE, 0x00, 0x00, 0x07, 0xF0, 0x00, ##         00000000                      0000000       
            0x01, 0xFE, 0x00, 0x00, 0x07, 0xF0, 0x00, ##         00000000                      0000000       
            0x01, 0xFE, 0x00, 0x00, 0x07, 0xF8, 0x00, ##         00000000                      00000000      
            0x01, 0xFE, 0x00, 0x00, 0x07, 0xF8, 0x00, ##         00000000                      00000000      
            0x01, 0xFE, 0x00, 0x00, 0x7F, 0xF8, 0x00, ##         00000000                  000000000000      
            0x01, 0xFE, 0x00, 0x01, 0xFF, 0xF8, 0x00, ##         00000000                00000000000000      
            0x01, 0xFE, 0x00, 0x07, 0xFF, 0xF8, 0x00, ##         00000000              0000000000000000      
            0x01, 0xFE, 0x00, 0x0F, 0xFC, 0x00, 0x00, ##         00000000             0000000000             
            0x01, 0xFE, 0x00, 0x3F, 0xE0, 0x00, 0x00, ##         00000000           000000000                
            0x01, 0xFE, 0x00, 0x3F, 0x80, 0x00, 0x00, ##         00000000           0000000                  
            0x01, 0xFE, 0x00, 0x7F, 0x00, 0x00, 0x00, ##         00000000          0000000                   
            0x01, 0xFE, 0x00, 0xFE, 0x00, 0x00, 0x00, ##         00000000         0000000                    
            0x01, 0xFE, 0x00, 0xFE, 0x00, 0x00, 0x00, ##         00000000         0000000                    
            0x01, 0xFE, 0x01, 0xFC, 0x00, 0x00, 0x00, ##         00000000        0000000                     
            0x01, 0xFE, 0x01, 0xFC, 0x00, 0x00, 0x00, ##         00000000        0000000                     
            0x01, 0xFE, 0x01, 0xFC, 0x00, 0x00, 0x00, ##         00000000        0000000                     
            0x01, 0xFE, 0x01, 0xFC, 0x00, 0x00, 0x00, ##         00000000        0000000                     
            0x01, 0xFE, 0x01, 0xFC, 0x00, 0x00, 0x00, ##         00000000        0000000                     
            0x01, 0xFE, 0x01, 0xFE, 0x00, 0x00, 0x00, ##         00000000        00000000                    
            0x01, 0xFE, 0x01, 0xFE, 0x00, 0x00, 0x00, ##         00000000        00000000                    
            0x01, 0xFE, 0x01, 0xFF, 0x00, 0x00, 0x00, ##         00000000        000000000                   
            0x01, 0xFE, 0x00, 0xFF, 0x80, 0x00, 0x00, ##         00000000         000000000                  
            0x01, 0xFE, 0x00, 0xFF, 0xE0, 0x00, 0x00, ##         00000000         00000000000                
            0x01, 0xFE, 0x00, 0x7F, 0xF0, 0x00, 0x00, ##         00000000          00000000000               
            0x01, 0xFE, 0x00, 0x3F, 0xFC, 0x00, 0x00, ##         00000000           000000000000             
            0x01, 0xFE, 0x00, 0x1F, 0xFE, 0x00, 0x00, ##         00000000            000000000000            
            0x01, 0xFE, 0x00, 0x0F, 0xFF, 0x80, 0x00, ##         00000000             0000000000000          
            0x01, 0xFE, 0x00, 0x07, 0xFF, 0xC0, 0x00, ##         00000000              0000000000000         
            0x01, 0xFE, 0x00, 0x03, 0xFF, 0xF0, 0x00, ##         00000000               00000000000000       
            0x01, 0xFE, 0x00, 0x00, 0xFF, 0xF8, 0x00, ##         00000000                 0000000000000      
            0x01, 0xFE, 0x00, 0x00, 0x7F, 0xFC, 0x00, ##         00000000                  0000000000000     
            0x01, 0xFE, 0x00, 0x00, 0x1F, 0xFE, 0x00, ##         00000000                    000000000000    
            0x01, 0xFE, 0x00, 0x00, 0x0F, 0xFF, 0x00, ##         00000000                     000000000000   
            0x01, 0xFE, 0x00, 0x00, 0x03, 0xFF, 0x80, ##         00000000                       00000000000  
            0x01, 0xFE, 0x00, 0x00, 0x01, 0xFF, 0x80, ##         00000000                        0000000000  
            0x01, 0xFE, 0x00, 0x00, 0x00, 0xFF, 0xC0, ##         00000000                         0000000000 
            0x01, 0xFE, 0x00, 0x00, 0x00, 0x7F, 0xC0, ##         00000000                          000000000 
            0x01, 0xFE, 0x00, 0x00, 0x00, 0x3F, 0xC0, ##         00000000                           00000000 
            0x01, 0xFE, 0x00, 0x00, 0x00, 0x3F, 0xE0, ##         00000000                           000000000
            0x01, 0xFE, 0x00, 0x00, 0x00, 0x3F, 0xE0, ##         00000000                           000000000
            0x01, 0xFE, 0x00, 0x00, 0x00, 0x1F, 0xE0, ##         00000000                            00000000
            0x01, 0xFE, 0x00, 0x00, 0x00, 0x1F, 0xE0, ##         00000000                            00000000
            0x01, 0xFE, 0x00, 0x00, 0x00, 0x1F, 0xE0, ##         00000000                            00000000
            0x01, 0xFE, 0x00, 0x00, 0x00, 0x1F, 0xE0, ##         00000000                            00000000
            0x01, 0xFE, 0x1F, 0x00, 0x00, 0x1F, 0xE0, ##         00000000    00000                   00000000
            0x01, 0xFE, 0x1F, 0x00, 0x00, 0x1F, 0xE0, ##         00000000    00000                   00000000
            0x01, 0xFE, 0x1F, 0x00, 0x00, 0x1F, 0xC0, ##         00000000    00000                   0000000 
            0x01, 0xFE, 0x1F, 0x00, 0x00, 0x3F, 0xC0, ##         00000000    00000                  00000000 
            0x01, 0xFE, 0x1F, 0x80, 0x00, 0x3F, 0xC0, ##         00000000    000000                 00000000 
            0x01, 0xFE, 0x1F, 0x80, 0x00, 0x7F, 0x80, ##         00000000    000000                00000000  
            0x01, 0xFE, 0x1F, 0xC0, 0x00, 0xFF, 0x00, ##         00000000    0000000              00000000   
            0xFF, 0xFE, 0x1F, 0xE0, 0x01, 0xFE, 0x00, ##  000000000000000    00000000            00000000    
            0xFF, 0xFE, 0x1F, 0xF8, 0x07, 0xFC, 0x00, ##  000000000000000    0000000000        000000000     
            0xFF, 0xFE, 0x1F, 0xFF, 0xFF, 0xF8, 0x00, ##  000000000000000    00000000000000000000000000      
            0xFF, 0xFE, 0x07, 0xFF, 0xFF, 0xF0, 0x00, ##  000000000000000      00000000000000000000000       
            0x00, 0x00, 0x01, 0xFF, 0xFF, 0xC0, 0x00, ##                         0000000000000000000         
            0x00, 0x00, 0x00, 0x0F, 0xFC, 0x00, 0x00, ##                              0000000000             
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '224' => {    # 'à'
        'width'    => 45, 
        'xoffset'  => 4, 
        'xadvance' => 51, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x03, 0xFC, 0x00, 0x00, 0x00, 0x00, ##        00000000                               
            0x01, 0xFE, 0x00, 0x00, 0x00, 0x00, ##         00000000                              
            0x00, 0xFE, 0x00, 0x00, 0x00, 0x00, ##          0000000                              
            0x00, 0x7F, 0x00, 0x00, 0x00, 0x00, ##           0000000                             
            0x00, 0x7F, 0x80, 0x00, 0x00, 0x00, ##           00000000                            
            0x00, 0x3F, 0x80, 0x00, 0x00, 0x00, ##            0000000                            
            0x00, 0x1F, 0xC0, 0x00, 0x00, 0x00, ##             0000000                           
            0x00, 0x0F, 0xE0, 0x00, 0x00, 0x00, ##              0000000                          
            0x00, 0x07, 0xE0, 0x00, 0x00, 0x00, ##               000000                          
            0x00, 0x03, 0xF0, 0x00, 0x00, 0x00, ##                000000                         
            0x00, 0x01, 0xF8, 0x00, 0x00, 0x00, ##                 000000                        
            0x00, 0x01, 0xF8, 0x00, 0x00, 0x00, ##                 000000                        
            0x00, 0x00, 0xFC, 0x00, 0x00, 0x00, ##                  000000                       
            0x00, 0x00, 0x7E, 0x00, 0x00, 0x00, ##                   000000                      
            0x00, 0x00, 0x3E, 0x00, 0x00, 0x00, ##                    00000                      
            0x00, 0x00, 0x1F, 0x00, 0x00, 0x00, ##                     00000                     
            0x00, 0x00, 0x0F, 0x80, 0x00, 0x00, ##                      00000                    
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                               
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                               
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                               
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                               
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                               
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                               
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                               
            0x00, 0x07, 0xFF, 0x00, 0x00, 0x00, ##               00000000000                     
            0x00, 0x7F, 0xFF, 0xF0, 0x00, 0x00, ##           0000000000000000000                 
            0x03, 0xFF, 0xFF, 0xFC, 0x00, 0x00, ##        000000000000000000000000               
            0x0F, 0xFF, 0xFF, 0xFF, 0x00, 0x00, ##      0000000000000000000000000000             
            0x0F, 0xFC, 0x03, 0xFF, 0x80, 0x00, ##      0000000000        00000000000            
            0x0F, 0xF0, 0x00, 0x7F, 0xC0, 0x00, ##      00000000             000000000           
            0x0F, 0xE0, 0x00, 0x1F, 0xE0, 0x00, ##      0000000                00000000          
            0x0F, 0xC0, 0x00, 0x0F, 0xE0, 0x00, ##      000000                  0000000          
            0x0F, 0x80, 0x00, 0x0F, 0xF0, 0x00, ##      00000                   00000000         
            0x0F, 0x00, 0x00, 0x07, 0xF0, 0x00, ##      0000                     0000000         
            0x0F, 0x00, 0x00, 0x07, 0xF8, 0x00, ##      0000                     00000000        
            0x0F, 0x00, 0x00, 0x03, 0xF8, 0x00, ##      0000                      0000000        
            0x00, 0x00, 0x00, 0x03, 0xF8, 0x00, ##                                0000000        
            0x00, 0x00, 0x00, 0x03, 0xFC, 0x00, ##                                00000000       
            0x00, 0x00, 0x00, 0x03, 0xFC, 0x00, ##                                00000000       
            0x00, 0x00, 0x00, 0x03, 0xFC, 0x00, ##                                00000000       
            0x00, 0x00, 0x00, 0x03, 0xFC, 0x00, ##                                00000000       
            0x00, 0x00, 0x00, 0x03, 0xFC, 0x00, ##                                00000000       
            0x00, 0x07, 0xFF, 0xFF, 0xFC, 0x00, ##               0000000000000000000000000       
            0x00, 0x7F, 0xFF, 0xFF, 0xFC, 0x00, ##           00000000000000000000000000000       
            0x01, 0xFF, 0xFF, 0xFF, 0xFC, 0x00, ##         0000000000000000000000000000000       
            0x03, 0xFF, 0xFF, 0xFF, 0xFC, 0x00, ##        00000000000000000000000000000000       
            0x0F, 0xFF, 0x00, 0x03, 0xFC, 0x00, ##      000000000000              00000000       
            0x1F, 0xF8, 0x00, 0x03, 0xFC, 0x00, ##     0000000000                 00000000       
            0x1F, 0xF0, 0x00, 0x03, 0xFC, 0x00, ##     000000000                  00000000       
            0x3F, 0xE0, 0x00, 0x03, 0xFC, 0x00, ##    000000000                   00000000       
            0x7F, 0xC0, 0x00, 0x03, 0xFC, 0x00, ##   000000000                    00000000       
            0x7F, 0xC0, 0x00, 0x03, 0xFC, 0x00, ##   000000000                    00000000       
            0x7F, 0xC0, 0x00, 0x03, 0xFC, 0x00, ##   000000000                    00000000       
            0xFF, 0x80, 0x00, 0x03, 0xFC, 0x00, ##  000000000                     00000000       
            0xFF, 0x80, 0x00, 0x03, 0xFC, 0x00, ##  000000000                     00000000       
            0xFF, 0x80, 0x00, 0x03, 0xFC, 0x00, ##  000000000                     00000000       
            0xFF, 0x80, 0x00, 0x03, 0xFC, 0x00, ##  000000000                     00000000       
            0xFF, 0x80, 0x00, 0x03, 0xFC, 0x00, ##  000000000                     00000000       
            0xFF, 0x80, 0x00, 0x03, 0xFC, 0x00, ##  000000000                     00000000       
            0xFF, 0x80, 0x00, 0x03, 0xFC, 0x00, ##  000000000                     00000000       
            0xFF, 0x80, 0x00, 0x07, 0xFC, 0x00, ##  000000000                    000000000       
            0x7F, 0xC0, 0x00, 0x07, 0xFC, 0x00, ##   000000000                   000000000       
            0x7F, 0xC0, 0x00, 0x07, 0xFC, 0x00, ##   000000000                   000000000       
            0x7F, 0xE0, 0x00, 0x0F, 0xFC, 0x00, ##   0000000000                 0000000000       
            0x3F, 0xE0, 0x00, 0x1F, 0xFC, 0x00, ##    000000000                00000000000       
            0x3F, 0xF0, 0x00, 0x3F, 0xFC, 0x00, ##    0000000000              000000000000       
            0x1F, 0xFC, 0x00, 0x7B, 0xFF, 0xF8, ##     00000000000           0000 000000000000000
            0x0F, 0xFF, 0x01, 0xF3, 0xFF, 0xF8, ##      000000000000       00000  000000000000000
            0x07, 0xFF, 0xFF, 0xE3, 0xFF, 0xF8, ##       0000000000000000000000   000000000000000
            0x03, 0xFF, 0xFF, 0xC3, 0xFF, 0xF8, ##        00000000000000000000    000000000000000
            0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, ##          0000000000000000                     
            0x00, 0x1F, 0xF8, 0x00, 0x00, 0x00, ##             0000000000                        
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '225' => {    # 'á'
        'width'    => 45, 
        'xoffset'  => 4, 
        'xadvance' => 51, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x7F, 0xC0, 0x00, ##                           000000000           
            0x00, 0x00, 0x00, 0x7F, 0x80, 0x00, ##                           00000000            
            0x00, 0x00, 0x00, 0xFF, 0x00, 0x00, ##                          00000000             
            0x00, 0x00, 0x01, 0xFE, 0x00, 0x00, ##                         00000000              
            0x00, 0x00, 0x01, 0xFC, 0x00, 0x00, ##                         0000000               
            0x00, 0x00, 0x03, 0xF8, 0x00, 0x00, ##                        0000000                
            0x00, 0x00, 0x07, 0xF0, 0x00, 0x00, ##                       0000000                 
            0x00, 0x00, 0x07, 0xF0, 0x00, 0x00, ##                       0000000                 
            0x00, 0x00, 0x0F, 0xE0, 0x00, 0x00, ##                      0000000                  
            0x00, 0x00, 0x1F, 0xC0, 0x00, 0x00, ##                     0000000                   
            0x00, 0x00, 0x1F, 0x80, 0x00, 0x00, ##                     000000                    
            0x00, 0x00, 0x3F, 0x00, 0x00, 0x00, ##                    000000                     
            0x00, 0x00, 0x7E, 0x00, 0x00, 0x00, ##                   000000                      
            0x00, 0x00, 0x7C, 0x00, 0x00, 0x00, ##                   00000                       
            0x00, 0x00, 0xF8, 0x00, 0x00, 0x00, ##                  00000                        
            0x00, 0x00, 0xF8, 0x00, 0x00, 0x00, ##                  00000                        
            0x00, 0x01, 0xF0, 0x00, 0x00, 0x00, ##                 00000                         
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                               
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                               
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                               
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                               
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                               
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                               
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                               
            0x00, 0x07, 0xFF, 0x00, 0x00, 0x00, ##               00000000000                     
            0x00, 0x7F, 0xFF, 0xF0, 0x00, 0x00, ##           0000000000000000000                 
            0x03, 0xFF, 0xFF, 0xFC, 0x00, 0x00, ##        000000000000000000000000               
            0x0F, 0xFF, 0xFF, 0xFF, 0x00, 0x00, ##      0000000000000000000000000000             
            0x0F, 0xFE, 0x03, 0xFF, 0x80, 0x00, ##      00000000000       00000000000            
            0x0F, 0xF0, 0x00, 0x7F, 0xC0, 0x00, ##      00000000             000000000           
            0x0F, 0xE0, 0x00, 0x1F, 0xE0, 0x00, ##      0000000                00000000          
            0x0F, 0xC0, 0x00, 0x0F, 0xE0, 0x00, ##      000000                  0000000          
            0x0F, 0x80, 0x00, 0x0F, 0xF0, 0x00, ##      00000                   00000000         
            0x0F, 0x80, 0x00, 0x07, 0xF0, 0x00, ##      00000                    0000000         
            0x0F, 0x00, 0x00, 0x07, 0xF8, 0x00, ##      0000                     00000000        
            0x0F, 0x00, 0x00, 0x03, 0xF8, 0x00, ##      0000                      0000000        
            0x00, 0x00, 0x00, 0x03, 0xF8, 0x00, ##                                0000000        
            0x00, 0x00, 0x00, 0x03, 0xFC, 0x00, ##                                00000000       
            0x00, 0x00, 0x00, 0x03, 0xFC, 0x00, ##                                00000000       
            0x00, 0x00, 0x00, 0x03, 0xFC, 0x00, ##                                00000000       
            0x00, 0x00, 0x00, 0x03, 0xFC, 0x00, ##                                00000000       
            0x00, 0x00, 0x00, 0x03, 0xFC, 0x00, ##                                00000000       
            0x00, 0x07, 0xFF, 0xFF, 0xFC, 0x00, ##               0000000000000000000000000       
            0x00, 0x7F, 0xFF, 0xFF, 0xFC, 0x00, ##           00000000000000000000000000000       
            0x01, 0xFF, 0xFF, 0xFF, 0xFC, 0x00, ##         0000000000000000000000000000000       
            0x03, 0xFF, 0xFF, 0xFF, 0xFC, 0x00, ##        00000000000000000000000000000000       
            0x0F, 0xFF, 0x00, 0x03, 0xFC, 0x00, ##      000000000000              00000000       
            0x1F, 0xF8, 0x00, 0x03, 0xFC, 0x00, ##     0000000000                 00000000       
            0x1F, 0xF0, 0x00, 0x03, 0xFC, 0x00, ##     000000000                  00000000       
            0x3F, 0xE0, 0x00, 0x03, 0xFC, 0x00, ##    000000000                   00000000       
            0x7F, 0xC0, 0x00, 0x03, 0xFC, 0x00, ##   000000000                    00000000       
            0x7F, 0xC0, 0x00, 0x03, 0xFC, 0x00, ##   000000000                    00000000       
            0x7F, 0xC0, 0x00, 0x03, 0xFC, 0x00, ##   000000000                    00000000       
            0xFF, 0x80, 0x00, 0x03, 0xFC, 0x00, ##  000000000                     00000000       
            0xFF, 0x80, 0x00, 0x03, 0xFC, 0x00, ##  000000000                     00000000       
            0xFF, 0x80, 0x00, 0x03, 0xFC, 0x00, ##  000000000                     00000000       
            0xFF, 0x80, 0x00, 0x03, 0xFC, 0x00, ##  000000000                     00000000       
            0xFF, 0x80, 0x00, 0x03, 0xFC, 0x00, ##  000000000                     00000000       
            0xFF, 0x80, 0x00, 0x03, 0xFC, 0x00, ##  000000000                     00000000       
            0xFF, 0x80, 0x00, 0x03, 0xFC, 0x00, ##  000000000                     00000000       
            0xFF, 0x80, 0x00, 0x07, 0xFC, 0x00, ##  000000000                    000000000       
            0x7F, 0xC0, 0x00, 0x07, 0xFC, 0x00, ##   000000000                   000000000       
            0x7F, 0xC0, 0x00, 0x07, 0xFC, 0x00, ##   000000000                   000000000       
            0x7F, 0xE0, 0x00, 0x0F, 0xFC, 0x00, ##   0000000000                 0000000000       
            0x3F, 0xE0, 0x00, 0x1F, 0xFC, 0x00, ##    000000000                00000000000       
            0x3F, 0xF0, 0x00, 0x3F, 0xFC, 0x00, ##    0000000000              000000000000       
            0x1F, 0xFC, 0x00, 0x7B, 0xFF, 0xF8, ##     00000000000           0000 000000000000000
            0x0F, 0xFF, 0x01, 0xF3, 0xFF, 0xF8, ##      000000000000       00000  000000000000000
            0x07, 0xFF, 0xFF, 0xE3, 0xFF, 0xF8, ##       0000000000000000000000   000000000000000
            0x03, 0xFF, 0xFF, 0xC3, 0xFF, 0xF8, ##        00000000000000000000    000000000000000
            0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, ##          0000000000000000                     
            0x00, 0x1F, 0xF8, 0x00, 0x00, 0x00, ##             0000000000                        
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '226' => {    # 'â'
        'width'    => 45, 
        'xoffset'  => 4, 
        'xadvance' => 51, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0xFF, 0x00, 0x00, 0x00, ##                  00000000                     
            0x00, 0x01, 0xFF, 0x00, 0x00, 0x00, ##                 000000000                     
            0x00, 0x01, 0xFF, 0x80, 0x00, 0x00, ##                 0000000000                    
            0x00, 0x03, 0xFF, 0x80, 0x00, 0x00, ##                00000000000                    
            0x00, 0x03, 0xFF, 0xC0, 0x00, 0x00, ##                000000000000                   
            0x00, 0x07, 0xFF, 0xE0, 0x00, 0x00, ##               00000000000000                  
            0x00, 0x0F, 0xE7, 0xE0, 0x00, 0x00, ##              0000000  000000                  
            0x00, 0x0F, 0xC3, 0xF0, 0x00, 0x00, ##              000000    000000                 
            0x00, 0x1F, 0x83, 0xF0, 0x00, 0x00, ##             000000     000000                 
            0x00, 0x1F, 0x81, 0xF8, 0x00, 0x00, ##             000000      000000                
            0x00, 0x3F, 0x00, 0xFC, 0x00, 0x00, ##            000000        000000               
            0x00, 0x7E, 0x00, 0x7C, 0x00, 0x00, ##           000000          00000               
            0x00, 0x7C, 0x00, 0x7E, 0x00, 0x00, ##           00000           000000              
            0x00, 0xFC, 0x00, 0x3E, 0x00, 0x00, ##          000000            00000              
            0x00, 0xF8, 0x00, 0x1F, 0x00, 0x00, ##          00000              00000             
            0x01, 0xF0, 0x00, 0x1F, 0x80, 0x00, ##         00000               000000            
            0x03, 0xE0, 0x00, 0x0F, 0x80, 0x00, ##        00000                 00000            
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                               
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                               
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                               
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                               
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                               
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                               
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                               
            0x00, 0x07, 0xFF, 0x00, 0x00, 0x00, ##               00000000000                     
            0x00, 0x7F, 0xFF, 0xF0, 0x00, 0x00, ##           0000000000000000000                 
            0x03, 0xFF, 0xFF, 0xFC, 0x00, 0x00, ##        000000000000000000000000               
            0x0F, 0xFF, 0xFF, 0xFF, 0x00, 0x00, ##      0000000000000000000000000000             
            0x0F, 0xFE, 0x03, 0xFF, 0x80, 0x00, ##      00000000000       00000000000            
            0x0F, 0xF0, 0x00, 0x7F, 0xC0, 0x00, ##      00000000             000000000           
            0x0F, 0xE0, 0x00, 0x1F, 0xE0, 0x00, ##      0000000                00000000          
            0x0F, 0xC0, 0x00, 0x0F, 0xE0, 0x00, ##      000000                  0000000          
            0x0F, 0x80, 0x00, 0x0F, 0xF0, 0x00, ##      00000                   00000000         
            0x0F, 0x80, 0x00, 0x07, 0xF0, 0x00, ##      00000                    0000000         
            0x0F, 0x00, 0x00, 0x07, 0xF8, 0x00, ##      0000                     00000000        
            0x0F, 0x00, 0x00, 0x03, 0xF8, 0x00, ##      0000                      0000000        
            0x00, 0x00, 0x00, 0x03, 0xF8, 0x00, ##                                0000000        
            0x00, 0x00, 0x00, 0x03, 0xFC, 0x00, ##                                00000000       
            0x00, 0x00, 0x00, 0x03, 0xFC, 0x00, ##                                00000000       
            0x00, 0x00, 0x00, 0x03, 0xFC, 0x00, ##                                00000000       
            0x00, 0x00, 0x00, 0x03, 0xFC, 0x00, ##                                00000000       
            0x00, 0x00, 0x00, 0x03, 0xFC, 0x00, ##                                00000000       
            0x00, 0x07, 0xFF, 0xFF, 0xFC, 0x00, ##               0000000000000000000000000       
            0x00, 0x7F, 0xFF, 0xFF, 0xFC, 0x00, ##           00000000000000000000000000000       
            0x01, 0xFF, 0xFF, 0xFF, 0xFC, 0x00, ##         0000000000000000000000000000000       
            0x03, 0xFF, 0xFF, 0xFF, 0xFC, 0x00, ##        00000000000000000000000000000000       
            0x0F, 0xFF, 0x00, 0x03, 0xFC, 0x00, ##      000000000000              00000000       
            0x1F, 0xF8, 0x00, 0x03, 0xFC, 0x00, ##     0000000000                 00000000       
            0x1F, 0xF0, 0x00, 0x03, 0xFC, 0x00, ##     000000000                  00000000       
            0x3F, 0xE0, 0x00, 0x03, 0xFC, 0x00, ##    000000000                   00000000       
            0x7F, 0xC0, 0x00, 0x03, 0xFC, 0x00, ##   000000000                    00000000       
            0x7F, 0xC0, 0x00, 0x03, 0xFC, 0x00, ##   000000000                    00000000       
            0x7F, 0xC0, 0x00, 0x03, 0xFC, 0x00, ##   000000000                    00000000       
            0xFF, 0x80, 0x00, 0x03, 0xFC, 0x00, ##  000000000                     00000000       
            0xFF, 0x80, 0x00, 0x03, 0xFC, 0x00, ##  000000000                     00000000       
            0xFF, 0x80, 0x00, 0x03, 0xFC, 0x00, ##  000000000                     00000000       
            0xFF, 0x80, 0x00, 0x03, 0xFC, 0x00, ##  000000000                     00000000       
            0xFF, 0x80, 0x00, 0x03, 0xFC, 0x00, ##  000000000                     00000000       
            0xFF, 0x80, 0x00, 0x03, 0xFC, 0x00, ##  000000000                     00000000       
            0xFF, 0x80, 0x00, 0x03, 0xFC, 0x00, ##  000000000                     00000000       
            0xFF, 0x80, 0x00, 0x07, 0xFC, 0x00, ##  000000000                    000000000       
            0x7F, 0xC0, 0x00, 0x07, 0xFC, 0x00, ##   000000000                   000000000       
            0x7F, 0xC0, 0x00, 0x07, 0xFC, 0x00, ##   000000000                   000000000       
            0x7F, 0xE0, 0x00, 0x0F, 0xFC, 0x00, ##   0000000000                 0000000000       
            0x3F, 0xE0, 0x00, 0x1F, 0xFC, 0x00, ##    000000000                00000000000       
            0x3F, 0xF0, 0x00, 0x3F, 0xFC, 0x00, ##    0000000000              000000000000       
            0x1F, 0xFC, 0x00, 0x7B, 0xFF, 0xF8, ##     00000000000           0000 000000000000000
            0x0F, 0xFF, 0x01, 0xF3, 0xFF, 0xF8, ##      000000000000       00000  000000000000000
            0x07, 0xFF, 0xFF, 0xE3, 0xFF, 0xF8, ##       0000000000000000000000   000000000000000
            0x03, 0xFF, 0xFF, 0xC3, 0xFF, 0xF8, ##        00000000000000000000    000000000000000
            0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, ##          0000000000000000                     
            0x00, 0x1F, 0xF8, 0x00, 0x00, 0x00, ##             0000000000                        
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '227' => {    # 'ã'
        'width'    => 45, 
        'xoffset'  => 4, 
        'xadvance' => 51, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x1F, 0x80, 0x03, 0xC0, 0x00, ##             000000             0000           
            0x00, 0x3F, 0xE0, 0x03, 0xC0, 0x00, ##            000000000           0000           
            0x00, 0xFF, 0xF0, 0x03, 0xC0, 0x00, ##          000000000000          0000           
            0x00, 0xFF, 0xFC, 0x07, 0xC0, 0x00, ##          00000000000000       00000           
            0x01, 0xFF, 0xFE, 0x07, 0x80, 0x00, ##         0000000000000000      0000            
            0x01, 0xF0, 0xFF, 0x0F, 0x80, 0x00, ##         00000    00000000    00000            
            0x03, 0xE0, 0x7F, 0xFF, 0x80, 0x00, ##        00000      0000000000000000            
            0x03, 0xE0, 0x3F, 0xFF, 0x00, 0x00, ##        00000       00000000000000             
            0x03, 0xC0, 0x0F, 0xFF, 0x00, 0x00, ##        0000          000000000000             
            0x03, 0xC0, 0x07, 0xFC, 0x00, 0x00, ##        0000           000000000               
            0x03, 0xC0, 0x01, 0xF8, 0x00, 0x00, ##        0000             000000                
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                               
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                               
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                               
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                               
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                               
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                               
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                               
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                               
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                               
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                               
            0x00, 0x07, 0xFF, 0x00, 0x00, 0x00, ##               00000000000                     
            0x00, 0x7F, 0xFF, 0xF0, 0x00, 0x00, ##           0000000000000000000                 
            0x03, 0xFF, 0xFF, 0xFC, 0x00, 0x00, ##        000000000000000000000000               
            0x0F, 0xFF, 0xFF, 0xFF, 0x00, 0x00, ##      0000000000000000000000000000             
            0x0F, 0xFC, 0x03, 0xFF, 0x80, 0x00, ##      0000000000        00000000000            
            0x0F, 0xF0, 0x00, 0x7F, 0xC0, 0x00, ##      00000000             000000000           
            0x0F, 0xE0, 0x00, 0x1F, 0xE0, 0x00, ##      0000000                00000000          
            0x0F, 0xC0, 0x00, 0x0F, 0xE0, 0x00, ##      000000                  0000000          
            0x0F, 0x80, 0x00, 0x0F, 0xF0, 0x00, ##      00000                   00000000         
            0x0F, 0x80, 0x00, 0x07, 0xF0, 0x00, ##      00000                    0000000         
            0x0F, 0x00, 0x00, 0x07, 0xF8, 0x00, ##      0000                     00000000        
            0x0F, 0x00, 0x00, 0x03, 0xF8, 0x00, ##      0000                      0000000        
            0x00, 0x00, 0x00, 0x03, 0xF8, 0x00, ##                                0000000        
            0x00, 0x00, 0x00, 0x03, 0xFC, 0x00, ##                                00000000       
            0x00, 0x00, 0x00, 0x03, 0xFC, 0x00, ##                                00000000       
            0x00, 0x00, 0x00, 0x03, 0xFC, 0x00, ##                                00000000       
            0x00, 0x00, 0x00, 0x03, 0xFC, 0x00, ##                                00000000       
            0x00, 0x00, 0x00, 0x03, 0xFC, 0x00, ##                                00000000       
            0x00, 0x07, 0xFF, 0xFF, 0xFC, 0x00, ##               0000000000000000000000000       
            0x00, 0x7F, 0xFF, 0xFF, 0xFC, 0x00, ##           00000000000000000000000000000       
            0x01, 0xFF, 0xFF, 0xFF, 0xFC, 0x00, ##         0000000000000000000000000000000       
            0x03, 0xFF, 0xFF, 0xFF, 0xFC, 0x00, ##        00000000000000000000000000000000       
            0x0F, 0xFF, 0x00, 0x03, 0xFC, 0x00, ##      000000000000              00000000       
            0x1F, 0xF8, 0x00, 0x03, 0xFC, 0x00, ##     0000000000                 00000000       
            0x1F, 0xF0, 0x00, 0x03, 0xFC, 0x00, ##     000000000                  00000000       
            0x3F, 0xE0, 0x00, 0x03, 0xFC, 0x00, ##    000000000                   00000000       
            0x7F, 0xC0, 0x00, 0x03, 0xFC, 0x00, ##   000000000                    00000000       
            0x7F, 0xC0, 0x00, 0x03, 0xFC, 0x00, ##   000000000                    00000000       
            0x7F, 0xC0, 0x00, 0x03, 0xFC, 0x00, ##   000000000                    00000000       
            0xFF, 0x80, 0x00, 0x03, 0xFC, 0x00, ##  000000000                     00000000       
            0xFF, 0x80, 0x00, 0x03, 0xFC, 0x00, ##  000000000                     00000000       
            0xFF, 0x80, 0x00, 0x03, 0xFC, 0x00, ##  000000000                     00000000       
            0xFF, 0x80, 0x00, 0x03, 0xFC, 0x00, ##  000000000                     00000000       
            0xFF, 0x80, 0x00, 0x03, 0xFC, 0x00, ##  000000000                     00000000       
            0xFF, 0x80, 0x00, 0x03, 0xFC, 0x00, ##  000000000                     00000000       
            0xFF, 0x80, 0x00, 0x03, 0xFC, 0x00, ##  000000000                     00000000       
            0xFF, 0x80, 0x00, 0x07, 0xFC, 0x00, ##  000000000                    000000000       
            0x7F, 0xC0, 0x00, 0x07, 0xFC, 0x00, ##   000000000                   000000000       
            0x7F, 0xC0, 0x00, 0x07, 0xFC, 0x00, ##   000000000                   000000000       
            0x7F, 0xE0, 0x00, 0x0F, 0xFC, 0x00, ##   0000000000                 0000000000       
            0x3F, 0xE0, 0x00, 0x1F, 0xFC, 0x00, ##    000000000                00000000000       
            0x3F, 0xF0, 0x00, 0x3F, 0xFC, 0x00, ##    0000000000              000000000000       
            0x1F, 0xFC, 0x00, 0x7B, 0xFF, 0xF8, ##     00000000000           0000 000000000000000
            0x0F, 0xFF, 0x01, 0xF3, 0xFF, 0xF8, ##      000000000000       00000  000000000000000
            0x07, 0xFF, 0xFF, 0xE3, 0xFF, 0xF8, ##       0000000000000000000000   000000000000000
            0x03, 0xFF, 0xFF, 0xC3, 0xFF, 0xF8, ##        00000000000000000000    000000000000000
            0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, ##          0000000000000000                     
            0x00, 0x1F, 0xF8, 0x00, 0x00, 0x00, ##             0000000000                        
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '228' => {    # 'ä'
        'width'    => 45, 
        'xoffset'  => 4, 
        'xadvance' => 51, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x3C, 0x00, 0x3C, 0x00, 0x00, ##            0000            0000               
            0x00, 0xFF, 0x00, 0xFF, 0x00, 0x00, ##          00000000        00000000             
            0x00, 0xFF, 0x00, 0xFF, 0x00, 0x00, ##          00000000        00000000             
            0x01, 0xFF, 0x81, 0xFF, 0x80, 0x00, ##         0000000000      0000000000            
            0x01, 0xFF, 0x81, 0xFF, 0x80, 0x00, ##         0000000000      0000000000            
            0x01, 0xFF, 0x81, 0xFF, 0x80, 0x00, ##         0000000000      0000000000            
            0x01, 0xFF, 0x81, 0xFF, 0x80, 0x00, ##         0000000000      0000000000            
            0x00, 0xFF, 0x00, 0xFF, 0x00, 0x00, ##          00000000        00000000             
            0x00, 0xFF, 0x00, 0xFF, 0x00, 0x00, ##          00000000        00000000             
            0x00, 0x3C, 0x00, 0x3C, 0x00, 0x00, ##            0000            0000               
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                               
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                               
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                               
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                               
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                               
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                               
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                               
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                               
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                               
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                               
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                               
            0x00, 0x07, 0xFF, 0x00, 0x00, 0x00, ##               00000000000                     
            0x00, 0x7F, 0xFF, 0xF0, 0x00, 0x00, ##           0000000000000000000                 
            0x03, 0xFF, 0xFF, 0xFC, 0x00, 0x00, ##        000000000000000000000000               
            0x0F, 0xFF, 0xFF, 0xFF, 0x00, 0x00, ##      0000000000000000000000000000             
            0x0F, 0xFE, 0x03, 0xFF, 0x80, 0x00, ##      00000000000       00000000000            
            0x0F, 0xF0, 0x00, 0x7F, 0xC0, 0x00, ##      00000000             000000000           
            0x0F, 0xE0, 0x00, 0x1F, 0xE0, 0x00, ##      0000000                00000000          
            0x0F, 0xC0, 0x00, 0x0F, 0xE0, 0x00, ##      000000                  0000000          
            0x0F, 0x80, 0x00, 0x0F, 0xF0, 0x00, ##      00000                   00000000         
            0x0F, 0x80, 0x00, 0x07, 0xF0, 0x00, ##      00000                    0000000         
            0x0F, 0x00, 0x00, 0x07, 0xF8, 0x00, ##      0000                     00000000        
            0x0F, 0x00, 0x00, 0x03, 0xF8, 0x00, ##      0000                      0000000        
            0x00, 0x00, 0x00, 0x03, 0xF8, 0x00, ##                                0000000        
            0x00, 0x00, 0x00, 0x03, 0xFC, 0x00, ##                                00000000       
            0x00, 0x00, 0x00, 0x03, 0xFC, 0x00, ##                                00000000       
            0x00, 0x00, 0x00, 0x03, 0xFC, 0x00, ##                                00000000       
            0x00, 0x00, 0x00, 0x03, 0xFC, 0x00, ##                                00000000       
            0x00, 0x00, 0x00, 0x03, 0xFC, 0x00, ##                                00000000       
            0x00, 0x07, 0xFF, 0xFF, 0xFC, 0x00, ##               0000000000000000000000000       
            0x00, 0x7F, 0xFF, 0xFF, 0xFC, 0x00, ##           00000000000000000000000000000       
            0x01, 0xFF, 0xFF, 0xFF, 0xFC, 0x00, ##         0000000000000000000000000000000       
            0x03, 0xFF, 0xFF, 0xFF, 0xFC, 0x00, ##        00000000000000000000000000000000       
            0x0F, 0xFF, 0x00, 0x03, 0xFC, 0x00, ##      000000000000              00000000       
            0x1F, 0xF8, 0x00, 0x03, 0xFC, 0x00, ##     0000000000                 00000000       
            0x1F, 0xF0, 0x00, 0x03, 0xFC, 0x00, ##     000000000                  00000000       
            0x3F, 0xE0, 0x00, 0x03, 0xFC, 0x00, ##    000000000                   00000000       
            0x7F, 0xC0, 0x00, 0x03, 0xFC, 0x00, ##   000000000                    00000000       
            0x7F, 0xC0, 0x00, 0x03, 0xFC, 0x00, ##   000000000                    00000000       
            0x7F, 0xC0, 0x00, 0x03, 0xFC, 0x00, ##   000000000                    00000000       
            0xFF, 0x80, 0x00, 0x03, 0xFC, 0x00, ##  000000000                     00000000       
            0xFF, 0x80, 0x00, 0x03, 0xFC, 0x00, ##  000000000                     00000000       
            0xFF, 0x80, 0x00, 0x03, 0xFC, 0x00, ##  000000000                     00000000       
            0xFF, 0x80, 0x00, 0x03, 0xFC, 0x00, ##  000000000                     00000000       
            0xFF, 0x80, 0x00, 0x03, 0xFC, 0x00, ##  000000000                     00000000       
            0xFF, 0x80, 0x00, 0x03, 0xFC, 0x00, ##  000000000                     00000000       
            0xFF, 0x80, 0x00, 0x03, 0xFC, 0x00, ##  000000000                     00000000       
            0xFF, 0x80, 0x00, 0x07, 0xFC, 0x00, ##  000000000                    000000000       
            0x7F, 0xC0, 0x00, 0x07, 0xFC, 0x00, ##   000000000                   000000000       
            0x7F, 0xC0, 0x00, 0x07, 0xFC, 0x00, ##   000000000                   000000000       
            0x7F, 0xE0, 0x00, 0x0F, 0xFC, 0x00, ##   0000000000                 0000000000       
            0x3F, 0xE0, 0x00, 0x1F, 0xFC, 0x00, ##    000000000                00000000000       
            0x3F, 0xF0, 0x00, 0x3F, 0xFC, 0x00, ##    0000000000              000000000000       
            0x1F, 0xFC, 0x00, 0x7B, 0xFF, 0xF8, ##     00000000000           0000 000000000000000
            0x0F, 0xFF, 0x01, 0xF3, 0xFF, 0xF8, ##      000000000000       00000  000000000000000
            0x07, 0xFF, 0xFF, 0xE3, 0xFF, 0xF8, ##       0000000000000000000000   000000000000000
            0x03, 0xFF, 0xFF, 0xC3, 0xFF, 0xF8, ##        00000000000000000000    000000000000000
            0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, ##          0000000000000000                     
            0x00, 0x1F, 0xF8, 0x00, 0x00, 0x00, ##             0000000000                        
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '229' => {    # 'å'
        'width'    => 45, 
        'xoffset'  => 4, 
        'xadvance' => 51, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0xFE, 0x00, 0x00, 0x00, ##                  0000000                      
            0x00, 0x03, 0xFF, 0x80, 0x00, 0x00, ##                00000000000                    
            0x00, 0x0F, 0xFF, 0xE0, 0x00, 0x00, ##              000000000000000                  
            0x00, 0x1F, 0xFF, 0xF0, 0x00, 0x00, ##             00000000000000000                 
            0x00, 0x3F, 0xFF, 0xF8, 0x00, 0x00, ##            0000000000000000000                
            0x00, 0x3F, 0x83, 0xF8, 0x00, 0x00, ##            0000000     0000000                
            0x00, 0x7E, 0x00, 0xFC, 0x00, 0x00, ##           000000         000000               
            0x00, 0x7C, 0x00, 0x7C, 0x00, 0x00, ##           00000           00000               
            0x00, 0xFC, 0x00, 0x7E, 0x00, 0x00, ##          000000           000000              
            0x00, 0xF8, 0x00, 0x3E, 0x00, 0x00, ##          00000             00000              
            0x00, 0xF8, 0x00, 0x3E, 0x00, 0x00, ##          00000             00000              
            0x00, 0xF8, 0x00, 0x3E, 0x00, 0x00, ##          00000             00000              
            0x00, 0xF8, 0x00, 0x3E, 0x00, 0x00, ##          00000             00000              
            0x00, 0xF8, 0x00, 0x3E, 0x00, 0x00, ##          00000             00000              
            0x00, 0xFC, 0x00, 0x7E, 0x00, 0x00, ##          000000           000000              
            0x00, 0x7C, 0x00, 0x7C, 0x00, 0x00, ##           00000           00000               
            0x00, 0x7E, 0x00, 0xFC, 0x00, 0x00, ##           000000         000000               
            0x00, 0x3F, 0x83, 0xF8, 0x00, 0x00, ##            0000000     0000000                
            0x00, 0x3F, 0xFF, 0xF8, 0x00, 0x00, ##            0000000000000000000                
            0x00, 0x1F, 0xFF, 0xF0, 0x00, 0x00, ##             00000000000000000                 
            0x00, 0x0F, 0xFF, 0xE0, 0x00, 0x00, ##              000000000000000                  
            0x00, 0x03, 0xFF, 0x80, 0x00, 0x00, ##                00000000000                    
            0x00, 0x00, 0xFE, 0x00, 0x00, 0x00, ##                  0000000                      
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                               
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                               
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                               
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                               
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                               
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                               
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                               
            0x00, 0x07, 0xFF, 0x00, 0x00, 0x00, ##               00000000000                     
            0x00, 0x7F, 0xFF, 0xF0, 0x00, 0x00, ##           0000000000000000000                 
            0x03, 0xFF, 0xFF, 0xFC, 0x00, 0x00, ##        000000000000000000000000               
            0x1F, 0xFF, 0xFF, 0xFF, 0x00, 0x00, ##     00000000000000000000000000000             
            0x1F, 0xFC, 0x03, 0xFF, 0x80, 0x00, ##     00000000000        00000000000            
            0x1F, 0xF0, 0x00, 0x7F, 0xC0, 0x00, ##     000000000             000000000           
            0x1F, 0xC0, 0x00, 0x3F, 0xE0, 0x00, ##     0000000                000000000          
            0x1F, 0x80, 0x00, 0x1F, 0xE0, 0x00, ##     000000                  00000000          
            0x1F, 0x80, 0x00, 0x0F, 0xF0, 0x00, ##     000000                   00000000         
            0x1F, 0x00, 0x00, 0x07, 0xF0, 0x00, ##     00000                     0000000         
            0x1F, 0x00, 0x00, 0x07, 0xF8, 0x00, ##     00000                     00000000        
            0x1F, 0x00, 0x00, 0x03, 0xF8, 0x00, ##     00000                      0000000        
            0x00, 0x00, 0x00, 0x03, 0xF8, 0x00, ##                                0000000        
            0x00, 0x00, 0x00, 0x03, 0xFC, 0x00, ##                                00000000       
            0x00, 0x00, 0x00, 0x03, 0xFC, 0x00, ##                                00000000       
            0x00, 0x00, 0x00, 0x03, 0xFC, 0x00, ##                                00000000       
            0x00, 0x00, 0x00, 0x03, 0xFC, 0x00, ##                                00000000       
            0x00, 0x00, 0x00, 0x03, 0xFC, 0x00, ##                                00000000       
            0x00, 0x07, 0xFF, 0xFF, 0xFC, 0x00, ##               0000000000000000000000000       
            0x00, 0x7F, 0xFF, 0xFF, 0xFC, 0x00, ##           00000000000000000000000000000       
            0x01, 0xFF, 0xFF, 0xFF, 0xFC, 0x00, ##         0000000000000000000000000000000       
            0x03, 0xFF, 0xFF, 0xFF, 0xFC, 0x00, ##        00000000000000000000000000000000       
            0x0F, 0xFF, 0x00, 0x03, 0xFC, 0x00, ##      000000000000              00000000       
            0x1F, 0xF8, 0x00, 0x03, 0xFC, 0x00, ##     0000000000                 00000000       
            0x1F, 0xF0, 0x00, 0x03, 0xFC, 0x00, ##     000000000                  00000000       
            0x3F, 0xE0, 0x00, 0x03, 0xFC, 0x00, ##    000000000                   00000000       
            0x7F, 0xC0, 0x00, 0x03, 0xFC, 0x00, ##   000000000                    00000000       
            0x7F, 0xC0, 0x00, 0x03, 0xFC, 0x00, ##   000000000                    00000000       
            0x7F, 0xC0, 0x00, 0x03, 0xFC, 0x00, ##   000000000                    00000000       
            0xFF, 0x80, 0x00, 0x03, 0xFC, 0x00, ##  000000000                     00000000       
            0xFF, 0x80, 0x00, 0x03, 0xFC, 0x00, ##  000000000                     00000000       
            0xFF, 0x80, 0x00, 0x03, 0xFC, 0x00, ##  000000000                     00000000       
            0xFF, 0x80, 0x00, 0x03, 0xFC, 0x00, ##  000000000                     00000000       
            0xFF, 0x80, 0x00, 0x03, 0xFC, 0x00, ##  000000000                     00000000       
            0xFF, 0x80, 0x00, 0x03, 0xFC, 0x00, ##  000000000                     00000000       
            0xFF, 0x80, 0x00, 0x03, 0xFC, 0x00, ##  000000000                     00000000       
            0xFF, 0x80, 0x00, 0x07, 0xFC, 0x00, ##  000000000                    000000000       
            0x7F, 0xC0, 0x00, 0x07, 0xFC, 0x00, ##   000000000                   000000000       
            0x7F, 0xC0, 0x00, 0x07, 0xFC, 0x00, ##   000000000                   000000000       
            0x7F, 0xE0, 0x00, 0x0F, 0xFC, 0x00, ##   0000000000                 0000000000       
            0x3F, 0xE0, 0x00, 0x1F, 0xFC, 0x00, ##    000000000                00000000000       
            0x3F, 0xF0, 0x00, 0x3F, 0xFC, 0x00, ##    0000000000              000000000000       
            0x1F, 0xFC, 0x00, 0x7B, 0xFF, 0xF8, ##     00000000000           0000 000000000000000
            0x0F, 0xFF, 0x01, 0xF3, 0xFF, 0xF8, ##      000000000000       00000  000000000000000
            0x07, 0xFF, 0xFF, 0xE3, 0xFF, 0xF8, ##       0000000000000000000000   000000000000000
            0x03, 0xFF, 0xFF, 0xC3, 0xFF, 0xF8, ##        00000000000000000000    000000000000000
            0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, ##          0000000000000000                     
            0x00, 0x1F, 0xF8, 0x00, 0x00, 0x00, ##             0000000000                        
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '230' => {    # 'æ'
        'width'    => 73, 
        'xoffset'  => 4, 
        'xadvance' => 81, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0xFF, 0x00, 0x00, 0x01, 0xFF, 0x80, 0x00, 0x00, ##               00000000000                       0000000000                
            0x00, 0x00, 0xFF, 0xF0, 0x00, 0x1F, 0xFF, 0xF8, 0x00, 0x00, ##           0000000000000000000               000000000000000000            
            0x00, 0x00, 0xFF, 0xFC, 0x00, 0x7F, 0xFF, 0xFE, 0x00, 0x00, ##        000000000000000000000000           0000000000000000000000          
            0x00, 0x00, 0xFF, 0xFF, 0x01, 0xFF, 0xFF, 0xFF, 0x00, 0x00, ##      0000000000000000000000000000       0000000000000000000000000         
            0x00, 0x00, 0x01, 0xFF, 0x83, 0xFF, 0x01, 0xFF, 0xC0, 0x00, ##      00000000000        0000000000     0000000000       00000000000       
            0x00, 0x00, 0x00, 0x7F, 0xC7, 0xFC, 0x00, 0x3F, 0xE0, 0x00, ##      00000000             000000000   000000000            000000000      
            0x00, 0x00, 0x00, 0x1F, 0xCF, 0xF0, 0x00, 0x1F, 0xF0, 0x00, ##      0000000                0000000  00000000               000000000     
            0x00, 0x00, 0x00, 0x0F, 0xFF, 0xE0, 0x00, 0x0F, 0xF0, 0x00, ##      000000                  000000000000000                 00000000     
            0x00, 0x00, 0x00, 0x0F, 0xFF, 0xE0, 0x00, 0x07, 0xF8, 0x00, ##      00000                   000000000000000                  00000000    
            0x00, 0x00, 0x00, 0x07, 0xFF, 0xC0, 0x00, 0x03, 0xFC, 0x00, ##      00000                    0000000000000                    00000000   
            0x00, 0x00, 0x00, 0x07, 0xFF, 0x80, 0x00, 0x03, 0xFC, 0x00, ##      0000                     000000000000                     00000000   
            0x00, 0x00, 0x00, 0x03, 0xFF, 0x80, 0x00, 0x01, 0xFE, 0x00, ##      0000                      00000000000                      00000000  
            0x00, 0x00, 0x00, 0x03, 0xFF, 0x00, 0x00, 0x01, 0xFE, 0x00, ##                                0000000000                       00000000  
            0x00, 0x00, 0x00, 0x03, 0xFF, 0x00, 0x00, 0x01, 0xFF, 0x00, ##                                0000000000                       000000000 
            0x00, 0x00, 0x00, 0x03, 0xFF, 0x00, 0x00, 0x00, 0xFF, 0x00, ##                                0000000000                        00000000 
            0x00, 0x00, 0x00, 0x03, 0xFF, 0x00, 0x00, 0x00, 0xFF, 0x00, ##                                0000000000                        00000000 
            0x00, 0x00, 0x00, 0x03, 0xFE, 0x00, 0x00, 0x00, 0xFF, 0x00, ##                                000000000                         00000000 
            0x00, 0x00, 0x00, 0x03, 0xFE, 0x00, 0x00, 0x00, 0xFF, 0x00, ##                                000000000                         00000000 
            0x00, 0x00, 0xFF, 0xFF, 0xFE, 0x00, 0x00, 0x00, 0xFF, 0x80, ##               00000000000000000000000000                         000000000
            0x00, 0x00, 0xFF, 0xFF, 0xFE, 0x00, 0x00, 0x00, 0xFF, 0x80, ##           000000000000000000000000000000                         000000000
            0x00, 0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x80, ##         000000000000000000000000000000000000000000000000000000000000000000
            0x00, 0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x80, ##        0000000000000000000000000000000000000000000000000000000000000000000
            0x00, 0x00, 0x00, 0x03, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x80, ##      000000000000              0000000000000000000000000000000000000000000
            0x00, 0x00, 0x00, 0x03, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x80, ##     0000000000                 0000000000000000000000000000000000000000000
            0x00, 0x00, 0x00, 0x03, 0xFE, 0x00, 0x00, 0x00, 0x00, 0x00, ##     000000000                  000000000                                  
            0x00, 0x00, 0x00, 0x03, 0xFE, 0x00, 0x00, 0x00, 0x00, 0x00, ##    000000000                   000000000                                  
            0x00, 0x00, 0x00, 0x03, 0xFE, 0x00, 0x00, 0x00, 0x00, 0x00, ##   000000000                    000000000                                  
            0x00, 0x00, 0x00, 0x03, 0xFE, 0x00, 0x00, 0x00, 0x00, 0x00, ##   000000000                    000000000                                  
            0x00, 0x00, 0x00, 0x03, 0xFE, 0x00, 0x00, 0x00, 0x00, 0x00, ##   000000000                    000000000                                  
            0x00, 0x00, 0x00, 0x03, 0xFE, 0x00, 0x00, 0x00, 0x00, 0x00, ##  000000000                     000000000                                  
            0x00, 0x00, 0x00, 0x03, 0xFE, 0x00, 0x00, 0x00, 0x00, 0x00, ##  000000000                     000000000                                  
            0x00, 0x00, 0x00, 0x03, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  000000000                     0000000000                                 
            0x00, 0x00, 0x00, 0x03, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##  000000000                     0000000000                                 
            0x00, 0x00, 0x00, 0x03, 0xFF, 0x00, 0x00, 0x00, 0x3F, 0x00, ##  000000000                     0000000000                          000000 
            0x00, 0x00, 0x00, 0x03, 0xFF, 0x00, 0x00, 0x00, 0x3F, 0x00, ##  000000000                     0000000000                          000000 
            0x00, 0x00, 0x00, 0x03, 0xFF, 0x80, 0x00, 0x00, 0x7F, 0x00, ##  000000000                     00000000000                        0000000 
            0x00, 0x00, 0x00, 0x07, 0xFF, 0x80, 0x00, 0x00, 0x7E, 0x00, ##  000000000                    000000000000                        000000  
            0x00, 0x00, 0x00, 0x07, 0xFF, 0xC0, 0x00, 0x00, 0xFE, 0x00, ##   000000000                   0000000000000                      0000000  
            0x00, 0x00, 0x00, 0x07, 0xFF, 0xC0, 0x00, 0x00, 0xFC, 0x00, ##   000000000                   0000000000000                      000000   
            0x00, 0x00, 0x00, 0x0F, 0xFF, 0xE0, 0x00, 0x01, 0xFC, 0x00, ##   0000000000                 000000000000000                    0000000   
            0x00, 0x00, 0x00, 0x1F, 0xFF, 0xF0, 0x00, 0x03, 0xF8, 0x00, ##    000000000                00000000000000000                  0000000    
            0x00, 0x00, 0x00, 0x3F, 0xCF, 0xF8, 0x00, 0x07, 0xF0, 0x00, ##    0000000000              00000000  000000000                0000000     
            0x00, 0x00, 0x00, 0x7F, 0x87, 0xFC, 0x00, 0x0F, 0xE0, 0x00, ##     00000000000           00000000    000000000              0000000      
            0x00, 0x00, 0x01, 0xFE, 0x03, 0xFF, 0x80, 0x7F, 0xC0, 0x00, ##      000000000000       00000000       00000000000        000000000       
            0x00, 0x00, 0xFF, 0xFC, 0x00, 0xFF, 0xFF, 0xFF, 0x80, 0x00, ##       0000000000000000000000000          0000000000000000000000000        
            0x00, 0x00, 0xFF, 0xF0, 0x00, 0x7F, 0xFF, 0xFE, 0x00, 0x00, ##         000000000000000000000             0000000000000000000000          
            0x00, 0x00, 0xFF, 0xC0, 0x00, 0x0F, 0xFF, 0xF8, 0x00, 0x00, ##           00000000000000000                  00000000000000000            
            0x00, 0x00, 0xFE, 0x00, 0x00, 0x01, 0xFF, 0xC0, 0x00, 0x00, ##              00000000000                        00000000000               
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '231' => {    # 'ç'
        'width'    => 40, 
        'xoffset'  => 4, 
        'xadvance' => 48, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x7F, 0xF0, 0x00, ##                   00000000000            
            0x00, 0x07, 0xFF, 0xFF, 0x80, ##               00000000000000000000       
            0x00, 0x1F, 0xFF, 0xFF, 0xF0, ##             0000000000000000000000000    
            0x00, 0x3F, 0xFF, 0xFF, 0xFC, ##            0000000000000000000000000000  
            0x00, 0xFF, 0xC0, 0x3F, 0xFE, ##          0000000000        0000000000000 
            0x01, 0xFF, 0x00, 0x07, 0xFE, ##         000000000             0000000000 
            0x03, 0xFC, 0x00, 0x03, 0xFE, ##        00000000                000000000 
            0x07, 0xF8, 0x00, 0x01, 0xFE, ##       00000000                  00000000 
            0x0F, 0xF8, 0x00, 0x00, 0xFE, ##      000000000                   0000000 
            0x0F, 0xF0, 0x00, 0x00, 0x7E, ##      00000000                     000000 
            0x1F, 0xE0, 0x00, 0x00, 0x7E, ##     00000000                      000000 
            0x1F, 0xE0, 0x00, 0x00, 0x7E, ##     00000000                      000000 
            0x3F, 0xE0, 0x00, 0x00, 0x3E, ##    000000000                       00000 
            0x3F, 0xC0, 0x00, 0x00, 0x3E, ##    00000000                        00000 
            0x7F, 0xC0, 0x00, 0x00, 0x3E, ##   000000000                        00000 
            0x7F, 0xC0, 0x00, 0x00, 0x3E, ##   000000000                        00000 
            0x7F, 0xC0, 0x00, 0x00, 0x00, ##   000000000                              
            0x7F, 0x80, 0x00, 0x00, 0x00, ##   00000000                               
            0xFF, 0x80, 0x00, 0x00, 0x00, ##  000000000                               
            0xFF, 0x80, 0x00, 0x00, 0x00, ##  000000000                               
            0xFF, 0x80, 0x00, 0x00, 0x00, ##  000000000                               
            0xFF, 0x80, 0x00, 0x00, 0x00, ##  000000000                               
            0xFF, 0x80, 0x00, 0x00, 0x00, ##  000000000                               
            0xFF, 0x80, 0x00, 0x00, 0x00, ##  000000000                               
            0xFF, 0x80, 0x00, 0x00, 0x00, ##  000000000                               
            0xFF, 0x80, 0x00, 0x00, 0x00, ##  000000000                               
            0xFF, 0x80, 0x00, 0x00, 0x00, ##  000000000                               
            0xFF, 0x80, 0x00, 0x00, 0x00, ##  000000000                               
            0xFF, 0x80, 0x00, 0x00, 0x00, ##  000000000                               
            0xFF, 0x80, 0x00, 0x00, 0x00, ##  000000000                               
            0x7F, 0x80, 0x00, 0x00, 0x00, ##   00000000                               
            0x7F, 0xC0, 0x00, 0x00, 0x00, ##   000000000                              
            0x7F, 0xC0, 0x00, 0x00, 0x00, ##   000000000                              
            0x7F, 0xC0, 0x00, 0x00, 0x3F, ##   000000000                        000000
            0x3F, 0xC0, 0x00, 0x00, 0x3F, ##    00000000                        000000
            0x3F, 0xE0, 0x00, 0x00, 0x3F, ##    000000000                       000000
            0x1F, 0xE0, 0x00, 0x00, 0x7F, ##     00000000                      0000000
            0x1F, 0xE0, 0x00, 0x00, 0x7E, ##     00000000                      000000 
            0x0F, 0xF0, 0x00, 0x00, 0xFE, ##      00000000                    0000000 
            0x0F, 0xF8, 0x00, 0x00, 0xFC, ##      000000000                   000000  
            0x07, 0xF8, 0x00, 0x01, 0xF8, ##       00000000                  000000   
            0x03, 0xFC, 0x00, 0x03, 0xF8, ##        00000000                0000000   
            0x01, 0xFF, 0x00, 0x0F, 0xF0, ##         000000000            00000000    
            0x00, 0xFF, 0xC0, 0x3F, 0xE0, ##          0000000000        000000000     
            0x00, 0x7F, 0xFF, 0xFF, 0xC0, ##           0000000000000000000000000      
            0x00, 0x1F, 0xFF, 0xFF, 0x00, ##             000000000000000000000        
            0x00, 0x07, 0xFF, 0xFC, 0x00, ##               00000000000000000          
            0x00, 0x00, 0x7F, 0xE0, 0x00, ##                   0000000000             
            0x00, 0x00, 0x07, 0xC0, 0x00, ##                       00000              
            0x00, 0x00, 0x03, 0xE0, 0x00, ##                        00000             
            0x00, 0x00, 0x01, 0xF0, 0x00, ##                         00000            
            0x00, 0x00, 0x01, 0xF0, 0x00, ##                         00000            
            0x00, 0x00, 0x01, 0xF8, 0x00, ##                         000000           
            0x00, 0x00, 0x00, 0xF8, 0x00, ##                          00000           
            0x00, 0x00, 0x00, 0xFC, 0x00, ##                          000000          
            0x00, 0x00, 0x00, 0xFC, 0x00, ##                          000000          
            0x00, 0x00, 0x00, 0xFC, 0x00, ##                          000000          
            0x00, 0x00, 0x01, 0xFC, 0x00, ##                         0000000          
            0x00, 0x0E, 0x07, 0xFC, 0x00, ##              000      000000000          
            0x00, 0x0F, 0xFF, 0xF8, 0x00, ##              00000000000000000           
            0x00, 0x0F, 0xFF, 0xF8, 0x00, ##              00000000000000000           
            0x00, 0x0F, 0xFF, 0xF0, 0x00, ##              0000000000000000            
            0x00, 0x0F, 0xFF, 0xE0, 0x00, ##              000000000000000             
            0x00, 0x03, 0xFF, 0x00, 0x00, ##                0000000000                
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '232' => {    # 'è'
        'width'    => 43, 
        'xoffset'  => 4, 
        'xadvance' => 51, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x01, 0xFE, 0x00, 0x00, 0x00, 0x00, ##         00000000                            
            0x00, 0xFF, 0x00, 0x00, 0x00, 0x00, ##          00000000                           
            0x00, 0x7F, 0x80, 0x00, 0x00, 0x00, ##           00000000                          
            0x00, 0x3F, 0x80, 0x00, 0x00, 0x00, ##            0000000                          
            0x00, 0x3F, 0xC0, 0x00, 0x00, 0x00, ##            00000000                         
            0x00, 0x1F, 0xE0, 0x00, 0x00, 0x00, ##             00000000                        
            0x00, 0x0F, 0xF0, 0x00, 0x00, 0x00, ##              00000000                       
            0x00, 0x07, 0xF0, 0x00, 0x00, 0x00, ##               0000000                       
            0x00, 0x03, 0xF8, 0x00, 0x00, 0x00, ##                0000000                      
            0x00, 0x01, 0xFC, 0x00, 0x00, 0x00, ##                 0000000                     
            0x00, 0x00, 0xFC, 0x00, 0x00, 0x00, ##                  000000                     
            0x00, 0x00, 0x7E, 0x00, 0x00, 0x00, ##                   000000                    
            0x00, 0x00, 0x3F, 0x00, 0x00, 0x00, ##                    000000                   
            0x00, 0x00, 0x1F, 0x00, 0x00, 0x00, ##                     00000                   
            0x00, 0x00, 0x0F, 0x80, 0x00, 0x00, ##                      00000                  
            0x00, 0x00, 0x07, 0xC0, 0x00, 0x00, ##                       00000                 
            0x00, 0x00, 0x03, 0xE0, 0x00, 0x00, ##                        00000                
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                             
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                             
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                             
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                             
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                             
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                             
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                             
            0x00, 0x00, 0x7F, 0xE0, 0x00, 0x00, ##                   0000000000                
            0x00, 0x07, 0xFF, 0xFE, 0x00, 0x00, ##               000000000000000000            
            0x00, 0x1F, 0xFF, 0xFF, 0x80, 0x00, ##             0000000000000000000000          
            0x00, 0x7F, 0xFF, 0xFF, 0xC0, 0x00, ##           0000000000000000000000000         
            0x00, 0xFF, 0xC0, 0x7F, 0xF0, 0x00, ##          0000000000       00000000000       
            0x01, 0xFF, 0x00, 0x0F, 0xF8, 0x00, ##         000000000            000000000      
            0x03, 0xFC, 0x00, 0x07, 0xFC, 0x00, ##        00000000               000000000     
            0x07, 0xF8, 0x00, 0x03, 0xFE, 0x00, ##       00000000                 000000000    
            0x0F, 0xF8, 0x00, 0x01, 0xFE, 0x00, ##      000000000                  00000000    
            0x0F, 0xF0, 0x00, 0x00, 0xFF, 0x00, ##      00000000                    00000000   
            0x1F, 0xE0, 0x00, 0x00, 0xFF, 0x00, ##     00000000                     00000000   
            0x1F, 0xE0, 0x00, 0x00, 0x7F, 0x80, ##     00000000                      00000000  
            0x3F, 0xE0, 0x00, 0x00, 0x7F, 0x80, ##    000000000                      00000000  
            0x3F, 0xC0, 0x00, 0x00, 0x7F, 0xC0, ##    00000000                       000000000 
            0x7F, 0xC0, 0x00, 0x00, 0x3F, 0xC0, ##   000000000                        00000000 
            0x7F, 0xC0, 0x00, 0x00, 0x3F, 0xC0, ##   000000000                        00000000 
            0x7F, 0x80, 0x00, 0x00, 0x3F, 0xC0, ##   00000000                         00000000 
            0x7F, 0x80, 0x00, 0x00, 0x3F, 0xC0, ##   00000000                         00000000 
            0xFF, 0x80, 0x00, 0x00, 0x3F, 0xE0, ##  000000000                         000000000
            0xFF, 0x80, 0x00, 0x00, 0x3F, 0xE0, ##  000000000                         000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xE0, ##  0000000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xE0, ##  0000000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xE0, ##  0000000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xE0, ##  0000000000000000000000000000000000000000000
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##  000000000                                  
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##  000000000                                  
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##  000000000                                  
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##  000000000                                  
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##  000000000                                  
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##  000000000                                  
            0x7F, 0x80, 0x00, 0x00, 0x00, 0x00, ##   00000000                                  
            0x7F, 0xC0, 0x00, 0x00, 0x00, 0x00, ##   000000000                                 
            0x7F, 0xC0, 0x00, 0x00, 0x00, 0x00, ##   000000000                                 
            0x7F, 0xC0, 0x00, 0x00, 0x0F, 0xC0, ##   000000000                          000000 
            0x3F, 0xC0, 0x00, 0x00, 0x0F, 0xC0, ##    00000000                          000000 
            0x3F, 0xE0, 0x00, 0x00, 0x1F, 0x80, ##    000000000                        000000  
            0x1F, 0xE0, 0x00, 0x00, 0x1F, 0x80, ##     00000000                        000000  
            0x1F, 0xF0, 0x00, 0x00, 0x3F, 0x80, ##     000000000                      0000000  
            0x0F, 0xF0, 0x00, 0x00, 0x3F, 0x00, ##      00000000                      000000   
            0x0F, 0xF8, 0x00, 0x00, 0x7F, 0x00, ##      000000000                    0000000   
            0x07, 0xFC, 0x00, 0x00, 0xFE, 0x00, ##       000000000                  0000000    
            0x03, 0xFE, 0x00, 0x01, 0xFC, 0x00, ##        000000000                0000000     
            0x01, 0xFF, 0x00, 0x07, 0xF8, 0x00, ##         000000000             00000000      
            0x00, 0xFF, 0xE0, 0x1F, 0xF0, 0x00, ##          00000000000        000000000       
            0x00, 0x3F, 0xFF, 0xFF, 0xE0, 0x00, ##            0000000000000000000000000        
            0x00, 0x1F, 0xFF, 0xFF, 0x80, 0x00, ##             0000000000000000000000          
            0x00, 0x07, 0xFF, 0xFE, 0x00, 0x00, ##               000000000000000000            
            0x00, 0x00, 0x7F, 0xF0, 0x00, 0x00, ##                   00000000000               
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '233' => {    # 'é'
        'width'    => 43, 
        'xoffset'  => 4, 
        'xadvance' => 51, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x1F, 0xF0, 0x00, ##                             000000000       
            0x00, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##                             00000000        
            0x00, 0x00, 0x00, 0x3F, 0xC0, 0x00, ##                            00000000         
            0x00, 0x00, 0x00, 0x7F, 0x80, 0x00, ##                           00000000          
            0x00, 0x00, 0x00, 0x7F, 0x00, 0x00, ##                           0000000           
            0x00, 0x00, 0x00, 0xFE, 0x00, 0x00, ##                          0000000            
            0x00, 0x00, 0x01, 0xFC, 0x00, 0x00, ##                         0000000             
            0x00, 0x00, 0x01, 0xFC, 0x00, 0x00, ##                         0000000             
            0x00, 0x00, 0x03, 0xF8, 0x00, 0x00, ##                        0000000              
            0x00, 0x00, 0x07, 0xF0, 0x00, 0x00, ##                       0000000               
            0x00, 0x00, 0x0F, 0xE0, 0x00, 0x00, ##                      0000000                
            0x00, 0x00, 0x0F, 0xC0, 0x00, 0x00, ##                      000000                 
            0x00, 0x00, 0x1F, 0x80, 0x00, 0x00, ##                     000000                  
            0x00, 0x00, 0x3F, 0x00, 0x00, 0x00, ##                    000000                   
            0x00, 0x00, 0x3E, 0x00, 0x00, 0x00, ##                    00000                    
            0x00, 0x00, 0x7C, 0x00, 0x00, 0x00, ##                   00000                     
            0x00, 0x00, 0xFC, 0x00, 0x00, 0x00, ##                  000000                     
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                             
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                             
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                             
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                             
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                             
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                             
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                             
            0x00, 0x00, 0x7F, 0xE0, 0x00, 0x00, ##                   0000000000                
            0x00, 0x07, 0xFF, 0xFE, 0x00, 0x00, ##               000000000000000000            
            0x00, 0x1F, 0xFF, 0xFF, 0x80, 0x00, ##             0000000000000000000000          
            0x00, 0x7F, 0xFF, 0xFF, 0xC0, 0x00, ##           0000000000000000000000000         
            0x00, 0xFF, 0xC0, 0x7F, 0xF0, 0x00, ##          0000000000       00000000000       
            0x01, 0xFF, 0x00, 0x0F, 0xF8, 0x00, ##         000000000            000000000      
            0x03, 0xFC, 0x00, 0x07, 0xFC, 0x00, ##        00000000               000000000     
            0x07, 0xF8, 0x00, 0x03, 0xFE, 0x00, ##       00000000                 000000000    
            0x0F, 0xF8, 0x00, 0x01, 0xFE, 0x00, ##      000000000                  00000000    
            0x0F, 0xF0, 0x00, 0x00, 0xFF, 0x00, ##      00000000                    00000000   
            0x1F, 0xE0, 0x00, 0x00, 0xFF, 0x00, ##     00000000                     00000000   
            0x1F, 0xE0, 0x00, 0x00, 0x7F, 0x80, ##     00000000                      00000000  
            0x3F, 0xE0, 0x00, 0x00, 0x7F, 0x80, ##    000000000                      00000000  
            0x3F, 0xC0, 0x00, 0x00, 0x7F, 0xC0, ##    00000000                       000000000 
            0x7F, 0xC0, 0x00, 0x00, 0x3F, 0xC0, ##   000000000                        00000000 
            0x7F, 0xC0, 0x00, 0x00, 0x3F, 0xC0, ##   000000000                        00000000 
            0x7F, 0x80, 0x00, 0x00, 0x3F, 0xC0, ##   00000000                         00000000 
            0x7F, 0x80, 0x00, 0x00, 0x3F, 0xC0, ##   00000000                         00000000 
            0xFF, 0x80, 0x00, 0x00, 0x3F, 0xE0, ##  000000000                         000000000
            0xFF, 0x80, 0x00, 0x00, 0x3F, 0xE0, ##  000000000                         000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xE0, ##  0000000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xE0, ##  0000000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xE0, ##  0000000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xE0, ##  0000000000000000000000000000000000000000000
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##  000000000                                  
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##  000000000                                  
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##  000000000                                  
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##  000000000                                  
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##  000000000                                  
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##  000000000                                  
            0x7F, 0x80, 0x00, 0x00, 0x00, 0x00, ##   00000000                                  
            0x7F, 0xC0, 0x00, 0x00, 0x00, 0x00, ##   000000000                                 
            0x7F, 0xC0, 0x00, 0x00, 0x00, 0x00, ##   000000000                                 
            0x7F, 0xC0, 0x00, 0x00, 0x0F, 0xC0, ##   000000000                          000000 
            0x3F, 0xC0, 0x00, 0x00, 0x0F, 0xC0, ##    00000000                          000000 
            0x3F, 0xE0, 0x00, 0x00, 0x1F, 0x80, ##    000000000                        000000  
            0x1F, 0xE0, 0x00, 0x00, 0x1F, 0x80, ##     00000000                        000000  
            0x1F, 0xF0, 0x00, 0x00, 0x3F, 0x80, ##     000000000                      0000000  
            0x0F, 0xF0, 0x00, 0x00, 0x3F, 0x00, ##      00000000                      000000   
            0x0F, 0xF8, 0x00, 0x00, 0x7F, 0x00, ##      000000000                    0000000   
            0x07, 0xFC, 0x00, 0x00, 0xFE, 0x00, ##       000000000                  0000000    
            0x03, 0xFE, 0x00, 0x01, 0xFC, 0x00, ##        000000000                0000000     
            0x01, 0xFF, 0x00, 0x07, 0xF8, 0x00, ##         000000000             00000000      
            0x00, 0xFF, 0xE0, 0x1F, 0xF0, 0x00, ##          00000000000        000000000       
            0x00, 0x3F, 0xFF, 0xFF, 0xE0, 0x00, ##            0000000000000000000000000        
            0x00, 0x1F, 0xFF, 0xFF, 0x80, 0x00, ##             0000000000000000000000          
            0x00, 0x07, 0xFF, 0xFE, 0x00, 0x00, ##               000000000000000000            
            0x00, 0x00, 0x7F, 0xF0, 0x00, 0x00, ##                   00000000000               
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '234' => {    # 'ê'
        'width'    => 43, 
        'xoffset'  => 4, 
        'xadvance' => 51, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x3F, 0xC0, 0x00, 0x00, ##                    00000000                 
            0x00, 0x00, 0x7F, 0xC0, 0x00, 0x00, ##                   000000000                 
            0x00, 0x00, 0xFF, 0xE0, 0x00, 0x00, ##                  00000000000                
            0x00, 0x00, 0xFF, 0xE0, 0x00, 0x00, ##                  00000000000                
            0x00, 0x01, 0xFF, 0xF0, 0x00, 0x00, ##                 0000000000000               
            0x00, 0x01, 0xFB, 0xF8, 0x00, 0x00, ##                 000000 0000000              
            0x00, 0x03, 0xF9, 0xF8, 0x00, 0x00, ##                0000000  000000              
            0x00, 0x07, 0xF1, 0xFC, 0x00, 0x00, ##               0000000   0000000             
            0x00, 0x07, 0xE0, 0xFE, 0x00, 0x00, ##               000000     0000000            
            0x00, 0x0F, 0xC0, 0x7E, 0x00, 0x00, ##              000000       000000            
            0x00, 0x1F, 0x80, 0x3F, 0x00, 0x00, ##             000000         000000           
            0x00, 0x1F, 0x80, 0x1F, 0x00, 0x00, ##             000000          00000           
            0x00, 0x3F, 0x00, 0x1F, 0x80, 0x00, ##            000000           000000          
            0x00, 0x3E, 0x00, 0x0F, 0xC0, 0x00, ##            00000             000000         
            0x00, 0x7C, 0x00, 0x07, 0xC0, 0x00, ##           00000               00000         
            0x00, 0xFC, 0x00, 0x03, 0xE0, 0x00, ##          000000                00000        
            0x00, 0xF8, 0x00, 0x03, 0xE0, 0x00, ##          00000                 00000        
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                             
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                             
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                             
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                             
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                             
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                             
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                             
            0x00, 0x00, 0x7F, 0xE0, 0x00, 0x00, ##                   0000000000                
            0x00, 0x07, 0xFF, 0xFE, 0x00, 0x00, ##               000000000000000000            
            0x00, 0x1F, 0xFF, 0xFF, 0x80, 0x00, ##             0000000000000000000000          
            0x00, 0x7F, 0xFF, 0xFF, 0xC0, 0x00, ##           0000000000000000000000000         
            0x00, 0xFF, 0xC0, 0x7F, 0xF0, 0x00, ##          0000000000       00000000000       
            0x01, 0xFF, 0x00, 0x0F, 0xF8, 0x00, ##         000000000            000000000      
            0x03, 0xFC, 0x00, 0x07, 0xFC, 0x00, ##        00000000               000000000     
            0x07, 0xF8, 0x00, 0x03, 0xFE, 0x00, ##       00000000                 000000000    
            0x0F, 0xF8, 0x00, 0x01, 0xFE, 0x00, ##      000000000                  00000000    
            0x0F, 0xF0, 0x00, 0x00, 0xFF, 0x00, ##      00000000                    00000000   
            0x1F, 0xE0, 0x00, 0x00, 0xFF, 0x00, ##     00000000                     00000000   
            0x1F, 0xE0, 0x00, 0x00, 0x7F, 0x80, ##     00000000                      00000000  
            0x3F, 0xE0, 0x00, 0x00, 0x7F, 0x80, ##    000000000                      00000000  
            0x3F, 0xC0, 0x00, 0x00, 0x7F, 0xC0, ##    00000000                       000000000 
            0x7F, 0xC0, 0x00, 0x00, 0x3F, 0xC0, ##   000000000                        00000000 
            0x7F, 0xC0, 0x00, 0x00, 0x3F, 0xC0, ##   000000000                        00000000 
            0x7F, 0x80, 0x00, 0x00, 0x3F, 0xC0, ##   00000000                         00000000 
            0x7F, 0x80, 0x00, 0x00, 0x3F, 0xC0, ##   00000000                         00000000 
            0xFF, 0x80, 0x00, 0x00, 0x3F, 0xE0, ##  000000000                         000000000
            0xFF, 0x80, 0x00, 0x00, 0x3F, 0xE0, ##  000000000                         000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xE0, ##  0000000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xE0, ##  0000000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xE0, ##  0000000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xE0, ##  0000000000000000000000000000000000000000000
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##  000000000                                  
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##  000000000                                  
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##  000000000                                  
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##  000000000                                  
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##  000000000                                  
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##  000000000                                  
            0x7F, 0x80, 0x00, 0x00, 0x00, 0x00, ##   00000000                                  
            0x7F, 0xC0, 0x00, 0x00, 0x00, 0x00, ##   000000000                                 
            0x7F, 0xC0, 0x00, 0x00, 0x00, 0x00, ##   000000000                                 
            0x7F, 0xC0, 0x00, 0x00, 0x0F, 0xC0, ##   000000000                          000000 
            0x3F, 0xC0, 0x00, 0x00, 0x0F, 0xC0, ##    00000000                          000000 
            0x3F, 0xE0, 0x00, 0x00, 0x1F, 0x80, ##    000000000                        000000  
            0x1F, 0xE0, 0x00, 0x00, 0x1F, 0x80, ##     00000000                        000000  
            0x1F, 0xF0, 0x00, 0x00, 0x3F, 0x80, ##     000000000                      0000000  
            0x0F, 0xF0, 0x00, 0x00, 0x3F, 0x00, ##      00000000                      000000   
            0x0F, 0xF8, 0x00, 0x00, 0x7F, 0x00, ##      000000000                    0000000   
            0x07, 0xFC, 0x00, 0x00, 0xFE, 0x00, ##       000000000                  0000000    
            0x03, 0xFE, 0x00, 0x01, 0xFC, 0x00, ##        000000000                0000000     
            0x01, 0xFF, 0x00, 0x07, 0xF8, 0x00, ##         000000000             00000000      
            0x00, 0xFF, 0xE0, 0x1F, 0xF0, 0x00, ##          00000000000        000000000       
            0x00, 0x3F, 0xFF, 0xFF, 0xE0, 0x00, ##            0000000000000000000000000        
            0x00, 0x1F, 0xFF, 0xFF, 0x80, 0x00, ##             0000000000000000000000          
            0x00, 0x07, 0xFF, 0xFE, 0x00, 0x00, ##               000000000000000000            
            0x00, 0x00, 0x7F, 0xF0, 0x00, 0x00, ##                   00000000000               
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '235' => {    # 'ë'
        'width'    => 43, 
        'xoffset'  => 4, 
        'xadvance' => 51, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x1E, 0x00, 0x0F, 0x00, 0x00, ##             0000             0000           
            0x00, 0x7F, 0x80, 0x3F, 0xC0, 0x00, ##           00000000         00000000         
            0x00, 0x7F, 0x80, 0x3F, 0xC0, 0x00, ##           00000000         00000000         
            0x00, 0xFF, 0xC0, 0x7F, 0xE0, 0x00, ##          0000000000       0000000000        
            0x00, 0xFF, 0xC0, 0x7F, 0xE0, 0x00, ##          0000000000       0000000000        
            0x00, 0xFF, 0xC0, 0x7F, 0xE0, 0x00, ##          0000000000       0000000000        
            0x00, 0xFF, 0xC0, 0x7F, 0xE0, 0x00, ##          0000000000       0000000000        
            0x00, 0x7F, 0x80, 0x3F, 0xC0, 0x00, ##           00000000         00000000         
            0x00, 0x7F, 0x80, 0x3F, 0xC0, 0x00, ##           00000000         00000000         
            0x00, 0x1E, 0x00, 0x0F, 0x00, 0x00, ##             0000             0000           
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                             
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                             
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                             
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                             
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                             
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                             
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                             
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                             
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                             
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                             
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                             
            0x00, 0x00, 0x7F, 0xE0, 0x00, 0x00, ##                   0000000000                
            0x00, 0x07, 0xFF, 0xFE, 0x00, 0x00, ##               000000000000000000            
            0x00, 0x1F, 0xFF, 0xFF, 0x80, 0x00, ##             0000000000000000000000          
            0x00, 0x7F, 0xFF, 0xFF, 0xC0, 0x00, ##           0000000000000000000000000         
            0x00, 0xFF, 0xC0, 0x7F, 0xF0, 0x00, ##          0000000000       00000000000       
            0x01, 0xFF, 0x00, 0x0F, 0xF8, 0x00, ##         000000000            000000000      
            0x03, 0xFC, 0x00, 0x07, 0xFC, 0x00, ##        00000000               000000000     
            0x07, 0xF8, 0x00, 0x03, 0xFE, 0x00, ##       00000000                 000000000    
            0x0F, 0xF8, 0x00, 0x01, 0xFE, 0x00, ##      000000000                  00000000    
            0x0F, 0xF0, 0x00, 0x00, 0xFF, 0x00, ##      00000000                    00000000   
            0x1F, 0xE0, 0x00, 0x00, 0xFF, 0x00, ##     00000000                     00000000   
            0x1F, 0xE0, 0x00, 0x00, 0x7F, 0x80, ##     00000000                      00000000  
            0x3F, 0xE0, 0x00, 0x00, 0x7F, 0x80, ##    000000000                      00000000  
            0x3F, 0xC0, 0x00, 0x00, 0x7F, 0xC0, ##    00000000                       000000000 
            0x7F, 0xC0, 0x00, 0x00, 0x3F, 0xC0, ##   000000000                        00000000 
            0x7F, 0xC0, 0x00, 0x00, 0x3F, 0xC0, ##   000000000                        00000000 
            0x7F, 0x80, 0x00, 0x00, 0x3F, 0xC0, ##   00000000                         00000000 
            0x7F, 0x80, 0x00, 0x00, 0x3F, 0xC0, ##   00000000                         00000000 
            0xFF, 0x80, 0x00, 0x00, 0x3F, 0xE0, ##  000000000                         000000000
            0xFF, 0x80, 0x00, 0x00, 0x3F, 0xE0, ##  000000000                         000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xE0, ##  0000000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xE0, ##  0000000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xE0, ##  0000000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xE0, ##  0000000000000000000000000000000000000000000
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##  000000000                                  
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##  000000000                                  
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##  000000000                                  
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##  000000000                                  
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##  000000000                                  
            0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, ##  000000000                                  
            0x7F, 0x80, 0x00, 0x00, 0x00, 0x00, ##   00000000                                  
            0x7F, 0xC0, 0x00, 0x00, 0x00, 0x00, ##   000000000                                 
            0x7F, 0xC0, 0x00, 0x00, 0x00, 0x00, ##   000000000                                 
            0x7F, 0xC0, 0x00, 0x00, 0x0F, 0xC0, ##   000000000                          000000 
            0x3F, 0xC0, 0x00, 0x00, 0x0F, 0xC0, ##    00000000                          000000 
            0x3F, 0xE0, 0x00, 0x00, 0x1F, 0x80, ##    000000000                        000000  
            0x1F, 0xE0, 0x00, 0x00, 0x1F, 0x80, ##     00000000                        000000  
            0x1F, 0xF0, 0x00, 0x00, 0x3F, 0x80, ##     000000000                      0000000  
            0x0F, 0xF0, 0x00, 0x00, 0x3F, 0x00, ##      00000000                      000000   
            0x0F, 0xF8, 0x00, 0x00, 0x7F, 0x00, ##      000000000                    0000000   
            0x07, 0xFC, 0x00, 0x00, 0xFE, 0x00, ##       000000000                  0000000    
            0x03, 0xFE, 0x00, 0x01, 0xFC, 0x00, ##        000000000                0000000     
            0x01, 0xFF, 0x00, 0x07, 0xF8, 0x00, ##         000000000             00000000      
            0x00, 0xFF, 0xE0, 0x1F, 0xF0, 0x00, ##          00000000000        000000000       
            0x00, 0x3F, 0xFF, 0xFF, 0xE0, 0x00, ##            0000000000000000000000000        
            0x00, 0x1F, 0xFF, 0xFF, 0x80, 0x00, ##             0000000000000000000000          
            0x00, 0x07, 0xFF, 0xFE, 0x00, 0x00, ##               000000000000000000            
            0x00, 0x00, 0x7F, 0xF0, 0x00, 0x00, ##                   00000000000               
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '236' => {    # 'ì'
        'width'    => 27, 
        'xoffset'  => -1, 
        'xadvance' => 28, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0xFF, 0x00, 0x00, 0x00, ##  00000000                   
            0x7F, 0x80, 0x00, 0x00, ##   00000000                  
            0x3F, 0xC0, 0x00, 0x00, ##    00000000                 
            0x1F, 0xC0, 0x00, 0x00, ##     0000000                 
            0x0F, 0xE0, 0x00, 0x00, ##      0000000                
            0x07, 0xF0, 0x00, 0x00, ##       0000000               
            0x07, 0xF0, 0x00, 0x00, ##       0000000               
            0x03, 0xF8, 0x00, 0x00, ##        0000000              
            0x01, 0xFC, 0x00, 0x00, ##         0000000             
            0x00, 0xFC, 0x00, 0x00, ##          000000             
            0x00, 0x7E, 0x00, 0x00, ##           000000            
            0x00, 0x3F, 0x00, 0x00, ##            000000           
            0x00, 0x3F, 0x00, 0x00, ##            000000           
            0x00, 0x1F, 0x80, 0x00, ##             000000          
            0x00, 0x0F, 0xC0, 0x00, ##              000000         
            0x00, 0x07, 0xC0, 0x00, ##               00000         
            0x00, 0x03, 0xE0, 0x00, ##                00000        
            0x00, 0x00, 0x00, 0x00, ##                             
            0x00, 0x00, 0x00, 0x00, ##                             
            0x00, 0x00, 0x00, 0x00, ##                             
            0x00, 0x00, 0x00, 0x00, ##                             
            0x00, 0x00, 0x00, 0x00, ##                             
            0x00, 0x00, 0x00, 0x00, ##                             
            0x00, 0x00, 0x00, 0x00, ##                             
            0x00, 0x00, 0x00, 0x00, ##                             
            0x00, 0x00, 0x00, 0x00, ##                             
            0x0F, 0xFF, 0xE0, 0x00, ##      000000000000000        
            0x0F, 0xFF, 0xE0, 0x00, ##      000000000000000        
            0x0F, 0xFF, 0xE0, 0x00, ##      000000000000000        
            0x0F, 0xFF, 0xE0, 0x00, ##      000000000000000        
            0x00, 0x1F, 0xE0, 0x00, ##             00000000        
            0x00, 0x1F, 0xE0, 0x00, ##             00000000        
            0x00, 0x1F, 0xE0, 0x00, ##             00000000        
            0x00, 0x1F, 0xE0, 0x00, ##             00000000        
            0x00, 0x1F, 0xE0, 0x00, ##             00000000        
            0x00, 0x1F, 0xE0, 0x00, ##             00000000        
            0x00, 0x1F, 0xE0, 0x00, ##             00000000        
            0x00, 0x1F, 0xE0, 0x00, ##             00000000        
            0x00, 0x1F, 0xE0, 0x00, ##             00000000        
            0x00, 0x1F, 0xE0, 0x00, ##             00000000        
            0x00, 0x1F, 0xE0, 0x00, ##             00000000        
            0x00, 0x1F, 0xE0, 0x00, ##             00000000        
            0x00, 0x1F, 0xE0, 0x00, ##             00000000        
            0x00, 0x1F, 0xE0, 0x00, ##             00000000        
            0x00, 0x1F, 0xE0, 0x00, ##             00000000        
            0x00, 0x1F, 0xE0, 0x00, ##             00000000        
            0x00, 0x1F, 0xE0, 0x00, ##             00000000        
            0x00, 0x1F, 0xE0, 0x00, ##             00000000        
            0x00, 0x1F, 0xE0, 0x00, ##             00000000        
            0x00, 0x1F, 0xE0, 0x00, ##             00000000        
            0x00, 0x1F, 0xE0, 0x00, ##             00000000        
            0x00, 0x1F, 0xE0, 0x00, ##             00000000        
            0x00, 0x1F, 0xE0, 0x00, ##             00000000        
            0x00, 0x1F, 0xE0, 0x00, ##             00000000        
            0x00, 0x1F, 0xE0, 0x00, ##             00000000        
            0x00, 0x1F, 0xE0, 0x00, ##             00000000        
            0x00, 0x1F, 0xE0, 0x00, ##             00000000        
            0x00, 0x1F, 0xE0, 0x00, ##             00000000        
            0x00, 0x1F, 0xE0, 0x00, ##             00000000        
            0x00, 0x1F, 0xE0, 0x00, ##             00000000        
            0x00, 0x1F, 0xE0, 0x00, ##             00000000        
            0x00, 0x1F, 0xE0, 0x00, ##             00000000        
            0x00, 0x1F, 0xE0, 0x00, ##             00000000        
            0x00, 0x1F, 0xE0, 0x00, ##             00000000        
            0x00, 0x1F, 0xE0, 0x00, ##             00000000        
            0x00, 0x1F, 0xE0, 0x00, ##             00000000        
            0x00, 0x1F, 0xE0, 0x00, ##             00000000        
            0x0F, 0xFF, 0xFF, 0xE0, ##      00000000000000000000000
            0x0F, 0xFF, 0xFF, 0xE0, ##      00000000000000000000000
            0x0F, 0xFF, 0xFF, 0xE0, ##      00000000000000000000000
            0x0F, 0xFF, 0xFF, 0xE0, ##      00000000000000000000000
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '237' => {    # 'í'
        'width'    => 25, 
        'xoffset'  => 3, 
        'xadvance' => 28, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x7F, 0x80, ##                   00000000
            0x00, 0x00, 0xFF, 0x80, ##                  000000000
            0x00, 0x01, 0xFF, 0x00, ##                 000000000 
            0x00, 0x03, 0xFE, 0x00, ##                000000000  
            0x00, 0x03, 0xFC, 0x00, ##                00000000   
            0x00, 0x07, 0xF8, 0x00, ##               00000000    
            0x00, 0x0F, 0xF0, 0x00, ##              00000000     
            0x00, 0x0F, 0xE0, 0x00, ##              0000000      
            0x00, 0x1F, 0xC0, 0x00, ##             0000000       
            0x00, 0x3F, 0x80, 0x00, ##            0000000        
            0x00, 0x3F, 0x00, 0x00, ##            000000         
            0x00, 0x7E, 0x00, 0x00, ##           000000          
            0x00, 0xFC, 0x00, 0x00, ##          000000           
            0x01, 0xF8, 0x00, 0x00, ##         000000            
            0x01, 0xF0, 0x00, 0x00, ##         00000             
            0x03, 0xE0, 0x00, 0x00, ##        00000              
            0x07, 0xC0, 0x00, 0x00, ##       00000               
            0x00, 0x00, 0x00, 0x00, ##                           
            0x00, 0x00, 0x00, 0x00, ##                           
            0x00, 0x00, 0x00, 0x00, ##                           
            0x00, 0x00, 0x00, 0x00, ##                           
            0x00, 0x00, 0x00, 0x00, ##                           
            0x00, 0x00, 0x00, 0x00, ##                           
            0x00, 0x00, 0x00, 0x00, ##                           
            0x00, 0x00, 0x00, 0x00, ##                           
            0x00, 0x00, 0x00, 0x00, ##                           
            0xFF, 0xFE, 0x00, 0x00, ##  000000000000000          
            0xFF, 0xFE, 0x00, 0x00, ##  000000000000000          
            0xFF, 0xFE, 0x00, 0x00, ##  000000000000000          
            0xFF, 0xFE, 0x00, 0x00, ##  000000000000000          
            0x01, 0xFE, 0x00, 0x00, ##         00000000          
            0x01, 0xFE, 0x00, 0x00, ##         00000000          
            0x01, 0xFE, 0x00, 0x00, ##         00000000          
            0x01, 0xFE, 0x00, 0x00, ##         00000000          
            0x01, 0xFE, 0x00, 0x00, ##         00000000          
            0x01, 0xFE, 0x00, 0x00, ##         00000000          
            0x01, 0xFE, 0x00, 0x00, ##         00000000          
            0x01, 0xFE, 0x00, 0x00, ##         00000000          
            0x01, 0xFE, 0x00, 0x00, ##         00000000          
            0x01, 0xFE, 0x00, 0x00, ##         00000000          
            0x01, 0xFE, 0x00, 0x00, ##         00000000          
            0x01, 0xFE, 0x00, 0x00, ##         00000000          
            0x01, 0xFE, 0x00, 0x00, ##         00000000          
            0x01, 0xFE, 0x00, 0x00, ##         00000000          
            0x01, 0xFE, 0x00, 0x00, ##         00000000          
            0x01, 0xFE, 0x00, 0x00, ##         00000000          
            0x01, 0xFE, 0x00, 0x00, ##         00000000          
            0x01, 0xFE, 0x00, 0x00, ##         00000000          
            0x01, 0xFE, 0x00, 0x00, ##         00000000          
            0x01, 0xFE, 0x00, 0x00, ##         00000000          
            0x01, 0xFE, 0x00, 0x00, ##         00000000          
            0x01, 0xFE, 0x00, 0x00, ##         00000000          
            0x01, 0xFE, 0x00, 0x00, ##         00000000          
            0x01, 0xFE, 0x00, 0x00, ##         00000000          
            0x01, 0xFE, 0x00, 0x00, ##         00000000          
            0x01, 0xFE, 0x00, 0x00, ##         00000000          
            0x01, 0xFE, 0x00, 0x00, ##         00000000          
            0x01, 0xFE, 0x00, 0x00, ##         00000000          
            0x01, 0xFE, 0x00, 0x00, ##         00000000          
            0x01, 0xFE, 0x00, 0x00, ##         00000000          
            0x01, 0xFE, 0x00, 0x00, ##         00000000          
            0x01, 0xFE, 0x00, 0x00, ##         00000000          
            0x01, 0xFE, 0x00, 0x00, ##         00000000          
            0x01, 0xFE, 0x00, 0x00, ##         00000000          
            0x01, 0xFE, 0x00, 0x00, ##         00000000          
            0x01, 0xFE, 0x00, 0x00, ##         00000000          
            0x01, 0xFE, 0x00, 0x00, ##         00000000          
            0xFF, 0xFF, 0xFE, 0x00, ##  00000000000000000000000  
            0xFF, 0xFF, 0xFE, 0x00, ##  00000000000000000000000  
            0xFF, 0xFF, 0xFE, 0x00, ##  00000000000000000000000  
            0xFF, 0xFF, 0xFE, 0x00, ##  00000000000000000000000  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '238' => {    # 'î'
        'width'    => 28, 
        'xoffset'  => 0, 
        'xadvance' => 28, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x3F, 0x80, 0x00, ##            0000000           
            0x00, 0x7F, 0xC0, 0x00, ##           000000000          
            0x00, 0x7F, 0xC0, 0x00, ##           000000000          
            0x00, 0xFF, 0xE0, 0x00, ##          00000000000         
            0x01, 0xFF, 0xF0, 0x00, ##         0000000000000        
            0x01, 0xFF, 0xF0, 0x00, ##         0000000000000        
            0x03, 0xFB, 0xF8, 0x00, ##        0000000 0000000       
            0x03, 0xF1, 0xFC, 0x00, ##        000000   0000000      
            0x07, 0xE0, 0xFC, 0x00, ##       000000     000000      
            0x0F, 0xC0, 0x7E, 0x00, ##      000000       000000     
            0x0F, 0xC0, 0x3F, 0x00, ##      000000        000000    
            0x1F, 0x80, 0x3F, 0x00, ##     000000         000000    
            0x1F, 0x00, 0x1F, 0x80, ##     00000           000000   
            0x3E, 0x00, 0x0F, 0xC0, ##    00000             000000  
            0x7E, 0x00, 0x07, 0xC0, ##   000000              00000  
            0x7C, 0x00, 0x03, 0xE0, ##   00000                00000 
            0xF8, 0x00, 0x03, 0xF0, ##  00000                 000000
            0x00, 0x00, 0x00, 0x00, ##                              
            0x00, 0x00, 0x00, 0x00, ##                              
            0x00, 0x00, 0x00, 0x00, ##                              
            0x00, 0x00, 0x00, 0x00, ##                              
            0x00, 0x00, 0x00, 0x00, ##                              
            0x00, 0x00, 0x00, 0x00, ##                              
            0x00, 0x00, 0x00, 0x00, ##                              
            0x00, 0x00, 0x00, 0x00, ##                              
            0x00, 0x00, 0x00, 0x00, ##                              
            0x1F, 0xFF, 0xC0, 0x00, ##     000000000000000          
            0x1F, 0xFF, 0xC0, 0x00, ##     000000000000000          
            0x1F, 0xFF, 0xC0, 0x00, ##     000000000000000          
            0x1F, 0xFF, 0xC0, 0x00, ##     000000000000000          
            0x00, 0x3F, 0xC0, 0x00, ##            00000000          
            0x00, 0x3F, 0xC0, 0x00, ##            00000000          
            0x00, 0x3F, 0xC0, 0x00, ##            00000000          
            0x00, 0x3F, 0xC0, 0x00, ##            00000000          
            0x00, 0x3F, 0xC0, 0x00, ##            00000000          
            0x00, 0x3F, 0xC0, 0x00, ##            00000000          
            0x00, 0x3F, 0xC0, 0x00, ##            00000000          
            0x00, 0x3F, 0xC0, 0x00, ##            00000000          
            0x00, 0x3F, 0xC0, 0x00, ##            00000000          
            0x00, 0x3F, 0xC0, 0x00, ##            00000000          
            0x00, 0x3F, 0xC0, 0x00, ##            00000000          
            0x00, 0x3F, 0xC0, 0x00, ##            00000000          
            0x00, 0x3F, 0xC0, 0x00, ##            00000000          
            0x00, 0x3F, 0xC0, 0x00, ##            00000000          
            0x00, 0x3F, 0xC0, 0x00, ##            00000000          
            0x00, 0x3F, 0xC0, 0x00, ##            00000000          
            0x00, 0x3F, 0xC0, 0x00, ##            00000000          
            0x00, 0x3F, 0xC0, 0x00, ##            00000000          
            0x00, 0x3F, 0xC0, 0x00, ##            00000000          
            0x00, 0x3F, 0xC0, 0x00, ##            00000000          
            0x00, 0x3F, 0xC0, 0x00, ##            00000000          
            0x00, 0x3F, 0xC0, 0x00, ##            00000000          
            0x00, 0x3F, 0xC0, 0x00, ##            00000000          
            0x00, 0x3F, 0xC0, 0x00, ##            00000000          
            0x00, 0x3F, 0xC0, 0x00, ##            00000000          
            0x00, 0x3F, 0xC0, 0x00, ##            00000000          
            0x00, 0x3F, 0xC0, 0x00, ##            00000000          
            0x00, 0x3F, 0xC0, 0x00, ##            00000000          
            0x00, 0x3F, 0xC0, 0x00, ##            00000000          
            0x00, 0x3F, 0xC0, 0x00, ##            00000000          
            0x00, 0x3F, 0xC0, 0x00, ##            00000000          
            0x00, 0x3F, 0xC0, 0x00, ##            00000000          
            0x00, 0x3F, 0xC0, 0x00, ##            00000000          
            0x00, 0x3F, 0xC0, 0x00, ##            00000000          
            0x00, 0x3F, 0xC0, 0x00, ##            00000000          
            0x00, 0x3F, 0xC0, 0x00, ##            00000000          
            0x00, 0x3F, 0xC0, 0x00, ##            00000000          
            0x1F, 0xFF, 0xFF, 0xC0, ##     00000000000000000000000  
            0x1F, 0xFF, 0xFF, 0xC0, ##     00000000000000000000000  
            0x1F, 0xFF, 0xFF, 0xC0, ##     00000000000000000000000  
            0x1F, 0xFF, 0xFF, 0xC0, ##     00000000000000000000000  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '239' => {    # 'ï'
        'width'    => 26, 
        'xoffset'  => 1, 
        'xadvance' => 28, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x1E, 0x00, 0x1E, 0x00, ##     0000            0000   
            0x7F, 0x80, 0x7F, 0x80, ##   00000000        00000000 
            0x7F, 0x80, 0x7F, 0x80, ##   00000000        00000000 
            0xFF, 0xC0, 0xFF, 0xC0, ##  0000000000      0000000000
            0xFF, 0xC0, 0xFF, 0xC0, ##  0000000000      0000000000
            0xFF, 0xC0, 0xFF, 0xC0, ##  0000000000      0000000000
            0xFF, 0xC0, 0xFF, 0xC0, ##  0000000000      0000000000
            0x7F, 0x80, 0x7F, 0x80, ##   00000000        00000000 
            0x7F, 0x80, 0x7F, 0x80, ##   00000000        00000000 
            0x1E, 0x00, 0x1E, 0x00, ##     0000            0000   
            0x00, 0x00, 0x00, 0x00, ##                            
            0x00, 0x00, 0x00, 0x00, ##                            
            0x00, 0x00, 0x00, 0x00, ##                            
            0x00, 0x00, 0x00, 0x00, ##                            
            0x00, 0x00, 0x00, 0x00, ##                            
            0x00, 0x00, 0x00, 0x00, ##                            
            0x00, 0x00, 0x00, 0x00, ##                            
            0x00, 0x00, 0x00, 0x00, ##                            
            0x00, 0x00, 0x00, 0x00, ##                            
            0x00, 0x00, 0x00, 0x00, ##                            
            0x00, 0x00, 0x00, 0x00, ##                            
            0x00, 0x00, 0x00, 0x00, ##                            
            0x3F, 0xFF, 0xC0, 0x00, ##    0000000000000000        
            0x3F, 0xFF, 0xC0, 0x00, ##    0000000000000000        
            0x3F, 0xFF, 0xC0, 0x00, ##    0000000000000000        
            0x3F, 0xFF, 0xC0, 0x00, ##    0000000000000000        
            0x00, 0x3F, 0xC0, 0x00, ##            00000000        
            0x00, 0x3F, 0xC0, 0x00, ##            00000000        
            0x00, 0x3F, 0xC0, 0x00, ##            00000000        
            0x00, 0x3F, 0xC0, 0x00, ##            00000000        
            0x00, 0x3F, 0xC0, 0x00, ##            00000000        
            0x00, 0x3F, 0xC0, 0x00, ##            00000000        
            0x00, 0x3F, 0xC0, 0x00, ##            00000000        
            0x00, 0x3F, 0xC0, 0x00, ##            00000000        
            0x00, 0x3F, 0xC0, 0x00, ##            00000000        
            0x00, 0x3F, 0xC0, 0x00, ##            00000000        
            0x00, 0x3F, 0xC0, 0x00, ##            00000000        
            0x00, 0x3F, 0xC0, 0x00, ##            00000000        
            0x00, 0x3F, 0xC0, 0x00, ##            00000000        
            0x00, 0x3F, 0xC0, 0x00, ##            00000000        
            0x00, 0x3F, 0xC0, 0x00, ##            00000000        
            0x00, 0x3F, 0xC0, 0x00, ##            00000000        
            0x00, 0x3F, 0xC0, 0x00, ##            00000000        
            0x00, 0x3F, 0xC0, 0x00, ##            00000000        
            0x00, 0x3F, 0xC0, 0x00, ##            00000000        
            0x00, 0x3F, 0xC0, 0x00, ##            00000000        
            0x00, 0x3F, 0xC0, 0x00, ##            00000000        
            0x00, 0x3F, 0xC0, 0x00, ##            00000000        
            0x00, 0x3F, 0xC0, 0x00, ##            00000000        
            0x00, 0x3F, 0xC0, 0x00, ##            00000000        
            0x00, 0x3F, 0xC0, 0x00, ##            00000000        
            0x00, 0x3F, 0xC0, 0x00, ##            00000000        
            0x00, 0x3F, 0xC0, 0x00, ##            00000000        
            0x00, 0x3F, 0xC0, 0x00, ##            00000000        
            0x00, 0x3F, 0xC0, 0x00, ##            00000000        
            0x00, 0x3F, 0xC0, 0x00, ##            00000000        
            0x00, 0x3F, 0xC0, 0x00, ##            00000000        
            0x00, 0x3F, 0xC0, 0x00, ##            00000000        
            0x00, 0x3F, 0xC0, 0x00, ##            00000000        
            0x00, 0x3F, 0xC0, 0x00, ##            00000000        
            0x00, 0x3F, 0xC0, 0x00, ##            00000000        
            0x00, 0x3F, 0xC0, 0x00, ##            00000000        
            0x00, 0x3F, 0xC0, 0x00, ##            00000000        
            0x3F, 0xFF, 0xFF, 0x80, ##    00000000000000000000000 
            0x3F, 0xFF, 0xFF, 0x80, ##    00000000000000000000000 
            0x3F, 0xFF, 0xFF, 0x80, ##    00000000000000000000000 
            0x3F, 0xFF, 0xFF, 0x80, ##    00000000000000000000000 
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '240' => {    # 'ð'
        'width'    => 44, 
        'xoffset'  => 4, 
        'xadvance' => 52, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x01, 0x80, 0x00, 0x00, 0x00, 0x00, ##         00                                   
            0x01, 0xF0, 0x00, 0x00, 0x00, 0x00, ##         00000                                
            0x03, 0xFE, 0x00, 0x00, 0x06, 0x00, ##        000000000                      00     
            0x03, 0xFF, 0x80, 0x00, 0x1F, 0x00, ##        00000000000                  00000    
            0x00, 0x7F, 0xE0, 0x00, 0x7F, 0x00, ##           0000000000              0000000    
            0x00, 0x0F, 0xF8, 0x01, 0xFE, 0x00, ##              000000000          00000000     
            0x00, 0x03, 0xFE, 0x0F, 0xF8, 0x00, ##                000000000     000000000       
            0x00, 0x00, 0xFF, 0x3F, 0xE0, 0x00, ##                  00000000  000000000         
            0x00, 0x00, 0x7F, 0xFF, 0x80, 0x00, ##                   0000000000000000           
            0x00, 0x00, 0x3F, 0xFE, 0x00, 0x00, ##                    0000000000000             
            0x00, 0x00, 0x0F, 0xF8, 0x00, 0x00, ##                      000000000               
            0x00, 0x00, 0x3F, 0xF8, 0x00, 0x00, ##                    00000000000               
            0x00, 0x00, 0xFF, 0xFC, 0x00, 0x00, ##                  00000000000000              
            0x00, 0x07, 0xFD, 0xFE, 0x00, 0x00, ##               000000000 00000000             
            0x00, 0x1F, 0xF0, 0xFF, 0x00, 0x00, ##             000000000    00000000            
            0x00, 0x7F, 0xC0, 0xFF, 0x80, 0x00, ##           000000000      000000000           
            0x01, 0xFF, 0x00, 0x7F, 0xC0, 0x00, ##         000000000         000000000          
            0x00, 0xFC, 0x00, 0x3F, 0xE0, 0x00, ##          000000            000000000         
            0x00, 0xE0, 0x00, 0x1F, 0xE0, 0x00, ##          000                00000000         
            0x00, 0x80, 0x00, 0x1F, 0xF0, 0x00, ##          0                  000000000        
            0x00, 0x00, 0x00, 0x0F, 0xF8, 0x00, ##                              000000000       
            0x00, 0x00, 0x00, 0x0F, 0xF8, 0x00, ##                              000000000       
            0x00, 0x00, 0x7F, 0xF7, 0xFC, 0x00, ##                   00000000000 000000000      
            0x00, 0x07, 0xFF, 0xFF, 0xFE, 0x00, ##               00000000000000000000000000     
            0x00, 0x1F, 0xFF, 0xFF, 0xFE, 0x00, ##             0000000000000000000000000000     
            0x00, 0x7F, 0xFF, 0xFF, 0xFF, 0x00, ##           0000000000000000000000000000000    
            0x00, 0xFF, 0xE0, 0x07, 0xFF, 0x00, ##          00000000000          00000000000    
            0x01, 0xFF, 0x00, 0x01, 0xFF, 0x80, ##         000000000               0000000000   
            0x03, 0xFE, 0x00, 0x00, 0xFF, 0x80, ##        000000000                 000000000   
            0x07, 0xFC, 0x00, 0x00, 0xFF, 0x80, ##       000000000                  000000000   
            0x0F, 0xF8, 0x00, 0x00, 0xFF, 0xC0, ##      000000000                   0000000000  
            0x1F, 0xF0, 0x00, 0x00, 0x7F, 0xC0, ##     000000000                     000000000  
            0x1F, 0xE0, 0x00, 0x00, 0x7F, 0xC0, ##     00000000                      000000000  
            0x3F, 0xE0, 0x00, 0x00, 0x7F, 0xE0, ##    000000000                      0000000000 
            0x3F, 0xE0, 0x00, 0x00, 0x3F, 0xE0, ##    000000000                       000000000 
            0x7F, 0xC0, 0x00, 0x00, 0x3F, 0xE0, ##   000000000                        000000000 
            0x7F, 0xC0, 0x00, 0x00, 0x3F, 0xE0, ##   000000000                        000000000 
            0x7F, 0xC0, 0x00, 0x00, 0x3F, 0xE0, ##   000000000                        000000000 
            0x7F, 0x80, 0x00, 0x00, 0x1F, 0xF0, ##   00000000                          000000000
            0xFF, 0x80, 0x00, 0x00, 0x1F, 0xF0, ##  000000000                          000000000
            0xFF, 0x80, 0x00, 0x00, 0x1F, 0xF0, ##  000000000                          000000000
            0xFF, 0x80, 0x00, 0x00, 0x1F, 0xF0, ##  000000000                          000000000
            0xFF, 0x80, 0x00, 0x00, 0x1F, 0xF0, ##  000000000                          000000000
            0xFF, 0x80, 0x00, 0x00, 0x1F, 0xF0, ##  000000000                          000000000
            0xFF, 0x80, 0x00, 0x00, 0x1F, 0xF0, ##  000000000                          000000000
            0xFF, 0x80, 0x00, 0x00, 0x1F, 0xF0, ##  000000000                          000000000
            0xFF, 0x80, 0x00, 0x00, 0x1F, 0xF0, ##  000000000                          000000000
            0xFF, 0x80, 0x00, 0x00, 0x1F, 0xF0, ##  000000000                          000000000
            0xFF, 0x80, 0x00, 0x00, 0x1F, 0xF0, ##  000000000                          000000000
            0xFF, 0x80, 0x00, 0x00, 0x1F, 0xF0, ##  000000000                          000000000
            0x7F, 0x80, 0x00, 0x00, 0x1F, 0xE0, ##   00000000                          00000000 
            0x7F, 0xC0, 0x00, 0x00, 0x3F, 0xE0, ##   000000000                        000000000 
            0x7F, 0xC0, 0x00, 0x00, 0x3F, 0xE0, ##   000000000                        000000000 
            0x7F, 0xC0, 0x00, 0x00, 0x3F, 0xE0, ##   000000000                        000000000 
            0x3F, 0xC0, 0x00, 0x00, 0x3F, 0xC0, ##    00000000                        00000000  
            0x3F, 0xE0, 0x00, 0x00, 0x7F, 0xC0, ##    000000000                      000000000  
            0x1F, 0xE0, 0x00, 0x00, 0x7F, 0x80, ##     00000000                      00000000   
            0x1F, 0xE0, 0x00, 0x00, 0x7F, 0x80, ##     00000000                      00000000   
            0x0F, 0xF0, 0x00, 0x00, 0xFF, 0x00, ##      00000000                    00000000    
            0x0F, 0xF8, 0x00, 0x01, 0xFF, 0x00, ##      000000000                  000000000    
            0x07, 0xFC, 0x00, 0x03, 0xFE, 0x00, ##       000000000                000000000     
            0x03, 0xFE, 0x00, 0x07, 0xFC, 0x00, ##        000000000              000000000      
            0x01, 0xFF, 0x00, 0x0F, 0xF8, 0x00, ##         000000000            000000000       
            0x00, 0xFF, 0xC0, 0x3F, 0xF0, 0x00, ##          0000000000        0000000000        
            0x00, 0x3F, 0xFF, 0xFF, 0xC0, 0x00, ##            000000000000000000000000          
            0x00, 0x1F, 0xFF, 0xFF, 0x80, 0x00, ##             0000000000000000000000           
            0x00, 0x07, 0xFF, 0xFE, 0x00, 0x00, ##               000000000000000000             
            0x00, 0x00, 0x7F, 0xE0, 0x00, 0x00, ##                   0000000000                 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '241' => {    # 'ñ'
        'width'    => 50, 
        'xoffset'  => 4, 
        'xadvance' => 56, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0xFC, 0x00, 0x3C, 0x00, 0x00, ##                  000000            0000            
            0x00, 0x03, 0xFF, 0x00, 0x3C, 0x00, 0x00, ##                0000000000          0000            
            0x00, 0x07, 0xFF, 0x80, 0x3C, 0x00, 0x00, ##               000000000000         0000            
            0x00, 0x07, 0xFF, 0xC0, 0x7C, 0x00, 0x00, ##               0000000000000       00000            
            0x00, 0x0F, 0xFF, 0xE0, 0x7C, 0x00, 0x00, ##              000000000000000      00000            
            0x00, 0x0F, 0x87, 0xF0, 0xF8, 0x00, 0x00, ##              00000    0000000    00000             
            0x00, 0x1F, 0x03, 0xFF, 0xF8, 0x00, 0x00, ##             00000      000000000000000             
            0x00, 0x1F, 0x01, 0xFF, 0xF0, 0x00, 0x00, ##             00000       0000000000000              
            0x00, 0x1E, 0x00, 0xFF, 0xF0, 0x00, 0x00, ##             0000         000000000000              
            0x00, 0x1E, 0x00, 0x7F, 0xE0, 0x00, 0x00, ##             0000          0000000000               
            0x00, 0x1E, 0x00, 0x1F, 0x80, 0x00, 0x00, ##             0000            000000                 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                    
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                    
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                    
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                    
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                    
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                    
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                    
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                    
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                    
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                    
            0x00, 0x00, 0x00, 0x7F, 0x80, 0x00, 0x00, ##                           00000000                 
            0x00, 0x00, 0x03, 0xFF, 0xF0, 0x00, 0x00, ##                        00000000000000              
            0xFF, 0xFE, 0x0F, 0xFF, 0xFC, 0x00, 0x00, ##  000000000000000     000000000000000000            
            0xFF, 0xFE, 0x1F, 0xFF, 0xFE, 0x00, 0x00, ##  000000000000000    00000000000000000000           
            0xFF, 0xFE, 0x3F, 0xFF, 0xFF, 0x00, 0x00, ##  000000000000000   0000000000000000000000          
            0xFF, 0xFE, 0x7F, 0xFF, 0xFF, 0x00, 0x00, ##  000000000000000  00000000000000000000000          
            0x01, 0xFE, 0x7E, 0x07, 0xFF, 0x80, 0x00, ##         00000000  000000      000000000000         
            0x01, 0xFE, 0xF0, 0x01, 0xFF, 0x80, 0x00, ##         00000000 0000           0000000000         
            0x01, 0xFF, 0xE0, 0x00, 0xFF, 0xC0, 0x00, ##         000000000000             0000000000        
            0x01, 0xFF, 0xC0, 0x00, 0x7F, 0xC0, 0x00, ##         00000000000               000000000        
            0x01, 0xFF, 0xC0, 0x00, 0x3F, 0xC0, 0x00, ##         00000000000                00000000        
            0x01, 0xFF, 0x80, 0x00, 0x3F, 0xC0, 0x00, ##         0000000000                 00000000        
            0x01, 0xFF, 0x80, 0x00, 0x3F, 0xE0, 0x00, ##         0000000000                 000000000       
            0x01, 0xFF, 0x00, 0x00, 0x3F, 0xE0, 0x00, ##         000000000                  000000000       
            0x01, 0xFF, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##         000000000                   00000000       
            0x01, 0xFF, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##         000000000                   00000000       
            0x01, 0xFE, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##         00000000                    00000000       
            0x01, 0xFE, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##         00000000                    00000000       
            0x01, 0xFE, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##         00000000                    00000000       
            0x01, 0xFE, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##         00000000                    00000000       
            0x01, 0xFE, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##         00000000                    00000000       
            0x01, 0xFE, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##         00000000                    00000000       
            0x01, 0xFE, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##         00000000                    00000000       
            0x01, 0xFE, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##         00000000                    00000000       
            0x01, 0xFE, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##         00000000                    00000000       
            0x01, 0xFE, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##         00000000                    00000000       
            0x01, 0xFE, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##         00000000                    00000000       
            0x01, 0xFE, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##         00000000                    00000000       
            0x01, 0xFE, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##         00000000                    00000000       
            0x01, 0xFE, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##         00000000                    00000000       
            0x01, 0xFE, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##         00000000                    00000000       
            0x01, 0xFE, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##         00000000                    00000000       
            0x01, 0xFE, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##         00000000                    00000000       
            0x01, 0xFE, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##         00000000                    00000000       
            0x01, 0xFE, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##         00000000                    00000000       
            0x01, 0xFE, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##         00000000                    00000000       
            0x01, 0xFE, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##         00000000                    00000000       
            0x01, 0xFE, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##         00000000                    00000000       
            0x01, 0xFE, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##         00000000                    00000000       
            0x01, 0xFE, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##         00000000                    00000000       
            0x01, 0xFE, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##         00000000                    00000000       
            0x01, 0xFE, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##         00000000                    00000000       
            0x01, 0xFE, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##         00000000                    00000000       
            0xFF, 0xFF, 0xFC, 0x0F, 0xFF, 0xFF, 0xC0, ##  0000000000000000000000      0000000000000000000000
            0xFF, 0xFF, 0xFC, 0x0F, 0xFF, 0xFF, 0xC0, ##  0000000000000000000000      0000000000000000000000
            0xFF, 0xFF, 0xFC, 0x0F, 0xFF, 0xFF, 0xC0, ##  0000000000000000000000      0000000000000000000000
            0xFF, 0xFF, 0xFC, 0x0F, 0xFF, 0xFF, 0xC0, ##  0000000000000000000000      0000000000000000000000
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '242' => {    # 'ò'
        'width'    => 44, 
        'xoffset'  => 4, 
        'xadvance' => 52, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x01, 0xFF, 0x00, 0x00, 0x00, 0x00, ##         000000000                            
            0x00, 0xFF, 0x00, 0x00, 0x00, 0x00, ##          00000000                            
            0x00, 0x7F, 0x80, 0x00, 0x00, 0x00, ##           00000000                           
            0x00, 0x3F, 0xC0, 0x00, 0x00, 0x00, ##            00000000                          
            0x00, 0x1F, 0xE0, 0x00, 0x00, 0x00, ##             00000000                         
            0x00, 0x0F, 0xE0, 0x00, 0x00, 0x00, ##              0000000                         
            0x00, 0x07, 0xF0, 0x00, 0x00, 0x00, ##               0000000                        
            0x00, 0x03, 0xF8, 0x00, 0x00, 0x00, ##                0000000                       
            0x00, 0x01, 0xF8, 0x00, 0x00, 0x00, ##                 000000                       
            0x00, 0x01, 0xFC, 0x00, 0x00, 0x00, ##                 0000000                      
            0x00, 0x00, 0xFE, 0x00, 0x00, 0x00, ##                  0000000                     
            0x00, 0x00, 0x7E, 0x00, 0x00, 0x00, ##                   000000                     
            0x00, 0x00, 0x3F, 0x00, 0x00, 0x00, ##                    000000                    
            0x00, 0x00, 0x1F, 0x80, 0x00, 0x00, ##                     000000                   
            0x00, 0x00, 0x0F, 0xC0, 0x00, 0x00, ##                      000000                  
            0x00, 0x00, 0x07, 0xC0, 0x00, 0x00, ##                       00000                  
            0x00, 0x00, 0x03, 0xE0, 0x00, 0x00, ##                        00000                 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                              
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                              
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                              
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                              
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                              
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                              
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                              
            0x00, 0x00, 0x7F, 0xE0, 0x00, 0x00, ##                   0000000000                 
            0x00, 0x07, 0xFF, 0xFE, 0x00, 0x00, ##               000000000000000000             
            0x00, 0x1F, 0xFF, 0xFF, 0x80, 0x00, ##             0000000000000000000000           
            0x00, 0x3F, 0xFF, 0xFF, 0xC0, 0x00, ##            000000000000000000000000          
            0x00, 0xFF, 0xC0, 0x3F, 0xF0, 0x00, ##          0000000000        0000000000        
            0x01, 0xFF, 0x00, 0x0F, 0xF8, 0x00, ##         000000000            000000000       
            0x03, 0xFE, 0x00, 0x07, 0xFC, 0x00, ##        000000000              000000000      
            0x07, 0xF8, 0x00, 0x03, 0xFE, 0x00, ##       00000000                 000000000     
            0x0F, 0xF8, 0x00, 0x01, 0xFF, 0x00, ##      000000000                  000000000    
            0x0F, 0xF0, 0x00, 0x00, 0xFF, 0x00, ##      00000000                    00000000    
            0x1F, 0xE0, 0x00, 0x00, 0xFF, 0x80, ##     00000000                     000000000   
            0x1F, 0xE0, 0x00, 0x00, 0x7F, 0x80, ##     00000000                      00000000   
            0x3F, 0xE0, 0x00, 0x00, 0x7F, 0xC0, ##    000000000                      000000000  
            0x3F, 0xC0, 0x00, 0x00, 0x3F, 0xC0, ##    00000000                        00000000  
            0x7F, 0xC0, 0x00, 0x00, 0x3F, 0xE0, ##   000000000                        000000000 
            0x7F, 0xC0, 0x00, 0x00, 0x3F, 0xE0, ##   000000000                        000000000 
            0x7F, 0xC0, 0x00, 0x00, 0x3F, 0xE0, ##   000000000                        000000000 
            0x7F, 0x80, 0x00, 0x00, 0x1F, 0xE0, ##   00000000                          00000000 
            0xFF, 0x80, 0x00, 0x00, 0x1F, 0xF0, ##  000000000                          000000000
            0xFF, 0x80, 0x00, 0x00, 0x1F, 0xF0, ##  000000000                          000000000
            0xFF, 0x80, 0x00, 0x00, 0x1F, 0xF0, ##  000000000                          000000000
            0xFF, 0x80, 0x00, 0x00, 0x1F, 0xF0, ##  000000000                          000000000
            0xFF, 0x80, 0x00, 0x00, 0x1F, 0xF0, ##  000000000                          000000000
            0xFF, 0x80, 0x00, 0x00, 0x1F, 0xF0, ##  000000000                          000000000
            0xFF, 0x80, 0x00, 0x00, 0x1F, 0xF0, ##  000000000                          000000000
            0xFF, 0x80, 0x00, 0x00, 0x1F, 0xF0, ##  000000000                          000000000
            0xFF, 0x80, 0x00, 0x00, 0x1F, 0xF0, ##  000000000                          000000000
            0xFF, 0x80, 0x00, 0x00, 0x1F, 0xF0, ##  000000000                          000000000
            0xFF, 0x80, 0x00, 0x00, 0x1F, 0xF0, ##  000000000                          000000000
            0xFF, 0x80, 0x00, 0x00, 0x1F, 0xF0, ##  000000000                          000000000
            0x7F, 0x80, 0x00, 0x00, 0x1F, 0xE0, ##   00000000                          00000000 
            0x7F, 0xC0, 0x00, 0x00, 0x3F, 0xE0, ##   000000000                        000000000 
            0x7F, 0xC0, 0x00, 0x00, 0x3F, 0xE0, ##   000000000                        000000000 
            0x7F, 0xC0, 0x00, 0x00, 0x3F, 0xE0, ##   000000000                        000000000 
            0x3F, 0xC0, 0x00, 0x00, 0x3F, 0xC0, ##    00000000                        00000000  
            0x3F, 0xE0, 0x00, 0x00, 0x7F, 0xC0, ##    000000000                      000000000  
            0x1F, 0xE0, 0x00, 0x00, 0x7F, 0x80, ##     00000000                      00000000   
            0x1F, 0xE0, 0x00, 0x00, 0xFF, 0x80, ##     00000000                     000000000   
            0x0F, 0xF0, 0x00, 0x00, 0xFF, 0x00, ##      00000000                    00000000    
            0x0F, 0xF8, 0x00, 0x01, 0xFF, 0x00, ##      000000000                  000000000    
            0x07, 0xF8, 0x00, 0x03, 0xFE, 0x00, ##       00000000                 000000000     
            0x03, 0xFE, 0x00, 0x07, 0xFC, 0x00, ##        000000000              000000000      
            0x01, 0xFF, 0x00, 0x0F, 0xF8, 0x00, ##         000000000            000000000       
            0x00, 0xFF, 0xC0, 0x3F, 0xF0, 0x00, ##          0000000000        0000000000        
            0x00, 0x3F, 0xFF, 0xFF, 0xC0, 0x00, ##            000000000000000000000000          
            0x00, 0x1F, 0xFF, 0xFF, 0x80, 0x00, ##             0000000000000000000000           
            0x00, 0x07, 0xFF, 0xFE, 0x00, 0x00, ##               000000000000000000             
            0x00, 0x00, 0x7F, 0xE0, 0x00, 0x00, ##                   0000000000                 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '243' => {    # 'ó'
        'width'    => 44, 
        'xoffset'  => 4, 
        'xadvance' => 52, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x0F, 0xF0, 0x00, ##                              00000000        
            0x00, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##                             00000000         
            0x00, 0x00, 0x00, 0x3F, 0xC0, 0x00, ##                            00000000          
            0x00, 0x00, 0x00, 0x3F, 0xC0, 0x00, ##                            00000000          
            0x00, 0x00, 0x00, 0x7F, 0x80, 0x00, ##                           00000000           
            0x00, 0x00, 0x00, 0xFF, 0x00, 0x00, ##                          00000000            
            0x00, 0x00, 0x00, 0xFE, 0x00, 0x00, ##                          0000000             
            0x00, 0x00, 0x01, 0xFC, 0x00, 0x00, ##                         0000000              
            0x00, 0x00, 0x03, 0xF8, 0x00, 0x00, ##                        0000000               
            0x00, 0x00, 0x03, 0xF0, 0x00, 0x00, ##                        000000                
            0x00, 0x00, 0x07, 0xE0, 0x00, 0x00, ##                       000000                 
            0x00, 0x00, 0x0F, 0xC0, 0x00, 0x00, ##                      000000                  
            0x00, 0x00, 0x0F, 0x80, 0x00, 0x00, ##                      00000                   
            0x00, 0x00, 0x1F, 0x80, 0x00, 0x00, ##                     000000                   
            0x00, 0x00, 0x3F, 0x00, 0x00, 0x00, ##                    000000                    
            0x00, 0x00, 0x7E, 0x00, 0x00, 0x00, ##                   000000                     
            0x00, 0x00, 0x7C, 0x00, 0x00, 0x00, ##                   00000                      
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                              
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                              
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                              
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                              
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                              
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                              
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                              
            0x00, 0x00, 0x7F, 0xE0, 0x00, 0x00, ##                   0000000000                 
            0x00, 0x07, 0xFF, 0xFE, 0x00, 0x00, ##               000000000000000000             
            0x00, 0x1F, 0xFF, 0xFF, 0x80, 0x00, ##             0000000000000000000000           
            0x00, 0x3F, 0xFF, 0xFF, 0xC0, 0x00, ##            000000000000000000000000          
            0x00, 0xFF, 0xC0, 0x3F, 0xF0, 0x00, ##          0000000000        0000000000        
            0x01, 0xFF, 0x00, 0x0F, 0xF8, 0x00, ##         000000000            000000000       
            0x03, 0xFE, 0x00, 0x07, 0xFC, 0x00, ##        000000000              000000000      
            0x07, 0xF8, 0x00, 0x03, 0xFE, 0x00, ##       00000000                 000000000     
            0x0F, 0xF8, 0x00, 0x01, 0xFF, 0x00, ##      000000000                  000000000    
            0x0F, 0xF0, 0x00, 0x00, 0xFF, 0x00, ##      00000000                    00000000    
            0x1F, 0xE0, 0x00, 0x00, 0xFF, 0x80, ##     00000000                     000000000   
            0x1F, 0xE0, 0x00, 0x00, 0x7F, 0x80, ##     00000000                      00000000   
            0x3F, 0xE0, 0x00, 0x00, 0x7F, 0xC0, ##    000000000                      000000000  
            0x3F, 0xC0, 0x00, 0x00, 0x3F, 0xC0, ##    00000000                        00000000  
            0x7F, 0xC0, 0x00, 0x00, 0x3F, 0xE0, ##   000000000                        000000000 
            0x7F, 0xC0, 0x00, 0x00, 0x3F, 0xE0, ##   000000000                        000000000 
            0x7F, 0xC0, 0x00, 0x00, 0x3F, 0xE0, ##   000000000                        000000000 
            0x7F, 0x80, 0x00, 0x00, 0x1F, 0xE0, ##   00000000                          00000000 
            0xFF, 0x80, 0x00, 0x00, 0x1F, 0xF0, ##  000000000                          000000000
            0xFF, 0x80, 0x00, 0x00, 0x1F, 0xF0, ##  000000000                          000000000
            0xFF, 0x80, 0x00, 0x00, 0x1F, 0xF0, ##  000000000                          000000000
            0xFF, 0x80, 0x00, 0x00, 0x1F, 0xF0, ##  000000000                          000000000
            0xFF, 0x80, 0x00, 0x00, 0x1F, 0xF0, ##  000000000                          000000000
            0xFF, 0x80, 0x00, 0x00, 0x1F, 0xF0, ##  000000000                          000000000
            0xFF, 0x80, 0x00, 0x00, 0x1F, 0xF0, ##  000000000                          000000000
            0xFF, 0x80, 0x00, 0x00, 0x1F, 0xF0, ##  000000000                          000000000
            0xFF, 0x80, 0x00, 0x00, 0x1F, 0xF0, ##  000000000                          000000000
            0xFF, 0x80, 0x00, 0x00, 0x1F, 0xF0, ##  000000000                          000000000
            0xFF, 0x80, 0x00, 0x00, 0x1F, 0xF0, ##  000000000                          000000000
            0xFF, 0x80, 0x00, 0x00, 0x1F, 0xF0, ##  000000000                          000000000
            0x7F, 0x80, 0x00, 0x00, 0x1F, 0xE0, ##   00000000                          00000000 
            0x7F, 0xC0, 0x00, 0x00, 0x3F, 0xE0, ##   000000000                        000000000 
            0x7F, 0xC0, 0x00, 0x00, 0x3F, 0xE0, ##   000000000                        000000000 
            0x7F, 0xC0, 0x00, 0x00, 0x3F, 0xE0, ##   000000000                        000000000 
            0x3F, 0xC0, 0x00, 0x00, 0x3F, 0xC0, ##    00000000                        00000000  
            0x3F, 0xE0, 0x00, 0x00, 0x7F, 0xC0, ##    000000000                      000000000  
            0x1F, 0xE0, 0x00, 0x00, 0x7F, 0x80, ##     00000000                      00000000   
            0x1F, 0xE0, 0x00, 0x00, 0xFF, 0x80, ##     00000000                     000000000   
            0x0F, 0xF0, 0x00, 0x00, 0xFF, 0x00, ##      00000000                    00000000    
            0x0F, 0xF8, 0x00, 0x01, 0xFF, 0x00, ##      000000000                  000000000    
            0x07, 0xF8, 0x00, 0x03, 0xFE, 0x00, ##       00000000                 000000000     
            0x03, 0xFE, 0x00, 0x07, 0xFC, 0x00, ##        000000000              000000000      
            0x01, 0xFF, 0x00, 0x0F, 0xF8, 0x00, ##         000000000            000000000       
            0x00, 0xFF, 0xC0, 0x3F, 0xF0, 0x00, ##          0000000000        0000000000        
            0x00, 0x3F, 0xFF, 0xFF, 0xC0, 0x00, ##            000000000000000000000000          
            0x00, 0x1F, 0xFF, 0xFF, 0x80, 0x00, ##             0000000000000000000000           
            0x00, 0x07, 0xFF, 0xFE, 0x00, 0x00, ##               000000000000000000             
            0x00, 0x00, 0x7F, 0xE0, 0x00, 0x00, ##                   0000000000                 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '244' => {    # 'ô'
        'width'    => 44, 
        'xoffset'  => 4, 
        'xadvance' => 52, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x3F, 0xC0, 0x00, 0x00, ##                    00000000                  
            0x00, 0x00, 0x7F, 0xE0, 0x00, 0x00, ##                   0000000000                 
            0x00, 0x00, 0x7F, 0xE0, 0x00, 0x00, ##                   0000000000                 
            0x00, 0x00, 0xFF, 0xF0, 0x00, 0x00, ##                  000000000000                
            0x00, 0x00, 0xFF, 0xF0, 0x00, 0x00, ##                  000000000000                
            0x00, 0x01, 0xFF, 0xF8, 0x00, 0x00, ##                 00000000000000               
            0x00, 0x03, 0xF9, 0xFC, 0x00, 0x00, ##                0000000  0000000              
            0x00, 0x03, 0xF0, 0xFC, 0x00, 0x00, ##                000000    000000              
            0x00, 0x07, 0xE0, 0x7E, 0x00, 0x00, ##               000000      000000             
            0x00, 0x0F, 0xE0, 0x7F, 0x00, 0x00, ##              0000000      0000000            
            0x00, 0x0F, 0xC0, 0x3F, 0x00, 0x00, ##              000000        000000            
            0x00, 0x1F, 0x80, 0x1F, 0x80, 0x00, ##             000000          000000           
            0x00, 0x1F, 0x00, 0x0F, 0x80, 0x00, ##             00000            00000           
            0x00, 0x3F, 0x00, 0x07, 0xC0, 0x00, ##            000000             00000          
            0x00, 0x7E, 0x00, 0x07, 0xE0, 0x00, ##           000000              000000         
            0x00, 0x7C, 0x00, 0x03, 0xE0, 0x00, ##           00000                00000         
            0x00, 0xF8, 0x00, 0x01, 0xF0, 0x00, ##          00000                  00000        
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                              
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                              
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                              
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                              
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                              
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                              
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                              
            0x00, 0x00, 0x7F, 0xE0, 0x00, 0x00, ##                   0000000000                 
            0x00, 0x07, 0xFF, 0xFE, 0x00, 0x00, ##               000000000000000000             
            0x00, 0x1F, 0xFF, 0xFF, 0x80, 0x00, ##             0000000000000000000000           
            0x00, 0x3F, 0xFF, 0xFF, 0xC0, 0x00, ##            000000000000000000000000          
            0x00, 0xFF, 0xC0, 0x3F, 0xF0, 0x00, ##          0000000000        0000000000        
            0x01, 0xFF, 0x00, 0x0F, 0xF8, 0x00, ##         000000000            000000000       
            0x03, 0xFE, 0x00, 0x07, 0xFC, 0x00, ##        000000000              000000000      
            0x07, 0xF8, 0x00, 0x03, 0xFE, 0x00, ##       00000000                 000000000     
            0x0F, 0xF8, 0x00, 0x01, 0xFF, 0x00, ##      000000000                  000000000    
            0x0F, 0xF0, 0x00, 0x00, 0xFF, 0x00, ##      00000000                    00000000    
            0x1F, 0xE0, 0x00, 0x00, 0xFF, 0x80, ##     00000000                     000000000   
            0x1F, 0xE0, 0x00, 0x00, 0x7F, 0x80, ##     00000000                      00000000   
            0x3F, 0xE0, 0x00, 0x00, 0x7F, 0xC0, ##    000000000                      000000000  
            0x3F, 0xC0, 0x00, 0x00, 0x3F, 0xC0, ##    00000000                        00000000  
            0x7F, 0xC0, 0x00, 0x00, 0x3F, 0xE0, ##   000000000                        000000000 
            0x7F, 0xC0, 0x00, 0x00, 0x3F, 0xE0, ##   000000000                        000000000 
            0x7F, 0xC0, 0x00, 0x00, 0x3F, 0xE0, ##   000000000                        000000000 
            0x7F, 0x80, 0x00, 0x00, 0x1F, 0xE0, ##   00000000                          00000000 
            0xFF, 0x80, 0x00, 0x00, 0x1F, 0xF0, ##  000000000                          000000000
            0xFF, 0x80, 0x00, 0x00, 0x1F, 0xF0, ##  000000000                          000000000
            0xFF, 0x80, 0x00, 0x00, 0x1F, 0xF0, ##  000000000                          000000000
            0xFF, 0x80, 0x00, 0x00, 0x1F, 0xF0, ##  000000000                          000000000
            0xFF, 0x80, 0x00, 0x00, 0x1F, 0xF0, ##  000000000                          000000000
            0xFF, 0x80, 0x00, 0x00, 0x1F, 0xF0, ##  000000000                          000000000
            0xFF, 0x80, 0x00, 0x00, 0x1F, 0xF0, ##  000000000                          000000000
            0xFF, 0x80, 0x00, 0x00, 0x1F, 0xF0, ##  000000000                          000000000
            0xFF, 0x80, 0x00, 0x00, 0x1F, 0xF0, ##  000000000                          000000000
            0xFF, 0x80, 0x00, 0x00, 0x1F, 0xF0, ##  000000000                          000000000
            0xFF, 0x80, 0x00, 0x00, 0x1F, 0xF0, ##  000000000                          000000000
            0xFF, 0x80, 0x00, 0x00, 0x1F, 0xF0, ##  000000000                          000000000
            0x7F, 0x80, 0x00, 0x00, 0x1F, 0xE0, ##   00000000                          00000000 
            0x7F, 0xC0, 0x00, 0x00, 0x3F, 0xE0, ##   000000000                        000000000 
            0x7F, 0xC0, 0x00, 0x00, 0x3F, 0xE0, ##   000000000                        000000000 
            0x7F, 0xC0, 0x00, 0x00, 0x3F, 0xE0, ##   000000000                        000000000 
            0x3F, 0xC0, 0x00, 0x00, 0x3F, 0xC0, ##    00000000                        00000000  
            0x3F, 0xE0, 0x00, 0x00, 0x7F, 0xC0, ##    000000000                      000000000  
            0x1F, 0xE0, 0x00, 0x00, 0x7F, 0x80, ##     00000000                      00000000   
            0x1F, 0xE0, 0x00, 0x00, 0xFF, 0x80, ##     00000000                     000000000   
            0x0F, 0xF0, 0x00, 0x00, 0xFF, 0x00, ##      00000000                    00000000    
            0x0F, 0xF8, 0x00, 0x01, 0xFF, 0x00, ##      000000000                  000000000    
            0x07, 0xF8, 0x00, 0x03, 0xFE, 0x00, ##       00000000                 000000000     
            0x03, 0xFE, 0x00, 0x07, 0xFC, 0x00, ##        000000000              000000000      
            0x01, 0xFF, 0x00, 0x0F, 0xF8, 0x00, ##         000000000            000000000       
            0x00, 0xFF, 0xC0, 0x3F, 0xF0, 0x00, ##          0000000000        0000000000        
            0x00, 0x3F, 0xFF, 0xFF, 0xC0, 0x00, ##            000000000000000000000000          
            0x00, 0x1F, 0xFF, 0xFF, 0x80, 0x00, ##             0000000000000000000000           
            0x00, 0x07, 0xFF, 0xFE, 0x00, 0x00, ##               000000000000000000             
            0x00, 0x00, 0x7F, 0xE0, 0x00, 0x00, ##                   0000000000                 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '245' => {    # 'õ'
        'width'    => 44, 
        'xoffset'  => 4, 
        'xadvance' => 52, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x07, 0xE0, 0x00, 0xF0, 0x00, ##               000000             0000        
            0x00, 0x0F, 0xF8, 0x00, 0xF0, 0x00, ##              000000000           0000        
            0x00, 0x3F, 0xFC, 0x00, 0xF0, 0x00, ##            000000000000          0000        
            0x00, 0x3F, 0xFF, 0x01, 0xF0, 0x00, ##            00000000000000       00000        
            0x00, 0x7F, 0xFF, 0x81, 0xE0, 0x00, ##           0000000000000000      0000         
            0x00, 0x7C, 0x3F, 0xC3, 0xE0, 0x00, ##           00000    00000000    00000         
            0x00, 0xF8, 0x1F, 0xFF, 0xE0, 0x00, ##          00000      0000000000000000         
            0x00, 0xF8, 0x0F, 0xFF, 0xC0, 0x00, ##          00000       00000000000000          
            0x00, 0xF0, 0x03, 0xFF, 0xC0, 0x00, ##          0000          000000000000          
            0x00, 0xF0, 0x01, 0xFF, 0x00, 0x00, ##          0000           000000000            
            0x00, 0xF0, 0x00, 0x7E, 0x00, 0x00, ##          0000             000000             
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                              
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                              
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                              
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                              
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                              
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                              
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                              
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                              
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                              
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                              
            0x00, 0x00, 0x7F, 0xE0, 0x00, 0x00, ##                   0000000000                 
            0x00, 0x07, 0xFF, 0xFE, 0x00, 0x00, ##               000000000000000000             
            0x00, 0x1F, 0xFF, 0xFF, 0x80, 0x00, ##             0000000000000000000000           
            0x00, 0x3F, 0xFF, 0xFF, 0xC0, 0x00, ##            000000000000000000000000          
            0x00, 0xFF, 0xC0, 0x3F, 0xF0, 0x00, ##          0000000000        0000000000        
            0x01, 0xFF, 0x00, 0x0F, 0xF8, 0x00, ##         000000000            000000000       
            0x03, 0xFE, 0x00, 0x07, 0xFC, 0x00, ##        000000000              000000000      
            0x07, 0xF8, 0x00, 0x03, 0xFE, 0x00, ##       00000000                 000000000     
            0x0F, 0xF8, 0x00, 0x01, 0xFF, 0x00, ##      000000000                  000000000    
            0x0F, 0xF0, 0x00, 0x00, 0xFF, 0x00, ##      00000000                    00000000    
            0x1F, 0xE0, 0x00, 0x00, 0xFF, 0x80, ##     00000000                     000000000   
            0x1F, 0xE0, 0x00, 0x00, 0x7F, 0x80, ##     00000000                      00000000   
            0x3F, 0xE0, 0x00, 0x00, 0x7F, 0xC0, ##    000000000                      000000000  
            0x3F, 0xC0, 0x00, 0x00, 0x3F, 0xC0, ##    00000000                        00000000  
            0x7F, 0xC0, 0x00, 0x00, 0x3F, 0xE0, ##   000000000                        000000000 
            0x7F, 0xC0, 0x00, 0x00, 0x3F, 0xE0, ##   000000000                        000000000 
            0x7F, 0xC0, 0x00, 0x00, 0x3F, 0xE0, ##   000000000                        000000000 
            0x7F, 0x80, 0x00, 0x00, 0x1F, 0xE0, ##   00000000                          00000000 
            0xFF, 0x80, 0x00, 0x00, 0x1F, 0xF0, ##  000000000                          000000000
            0xFF, 0x80, 0x00, 0x00, 0x1F, 0xF0, ##  000000000                          000000000
            0xFF, 0x80, 0x00, 0x00, 0x1F, 0xF0, ##  000000000                          000000000
            0xFF, 0x80, 0x00, 0x00, 0x1F, 0xF0, ##  000000000                          000000000
            0xFF, 0x80, 0x00, 0x00, 0x1F, 0xF0, ##  000000000                          000000000
            0xFF, 0x80, 0x00, 0x00, 0x1F, 0xF0, ##  000000000                          000000000
            0xFF, 0x80, 0x00, 0x00, 0x1F, 0xF0, ##  000000000                          000000000
            0xFF, 0x80, 0x00, 0x00, 0x1F, 0xF0, ##  000000000                          000000000
            0xFF, 0x80, 0x00, 0x00, 0x1F, 0xF0, ##  000000000                          000000000
            0xFF, 0x80, 0x00, 0x00, 0x1F, 0xF0, ##  000000000                          000000000
            0xFF, 0x80, 0x00, 0x00, 0x1F, 0xF0, ##  000000000                          000000000
            0xFF, 0x80, 0x00, 0x00, 0x1F, 0xF0, ##  000000000                          000000000
            0x7F, 0x80, 0x00, 0x00, 0x1F, 0xE0, ##   00000000                          00000000 
            0x7F, 0xC0, 0x00, 0x00, 0x3F, 0xE0, ##   000000000                        000000000 
            0x7F, 0xC0, 0x00, 0x00, 0x3F, 0xE0, ##   000000000                        000000000 
            0x7F, 0xC0, 0x00, 0x00, 0x3F, 0xE0, ##   000000000                        000000000 
            0x3F, 0xC0, 0x00, 0x00, 0x3F, 0xC0, ##    00000000                        00000000  
            0x3F, 0xE0, 0x00, 0x00, 0x7F, 0xC0, ##    000000000                      000000000  
            0x1F, 0xE0, 0x00, 0x00, 0x7F, 0x80, ##     00000000                      00000000   
            0x1F, 0xE0, 0x00, 0x00, 0xFF, 0x80, ##     00000000                     000000000   
            0x0F, 0xF0, 0x00, 0x00, 0xFF, 0x00, ##      00000000                    00000000    
            0x0F, 0xF8, 0x00, 0x01, 0xFF, 0x00, ##      000000000                  000000000    
            0x07, 0xF8, 0x00, 0x03, 0xFE, 0x00, ##       00000000                 000000000     
            0x03, 0xFE, 0x00, 0x07, 0xFC, 0x00, ##        000000000              000000000      
            0x01, 0xFF, 0x00, 0x0F, 0xF8, 0x00, ##         000000000            000000000       
            0x00, 0xFF, 0xC0, 0x3F, 0xF0, 0x00, ##          0000000000        0000000000        
            0x00, 0x3F, 0xFF, 0xFF, 0xC0, 0x00, ##            000000000000000000000000          
            0x00, 0x1F, 0xFF, 0xFF, 0x80, 0x00, ##             0000000000000000000000           
            0x00, 0x07, 0xFF, 0xFE, 0x00, 0x00, ##               000000000000000000             
            0x00, 0x00, 0x7F, 0xE0, 0x00, 0x00, ##                   0000000000                 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '246' => {    # 'ö'
        'width'    => 44, 
        'xoffset'  => 4, 
        'xadvance' => 52, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x0F, 0x00, 0x0F, 0x00, 0x00, ##              0000            0000            
            0x00, 0x3F, 0xC0, 0x3F, 0xC0, 0x00, ##            00000000        00000000          
            0x00, 0x3F, 0xC0, 0x3F, 0xC0, 0x00, ##            00000000        00000000          
            0x00, 0x7F, 0xE0, 0x7F, 0xE0, 0x00, ##           0000000000      0000000000         
            0x00, 0x7F, 0xE0, 0x7F, 0xE0, 0x00, ##           0000000000      0000000000         
            0x00, 0x7F, 0xE0, 0x7F, 0xE0, 0x00, ##           0000000000      0000000000         
            0x00, 0x7F, 0xE0, 0x7F, 0xE0, 0x00, ##           0000000000      0000000000         
            0x00, 0x3F, 0xC0, 0x3F, 0xC0, 0x00, ##            00000000        00000000          
            0x00, 0x3F, 0xC0, 0x3F, 0xC0, 0x00, ##            00000000        00000000          
            0x00, 0x0F, 0x00, 0x0F, 0x00, 0x00, ##              0000            0000            
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                              
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                              
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                              
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                              
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                              
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                              
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                              
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                              
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                              
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                              
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                              
            0x00, 0x00, 0x7F, 0xE0, 0x00, 0x00, ##                   0000000000                 
            0x00, 0x07, 0xFF, 0xFE, 0x00, 0x00, ##               000000000000000000             
            0x00, 0x1F, 0xFF, 0xFF, 0x80, 0x00, ##             0000000000000000000000           
            0x00, 0x3F, 0xFF, 0xFF, 0xC0, 0x00, ##            000000000000000000000000          
            0x00, 0xFF, 0xC0, 0x3F, 0xF0, 0x00, ##          0000000000        0000000000        
            0x01, 0xFF, 0x00, 0x0F, 0xF8, 0x00, ##         000000000            000000000       
            0x03, 0xFE, 0x00, 0x07, 0xFC, 0x00, ##        000000000              000000000      
            0x07, 0xF8, 0x00, 0x03, 0xFE, 0x00, ##       00000000                 000000000     
            0x0F, 0xF8, 0x00, 0x01, 0xFF, 0x00, ##      000000000                  000000000    
            0x0F, 0xF0, 0x00, 0x00, 0xFF, 0x00, ##      00000000                    00000000    
            0x1F, 0xE0, 0x00, 0x00, 0xFF, 0x80, ##     00000000                     000000000   
            0x1F, 0xE0, 0x00, 0x00, 0x7F, 0x80, ##     00000000                      00000000   
            0x3F, 0xE0, 0x00, 0x00, 0x7F, 0xC0, ##    000000000                      000000000  
            0x3F, 0xC0, 0x00, 0x00, 0x3F, 0xC0, ##    00000000                        00000000  
            0x7F, 0xC0, 0x00, 0x00, 0x3F, 0xE0, ##   000000000                        000000000 
            0x7F, 0xC0, 0x00, 0x00, 0x3F, 0xE0, ##   000000000                        000000000 
            0x7F, 0xC0, 0x00, 0x00, 0x3F, 0xE0, ##   000000000                        000000000 
            0x7F, 0x80, 0x00, 0x00, 0x1F, 0xE0, ##   00000000                          00000000 
            0xFF, 0x80, 0x00, 0x00, 0x1F, 0xF0, ##  000000000                          000000000
            0xFF, 0x80, 0x00, 0x00, 0x1F, 0xF0, ##  000000000                          000000000
            0xFF, 0x80, 0x00, 0x00, 0x1F, 0xF0, ##  000000000                          000000000
            0xFF, 0x80, 0x00, 0x00, 0x1F, 0xF0, ##  000000000                          000000000
            0xFF, 0x80, 0x00, 0x00, 0x1F, 0xF0, ##  000000000                          000000000
            0xFF, 0x80, 0x00, 0x00, 0x1F, 0xF0, ##  000000000                          000000000
            0xFF, 0x80, 0x00, 0x00, 0x1F, 0xF0, ##  000000000                          000000000
            0xFF, 0x80, 0x00, 0x00, 0x1F, 0xF0, ##  000000000                          000000000
            0xFF, 0x80, 0x00, 0x00, 0x1F, 0xF0, ##  000000000                          000000000
            0xFF, 0x80, 0x00, 0x00, 0x1F, 0xF0, ##  000000000                          000000000
            0xFF, 0x80, 0x00, 0x00, 0x1F, 0xF0, ##  000000000                          000000000
            0xFF, 0x80, 0x00, 0x00, 0x1F, 0xF0, ##  000000000                          000000000
            0x7F, 0x80, 0x00, 0x00, 0x1F, 0xE0, ##   00000000                          00000000 
            0x7F, 0xC0, 0x00, 0x00, 0x3F, 0xE0, ##   000000000                        000000000 
            0x7F, 0xC0, 0x00, 0x00, 0x3F, 0xE0, ##   000000000                        000000000 
            0x7F, 0xC0, 0x00, 0x00, 0x3F, 0xE0, ##   000000000                        000000000 
            0x3F, 0xC0, 0x00, 0x00, 0x3F, 0xC0, ##    00000000                        00000000  
            0x3F, 0xE0, 0x00, 0x00, 0x7F, 0xC0, ##    000000000                      000000000  
            0x1F, 0xE0, 0x00, 0x00, 0x7F, 0x80, ##     00000000                      00000000   
            0x1F, 0xE0, 0x00, 0x00, 0xFF, 0x80, ##     00000000                     000000000   
            0x0F, 0xF0, 0x00, 0x00, 0xFF, 0x00, ##      00000000                    00000000    
            0x0F, 0xF8, 0x00, 0x01, 0xFF, 0x00, ##      000000000                  000000000    
            0x07, 0xF8, 0x00, 0x03, 0xFE, 0x00, ##       00000000                 000000000     
            0x03, 0xFE, 0x00, 0x07, 0xFC, 0x00, ##        000000000              000000000      
            0x01, 0xFF, 0x00, 0x0F, 0xF8, 0x00, ##         000000000            000000000       
            0x00, 0xFF, 0xC0, 0x3F, 0xF0, 0x00, ##          0000000000        0000000000        
            0x00, 0x3F, 0xFF, 0xFF, 0xC0, 0x00, ##            000000000000000000000000          
            0x00, 0x1F, 0xFF, 0xFF, 0x80, 0x00, ##             0000000000000000000000           
            0x00, 0x07, 0xFF, 0xFE, 0x00, 0x00, ##               000000000000000000             
            0x00, 0x00, 0x7F, 0xE0, 0x00, 0x00, ##                   0000000000                 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '247' => {    # '÷'
        'width'    => 54, 
        'xoffset'  => 9, 
        'xadvance' => 72, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x7C, 0x00, 0x00, 0x00, ##                           00000                        
            0x00, 0x00, 0x00, 0xFE, 0x00, 0x00, 0x00, ##                          0000000                       
            0x00, 0x00, 0x01, 0xFF, 0x00, 0x00, 0x00, ##                         000000000                      
            0x00, 0x00, 0x03, 0xFF, 0x80, 0x00, 0x00, ##                        00000000000                     
            0x00, 0x00, 0x03, 0xFF, 0x80, 0x00, 0x00, ##                        00000000000                     
            0x00, 0x00, 0x03, 0xFF, 0x80, 0x00, 0x00, ##                        00000000000                     
            0x00, 0x00, 0x03, 0xFF, 0x80, 0x00, 0x00, ##                        00000000000                     
            0x00, 0x00, 0x03, 0xFF, 0x80, 0x00, 0x00, ##                        00000000000                     
            0x00, 0x00, 0x01, 0xFF, 0x00, 0x00, 0x00, ##                         000000000                      
            0x00, 0x00, 0x00, 0xFE, 0x00, 0x00, 0x00, ##                          0000000                       
            0x00, 0x00, 0x00, 0x7C, 0x00, 0x00, 0x00, ##                           00000                        
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                        
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                        
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                        
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                        
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                        
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                        
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                        
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFC, ##  000000000000000000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFC, ##  000000000000000000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFC, ##  000000000000000000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFC, ##  000000000000000000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFC, ##  000000000000000000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFC, ##  000000000000000000000000000000000000000000000000000000
            0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFC, ##  000000000000000000000000000000000000000000000000000000
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                        
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                        
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                        
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                        
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                        
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                        
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                        
            0x00, 0x00, 0x00, 0x7C, 0x00, 0x00, 0x00, ##                           00000                        
            0x00, 0x00, 0x00, 0xFE, 0x00, 0x00, 0x00, ##                          0000000                       
            0x00, 0x00, 0x01, 0xFF, 0x00, 0x00, 0x00, ##                         000000000                      
            0x00, 0x00, 0x03, 0xFF, 0x80, 0x00, 0x00, ##                        00000000000                     
            0x00, 0x00, 0x03, 0xFF, 0x80, 0x00, 0x00, ##                        00000000000                     
            0x00, 0x00, 0x03, 0xFF, 0x80, 0x00, 0x00, ##                        00000000000                     
            0x00, 0x00, 0x03, 0xFF, 0x80, 0x00, 0x00, ##                        00000000000                     
            0x00, 0x00, 0x03, 0xFF, 0x80, 0x00, 0x00, ##                        00000000000                     
            0x00, 0x00, 0x01, 0xFF, 0x00, 0x00, 0x00, ##                         000000000                      
            0x00, 0x00, 0x00, 0xFE, 0x00, 0x00, 0x00, ##                          0000000                       
            0x00, 0x00, 0x00, 0x7C, 0x00, 0x00, 0x00, ##                           00000                        
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '248' => {    # 'ø'
        'width'    => 46, 
        'xoffset'  => 3, 
        'xadvance' => 52, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x20, ##                                            0   
            0x00, 0x00, 0x00, 0x00, 0x00, 0x70, ##                                           000  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x78, ##                                           0000 
            0x00, 0x00, 0x3F, 0xF0, 0x00, 0xF8, ##                    0000000000            00000 
            0x00, 0x03, 0xFF, 0xFF, 0x01, 0xF8, ##                000000000000000000       000000 
            0x00, 0x0F, 0xFF, 0xFF, 0xC3, 0xF0, ##              0000000000000000000000    000000  
            0x00, 0x1F, 0xFF, 0xFF, 0xF7, 0xE0, ##             0000000000000000000000000 000000   
            0x00, 0x7F, 0xE0, 0x3F, 0xFF, 0xC0, ##           0000000000       0000000000000000    
            0x00, 0xFF, 0x80, 0x07, 0xFF, 0x80, ##          000000000            000000000000     
            0x01, 0xFE, 0x00, 0x03, 0xFF, 0x00, ##         00000000               0000000000      
            0x03, 0xFC, 0x00, 0x01, 0xFF, 0x00, ##        00000000                 000000000      
            0x07, 0xFC, 0x00, 0x00, 0xFF, 0x80, ##       000000000                  000000000     
            0x07, 0xF8, 0x00, 0x00, 0xFF, 0x80, ##       00000000                   000000000     
            0x0F, 0xF0, 0x00, 0x01, 0xFF, 0xC0, ##      00000000                   00000000000    
            0x0F, 0xF0, 0x00, 0x03, 0xFF, 0xC0, ##      00000000                  000000000000    
            0x1F, 0xF0, 0x00, 0x07, 0xFF, 0xE0, ##     000000000                 00000000000000   
            0x1F, 0xE0, 0x00, 0x0F, 0xDF, 0xE0, ##     00000000                 000000 00000000   
            0x3F, 0xE0, 0x00, 0x0F, 0xDF, 0xF0, ##    000000000                 000000 000000000  
            0x3F, 0xE0, 0x00, 0x1F, 0x9F, 0xF0, ##    000000000                000000  000000000  
            0x3F, 0xE0, 0x00, 0x3F, 0x1F, 0xF0, ##    000000000               000000   000000000  
            0x3F, 0xC0, 0x00, 0x7E, 0x0F, 0xF0, ##    00000000               000000     00000000  
            0x7F, 0xC0, 0x00, 0xFC, 0x0F, 0xF8, ##   000000000              000000      000000000 
            0x7F, 0xC0, 0x00, 0xFC, 0x0F, 0xF8, ##   000000000              000000      000000000 
            0x7F, 0xC0, 0x01, 0xF8, 0x0F, 0xF8, ##   000000000             000000       000000000 
            0x7F, 0xC0, 0x03, 0xF0, 0x0F, 0xF8, ##   000000000            000000        000000000 
            0x7F, 0xC0, 0x07, 0xE0, 0x0F, 0xF8, ##   000000000           000000         000000000 
            0x7F, 0xC0, 0x0F, 0xC0, 0x0F, 0xF8, ##   000000000          000000          000000000 
            0x7F, 0xC0, 0x1F, 0x80, 0x0F, 0xF8, ##   000000000         000000           000000000 
            0x7F, 0xC0, 0x1F, 0x80, 0x0F, 0xF8, ##   000000000         000000           000000000 
            0x7F, 0xC0, 0x3F, 0x00, 0x0F, 0xF8, ##   000000000        000000            000000000 
            0x7F, 0xC0, 0x7E, 0x00, 0x0F, 0xF8, ##   000000000       000000             000000000 
            0x7F, 0xC0, 0xFC, 0x00, 0x0F, 0xF8, ##   000000000      000000              000000000 
            0x7F, 0xC1, 0xF8, 0x00, 0x0F, 0xF8, ##   000000000     000000               000000000 
            0x3F, 0xC3, 0xF8, 0x00, 0x0F, 0xF0, ##    00000000    0000000               00000000  
            0x3F, 0xE3, 0xF0, 0x00, 0x1F, 0xF0, ##    000000000   000000               000000000  
            0x3F, 0xE7, 0xE0, 0x00, 0x1F, 0xF0, ##    000000000  000000                000000000  
            0x3F, 0xEF, 0xC0, 0x00, 0x1F, 0xF0, ##    000000000 000000                 000000000  
            0x1F, 0xFF, 0x80, 0x00, 0x1F, 0xE0, ##     00000000000000                  00000000   
            0x1F, 0xFF, 0x00, 0x00, 0x3F, 0xE0, ##     0000000000000                  000000000   
            0x0F, 0xFF, 0x00, 0x00, 0x3F, 0xC0, ##      000000000000                  00000000    
            0x0F, 0xFE, 0x00, 0x00, 0x3F, 0xC0, ##      00000000000                   00000000    
            0x07, 0xFC, 0x00, 0x00, 0x7F, 0x80, ##       000000000                   00000000     
            0x07, 0xFC, 0x00, 0x00, 0xFF, 0x80, ##       000000000                  000000000     
            0x03, 0xFE, 0x00, 0x00, 0xFF, 0x00, ##        000000000                 00000000      
            0x07, 0xFF, 0x00, 0x01, 0xFE, 0x00, ##       00000000000               00000000       
            0x07, 0xFF, 0x80, 0x07, 0xFC, 0x00, ##       000000000000            000000000        
            0x0F, 0xFF, 0xF0, 0x1F, 0xF8, 0x00, ##      0000000000000000       0000000000         
            0x1F, 0x3F, 0xFF, 0xFF, 0xE0, 0x00, ##     00000  0000000000000000000000000           
            0x3F, 0x0F, 0xFF, 0xFF, 0xC0, 0x00, ##    000000    0000000000000000000000            
            0x7E, 0x03, 0xFF, 0xFF, 0x00, 0x00, ##   000000       000000000000000000              
            0xFC, 0x00, 0x3F, 0xF0, 0x00, 0x00, ##  000000            0000000000                  
            0xF8, 0x00, 0x00, 0x00, 0x00, 0x00, ##  00000                                         
            0x30, 0x00, 0x00, 0x00, 0x00, 0x00, ##    00                                          
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '249' => {    # 'ù'
        'width'    => 51, 
        'xoffset'  => 2, 
        'xadvance' => 56, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##          00000000                                   
            0x00, 0x7F, 0x80, 0x00, 0x00, 0x00, 0x00, ##           00000000                                  
            0x00, 0x3F, 0xC0, 0x00, 0x00, 0x00, 0x00, ##            00000000                                 
            0x00, 0x1F, 0xC0, 0x00, 0x00, 0x00, 0x00, ##             0000000                                 
            0x00, 0x0F, 0xE0, 0x00, 0x00, 0x00, 0x00, ##              0000000                                
            0x00, 0x0F, 0xF0, 0x00, 0x00, 0x00, 0x00, ##              00000000                               
            0x00, 0x07, 0xF0, 0x00, 0x00, 0x00, 0x00, ##               0000000                               
            0x00, 0x03, 0xF8, 0x00, 0x00, 0x00, 0x00, ##                0000000                              
            0x00, 0x01, 0xFC, 0x00, 0x00, 0x00, 0x00, ##                 0000000                             
            0x00, 0x00, 0xFC, 0x00, 0x00, 0x00, 0x00, ##                  000000                             
            0x00, 0x00, 0x7E, 0x00, 0x00, 0x00, 0x00, ##                   000000                            
            0x00, 0x00, 0x3F, 0x00, 0x00, 0x00, 0x00, ##                    000000                           
            0x00, 0x00, 0x1F, 0x80, 0x00, 0x00, 0x00, ##                     000000                          
            0x00, 0x00, 0x0F, 0x80, 0x00, 0x00, 0x00, ##                      00000                          
            0x00, 0x00, 0x07, 0xC0, 0x00, 0x00, 0x00, ##                       00000                         
            0x00, 0x00, 0x07, 0xE0, 0x00, 0x00, 0x00, ##                       000000                        
            0x00, 0x00, 0x03, 0xE0, 0x00, 0x00, 0x00, ##                        00000                        
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                     
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                     
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                     
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                     
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                     
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                     
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                     
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                     
            0xFF, 0xFE, 0x00, 0x0F, 0xFF, 0xE0, 0x00, ##  000000000000000             000000000000000        
            0xFF, 0xFE, 0x00, 0x0F, 0xFF, 0xE0, 0x00, ##  000000000000000             000000000000000        
            0xFF, 0xFE, 0x00, 0x0F, 0xFF, 0xE0, 0x00, ##  000000000000000             000000000000000        
            0xFF, 0xFE, 0x00, 0x0F, 0xFF, 0xE0, 0x00, ##  000000000000000             000000000000000        
            0x01, 0xFE, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##         00000000                    00000000        
            0x01, 0xFE, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##         00000000                    00000000        
            0x01, 0xFE, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##         00000000                    00000000        
            0x01, 0xFE, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##         00000000                    00000000        
            0x01, 0xFE, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##         00000000                    00000000        
            0x01, 0xFE, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##         00000000                    00000000        
            0x01, 0xFE, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##         00000000                    00000000        
            0x01, 0xFE, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##         00000000                    00000000        
            0x01, 0xFE, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##         00000000                    00000000        
            0x01, 0xFE, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##         00000000                    00000000        
            0x01, 0xFE, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##         00000000                    00000000        
            0x01, 0xFE, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##         00000000                    00000000        
            0x01, 0xFE, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##         00000000                    00000000        
            0x01, 0xFE, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##         00000000                    00000000        
            0x01, 0xFE, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##         00000000                    00000000        
            0x01, 0xFE, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##         00000000                    00000000        
            0x01, 0xFE, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##         00000000                    00000000        
            0x01, 0xFE, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##         00000000                    00000000        
            0x01, 0xFE, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##         00000000                    00000000        
            0x01, 0xFE, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##         00000000                    00000000        
            0x01, 0xFE, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##         00000000                    00000000        
            0x01, 0xFE, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##         00000000                    00000000        
            0x01, 0xFE, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##         00000000                    00000000        
            0x01, 0xFE, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##         00000000                    00000000        
            0x01, 0xFE, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##         00000000                    00000000        
            0x01, 0xFE, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##         00000000                    00000000        
            0x01, 0xFE, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##         00000000                    00000000        
            0x01, 0xFE, 0x00, 0x00, 0x3F, 0xE0, 0x00, ##         00000000                   000000000        
            0x01, 0xFE, 0x00, 0x00, 0x3F, 0xE0, 0x00, ##         00000000                   000000000        
            0x01, 0xFE, 0x00, 0x00, 0x3F, 0xE0, 0x00, ##         00000000                   000000000        
            0x01, 0xFF, 0x00, 0x00, 0x7F, 0xE0, 0x00, ##         000000000                 0000000000        
            0x00, 0xFF, 0x00, 0x00, 0x7F, 0xE0, 0x00, ##          00000000                 0000000000        
            0x00, 0xFF, 0x00, 0x00, 0xFF, 0xE0, 0x00, ##          00000000                00000000000        
            0x00, 0xFF, 0x80, 0x00, 0xFF, 0xE0, 0x00, ##          000000000               00000000000        
            0x00, 0xFF, 0x80, 0x01, 0xDF, 0xE0, 0x00, ##          000000000              000 00000000        
            0x00, 0x7F, 0xC0, 0x03, 0xDF, 0xE0, 0x00, ##           000000000            0000 00000000        
            0x00, 0x7F, 0xF0, 0x1F, 0x9F, 0xE0, 0x00, ##           00000000000       000000  00000000        
            0x00, 0x3F, 0xFF, 0xFF, 0x9F, 0xFF, 0xE0, ##            00000000000000000000000  0000000000000000
            0x00, 0x3F, 0xFF, 0xFF, 0x1F, 0xFF, 0xE0, ##            0000000000000000000000   0000000000000000
            0x00, 0x1F, 0xFF, 0xFE, 0x1F, 0xFF, 0xE0, ##             00000000000000000000    0000000000000000
            0x00, 0x0F, 0xFF, 0xFC, 0x1F, 0xFF, 0xE0, ##              000000000000000000     0000000000000000
            0x00, 0x03, 0xFF, 0xF0, 0x00, 0x00, 0x00, ##                00000000000000                       
            0x00, 0x00, 0x7F, 0x80, 0x00, 0x00, 0x00, ##                   00000000                          
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '250' => {    # 'ú'
        'width'    => 51, 
        'xoffset'  => 2, 
        'xadvance' => 56, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x0F, 0xF0, 0x00, 0x00, ##                              00000000               
            0x00, 0x00, 0x00, 0x1F, 0xE0, 0x00, 0x00, ##                             00000000                
            0x00, 0x00, 0x00, 0x1F, 0xC0, 0x00, 0x00, ##                             0000000                 
            0x00, 0x00, 0x00, 0x3F, 0xC0, 0x00, 0x00, ##                            00000000                 
            0x00, 0x00, 0x00, 0x7F, 0x80, 0x00, 0x00, ##                           00000000                  
            0x00, 0x00, 0x00, 0x7F, 0x00, 0x00, 0x00, ##                           0000000                   
            0x00, 0x00, 0x00, 0xFE, 0x00, 0x00, 0x00, ##                          0000000                    
            0x00, 0x00, 0x01, 0xFC, 0x00, 0x00, 0x00, ##                         0000000                     
            0x00, 0x00, 0x01, 0xF8, 0x00, 0x00, 0x00, ##                         000000                      
            0x00, 0x00, 0x03, 0xF0, 0x00, 0x00, 0x00, ##                        000000                       
            0x00, 0x00, 0x07, 0xF0, 0x00, 0x00, 0x00, ##                       0000000                       
            0x00, 0x00, 0x07, 0xE0, 0x00, 0x00, 0x00, ##                       000000                        
            0x00, 0x00, 0x0F, 0xC0, 0x00, 0x00, 0x00, ##                      000000                         
            0x00, 0x00, 0x1F, 0x80, 0x00, 0x00, 0x00, ##                     000000                          
            0x00, 0x00, 0x1F, 0x00, 0x00, 0x00, 0x00, ##                     00000                           
            0x00, 0x00, 0x3E, 0x00, 0x00, 0x00, 0x00, ##                    00000                            
            0x00, 0x00, 0x7C, 0x00, 0x00, 0x00, 0x00, ##                   00000                             
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                     
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                     
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                     
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                     
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                     
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                     
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                     
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                     
            0xFF, 0xFE, 0x00, 0x0F, 0xFF, 0xE0, 0x00, ##  000000000000000             000000000000000        
            0xFF, 0xFE, 0x00, 0x0F, 0xFF, 0xE0, 0x00, ##  000000000000000             000000000000000        
            0xFF, 0xFE, 0x00, 0x0F, 0xFF, 0xE0, 0x00, ##  000000000000000             000000000000000        
            0xFF, 0xFE, 0x00, 0x0F, 0xFF, 0xE0, 0x00, ##  000000000000000             000000000000000        
            0x01, 0xFE, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##         00000000                    00000000        
            0x01, 0xFE, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##         00000000                    00000000        
            0x01, 0xFE, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##         00000000                    00000000        
            0x01, 0xFE, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##         00000000                    00000000        
            0x01, 0xFE, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##         00000000                    00000000        
            0x01, 0xFE, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##         00000000                    00000000        
            0x01, 0xFE, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##         00000000                    00000000        
            0x01, 0xFE, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##         00000000                    00000000        
            0x01, 0xFE, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##         00000000                    00000000        
            0x01, 0xFE, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##         00000000                    00000000        
            0x01, 0xFE, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##         00000000                    00000000        
            0x01, 0xFE, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##         00000000                    00000000        
            0x01, 0xFE, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##         00000000                    00000000        
            0x01, 0xFE, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##         00000000                    00000000        
            0x01, 0xFE, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##         00000000                    00000000        
            0x01, 0xFE, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##         00000000                    00000000        
            0x01, 0xFE, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##         00000000                    00000000        
            0x01, 0xFE, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##         00000000                    00000000        
            0x01, 0xFE, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##         00000000                    00000000        
            0x01, 0xFE, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##         00000000                    00000000        
            0x01, 0xFE, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##         00000000                    00000000        
            0x01, 0xFE, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##         00000000                    00000000        
            0x01, 0xFE, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##         00000000                    00000000        
            0x01, 0xFE, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##         00000000                    00000000        
            0x01, 0xFE, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##         00000000                    00000000        
            0x01, 0xFE, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##         00000000                    00000000        
            0x01, 0xFE, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##         00000000                    00000000        
            0x01, 0xFE, 0x00, 0x00, 0x3F, 0xE0, 0x00, ##         00000000                   000000000        
            0x01, 0xFE, 0x00, 0x00, 0x3F, 0xE0, 0x00, ##         00000000                   000000000        
            0x01, 0xFE, 0x00, 0x00, 0x3F, 0xE0, 0x00, ##         00000000                   000000000        
            0x01, 0xFF, 0x00, 0x00, 0x7F, 0xE0, 0x00, ##         000000000                 0000000000        
            0x00, 0xFF, 0x00, 0x00, 0x7F, 0xE0, 0x00, ##          00000000                 0000000000        
            0x00, 0xFF, 0x00, 0x00, 0xFF, 0xE0, 0x00, ##          00000000                00000000000        
            0x00, 0xFF, 0x80, 0x00, 0xFF, 0xE0, 0x00, ##          000000000               00000000000        
            0x00, 0xFF, 0x80, 0x01, 0xDF, 0xE0, 0x00, ##          000000000              000 00000000        
            0x00, 0x7F, 0xC0, 0x03, 0xDF, 0xE0, 0x00, ##           000000000            0000 00000000        
            0x00, 0x7F, 0xF0, 0x1F, 0x9F, 0xE0, 0x00, ##           00000000000       000000  00000000        
            0x00, 0x3F, 0xFF, 0xFF, 0x9F, 0xFF, 0xE0, ##            00000000000000000000000  0000000000000000
            0x00, 0x3F, 0xFF, 0xFF, 0x1F, 0xFF, 0xE0, ##            0000000000000000000000   0000000000000000
            0x00, 0x1F, 0xFF, 0xFE, 0x1F, 0xFF, 0xE0, ##             00000000000000000000    0000000000000000
            0x00, 0x0F, 0xFF, 0xFC, 0x1F, 0xFF, 0xE0, ##              000000000000000000     0000000000000000
            0x00, 0x03, 0xFF, 0xF0, 0x00, 0x00, 0x00, ##                00000000000000                       
            0x00, 0x00, 0x7F, 0x80, 0x00, 0x00, 0x00, ##                   00000000                          
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '251' => {    # 'û'
        'width'    => 51, 
        'xoffset'  => 2, 
        'xadvance' => 56, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x1F, 0xC0, 0x00, 0x00, 0x00, ##                     0000000                         
            0x00, 0x00, 0x3F, 0xE0, 0x00, 0x00, 0x00, ##                    000000000                        
            0x00, 0x00, 0x7F, 0xE0, 0x00, 0x00, 0x00, ##                   0000000000                        
            0x00, 0x00, 0x7F, 0xF0, 0x00, 0x00, 0x00, ##                   00000000000                       
            0x00, 0x00, 0xFF, 0xF8, 0x00, 0x00, 0x00, ##                  0000000000000                      
            0x00, 0x00, 0xFD, 0xF8, 0x00, 0x00, 0x00, ##                  000000 000000                      
            0x00, 0x01, 0xF9, 0xFC, 0x00, 0x00, 0x00, ##                 000000  0000000                     
            0x00, 0x03, 0xF8, 0xFC, 0x00, 0x00, 0x00, ##                0000000   000000                     
            0x00, 0x03, 0xF0, 0x7E, 0x00, 0x00, 0x00, ##                000000     000000                    
            0x00, 0x07, 0xE0, 0x3F, 0x00, 0x00, 0x00, ##               000000       000000                   
            0x00, 0x07, 0xC0, 0x3F, 0x00, 0x00, 0x00, ##               00000        000000                   
            0x00, 0x0F, 0xC0, 0x1F, 0x80, 0x00, 0x00, ##              000000         000000                  
            0x00, 0x1F, 0x80, 0x0F, 0x80, 0x00, 0x00, ##             000000           00000                  
            0x00, 0x1F, 0x00, 0x07, 0xC0, 0x00, 0x00, ##             00000             00000                 
            0x00, 0x3E, 0x00, 0x07, 0xE0, 0x00, 0x00, ##            00000              000000                
            0x00, 0x7E, 0x00, 0x03, 0xE0, 0x00, 0x00, ##           000000               00000                
            0x00, 0x7C, 0x00, 0x01, 0xF0, 0x00, 0x00, ##           00000                 00000               
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                     
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                     
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                     
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                     
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                     
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                     
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                     
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                     
            0xFF, 0xFE, 0x00, 0x0F, 0xFF, 0xE0, 0x00, ##  000000000000000             000000000000000        
            0xFF, 0xFE, 0x00, 0x0F, 0xFF, 0xE0, 0x00, ##  000000000000000             000000000000000        
            0xFF, 0xFE, 0x00, 0x0F, 0xFF, 0xE0, 0x00, ##  000000000000000             000000000000000        
            0xFF, 0xFE, 0x00, 0x0F, 0xFF, 0xE0, 0x00, ##  000000000000000             000000000000000        
            0x01, 0xFE, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##         00000000                    00000000        
            0x01, 0xFE, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##         00000000                    00000000        
            0x01, 0xFE, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##         00000000                    00000000        
            0x01, 0xFE, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##         00000000                    00000000        
            0x01, 0xFE, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##         00000000                    00000000        
            0x01, 0xFE, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##         00000000                    00000000        
            0x01, 0xFE, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##         00000000                    00000000        
            0x01, 0xFE, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##         00000000                    00000000        
            0x01, 0xFE, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##         00000000                    00000000        
            0x01, 0xFE, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##         00000000                    00000000        
            0x01, 0xFE, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##         00000000                    00000000        
            0x01, 0xFE, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##         00000000                    00000000        
            0x01, 0xFE, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##         00000000                    00000000        
            0x01, 0xFE, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##         00000000                    00000000        
            0x01, 0xFE, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##         00000000                    00000000        
            0x01, 0xFE, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##         00000000                    00000000        
            0x01, 0xFE, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##         00000000                    00000000        
            0x01, 0xFE, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##         00000000                    00000000        
            0x01, 0xFE, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##         00000000                    00000000        
            0x01, 0xFE, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##         00000000                    00000000        
            0x01, 0xFE, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##         00000000                    00000000        
            0x01, 0xFE, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##         00000000                    00000000        
            0x01, 0xFE, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##         00000000                    00000000        
            0x01, 0xFE, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##         00000000                    00000000        
            0x01, 0xFE, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##         00000000                    00000000        
            0x01, 0xFE, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##         00000000                    00000000        
            0x01, 0xFE, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##         00000000                    00000000        
            0x01, 0xFE, 0x00, 0x00, 0x3F, 0xE0, 0x00, ##         00000000                   000000000        
            0x01, 0xFE, 0x00, 0x00, 0x3F, 0xE0, 0x00, ##         00000000                   000000000        
            0x01, 0xFE, 0x00, 0x00, 0x3F, 0xE0, 0x00, ##         00000000                   000000000        
            0x01, 0xFF, 0x00, 0x00, 0x7F, 0xE0, 0x00, ##         000000000                 0000000000        
            0x00, 0xFF, 0x00, 0x00, 0x7F, 0xE0, 0x00, ##          00000000                 0000000000        
            0x00, 0xFF, 0x00, 0x00, 0xFF, 0xE0, 0x00, ##          00000000                00000000000        
            0x00, 0xFF, 0x80, 0x00, 0xFF, 0xE0, 0x00, ##          000000000               00000000000        
            0x00, 0xFF, 0x80, 0x01, 0xDF, 0xE0, 0x00, ##          000000000              000 00000000        
            0x00, 0x7F, 0xC0, 0x03, 0xDF, 0xE0, 0x00, ##           000000000            0000 00000000        
            0x00, 0x7F, 0xF0, 0x1F, 0x9F, 0xE0, 0x00, ##           00000000000       000000  00000000        
            0x00, 0x3F, 0xFF, 0xFF, 0x9F, 0xFF, 0xE0, ##            00000000000000000000000  0000000000000000
            0x00, 0x3F, 0xFF, 0xFF, 0x1F, 0xFF, 0xE0, ##            0000000000000000000000   0000000000000000
            0x00, 0x1F, 0xFF, 0xFE, 0x1F, 0xFF, 0xE0, ##             00000000000000000000    0000000000000000
            0x00, 0x0F, 0xFF, 0xFC, 0x1F, 0xFF, 0xE0, ##              000000000000000000     0000000000000000
            0x00, 0x03, 0xFF, 0xF0, 0x00, 0x00, 0x00, ##                00000000000000                       
            0x00, 0x00, 0x7F, 0x80, 0x00, 0x00, 0x00, ##                   00000000                          
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '252' => {    # 'ü'
        'width'    => 51, 
        'xoffset'  => 2, 
        'xadvance' => 56, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x0F, 0x00, 0x07, 0x80, 0x00, 0x00, ##              0000             0000                  
            0x00, 0x3F, 0xC0, 0x1F, 0xE0, 0x00, 0x00, ##            00000000         00000000                
            0x00, 0x3F, 0xC0, 0x1F, 0xE0, 0x00, 0x00, ##            00000000         00000000                
            0x00, 0x7F, 0xE0, 0x3F, 0xF0, 0x00, 0x00, ##           0000000000       0000000000               
            0x00, 0x7F, 0xE0, 0x3F, 0xF0, 0x00, 0x00, ##           0000000000       0000000000               
            0x00, 0x7F, 0xE0, 0x3F, 0xF0, 0x00, 0x00, ##           0000000000       0000000000               
            0x00, 0x7F, 0xE0, 0x3F, 0xF0, 0x00, 0x00, ##           0000000000       0000000000               
            0x00, 0x3F, 0xC0, 0x1F, 0xE0, 0x00, 0x00, ##            00000000         00000000                
            0x00, 0x3F, 0xC0, 0x1F, 0xE0, 0x00, 0x00, ##            00000000         00000000                
            0x00, 0x0F, 0x00, 0x07, 0x80, 0x00, 0x00, ##              0000             0000                  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                     
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                     
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                     
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                     
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                     
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                     
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                     
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                     
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                     
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                     
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                     
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                     
            0xFF, 0xFE, 0x00, 0x07, 0xFF, 0xE0, 0x00, ##  000000000000000              00000000000000        
            0xFF, 0xFE, 0x00, 0x07, 0xFF, 0xE0, 0x00, ##  000000000000000              00000000000000        
            0xFF, 0xFE, 0x00, 0x07, 0xFF, 0xE0, 0x00, ##  000000000000000              00000000000000        
            0xFF, 0xFE, 0x00, 0x07, 0xFF, 0xE0, 0x00, ##  000000000000000              00000000000000        
            0x01, 0xFE, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##         00000000                    00000000        
            0x01, 0xFE, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##         00000000                    00000000        
            0x01, 0xFE, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##         00000000                    00000000        
            0x01, 0xFE, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##         00000000                    00000000        
            0x01, 0xFE, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##         00000000                    00000000        
            0x01, 0xFE, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##         00000000                    00000000        
            0x01, 0xFE, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##         00000000                    00000000        
            0x01, 0xFE, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##         00000000                    00000000        
            0x01, 0xFE, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##         00000000                    00000000        
            0x01, 0xFE, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##         00000000                    00000000        
            0x01, 0xFE, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##         00000000                    00000000        
            0x01, 0xFE, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##         00000000                    00000000        
            0x01, 0xFE, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##         00000000                    00000000        
            0x01, 0xFE, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##         00000000                    00000000        
            0x01, 0xFE, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##         00000000                    00000000        
            0x01, 0xFE, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##         00000000                    00000000        
            0x01, 0xFE, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##         00000000                    00000000        
            0x01, 0xFE, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##         00000000                    00000000        
            0x01, 0xFE, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##         00000000                    00000000        
            0x01, 0xFE, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##         00000000                    00000000        
            0x01, 0xFE, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##         00000000                    00000000        
            0x01, 0xFE, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##         00000000                    00000000        
            0x01, 0xFE, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##         00000000                    00000000        
            0x01, 0xFE, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##         00000000                    00000000        
            0x01, 0xFE, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##         00000000                    00000000        
            0x01, 0xFE, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##         00000000                    00000000        
            0x01, 0xFE, 0x00, 0x00, 0x1F, 0xE0, 0x00, ##         00000000                    00000000        
            0x01, 0xFE, 0x00, 0x00, 0x3F, 0xE0, 0x00, ##         00000000                   000000000        
            0x01, 0xFE, 0x00, 0x00, 0x3F, 0xE0, 0x00, ##         00000000                   000000000        
            0x01, 0xFE, 0x00, 0x00, 0x3F, 0xE0, 0x00, ##         00000000                   000000000        
            0x01, 0xFF, 0x00, 0x00, 0x7F, 0xE0, 0x00, ##         000000000                 0000000000        
            0x00, 0xFF, 0x00, 0x00, 0x7F, 0xE0, 0x00, ##          00000000                 0000000000        
            0x00, 0xFF, 0x00, 0x00, 0xFF, 0xE0, 0x00, ##          00000000                00000000000        
            0x00, 0xFF, 0x80, 0x00, 0xFF, 0xE0, 0x00, ##          000000000               00000000000        
            0x00, 0xFF, 0x80, 0x01, 0xDF, 0xE0, 0x00, ##          000000000              000 00000000        
            0x00, 0x7F, 0xC0, 0x03, 0xDF, 0xE0, 0x00, ##           000000000            0000 00000000        
            0x00, 0x7F, 0xF0, 0x1F, 0x9F, 0xE0, 0x00, ##           00000000000       000000  00000000        
            0x00, 0x3F, 0xFF, 0xFF, 0x9F, 0xFF, 0xE0, ##            00000000000000000000000  0000000000000000
            0x00, 0x3F, 0xFF, 0xFF, 0x1F, 0xFF, 0xE0, ##            0000000000000000000000   0000000000000000
            0x00, 0x1F, 0xFF, 0xFE, 0x1F, 0xFF, 0xE0, ##             00000000000000000000    0000000000000000
            0x00, 0x0F, 0xFF, 0xFC, 0x1F, 0xFF, 0xE0, ##              000000000000000000     0000000000000000
            0x00, 0x03, 0xFF, 0xF0, 0x00, 0x00, 0x00, ##                00000000000000                       
            0x00, 0x00, 0x7F, 0x80, 0x00, 0x00, 0x00, ##                   00000000                          
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '253' => {    # 'ý'
        'width'    => 49, 
        'xoffset'  => 0, 
        'xadvance' => 50, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x03, 0xFE, 0x00, 0x00, ##                                000000000          
            0x00, 0x00, 0x00, 0x03, 0xFC, 0x00, 0x00, ##                                00000000           
            0x00, 0x00, 0x00, 0x07, 0xF8, 0x00, 0x00, ##                               00000000            
            0x00, 0x00, 0x00, 0x0F, 0xF0, 0x00, 0x00, ##                              00000000             
            0x00, 0x00, 0x00, 0x0F, 0xE0, 0x00, 0x00, ##                              0000000              
            0x00, 0x00, 0x00, 0x1F, 0xC0, 0x00, 0x00, ##                             0000000               
            0x00, 0x00, 0x00, 0x3F, 0x80, 0x00, 0x00, ##                            0000000                
            0x00, 0x00, 0x00, 0x3F, 0x00, 0x00, 0x00, ##                            000000                 
            0x00, 0x00, 0x00, 0x7F, 0x00, 0x00, 0x00, ##                           0000000                 
            0x00, 0x00, 0x00, 0xFE, 0x00, 0x00, 0x00, ##                          0000000                  
            0x00, 0x00, 0x00, 0xFC, 0x00, 0x00, 0x00, ##                          000000                   
            0x00, 0x00, 0x01, 0xF8, 0x00, 0x00, 0x00, ##                         000000                    
            0x00, 0x00, 0x03, 0xF0, 0x00, 0x00, 0x00, ##                        000000                     
            0x00, 0x00, 0x03, 0xE0, 0x00, 0x00, 0x00, ##                        00000                      
            0x00, 0x00, 0x07, 0xC0, 0x00, 0x00, 0x00, ##                       00000                       
            0x00, 0x00, 0x0F, 0x80, 0x00, 0x00, 0x00, ##                      00000                        
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                   
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                   
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                   
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                   
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                   
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                   
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                   
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                   
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                   
            0xFF, 0xFF, 0xF8, 0x00, 0xFF, 0xFF, 0x80, ##  000000000000000000000           00000000000000000
            0xFF, 0xFF, 0xF8, 0x00, 0xFF, 0xFF, 0x80, ##  000000000000000000000           00000000000000000
            0xFF, 0xFF, 0xF8, 0x00, 0xFF, 0xFF, 0x80, ##  000000000000000000000           00000000000000000
            0xFF, 0xFF, 0xF8, 0x00, 0xFF, 0xFF, 0x80, ##  000000000000000000000           00000000000000000
            0x07, 0xFC, 0x00, 0x00, 0x01, 0xF0, 0x00, ##       000000000                         00000     
            0x03, 0xFC, 0x00, 0x00, 0x03, 0xE0, 0x00, ##        00000000                        00000      
            0x03, 0xFE, 0x00, 0x00, 0x03, 0xE0, 0x00, ##        000000000                       00000      
            0x01, 0xFE, 0x00, 0x00, 0x07, 0xE0, 0x00, ##         00000000                      000000      
            0x01, 0xFE, 0x00, 0x00, 0x07, 0xC0, 0x00, ##         00000000                      00000       
            0x01, 0xFF, 0x00, 0x00, 0x07, 0xC0, 0x00, ##         000000000                     00000       
            0x00, 0xFF, 0x00, 0x00, 0x0F, 0x80, 0x00, ##          00000000                    00000        
            0x00, 0xFF, 0x80, 0x00, 0x0F, 0x80, 0x00, ##          000000000                   00000        
            0x00, 0x7F, 0x80, 0x00, 0x1F, 0x80, 0x00, ##           00000000                  000000        
            0x00, 0x7F, 0x80, 0x00, 0x1F, 0x00, 0x00, ##           00000000                  00000         
            0x00, 0x7F, 0xC0, 0x00, 0x1F, 0x00, 0x00, ##           000000000                 00000         
            0x00, 0x3F, 0xC0, 0x00, 0x3E, 0x00, 0x00, ##            00000000                00000          
            0x00, 0x3F, 0xE0, 0x00, 0x3E, 0x00, 0x00, ##            000000000               00000          
            0x00, 0x1F, 0xE0, 0x00, 0x7E, 0x00, 0x00, ##             00000000              000000          
            0x00, 0x1F, 0xE0, 0x00, 0x7C, 0x00, 0x00, ##             00000000              00000           
            0x00, 0x1F, 0xF0, 0x00, 0x7C, 0x00, 0x00, ##             000000000             00000           
            0x00, 0x0F, 0xF0, 0x00, 0xF8, 0x00, 0x00, ##              00000000            00000            
            0x00, 0x0F, 0xF8, 0x00, 0xF8, 0x00, 0x00, ##              000000000           00000            
            0x00, 0x07, 0xF8, 0x00, 0xF8, 0x00, 0x00, ##               00000000           00000            
            0x00, 0x07, 0xF8, 0x01, 0xF0, 0x00, 0x00, ##               00000000          00000             
            0x00, 0x07, 0xFC, 0x01, 0xF0, 0x00, 0x00, ##               000000000         00000             
            0x00, 0x03, 0xFC, 0x03, 0xE0, 0x00, 0x00, ##                00000000        00000              
            0x00, 0x03, 0xFE, 0x03, 0xE0, 0x00, 0x00, ##                000000000       00000              
            0x00, 0x01, 0xFE, 0x03, 0xE0, 0x00, 0x00, ##                 00000000       00000              
            0x00, 0x01, 0xFE, 0x07, 0xC0, 0x00, 0x00, ##                 00000000      00000               
            0x00, 0x01, 0xFF, 0x07, 0xC0, 0x00, 0x00, ##                 000000000     00000               
            0x00, 0x00, 0xFF, 0x0F, 0x80, 0x00, 0x00, ##                  00000000    00000                
            0x00, 0x00, 0xFF, 0x8F, 0x80, 0x00, 0x00, ##                  000000000   00000                
            0x00, 0x00, 0xFF, 0x8F, 0x80, 0x00, 0x00, ##                  000000000   00000                
            0x00, 0x00, 0x7F, 0x9F, 0x00, 0x00, 0x00, ##                   00000000  00000                 
            0x00, 0x00, 0x7F, 0xDF, 0x00, 0x00, 0x00, ##                   000000000 00000                 
            0x00, 0x00, 0x3F, 0xFE, 0x00, 0x00, 0x00, ##                    0000000000000                  
            0x00, 0x00, 0x3F, 0xFE, 0x00, 0x00, 0x00, ##                    0000000000000                  
            0x00, 0x00, 0x3F, 0xFE, 0x00, 0x00, 0x00, ##                    0000000000000                  
            0x00, 0x00, 0x1F, 0xFC, 0x00, 0x00, 0x00, ##                     00000000000                   
            0x00, 0x00, 0x1F, 0xFC, 0x00, 0x00, 0x00, ##                     00000000000                   
            0x00, 0x00, 0x0F, 0xF8, 0x00, 0x00, 0x00, ##                      000000000                    
            0x00, 0x00, 0x0F, 0xF8, 0x00, 0x00, 0x00, ##                      000000000                    
            0x00, 0x00, 0x0F, 0xF8, 0x00, 0x00, 0x00, ##                      000000000                    
            0x00, 0x00, 0x07, 0xF0, 0x00, 0x00, 0x00, ##                       0000000                     
            0x00, 0x00, 0x07, 0xF0, 0x00, 0x00, 0x00, ##                       0000000                     
            0x00, 0x00, 0x03, 0xE0, 0x00, 0x00, 0x00, ##                        00000                      
            0x00, 0x00, 0x03, 0xE0, 0x00, 0x00, 0x00, ##                        00000                      
            0x00, 0x00, 0x03, 0xE0, 0x00, 0x00, 0x00, ##                        00000                      
            0x00, 0x00, 0x07, 0xC0, 0x00, 0x00, 0x00, ##                       00000                       
            0x00, 0x00, 0x07, 0xC0, 0x00, 0x00, 0x00, ##                       00000                       
            0x00, 0x00, 0x07, 0x80, 0x00, 0x00, 0x00, ##                       0000                        
            0x00, 0x00, 0x0F, 0x80, 0x00, 0x00, 0x00, ##                      00000                        
            0x00, 0x00, 0x0F, 0x80, 0x00, 0x00, 0x00, ##                      00000                        
            0x00, 0x00, 0x1F, 0x00, 0x00, 0x00, 0x00, ##                     00000                         
            0x00, 0x00, 0x1F, 0x00, 0x00, 0x00, 0x00, ##                     00000                         
            0x1E, 0x00, 0x1E, 0x00, 0x00, 0x00, 0x00, ##     0000            0000                          
            0x1E, 0x00, 0x3E, 0x00, 0x00, 0x00, 0x00, ##     0000           00000                          
            0x1E, 0x00, 0x3E, 0x00, 0x00, 0x00, 0x00, ##     0000           00000                          
            0x1F, 0x00, 0x7C, 0x00, 0x00, 0x00, 0x00, ##     00000         00000                           
            0x1F, 0x00, 0xFC, 0x00, 0x00, 0x00, 0x00, ##     00000        000000                           
            0x1F, 0xC1, 0xF8, 0x00, 0x00, 0x00, 0x00, ##     0000000     000000                            
            0x1F, 0xFF, 0xF0, 0x00, 0x00, 0x00, 0x00, ##     00000000000000000                             
            0x1F, 0xFF, 0xE0, 0x00, 0x00, 0x00, 0x00, ##     0000000000000000                              
            0x1F, 0xFF, 0xC0, 0x00, 0x00, 0x00, 0x00, ##     000000000000000                               
            0x03, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##        0000000000                                 
        ], 
    }, 
    '254' => {    # 'þ'
        'width'    => 49, 
        'xoffset'  => 2, 
        'xadvance' => 55, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0xFF, 0xFE, 0x00, 0x00, 0x00, 0x00, 0x00, ##  000000000000000                                  
            0xFF, 0xFE, 0x00, 0x00, 0x00, 0x00, 0x00, ##  000000000000000                                  
            0xFF, 0xFE, 0x00, 0x00, 0x00, 0x00, 0x00, ##  000000000000000                                  
            0xFF, 0xFE, 0x00, 0x00, 0x00, 0x00, 0x00, ##  000000000000000                                  
            0x01, 0xFE, 0x00, 0x00, 0x00, 0x00, 0x00, ##         00000000                                  
            0x01, 0xFE, 0x00, 0x00, 0x00, 0x00, 0x00, ##         00000000                                  
            0x01, 0xFE, 0x00, 0x00, 0x00, 0x00, 0x00, ##         00000000                                  
            0x01, 0xFE, 0x00, 0x00, 0x00, 0x00, 0x00, ##         00000000                                  
            0x01, 0xFE, 0x00, 0x00, 0x00, 0x00, 0x00, ##         00000000                                  
            0x01, 0xFE, 0x00, 0x00, 0x00, 0x00, 0x00, ##         00000000                                  
            0x01, 0xFE, 0x00, 0x00, 0x00, 0x00, 0x00, ##         00000000                                  
            0x01, 0xFE, 0x00, 0x00, 0x00, 0x00, 0x00, ##         00000000                                  
            0x01, 0xFE, 0x00, 0x00, 0x00, 0x00, 0x00, ##         00000000                                  
            0x01, 0xFE, 0x00, 0x00, 0x00, 0x00, 0x00, ##         00000000                                  
            0x01, 0xFE, 0x00, 0x00, 0x00, 0x00, 0x00, ##         00000000                                  
            0x01, 0xFE, 0x00, 0x00, 0x00, 0x00, 0x00, ##         00000000                                  
            0x01, 0xFE, 0x00, 0x00, 0x00, 0x00, 0x00, ##         00000000                                  
            0x01, 0xFE, 0x00, 0x00, 0x00, 0x00, 0x00, ##         00000000                                  
            0x01, 0xFE, 0x00, 0x00, 0x00, 0x00, 0x00, ##         00000000                                  
            0x01, 0xFE, 0x00, 0x00, 0x00, 0x00, 0x00, ##         00000000                                  
            0x01, 0xFE, 0x00, 0x7F, 0xC0, 0x00, 0x00, ##         00000000          000000000               
            0x01, 0xFE, 0x03, 0xFF, 0xF8, 0x00, 0x00, ##         00000000       000000000000000            
            0x01, 0xFE, 0x0F, 0xFF, 0xFE, 0x00, 0x00, ##         00000000     0000000000000000000          
            0x01, 0xFE, 0x1F, 0xFF, 0xFF, 0x00, 0x00, ##         00000000    000000000000000000000         
            0x01, 0xFE, 0x3F, 0xFF, 0xFF, 0xC0, 0x00, ##         00000000   000000000000000000000000       
            0x01, 0xFE, 0x7F, 0x01, 0xFF, 0xE0, 0x00, ##         00000000  0000000       000000000000      
            0x01, 0xFE, 0xF8, 0x00, 0x7F, 0xF0, 0x00, ##         00000000 00000            00000000000     
            0x01, 0xFE, 0xF0, 0x00, 0x1F, 0xF0, 0x00, ##         00000000 0000               000000000     
            0x01, 0xFF, 0xE0, 0x00, 0x0F, 0xF8, 0x00, ##         000000000000                 000000000    
            0x01, 0xFF, 0xC0, 0x00, 0x07, 0xFC, 0x00, ##         00000000000                   000000000   
            0x01, 0xFF, 0x80, 0x00, 0x07, 0xFC, 0x00, ##         0000000000                    000000000   
            0x01, 0xFF, 0x80, 0x00, 0x03, 0xFE, 0x00, ##         0000000000                     000000000  
            0x01, 0xFF, 0x00, 0x00, 0x03, 0xFE, 0x00, ##         000000000                      000000000  
            0x01, 0xFF, 0x00, 0x00, 0x01, 0xFE, 0x00, ##         000000000                       00000000  
            0x01, 0xFF, 0x00, 0x00, 0x01, 0xFF, 0x00, ##         000000000                       000000000 
            0x01, 0xFF, 0x00, 0x00, 0x01, 0xFF, 0x00, ##         000000000                       000000000 
            0x01, 0xFE, 0x00, 0x00, 0x01, 0xFF, 0x00, ##         00000000                        000000000 
            0x01, 0xFE, 0x00, 0x00, 0x00, 0xFF, 0x00, ##         00000000                         00000000 
            0x01, 0xFE, 0x00, 0x00, 0x00, 0xFF, 0x80, ##         00000000                         000000000
            0x01, 0xFE, 0x00, 0x00, 0x00, 0xFF, 0x80, ##         00000000                         000000000
            0x01, 0xFE, 0x00, 0x00, 0x00, 0xFF, 0x80, ##         00000000                         000000000
            0x01, 0xFE, 0x00, 0x00, 0x00, 0xFF, 0x80, ##         00000000                         000000000
            0x01, 0xFE, 0x00, 0x00, 0x00, 0xFF, 0x80, ##         00000000                         000000000
            0x01, 0xFE, 0x00, 0x00, 0x00, 0xFF, 0x80, ##         00000000                         000000000
            0x01, 0xFE, 0x00, 0x00, 0x00, 0xFF, 0x80, ##         00000000                         000000000
            0x01, 0xFE, 0x00, 0x00, 0x00, 0xFF, 0x80, ##         00000000                         000000000
            0x01, 0xFE, 0x00, 0x00, 0x00, 0xFF, 0x80, ##         00000000                         000000000
            0x01, 0xFE, 0x00, 0x00, 0x00, 0xFF, 0x80, ##         00000000                         000000000
            0x01, 0xFE, 0x00, 0x00, 0x00, 0xFF, 0x80, ##         00000000                         000000000
            0x01, 0xFE, 0x00, 0x00, 0x00, 0xFF, 0x80, ##         00000000                         000000000
            0x01, 0xFE, 0x00, 0x00, 0x01, 0xFF, 0x00, ##         00000000                        000000000 
            0x01, 0xFE, 0x00, 0x00, 0x01, 0xFF, 0x00, ##         00000000                        000000000 
            0x01, 0xFF, 0x00, 0x00, 0x01, 0xFF, 0x00, ##         000000000                       000000000 
            0x01, 0xFF, 0x00, 0x00, 0x01, 0xFF, 0x00, ##         000000000                       000000000 
            0x01, 0xFF, 0x00, 0x00, 0x01, 0xFE, 0x00, ##         000000000                       00000000  
            0x01, 0xFF, 0x00, 0x00, 0x03, 0xFE, 0x00, ##         000000000                      000000000  
            0x01, 0xFF, 0x80, 0x00, 0x03, 0xFE, 0x00, ##         0000000000                     000000000  
            0x01, 0xFF, 0x80, 0x00, 0x07, 0xFC, 0x00, ##         0000000000                    000000000   
            0x01, 0xFF, 0xC0, 0x00, 0x07, 0xFC, 0x00, ##         00000000000                   000000000   
            0x01, 0xFF, 0xE0, 0x00, 0x0F, 0xF8, 0x00, ##         000000000000                 000000000    
            0x01, 0xFE, 0xF0, 0x00, 0x1F, 0xF0, 0x00, ##         00000000 0000               000000000     
            0x01, 0xFE, 0xF8, 0x00, 0x7F, 0xF0, 0x00, ##         00000000 00000            00000000000     
            0x01, 0xFE, 0x7F, 0x01, 0xFF, 0xE0, 0x00, ##         00000000  0000000       000000000000      
            0x01, 0xFE, 0x3F, 0xFF, 0xFF, 0xC0, 0x00, ##         00000000   000000000000000000000000       
            0x01, 0xFE, 0x1F, 0xFF, 0xFF, 0x00, 0x00, ##         00000000    000000000000000000000         
            0x01, 0xFE, 0x0F, 0xFF, 0xFE, 0x00, 0x00, ##         00000000     0000000000000000000          
            0x01, 0xFE, 0x03, 0xFF, 0xF8, 0x00, 0x00, ##         00000000       000000000000000            
            0x01, 0xFE, 0x00, 0x7F, 0xC0, 0x00, 0x00, ##         00000000          000000000               
            0x01, 0xFE, 0x00, 0x00, 0x00, 0x00, 0x00, ##         00000000                                  
            0x01, 0xFE, 0x00, 0x00, 0x00, 0x00, 0x00, ##         00000000                                  
            0x01, 0xFE, 0x00, 0x00, 0x00, 0x00, 0x00, ##         00000000                                  
            0x01, 0xFE, 0x00, 0x00, 0x00, 0x00, 0x00, ##         00000000                                  
            0x01, 0xFE, 0x00, 0x00, 0x00, 0x00, 0x00, ##         00000000                                  
            0x01, 0xFE, 0x00, 0x00, 0x00, 0x00, 0x00, ##         00000000                                  
            0x01, 0xFE, 0x00, 0x00, 0x00, 0x00, 0x00, ##         00000000                                  
            0x01, 0xFE, 0x00, 0x00, 0x00, 0x00, 0x00, ##         00000000                                  
            0x01, 0xFE, 0x00, 0x00, 0x00, 0x00, 0x00, ##         00000000                                  
            0x01, 0xFE, 0x00, 0x00, 0x00, 0x00, 0x00, ##         00000000                                  
            0x01, 0xFE, 0x00, 0x00, 0x00, 0x00, 0x00, ##         00000000                                  
            0x01, 0xFE, 0x00, 0x00, 0x00, 0x00, 0x00, ##         00000000                                  
            0x01, 0xFE, 0x00, 0x00, 0x00, 0x00, 0x00, ##         00000000                                  
            0xFF, 0xFF, 0xFE, 0x00, 0x00, 0x00, 0x00, ##  00000000000000000000000                          
            0xFF, 0xFF, 0xFE, 0x00, 0x00, 0x00, 0x00, ##  00000000000000000000000                          
            0xFF, 0xFF, 0xFE, 0x00, 0x00, 0x00, 0x00, ##  00000000000000000000000                          
            0xFF, 0xFF, 0xFE, 0x00, 0x00, 0x00, 0x00, ##  00000000000000000000000                          
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
        ], 
    }, 
    '255' => {    # 'ÿ'
        'width'    => 49, 
        'xoffset'  => 0, 
        'xadvance' => 50, 
        'bitmap'   => [ 
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##  
            0x00, 0x01, 0xE0, 0x01, 0xE0, 0x00, 0x00, ##                 0000            0000              
            0x00, 0x07, 0xF8, 0x07, 0xF8, 0x00, 0x00, ##               00000000        00000000            
            0x00, 0x07, 0xF8, 0x07, 0xF8, 0x00, 0x00, ##               00000000        00000000            
            0x00, 0x0F, 0xFC, 0x0F, 0xFC, 0x00, 0x00, ##              0000000000      0000000000           
            0x00, 0x0F, 0xFC, 0x0F, 0xFC, 0x00, 0x00, ##              0000000000      0000000000           
            0x00, 0x0F, 0xFC, 0x0F, 0xFC, 0x00, 0x00, ##              0000000000      0000000000           
            0x00, 0x0F, 0xFC, 0x0F, 0xFC, 0x00, 0x00, ##              0000000000      0000000000           
            0x00, 0x07, 0xF8, 0x07, 0xF8, 0x00, 0x00, ##               00000000        00000000            
            0x00, 0x07, 0xF8, 0x07, 0xF8, 0x00, 0x00, ##               00000000        00000000            
            0x00, 0x01, 0xE0, 0x01, 0xE0, 0x00, 0x00, ##                 0000            0000              
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                   
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                   
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                   
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                   
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                   
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                   
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                   
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                   
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                   
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                   
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                   
            0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, ##                                                   
            0xFF, 0xFF, 0xF8, 0x00, 0xFF, 0xFF, 0x80, ##  000000000000000000000           00000000000000000
            0xFF, 0xFF, 0xF8, 0x00, 0xFF, 0xFF, 0x80, ##  000000000000000000000           00000000000000000
            0xFF, 0xFF, 0xF8, 0x00, 0xFF, 0xFF, 0x80, ##  000000000000000000000           00000000000000000
            0xFF, 0xFF, 0xF8, 0x00, 0xFF, 0xFF, 0x80, ##  000000000000000000000           00000000000000000
            0x07, 0xFC, 0x00, 0x00, 0x01, 0xF0, 0x00, ##       000000000                         00000     
            0x03, 0xFC, 0x00, 0x00, 0x03, 0xE0, 0x00, ##        00000000                        00000      
            0x03, 0xFE, 0x00, 0x00, 0x03, 0xE0, 0x00, ##        000000000                       00000      
            0x01, 0xFE, 0x00, 0x00, 0x07, 0xE0, 0x00, ##         00000000                      000000      
            0x01, 0xFF, 0x00, 0x00, 0x07, 0xC0, 0x00, ##         000000000                     00000       
            0x01, 0xFF, 0x00, 0x00, 0x07, 0xC0, 0x00, ##         000000000                     00000       
            0x00, 0xFF, 0x00, 0x00, 0x0F, 0x80, 0x00, ##          00000000                    00000        
            0x00, 0xFF, 0x80, 0x00, 0x0F, 0x80, 0x00, ##          000000000                   00000        
            0x00, 0x7F, 0x80, 0x00, 0x1F, 0x80, 0x00, ##           00000000                  000000        
            0x00, 0x7F, 0xC0, 0x00, 0x1F, 0x00, 0x00, ##           000000000                 00000         
            0x00, 0x7F, 0xC0, 0x00, 0x1F, 0x00, 0x00, ##           000000000                 00000         
            0x00, 0x3F, 0xC0, 0x00, 0x3E, 0x00, 0x00, ##            00000000                00000          
            0x00, 0x3F, 0xE0, 0x00, 0x3E, 0x00, 0x00, ##            000000000               00000          
            0x00, 0x1F, 0xE0, 0x00, 0x7E, 0x00, 0x00, ##             00000000              000000          
            0x00, 0x1F, 0xE0, 0x00, 0x7C, 0x00, 0x00, ##             00000000              00000           
            0x00, 0x1F, 0xF0, 0x00, 0x7C, 0x00, 0x00, ##             000000000             00000           
            0x00, 0x0F, 0xF0, 0x00, 0xF8, 0x00, 0x00, ##              00000000            00000            
            0x00, 0x0F, 0xF8, 0x00, 0xF8, 0x00, 0x00, ##              000000000           00000            
            0x00, 0x07, 0xF8, 0x00, 0xF8, 0x00, 0x00, ##               00000000           00000            
            0x00, 0x07, 0xF8, 0x01, 0xF0, 0x00, 0x00, ##               00000000          00000             
            0x00, 0x07, 0xFC, 0x01, 0xF0, 0x00, 0x00, ##               000000000         00000             
            0x00, 0x03, 0xFC, 0x03, 0xE0, 0x00, 0x00, ##                00000000        00000              
            0x00, 0x03, 0xFE, 0x03, 0xE0, 0x00, 0x00, ##                000000000       00000              
            0x00, 0x01, 0xFE, 0x03, 0xE0, 0x00, 0x00, ##                 00000000       00000              
            0x00, 0x01, 0xFE, 0x07, 0xC0, 0x00, 0x00, ##                 00000000      00000               
            0x00, 0x01, 0xFF, 0x07, 0xC0, 0x00, 0x00, ##                 000000000     00000               
            0x00, 0x00, 0xFF, 0x0F, 0x80, 0x00, 0x00, ##                  00000000    00000                
            0x00, 0x00, 0xFF, 0x8F, 0x80, 0x00, 0x00, ##                  000000000   00000                
            0x00, 0x00, 0x7F, 0x8F, 0x80, 0x00, 0x00, ##                   00000000   00000                
            0x00, 0x00, 0x7F, 0x9F, 0x00, 0x00, 0x00, ##                   00000000  00000                 
            0x00, 0x00, 0x7F, 0xDF, 0x00, 0x00, 0x00, ##                   000000000 00000                 
            0x00, 0x00, 0x3F, 0xFE, 0x00, 0x00, 0x00, ##                    0000000000000                  
            0x00, 0x00, 0x3F, 0xFE, 0x00, 0x00, 0x00, ##                    0000000000000                  
            0x00, 0x00, 0x1F, 0xFE, 0x00, 0x00, 0x00, ##                     000000000000                  
            0x00, 0x00, 0x1F, 0xFC, 0x00, 0x00, 0x00, ##                     00000000000                   
            0x00, 0x00, 0x1F, 0xFC, 0x00, 0x00, 0x00, ##                     00000000000                   
            0x00, 0x00, 0x0F, 0xF8, 0x00, 0x00, 0x00, ##                      000000000                    
            0x00, 0x00, 0x0F, 0xF8, 0x00, 0x00, 0x00, ##                      000000000                    
            0x00, 0x00, 0x07, 0xF8, 0x00, 0x00, 0x00, ##                       00000000                    
            0x00, 0x00, 0x07, 0xF0, 0x00, 0x00, 0x00, ##                       0000000                     
            0x00, 0x00, 0x07, 0xF0, 0x00, 0x00, 0x00, ##                       0000000                     
            0x00, 0x00, 0x03, 0xE0, 0x00, 0x00, 0x00, ##                        00000                      
            0x00, 0x00, 0x03, 0xE0, 0x00, 0x00, 0x00, ##                        00000                      
            0x00, 0x00, 0x03, 0xE0, 0x00, 0x00, 0x00, ##                        00000                      
            0x00, 0x00, 0x07, 0xC0, 0x00, 0x00, 0x00, ##                       00000                       
            0x00, 0x00, 0x07, 0xC0, 0x00, 0x00, 0x00, ##                       00000                       
            0x00, 0x00, 0x07, 0x80, 0x00, 0x00, 0x00, ##                       0000                        
            0x00, 0x00, 0x0F, 0x80, 0x00, 0x00, 0x00, ##                      00000                        
            0x00, 0x00, 0x0F, 0x80, 0x00, 0x00, 0x00, ##                      00000                        
            0x00, 0x00, 0x0F, 0x00, 0x00, 0x00, 0x00, ##                      0000                         
            0x00, 0x00, 0x1F, 0x00, 0x00, 0x00, 0x00, ##                     00000                         
            0x1E, 0x00, 0x1E, 0x00, 0x00, 0x00, 0x00, ##     0000            0000                          
            0x1E, 0x00, 0x3E, 0x00, 0x00, 0x00, 0x00, ##     0000           00000                          
            0x1F, 0x00, 0x3E, 0x00, 0x00, 0x00, 0x00, ##     00000          00000                          
            0x1F, 0x00, 0x7C, 0x00, 0x00, 0x00, 0x00, ##     00000         00000                           
            0x1F, 0x00, 0xFC, 0x00, 0x00, 0x00, 0x00, ##     00000        000000                           
            0x1F, 0xC1, 0xF8, 0x00, 0x00, 0x00, 0x00, ##     0000000     000000                            
            0x1F, 0xFF, 0xF0, 0x00, 0x00, 0x00, 0x00, ##     00000000000000000                             
            0x1F, 0xFF, 0xE0, 0x00, 0x00, 0x00, 0x00, ##     0000000000000000                              
            0x1F, 0xFF, 0xC0, 0x00, 0x00, 0x00, 0x00, ##     000000000000000                               
            0x03, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, ##        0000000000                                 
        ], 
    }, 
};
 
my $kerning = {
    '33' => { },  # !
    '34' => { },  # "
    '35' => { },  # #
    '36' => { },  # $
    '37' => { },  # %
    '38' => { },  # &
    '39' => { },  # '
    '40' => { },  # (
    '41' => { },  # )
    '42' => { },  # *
    '43' => { },  # +
    '44' => { },  # ,
    '45' => { '84' => -3, '86' => -6, '87' => -5, '88' => -3, '89' => -10, '221' => -10, },  # -
    '46' => { },  # .
    '47' => { },  # /
    '48' => { },  # 0
    '49' => { },  # 1
    '50' => { },  # 2
    '51' => { },  # 3
    '52' => { },  # 4
    '53' => { },  # 5
    '54' => { },  # 6
    '55' => { },  # 7
    '56' => { },  # 8
    '57' => { },  # 9
    '58' => { },  # :
    '59' => { },  # ;
    '60' => { },  # <
    '61' => { },  # =
    '62' => { },  # >
    '63' => { },  # ?
    '64' => { },  # @
    '65' => { '84' => -5, '86' => -4, '87' => -4, '89' => -4, '102' => -2, '116' => -2, '118' => -4, '119' => -4, '121' => -4, '221' => -4, '253' => -4, '255' => -4, },  # A
    '66' => { '45' => 2, '67' => 2, '71' => 2, '79' => 2, '89' => -2, '199' => 2, '210' => 2, '211' => 2, '212' => 2, '213' => 2, '214' => 2, '216' => 2, '221' => -2, },  # B
    '67' => { '44' => -3, '46' => -3, },  # C
    '68' => { '44' => -3, '45' => 2, '46' => -3, '86' => -2, },  # D
    '69' => { '45' => 2, },  # E
    '70' => { '44' => -14, '45' => -4, '46' => -14, '58' => -3, '59' => -3, '65' => -8, '97' => -6, '101' => -5, '111' => -5, '192' => -8, '193' => -8, '194' => -8, '195' => -8, '196' => -8, '224' => -6, '225' => -6, '226' => -6, '227' => -6, '228' => -6, '229' => -6, '230' => -6, '232' => -5, '233' => -5, '234' => -5, '235' => -5, '242' => -5, '243' => -5, '244' => -5, '245' => -5, '246' => -5, '248' => -5, },  # F
    '71' => { '44' => -3, '45' => 2, '46' => -3, '89' => -2, '221' => -2, },  # G
    '72' => { },  # H
    '73' => { },  # I
    '74' => { '44' => -5, '46' => -7, '58' => -4, '59' => -4, },  # J
    '75' => { '45' => -6, '65' => -4, '67' => -2, '79' => -2, '85' => -3, '87' => -3, '89' => -2, '101' => -2, '111' => -2, '117' => -2, '121' => -6, '192' => -4, '193' => -4, '194' => -4, '195' => -4, '196' => -4, '199' => -2, '210' => -2, '211' => -2, '212' => -2, '213' => -2, '214' => -2, '216' => -2, '217' => -3, '218' => -3, '219' => -3, '220' => -3, '221' => -2, '232' => -2, '233' => -2, '234' => -2, '235' => -2, '242' => -2, '243' => -2, '244' => -2, '245' => -2, '246' => -2, '248' => -2, '249' => -2, '250' => -2, '251' => -2, '252' => -2, '253' => -6, '255' => -6, },  # K
    '76' => { '84' => -7, '85' => -5, '86' => -10, '87' => -8, '89' => -6, '121' => -2, '217' => -5, '218' => -5, '219' => -5, '220' => -5, '221' => -6, '253' => -2, '255' => -2, },  # L
    '77' => { },  # M
    '78' => { '44' => -6, '46' => -6, '58' => -3, '59' => -3, },  # N
    '79' => { '44' => -5, '45' => 3, '46' => -5, '86' => -2, '88' => -2, },  # O
    '80' => { '44' => -18, '45' => -5, '46' => -18, '58' => -3, '59' => -3, '65' => -8, '85' => -2, '97' => -4, '101' => -4, '111' => -4, '115' => -2, '192' => -8, '193' => -8, '194' => -8, '195' => -8, '196' => -8, '217' => -2, '218' => -2, '219' => -2, '220' => -2, '224' => -4, '225' => -4, '226' => -4, '227' => -4, '228' => -4, '229' => -4, '230' => -4, '232' => -4, '233' => -4, '234' => -4, '235' => -4, '242' => -4, '243' => -4, '244' => -4, '245' => -4, '246' => -4, '248' => -4, },  # P
    '81' => { '44' => -4, '45' => 3, '46' => -4, },  # Q
    '82' => { '84' => -2, '86' => -3, '87' => -2, '89' => -3, '97' => 2, '121' => -2, '221' => -3, '224' => 2, '225' => 2, '226' => 2, '227' => 2, '228' => 2, '229' => 2, '230' => 2, '248' => 2, '253' => -2, '255' => -2, },  # R
    '83' => { '44' => -3, '45' => 3, '46' => -3, },  # S
    '84' => { '44' => -13, '45' => -11, '46' => -13, '58' => -3, '59' => -3, '65' => -5, '97' => -7, '99' => -7, '101' => -7, '111' => -7, '115' => -6, '119' => -3, '192' => -5, '193' => -5, '194' => -5, '195' => -5, '196' => -5, '224' => -7, '225' => -7, '226' => -7, '227' => -7, '228' => -7, '229' => -7, '230' => -7, '231' => -7, '232' => -7, '233' => -7, '234' => -7, '235' => -7, '242' => -7, '243' => -7, '244' => -7, '245' => -7, '246' => -7, '248' => -7, },  # T
    '85' => { '44' => -8, '45' => -2, '46' => -8, '58' => -3, '59' => -3, '65' => -3, '74' => -2, '192' => -3, '193' => -3, '194' => -3, '195' => -3, '196' => -3, },  # U
    '86' => { '44' => -15, '45' => -8, '46' => -15, '58' => -9, '59' => -9, '65' => -6, '79' => -2, '97' => -8, '101' => -8, '105' => -2, '111' => -8, '117' => -6, '121' => -4, '192' => -6, '193' => -6, '194' => -6, '195' => -6, '196' => -6, '210' => -2, '211' => -2, '212' => -2, '213' => -2, '214' => -2, '216' => -2, '224' => -8, '225' => -8, '226' => -8, '227' => -8, '228' => -8, '229' => -8, '230' => -8, '232' => -8, '233' => -8, '234' => -8, '235' => -8, '242' => -8, '243' => -8, '244' => -8, '245' => -8, '246' => -8, '248' => -8, '249' => -6, '250' => -6, '251' => -6, '252' => -6, '253' => -4, '255' => -4, },  # V
    '87' => { '44' => -15, '45' => -6, '46' => -15, '58' => -8, '59' => -8, '65' => -4, '97' => -8, '101' => -7, '105' => -2, '111' => -6, '114' => -4, '117' => -4, '121' => -2, '192' => -4, '193' => -4, '194' => -4, '195' => -4, '196' => -4, '224' => -8, '225' => -8, '226' => -8, '227' => -8, '228' => -8, '229' => -8, '230' => -6, '232' => -7, '233' => -7, '234' => -7, '235' => -7, '242' => -6, '243' => -6, '244' => -6, '245' => -6, '246' => -6, '248' => -6, '249' => -4, '250' => -4, '251' => -4, '252' => -4, '253' => -2, '255' => -2, },  # W
    '88' => { '45' => -3, '65' => -3, '67' => -2, '79' => -2, '192' => -3, '193' => -3, '194' => -3, '195' => -3, '196' => -3, '199' => -2, '210' => -2, '211' => -2, '212' => -2, '213' => -2, '214' => -2, '216' => -2, },  # X
    '89' => { '44' => -11, '45' => -10, '46' => -11, '58' => -11, '59' => -11, '65' => -7, '67' => -2, '97' => -7, '101' => -8, '105' => -2, '111' => -8, '117' => -8, '192' => -7, '193' => -7, '194' => -7, '195' => -7, '196' => -7, '199' => -2, '224' => -7, '225' => -7, '226' => -7, '227' => -7, '228' => -7, '229' => -7, '230' => -8, '232' => -8, '233' => -8, '234' => -8, '235' => -8, '242' => -8, '243' => -8, '244' => -8, '245' => -8, '246' => -8, '248' => -8, '249' => -8, '250' => -8, '251' => -8, '252' => -8, },  # Y
    '90' => { '44' => -2, '46' => -2, },  # Z
    '91' => { },  # [
    '92' => { },  # \
    '93' => { },  # ]
    '94' => { },  # ^
    '95' => { },  # _
    '96' => { },  # `
    '97' => { },  # a
    '98' => { },  # b
    '99' => { },  # c
    '100' => { },  # d
    '101' => { },  # e
    '102' => { '44' => -3, '45' => -3, '46' => -3, },  # f
    '103' => { },  # g
    '104' => { },  # h
    '105' => { },  # i
    '106' => { },  # j
    '107' => { '45' => -2, },  # k
    '108' => { },  # l
    '109' => { },  # m
    '110' => { },  # n
    '111' => { '46' => -2, },  # o
    '112' => { },  # p
    '113' => { },  # q
    '114' => { '44' => -10, '46' => -10, },  # r
    '115' => { },  # s
    '116' => { },  # t
    '117' => { },  # u
    '118' => { '44' => -10, '46' => -10, },  # v
    '119' => { '44' => -10, '46' => -10, },  # w
    '120' => { '45' => -2, },  # x
    '121' => { '44' => -12, '46' => -12, },  # y
    '122' => { },  # z
    '123' => { },  # {
    '124' => { },  # |
    '125' => { },  # }
    '126' => { },  # ~
    '160' => { },  #  
    '161' => { },  # ¡
    '162' => { },  # ¢
    '163' => { },  # £
    '164' => { },  # ¤
    '165' => { },  # ¥
    '166' => { },  # ¦
    '167' => { },  # §
    '168' => { },  # ¨
    '169' => { },  # ©
    '170' => { },  # ª
    '171' => { },  # «
    '172' => { },  # ¬
    '173' => { },  # ­
    '174' => { },  # ®
    '175' => { },  # ¯
    '176' => { },  # °
    '177' => { },  # ±
    '178' => { },  # ²
    '179' => { },  # ³
    '180' => { },  # ´
    '181' => { },  # µ
    '182' => { },  # ¶
    '183' => { },  # ·
    '184' => { },  # ¸
    '185' => { },  # ¹
    '186' => { },  # º
    '187' => { },  # »
    '188' => { },  # ¼
    '189' => { },  # ½
    '190' => { },  # ¾
    '191' => { },  # ¿
    '192' => { '84' => -5, '86' => -4, '87' => -4, '89' => -4, '102' => -2, '116' => -2, '118' => -4, '119' => -4, '121' => -4, '221' => -4, '253' => -4, '255' => -4, },  # À
    '193' => { '84' => -5, '86' => -4, '87' => -4, '89' => -4, '102' => -2, '116' => -2, '118' => -4, '119' => -4, '121' => -4, '221' => -4, '253' => -4, '255' => -4, },  # Á
    '194' => { '84' => -5, '86' => -4, '87' => -4, '89' => -4, '102' => -2, '116' => -2, '118' => -4, '119' => -4, '121' => -4, '221' => -4, '253' => -4, '255' => -4, },  # Â
    '195' => { '84' => -5, '86' => -4, '87' => -4, '89' => -4, '102' => -2, '116' => -2, '118' => -4, '119' => -4, '121' => -4, '221' => -4, '253' => -4, '255' => -4, },  # Ã
    '196' => { '84' => -5, '86' => -4, '87' => -4, '89' => -4, '102' => -2, '116' => -2, '118' => -4, '119' => -4, '121' => -4, '221' => -4, '253' => -4, '255' => -4, },  # Ä
    '197' => { },  # Å
    '198' => { '45' => 2, },  # Æ
    '199' => { '44' => -3, '46' => -3, },  # Ç
    '200' => { '45' => 2, },  # È
    '201' => { '45' => 2, },  # É
    '202' => { '45' => 2, },  # Ê
    '203' => { '45' => 2, },  # Ë
    '204' => { },  # Ì
    '205' => { },  # Í
    '206' => { },  # Î
    '207' => { },  # Ï
    '208' => { '44' => -3, '45' => 3, '46' => -3, '65' => -2, '86' => -2, '89' => -2, '192' => -2, '193' => -2, '194' => -2, '195' => -2, '196' => -2, '221' => -2, },  # Ð
    '209' => { '44' => -6, '46' => -6, '58' => -3, '59' => -3, },  # Ñ
    '210' => { '44' => -5, '45' => 3, '46' => -5, '86' => -2, '88' => -2, },  # Ò
    '211' => { '44' => -5, '45' => 3, '46' => -5, '86' => -2, '88' => -2, },  # Ó
    '212' => { '44' => -5, '45' => 3, '46' => -5, '86' => -2, '88' => -2, },  # Ô
    '213' => { '44' => -5, '45' => 3, '46' => -5, '86' => -2, '88' => -2, },  # Õ
    '214' => { '44' => -5, '45' => 3, '46' => -5, '86' => -2, '88' => -2, },  # Ö
    '215' => { },  # ×
    '216' => { '44' => -5, '45' => 3, '46' => -5, '86' => -2, '88' => -2, },  # Ø
    '217' => { '44' => -8, '45' => -2, '46' => -8, '58' => -3, '59' => -3, '65' => -3, '74' => -2, '192' => -3, '193' => -3, '194' => -3, '195' => -3, '196' => -3, },  # Ù
    '218' => { '44' => -8, '45' => -2, '46' => -8, '58' => -3, '59' => -3, '65' => -3, '74' => -2, '192' => -3, '193' => -3, '194' => -3, '195' => -3, '196' => -3, },  # Ú
    '219' => { '44' => -8, '45' => -2, '46' => -8, '58' => -3, '59' => -3, '65' => -3, '74' => -2, '192' => -3, '193' => -3, '194' => -3, '195' => -3, '196' => -3, },  # Û
    '220' => { '44' => -8, '45' => -2, '46' => -8, '58' => -3, '59' => -3, '65' => -3, '74' => -2, '192' => -3, '193' => -3, '194' => -3, '195' => -3, '196' => -3, },  # Ü
    '221' => { '44' => -11, '45' => -10, '46' => -11, '58' => -11, '59' => -11, '65' => -7, '67' => -2, '97' => -7, '101' => -8, '105' => -2, '111' => -8, '117' => -8, '192' => -7, '193' => -7, '194' => -7, '195' => -7, '196' => -7, '199' => -2, '224' => -7, '225' => -7, '226' => -7, '227' => -7, '228' => -7, '229' => -7, '230' => -8, '232' => -8, '233' => -8, '234' => -8, '235' => -8, '242' => -8, '243' => -8, '244' => -8, '245' => -8, '246' => -8, '248' => -8, '249' => -8, '250' => -8, '251' => -8, '252' => -8, },  # Ý
    '222' => { '44' => -14, '45' => 2, '46' => -14, },  # Þ
    '223' => { },  # ß
    '224' => { },  # à
    '225' => { },  # á
    '226' => { },  # â
    '227' => { },  # ã
    '228' => { },  # ä
    '229' => { },  # å
    '230' => { },  # æ
    '231' => { },  # ç
    '232' => { },  # è
    '233' => { },  # é
    '234' => { },  # ê
    '235' => { },  # ë
    '236' => { },  # ì
    '237' => { },  # í
    '238' => { },  # î
    '239' => { },  # ï
    '240' => { '46' => -2, },  # ð
    '241' => { },  # ñ
    '242' => { '46' => -2, },  # ò
    '243' => { '46' => -2, },  # ó
    '244' => { '46' => -2, },  # ô
    '245' => { '46' => -2, },  # õ
    '246' => { '46' => -2, },  # ö
    '247' => { },  # ÷
    '248' => { '46' => -2, },  # ø
    '249' => { },  # ù
    '250' => { },  # ú
    '251' => { },  # û
    '252' => { },  # ü
    '253' => { '44' => -12, '46' => -12, },  # ý
    '254' => { '44' => -2, '46' => -4, },  # þ
    '255' => { '44' => -12, '46' => -12, },  # ÿ
};


sub new {
    my($class) = @_;
    
    my $self = $class->SUPER::new(
        name        => $name,
        char_height => $char_height,
        space_width => $space_width,
        gap_width   => $gap_width,
        symbols     => $symbols,
        kerning     => $kerning,
        line_spacing => $line_spacing,
        class       => 'hipi_2',
    );
    
    return $self;
}

1;

__END__
